/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (3.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Sun Jan 23 07:38:25 CET 2011        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.6a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate.scm -indent -o objs/obj_u/Eval/evaluate.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl__ev_appzd2loczd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza34403ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3457z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__z52allocatezd2ev_appz80zz__evaluatez00(obj_t);
	static obj_t BGl_recz00zz__evaluatez00(obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3461z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static BgL_ev_orz00_bglt BGl_makezd2ev_orzd2zz__evaluatez00(obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3465z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3469z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl__z52allocatezd2ev_bindzd2exitz52zz__evaluatez00(obj_t);
	static obj_t BGl__avarzd2default3231zd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza34677ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_fsiza7ezd2ev_letrec3292z75zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3474z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36009ze3z83zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3479z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3483z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3487z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3491z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__ev_abszd2boxeszd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3503z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3495z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza36000ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_setlocalzd2vzd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3508z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3499z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34681ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__avarz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2ev_withzd2handler3408z00zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__ev_binderzf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_recz72z72zz__evaluatez00(obj_t, obj_t, long);
	static obj_t BGl_compzd2oldzd2callz00zz__evaluatez00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_inlinezd2callzd2zz__evaluatez00(BgL_ev_exprz00_bglt, obj_t,
		obj_t);
	static BgL_ev_hookz00_bglt BGl_ev_hookzd2nilzd2zz__evaluatez00();
	static BgL_ev_binderz00_bglt BGl_ev_binderzd2nilzd2zz__evaluatez00();
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_zc3anonymousza34685ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_hookzd2ezd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza36278ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34414ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36018ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__fsiza7ezd2default3265z75zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza35919ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_usezd2ev_list3353zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_ifzd2pzd2setz12z12zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34689ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34701ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_appzf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_abszd2innerzd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza36295ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_setlocalzd2vzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_setglobalzd2namezd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__ev_setlocalzd2nilzd2zz__evaluatez00(obj_t);
	static obj_t BGl_fsiza7ezd2ev_var3268z75zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__makezd2ev_letzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza34693ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34703ze3z83zz__evaluatez00(obj_t, obj_t);
	static BgL_ev_andz00_bglt BGl_ev_andzd2nilzd2zz__evaluatez00();
	static obj_t BGl__ev_unwindzd2protectzd2ezd2setz12zc0zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_listzd2nilz52zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza36308ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_ev_varz00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_prog2zd2nilzd2zz__evaluatez00(obj_t);
	static obj_t BGl_runz00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34705ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7807z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7809z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza35927ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7811z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7813z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__indexz00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7815z00zz__evaluatez00(obj_t, obj_t);
	static BgL_ev_trapz00_bglt BGl_ev_trapzd2nilzd2zz__evaluatez00();
	static obj_t BGl_objectzd2ze3structzd2ev_an3477ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza36016ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_run_7817z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7819z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7821z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza36290ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34697ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7823z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_binderzd2varszd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_run_7825z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7827z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7829z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36030ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_appzd2argszd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_run_7831z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7833z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_run_7835z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7837z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34426ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7839z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7841z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34709ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7843z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7845z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_unwindzd2protectzd2nilz00zz__evaluatez00(obj_t);
	static obj_t BGl_run_7847z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7849z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7851z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_avarzd2ev_letza23258z70zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_run_7853z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7855z00zz__evaluatez00(obj_t, obj_t);
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_run_7857z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7859z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7861z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7863z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7865z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7867z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__usezd2default3340zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_run_7869z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7871z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_list8169z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3exitza36305ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34713ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7873z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_usezd2ev_hook3357zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_run_7875z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7877z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2ev_ho3467ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_run_7879z00zz__evaluatez00(obj_t, obj_t);
	static BgL_ev_orz00_bglt BGl_ev_orzd2nilzd2zz__evaluatez00();
	static obj_t BGl_run_7881z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7883z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7885z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7887z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7889z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_run_7891z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__z52allocatezd2ev_defglobalz80zz__evaluatez00(obj_t);
	static obj_t BGl_zc3exitza36025ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza35925ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2ev_if3489ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_z52thezd2ev_varzd2nilz52zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza35938ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34717ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_binderzd2bodyzd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza35656ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_avarzd2ev_litt3238zd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z52thezd2ev_hookzd2nilz52zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza36040ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_binderzd2valszd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static BgL_ev_absz00_bglt BGl_ev_abszd2nilzd2zz__evaluatez00();
	static obj_t BGl__ev_prog2zd2e1zd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__ev_listzd2nilzd2zz__evaluatez00(obj_t);
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_zc3anonymousza34721ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__makezd2ev_prog2zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_abszd2bindzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_bindzd2framezd2zz__evaluatez00(obj_t, obj_t, long, obj_t);
	static obj_t BGl_zc3anonymousza36327ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_abszd2freezd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza35933ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluatez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2ev_var3378zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_mainz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
	static obj_t BGl_avarzd2ev_unwindzd2prote3252z00zz__evaluatez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34725ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_prog2zf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34443ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_list8306z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza35947ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza36318ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_compz00zz__evaluatez00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_uncompzd2ev_letza23333z70zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza35666ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza36037ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_untypezd2identzd2zz__evcompilez00(obj_t);
	static BgL_ev_hookz00_bglt
		BGl_makezd2ev_hookzd2zz__evaluatez00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z52thezd2ev_globalzd2nilz52zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_uncompzd2ev_setlocal3321zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, bool_t, obj_t,
		obj_t);
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl__evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_uncompzd2ev_var3301zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34729ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_letreczd2nilz52zz__evaluatez00 = BUNSPEC;
	static BgL_ev_binderz00_bglt BGl_makezd2ev_binderzd2zz__evaluatez00(obj_t,
		obj_t, BgL_ev_exprz00_bglt);
	static BgL_ev_appz00_bglt BGl_ev_appzd2nilzd2zz__evaluatez00();
	static obj_t BGl_z52thezd2ev_trapzd2nilz52zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza35669ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_usez00zz__evaluatez00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_ev_binderz00zz__evaluatez00 = BUNSPEC;
	static BgL_ev_letza2za2_bglt BGl_makezd2ev_letza2z70zz__evaluatez00(obj_t,
		obj_t, BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z52thezd2ev_setlocalzd2nilz52zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza34733ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_uncompzd2ev_litt3305zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza35673ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_hookzd2nilzd2zz__evaluatez00(obj_t);
	static obj_t BGl_zc3exitza35944ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36056ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36339ze3z83zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_bindzd2exitzd2nilz00zz__evaluatez00(obj_t);
	static obj_t BGl__ev_abszd2arityzd2zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_zc3anonymousza34737ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__getzd2evaluationzd2contextez00zz__evaluatez00(obj_t);
	static BgL_ev_globalz00_bglt BGl_makezd2ev_globalzd2zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza36047ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_makezd2ev_prog2zd2zz__evaluatez00(BgL_ev_exprz00_bglt,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_uncompzd2ev_setglobal3317zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza35677ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_ev_globalz00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_exitz00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_abszd2bindzd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza35962ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_uncompzd2ev_if3307zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34742ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34460ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_bindzd2exitzf3z21zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2ev_li3485ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2ze3structzd2ev_se3455ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl__ev_globalzd2namezd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_defglobalzf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2ev_se3459ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza35953ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2ev_li3493ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_fsiza7ezd2ev_unwindzd2prot3284za7zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__ev_letzd2boxeszd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza36066ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_get_profilez00zz__evaluatez00();
	static obj_t BGl_zc3exitza36337ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34745ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_ifzd2ezd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza35684ze3z83zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl__ev_ifzd2pzd2zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_fsiza7ezd2ev_withzd2handle3286za7zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__ev_trapzd2nilzd2zz__evaluatez00(obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl__ev_ifzd2tzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__z52allocatezd2ev_prog2z80zz__evaluatez00(obj_t);
	static obj_t BGl_zc3anonymousza35686ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_abszd2siza7ez75zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_compzd2ev_or3392zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_diffz00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34748ze3z83zz__evaluatez00(obj_t, obj_t);
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_ev_absz00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_z52thezd2ev_unwindzd2protectzd2nilz80zz__evaluatez00 =
		BUNSPEC;
	static obj_t BGl_zc3anonymousza35971ze3z83zz__evaluatez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_zc3anonymousza36354ze3z83zz__evaluatez00(obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_ev_letzd2nilzd2zz__evaluatez00();
	static obj_t BGl_uncompzd2ev_withzd2handl3328z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza35689ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluatez00();
	static obj_t BGl_zc3anonymousza35701ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_appzd2funzd2zz__evaluatez00(obj_t, obj_t);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_fsiza7ezd2ev_letza23290zd7zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_avarzd2ev_bindzd2exit3250z00zz__evaluatez00(obj_t, obj_t,
		obj_t, obj_t);
	static bool_t BGl_recz72z72z00zz__evaluatez00(obj_t);
	static obj_t BGl_ev_setlocalz00zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_compzd2ev_bindzd2exit3404z00zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza36064ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2ev_unwindzd2prote3406z00zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static BgL_ev_setglobalz00_bglt BGl_ev_setglobalzd2nilzd2zz__evaluatez00();
	BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextez00zz__evaluatez00();
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza35705ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_avarzd2ev_if3240zd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza36349ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_makezd2ev_varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36079ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_ev_hookz00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_binderzd2valszd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza35698ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_globalzf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza35969ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_ev_andz00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_setglobalzd2modzd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_avarzd2ev_list3242zd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_fsiza7ezd2ev_litt3272z75zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_usezd2ev_bindzd2exit3361z00zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza35983ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_usezd2ev_abs3372zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static bool_t BGl_freezd2restorezd2zz__evaluatez00(obj_t, obj_t, long);
	static obj_t BGl_z52thezd2ev_bindzd2exitzd2nilz80zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza36367ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_ev_letza2za2zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_ev_appz00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3exitza36074ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_withzd2handlerzd2bodyz00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_bindzd2exitzd2varzd2setz12zc0zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34483ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_ev_prog2z00zz__evaluatez00 = BUNSPEC;
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_ev_unwindzd2protectzd2nilz00zz__evaluatez00();
	static obj_t BGl__ev_binderzd2varszd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza35715ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_uncompzd2ev_defglobal3319zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__makezd2ev_ifzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol8170z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8173z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8176z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza36090ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol8178z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8180z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_symbol8182z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3exitza35978ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol8186z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8189z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_letza2zd2boxeszd2setz12zb0zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol8201z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8191z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8203z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8193z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_setglobalzd2namezd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol8205z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8195z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8207z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8197z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8209z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8199z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8211z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_abszd2varszd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol8213z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8215z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_usezd2ev_setlocal3359zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza35993ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol8217z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3exitza36364ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol8219z00zz__evaluatez00 = BUNSPEC;
	extern bool_t string_lt(obj_t, obj_t);
	static obj_t BGl_symbol8221z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_reset_profilez00zz__evaluatez00();
	static obj_t BGl_symbol8224z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_usezd2ev_app3370zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_makezd2ev_setglobalzd2zz__evaluatez00(BgL_ev_exprz00_bglt, obj_t,
		obj_t);
	static obj_t BGl__ev_abszd2bodyzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol8232z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8234z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8236z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8238z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8240z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8242z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8244z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8246z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8248z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8250z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__makezd2ev_orzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol8252z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8254z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_avarzd2ev_hook3246zd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol8256z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza36107ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol8258z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8260z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8262z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_avarzd2ev_global3236zd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol8264z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_appzd2tailzf3zd2setz12ze1zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol8266z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8268z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_ev_bindzd2exitzd2zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8270z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_ifzf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol8272z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_compzd2default3373zd2zz__evaluatez00(BgL_ev_exprz00_bglt,
		obj_t);
	static obj_t BGl_objectzd2ze3structzd2ev_wi3439ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_symbol8274z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3exitza36087ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol8276z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8278z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8280z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8282z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8284z00zz__evaluatez00 = BUNSPEC;
	static BgL_ev_letrecz00_bglt BGl_makezd2ev_letreczd2zz__evaluatez00(obj_t,
		obj_t, BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol8286z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_globalzd2modzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol8288z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8300z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8290z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_orzd2nilzd2zz__evaluatez00(obj_t);
	static obj_t BGl_symbol8302z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8292z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8304z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8294z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3exitza35990ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34507ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol8296z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8307z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8298z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_ev_letrecz00zz__evaluatez00 = BUNSPEC;
	static BgL_ev_listz00_bglt BGl_makezd2ev_listzd2zz__evaluatez00(obj_t);
	static obj_t BGl__ev_abszd2siza7ezd2setz12zb5zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol8309z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8311z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_avarzd2ev_letrec3260zd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza35729ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_abszd2bodyzd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol8313z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8315z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8317z00zz__evaluatez00 = BUNSPEC;
	static BgL_ev_littz00_bglt BGl_makezd2ev_littzd2zz__evaluatez00(obj_t);
	static obj_t BGl_symbol8319z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_usezd2ev_binder3367zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_ifzd2tzd2setz12z12zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol8321z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza36386ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza35731ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol8323z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_objectzd2ze3structzd2ev_pr3471ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_symbol8325z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_rconvz00zz__evaluatez00(obj_t, bool_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol8327z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_objectzd2ze3structzd2ev_le3423ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_symbol8329z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8331z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_compzd2ev_prog23396zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2ev_le3427ze3zz__evaluatez00(obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_defglobalz00_bglt BGl_ev_defglobalzd2nilzd2zz__evaluatez00();
	static obj_t BGl__ev_globalzd2nilzd2zz__evaluatez00(obj_t);
	static obj_t BGl_objectzd2ze3structzd2ev_le3431ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl__z52allocatezd2ev_letz80zz__evaluatez00(obj_t);
	static obj_t BGl_ev_withzd2handlerzd2zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3exitza36377ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, bool_t,
		obj_t, obj_t);
	static obj_t BGl__ev_letreczd2nilzd2zz__evaluatez00(obj_t);
	static obj_t BGl_zc3anonymousza36117ze3z83zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	static obj_t BGl_zc3anonymousza35737ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza36098ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol8393z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_andzd2nilzd2zz__evaluatez00(obj_t);
	static obj_t BGl__ev_varzd2effzd2zz__evaluatez00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_ev_exprzd2nilzd2zz__evaluatez00();
	extern obj_t bgl_append2(obj_t, obj_t);
	static obj_t BGl__ev_abszd2loczd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol8439z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8444z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol8447z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8450z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza36399ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol8453z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3exitza36115ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_fsiza7eza7zz__evaluatez00(BgL_ev_exprz00_bglt, obj_t);
	static BgL_ev_varz00_bglt BGl_ev_varzd2nilzd2zz__evaluatez00();
	static obj_t BGl__makezd2ev_varzd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36130ze3z83zz__evaluatez00(obj_t, obj_t);
	static bool_t BGl_zc3lexintzc3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_exprzf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__makezd2ev_setglobalzd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__z52allocatezd2ev_setlocalz80zz__evaluatez00(obj_t);
	static obj_t BGl_compzd2ev_setlocal3380zd2zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static BgL_ev_globalz00_bglt BGl_ev_globalzd2nilzd2zz__evaluatez00();
	static obj_t BGl_zc3anonymousza36415ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza35749ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2ev_ex3506ze3zz__evaluatez00(obj_t,
		obj_t);
	static BgL_ev_absz00_bglt BGl_makezd2ev_abszd2zz__evaluatez00(obj_t, obj_t,
		obj_t, obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt BGl_ev_letreczd2nilzd2zz__evaluatez00();
	static BgL_ev_exprz00_bglt BGl_makezd2ev_exprzd2zz__evaluatez00();
	static obj_t BGl_objectzd2ze3structzd2ev_ap3419ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_fsiza7ezd2ev_list3276z75zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_uncompzd2ev_trap3315zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_appzd2loczd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza36397ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_ev_defglobalz00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3exitza36125ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_withzd2handlerzd2nilz00zz__evaluatez00(obj_t);
	static obj_t BGl_zc3exitza36410ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt BGl_ev_setlocalzd2nilzd2zz__evaluatez00();
	static obj_t BGl__ev_bindzd2exitzd2varz00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_abszd2nilzd2zz__evaluatez00(obj_t);
	static obj_t BGl__ev_listzd2argszd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza36141ze3z83zz__evaluatez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evaluationzd2contextez12z12zz__evaluatez00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluatez00();
	static obj_t BGl_symbol8590z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol8592z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_prog2zd2e1zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_prog2zd2e2zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol8594z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_setglobalzd2modzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_redovarsz00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_prog2zd2nilz52zz__evaluatez00 = BUNSPEC;
	static BgL_ev_trapz00_bglt
		BGl_makezd2ev_trapzd2zz__evaluatez00(BgL_ev_exprz00_bglt);
	static obj_t BGl_zc3exitza33578ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_ev_listz00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza35761ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_globalzd2modzd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza34539ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_ev_littz00zz__evaluatez00 = BUNSPEC;
	static BgL_ev_andz00_bglt BGl_makezd2ev_andzd2zz__evaluatez00(obj_t);
	static obj_t BGl__z52allocatezd2ev_hookz80zz__evaluatez00(obj_t);
	static obj_t BGl__z52allocatezd2ev_binderz80zz__evaluatez00(obj_t);
	static obj_t BGl__compz00zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_appzd2funzd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_freezd2collectzd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_setglobalzd2nilzd2zz__evaluatez00(obj_t);
	static obj_t BGl_zc3anonymousza36429ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_withzd2handlerzd2handlerz00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__makezd2ev_withzd2handlerz00zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza35765ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_exprzd2nilz52zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_appzd2argszd2zz__evaluatez00(obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_makezd2ev_appzd2zz__evaluatez00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl__ev_abszf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_avarzd2ev_prog23244zd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__z52allocatezd2ev_letza2z22zz__evaluatez00(obj_t);
	static obj_t BGl_usezd2default3340zd2zz__evaluatez00(BgL_ev_exprz00_bglt,
		obj_t);
	static obj_t BGl_z52thezd2ev_ifzd2nilz52zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_fsiza7ezd2ev_hook3280z75zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza36138ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_appzd2nilzd2zz__evaluatez00(obj_t);
	extern long BGl_classzd2numzd2zz__objectz00(obj_t);
	static obj_t BGl__fsiza7eza7zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_abszd2innerzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__z52allocatezd2ev_globalz80zz__evaluatez00(obj_t);
	static obj_t BGl__z52allocatezd2ev_withzd2handlerz52zz__evaluatez00(obj_t);
	extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_ev_unwindzd2protectzd2zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3exitza36426ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_uncompzd2ev_global3303zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_hookzd2ezd2setz12z12zz__evaluatez00(obj_t, obj_t, obj_t);
	extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_objectzd2ze3structzd2ev_or3481ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl__ev_appzd2tailzf3z21zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_letzf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36158ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_usezd2ev_unwindzd2protec3363z00zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_uncompzd2ev_letrec3335zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza36149ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__makezd2ev_binderzd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluatez00();
	static obj_t BGl_compzd2ev_setglobal3384zd2zz__evaluatez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl__ev_exprzd2nilzd2zz__evaluatez00(obj_t);
	static obj_t BGl_ev_exprz00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_funionz00zz__evaluatez00(obj_t);
	static obj_t BGl_zc3anonymousza36449ze3z83zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_2maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t
		BGl__ev_withzd2handlerzd2handlerzd2setz12zc0zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__compzd2default3373zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_usezd2ev_var3343zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza36440ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36169ze3z83zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_dssslzd2formalszd2ze3schemezd2formalsz31zz__dssslz00(obj_t,
		obj_t);
	static obj_t BGl__makezd2ev_globalzd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__makezd2ev_hookzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_letzd2nilzd2zz__evaluatez00(obj_t);
	static obj_t BGl_zc3anonymousza35788ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2ev_ab3415ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl__z52allocatezd2ev_setglobalz80zz__evaluatez00(obj_t);
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_z52thezd2ev_setglobalzd2nilz52zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__makezd2ev_abszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_usezd2ev_withzd2handler3365z00zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_ozd2ze3sz31zz__evaluatez00(obj_t);
	static obj_t BGl_main_7806z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_ev_trapz00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_defglobalzd2nilzd2zz__evaluatez00(obj_t);
	static obj_t BGl_main_7808z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl__makezd2ev_letza2z70zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_main_7810z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_avarzd2ev_abs3264zd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_main_7812z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_main_7814z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_main_7816z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t);
	static obj_t BGl_main_7818z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_main_7820z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_main_7822z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza34572ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_main_7824z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_main_7826z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__ev_letzd2boxeszd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_main_7828z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_main_7830z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_main_7832z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_main_7834z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_main_7836z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_main_7838z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_main_7840z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_main_7842z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_main_7844z00zz__evaluatez00(obj_t, obj_t, obj_t);
	static BgL_ev_prog2z00_bglt BGl_ev_prog2zd2nilzd2zz__evaluatez00();
	static obj_t BGl_main_7846z00zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_main_7848z00zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_main_7850z00zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza36167ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_main_7852z00zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_main_7854z00zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_main_7856z00zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_main_7858z00zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_main_7860z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_main_7862z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_main_7864z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_compzd2ev_global3382zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_main_7866z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_main_7868z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza35808ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_main_7870z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_main_7872z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_main_7874z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_main_7876z00zz__evaluatez00(obj_t);
	static obj_t BGl__ev_orzf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_main_7878z00zz__evaluatez00(obj_t);
	static obj_t BGl_main_7880z00zz__evaluatez00(obj_t);
	static obj_t BGl_main_7882z00zz__evaluatez00(obj_t);
	static obj_t BGl_main_7884z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36183ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_main_7886z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_main_7888z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36466ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_main_7890z00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_compzd2ev_letrec3402zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_uncompzd2ev_or3309zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_listzf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__makezd2ev_andzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_avarzd2ev_app3262zd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__ev_bindzd2exitzd2bodyzd2setz12zc0zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static BgL_ev_ifz00_bglt BGl_ev_ifzd2nilzd2zz__evaluatez00();
	static obj_t BGl_avarz00zz__evaluatez00(BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl__makezd2ev_appzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2ze3structzd2ev_gl3497ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl__zc3lexintzc3zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
	static obj_t BGl_zc3exitza36178ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2ev_letza23400z70zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__z52allocatezd2ev_ifz80zz__evaluatez00(obj_t);
	extern obj_t make_struct(obj_t, int, obj_t);
	static obj_t BGl_compzd2ev_defglobal3386zd2zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__ev_binderzd2bodyzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza36464ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza35821ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_ev_letz00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__z52allocatezd2ev_letrecz80zz__evaluatez00(obj_t);
	static obj_t BGl__ev_unwindzd2protectzd2bodyzd2setz12zc0zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__ev_littzf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36195ze3z83zz__evaluatez00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2evalzd2strictzd2modulezd2zz__paramz00();
	static bool_t BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluatez00;
	static obj_t BGl_objectzd2ze3structzd2ev_tr3463ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl__z52allocatezd2ev_listz80zz__evaluatez00(obj_t);
	static obj_t BGl__ev_setglobalzf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__z52allocatezd2ev_littz80zz__evaluatez00(obj_t);
	static obj_t BGl_objectzd2ze3structzd2ev_un3443ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_compzd2ev_litt3388zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__z52allocatezd2ev_orz80zz__evaluatez00(obj_t);
	static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluatez00;
	static obj_t BGl__ev_littzd2valuezd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z52thezd2ev_defglobalzd2nilz52zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_usezd2ev_if3351zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_littzd2valuezd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36213ze3z83zz__evaluatez00(obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_makezd2ev_bindzd2exitz00zz__evaluatez00(BgL_ev_varz00_bglt,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2ze3structzd2ev_de3451ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza36486ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza36192ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_avarzd2ev_let3256zd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_andzd2nilz52zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_z52thezd2ev_binderzd2nilz52zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3exitza36204ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__makezd2ev_unwindzd2protectz00zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_makezd2ev_setlocalzd2zz__evaluatez00(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_makezd2ev_unwindzd2protectz00zz__evaluatez00(BgL_ev_exprz00_bglt,
		BgL_ev_exprz00_bglt);
	static obj_t BGl__ev_letreczf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza36481ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34616ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_trapzf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__z52allocatezd2ev_varz80zz__evaluatez00(obj_t);
	static obj_t BGl_fsiza7ezd2ev_abs3296z75zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__makezd2ev_letreczd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza36504ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_bindzd2exitzd2bodyz00zz__evaluatez00(obj_t, obj_t);
	static BgL_ev_letza2za2_bglt BGl_ev_letza2zd2nilz70zz__evaluatez00();
	static obj_t BGl__uncompz00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_avarzd2default3231zd2zz__evaluatez00(BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36224ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_compzd2ev_and3394zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_withzd2handlerzf3z21zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__uncompzd2default3297zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_hookzf3zf3zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	static obj_t BGl_usezd2ev_global3345zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_withzd2handlerzd2nilz80zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_varzd2nilzd2zz__evaluatez00(obj_t);
	extern obj_t BGl_maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl__z52allocatezd2ev_exprz80zz__evaluatez00(obj_t);
	static obj_t BGl_uncompzd2ev_unwindzd2pro3325z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza36501ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_uncompzd2ev_and3311zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__z52allocatezd2ev_unwindzd2protectz52zz__evaluatez00(obj_t);
	static obj_t BGl_compzd2ev_if3390zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static BgL_ev_littz00_bglt BGl_ev_littzd2nilzd2zz__evaluatez00();
	static obj_t BGl_fsiza7ezd2ev_app3294z75zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_abszd2nilz52zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__makezd2ev_listzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_varzd2namezd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__setzd2evaluationzd2contextez12z12zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl__makezd2ev_littzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza36222ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_zc3anonymousza35853ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_catchzd2trampolinezd2zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl__z52allocatezd2ev_trapz80zz__evaluatez00(obj_t);
	static obj_t BGl_zc3anonymousza36238ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_ev_ifz00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza34352ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__makezd2ev_bindzd2exitz00zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_uncompzd2default3297zd2zz__evaluatez00(BgL_ev_exprz00_bglt);
	static bool_t BGl_makezd2boxeszd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_makezd2ev_defglobalzd2zz__evaluatez00(BgL_ev_exprz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_compzd2ev_abs3412zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_unwindzd2protectzd2bodyz00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_avarzd2ev_setlocal3248zd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z52thezd2ev_appzd2nilz52zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_fsiza7ezd2ev_bindzd2exit3282za7zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza36233ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_abszd2boxeszd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza35863ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_z52thezd2ev_letza2zd2nilzf0zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_fsiza7ezd2ev_if3274z75zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_ev_orz00zz__evaluatez00 = BUNSPEC;
	static obj_t
		BGl_bindzd2andzd2resetzd2effectzd2zz__evaluatez00(BgL_ev_absz00_bglt,
		obj_t);
	static obj_t BGl_zc3exitza36519ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza35854ze3z83zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2ev_bi3435ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_uncompzd2ev_abs3339zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36250ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_usezd2ev_litt3348zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00
		= BUNSPEC;
	static obj_t BGl__ev_abszd2freezd2zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl__ev_varzd2namezd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_fsiza7ezd2ev_let3288z75zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_unwindzd2protectzf3z21zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2ev_bi3447ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__ev_ifzd2ezd2setz12z12zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2ev_app3410zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza35871ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_uncompzd2ev_prog23313zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_avarzd2ev_withzd2handler3254z00zz__evaluatez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl__ev_setlocalzf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_uncompzd2ev_bindzd2exit3323z00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__makezd2ev_exprzd2zz__evaluatez00(obj_t);
	static obj_t BGl_z52thezd2ev_littzd2nilz52zz__evaluatez00 = BUNSPEC;
	static BgL_ev_letz00_bglt BGl_makezd2ev_letzd2zz__evaluatez00(obj_t, obj_t,
		BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl__ev_globalzd2namezd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza34370ze3z83zz__evaluatez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl__ev_varzd2effzd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static bool_t BGl_needzd2shiftzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza36247ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_avarzd2ev_var3234zd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_uncompzd2ev_app3337zd2zz__evaluatez00(obj_t, obj_t);
	static BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2ev_va3501ze3zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl__ev_andzf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_withzd2handlerzd2bodyzd2setz12zc0zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__ev_unwindzd2protectzd2ez00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza35867ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__ev_letza2zd2nilz70zz__evaluatez00(obj_t);
	static obj_t BGl_z52thezd2ev_letzd2nilz52zz__evaluatez00 = BUNSPEC;
	static obj_t BGl__ev_ifzd2nilzd2zz__evaluatez00(obj_t);
	static obj_t BGl__makezd2ev_trapzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_fsiza7ezd2ev_prog23278z75zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluatez00();
	static obj_t BGl_zc3anonymousza35882ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_usezd2ev_prog23355zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__z52allocatezd2ev_absz80zz__evaluatez00(obj_t);
	static obj_t BGl_fsiza7ezd2default3265z75zz__evaluatez00(BgL_ev_exprz00_bglt,
		obj_t);
	static obj_t BGl__ev_abszd2wherezd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza35872ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl__ev_varzf3zf3zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl__makezd2ev_defglobalzd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__ev_letza2zf3z51zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36268ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34665ze3z83zz__evaluatez00(obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_ev_bindzd2exitzd2nilz00zz__evaluatez00();
	static obj_t BGl_z52thezd2ev_orzd2nilz52zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_compzd2call0zd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		long);
	static obj_t BGl_compzd2call1zd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		long, obj_t);
	static obj_t BGl__ev_prog2zd2e2zd2setz12z12zz__evaluatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_uncompz00zz__evaluatez00(BgL_ev_exprz00_bglt);
	static obj_t BGl_compzd2call2zd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		long, obj_t, obj_t);
	static obj_t BGl_compzd2call3zd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza36259ze3z83zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2call4zd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl__ev_binderzd2nilzd2zz__evaluatez00(obj_t);
	static obj_t BGl__ev_littzd2nilzd2zz__evaluatez00(obj_t);
	static obj_t BGl__ev_abszd2varszd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_compzd2ev_let3398zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static BgL_ev_ifz00_bglt
		BGl_makezd2ev_ifzd2zz__evaluatez00(BgL_ev_exprz00_bglt, BgL_ev_exprz00_bglt,
		BgL_ev_exprz00_bglt);
	static obj_t BGl__ev_letza2zd2boxesz70zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_ev_setglobalz00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza34386ze3z83zz__evaluatez00(obj_t, obj_t);
	static BgL_ev_listz00_bglt BGl_ev_listzd2nilzd2zz__evaluatez00();
	static obj_t BGl_zc3anonymousza34669ze3z83zz__evaluatez00(obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_ev_withzd2handlerzd2nilz00zz__evaluatez00();
	static obj_t BGl_zc3exitza35879ze3z83zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl__ev_listzd2argszd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3417z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3421z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__z52allocatezd2ev_andz80zz__evaluatez00(obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3425z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_makezd2ev_withzd2handlerz00zz__evaluatez00(BgL_ev_exprz00_bglt,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_structzb2objectzd2ze3objec3429z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34673ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3433z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__makezd2ev_setlocalzd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_fsiza7ezd2ev_global3270z75zz__evaluatez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
	static obj_t BGl_structzb2objectzd2ze3objec3437z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_compzd2ev_trap3376zd2zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_indexz00zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3441z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_uconvz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3445z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_uncompzd2ev_let3331zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3449z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__usez00zz__evaluatez00(obj_t, obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3453z83zz__evaluatez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza36280ze3z83zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_compzd2withzd2pushz00zz__evaluatez00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_withzd2handlerzd2bodyzd2setz12zd2envz12zz__evaluatez00,
		BgL_bgl__ev_withza7d2handl8621za7,
		BGl__ev_withzd2handlerzd2bodyzd2setz12zc0zz__evaluatez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_setglobalzd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_setglobalza7d28622za7,
		BGl__ev_setglobalzd2nilzd2zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_prog2zd2e2zd2envz00zz__evaluatez00,
		BgL_bgl__ev_prog2za7d2e2za7d8623z00, BGl__ev_prog2zd2e2zd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_letza2zd2boxeszd2setz12zd2envz62zz__evaluatez00,
		BgL_bgl__ev_letza7a2za7d2box8624z00,
		BGl__ev_letza2zd2boxeszd2setz12zb0zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evaluationzd2contextezd2envzd2zz__evaluatez00,
		BgL_bgl__getza7d2evaluatio8625za7,
		BGl__getzd2evaluationzd2contextez00zz__evaluatez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_usezd2default3340zd2envz00zz__evaluatez00,
		BgL_bgl__useza7d2default338626za7, BGl__usezd2default3340zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_appzf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_appza7f3za7f3za7za7_8627z00, BGl__ev_appzf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_appzd2tailzf3zd2setz12zd2envz33zz__evaluatez00,
		BgL_bgl__ev_appza7d2tailza7f8628z00,
		BGl__ev_appzd2tailzf3zd2setz12ze1zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_setglobalzd2namezd2envz00zz__evaluatez00,
		BgL_bgl__ev_setglobalza7d28629za7,
		BGl__ev_setglobalzd2namezd2zz__evaluatez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_listzd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e8630z00,
		BGl__z52allocatezd2ev_listz80zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_andzf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_andza7f3za7f3za7za7_8631z00, BGl__ev_andzf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_varzd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_varza7d8632z00, BGl__makezd2ev_varzd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_binderzd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_binde8633za7, BGl__makezd2ev_binderzd2zz__evaluatez00,
		0L, BUNSPEC, 3);
	extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_unwindzd2protectzd2bodyzd2setz12zd2envz12zz__evaluatez00,
		BgL_bgl__ev_unwindza7d2pro8634za7,
		BGl__ev_unwindzd2protectzd2bodyzd2setz12zc0zz__evaluatez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_varzd2effzd2envz00zz__evaluatez00,
		BgL_bgl__ev_varza7d2effza7d28635z00, BGl__ev_varzd2effzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_appzd2argszd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_appza7d2argsza7d8636z00,
		BGl__ev_appzd2argszd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_globalzd2namezd2envz00zz__evaluatez00,
		BgL_bgl__ev_globalza7d2nam8637za7, BGl__ev_globalzd2namezd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2boxeszd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_absza7d2boxesza78638z00,
		BGl__ev_abszd2boxeszd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_setlocalzd2vzd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_setlocalza7d2v8639za7,
		BGl__ev_setlocalzd2vzd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_letzd2boxeszd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_letza7d2boxesza78640z00,
		BGl__ev_letzd2boxeszd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_varzd2namezd2envz00zz__evaluatez00,
		BgL_bgl__ev_varza7d2nameza7d8641z00, BGl__ev_varzd2namezd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_hookzd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e8642z00,
		BGl__z52allocatezd2ev_hookz80zz__evaluatez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_bindzd2exitzf3zd2envzf3zz__evaluatez00,
		BgL_bgl__ev_bindza7d2exitza78643z00,
		BGl__ev_bindzd2exitzf3z21zz__evaluatez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_setlocalzd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_setlocalza7d2n8644za7, BGl__ev_setlocalzd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszd2loczd2envz00zz__evaluatez00,
		BgL_bgl__ev_absza7d2locza7d28645z00, BGl__ev_abszd2loczd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_globalzd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_globalza7d2nil8646za7, BGl__ev_globalzd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_andzd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e8647z00,
		BGl__z52allocatezd2ev_andz80zz__evaluatez00, 0L, BUNSPEC, 0);
	extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_listzd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_listza78648z00, BGl__makezd2ev_listzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_withzd2handlerzd2envz80zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e8649z00,
		BGl__z52allocatezd2ev_withzd2handlerz52zz__evaluatez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_withzd2handlerzd2bodyzd2envzd2zz__evaluatez00,
		BgL_bgl__ev_withza7d2handl8650za7,
		BGl__ev_withzd2handlerzd2bodyz00zz__evaluatez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_trapzd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e8651z00,
		BGl__z52allocatezd2ev_trapz80zz__evaluatez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_binderzd2bodyzd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_binderza7d2bod8652za7,
		BGl__ev_binderzd2bodyzd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_z52allocatezd2ev_ifzd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e8653z00,
		BGl__z52allocatezd2ev_ifz80zz__evaluatez00, 0L, BUNSPEC, 0);
	extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_trapzf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_trapza7f3za7f3za7za78654z00, BGl__ev_trapzf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_abszd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e8655z00,
		BGl__z52allocatezd2ev_absz80zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_prog2zf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_prog2za7f3za7f3za78656za7, BGl__ev_prog2zf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_hookzd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_hookza78657z00, BGl__makezd2ev_hookzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_hookzd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_hookza7d2nilza7d8658z00, BGl__ev_hookzd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2bodyzd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_absza7d2bodyza7d8659z00,
		BGl__ev_abszd2bodyzd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_appzd2funzd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_appza7d2funza7d28660z00,
		BGl__ev_appzd2funzd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_listzf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_listza7f3za7f3za7za78661z00, BGl__ev_listzf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_defglobalzd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_defglobalza7d28662za7,
		BGl__ev_defglobalzd2nilzd2zz__evaluatez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2bindzd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_absza7d2bindza7d8663z00,
		BGl__ev_abszd2bindzd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_appzd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e8664z00,
		BGl__z52allocatezd2ev_appz80zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_letzd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_letza7d2nilza7d28665z00, BGl__ev_letzd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_withzd2handlerzf3zd2envzf3zz__evaluatez00,
		BgL_bgl__ev_withza7d2handl8666za7,
		BGl__ev_withzd2handlerzf3z21zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_varzd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_varza7d2nilza7d28667z00, BGl__ev_varzd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_exprzf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_exprza7f3za7f3za7za78668z00, BGl__ev_exprzf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_trapzd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_trapza78669z00, BGl__makezd2ev_trapzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_varzd2namezd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_varza7d2nameza7d8670z00,
		BGl__ev_varzd2namezd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_compzd2default3373zd2envz00zz__evaluatez00,
		BgL_bgl__compza7d2default38671za7,
		BGl__compzd2default3373zd2zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_zc3lexintzd2envz11zz__evaluatez00,
		BgL_bgl__za7c3lexintza7c3za7za7_8672z00, BGl__zc3lexintzc3zz__evaluatez00,
		0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_unwindzd2protectzd2ezd2setz12zd2envz12zz__evaluatez00,
		BgL_bgl__ev_unwindza7d2pro8673za7,
		BGl__ev_unwindzd2protectzd2ezd2setz12zc0zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_andzd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_andza7d2nilza7d28674z00, BGl__ev_andzd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_globalzd2modzd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_globalza7d2mod8675za7,
		BGl__ev_globalzd2modzd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_ifzd2pzd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_ifza7d2pza7d2set8676z00,
		BGl__ev_ifzd2pzd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evaluate2zd2envzd2zz__evaluatez00,
		BgL_bgl__evaluate2za700za7za7_8677za7, BGl__evaluate2z00zz__evaluatez00, 0L,
		BUNSPEC, 3);
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_uncompzd2envzd2zz__evaluatez00,
		BgL_bgl__uncompza700za7za7__ev8678za7, BGl__uncompz00zz__evaluatez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_letzd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e8679z00,
		BGl__z52allocatezd2ev_letz80zz__evaluatez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_setglobalzd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_setgl8680za7,
		BGl__makezd2ev_setglobalzd2zz__evaluatez00, 0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_unwindzd2protectzf3zd2envzf3zz__evaluatez00,
		BgL_bgl__ev_unwindza7d2pro8681za7,
		BGl__ev_unwindzd2protectzf3z21zz__evaluatez00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszd2wherezd2envz00zz__evaluatez00,
		BgL_bgl__ev_absza7d2whereza78682z00, BGl__ev_abszd2wherezd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_ifzd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_ifza7d28683z00, BGl__makezd2ev_ifzd2zz__evaluatez00,
		0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_setlocalzd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e8684z00,
		BGl__z52allocatezd2ev_setlocalz80zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_letza2zf3zd2envz83zz__evaluatez00,
		BgL_bgl__ev_letza7a2za7f3za7518685za7, BGl__ev_letza2zf3z51zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evaluationzd2contextez12zd2envzc0zz__evaluatez00,
		BgL_bgl__setza7d2evaluatio8686za7,
		BGl__setzd2evaluationzd2contextez12z12zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_listzd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_listza7d2nilza7d8687z00, BGl__ev_listzd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_letzd2boxeszd2envz00zz__evaluatez00,
		BgL_bgl__ev_letza7d2boxesza78688z00, BGl__ev_letzd2boxeszd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszd2siza7ezd2envza7zz__evaluatez00,
		BgL_bgl__ev_absza7d2siza7a7e8689z00, BGl__ev_abszd2siza7ez75zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_prog2zd2e1zd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_prog2za7d2e1za7d8690z00,
		BGl__ev_prog2zd2e1zd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszd2arityzd2envz00zz__evaluatez00,
		BgL_bgl__ev_absza7d2arityza78691z00, BGl__ev_abszd2arityzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_defglobalzd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_defgl8692za7,
		BGl__makezd2ev_defglobalzd2zz__evaluatez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_varzf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_varza7f3za7f3za7za7_8693z00, BGl__ev_varzf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_orzf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_orza7f3za7f3za7za7__8694z00, BGl__ev_orzf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_unwindzd2protectzd2envz80zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e8695z00,
		BGl__z52allocatezd2ev_unwindzd2protectz52zz__evaluatez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_bindzd2exitzd2envz80zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e8696z00,
		BGl__z52allocatezd2ev_bindzd2exitz52zz__evaluatez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_binderzd2varszd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_binderza7d2var8697za7,
		BGl__ev_binderzd2varszd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_appzd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_appza7d2nilza7d28698z00, BGl__ev_appzd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_avarzd2default3231zd2envz00zz__evaluatez00,
		BgL_bgl__avarza7d2default38699za7,
		BGl__avarzd2default3231zd2zz__evaluatez00, 0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_globalzd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_globa8700za7, BGl__makezd2ev_globalzd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszd2innerzd2envz00zz__evaluatez00,
		BgL_bgl__ev_absza7d2innerza78701z00, BGl__ev_abszd2innerzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_letreczd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_letre8702za7, BGl__makezd2ev_letreczd2zz__evaluatez00,
		0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_bindzd2exitzd2nilzd2envzd2zz__evaluatez00,
		BgL_bgl__ev_bindza7d2exitza78703z00,
		BGl__ev_bindzd2exitzd2nilz00zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_ifzf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_ifza7f3za7f3za7za7__8704z00, BGl__ev_ifzf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_varzd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e8705z00,
		BGl__z52allocatezd2ev_varz80zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_setlocalzd2vzd2envz00zz__evaluatez00,
		BgL_bgl__ev_setlocalza7d2v8706za7, BGl__ev_setlocalzd2vzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_exprzd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e8707z00,
		BGl__z52allocatezd2ev_exprz80zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_GENERIC(BGl_usezd2envzd2zz__evaluatez00,
		BgL_bgl__useza700za7za7__evalu8708za7, BGl__usez00zz__evaluatez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_unwindzd2protectzd2nilzd2envzd2zz__evaluatez00,
		BgL_bgl__ev_unwindza7d2pro8709za7,
		BGl__ev_unwindzd2protectzd2nilz00zz__evaluatez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2varszd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_absza7d2varsza7d8710z00,
		BGl__ev_abszd2varszd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_ifzd2ezd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_ifza7d2eza7d2set8711z00,
		BGl__ev_ifzd2ezd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_globalzf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_globalza7f3za7f38712z00, BGl__ev_globalzf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_littzd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_littza7d2nilza7d8713z00, BGl__ev_littzd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_ifzd2ezd2envz00zz__evaluatez00,
		BgL_bgl__ev_ifza7d2eza7d2za7za7_8714z00, BGl__ev_ifzd2ezd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_binderzd2bodyzd2envz00zz__evaluatez00,
		BgL_bgl__ev_binderza7d2bod8715za7, BGl__ev_binderzd2bodyzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8171z00zz__evaluatez00,
		BgL_bgl_string8171za700za7za7_8716za7, "all", 3);
	      DEFINE_STRING(BGl_string8172z00zz__evaluatez00,
		BgL_bgl_string8172za700za7za7_8717za7, "", 0);
	      DEFINE_STRING(BGl_string8174z00zz__evaluatez00,
		BgL_bgl_string8174za700za7za7_8718za7, "bounce", 6);
	      DEFINE_STRING(BGl_string8175z00zz__evaluatez00,
		BgL_bgl_string8175za700za7za7_8719za7, "non non non", 11);
	      DEFINE_STRING(BGl_string8177z00zz__evaluatez00,
		BgL_bgl_string8177za700za7za7_8720za7, "nowhere", 7);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_makezd2ev_unwindzd2protectzd2envzd2zz__evaluatez00,
		BgL_bgl__makeza7d2ev_unwin8721za7,
		BGl__makezd2ev_unwindzd2protectz00zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8179z00zz__evaluatez00,
		BgL_bgl_string8179za700za7za7_8722za7, "never", 5);
	      DEFINE_STRING(BGl_string8181z00zz__evaluatez00,
		BgL_bgl_string8181za700za7za7_8723za7, "fake", 4);
	      DEFINE_STRING(BGl_string8183z00zz__evaluatez00,
		BgL_bgl_string8183za700za7za7_8724za7, "index", 5);
	      DEFINE_STRING(BGl_string8184z00zz__evaluatez00,
		BgL_bgl_string8184za700za7za7_8725za7, " in ", 4);
	      DEFINE_STRING(BGl_string8185z00zz__evaluatez00,
		BgL_bgl_string8185za700za7za7_8726za7, "not found", 9);
	      DEFINE_STRING(BGl_string8187z00zz__evaluatez00,
		BgL_bgl_string8187za700za7za7_8727za7, "conv-begin", 10);
	      DEFINE_STRING(BGl_string8188z00zz__evaluatez00,
		BgL_bgl_string8188za700za7za7_8728za7, "bad syntax", 10);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_prog2zd2e2zd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_prog2za7d2e2za7d8729z00,
		BGl__ev_prog2zd2e2zd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8200z00zz__evaluatez00,
		BgL_bgl_string8200za700za7za7_8730za7, "and", 3);
	      DEFINE_STRING(BGl_string8190z00zz__evaluatez00,
		BgL_bgl_string8190za700za7za7_8731za7, "module", 6);
	      DEFINE_STRING(BGl_string8202z00zz__evaluatez00,
		BgL_bgl_string8202za700za7za7_8732za7, "begin", 5);
	      DEFINE_STRING(BGl_string8192z00zz__evaluatez00,
		BgL_bgl_string8192za700za7za7_8733za7, "trap", 4);
	      DEFINE_STRING(BGl_string8204z00zz__evaluatez00,
		BgL_bgl_string8204za700za7za7_8734za7, "let", 3);
	      DEFINE_STRING(BGl_string8194z00zz__evaluatez00,
		BgL_bgl_string8194za700za7za7_8735za7, "quote", 5);
	      DEFINE_STRING(BGl_string8206z00zz__evaluatez00,
		BgL_bgl_string8206za700za7za7_8736za7, "let*", 4);
	      DEFINE_STRING(BGl_string8196z00zz__evaluatez00,
		BgL_bgl_string8196za700za7za7_8737za7, "if", 2);
	      DEFINE_STRING(BGl_string8208z00zz__evaluatez00,
		BgL_bgl_string8208za700za7za7_8738za7, "letrec", 6);
	      DEFINE_STRING(BGl_string8198z00zz__evaluatez00,
		BgL_bgl_string8198za700za7za7_8739za7, "or", 2);
	      DEFINE_STRING(BGl_string8210z00zz__evaluatez00,
		BgL_bgl_string8210za700za7za7_8740za7, "set!", 4);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_binderzd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e8741z00,
		BGl__z52allocatezd2ev_binderz80zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string8212z00zz__evaluatez00,
		BgL_bgl_string8212za700za7za7_8742za7, "define", 6);
	      DEFINE_STRING(BGl_string8214z00zz__evaluatez00,
		BgL_bgl_string8214za700za7za7_8743za7, "lambda", 6);
	      DEFINE_STRING(BGl_string8216z00zz__evaluatez00,
		BgL_bgl_string8216za700za7za7_8744za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string8218z00zz__evaluatez00,
		BgL_bgl_string8218za700za7za7_8745za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string8220z00zz__evaluatez00,
		BgL_bgl_string8220za700za7za7_8746za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string8222z00zz__evaluatez00,
		BgL_bgl_string8222za700za7za7_8747za7, "eval", 4);
	      DEFINE_STRING(BGl_string8223z00zz__evaluatez00,
		BgL_bgl_string8223za700za7za7_8748za7, "not a procedure", 15);
	      DEFINE_STRING(BGl_string8225z00zz__evaluatez00,
		BgL_bgl_string8225za700za7za7_8749za7, "user", 4);
	      DEFINE_STRING(BGl_string8226z00zz__evaluatez00,
		BgL_bgl_string8226za700za7za7_8750za7, "stack overflow", 14);
	      DEFINE_STRING(BGl_string8227z00zz__evaluatez00,
		BgL_bgl_string8227za700za7za7_8751za7, "arity mismatch", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_exprzd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_exprza78752z00, BGl__makezd2ev_exprzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string8228z00zz__evaluatez00,
		BgL_bgl_string8228za700za7za7_8753za7, "wrong number of arguments", 25);
	      DEFINE_STRING(BGl_string8230z00zz__evaluatez00,
		BgL_bgl_string8230za700za7za7_8754za7, "not enought arguments", 21);
	      DEFINE_STRING(BGl_string8229z00zz__evaluatez00,
		BgL_bgl_string8229za700za7za7_8755za7, "bad type", 8);
	      DEFINE_STRING(BGl_string8231z00zz__evaluatez00,
		BgL_bgl_string8231za700za7za7_8756za7, "too much argument", 17);
	      DEFINE_STRING(BGl_string8233z00zz__evaluatez00,
		BgL_bgl_string8233za700za7za7_8757za7, "mcell", 5);
	      DEFINE_STRING(BGl_string8235z00zz__evaluatez00,
		BgL_bgl_string8235za700za7za7_8758za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string8237z00zz__evaluatez00,
		BgL_bgl_string8237za700za7za7_8759za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string8239z00zz__evaluatez00,
		BgL_bgl_string8239za700za7za7_8760za7, "name", 4);
	      DEFINE_STRING(BGl_string8241z00zz__evaluatez00,
		BgL_bgl_string8241za700za7za7_8761za7, "eff", 3);
	      DEFINE_STRING(BGl_string8243z00zz__evaluatez00,
		BgL_bgl_string8243za700za7za7_8762za7, "ev_global", 9);
	      DEFINE_STRING(BGl_string8245z00zz__evaluatez00,
		BgL_bgl_string8245za700za7za7_8763za7, "mod", 3);
	      DEFINE_STRING(BGl_string8247z00zz__evaluatez00,
		BgL_bgl_string8247za700za7za7_8764za7, "ev_litt", 7);
	      DEFINE_STRING(BGl_string8249z00zz__evaluatez00,
		BgL_bgl_string8249za700za7za7_8765za7, "value", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_letreczf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_letrecza7f3za7f38766z00, BGl__ev_letreczf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8251z00zz__evaluatez00,
		BgL_bgl_string8251za700za7za7_8767za7, "ev_if", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_ifzd2tzd2envz00zz__evaluatez00,
		BgL_bgl__ev_ifza7d2tza7d2za7za7_8768z00, BGl__ev_ifzd2tzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8253z00zz__evaluatez00,
		BgL_bgl_string8253za700za7za7_8769za7, "p", 1);
	extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string8255z00zz__evaluatez00,
		BgL_bgl_string8255za700za7za7_8770za7, "t", 1);
	      DEFINE_STRING(BGl_string8257z00zz__evaluatez00,
		BgL_bgl_string8257za700za7za7_8771za7, "e", 1);
	      DEFINE_STRING(BGl_string8259z00zz__evaluatez00,
		BgL_bgl_string8259za700za7za7_8772za7, "ev_list", 7);
	      DEFINE_STRING(BGl_string8261z00zz__evaluatez00,
		BgL_bgl_string8261za700za7za7_8773za7, "args", 4);
	      DEFINE_STRING(BGl_string8263z00zz__evaluatez00,
		BgL_bgl_string8263za700za7za7_8774za7, "ev_or", 5);
	      DEFINE_STRING(BGl_string8265z00zz__evaluatez00,
		BgL_bgl_string8265za700za7za7_8775za7, "ev_and", 6);
	      DEFINE_STRING(BGl_string8267z00zz__evaluatez00,
		BgL_bgl_string8267za700za7za7_8776za7, "ev_prog2", 8);
	extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string8269z00zz__evaluatez00,
		BgL_bgl_string8269za700za7za7_8777za7, "e1", 2);
	      DEFINE_STRING(BGl_string8271z00zz__evaluatez00,
		BgL_bgl_string8271za700za7za7_8778za7, "e2", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8455z00zz__evaluatez00,
		BgL_bgl_avarza7d2ev_var3238779za7, BGl_avarzd2ev_var3234zd2zz__evaluatez00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8456z00zz__evaluatez00,
		BgL_bgl_avarza7d2ev_global8780za7,
		BGl_avarzd2ev_global3236zd2zz__evaluatez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string8273z00zz__evaluatez00,
		BgL_bgl_string8273za700za7za7_8781za7, "ev_hook", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8457z00zz__evaluatez00,
		BgL_bgl_avarza7d2ev_litt328782za7, BGl_avarzd2ev_litt3238zd2zz__evaluatez00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8458z00zz__evaluatez00,
		BgL_bgl_avarza7d2ev_if32408783za7, BGl_avarzd2ev_if3240zd2zz__evaluatez00,
		0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string8275z00zz__evaluatez00,
		BgL_bgl_string8275za700za7za7_8784za7, "ev_trap", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8460z00zz__evaluatez00,
		BgL_bgl_avarza7d2ev_prog238785za7,
		BGl_avarzd2ev_prog23244zd2zz__evaluatez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8459z00zz__evaluatez00,
		BgL_bgl_avarza7d2ev_list328786za7, BGl_avarzd2ev_list3242zd2zz__evaluatez00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8461z00zz__evaluatez00,
		BgL_bgl_avarza7d2ev_hook328787za7, BGl_avarzd2ev_hook3246zd2zz__evaluatez00,
		0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string8277z00zz__evaluatez00,
		BgL_bgl_string8277za700za7za7_8788za7, "ev_setlocal", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8462z00zz__evaluatez00,
		BgL_bgl_avarza7d2ev_setloc8789za7,
		BGl_avarzd2ev_setlocal3248zd2zz__evaluatez00, 0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_z52allocatezd2ev_orzd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e8790z00,
		BGl__z52allocatezd2ev_orz80zz__evaluatez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2siza7ezd2setz12zd2envz67zz__evaluatez00,
		BgL_bgl__ev_absza7d2siza7a7e8791z00,
		BGl__ev_abszd2siza7ezd2setz12zb5zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8463z00zz__evaluatez00,
		BgL_bgl_avarza7d2ev_bindza7d8792z00,
		BGl_avarzd2ev_bindzd2exit3250z00zz__evaluatez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string8279z00zz__evaluatez00,
		BgL_bgl_string8279za700za7za7_8793za7, "v", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8464z00zz__evaluatez00,
		BgL_bgl_avarza7d2ev_unwind8794za7,
		BGl_avarzd2ev_unwindzd2prote3252z00zz__evaluatez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string8281z00zz__evaluatez00,
		BgL_bgl_string8281za700za7za7_8795za7, "ev_setglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8465z00zz__evaluatez00,
		BgL_bgl_avarza7d2ev_withza7d8796z00,
		BGl_avarzd2ev_withzd2handler3254z00zz__evaluatez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8466z00zz__evaluatez00,
		BgL_bgl_avarza7d2ev_let3258797za7, BGl_avarzd2ev_let3256zd2zz__evaluatez00,
		0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string8283z00zz__evaluatez00,
		BgL_bgl_string8283za700za7za7_8798za7, "ev_defglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8467z00zz__evaluatez00,
		BgL_bgl_avarza7d2ev_letza7a28799z00,
		BGl_avarzd2ev_letza23258z70zz__evaluatez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8468z00zz__evaluatez00,
		BgL_bgl_avarza7d2ev_letrec8800za7,
		BGl_avarzd2ev_letrec3260zd2zz__evaluatez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string8285z00zz__evaluatez00,
		BgL_bgl_string8285za700za7za7_8801za7, "ev_bind-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8470z00zz__evaluatez00,
		BgL_bgl_avarza7d2ev_abs3268802za7, BGl_avarzd2ev_abs3264zd2zz__evaluatez00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8469z00zz__evaluatez00,
		BgL_bgl_avarza7d2ev_app3268803za7, BGl_avarzd2ev_app3262zd2zz__evaluatez00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8471z00zz__evaluatez00,
		BgL_bgl_fsiza7a7eza7d2ev_var8804z00,
		BGl_fsiza7ezd2ev_var3268z75zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8287z00zz__evaluatez00,
		BgL_bgl_string8287za700za7za7_8805za7, "var", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8473z00zz__evaluatez00,
		BgL_bgl_fsiza7a7eza7d2ev_glo8806z00,
		BGl_fsiza7ezd2ev_global3270z75zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8289z00zz__evaluatez00,
		BgL_bgl_string8289za700za7za7_8807za7, "body", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8474z00zz__evaluatez00,
		BgL_bgl_fsiza7a7eza7d2ev_lit8808z00,
		BGl_fsiza7ezd2ev_litt3272z75zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8301z00zz__evaluatez00,
		BgL_bgl_string8301za700za7za7_8809za7, "vals", 4);
	      DEFINE_STRING(BGl_string8291z00zz__evaluatez00,
		BgL_bgl_string8291za700za7za7_8810za7, "ev_unwind-protect", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8475z00zz__evaluatez00,
		BgL_bgl_fsiza7a7eza7d2ev_if38811z00,
		BGl_fsiza7ezd2ev_if3274z75zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8476z00zz__evaluatez00,
		BgL_bgl_fsiza7a7eza7d2ev_lis8812z00,
		BGl_fsiza7ezd2ev_list3276z75zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8303z00zz__evaluatez00,
		BgL_bgl_string8303za700za7za7_8813za7, "ev_let", 6);
	      DEFINE_STRING(BGl_string8293z00zz__evaluatez00,
		BgL_bgl_string8293za700za7za7_8814za7, "ev_with-handler", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8477z00zz__evaluatez00,
		BgL_bgl_fsiza7a7eza7d2ev_pro8815z00,
		BGl_fsiza7ezd2ev_prog23278z75zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8478z00zz__evaluatez00,
		BgL_bgl_fsiza7a7eza7d2ev_hoo8816z00,
		BGl_fsiza7ezd2ev_hook3280z75zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8305z00zz__evaluatez00,
		BgL_bgl_string8305za700za7za7_8817za7, "boxes", 5);
	      DEFINE_STRING(BGl_string8295z00zz__evaluatez00,
		BgL_bgl_string8295za700za7za7_8818za7, "handler", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8480z00zz__evaluatez00,
		BgL_bgl_fsiza7a7eza7d2ev_unw8819z00,
		BGl_fsiza7ezd2ev_unwindzd2prot3284za7zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8479z00zz__evaluatez00,
		BgL_bgl_fsiza7a7eza7d2ev_bin8820z00,
		BGl_fsiza7ezd2ev_bindzd2exit3282za7zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8481z00zz__evaluatez00,
		BgL_bgl_fsiza7a7eza7d2ev_wit8821z00,
		BGl_fsiza7ezd2ev_withzd2handle3286za7zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8297z00zz__evaluatez00,
		BgL_bgl_string8297za700za7za7_8822za7, "ev_binder", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8482z00zz__evaluatez00,
		BgL_bgl_fsiza7a7eza7d2ev_let8823z00,
		BGl_fsiza7ezd2ev_let3288z75zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8308z00zz__evaluatez00,
		BgL_bgl_string8308za700za7za7_8824za7, "ev_let*", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8483z00zz__evaluatez00,
		BgL_bgl_fsiza7a7eza7d2ev_let8825z00,
		BGl_fsiza7ezd2ev_letza23290zd7zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8310z00zz__evaluatez00,
		BgL_bgl_string8310za700za7za7_8826za7, "ev_letrec", 9);
	      DEFINE_STRING(BGl_string8299z00zz__evaluatez00,
		BgL_bgl_string8299za700za7za7_8827za7, "vars", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8484z00zz__evaluatez00,
		BgL_bgl_fsiza7a7eza7d2ev_let8828z00,
		BGl_fsiza7ezd2ev_letrec3292z75zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8485z00zz__evaluatez00,
		BgL_bgl_fsiza7a7eza7d2ev_app8829z00,
		BGl_fsiza7ezd2ev_app3294z75zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8312z00zz__evaluatez00,
		BgL_bgl_string8312za700za7za7_8830za7, "ev_app", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8486z00zz__evaluatez00,
		BgL_bgl_fsiza7a7eza7d2ev_abs8831z00,
		BGl_fsiza7ezd2ev_abs3296z75zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8487z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_var38832za7,
		BGl_uncompzd2ev_var3301zd2zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8314z00zz__evaluatez00,
		BgL_bgl_string8314za700za7za7_8833za7, "loc", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8488z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_glob8834za7,
		BGl_uncompzd2ev_global3303zd2zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8500z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_with8835za7,
		BGl_uncompzd2ev_withzd2handl3328z00zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8490z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_if338836za7, BGl_uncompzd2ev_if3307zd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8489z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_litt8837za7,
		BGl_uncompzd2ev_litt3305zd2zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8316z00zz__evaluatez00,
		BgL_bgl_string8316za700za7za7_8838za7, "fun", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8501z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_let38839za7,
		BGl_uncompzd2ev_let3331zd2zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8491z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_or338840za7, BGl_uncompzd2ev_or3309zd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8502z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_letza78841z00,
		BGl_uncompzd2ev_letza23333z70zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8492z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_and38842za7,
		BGl_uncompzd2ev_and3311zd2zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8318z00zz__evaluatez00,
		BgL_bgl_string8318za700za7za7_8843za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8503z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_letr8844za7,
		BGl_uncompzd2ev_letrec3335zd2zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8493z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_prog8845za7,
		BGl_uncompzd2ev_prog23313zd2zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8320z00zz__evaluatez00,
		BgL_bgl_string8320za700za7za7_8846za7, "ev_abs", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8504z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_app38847za7,
		BGl_uncompzd2ev_app3337zd2zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8494z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_trap8848za7,
		BGl_uncompzd2ev_trap3315zd2zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8505z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_abs38849za7,
		BGl_uncompzd2ev_abs3339zd2zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8495z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_setg8850za7,
		BGl_uncompzd2ev_setglobal3317zd2zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8322z00zz__evaluatez00,
		BgL_bgl_string8322za700za7za7_8851za7, "where", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8506z00zz__evaluatez00,
		BgL_bgl_useza7d2ev_var33438852za7, BGl_usezd2ev_var3343zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8496z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_defg8853za7,
		BGl_uncompzd2ev_defglobal3319zd2zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8507z00zz__evaluatez00,
		BgL_bgl_useza7d2ev_global38854za7,
		BGl_usezd2ev_global3345zd2zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8497z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_setl8855za7,
		BGl_uncompzd2ev_setlocal3321zd2zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8324z00zz__evaluatez00,
		BgL_bgl_string8324za700za7za7_8856za7, "arity", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8508z00zz__evaluatez00,
		BgL_bgl_useza7d2ev_litt3348857za7, BGl_usezd2ev_litt3348zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8498z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_bind8858za7,
		BGl_uncompzd2ev_bindzd2exit3323z00zz__evaluatez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2innerzd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_absza7d2innerza78859z00,
		BGl__ev_abszd2innerzd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8510z00zz__evaluatez00,
		BgL_bgl_useza7d2ev_list3358860za7, BGl_usezd2ev_list3353zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8509z00zz__evaluatez00,
		BgL_bgl_useza7d2ev_if3351za78861z00, BGl_usezd2ev_if3351zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8499z00zz__evaluatez00,
		BgL_bgl_uncompza7d2ev_unwi8862za7,
		BGl_uncompzd2ev_unwindzd2pro3325z00zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8326z00zz__evaluatez00,
		BgL_bgl_string8326za700za7za7_8863za7, "size", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8511z00zz__evaluatez00,
		BgL_bgl_useza7d2ev_prog2338864za7, BGl_usezd2ev_prog23355zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8512z00zz__evaluatez00,
		BgL_bgl_useza7d2ev_hook3358865za7, BGl_usezd2ev_hook3357zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8328z00zz__evaluatez00,
		BgL_bgl_string8328za700za7za7_8866za7, "bind", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8513z00zz__evaluatez00,
		BgL_bgl_useza7d2ev_setloca8867za7,
		BGl_usezd2ev_setlocal3359zd2zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8330z00zz__evaluatez00,
		BgL_bgl_string8330za700za7za7_8868za7, "free", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8514z00zz__evaluatez00,
		BgL_bgl_useza7d2ev_bindza7d28869z00,
		BGl_usezd2ev_bindzd2exit3361z00zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8515z00zz__evaluatez00,
		BgL_bgl_useza7d2ev_unwindza78870z00,
		BGl_usezd2ev_unwindzd2protec3363z00zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8332z00zz__evaluatez00,
		BgL_bgl_string8332za700za7za7_8871za7, "inner", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8516z00zz__evaluatez00,
		BgL_bgl_useza7d2ev_withza7d28872z00,
		BGl_usezd2ev_withzd2handler3365z00zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8333z00zz__evaluatez00,
		BgL_bgl_string8333za700za7za7_8873za7,
		"/tmp/bigloo/runtime/Eval/evaluate.scm", 37);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8517z00zz__evaluatez00,
		BgL_bgl_useza7d2ev_binder38874za7,
		BGl_usezd2ev_binder3367zd2zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8334z00zz__evaluatez00,
		BgL_bgl_string8334za700za7za7_8875za7, "_make-ev_abs", 12);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_varzd2effzd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_varza7d2effza7d28876z00,
		BGl__ev_varzd2effzd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8518z00zz__evaluatez00,
		BgL_bgl_useza7d2ev_app33708877za7, BGl_usezd2ev_app3370zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8335z00zz__evaluatez00,
		BgL_bgl_string8335za700za7za7_8878za7, "bint", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8520z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_trap338879za7, BGl_compzd2ev_trap3376zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8519z00zz__evaluatez00,
		BgL_bgl_useza7d2ev_abs33728880za7, BGl_usezd2ev_abs3372zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8336z00zz__evaluatez00,
		BgL_bgl_string8336za700za7za7_8881za7, "_ev_abs-loc", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8521z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_var3378882za7, BGl_compzd2ev_var3378zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8337z00zz__evaluatez00,
		BgL_bgl_string8337za700za7za7_8883za7, "_ev_abs-where", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8522z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_setloc8884za7,
		BGl_compzd2ev_setlocal3380zd2zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8338z00zz__evaluatez00,
		BgL_bgl_string8338za700za7za7_8885za7, "_ev_abs-arity", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8523z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_global8886za7,
		BGl_compzd2ev_global3382zd2zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8340z00zz__evaluatez00,
		BgL_bgl_string8340za700za7za7_8887za7, "_ev_abs-vars", 12);
	      DEFINE_STRING(BGl_string8339z00zz__evaluatez00,
		BgL_bgl_string8339za700za7za7_8888za7, "_ev_abs-vars-set!", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8524z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_setglo8889za7,
		BGl_compzd2ev_setglobal3384zd2zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8341z00zz__evaluatez00,
		BgL_bgl_string8341za700za7za7_8890za7, "_ev_abs-body-set!", 17);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_appzd2tailzf3zd2envzf3zz__evaluatez00,
		BgL_bgl__ev_appza7d2tailza7f8891z00,
		BGl__ev_appzd2tailzf3z21zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8525z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_defglo8892za7,
		BGl_compzd2ev_defglobal3386zd2zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8342z00zz__evaluatez00,
		BgL_bgl_string8342za700za7za7_8893za7, "_ev_abs-body", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8526z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_litt338894za7, BGl_compzd2ev_litt3388zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8343z00zz__evaluatez00,
		BgL_bgl_string8343za700za7za7_8895za7, "_ev_abs-size-set!", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8527z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_if33908896za7, BGl_compzd2ev_if3390zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8344z00zz__evaluatez00,
		BgL_bgl_string8344za700za7za7_8897za7, "_ev_abs-size", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8528z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_or33928898za7, BGl_compzd2ev_or3392zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8345z00zz__evaluatez00,
		BgL_bgl_string8345za700za7za7_8899za7, "_ev_abs-bind-set!", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8530z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_prog238900za7,
		BGl_compzd2ev_prog23396zd2zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8529z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_and3398901za7, BGl_compzd2ev_and3394zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8346z00zz__evaluatez00,
		BgL_bgl_string8346za700za7za7_8902za7, "_ev_abs-bind", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8531z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_let3398903za7, BGl_compzd2ev_let3398zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8347z00zz__evaluatez00,
		BgL_bgl_string8347za700za7za7_8904za7, "_ev_abs-free-set!", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8532z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_letza7a28905z00,
		BGl_compzd2ev_letza23400z70zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8348z00zz__evaluatez00,
		BgL_bgl_string8348za700za7za7_8906za7, "_ev_abs-free", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8533z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_letrec8907za7,
		BGl_compzd2ev_letrec3402zd2zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8350z00zz__evaluatez00,
		BgL_bgl_string8350za700za7za7_8908za7, "_ev_abs-inner", 13);
	      DEFINE_STRING(BGl_string8349z00zz__evaluatez00,
		BgL_bgl_string8349za700za7za7_8909za7, "_ev_abs-inner-set!", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8534z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_bindza7d8910z00,
		BGl_compzd2ev_bindzd2exit3404z00zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8351z00zz__evaluatez00,
		BgL_bgl_string8351za700za7za7_8911za7, "_ev_abs-boxes-set!", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8535z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_unwind8912za7,
		BGl_compzd2ev_unwindzd2prote3406z00zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8352z00zz__evaluatez00,
		BgL_bgl_string8352za700za7za7_8913za7, "_ev_abs-boxes", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8536z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_withza7d8914z00,
		BGl_compzd2ev_withzd2handler3408z00zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8353z00zz__evaluatez00,
		BgL_bgl_string8353za700za7za7_8915za7, "_make-ev_app", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8537z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_app3418916za7, BGl_compzd2ev_app3410zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8354z00zz__evaluatez00,
		BgL_bgl_string8354za700za7za7_8917za7, "_ev_app-loc-set!", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8538z00zz__evaluatez00,
		BgL_bgl_compza7d2ev_abs3418918za7, BGl_compzd2ev_abs3412zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8355z00zz__evaluatez00,
		BgL_bgl_string8355za700za7za7_8919za7, "_ev_app-loc", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8539z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8920z00,
		BGl_objectzd2ze3structzd2ev_ab3415ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8356z00zz__evaluatez00,
		BgL_bgl_string8356za700za7za7_8921za7, "_ev_app-fun-set!", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_absza7f3za7f3za7za7_8922z00, BGl__ev_abszf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8541z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78923z00,
		BGl_structzb2objectzd2ze3objec3417z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8357z00zz__evaluatez00,
		BgL_bgl_string8357za700za7za7_8924za7, "_ev_app-fun", 11);
	      DEFINE_STRING(BGl_string8358z00zz__evaluatez00,
		BgL_bgl_string8358za700za7za7_8925za7, "_ev_app-args-set!", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8543z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8926z00,
		BGl_objectzd2ze3structzd2ev_ap3419ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8360z00zz__evaluatez00,
		BgL_bgl_string8360za700za7za7_8927za7, "_ev_app-tail?-set!", 18);
	      DEFINE_STRING(BGl_string8359z00zz__evaluatez00,
		BgL_bgl_string8359za700za7za7_8928za7, "_ev_app-args", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8544z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78929z00,
		BGl_structzb2objectzd2ze3objec3421z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8361z00zz__evaluatez00,
		BgL_bgl_string8361za700za7za7_8930za7, "_ev_app-tail?", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8545z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8931z00,
		BGl_objectzd2ze3structzd2ev_le3423ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8362z00zz__evaluatez00,
		BgL_bgl_string8362za700za7za7_8932za7, "_make-ev_letrec", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8546z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78933z00,
		BGl_structzb2objectzd2ze3objec3425z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8363z00zz__evaluatez00,
		BgL_bgl_string8363za700za7za7_8934za7, "_make-ev_let*", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8547z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8935z00,
		BGl_objectzd2ze3structzd2ev_le3427ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8364z00zz__evaluatez00,
		BgL_bgl_string8364za700za7za7_8936za7, "_ev_let*-boxes-set!", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8548z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78937z00,
		BGl_structzb2objectzd2ze3objec3429z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8365z00zz__evaluatez00,
		BgL_bgl_string8365za700za7za7_8938za7, "_ev_let*-boxes", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8550z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78939z00,
		BGl_structzb2objectzd2ze3objec3433z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8549z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8940z00,
		BGl_objectzd2ze3structzd2ev_le3431ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8366z00zz__evaluatez00,
		BgL_bgl_string8366za700za7za7_8941za7, "_make-ev_let", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8551z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8942z00,
		BGl_objectzd2ze3structzd2ev_bi3435ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8367z00zz__evaluatez00,
		BgL_bgl_string8367za700za7za7_8943za7, "_ev_let-boxes-set!", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8552z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78944z00,
		BGl_structzb2objectzd2ze3objec3437z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8368z00zz__evaluatez00,
		BgL_bgl_string8368za700za7za7_8945za7, "_ev_let-boxes", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8553z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8946z00,
		BGl_objectzd2ze3structzd2ev_wi3439ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8370z00zz__evaluatez00,
		BgL_bgl_string8370za700za7za7_8947za7, "_ev_binder-vars-set!", 20);
	      DEFINE_STRING(BGl_string8369z00zz__evaluatez00,
		BgL_bgl_string8369za700za7za7_8948za7, "_make-ev_binder", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8554z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78949z00,
		BGl_structzb2objectzd2ze3objec3441z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8371z00zz__evaluatez00,
		BgL_bgl_string8371za700za7za7_8950za7, "_ev_binder-vars", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8555z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8951z00,
		BGl_objectzd2ze3structzd2ev_un3443ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8372z00zz__evaluatez00,
		BgL_bgl_string8372za700za7za7_8952za7, "_ev_binder-vals-set!", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8556z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78953z00,
		BGl_structzb2objectzd2ze3objec3445z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8373z00zz__evaluatez00,
		BgL_bgl_string8373za700za7za7_8954za7, "_ev_binder-vals", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8557z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8955z00,
		BGl_objectzd2ze3structzd2ev_bi3447ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8374z00zz__evaluatez00,
		BgL_bgl_string8374za700za7za7_8956za7, "_ev_binder-body-set!", 20);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_letza2zd2boxeszd2envza2zz__evaluatez00,
		BgL_bgl__ev_letza7a2za7d2box8957z00,
		BGl__ev_letza2zd2boxesz70zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8558z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78958z00,
		BGl_structzb2objectzd2ze3objec3449z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8375z00zz__evaluatez00,
		BgL_bgl_string8375za700za7za7_8959za7, "_ev_binder-body", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8560z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78960z00,
		BGl_structzb2objectzd2ze3objec3453z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8559z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8961z00,
		BGl_objectzd2ze3structzd2ev_de3451ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8376z00zz__evaluatez00,
		BgL_bgl_string8376za700za7za7_8962za7, "_make-ev_with-handler", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8561z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8963z00,
		BGl_objectzd2ze3structzd2ev_se3455ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8377z00zz__evaluatez00,
		BgL_bgl_string8377za700za7za7_8964za7, "_ev_with-handler-handler-set!", 29);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8562z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78965z00,
		BGl_structzb2objectzd2ze3objec3457z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8378z00zz__evaluatez00,
		BgL_bgl_string8378za700za7za7_8966za7, "_ev_with-handler-handler", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8563z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8967z00,
		BGl_objectzd2ze3structzd2ev_se3459ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8380z00zz__evaluatez00,
		BgL_bgl_string8380za700za7za7_8968za7, "_ev_with-handler-body", 21);
	      DEFINE_STRING(BGl_string8379z00zz__evaluatez00,
		BgL_bgl_string8379za700za7za7_8969za7, "_ev_with-handler-body-set!", 26);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8564z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78970z00,
		BGl_structzb2objectzd2ze3objec3461z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8381z00zz__evaluatez00,
		BgL_bgl_string8381za700za7za7_8971za7, "_make-ev_unwind-protect", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8565z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8972z00,
		BGl_objectzd2ze3structzd2ev_tr3463ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8382z00zz__evaluatez00,
		BgL_bgl_string8382za700za7za7_8973za7, "_ev_unwind-protect-e-set!", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_appzd2loczd2envz00zz__evaluatez00,
		BgL_bgl__ev_appza7d2locza7d28974z00, BGl__ev_appzd2loczd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8566z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78975z00,
		BGl_structzb2objectzd2ze3objec3465z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8383z00zz__evaluatez00,
		BgL_bgl_string8383za700za7za7_8976za7, "_ev_unwind-protect-e", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8567z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8977z00,
		BGl_objectzd2ze3structzd2ev_ho3467ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8384z00zz__evaluatez00,
		BgL_bgl_string8384za700za7za7_8978za7, "_ev_unwind-protect-body-set!", 28);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8568z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78979z00,
		BGl_structzb2objectzd2ze3objec3469z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8385z00zz__evaluatez00,
		BgL_bgl_string8385za700za7za7_8980za7, "_ev_unwind-protect-body", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8570z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78981z00,
		BGl_structzb2objectzd2ze3objec3474z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8569z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8982z00,
		BGl_objectzd2ze3structzd2ev_pr3471ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8386z00zz__evaluatez00,
		BgL_bgl_string8386za700za7za7_8983za7, "_make-ev_bind-exit", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8571z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8984z00,
		BGl_objectzd2ze3structzd2ev_an3477ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8387z00zz__evaluatez00,
		BgL_bgl_string8387za700za7za7_8985za7, "_ev_bind-exit-var-set!", 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8572z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78986z00,
		BGl_structzb2objectzd2ze3objec3479z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8388z00zz__evaluatez00,
		BgL_bgl_string8388za700za7za7_8987za7, "_ev_bind-exit-var", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8573z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8988z00,
		BGl_objectzd2ze3structzd2ev_or3481ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8400z00zz__evaluatez00,
		BgL_bgl_string8400za700za7za7_8989za7, "_make-ev_setlocal", 17);
	      DEFINE_STRING(BGl_string8390z00zz__evaluatez00,
		BgL_bgl_string8390za700za7za7_8990za7, "_ev_bind-exit-body", 18);
	      DEFINE_STRING(BGl_string8389z00zz__evaluatez00,
		BgL_bgl_string8389za700za7za7_8991za7, "_ev_bind-exit-body-set!", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8574z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78992z00,
		BGl_structzb2objectzd2ze3objec3483z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8401z00zz__evaluatez00,
		BgL_bgl_string8401za700za7za7_8993za7, "_ev_setlocal-v-set!", 19);
	      DEFINE_STRING(BGl_string8391z00zz__evaluatez00,
		BgL_bgl_string8391za700za7za7_8994za7, "_make-ev_defglobal", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8575z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru8995z00,
		BGl_objectzd2ze3structzd2ev_li3485ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8402z00zz__evaluatez00,
		BgL_bgl_string8402za700za7za7_8996za7, "_ev_setlocal-v", 14);
	      DEFINE_STRING(BGl_string8392z00zz__evaluatez00,
		BgL_bgl_string8392za700za7za7_8997za7, "symbol", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8576z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza78998z00,
		BGl_structzb2objectzd2ze3objec3487z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8403z00zz__evaluatez00,
		BgL_bgl_string8403za700za7za7_8999za7, "_make-ev_trap", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8577z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru9000z00,
		BGl_objectzd2ze3structzd2ev_if3489ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8404z00zz__evaluatez00,
		BgL_bgl_string8404za700za7za7_9001za7, "_make-ev_hook", 13);
	      DEFINE_STRING(BGl_string8394z00zz__evaluatez00,
		BgL_bgl_string8394za700za7za7_9002za7, "_", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8578z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza79003z00,
		BGl_structzb2objectzd2ze3objec3491z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8405z00zz__evaluatez00,
		BgL_bgl_string8405za700za7za7_9004za7, "_ev_hook-e-set!", 15);
	      DEFINE_STRING(BGl_string8395z00zz__evaluatez00,
		BgL_bgl_string8395za700za7za7_9005za7, "_make-ev_setglobal", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8580z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza79006z00,
		BGl_structzb2objectzd2ze3objec3495z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8579z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru9007z00,
		BGl_objectzd2ze3structzd2ev_li3493ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8406z00zz__evaluatez00,
		BgL_bgl_string8406za700za7za7_9008za7, "_ev_hook-e", 10);
	      DEFINE_STRING(BGl_string8396z00zz__evaluatez00,
		BgL_bgl_string8396za700za7za7_9009za7, "_ev_setglobal-name-set!", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8581z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru9010z00,
		BGl_objectzd2ze3structzd2ev_gl3497ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8407z00zz__evaluatez00,
		BgL_bgl_string8407za700za7za7_9011za7, "_make-ev_prog2", 14);
	      DEFINE_STRING(BGl_string8397z00zz__evaluatez00,
		BgL_bgl_string8397za700za7za7_9012za7, "_ev_setglobal-name", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8582z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza79013z00,
		BGl_structzb2objectzd2ze3objec3499z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8408z00zz__evaluatez00,
		BgL_bgl_string8408za700za7za7_9014za7, "_ev_prog2-e1-set!", 17);
	      DEFINE_STRING(BGl_string8398z00zz__evaluatez00,
		BgL_bgl_string8398za700za7za7_9015za7, "_ev_setglobal-mod-set!", 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8583z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru9016z00,
		BGl_objectzd2ze3structzd2ev_va3501ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8410z00zz__evaluatez00,
		BgL_bgl_string8410za700za7za7_9017za7, "_ev_prog2-e2-set!", 17);
	      DEFINE_STRING(BGl_string8409z00zz__evaluatez00,
		BgL_bgl_string8409za700za7za7_9018za7, "_ev_prog2-e1", 12);
	      DEFINE_STRING(BGl_string8399z00zz__evaluatez00,
		BgL_bgl_string8399za700za7za7_9019za7, "_ev_setglobal-mod", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8584z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza79020z00,
		BGl_structzb2objectzd2ze3objec3503z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8411z00zz__evaluatez00,
		BgL_bgl_string8411za700za7za7_9021za7, "_ev_prog2-e2", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8585z00zz__evaluatez00,
		BgL_bgl_objectza7d2za7e3stru9022z00,
		BGl_objectzd2ze3structzd2ev_ex3506ze3zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8412z00zz__evaluatez00,
		BgL_bgl_string8412za700za7za7_9023za7, "_ev_list-args-set!", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc8586z00zz__evaluatez00,
		BgL_bgl_structza7b2objectza79024z00,
		BGl_structzb2objectzd2ze3objec3508z83zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string8413z00zz__evaluatez00,
		BgL_bgl_string8413za700za7za7_9025za7, "_ev_list-args", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_letza2zd2nilzd2envza2zz__evaluatez00,
		BgL_bgl__ev_letza7a2za7d2nil9026z00, BGl__ev_letza2zd2nilz70zz__evaluatez00,
		0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string8414z00zz__evaluatez00,
		BgL_bgl_string8414za700za7za7_9027za7, "_make-ev_if", 11);
	      DEFINE_STRING(BGl_string8415z00zz__evaluatez00,
		BgL_bgl_string8415za700za7za7_9028za7, "_ev_if-p-set!", 13);
	      DEFINE_STRING(BGl_string8416z00zz__evaluatez00,
		BgL_bgl_string8416za700za7za7_9029za7, "_ev_if-p", 8);
	      DEFINE_STRING(BGl_string8417z00zz__evaluatez00,
		BgL_bgl_string8417za700za7za7_9030za7, "_ev_if-t-set!", 13);
	      DEFINE_STRING(BGl_string8418z00zz__evaluatez00,
		BgL_bgl_string8418za700za7za7_9031za7, "_ev_if-t", 8);
	      DEFINE_STRING(BGl_string8420z00zz__evaluatez00,
		BgL_bgl_string8420za700za7za7_9032za7, "_ev_if-e", 8);
	      DEFINE_STRING(BGl_string8419z00zz__evaluatez00,
		BgL_bgl_string8419za700za7za7_9033za7, "_ev_if-e-set!", 13);
	      DEFINE_STRING(BGl_string8421z00zz__evaluatez00,
		BgL_bgl_string8421za700za7za7_9034za7, "_ev_litt-value-set!", 19);
	      DEFINE_STRING(BGl_string8422z00zz__evaluatez00,
		BgL_bgl_string8422za700za7za7_9035za7, "_ev_litt-value", 14);
	      DEFINE_STRING(BGl_string8423z00zz__evaluatez00,
		BgL_bgl_string8423za700za7za7_9036za7, "_make-ev_global", 15);
	      DEFINE_STRING(BGl_string8424z00zz__evaluatez00,
		BgL_bgl_string8424za700za7za7_9037za7, "_ev_global-name-set!", 20);
	      DEFINE_STRING(BGl_string8425z00zz__evaluatez00,
		BgL_bgl_string8425za700za7za7_9038za7, "_ev_global-name", 15);
	      DEFINE_STRING(BGl_string8426z00zz__evaluatez00,
		BgL_bgl_string8426za700za7za7_9039za7, "_ev_global-mod-set!", 19);
	      DEFINE_STRING(BGl_string8427z00zz__evaluatez00,
		BgL_bgl_string8427za700za7za7_9040za7, "_ev_global-mod", 14);
	      DEFINE_STRING(BGl_string8428z00zz__evaluatez00,
		BgL_bgl_string8428za700za7za7_9041za7, "_make-ev_var", 12);
	      DEFINE_STRING(BGl_string8430z00zz__evaluatez00,
		BgL_bgl_string8430za700za7za7_9042za7, "_ev_var-name", 12);
	      DEFINE_STRING(BGl_string8429z00zz__evaluatez00,
		BgL_bgl_string8429za700za7za7_9043za7, "_ev_var-name-set!", 17);
	      DEFINE_STRING(BGl_string8431z00zz__evaluatez00,
		BgL_bgl_string8431za700za7za7_9044za7, "_ev_var-eff-set!", 16);
	      DEFINE_STRING(BGl_string8432z00zz__evaluatez00,
		BgL_bgl_string8432za700za7za7_9045za7, "_ev_var-eff", 11);
	      DEFINE_STRING(BGl_string8433z00zz__evaluatez00,
		BgL_bgl_string8433za700za7za7_9046za7, "avar", 4);
	      DEFINE_STRING(BGl_string8434z00zz__evaluatez00,
		BgL_bgl_string8434za700za7za7_9047za7, "fsize", 5);
	      DEFINE_STRING(BGl_string8435z00zz__evaluatez00,
		BgL_bgl_string8435za700za7za7_9048za7, "uncomp", 6);
	      DEFINE_STRING(BGl_string8436z00zz__evaluatez00,
		BgL_bgl_string8436za700za7za7_9049za7, "use", 3);
	      DEFINE_STRING(BGl_string8437z00zz__evaluatez00,
		BgL_bgl_string8437za700za7za7_9050za7, "comp", 4);
	      DEFINE_STRING(BGl_string8438z00zz__evaluatez00,
		BgL_bgl_string8438za700za7za7_9051za7, "_avar", 5);
	      DEFINE_STRING(BGl_string8440z00zz__evaluatez00,
		BgL_bgl_string8440za700za7za7_9052za7, "analyse-vars", 12);
	      DEFINE_STRING(BGl_string8441z00zz__evaluatez00,
		BgL_bgl_string8441za700za7za7_9053za7, "not defined for", 15);
	      DEFINE_STRING(BGl_string8442z00zz__evaluatez00,
		BgL_bgl_string8442za700za7za7_9054za7, "_avar-default3231", 17);
	      DEFINE_STRING(BGl_string8443z00zz__evaluatez00,
		BgL_bgl_string8443za700za7za7_9055za7, "_fsize", 6);
	      DEFINE_STRING(BGl_string8445z00zz__evaluatez00,
		BgL_bgl_string8445za700za7za7_9056za7, "_fsize-default3265", 18);
	      DEFINE_STRING(BGl_string8446z00zz__evaluatez00,
		BgL_bgl_string8446za700za7za7_9057za7, "_uncomp", 7);
	      DEFINE_STRING(BGl_string8448z00zz__evaluatez00,
		BgL_bgl_string8448za700za7za7_9058za7, "_uncomp-default3297", 19);
	      DEFINE_STRING(BGl_string8449z00zz__evaluatez00,
		BgL_bgl_string8449za700za7za7_9059za7, "_use", 4);
	      DEFINE_STRING(BGl_string8451z00zz__evaluatez00,
		BgL_bgl_string8451za700za7za7_9060za7, "_use-default3340", 16);
	      DEFINE_STRING(BGl_string8452z00zz__evaluatez00,
		BgL_bgl_string8452za700za7za7_9061za7, "_comp", 5);
	      DEFINE_STRING(BGl_string8454z00zz__evaluatez00,
		BgL_bgl_string8454za700za7za7_9062za7, "_comp-default3373", 17);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_setglobalzd2namezd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_setglobalza7d29063za7,
		BGl__ev_setglobalzd2namezd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_bindzd2exitzd2bodyzd2envzd2zz__evaluatez00,
		BgL_bgl__ev_bindza7d2exitza79064z00,
		BGl__ev_bindzd2exitzd2bodyz00zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8472z00zz__evaluatez00,
		BgL_bgl_string8472za700za7za7_9065za7, "fsize::bint", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_exprzd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_exprza7d2nilza7d9066z00, BGl__ev_exprzd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_prog2zd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_prog29067za7, BGl__makezd2ev_prog2zd2zz__evaluatez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_andzd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_andza7d9068z00, BGl__makezd2ev_andzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_littzd2valuezd2envz00zz__evaluatez00,
		BgL_bgl__ev_littza7d2value9069za7, BGl__ev_littzd2valuezd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszd2boxeszd2envz00zz__evaluatez00,
		BgL_bgl__ev_absza7d2boxesza79070z00, BGl__ev_abszd2boxeszd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszd2freezd2envz00zz__evaluatez00,
		BgL_bgl__ev_absza7d2freeza7d9071z00, BGl__ev_abszd2freezd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8540z00zz__evaluatez00,
		BgL_bgl_string8540za700za7za7_9072za7, "object->struct::struct", 22);
	      DEFINE_STRING(BGl_string8542z00zz__evaluatez00,
		BgL_bgl_string8542za700za7za7_9073za7, "struct+object->object::object", 29);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_withzd2handlerzd2handlerzd2envzd2zz__evaluatez00,
		BgL_bgl__ev_withza7d2handl9074za7,
		BGl__ev_withzd2handlerzd2handlerz00zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_littzf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_littza7f3za7f3za7za79075z00, BGl__ev_littzf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_letzf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_letza7f3za7f3za7za7_9076z00, BGl__ev_letzf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszd2bodyzd2envz00zz__evaluatez00,
		BgL_bgl__ev_absza7d2bodyza7d9077z00, BGl__ev_abszd2bodyzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8587z00zz__evaluatez00,
		BgL_bgl_string8587za700za7za7_9078za7, "internal error", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_hookzd2ezd2envz00zz__evaluatez00,
		BgL_bgl__ev_hookza7d2eza7d2za79079za7, BGl__ev_hookzd2ezd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string8588z00zz__evaluatez00,
		BgL_bgl_string8588za700za7za7_9080za7, "must be dead code", 17);
	      DEFINE_STRING(BGl_string8589z00zz__evaluatez00,
		BgL_bgl_string8589za700za7za7_9081za7, "(unbound variable)", 18);
	      DEFINE_STRING(BGl_string8591z00zz__evaluatez00,
		BgL_bgl_string8591za700za7za7_9082za7, "reset_profile", 13);
	      DEFINE_STRING(BGl_string8593z00zz__evaluatez00,
		BgL_bgl_string8593za700za7za7_9083za7, "get_profile", 11);
	      DEFINE_STRING(BGl_string8595z00zz__evaluatez00,
		BgL_bgl_string8595za700za7za7_9084za7, "reset_stack", 11);
	      DEFINE_STRING(BGl_string8596z00zz__evaluatez00,
		BgL_bgl_string8596za700za7za7_9085za7, "unknown command", 15);
	      DEFINE_STRING(BGl_string8597z00zz__evaluatez00,
		BgL_bgl_string8597za700za7za7_9086za7, "__evaluate", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_hookzf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_hookza7f3za7f3za7za79087z00, BGl__ev_hookzf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_fsiza7ezd2default3265zd2envza7zz__evaluatez00,
		BgL_bgl__fsiza7a7eza7d2defau9088z00,
		BGl__fsiza7ezd2default3265z75zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_binderzf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_binderza7f3za7f39089z00, BGl__ev_binderzf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_withzd2handlerzd2handlerzd2setz12zd2envz12zz__evaluatez00,
		BgL_bgl__ev_withza7d2handl9090za7,
		BGl__ev_withzd2handlerzd2handlerzd2setz12zc0zz__evaluatez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_abszd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_absza7d9091z00, BGl__makezd2ev_abszd2zz__evaluatez00,
		0L, BUNSPEC, 10);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_setlocalzd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_setlo9092za7,
		BGl__makezd2ev_setlocalzd2zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_avarzd2envzd2zz__evaluatez00,
		BgL_bgl__avarza700za7za7__eval9093za7, BGl__avarz00zz__evaluatez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_GENERIC(BGl_compzd2envzd2zz__evaluatez00,
		BgL_bgl__compza700za7za7__eval9094za7, BGl__compz00zz__evaluatez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_setlocalzf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_setlocalza7f3za79095z00, BGl__ev_setlocalzf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_setglobalzd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e9096z00,
		BGl__z52allocatezd2ev_setglobalz80zz__evaluatez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_binderzd2varszd2envz00zz__evaluatez00,
		BgL_bgl__ev_binderza7d2var9097za7, BGl__ev_binderzd2varszd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_orzd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_orza7d2nilza7d2za79098za7, BGl__ev_orzd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_ifzd2pzd2envz00zz__evaluatez00,
		BgL_bgl__ev_ifza7d2pza7d2za7za7_9099z00, BGl__ev_ifzd2pzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_orzd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_orza7d29100z00, BGl__makezd2ev_orzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_binderzd2valszd2envz00zz__evaluatez00,
		BgL_bgl__ev_binderza7d2val9101za7, BGl__ev_binderzd2valszd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_binderzd2valszd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_binderza7d2val9102za7,
		BGl__ev_binderzd2valszd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_setglobalzd2modzd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_setglobalza7d29103za7,
		BGl__ev_setglobalzd2modzd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_appzd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_appza7d9104z00, BGl__makezd2ev_appzd2zz__evaluatez00,
		0L, BUNSPEC, 4);
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_appzd2argszd2envz00zz__evaluatez00,
		BgL_bgl__ev_appza7d2argsza7d9105z00, BGl__ev_appzd2argszd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_binderzd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_binderza7d2nil9106za7, BGl__ev_binderzd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_prog2zd2e1zd2envz00zz__evaluatez00,
		BgL_bgl__ev_prog2za7d2e1za7d9107z00, BGl__ev_prog2zd2e1zd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszd2bindzd2envz00zz__evaluatez00,
		BgL_bgl__ev_absza7d2bindza7d9108z00, BGl__ev_abszd2bindzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_fsiza7ezd2envz75zz__evaluatez00,
		BgL_bgl__fsiza7a7eza7a7za7za7__e9109z00, BGl__fsiza7eza7zz__evaluatez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_letza2zd2envzf0zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e9110z00,
		BGl__z52allocatezd2ev_letza2z22zz__evaluatez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_appzd2loczd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_appza7d2locza7d29111z00,
		BGl__ev_appzd2loczd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_makezd2ev_withzd2handlerzd2envzd2zz__evaluatez00,
		BgL_bgl__makeza7d2ev_withza79112z00,
		BGl__makezd2ev_withzd2handlerz00zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_letzd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_letza7d9113z00, BGl__makezd2ev_letzd2zz__evaluatez00,
		0L, BUNSPEC, 4);
	extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_setglobalzd2modzd2envz00zz__evaluatez00,
		BgL_bgl__ev_setglobalza7d29114za7,
		BGl__ev_setglobalzd2modzd2zz__evaluatez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_hookzd2ezd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_hookza7d2eza7d2s9115z00,
		BGl__ev_hookzd2ezd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_prog2zd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_prog2za7d2nilza79116z00, BGl__ev_prog2zd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_defglobalzd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e9117z00,
		BGl__z52allocatezd2ev_defglobalz80zz__evaluatez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_littzd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e9118z00,
		BGl__z52allocatezd2ev_littz80zz__evaluatez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_unwindzd2protectzd2ezd2envzd2zz__evaluatez00,
		BgL_bgl__ev_unwindza7d2pro9119za7,
		BGl__ev_unwindzd2protectzd2ez00zz__evaluatez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_unwindzd2protectzd2bodyzd2envzd2zz__evaluatez00,
		BgL_bgl__ev_unwindza7d2pro9120za7,
		BGl__ev_unwindzd2protectzd2bodyz00zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_appzd2funzd2envz00zz__evaluatez00,
		BgL_bgl__ev_appza7d2funza7d29121z00, BGl__ev_appzd2funzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_abszd2freezd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_absza7d2freeza7d9122z00,
		BGl__ev_abszd2freezd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_defglobalzf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_defglobalza7f39123za7, BGl__ev_defglobalzf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_letza2zd2envza2zz__evaluatez00,
		BgL_bgl__makeza7d2ev_letza7a9124z00,
		BGl__makezd2ev_letza2z70zz__evaluatez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_setglobalzf3zd2envz21zz__evaluatez00,
		BgL_bgl__ev_setglobalza7f39125za7, BGl__ev_setglobalzf3zf3zz__evaluatez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_ifzd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_ifza7d2nilza7d2za79126za7, BGl__ev_ifzd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_ifzd2tzd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_ifza7d2tza7d2set9127z00,
		BGl__ev_ifzd2tzd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_bindzd2exitzd2varzd2setz12zd2envz12zz__evaluatez00,
		BgL_bgl__ev_bindza7d2exitza79128z00,
		BGl__ev_bindzd2exitzd2varzd2setz12zc0zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_absza7d2nilza7d29129z00, BGl__ev_abszd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_abszd2varszd2envz00zz__evaluatez00,
		BgL_bgl__ev_absza7d2varsza7d9130z00, BGl__ev_abszd2varszd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_globalzd2namezd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_globalza7d2nam9131za7,
		BGl__ev_globalzd2namezd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_littzd2valuezd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_littza7d2value9132za7,
		BGl__ev_littzd2valuezd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_prog2zd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e9133z00,
		BGl__z52allocatezd2ev_prog2z80zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_trapzd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_trapza7d2nilza7d9134z00, BGl__ev_trapzd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_makezd2ev_littzd2envz00zz__evaluatez00,
		BgL_bgl__makeza7d2ev_littza79135z00, BGl__makezd2ev_littzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_listzd2argszd2setz12zd2envzc0zz__evaluatez00,
		BgL_bgl__ev_listza7d2argsza79136z00,
		BGl__ev_listzd2argszd2setz12z12zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_bindzd2exitzd2bodyzd2setz12zd2envz12zz__evaluatez00,
		BgL_bgl__ev_bindza7d2exitza79137z00,
		BGl__ev_bindzd2exitzd2bodyzd2setz12zc0zz__evaluatez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_letreczd2nilzd2envz00zz__evaluatez00,
		BgL_bgl__ev_letrecza7d2nil9138za7, BGl__ev_letreczd2nilzd2zz__evaluatez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_listzd2argszd2envz00zz__evaluatez00,
		BgL_bgl__ev_listza7d2argsza79139z00, BGl__ev_listzd2argszd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_uncompzd2default3297zd2envz00zz__evaluatez00,
		BgL_bgl__uncompza7d2defaul9140za7,
		BGl__uncompzd2default3297zd2zz__evaluatez00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_withzd2handlerzd2nilzd2envzd2zz__evaluatez00,
		BgL_bgl__ev_withza7d2handl9141za7,
		BGl__ev_withzd2handlerzd2nilz00zz__evaluatez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_ev_bindzd2exitzd2varzd2envzd2zz__evaluatez00,
		BgL_bgl__ev_bindza7d2exitza79142z00,
		BGl__ev_bindzd2exitzd2varz00zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_ev_globalzd2modzd2envz00zz__evaluatez00,
		BgL_bgl__ev_globalza7d2mod9143za7, BGl__ev_globalzd2modzd2zz__evaluatez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_makezd2ev_bindzd2exitzd2envzd2zz__evaluatez00,
		BgL_bgl__makeza7d2ev_bindza79144z00,
		BGl__makezd2ev_bindzd2exitz00zz__evaluatez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_globalzd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e9145z00,
		BGl__z52allocatezd2ev_globalz80zz__evaluatez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2ev_letreczd2envz52zz__evaluatez00,
		BgL_bgl__za752allocateza7d2e9146z00,
		BGl__z52allocatezd2ev_letrecz80zz__evaluatez00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long
		BgL_checksumz00_27161, char *BgL_fromz00_27162)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluatez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluatez00();
					BGl_importedzd2moduleszd2initz00zz__evaluatez00();
					BGl_objectzd2initzd2zz__evaluatez00();
					BGl_genericzd2initzd2zz__evaluatez00();
					BGl_methodzd2initzd2zz__evaluatez00();
					BGl_toplevelzd2initzd2zz__evaluatez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_symbol8170z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8171z00zz__evaluatez00);
			BGl_list8169z00zz__evaluatez00 =
				MAKE_PAIR(BGl_symbol8170z00zz__evaluatez00,
				MAKE_PAIR(BINT(((long) 0)), BNIL));
			BGl_symbol8173z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8174z00zz__evaluatez00);
			BGl_symbol8176z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8177z00zz__evaluatez00);
			BGl_symbol8178z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8179z00zz__evaluatez00);
			BGl_symbol8180z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8181z00zz__evaluatez00);
			BGl_symbol8182z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8183z00zz__evaluatez00);
			BGl_symbol8186z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8187z00zz__evaluatez00);
			BGl_symbol8189z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8190z00zz__evaluatez00);
			BGl_symbol8191z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8192z00zz__evaluatez00);
			BGl_symbol8193z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8194z00zz__evaluatez00);
			BGl_symbol8195z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8196z00zz__evaluatez00);
			BGl_symbol8197z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8198z00zz__evaluatez00);
			BGl_symbol8199z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8200z00zz__evaluatez00);
			BGl_symbol8201z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8202z00zz__evaluatez00);
			BGl_symbol8203z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8204z00zz__evaluatez00);
			BGl_symbol8205z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8206z00zz__evaluatez00);
			BGl_symbol8207z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8208z00zz__evaluatez00);
			BGl_symbol8209z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8210z00zz__evaluatez00);
			BGl_symbol8211z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8212z00zz__evaluatez00);
			BGl_symbol8213z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8214z00zz__evaluatez00);
			BGl_symbol8215z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8216z00zz__evaluatez00);
			BGl_symbol8217z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8218z00zz__evaluatez00);
			BGl_symbol8219z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8220z00zz__evaluatez00);
			BGl_symbol8221z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8222z00zz__evaluatez00);
			BGl_symbol8224z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8225z00zz__evaluatez00);
			BGl_symbol8232z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8233z00zz__evaluatez00);
			BGl_symbol8234z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8235z00zz__evaluatez00);
			BGl_symbol8236z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8237z00zz__evaluatez00);
			BGl_symbol8238z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8239z00zz__evaluatez00);
			BGl_symbol8240z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8241z00zz__evaluatez00);
			BGl_symbol8242z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8243z00zz__evaluatez00);
			BGl_symbol8244z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8245z00zz__evaluatez00);
			BGl_symbol8246z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8247z00zz__evaluatez00);
			BGl_symbol8248z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8249z00zz__evaluatez00);
			BGl_symbol8250z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8251z00zz__evaluatez00);
			BGl_symbol8252z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8253z00zz__evaluatez00);
			BGl_symbol8254z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8255z00zz__evaluatez00);
			BGl_symbol8256z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8257z00zz__evaluatez00);
			BGl_symbol8258z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8259z00zz__evaluatez00);
			BGl_symbol8260z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8261z00zz__evaluatez00);
			BGl_symbol8262z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8263z00zz__evaluatez00);
			BGl_symbol8264z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8265z00zz__evaluatez00);
			BGl_symbol8266z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8267z00zz__evaluatez00);
			BGl_symbol8268z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8269z00zz__evaluatez00);
			BGl_symbol8270z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8271z00zz__evaluatez00);
			BGl_symbol8272z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8273z00zz__evaluatez00);
			BGl_symbol8274z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8275z00zz__evaluatez00);
			BGl_symbol8276z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8277z00zz__evaluatez00);
			BGl_symbol8278z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8279z00zz__evaluatez00);
			BGl_symbol8280z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8281z00zz__evaluatez00);
			BGl_symbol8282z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8283z00zz__evaluatez00);
			BGl_symbol8284z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8285z00zz__evaluatez00);
			BGl_symbol8286z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8287z00zz__evaluatez00);
			BGl_symbol8288z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8289z00zz__evaluatez00);
			BGl_symbol8290z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8291z00zz__evaluatez00);
			BGl_symbol8292z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8293z00zz__evaluatez00);
			BGl_symbol8294z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8295z00zz__evaluatez00);
			BGl_symbol8296z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8297z00zz__evaluatez00);
			BGl_symbol8298z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8299z00zz__evaluatez00);
			BGl_symbol8300z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8301z00zz__evaluatez00);
			BGl_symbol8302z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8303z00zz__evaluatez00);
			BGl_symbol8304z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8305z00zz__evaluatez00);
			BGl_list8306z00zz__evaluatez00 =
				MAKE_PAIR(BGl_symbol8193z00zz__evaluatez00, MAKE_PAIR(BNIL, BNIL));
			BGl_symbol8307z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8308z00zz__evaluatez00);
			BGl_symbol8309z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8310z00zz__evaluatez00);
			BGl_symbol8311z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8312z00zz__evaluatez00);
			BGl_symbol8313z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8314z00zz__evaluatez00);
			BGl_symbol8315z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8316z00zz__evaluatez00);
			BGl_symbol8317z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8318z00zz__evaluatez00);
			BGl_symbol8319z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8320z00zz__evaluatez00);
			BGl_symbol8321z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8322z00zz__evaluatez00);
			BGl_symbol8323z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8324z00zz__evaluatez00);
			BGl_symbol8325z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8326z00zz__evaluatez00);
			BGl_symbol8327z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8328z00zz__evaluatez00);
			BGl_symbol8329z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8330z00zz__evaluatez00);
			BGl_symbol8331z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8332z00zz__evaluatez00);
			BGl_symbol8393z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8394z00zz__evaluatez00);
			BGl_symbol8439z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8440z00zz__evaluatez00);
			BGl_symbol8444z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8434z00zz__evaluatez00);
			BGl_symbol8447z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8435z00zz__evaluatez00);
			BGl_symbol8450z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8436z00zz__evaluatez00);
			BGl_symbol8453z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8437z00zz__evaluatez00);
			BGl_symbol8590z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8591z00zz__evaluatez00);
			BGl_symbol8592z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8593z00zz__evaluatez00);
			return (BGl_symbol8594z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string8595z00zz__evaluatez00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluatez00 = ((bool_t) 0);
			BGl_za2za2prof_resultsza2za2z00zz__evaluatez00 =
				BGl_list8169z00zz__evaluatez00;
			BGl_za2za2siza7ezd2stackza2za2z75zz__evaluatez00 = ((long) 8192);
			{	/* Eval/evaluate.scm 567 */
				obj_t BgL_stkz00_1501;

				BgL_stkz00_1501 =
					make_vector(
					(int) (BGl_za2za2siza7ezd2stackza2za2z75zz__evaluatez00),
					BGl_string8172z00zz__evaluatez00);
				VECTOR_SET(BgL_stkz00_1501, (int) (((long) 0)), BINT(((long) 2)));
				BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00
					= BgL_stkz00_1501;
			}
			BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00 =
				create_struct(BGl_symbol8173z00zz__evaluatez00, (int) (((long) 0)));
			return BUNSPEC;
		}
	}



/* reset_profile */
	obj_t BGl_reset_profilez00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 148 */
			{	/* Eval/evaluate.scm 149 */
				obj_t BgL_list3556z00_1523;

				{	/* Eval/evaluate.scm 149 */
					obj_t BgL_arg3557z00_1524;

					obj_t BgL_arg3558z00_1525;

					BgL_arg3557z00_1524 = BGl_symbol8170z00zz__evaluatez00;
					BgL_arg3558z00_1525 = MAKE_PAIR(BINT(((long) 0)), BNIL);
					BgL_list3556z00_1523 =
						MAKE_PAIR(BgL_arg3557z00_1524, BgL_arg3558z00_1525);
				}
				return (BGl_za2za2prof_resultsza2za2z00zz__evaluatez00 =
					BgL_list3556z00_1523, BUNSPEC);
			}
		}
	}



/* <lexint */
	bool_t BGl_zc3lexintzc3zz__evaluatez00(obj_t BgL_t1z00_2, obj_t BgL_t2z00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 151 */
			{	/* Eval/evaluate.scm 158 */
				obj_t BgL_v1z00_1527;

				obj_t BgL_v2z00_1528;

				BgL_v1z00_1527 = CAR(BgL_t1z00_2);
				BgL_v2z00_1528 = CAR(BgL_t2z00_3);
				{	/* Eval/evaluate.scm 159 */
					bool_t BgL_testz00_27273;

					if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_1527))
						{	/* Eval/evaluate.scm 159 */
							BgL_testz00_27273 =
								BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_1528);
						}
					else
						{	/* Eval/evaluate.scm 159 */
							BgL_testz00_27273 = ((bool_t) 0);
						}
					if (BgL_testz00_27273)
						{	/* Eval/evaluate.scm 159 */
							return
								BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_1527,
								BgL_v2z00_1528);
						}
					else
						{	/* Eval/evaluate.scm 159 */
							return
								string_lt(BGl_ozd2ze3sz31zz__evaluatez00(BgL_v1z00_1527),
								BGl_ozd2ze3sz31zz__evaluatez00(BgL_v2z00_1528));
						}
				}
			}
		}
	}



/* o->s */
	obj_t BGl_ozd2ze3sz31zz__evaluatez00(obj_t BgL_vz00_1533)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 157 */
			if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1533))
				{	/* Ieee/fixnum.scm 355 */

					return
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(long) CINT(BgL_vz00_1533), ((long) 10));
				}
			else
				{	/* Eval/evaluate.scm 154 */
					if (SYMBOLP(BgL_vz00_1533))
						{	/* Eval/evaluate.scm 155 */
							obj_t BgL_res6940z00_8052;

							{	/* Eval/evaluate.scm 155 */
								obj_t BgL_symbolz00_8050;

								BgL_symbolz00_8050 = BgL_vz00_1533;
								{	/* Eval/evaluate.scm 155 */
									obj_t BgL_arg6863z00_8051;

									BgL_arg6863z00_8051 = SYMBOL_TO_STRING(BgL_symbolz00_8050);
									BgL_res6940z00_8052 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg6863z00_8051);
								}
							}
							return BgL_res6940z00_8052;
						}
					else
						{	/* Eval/evaluate.scm 155 */
							if (STRINGP(BgL_vz00_1533))
								{	/* Eval/evaluate.scm 156 */
									return BgL_vz00_1533;
								}
							else
								{	/* Eval/evaluate.scm 156 */
									return BGl_string8175z00zz__evaluatez00;
								}
						}
				}
		}
	}



/* _<lexint */
	obj_t BGl__zc3lexintzc3zz__evaluatez00(obj_t BgL_envz00_23978,
		obj_t BgL_t1z00_23979, obj_t BgL_t2z00_23980)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 151 */
			return
				BBOOL(BGl_zc3lexintzc3zz__evaluatez00(BgL_t1z00_23979,
					BgL_t2z00_23980));
		}
	}



/* get_profile */
	obj_t BGl_get_profilez00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 163 */
			BGl_recz72z72z00zz__evaluatez00
				(BGl_za2za2prof_resultsza2za2z00zz__evaluatez00);
			return BGl_za2za2prof_resultsza2za2z00zz__evaluatez00;
		}
	}



/* rec'' */
	bool_t BGl_recz72z72z00zz__evaluatez00(obj_t BgL_tz00_1542)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 164 */
			{	/* Eval/evaluate.scm 165 */
				obj_t BgL_arg3569z00_1544;

				obj_t BgL_arg3570z00_1545;

				BgL_arg3569z00_1544 = CDR(BgL_tz00_1542);
				{	/* Eval/evaluate.scm 165 */
					obj_t BgL_arg3571z00_1546;

					{	/* Eval/evaluate.scm 165 */
						obj_t BgL_pairz00_8055;

						BgL_pairz00_8055 = BgL_tz00_1542;
						BgL_arg3571z00_1546 = CDR(CDR(BgL_pairz00_8055));
					}
					BgL_arg3570z00_1545 =
						BGl_sortz00zz__r4_vectors_6_8z00
						(BGl_zc3lexintzd2envz11zz__evaluatez00, BgL_arg3571z00_1546);
				}
				SET_CDR(BgL_arg3569z00_1544, BgL_arg3570z00_1545);
			}
			{	/* Eval/evaluate.scm 166 */
				obj_t BgL_g3012z00_1547;

				{	/* Eval/evaluate.scm 166 */
					obj_t BgL_pairz00_8061;

					BgL_pairz00_8061 = BgL_tz00_1542;
					BgL_g3012z00_1547 = CDR(CDR(BgL_pairz00_8061));
				}
				{
					obj_t BgL_l3010z00_8066;

					BgL_l3010z00_8066 = BgL_g3012z00_1547;
				BgL_zc3anonymousza33572ze3z83_8065:
					if (PAIRP(BgL_l3010z00_8066))
						{	/* Eval/evaluate.scm 166 */
							BGl_recz72z72z00zz__evaluatez00(CAR(BgL_l3010z00_8066));
							{
								obj_t BgL_l3010z00_27305;

								BgL_l3010z00_27305 = CDR(BgL_l3010z00_8066);
								BgL_l3010z00_8066 = BgL_l3010z00_27305;
								goto BgL_zc3anonymousza33572ze3z83_8065;
							}
						}
					else
						{	/* Eval/evaluate.scm 166 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* evaluate2 */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_4,
		obj_t BgL_envz00_5, obj_t BgL_locz00_6)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 173 */
			{	/* Eval/evaluate.scm 174 */
				obj_t BgL_astz00_1556;

				BgL_astz00_1556 =
					BGl_convz00zz__evaluatez00(BgL_sexpz00_4, BNIL, BgL_envz00_5,
					((bool_t) 0), BGl_symbol8176z00zz__evaluatez00, BgL_locz00_6);
				{	/* Eval/evaluate.scm 176 */
					BgL_ev_exprz00_bglt BgL_ez00_8092;

					BgL_ez00_8092 = (BgL_ev_exprz00_bglt) (BgL_astz00_1556);
					{	/* Eval/evaluate.scm 176 */
						BgL_ev_absz00_bglt BgL_fakez00_8093;

						{	/* Eval/evaluate.scm 176 */
							BgL_ev_absz00_bglt BgL_res6943z00_8132;

							{	/* Eval/evaluate.scm 176 */
								obj_t BgL_loc2494z00_8094;

								obj_t BgL_where2495z00_8095;

								obj_t BgL_arity2496z00_8096;

								obj_t BgL_siza7e2499za7_8099;

								BgL_loc2494z00_8094 = BGl_symbol8178z00zz__evaluatez00;
								BgL_where2495z00_8095 = BGl_symbol8180z00zz__evaluatez00;
								BgL_arity2496z00_8096 = BINT(((long) 0));
								BgL_siza7e2499za7_8099 = BINT(((long) 0));
								{	/* Eval/evaluate.scm 176 */
									BgL_ev_absz00_bglt BgL_new2504z00_8104;

									{	/* Eval/evaluate.scm 176 */
										BgL_ev_absz00_bglt BgL_res6941z00_8109;

										{	/* Eval/evaluate.scm 176 */
											BgL_ev_absz00_bglt BgL_new2528z00_8105;

											BgL_new2528z00_8105 =
												((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_ev_absz00_bgl))));
											BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
												(BgL_new2528z00_8105),
												BGl_classzd2numzd2zz__objectz00
												(BGl_ev_absz00zz__evaluatez00));
											{	/* Eval/evaluate.scm 176 */
												BgL_objectz00_bglt BgL_auxz00_27315;

												BgL_auxz00_27315 =
													(BgL_objectz00_bglt) (BgL_new2528z00_8105);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_27315, BFALSE);
											}
											BgL_res6941z00_8109 = BgL_new2528z00_8105;
										}
										BgL_new2504z00_8104 = BgL_res6941z00_8109;
									}
									{	/* Eval/evaluate.scm 176 */
										BgL_ev_absz00_bglt BgL_res6942z00_8131;

										{	/* Eval/evaluate.scm 176 */
											BgL_ev_absz00_bglt BgL_new2516z00_8110;

											BgL_new2516z00_8110 = BgL_new2504z00_8104;
											{	/* Eval/evaluate.scm 176 */
												obj_t BgL_loc2506z00_8121;

												obj_t BgL_where2507z00_8122;

												obj_t BgL_arity2508z00_8123;

												obj_t BgL_vars2509z00_8124;

												BgL_ev_exprz00_bglt BgL_body2510z00_8125;

												obj_t BgL_siza7e2511za7_8126;

												obj_t BgL_bind2512z00_8127;

												obj_t BgL_free2513z00_8128;

												obj_t BgL_inner2514z00_8129;

												obj_t BgL_boxes2515z00_8130;

												BgL_loc2506z00_8121 = BgL_loc2494z00_8094;
												BgL_where2507z00_8122 = BgL_where2495z00_8095;
												BgL_arity2508z00_8123 = BgL_arity2496z00_8096;
												BgL_vars2509z00_8124 = BNIL;
												BgL_body2510z00_8125 = BgL_ez00_8092;
												BgL_siza7e2511za7_8126 = BgL_siza7e2499za7_8099;
												BgL_bind2512z00_8127 = BNIL;
												BgL_free2513z00_8128 = BNIL;
												BgL_inner2514z00_8129 = BNIL;
												BgL_boxes2515z00_8130 = BNIL;
												((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_8110))->
														BgL_locz00) =
													((obj_t) BgL_loc2506z00_8121), BUNSPEC);
												((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_8110))->
														BgL_wherez00) =
													((obj_t) BgL_where2507z00_8122), BUNSPEC);
												((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_8110))->
														BgL_arityz00) =
													((obj_t) BgL_arity2508z00_8123), BUNSPEC);
												((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_8110))->
														BgL_varsz00) =
													((obj_t) BgL_vars2509z00_8124), BUNSPEC);
												((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_8110))->
														BgL_bodyz00) =
													((BgL_ev_exprz00_bglt) BgL_body2510z00_8125),
													BUNSPEC);
												((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_8110))->
														BgL_siza7eza7) =
													((obj_t) BgL_siza7e2511za7_8126), BUNSPEC);
												((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_8110))->
														BgL_bindz00) =
													((obj_t) BgL_bind2512z00_8127), BUNSPEC);
												((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_8110))->
														BgL_freez00) =
													((obj_t) BgL_free2513z00_8128), BUNSPEC);
												((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_8110))->
														BgL_innerz00) =
													((obj_t) BgL_inner2514z00_8129), BUNSPEC);
												((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_8110))->
														BgL_boxesz00) =
													((obj_t) BgL_boxes2515z00_8130), BUNSPEC);
												BgL_res6942z00_8131 = BgL_new2516z00_8110;
										}} BgL_res6942z00_8131;
									}
									BgL_res6943z00_8132 = BgL_new2504z00_8104;
							}}
							BgL_fakez00_8093 = BgL_res6943z00_8132;
						}
						{	/* Eval/evaluate.scm 176 */
							obj_t BgL_method3232z00_8136;

							{	/* Eval/evaluate.scm 176 */
								BgL_objectz00_bglt BgL_objz00_8137;

								BgL_objz00_8137 = (BgL_objectz00_bglt) (BgL_ez00_8092);
								{	/* Eval/evaluate.scm 176 */
									long BgL_objzd2classzd2numz00_8138;

									BgL_objzd2classzd2numz00_8138 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_8137);
									{	/* Eval/evaluate.scm 176 */
										obj_t BgL_arg6930z00_8139;

										BgL_arg6930z00_8139 =
											PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 176 */
											obj_t BgL_arrayz00_8141;

											int BgL_offsetz00_8142;

											BgL_arrayz00_8141 = BgL_arg6930z00_8139;
											BgL_offsetz00_8142 =
												(int) (BgL_objzd2classzd2numz00_8138);
											{	/* Eval/evaluate.scm 176 */
												long BgL_offsetz00_8143;

												BgL_offsetz00_8143 =
													((long) (BgL_offsetz00_8142) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 176 */
													long BgL_modz00_8144;

													{	/* Eval/evaluate.scm 176 */
														int BgL_arg6932z00_8145;

														BgL_arg6932z00_8145 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 176 */
															long BgL_auxz00_27336;

															BgL_auxz00_27336 = (long) (BgL_arg6932z00_8145);
															BgL_modz00_8144 =
																(BgL_offsetz00_8143 / BgL_auxz00_27336);
													}}
													{	/* Eval/evaluate.scm 176 */
														long BgL_restz00_8146;

														{	/* Eval/evaluate.scm 176 */
															int BgL_arg6931z00_8147;

															BgL_arg6931z00_8147 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 176 */
																long BgL_auxz00_27340;

																BgL_auxz00_27340 = (long) (BgL_arg6931z00_8147);
																BgL_restz00_8146 =
																	(BgL_offsetz00_8143 % BgL_auxz00_27340);
														}}
														{	/* Eval/evaluate.scm 176 */

															BgL_method3232z00_8136 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_8141,
																	(int) (BgL_modz00_8144)),
																(int) (BgL_restz00_8146));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3232z00_8136) (BgL_method3232z00_8136,
								(obj_t) (BgL_ez00_8092), BNIL,
								(obj_t) (BgL_fakez00_8093), BEOA);
				}}}
				{	/* Eval/evaluate.scm 177 */
					obj_t BgL_nz00_1557;

					{	/* Eval/evaluate.scm 177 */
						BgL_ev_exprz00_bglt BgL_ez00_8161;

						BgL_ez00_8161 = (BgL_ev_exprz00_bglt) (BgL_astz00_1556);
						{	/* Eval/evaluate.scm 177 */
							obj_t BgL_res6948z00_8189;

							{	/* Eval/evaluate.scm 177 */
								obj_t BgL_nz00_8163;

								BgL_nz00_8163 = BINT(((long) 0));
								{	/* Eval/evaluate.scm 177 */
									obj_t BgL_method3266z00_8164;

									{	/* Eval/evaluate.scm 177 */
										BgL_objectz00_bglt BgL_objz00_8165;

										BgL_objz00_8165 = (BgL_objectz00_bglt) (BgL_ez00_8161);
										{	/* Eval/evaluate.scm 177 */
											long BgL_objzd2classzd2numz00_8166;

											BgL_objzd2classzd2numz00_8166 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_8165);
											{	/* Eval/evaluate.scm 177 */
												obj_t BgL_arg6930z00_8167;

												BgL_arg6930z00_8167 =
													PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluatez00,
													(int) (((long) 1)));
												{	/* Eval/evaluate.scm 177 */
													obj_t BgL_arrayz00_8169;

													int BgL_offsetz00_8170;

													BgL_arrayz00_8169 = BgL_arg6930z00_8167;
													BgL_offsetz00_8170 =
														(int) (BgL_objzd2classzd2numz00_8166);
													{	/* Eval/evaluate.scm 177 */
														long BgL_offsetz00_8171;

														BgL_offsetz00_8171 =
															((long) (BgL_offsetz00_8170) - OBJECT_TYPE);
														{	/* Eval/evaluate.scm 177 */
															long BgL_modz00_8172;

															{	/* Eval/evaluate.scm 177 */
																int BgL_arg6932z00_8173;

																BgL_arg6932z00_8173 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 177 */
																	long BgL_auxz00_27361;

																	BgL_auxz00_27361 =
																		(long) (BgL_arg6932z00_8173);
																	BgL_modz00_8172 =
																		(BgL_offsetz00_8171 / BgL_auxz00_27361);
															}}
															{	/* Eval/evaluate.scm 177 */
																long BgL_restz00_8174;

																{	/* Eval/evaluate.scm 177 */
																	int BgL_arg6931z00_8175;

																	BgL_arg6931z00_8175 = (int) (((long) 16));
																	{	/* Eval/evaluate.scm 177 */
																		long BgL_auxz00_27365;

																		BgL_auxz00_27365 =
																			(long) (BgL_arg6931z00_8175);
																		BgL_restz00_8174 =
																			(BgL_offsetz00_8171 % BgL_auxz00_27365);
																}}
																{	/* Eval/evaluate.scm 177 */

																	BgL_method3266z00_8164 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_8169,
																			(int) (BgL_modz00_8172)),
																		(int) (BgL_restz00_8174));
									}}}}}}}}
									BgL_res6948z00_8189 =
										PROCEDURE_ENTRY(BgL_method3266z00_8164)
										(BgL_method3266z00_8164, (obj_t) (BgL_ez00_8161),
										BgL_nz00_8163, BEOA);
							}}
							BgL_nz00_1557 = BgL_res6948z00_8189;
					}}
					{	/* Eval/evaluate.scm 178 */
						obj_t BgL_fz00_1558;

						{	/* Eval/evaluate.scm 178 */
							BgL_ev_exprz00_bglt BgL_ez00_8190;

							BgL_ez00_8190 = (BgL_ev_exprz00_bglt) (BgL_astz00_1556);
							{	/* Eval/evaluate.scm 178 */
								obj_t BgL_method3374z00_8193;

								{	/* Eval/evaluate.scm 178 */
									BgL_objectz00_bglt BgL_objz00_8194;

									BgL_objz00_8194 = (BgL_objectz00_bglt) (BgL_ez00_8190);
									{	/* Eval/evaluate.scm 178 */
										long BgL_objzd2classzd2numz00_8195;

										BgL_objzd2classzd2numz00_8195 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_8194);
										{	/* Eval/evaluate.scm 178 */
											obj_t BgL_arg6930z00_8196;

											BgL_arg6930z00_8196 =
												PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 178 */
												obj_t BgL_arrayz00_8198;

												int BgL_offsetz00_8199;

												BgL_arrayz00_8198 = BgL_arg6930z00_8196;
												BgL_offsetz00_8199 =
													(int) (BgL_objzd2classzd2numz00_8195);
												{	/* Eval/evaluate.scm 178 */
													long BgL_offsetz00_8200;

													BgL_offsetz00_8200 =
														((long) (BgL_offsetz00_8199) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 178 */
														long BgL_modz00_8201;

														{	/* Eval/evaluate.scm 178 */
															int BgL_arg6932z00_8202;

															BgL_arg6932z00_8202 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 178 */
																long BgL_auxz00_27384;

																BgL_auxz00_27384 = (long) (BgL_arg6932z00_8202);
																BgL_modz00_8201 =
																	(BgL_offsetz00_8200 / BgL_auxz00_27384);
														}}
														{	/* Eval/evaluate.scm 178 */
															long BgL_restz00_8203;

															{	/* Eval/evaluate.scm 178 */
																int BgL_arg6931z00_8204;

																BgL_arg6931z00_8204 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 178 */
																	long BgL_auxz00_27388;

																	BgL_auxz00_27388 =
																		(long) (BgL_arg6931z00_8204);
																	BgL_restz00_8203 =
																		(BgL_offsetz00_8200 % BgL_auxz00_27388);
															}}
															{	/* Eval/evaluate.scm 178 */

																BgL_method3374z00_8193 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_8198,
																		(int) (BgL_modz00_8201)),
																	(int) (BgL_restz00_8203));
								}}}}}}}}
								BgL_fz00_1558 =
									PROCEDURE_ENTRY(BgL_method3374z00_8193)
									(BgL_method3374z00_8193, (obj_t) (BgL_ez00_8190), BNIL, BEOA);
						}}
						{	/* Eval/evaluate.scm 179 */
							obj_t BgL_sz00_1559;

							BgL_sz00_1559 =
								BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
							{	/* Eval/evaluate.scm 180 */
								obj_t BgL_bpz00_1560;

								BgL_bpz00_1560 = VECTOR_REF(BgL_sz00_1559, (int) (((long) 0)));
								{	/* Eval/evaluate.scm 181 */
									obj_t BgL_val2579z00_1561;

									BgL_val2579z00_1561 =
										BGl_zc3exitza33578ze3z83zz__evaluatez00(BgL_sz00_1559,
										BgL_fz00_1558);
									VECTOR_SET(BgL_sz00_1559, (int) (((long) 0)), BgL_bpz00_1560);
									if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
											(BgL_val2579z00_1561)))
										{	/* Eval/evaluate.scm 182 */
											return
												BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
												(BgL_val2579z00_1561), CDR(BgL_val2579z00_1561));
										}
									else
										{	/* Eval/evaluate.scm 182 */
											return BgL_val2579z00_1561;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3578> */
	obj_t BGl_zc3exitza33578ze3z83zz__evaluatez00(obj_t BgL_sz00_26478,
		obj_t BgL_fz00_26477)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 182 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2580z00_1566;

			if (SET_EXIT(BgL_an_exit2580z00_1566))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2580z00_1566 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 182 */

						PUSH_EXIT(BgL_an_exit2580z00_1566, ((long) 0));
						{	/* Eval/evaluate.scm 181 */
							obj_t BgL_val2581z00_1567;

							BgL_val2581z00_1567 =
								PROCEDURE_ENTRY(BgL_fz00_26477) (BgL_fz00_26477, BgL_sz00_26478,
								BEOA);
							POP_EXIT();
							return BgL_val2581z00_1567;
						}
					}
				}
		}
	}



/* _evaluate2 */
	obj_t BGl__evaluate2z00zz__evaluatez00(obj_t BgL_envz00_23981,
		obj_t BgL_sexpz00_23982, obj_t BgL_envz00_23983, obj_t BgL_locz00_23984)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 173 */
			return
				BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_23982, BgL_envz00_23983,
				BgL_locz00_23984);
		}
	}



/* index */
	obj_t BGl_indexz00zz__evaluatez00(obj_t BgL_xz00_12, obj_t BgL_lz00_13)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 204 */
			{
				obj_t BgL_lz00_8227;

				long BgL_nz00_8228;

				BgL_lz00_8227 = BgL_lz00_13;
				BgL_nz00_8228 = ((long) 0);
			BgL_walkz00_8226:
				if (NULLP(BgL_lz00_8227))
					{	/* Eval/evaluate.scm 209 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 209 */
						if ((BgL_xz00_12 == CAR(BgL_lz00_8227)))
							{	/* Eval/evaluate.scm 209 */
								return BINT(BgL_nz00_8228);
							}
						else
							{
								long BgL_nz00_27424;

								obj_t BgL_lz00_27422;

								BgL_lz00_27422 = CDR(BgL_lz00_8227);
								BgL_nz00_27424 = (BgL_nz00_8228 + ((long) 1));
								BgL_nz00_8228 = BgL_nz00_27424;
								BgL_lz00_8227 = BgL_lz00_27422;
								goto BgL_walkz00_8226;
							}
					}
			}
		}
	}



/* _index */
	obj_t BGl__indexz00zz__evaluatez00(obj_t BgL_xz00_14, obj_t BgL_lz00_15)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 211 */
			{	/* Eval/evaluate.scm 212 */
				obj_t BgL__ortest_2583z00_1579;

				BgL__ortest_2583z00_1579 =
					BGl_indexz00zz__evaluatez00(BgL_xz00_14, BgL_lz00_15);
				if (CBOOL(BgL__ortest_2583z00_1579))
					{	/* Eval/evaluate.scm 212 */
						return BgL__ortest_2583z00_1579;
					}
				else
					{	/* Eval/evaluate.scm 212 */
						obj_t BgL_arg3585z00_1580;

						obj_t BgL_arg3587z00_1582;

						BgL_arg3585z00_1580 = BGl_symbol8182z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 212 */
							obj_t BgL_arg3589z00_1584;

							if (NULLP(BgL_lz00_15))
								{	/* Eval/evaluate.scm 212 */
									BgL_arg3589z00_1584 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 212 */
									obj_t BgL_head3015z00_1590;

									{	/* Eval/evaluate.scm 212 */
										obj_t BgL_arg3600z00_1603;

										{	/* Eval/evaluate.scm 212 */
											obj_t BgL_vz00_8268;

											BgL_vz00_8268 = CAR(BgL_lz00_15);
											if (BGl_iszd2azf3z21zz__objectz00(BgL_vz00_8268,
													BGl_ev_varz00zz__evaluatez00))
												{
													BgL_ev_varz00_bglt BgL_auxz00_27434;

													BgL_auxz00_27434 =
														(BgL_ev_varz00_bglt) (BgL_vz00_8268);
													BgL_arg3600z00_1603 =
														(((BgL_ev_varz00_bglt) CREF(BgL_auxz00_27434))->
														BgL_namez00);
												}
											else
												{	/* Eval/evaluate.scm 212 */
													BgL_arg3600z00_1603 = BgL_vz00_8268;
												}
										}
										BgL_head3015z00_1590 = MAKE_PAIR(BgL_arg3600z00_1603, BNIL);
									}
									{	/* Eval/evaluate.scm 212 */
										obj_t BgL_g3018z00_1591;

										BgL_g3018z00_1591 = CDR(BgL_lz00_15);
										{
											obj_t BgL_l3013z00_8276;

											obj_t BgL_tail3016z00_8277;

											BgL_l3013z00_8276 = BgL_g3018z00_1591;
											BgL_tail3016z00_8277 = BgL_head3015z00_1590;
										BgL_zc3anonymousza33594ze3z83_8275:
											if (NULLP(BgL_l3013z00_8276))
												{	/* Eval/evaluate.scm 212 */
													BgL_arg3589z00_1584 = BgL_head3015z00_1590;
												}
											else
												{	/* Eval/evaluate.scm 212 */
													obj_t BgL_newtail3017z00_8285;

													{	/* Eval/evaluate.scm 212 */
														obj_t BgL_arg3597z00_8286;

														{	/* Eval/evaluate.scm 212 */
															obj_t BgL_vz00_8292;

															BgL_vz00_8292 = CAR(BgL_l3013z00_8276);
															if (BGl_iszd2azf3z21zz__objectz00(BgL_vz00_8292,
																	BGl_ev_varz00zz__evaluatez00))
																{
																	BgL_ev_varz00_bglt BgL_auxz00_27444;

																	BgL_auxz00_27444 =
																		(BgL_ev_varz00_bglt) (BgL_vz00_8292);
																	BgL_arg3597z00_8286 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_auxz00_27444))->BgL_namez00);
																}
															else
																{	/* Eval/evaluate.scm 212 */
																	BgL_arg3597z00_8286 = BgL_vz00_8292;
																}
														}
														BgL_newtail3017z00_8285 =
															MAKE_PAIR(BgL_arg3597z00_8286, BNIL);
													}
													SET_CDR(BgL_tail3016z00_8277,
														BgL_newtail3017z00_8285);
													{
														obj_t BgL_tail3016z00_27451;

														obj_t BgL_l3013z00_27449;

														BgL_l3013z00_27449 = CDR(BgL_l3013z00_8276);
														BgL_tail3016z00_27451 = BgL_newtail3017z00_8285;
														BgL_tail3016z00_8277 = BgL_tail3016z00_27451;
														BgL_l3013z00_8276 = BgL_l3013z00_27449;
														goto BgL_zc3anonymousza33594ze3z83_8275;
													}
												}
										}
									}
								}
							{	/* Eval/evaluate.scm 212 */
								obj_t BgL_list3590z00_1585;

								{	/* Eval/evaluate.scm 212 */
									obj_t BgL_arg3591z00_1586;

									{	/* Eval/evaluate.scm 212 */
										obj_t BgL_arg3592z00_1587;

										BgL_arg3592z00_1587 = MAKE_PAIR(BgL_arg3589z00_1584, BNIL);
										BgL_arg3591z00_1586 =
											MAKE_PAIR(BGl_string8184z00zz__evaluatez00,
											BgL_arg3592z00_1587);
									}
									BgL_list3590z00_1585 =
										MAKE_PAIR(BgL_xz00_14, BgL_arg3591z00_1586);
								}
								BgL_arg3587z00_1582 = BgL_list3590z00_1585;
							}
						}
						return
							BGl_errorz00zz__errorz00(BgL_arg3585z00_1580,
							BGl_string8185z00zz__evaluatez00, BgL_arg3587z00_1582);
					}
			}
		}
	}



/* diff */
	obj_t BGl_diffz00zz__evaluatez00(obj_t BgL_l1z00_20, obj_t BgL_l2z00_21)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 228 */
		BGl_diffz00zz__evaluatez00:
			if (NULLP(BgL_l1z00_20))
				{	/* Eval/evaluate.scm 229 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 231 */
					obj_t BgL_xz00_1618;

					BgL_xz00_1618 = CAR(BgL_l1z00_20);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_1618,
								BgL_l2z00_21)))
						{
							obj_t BgL_l1z00_27462;

							BgL_l1z00_27462 = CDR(BgL_l1z00_20);
							BgL_l1z00_20 = BgL_l1z00_27462;
							goto BGl_diffz00zz__evaluatez00;
						}
					else
						{	/* Eval/evaluate.scm 232 */
							return
								MAKE_PAIR(BgL_xz00_1618,
								BGl_diffz00zz__evaluatez00(CDR(BgL_l1z00_20), BgL_l2z00_21));
						}
				}
		}
	}



/* conv-var */
	obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_25,
		obj_t BgL_localsz00_26)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 242 */
			{
				obj_t BgL_lz00_1624;

				BgL_lz00_1624 = BgL_localsz00_26;
			BgL_zc3anonymousza33618ze3z83_1625:
				if (NULLP(BgL_lz00_1624))
					{	/* Eval/evaluate.scm 244 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 246 */
						obj_t BgL_rvz00_1627;

						BgL_rvz00_1627 = CAR(BgL_lz00_1624);
						{	/* Eval/evaluate.scm 247 */
							bool_t BgL_testz00_27470;

							{	/* Eval/evaluate.scm 247 */
								obj_t BgL_auxz00_27471;

								{
									BgL_ev_varz00_bglt BgL_auxz00_27472;

									BgL_auxz00_27472 = (BgL_ev_varz00_bglt) (BgL_rvz00_1627);
									BgL_auxz00_27471 =
										(((BgL_ev_varz00_bglt) CREF(BgL_auxz00_27472))->
										BgL_namez00);
								}
								BgL_testz00_27470 = (BgL_vz00_25 == BgL_auxz00_27471);
							}
							if (BgL_testz00_27470)
								{	/* Eval/evaluate.scm 247 */
									return BgL_rvz00_1627;
								}
							else
								{
									obj_t BgL_lz00_27476;

									BgL_lz00_27476 = CDR(BgL_lz00_1624);
									BgL_lz00_1624 = BgL_lz00_27476;
									goto BgL_zc3anonymousza33618ze3z83_1625;
								}
						}
					}
			}
		}
	}



/* conv-begin */
	obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_28,
		obj_t BgL_localsz00_29, obj_t BgL_globalsz00_30, bool_t BgL_tailzf3zf3_31,
		obj_t BgL_wherez00_32, obj_t BgL_locz00_33)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 256 */
			if (NULLP(BgL_lz00_28))
				{	/* Eval/evaluate.scm 257 */
					BgL_ev_littz00_bglt BgL_res6954z00_8380;

					{	/* Eval/evaluate.scm 257 */
						BgL_ev_littz00_bglt BgL_new1892z00_8370;

						{	/* Eval/evaluate.scm 257 */
							BgL_ev_littz00_bglt BgL_res6952z00_8375;

							{	/* Eval/evaluate.scm 257 */
								BgL_ev_littz00_bglt BgL_new1898z00_8371;

								BgL_new1898z00_8371 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
									(BgL_new1898z00_8371),
									BGl_classzd2numzd2zz__objectz00
									(BGl_ev_littz00zz__evaluatez00));
								{	/* Eval/evaluate.scm 257 */
									BgL_objectz00_bglt BgL_auxz00_27484;

									BgL_auxz00_27484 = (BgL_objectz00_bglt) (BgL_new1898z00_8371);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_27484, BFALSE);
								}
								BgL_res6952z00_8375 = BgL_new1898z00_8371;
							}
							BgL_new1892z00_8370 = BgL_res6952z00_8375;
						}
						{	/* Eval/evaluate.scm 257 */
							BgL_ev_littz00_bglt BgL_res6953z00_8379;

							{	/* Eval/evaluate.scm 257 */
								BgL_ev_littz00_bglt BgL_new1895z00_8376;

								BgL_new1895z00_8376 = BgL_new1892z00_8370;
								{	/* Eval/evaluate.scm 257 */
									obj_t BgL_value1894z00_8378;

									BgL_value1894z00_8378 = BUNSPEC;
									((((BgL_ev_littz00_bglt) CREF(BgL_new1895z00_8376))->
											BgL_valuez00) = ((obj_t) BgL_value1894z00_8378), BUNSPEC);
									BgL_res6953z00_8379 = BgL_new1895z00_8376;
							}} BgL_res6953z00_8379;
						}
						BgL_res6954z00_8380 = BgL_new1892z00_8370;
					}
					return (obj_t) (BgL_res6954z00_8380);
				}
			else
				{	/* Eval/evaluate.scm 257 */
					if (PAIRP(BgL_lz00_28))
						{	/* Eval/evaluate.scm 257 */
							if (NULLP(CDR(BgL_lz00_28)))
								{	/* Eval/evaluate.scm 257 */
									return
										BGl_convz00zz__evaluatez00(CAR(BgL_lz00_28),
										BgL_localsz00_29, BgL_globalsz00_30, BgL_tailzf3zf3_31,
										BgL_wherez00_32, BgL_locz00_33);
								}
							else
								{	/* Eval/evaluate.scm 257 */
									obj_t BgL_arg3628z00_1645;

									obj_t BgL_arg3629z00_1646;

									BgL_arg3628z00_1645 = CAR(BgL_lz00_28);
									BgL_arg3629z00_1646 = CDR(BgL_lz00_28);
									{	/* Eval/evaluate.scm 257 */
										obj_t BgL_arg3631z00_8390;

										obj_t BgL_arg3632z00_8391;

										BgL_arg3631z00_8390 =
											BGl_convz00zz__evaluatez00(BgL_arg3628z00_1645,
											BgL_localsz00_29, BgL_globalsz00_30, ((bool_t) 0),
											BgL_wherez00_32, BgL_locz00_33);
										BgL_arg3632z00_8391 =
											BGl_convzd2beginzd2zz__evaluatez00(BgL_arg3629z00_1646,
											BgL_localsz00_29, BgL_globalsz00_30, BgL_tailzf3zf3_31,
											BgL_wherez00_32, BgL_locz00_33);
										{	/* Eval/evaluate.scm 257 */
											BgL_ev_prog2z00_bglt BgL_res6957z00_8406;

											{	/* Eval/evaluate.scm 257 */
												BgL_ev_exprz00_bglt BgL_e12004z00_8392;

												BgL_ev_exprz00_bglt BgL_e22005z00_8393;

												BgL_e12004z00_8392 =
													(BgL_ev_exprz00_bglt) (BgL_arg3631z00_8390);
												BgL_e22005z00_8393 =
													(BgL_ev_exprz00_bglt) (BgL_arg3632z00_8391);
												{	/* Eval/evaluate.scm 257 */
													BgL_ev_prog2z00_bglt BgL_new2006z00_8394;

													{	/* Eval/evaluate.scm 257 */
														BgL_ev_prog2z00_bglt BgL_res6955z00_8399;

														{	/* Eval/evaluate.scm 257 */
															BgL_ev_prog2z00_bglt BgL_new2014z00_8395;

															BgL_new2014z00_8395 =
																((BgL_ev_prog2z00_bglt)
																BREF(GC_MALLOC(sizeof(struct
																			BgL_ev_prog2z00_bgl))));
															BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
																(BgL_new2014z00_8395),
																BGl_classzd2numzd2zz__objectz00
																(BGl_ev_prog2z00zz__evaluatez00));
															{	/* Eval/evaluate.scm 257 */
																BgL_objectz00_bglt BgL_auxz00_27506;

																BgL_auxz00_27506 =
																	(BgL_objectz00_bglt) (BgL_new2014z00_8395);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_27506,
																	BFALSE);
															}
															BgL_res6955z00_8399 = BgL_new2014z00_8395;
														}
														BgL_new2006z00_8394 = BgL_res6955z00_8399;
													}
													{	/* Eval/evaluate.scm 257 */
														BgL_ev_prog2z00_bglt BgL_res6956z00_8405;

														{	/* Eval/evaluate.scm 257 */
															BgL_ev_prog2z00_bglt BgL_new2010z00_8400;

															BgL_new2010z00_8400 = BgL_new2006z00_8394;
															{	/* Eval/evaluate.scm 257 */
																BgL_ev_exprz00_bglt BgL_e12008z00_8403;

																BgL_ev_exprz00_bglt BgL_e22009z00_8404;

																BgL_e12008z00_8403 = BgL_e12004z00_8392;
																BgL_e22009z00_8404 = BgL_e22005z00_8393;
																((((BgL_ev_prog2z00_bglt)
																			CREF(BgL_new2010z00_8400))->BgL_e1z00) =
																	((BgL_ev_exprz00_bglt) BgL_e12008z00_8403),
																	BUNSPEC);
																((((BgL_ev_prog2z00_bglt)
																			CREF(BgL_new2010z00_8400))->BgL_e2z00) =
																	((BgL_ev_exprz00_bglt) BgL_e22009z00_8404),
																	BUNSPEC);
																BgL_res6956z00_8405 = BgL_new2010z00_8400;
														}} BgL_res6956z00_8405;
													}
													BgL_res6957z00_8406 = BgL_new2006z00_8394;
											}}
											return (obj_t) (BgL_res6957z00_8406);
										}
									}
								}
						}
					else
						{	/* Eval/evaluate.scm 257 */
							return
								BGl_errorz00zz__errorz00(BGl_symbol8186z00zz__evaluatez00,
								BGl_string8188z00zz__evaluatez00, BgL_lz00_28);
						}
				}
		}
	}



/* conv */
	obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_34, obj_t BgL_localsz00_35,
		obj_t BgL_globalsz00_36, bool_t BgL_tailzf3zf3_37, obj_t BgL_wherez00_38,
		obj_t BgL_locz00_39)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 264 */
			{
				obj_t BgL_xz00_1653;

				obj_t BgL_funz00_1657;

				obj_t BgL_argsz00_1658;

				obj_t BgL_argsz00_1668;

				obj_t BgL_argsz00_1670;

				obj_t BgL_bindsz00_1674;

				obj_t BgL_bodyz00_1675;

				obj_t BgL_bindsz00_1677;

				obj_t BgL_bodyz00_1678;

				obj_t BgL_bindsz00_1680;

				obj_t BgL_bodyz00_1681;

				obj_t BgL_fz00_1705;

				obj_t BgL_argsz00_1706;

				if (PAIRP(BgL_ez00_34))
					{	/* Eval/evaluate.scm 283 */
						if ((CAR(BgL_ez00_34) == BGl_symbol8189z00zz__evaluatez00))
							{	/* Eval/evaluate.scm 283 */
								BgL_ev_littz00_bglt BgL_res6966z00_8451;

								{	/* Eval/evaluate.scm 283 */
									BgL_ev_littz00_bglt BgL_new1892z00_8441;

									{	/* Eval/evaluate.scm 283 */
										BgL_ev_littz00_bglt BgL_res6964z00_8446;

										{	/* Eval/evaluate.scm 283 */
											BgL_ev_littz00_bglt BgL_new1898z00_8442;

											BgL_new1898z00_8442 =
												((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_ev_littz00_bgl))));
											BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
												(BgL_new1898z00_8442),
												BGl_classzd2numzd2zz__objectz00
												(BGl_ev_littz00zz__evaluatez00));
											{	/* Eval/evaluate.scm 283 */
												BgL_objectz00_bglt BgL_auxz00_27522;

												BgL_auxz00_27522 =
													(BgL_objectz00_bglt) (BgL_new1898z00_8442);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_27522, BFALSE);
											}
											BgL_res6964z00_8446 = BgL_new1898z00_8442;
										}
										BgL_new1892z00_8441 = BgL_res6964z00_8446;
									}
									{	/* Eval/evaluate.scm 283 */
										BgL_ev_littz00_bglt BgL_res6965z00_8450;

										{	/* Eval/evaluate.scm 283 */
											BgL_ev_littz00_bglt BgL_new1895z00_8447;

											BgL_new1895z00_8447 = BgL_new1892z00_8441;
											{	/* Eval/evaluate.scm 283 */
												obj_t BgL_value1894z00_8449;

												BgL_value1894z00_8449 = BUNSPEC;
												((((BgL_ev_littz00_bglt) CREF(BgL_new1895z00_8447))->
														BgL_valuez00) =
													((obj_t) BgL_value1894z00_8449), BUNSPEC);
												BgL_res6965z00_8450 = BgL_new1895z00_8447;
										}} BgL_res6965z00_8450;
									}
									BgL_res6966z00_8451 = BgL_new1892z00_8441;
								}
								return (obj_t) (BgL_res6966z00_8451);
							}
						else
							{	/* Eval/evaluate.scm 283 */
								obj_t BgL_carzd21546zd2_1713;

								BgL_carzd21546zd2_1713 = CAR(BgL_ez00_34);
								if (SYMBOLP(BgL_carzd21546zd2_1713))
									{	/* Eval/evaluate.scm 283 */
										bool_t BgL_testz00_27530;

										{	/* Eval/evaluate.scm 283 */
											obj_t BgL_vz00_8454;

											BgL_vz00_8454 = BgL_carzd21546zd2_1713;
											{
												obj_t BgL_lz00_8457;

												{	/* Eval/evaluate.scm 283 */
													obj_t BgL_auxz00_27531;

													BgL_lz00_8457 = BgL_localsz00_35;
												BgL_recz00_8456:
													if (NULLP(BgL_lz00_8457))
														{	/* Eval/evaluate.scm 283 */
															BgL_auxz00_27531 = BFALSE;
														}
													else
														{	/* Eval/evaluate.scm 283 */
															obj_t BgL_rvz00_8460;

															BgL_rvz00_8460 = CAR(BgL_lz00_8457);
															{	/* Eval/evaluate.scm 283 */
																bool_t BgL_testz00_27535;

																{	/* Eval/evaluate.scm 283 */
																	obj_t BgL_auxz00_27536;

																	{
																		BgL_ev_varz00_bglt BgL_auxz00_27537;

																		BgL_auxz00_27537 =
																			(BgL_ev_varz00_bglt) (BgL_rvz00_8460);
																		BgL_auxz00_27536 =
																			(((BgL_ev_varz00_bglt)
																				CREF(BgL_auxz00_27537))->BgL_namez00);
																	}
																	BgL_testz00_27535 =
																		(BgL_vz00_8454 == BgL_auxz00_27536);
																}
																if (BgL_testz00_27535)
																	{	/* Eval/evaluate.scm 283 */
																		BgL_auxz00_27531 = BgL_rvz00_8460;
																	}
																else
																	{
																		obj_t BgL_lz00_27541;

																		BgL_lz00_27541 = CDR(BgL_lz00_8457);
																		BgL_lz00_8457 = BgL_lz00_27541;
																		goto BgL_recz00_8456;
																	}
															}
														}
													BgL_testz00_27530 = CBOOL(BgL_auxz00_27531);
												}
											}
										}
										if (BgL_testz00_27530)
											{	/* Eval/evaluate.scm 283 */
												obj_t BgL_arg3638z00_1716;

												BgL_arg3638z00_1716 = CDR(BgL_ez00_34);
												{	/* Eval/evaluate.scm 283 */
													BgL_ev_appz00_bglt BgL_auxz00_27545;

													BgL_funz00_1657 = BgL_carzd21546zd2_1713;
													BgL_argsz00_1658 = BgL_arg3638z00_1716;
													{	/* Eval/evaluate.scm 295 */
														obj_t BgL_funz00_2174;

														obj_t BgL_argsz00_2175;

														{	/* Eval/evaluate.scm 295 */
															obj_t BgL_arg4167z00_9530;

															{	/* Eval/evaluate.scm 295 */
																obj_t BgL__ortest_2582z00_9533;

																BgL__ortest_2582z00_9533 =
																	BGl_getzd2sourcezd2locationz00zz__readerz00
																	(BgL_funz00_1657);
																if (CBOOL(BgL__ortest_2582z00_9533))
																	{	/* Eval/evaluate.scm 295 */
																		BgL_arg4167z00_9530 =
																			BgL__ortest_2582z00_9533;
																	}
																else
																	{	/* Eval/evaluate.scm 295 */
																		BgL_arg4167z00_9530 = BgL_locz00_39;
																	}
															}
															BgL_funz00_2174 =
																BGl_convz00zz__evaluatez00(BgL_funz00_1657,
																BgL_localsz00_35, BgL_globalsz00_36,
																((bool_t) 0), BgL_wherez00_38,
																BgL_arg4167z00_9530);
														}
														if (NULLP(BgL_argsz00_1658))
															{	/* Eval/evaluate.scm 295 */
																BgL_argsz00_2175 = BNIL;
															}
														else
															{	/* Eval/evaluate.scm 295 */
																obj_t BgL_head3030z00_2178;

																{	/* Eval/evaluate.scm 295 */
																	obj_t BgL_arg4049z00_2191;

																	{	/* Eval/evaluate.scm 295 */
																		obj_t BgL_arg4051z00_2193;

																		BgL_arg4051z00_2193 = CAR(BgL_argsz00_1658);
																		{	/* Eval/evaluate.scm 295 */
																			obj_t BgL_arg4167z00_9537;

																			{	/* Eval/evaluate.scm 295 */
																				obj_t BgL__ortest_2582z00_9540;

																				BgL__ortest_2582z00_9540 =
																					BGl_getzd2sourcezd2locationz00zz__readerz00
																					(BgL_arg4051z00_2193);
																				if (CBOOL(BgL__ortest_2582z00_9540))
																					{	/* Eval/evaluate.scm 295 */
																						BgL_arg4167z00_9537 =
																							BgL__ortest_2582z00_9540;
																					}
																				else
																					{	/* Eval/evaluate.scm 295 */
																						BgL_arg4167z00_9537 = BgL_locz00_39;
																					}
																			}
																			BgL_arg4049z00_2191 =
																				BGl_convz00zz__evaluatez00
																				(BgL_arg4051z00_2193, BgL_localsz00_35,
																				BgL_globalsz00_36, ((bool_t) 0),
																				BgL_wherez00_38, BgL_arg4167z00_9537);
																		}
																	}
																	BgL_head3030z00_2178 =
																		MAKE_PAIR(BgL_arg4049z00_2191, BNIL);
																}
																{	/* Eval/evaluate.scm 295 */
																	obj_t BgL_g3033z00_2179;

																	BgL_g3033z00_2179 = CDR(BgL_argsz00_1658);
																	{
																		obj_t BgL_l3028z00_9545;

																		obj_t BgL_tail3031z00_9546;

																		BgL_l3028z00_9545 = BgL_g3033z00_2179;
																		BgL_tail3031z00_9546 = BgL_head3030z00_2178;
																	BgL_zc3anonymousza34043ze3z83_9544:
																		if (NULLP(BgL_l3028z00_9545))
																			{	/* Eval/evaluate.scm 295 */
																				BgL_argsz00_2175 = BgL_head3030z00_2178;
																			}
																		else
																			{	/* Eval/evaluate.scm 295 */
																				obj_t BgL_newtail3032z00_9554;

																				BgL_newtail3032z00_9554 =
																					MAKE_PAIR(BGl_uconvz00zz__evaluatez00
																					(BgL_wherez00_38, BgL_globalsz00_36,
																						BgL_localsz00_35, BgL_locz00_39,
																						CAR(BgL_l3028z00_9545)), BNIL);
																				SET_CDR(BgL_tail3031z00_9546,
																					BgL_newtail3032z00_9554);
																				{
																					obj_t BgL_tail3031z00_27567;

																					obj_t BgL_l3028z00_27565;

																					BgL_l3028z00_27565 =
																						CDR(BgL_l3028z00_9545);
																					BgL_tail3031z00_27567 =
																						BgL_newtail3032z00_9554;
																					BgL_tail3031z00_9546 =
																						BgL_tail3031z00_27567;
																					BgL_l3028z00_9545 =
																						BgL_l3028z00_27565;
																					goto
																						BgL_zc3anonymousza34043ze3z83_9544;
																				}
																			}
																	}
																}
															}
														{	/* Eval/evaluate.scm 296 */
															BgL_ev_appz00_bglt BgL_res7068z00_9619;

															{	/* Eval/evaluate.scm 296 */
																BgL_ev_exprz00_bglt BgL_fun2435z00_9600;

																obj_t BgL_tailzf32437zf3_9602;

																BgL_fun2435z00_9600 =
																	(BgL_ev_exprz00_bglt) (BgL_funz00_2174);
																BgL_tailzf32437zf3_9602 =
																	BBOOL(BgL_tailzf3zf3_37);
																{	/* Eval/evaluate.scm 296 */
																	BgL_ev_appz00_bglt BgL_new2438z00_9603;

																	{	/* Eval/evaluate.scm 296 */
																		BgL_ev_appz00_bglt BgL_res7066z00_9608;

																		{	/* Eval/evaluate.scm 296 */
																			BgL_ev_appz00_bglt BgL_new2450z00_9604;

																			BgL_new2450z00_9604 =
																				((BgL_ev_appz00_bglt)
																				BREF(GC_MALLOC(sizeof(struct
																							BgL_ev_appz00_bgl))));
																			BGL_OBJECT_CLASS_NUM_SET(
																				(BgL_objectz00_bglt)
																				(BgL_new2450z00_9604),
																				BGl_classzd2numzd2zz__objectz00
																				(BGl_ev_appz00zz__evaluatez00));
																			{	/* Eval/evaluate.scm 296 */
																				BgL_objectz00_bglt BgL_auxz00_27574;

																				BgL_auxz00_27574 =
																					(BgL_objectz00_bglt)
																					(BgL_new2450z00_9604);
																				BGL_OBJECT_WIDENING_SET
																					(BgL_auxz00_27574, BFALSE);
																			}
																			BgL_res7066z00_9608 = BgL_new2450z00_9604;
																		}
																		BgL_new2438z00_9603 = BgL_res7066z00_9608;
																	}
																	{	/* Eval/evaluate.scm 296 */
																		BgL_ev_appz00_bglt BgL_res7067z00_9618;

																		{	/* Eval/evaluate.scm 296 */
																			BgL_ev_appz00_bglt BgL_new2444z00_9609;

																			BgL_new2444z00_9609 = BgL_new2438z00_9603;
																			{	/* Eval/evaluate.scm 296 */
																				obj_t BgL_loc2440z00_9614;

																				BgL_ev_exprz00_bglt BgL_fun2441z00_9615;

																				obj_t BgL_args2442z00_9616;

																				obj_t BgL_tailzf32443zf3_9617;

																				BgL_loc2440z00_9614 = BgL_locz00_39;
																				BgL_fun2441z00_9615 =
																					BgL_fun2435z00_9600;
																				BgL_args2442z00_9616 = BgL_argsz00_2175;
																				BgL_tailzf32443zf3_9617 =
																					BgL_tailzf32437zf3_9602;
																				((((BgL_ev_appz00_bglt)
																							CREF(BgL_new2444z00_9609))->
																						BgL_locz00) =
																					((obj_t) BgL_loc2440z00_9614),
																					BUNSPEC);
																				((((BgL_ev_appz00_bglt)
																							CREF(BgL_new2444z00_9609))->
																						BgL_funz00) =
																					((BgL_ev_exprz00_bglt)
																						BgL_fun2441z00_9615), BUNSPEC);
																				((((BgL_ev_appz00_bglt)
																							CREF(BgL_new2444z00_9609))->
																						BgL_argsz00) =
																					((obj_t) BgL_args2442z00_9616),
																					BUNSPEC);
																				((((BgL_ev_appz00_bglt)
																							CREF(BgL_new2444z00_9609))->
																						BgL_tailzf3zf3) =
																					((obj_t) BgL_tailzf32443zf3_9617),
																					BUNSPEC);
																				BgL_res7067z00_9618 =
																					BgL_new2444z00_9609;
																		}} BgL_res7067z00_9618;
																	}
																	BgL_res7068z00_9619 = BgL_new2438z00_9603;
															}}
															BgL_auxz00_27545 = BgL_res7068z00_9619;
													}}
													return (obj_t) (BgL_auxz00_27545);
												}
											}
										else
											{	/* Eval/evaluate.scm 283 */
												obj_t BgL_cdrzd21569zd2_1717;

												BgL_cdrzd21569zd2_1717 = CDR(BgL_ez00_34);
												if (
													(BgL_carzd21546zd2_1713 ==
														BGl_symbol8191z00zz__evaluatez00))
													{	/* Eval/evaluate.scm 283 */
														if (PAIRP(BgL_cdrzd21569zd2_1717))
															{	/* Eval/evaluate.scm 283 */
																if (NULLP(CDR(BgL_cdrzd21569zd2_1717)))
																	{	/* Eval/evaluate.scm 283 */
																		obj_t BgL_arg3642z00_1721;

																		BgL_arg3642z00_1721 =
																			CAR(BgL_cdrzd21569zd2_1717);
																		{	/* Eval/evaluate.scm 283 */
																			obj_t BgL_arg4052z00_8475;

																			BgL_arg4052z00_8475 =
																				BGl_uconvz00zz__evaluatez00
																				(BgL_wherez00_38, BgL_globalsz00_36,
																				BgL_localsz00_35, BgL_locz00_39,
																				BgL_arg3642z00_1721);
																			{	/* Eval/evaluate.scm 283 */
																				BgL_ev_trapz00_bglt BgL_res6969z00_8487;

																				{	/* Eval/evaluate.scm 283 */
																					BgL_ev_exprz00_bglt BgL_e2047z00_8476;

																					BgL_e2047z00_8476 =
																						(BgL_ev_exprz00_bglt)
																						(BgL_arg4052z00_8475);
																					{	/* Eval/evaluate.scm 283 */
																						BgL_ev_trapz00_bglt
																							BgL_new2048z00_8477;
																						{	/* Eval/evaluate.scm 283 */
																							BgL_ev_trapz00_bglt
																								BgL_res6967z00_8482;
																							{	/* Eval/evaluate.scm 283 */
																								BgL_ev_trapz00_bglt
																									BgL_new2054z00_8478;
																								BgL_new2054z00_8478 =
																									((BgL_ev_trapz00_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_ev_trapz00_bgl))));
																								BGL_OBJECT_CLASS_NUM_SET(
																									(BgL_objectz00_bglt)
																									(BgL_new2054z00_8478),
																									BGl_classzd2numzd2zz__objectz00
																									(BGl_ev_trapz00zz__evaluatez00));
																								{	/* Eval/evaluate.scm 283 */
																									BgL_objectz00_bglt
																										BgL_auxz00_27597;
																									BgL_auxz00_27597 =
																										(BgL_objectz00_bglt)
																										(BgL_new2054z00_8478);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_auxz00_27597, BFALSE);
																								}
																								BgL_res6967z00_8482 =
																									BgL_new2054z00_8478;
																							}
																							BgL_new2048z00_8477 =
																								BgL_res6967z00_8482;
																						}
																						{	/* Eval/evaluate.scm 283 */
																							BgL_ev_trapz00_bglt
																								BgL_res6968z00_8486;
																							{	/* Eval/evaluate.scm 283 */
																								BgL_ev_trapz00_bglt
																									BgL_new2051z00_8483;
																								BgL_new2051z00_8483 =
																									BgL_new2048z00_8477;
																								{	/* Eval/evaluate.scm 283 */
																									BgL_ev_exprz00_bglt
																										BgL_e2050z00_8485;
																									BgL_e2050z00_8485 =
																										BgL_e2047z00_8476;
																									((((BgL_ev_trapz00_bglt)
																												CREF
																												(BgL_new2051z00_8483))->
																											BgL_ez00) =
																										((BgL_ev_exprz00_bglt)
																											BgL_e2050z00_8485),
																										BUNSPEC);
																									BgL_res6968z00_8486 =
																										BgL_new2051z00_8483;
																							}} BgL_res6968z00_8486;
																						}
																						BgL_res6969z00_8487 =
																							BgL_new2048z00_8477;
																				}}
																				return (obj_t) (BgL_res6969z00_8487);
																			}
																		}
																	}
																else
																	{	/* Eval/evaluate.scm 283 */
																		obj_t BgL_arg3643z00_1722;

																		obj_t BgL_arg3644z00_1723;

																		BgL_arg3643z00_1722 = CAR(BgL_ez00_34);
																		BgL_arg3644z00_1723 = CDR(BgL_ez00_34);
																		{	/* Eval/evaluate.scm 283 */
																			BgL_ev_appz00_bglt BgL_auxz00_27604;

																			BgL_fz00_1705 = BgL_arg3643z00_1722;
																			BgL_argsz00_1706 = BgL_arg3644z00_1723;
																		BgL_tagzd21488zd2_1707:
																			{	/* Eval/evaluate.scm 358 */
																				obj_t BgL_funz00_2361;

																				obj_t BgL_argsz00_2362;

																				{	/* Eval/evaluate.scm 358 */
																					obj_t BgL_arg4167z00_10267;

																					{	/* Eval/evaluate.scm 358 */
																						obj_t BgL__ortest_2582z00_10270;

																						BgL__ortest_2582z00_10270 =
																							BGl_getzd2sourcezd2locationz00zz__readerz00
																							(BgL_fz00_1705);
																						if (CBOOL
																							(BgL__ortest_2582z00_10270))
																							{	/* Eval/evaluate.scm 358 */
																								BgL_arg4167z00_10267 =
																									BgL__ortest_2582z00_10270;
																							}
																						else
																							{	/* Eval/evaluate.scm 358 */
																								BgL_arg4167z00_10267 =
																									BgL_locz00_39;
																							}
																					}
																					BgL_funz00_2361 =
																						BGl_convz00zz__evaluatez00
																						(BgL_fz00_1705, BgL_localsz00_35,
																						BgL_globalsz00_36, ((bool_t) 0),
																						BgL_wherez00_38,
																						BgL_arg4167z00_10267);
																				}
																				if (NULLP(BgL_argsz00_1706))
																					{	/* Eval/evaluate.scm 358 */
																						BgL_argsz00_2362 = BNIL;
																					}
																				else
																					{	/* Eval/evaluate.scm 358 */
																						obj_t BgL_head3073z00_2365;

																						{	/* Eval/evaluate.scm 358 */
																							obj_t BgL_arg4161z00_2378;

																							{	/* Eval/evaluate.scm 358 */
																								obj_t BgL_arg4163z00_2380;

																								BgL_arg4163z00_2380 =
																									CAR(BgL_argsz00_1706);
																								{	/* Eval/evaluate.scm 358 */
																									obj_t BgL_arg4167z00_10274;

																									{	/* Eval/evaluate.scm 358 */
																										obj_t
																											BgL__ortest_2582z00_10277;
																										BgL__ortest_2582z00_10277 =
																											BGl_getzd2sourcezd2locationz00zz__readerz00
																											(BgL_arg4163z00_2380);
																										if (CBOOL
																											(BgL__ortest_2582z00_10277))
																											{	/* Eval/evaluate.scm 358 */
																												BgL_arg4167z00_10274 =
																													BgL__ortest_2582z00_10277;
																											}
																										else
																											{	/* Eval/evaluate.scm 358 */
																												BgL_arg4167z00_10274 =
																													BgL_locz00_39;
																											}
																									}
																									BgL_arg4161z00_2378 =
																										BGl_convz00zz__evaluatez00
																										(BgL_arg4163z00_2380,
																										BgL_localsz00_35,
																										BgL_globalsz00_36,
																										((bool_t) 0),
																										BgL_wherez00_38,
																										BgL_arg4167z00_10274);
																								}
																							}
																							BgL_head3073z00_2365 =
																								MAKE_PAIR(BgL_arg4161z00_2378,
																								BNIL);
																						}
																						{	/* Eval/evaluate.scm 358 */
																							obj_t BgL_g3076z00_2366;

																							BgL_g3076z00_2366 =
																								CDR(BgL_argsz00_1706);
																							{
																								obj_t BgL_l3071z00_10282;

																								obj_t BgL_tail3074z00_10283;

																								BgL_l3071z00_10282 =
																									BgL_g3076z00_2366;
																								BgL_tail3074z00_10283 =
																									BgL_head3073z00_2365;
																							BgL_zc3anonymousza34154ze3z83_10281:
																								if (NULLP
																									(BgL_l3071z00_10282))
																									{	/* Eval/evaluate.scm 358 */
																										BgL_argsz00_2362 =
																											BgL_head3073z00_2365;
																									}
																								else
																									{	/* Eval/evaluate.scm 358 */
																										obj_t
																											BgL_newtail3075z00_10291;
																										BgL_newtail3075z00_10291 =
																											MAKE_PAIR
																											(BGl_uconvz00zz__evaluatez00
																											(BgL_wherez00_38,
																												BgL_globalsz00_36,
																												BgL_localsz00_35,
																												BgL_locz00_39,
																												CAR
																												(BgL_l3071z00_10282)),
																											BNIL);
																										SET_CDR
																											(BgL_tail3074z00_10283,
																											BgL_newtail3075z00_10291);
																										{
																											obj_t
																												BgL_tail3074z00_27626;
																											obj_t BgL_l3071z00_27624;

																											BgL_l3071z00_27624 =
																												CDR(BgL_l3071z00_10282);
																											BgL_tail3074z00_27626 =
																												BgL_newtail3075z00_10291;
																											BgL_tail3074z00_10283 =
																												BgL_tail3074z00_27626;
																											BgL_l3071z00_10282 =
																												BgL_l3071z00_27624;
																											goto
																												BgL_zc3anonymousza34154ze3z83_10281;
																										}
																									}
																							}
																						}
																					}
																				{	/* Eval/evaluate.scm 359 */
																					BgL_ev_appz00_bglt
																						BgL_res7128z00_10356;
																					{	/* Eval/evaluate.scm 359 */
																						BgL_ev_exprz00_bglt
																							BgL_fun2435z00_10337;
																						obj_t BgL_tailzf32437zf3_10339;

																						BgL_fun2435z00_10337 =
																							(BgL_ev_exprz00_bglt)
																							(BgL_funz00_2361);
																						BgL_tailzf32437zf3_10339 =
																							BBOOL(BgL_tailzf3zf3_37);
																						{	/* Eval/evaluate.scm 359 */
																							BgL_ev_appz00_bglt
																								BgL_new2438z00_10340;
																							{	/* Eval/evaluate.scm 359 */
																								BgL_ev_appz00_bglt
																									BgL_res7126z00_10345;
																								{	/* Eval/evaluate.scm 359 */
																									BgL_ev_appz00_bglt
																										BgL_new2450z00_10341;
																									BgL_new2450z00_10341 =
																										((BgL_ev_appz00_bglt)
																										BREF(GC_MALLOC(sizeof(struct
																													BgL_ev_appz00_bgl))));
																									BGL_OBJECT_CLASS_NUM_SET(
																										(BgL_objectz00_bglt)
																										(BgL_new2450z00_10341),
																										BGl_classzd2numzd2zz__objectz00
																										(BGl_ev_appz00zz__evaluatez00));
																									{	/* Eval/evaluate.scm 359 */
																										BgL_objectz00_bglt
																											BgL_auxz00_27633;
																										BgL_auxz00_27633 =
																											(BgL_objectz00_bglt)
																											(BgL_new2450z00_10341);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_auxz00_27633,
																											BFALSE);
																									}
																									BgL_res7126z00_10345 =
																										BgL_new2450z00_10341;
																								}
																								BgL_new2438z00_10340 =
																									BgL_res7126z00_10345;
																							}
																							{	/* Eval/evaluate.scm 359 */
																								BgL_ev_appz00_bglt
																									BgL_res7127z00_10355;
																								{	/* Eval/evaluate.scm 359 */
																									BgL_ev_appz00_bglt
																										BgL_new2444z00_10346;
																									BgL_new2444z00_10346 =
																										BgL_new2438z00_10340;
																									{	/* Eval/evaluate.scm 359 */
																										obj_t BgL_loc2440z00_10351;

																										BgL_ev_exprz00_bglt
																											BgL_fun2441z00_10352;
																										obj_t BgL_args2442z00_10353;

																										obj_t
																											BgL_tailzf32443zf3_10354;
																										BgL_loc2440z00_10351 =
																											BgL_locz00_39;
																										BgL_fun2441z00_10352 =
																											BgL_fun2435z00_10337;
																										BgL_args2442z00_10353 =
																											BgL_argsz00_2362;
																										BgL_tailzf32443zf3_10354 =
																											BgL_tailzf32437zf3_10339;
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new2444z00_10346))->
																												BgL_locz00) =
																											((obj_t)
																												BgL_loc2440z00_10351),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new2444z00_10346))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt)
																												BgL_fun2441z00_10352),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new2444z00_10346))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_args2442z00_10353),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new2444z00_10346))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf32443zf3_10354),
																											BUNSPEC);
																										BgL_res7127z00_10355 =
																											BgL_new2444z00_10346;
																								}} BgL_res7127z00_10355;
																							}
																							BgL_res7128z00_10356 =
																								BgL_new2438z00_10340;
																					}}
																					BgL_auxz00_27604 =
																						BgL_res7128z00_10356;
																			}}
																			return (obj_t) (BgL_auxz00_27604);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 283 */
																obj_t BgL_arg3646z00_1725;

																obj_t BgL_arg3647z00_1726;

																BgL_arg3646z00_1725 = CAR(BgL_ez00_34);
																BgL_arg3647z00_1726 = CDR(BgL_ez00_34);
																{	/* Eval/evaluate.scm 283 */
																	BgL_ev_appz00_bglt BgL_auxz00_27643;

																	{
																		obj_t BgL_argsz00_27645;

																		obj_t BgL_fz00_27644;

																		BgL_fz00_27644 = BgL_arg3646z00_1725;
																		BgL_argsz00_27645 = BgL_arg3647z00_1726;
																		BgL_argsz00_1706 = BgL_argsz00_27645;
																		BgL_fz00_1705 = BgL_fz00_27644;
																		goto BgL_tagzd21488zd2_1707;
																	}
																	return (obj_t) (BgL_auxz00_27643);
																}
															}
													}
												else
													{	/* Eval/evaluate.scm 283 */
														obj_t BgL_cdrzd21937zd2_1727;

														BgL_cdrzd21937zd2_1727 = CDR(BgL_ez00_34);
														if (
															(CAR(BgL_ez00_34) ==
																BGl_symbol8193z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 283 */
																if (PAIRP(BgL_cdrzd21937zd2_1727))
																	{	/* Eval/evaluate.scm 283 */
																		if (NULLP(CDR(BgL_cdrzd21937zd2_1727)))
																			{	/* Eval/evaluate.scm 283 */
																				obj_t BgL_arg3651z00_1731;

																				BgL_arg3651z00_1731 =
																					CAR(BgL_cdrzd21937zd2_1727);
																				{	/* Eval/evaluate.scm 283 */
																					BgL_ev_littz00_bglt
																						BgL_res6972z00_8510;
																					{	/* Eval/evaluate.scm 283 */
																						BgL_ev_littz00_bglt
																							BgL_new1892z00_8500;
																						{	/* Eval/evaluate.scm 283 */
																							BgL_ev_littz00_bglt
																								BgL_res6970z00_8505;
																							{	/* Eval/evaluate.scm 283 */
																								BgL_ev_littz00_bglt
																									BgL_new1898z00_8501;
																								BgL_new1898z00_8501 =
																									((BgL_ev_littz00_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_ev_littz00_bgl))));
																								BGL_OBJECT_CLASS_NUM_SET(
																									(BgL_objectz00_bglt)
																									(BgL_new1898z00_8501),
																									BGl_classzd2numzd2zz__objectz00
																									(BGl_ev_littz00zz__evaluatez00));
																								{	/* Eval/evaluate.scm 283 */
																									BgL_objectz00_bglt
																										BgL_auxz00_27661;
																									BgL_auxz00_27661 =
																										(BgL_objectz00_bglt)
																										(BgL_new1898z00_8501);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_auxz00_27661, BFALSE);
																								}
																								BgL_res6970z00_8505 =
																									BgL_new1898z00_8501;
																							}
																							BgL_new1892z00_8500 =
																								BgL_res6970z00_8505;
																						}
																						{	/* Eval/evaluate.scm 283 */
																							BgL_ev_littz00_bglt
																								BgL_res6971z00_8509;
																							{	/* Eval/evaluate.scm 283 */
																								BgL_ev_littz00_bglt
																									BgL_new1895z00_8506;
																								BgL_new1895z00_8506 =
																									BgL_new1892z00_8500;
																								{	/* Eval/evaluate.scm 283 */
																									obj_t BgL_value1894z00_8508;

																									BgL_value1894z00_8508 =
																										BgL_arg3651z00_1731;
																									((((BgL_ev_littz00_bglt)
																												CREF
																												(BgL_new1895z00_8506))->
																											BgL_valuez00) =
																										((obj_t)
																											BgL_value1894z00_8508),
																										BUNSPEC);
																									BgL_res6971z00_8509 =
																										BgL_new1895z00_8506;
																							}} BgL_res6971z00_8509;
																						}
																						BgL_res6972z00_8510 =
																							BgL_new1892z00_8500;
																					}
																					return (obj_t) (BgL_res6972z00_8510);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 283 */
																				obj_t BgL_arg3652z00_1732;

																				BgL_arg3652z00_1732 = CAR(BgL_ez00_34);
																				{	/* Eval/evaluate.scm 283 */
																					BgL_ev_appz00_bglt BgL_auxz00_27667;

																					{
																						obj_t BgL_argsz00_27669;

																						obj_t BgL_fz00_27668;

																						BgL_fz00_27668 =
																							BgL_arg3652z00_1732;
																						BgL_argsz00_27669 =
																							BgL_cdrzd21937zd2_1727;
																						BgL_argsz00_1706 =
																							BgL_argsz00_27669;
																						BgL_fz00_1705 = BgL_fz00_27668;
																						goto BgL_tagzd21488zd2_1707;
																					}
																					return (obj_t) (BgL_auxz00_27667);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 283 */
																		obj_t BgL_arg3655z00_1735;

																		BgL_arg3655z00_1735 = CAR(BgL_ez00_34);
																		{	/* Eval/evaluate.scm 283 */
																			BgL_ev_appz00_bglt BgL_auxz00_27672;

																			{
																				obj_t BgL_argsz00_27674;

																				obj_t BgL_fz00_27673;

																				BgL_fz00_27673 = BgL_arg3655z00_1735;
																				BgL_argsz00_27674 =
																					BgL_cdrzd21937zd2_1727;
																				BgL_argsz00_1706 = BgL_argsz00_27674;
																				BgL_fz00_1705 = BgL_fz00_27673;
																				goto BgL_tagzd21488zd2_1707;
																			}
																			return (obj_t) (BgL_auxz00_27672);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 283 */
																if (
																	(CAR(BgL_ez00_34) ==
																		BGl_symbol8195z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 283 */
																		if (PAIRP(BgL_cdrzd21937zd2_1727))
																			{	/* Eval/evaluate.scm 283 */
																				obj_t BgL_cdrzd22284zd2_1740;

																				BgL_cdrzd22284zd2_1740 =
																					CDR(BgL_cdrzd21937zd2_1727);
																				if (PAIRP(BgL_cdrzd22284zd2_1740))
																					{	/* Eval/evaluate.scm 283 */
																						obj_t BgL_cdrzd22289zd2_1742;

																						BgL_cdrzd22289zd2_1742 =
																							CDR(BgL_cdrzd22284zd2_1740);
																						if (PAIRP(BgL_cdrzd22289zd2_1742))
																							{	/* Eval/evaluate.scm 283 */
																								if (NULLP(CDR
																										(BgL_cdrzd22289zd2_1742)))
																									{	/* Eval/evaluate.scm 283 */
																										obj_t BgL_arg3662z00_1745;

																										obj_t BgL_arg3663z00_1746;

																										obj_t BgL_arg3664z00_1747;

																										BgL_arg3662z00_1745 =
																											CAR
																											(BgL_cdrzd21937zd2_1727);
																										BgL_arg3663z00_1746 =
																											CAR
																											(BgL_cdrzd22284zd2_1740);
																										BgL_arg3664z00_1747 =
																											CAR
																											(BgL_cdrzd22289zd2_1742);
																										{	/* Eval/evaluate.scm 283 */
																											obj_t BgL_arg4053z00_8530;

																											obj_t BgL_arg4054z00_8531;

																											obj_t BgL_arg4055z00_8532;

																											BgL_arg4053z00_8530 =
																												BGl_uconvz00zz__evaluatez00
																												(BgL_wherez00_38,
																												BgL_globalsz00_36,
																												BgL_localsz00_35,
																												BgL_locz00_39,
																												BgL_arg3662z00_1745);
																											BgL_arg4054z00_8531 =
																												BGl_rconvz00zz__evaluatez00
																												(BgL_wherez00_38,
																												BgL_tailzf3zf3_37,
																												BgL_globalsz00_36,
																												BgL_localsz00_35,
																												BgL_locz00_39,
																												BgL_arg3663z00_1746);
																											BgL_arg4055z00_8532 =
																												BGl_rconvz00zz__evaluatez00
																												(BgL_wherez00_38,
																												BgL_tailzf3zf3_37,
																												BgL_globalsz00_36,
																												BgL_localsz00_35,
																												BgL_locz00_39,
																												BgL_arg3664z00_1747);
																											{	/* Eval/evaluate.scm 283 */
																												BgL_ev_ifz00_bglt
																													BgL_res6975z00_8550;
																												{	/* Eval/evaluate.scm 283 */
																													BgL_ev_exprz00_bglt
																														BgL_p1915z00_8533;
																													BgL_ev_exprz00_bglt
																														BgL_t1916z00_8534;
																													BgL_ev_exprz00_bglt
																														BgL_e1917z00_8535;
																													BgL_p1915z00_8533 =
																														(BgL_ev_exprz00_bglt)
																														(BgL_arg4053z00_8530);
																													BgL_t1916z00_8534 =
																														(BgL_ev_exprz00_bglt)
																														(BgL_arg4054z00_8531);
																													BgL_e1917z00_8535 =
																														(BgL_ev_exprz00_bglt)
																														(BgL_arg4055z00_8532);
																													{	/* Eval/evaluate.scm 283 */
																														BgL_ev_ifz00_bglt
																															BgL_new1918z00_8536;
																														{	/* Eval/evaluate.scm 283 */
																															BgL_ev_ifz00_bglt
																																BgL_res6973z00_8541;
																															{	/* Eval/evaluate.scm 283 */
																																BgL_ev_ifz00_bglt
																																	BgL_new1928z00_8537;
																																BgL_new1928z00_8537
																																	=
																																	(
																																	(BgL_ev_ifz00_bglt)
																																	BREF(GC_MALLOC
																																		(sizeof
																																			(struct
																																				BgL_ev_ifz00_bgl))));
																																BGL_OBJECT_CLASS_NUM_SET
																																	(
																																	(BgL_objectz00_bglt)
																																	(BgL_new1928z00_8537),
																																	BGl_classzd2numzd2zz__objectz00
																																	(BGl_ev_ifz00zz__evaluatez00));
																																{	/* Eval/evaluate.scm 283 */
																																	BgL_objectz00_bglt
																																		BgL_auxz00_27703;
																																	BgL_auxz00_27703
																																		=
																																		(BgL_objectz00_bglt)
																																		(BgL_new1928z00_8537);
																																	BGL_OBJECT_WIDENING_SET
																																		(BgL_auxz00_27703,
																																		BFALSE);
																																}
																																BgL_res6973z00_8541
																																	=
																																	BgL_new1928z00_8537;
																															}
																															BgL_new1918z00_8536
																																=
																																BgL_res6973z00_8541;
																														}
																														{	/* Eval/evaluate.scm 283 */
																															BgL_ev_ifz00_bglt
																																BgL_res6974z00_8549;
																															{	/* Eval/evaluate.scm 283 */
																																BgL_ev_ifz00_bglt
																																	BgL_new1923z00_8542;
																																BgL_new1923z00_8542
																																	=
																																	BgL_new1918z00_8536;
																																{	/* Eval/evaluate.scm 283 */
																																	BgL_ev_exprz00_bglt
																																		BgL_p1920z00_8546;
																																	BgL_ev_exprz00_bglt
																																		BgL_t1921z00_8547;
																																	BgL_ev_exprz00_bglt
																																		BgL_e1922z00_8548;
																																	BgL_p1920z00_8546
																																		=
																																		BgL_p1915z00_8533;
																																	BgL_t1921z00_8547
																																		=
																																		BgL_t1916z00_8534;
																																	BgL_e1922z00_8548
																																		=
																																		BgL_e1917z00_8535;
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1923z00_8542))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_p1920z00_8546), BUNSPEC);
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1923z00_8542))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_t1921z00_8547), BUNSPEC);
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1923z00_8542))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e1922z00_8548), BUNSPEC);
																																	BgL_res6974z00_8549
																																		=
																																		BgL_new1923z00_8542;
																															}} BgL_res6974z00_8549;
																														}
																														BgL_res6975z00_8550
																															=
																															BgL_new1918z00_8536;
																												}}
																												return
																													(obj_t)
																													(BgL_res6975z00_8550);
																											}
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 283 */
																										obj_t BgL_arg3665z00_1748;

																										obj_t BgL_arg3666z00_1749;

																										BgL_arg3665z00_1748 =
																											CAR(BgL_ez00_34);
																										BgL_arg3666z00_1749 =
																											CDR(BgL_ez00_34);
																										{	/* Eval/evaluate.scm 283 */
																											BgL_ev_appz00_bglt
																												BgL_auxz00_27712;
																											{
																												obj_t BgL_argsz00_27714;

																												obj_t BgL_fz00_27713;

																												BgL_fz00_27713 =
																													BgL_arg3665z00_1748;
																												BgL_argsz00_27714 =
																													BgL_arg3666z00_1749;
																												BgL_argsz00_1706 =
																													BgL_argsz00_27714;
																												BgL_fz00_1705 =
																													BgL_fz00_27713;
																												goto
																													BgL_tagzd21488zd2_1707;
																											}
																											return
																												(obj_t)
																												(BgL_auxz00_27712);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 283 */
																								obj_t BgL_arg3668z00_1751;

																								obj_t BgL_arg3670z00_1752;

																								BgL_arg3668z00_1751 =
																									CAR(BgL_ez00_34);
																								BgL_arg3670z00_1752 =
																									CDR(BgL_ez00_34);
																								{	/* Eval/evaluate.scm 283 */
																									BgL_ev_appz00_bglt
																										BgL_auxz00_27718;
																									{
																										obj_t BgL_argsz00_27720;

																										obj_t BgL_fz00_27719;

																										BgL_fz00_27719 =
																											BgL_arg3668z00_1751;
																										BgL_argsz00_27720 =
																											BgL_arg3670z00_1752;
																										BgL_argsz00_1706 =
																											BgL_argsz00_27720;
																										BgL_fz00_1705 =
																											BgL_fz00_27719;
																										goto BgL_tagzd21488zd2_1707;
																									}
																									return
																										(obj_t) (BgL_auxz00_27718);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 283 */
																						obj_t BgL_arg3671z00_1753;

																						obj_t BgL_arg3672z00_1754;

																						BgL_arg3671z00_1753 =
																							CAR(BgL_ez00_34);
																						BgL_arg3672z00_1754 =
																							CDR(BgL_ez00_34);
																						{	/* Eval/evaluate.scm 283 */
																							BgL_ev_appz00_bglt
																								BgL_auxz00_27724;
																							{
																								obj_t BgL_argsz00_27726;

																								obj_t BgL_fz00_27725;

																								BgL_fz00_27725 =
																									BgL_arg3671z00_1753;
																								BgL_argsz00_27726 =
																									BgL_arg3672z00_1754;
																								BgL_argsz00_1706 =
																									BgL_argsz00_27726;
																								BgL_fz00_1705 = BgL_fz00_27725;
																								goto BgL_tagzd21488zd2_1707;
																							}
																							return (obj_t) (BgL_auxz00_27724);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 283 */
																				obj_t BgL_arg3673z00_1755;

																				obj_t BgL_arg3674z00_1756;

																				BgL_arg3673z00_1755 = CAR(BgL_ez00_34);
																				BgL_arg3674z00_1756 = CDR(BgL_ez00_34);
																				{	/* Eval/evaluate.scm 283 */
																					BgL_ev_appz00_bglt BgL_auxz00_27730;

																					{
																						obj_t BgL_argsz00_27732;

																						obj_t BgL_fz00_27731;

																						BgL_fz00_27731 =
																							BgL_arg3673z00_1755;
																						BgL_argsz00_27732 =
																							BgL_arg3674z00_1756;
																						BgL_argsz00_1706 =
																							BgL_argsz00_27732;
																						BgL_fz00_1705 = BgL_fz00_27731;
																						goto BgL_tagzd21488zd2_1707;
																					}
																					return (obj_t) (BgL_auxz00_27730);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 283 */
																		if (
																			(CAR(BgL_ez00_34) ==
																				BGl_symbol8197z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 283 */
																				obj_t BgL_arg3677z00_1758;

																				BgL_arg3677z00_1758 = CDR(BgL_ez00_34);
																				{	/* Eval/evaluate.scm 283 */
																					BgL_ev_orz00_bglt BgL_auxz00_27738;

																					BgL_argsz00_1668 =
																						BgL_arg3677z00_1758;
																				BgL_tagzd21475zd2_1669:
																					{	/* Eval/evaluate.scm 304 */
																						obj_t BgL_arg4056z00_2198;

																						if (NULLP(BgL_argsz00_1668))
																							{	/* Eval/evaluate.scm 304 */
																								BgL_arg4056z00_2198 = BNIL;
																							}
																						else
																							{	/* Eval/evaluate.scm 304 */
																								obj_t BgL_head3036z00_2201;

																								{	/* Eval/evaluate.scm 304 */
																									obj_t BgL_arg4064z00_2214;

																									{	/* Eval/evaluate.scm 304 */
																										obj_t BgL_arg4066z00_2216;

																										BgL_arg4066z00_2216 =
																											CAR(BgL_argsz00_1668);
																										{	/* Eval/evaluate.scm 304 */
																											obj_t BgL_arg4167z00_9689;

																											{	/* Eval/evaluate.scm 304 */
																												obj_t
																													BgL__ortest_2582z00_9692;
																												BgL__ortest_2582z00_9692
																													=
																													BGl_getzd2sourcezd2locationz00zz__readerz00
																													(BgL_arg4066z00_2216);
																												if (CBOOL
																													(BgL__ortest_2582z00_9692))
																													{	/* Eval/evaluate.scm 304 */
																														BgL_arg4167z00_9689
																															=
																															BgL__ortest_2582z00_9692;
																													}
																												else
																													{	/* Eval/evaluate.scm 304 */
																														BgL_arg4167z00_9689
																															= BgL_locz00_39;
																													}
																											}
																											BgL_arg4064z00_2214 =
																												BGl_convz00zz__evaluatez00
																												(BgL_arg4066z00_2216,
																												BgL_localsz00_35,
																												BgL_globalsz00_36,
																												((bool_t) 0),
																												BgL_wherez00_38,
																												BgL_arg4167z00_9689);
																										}
																									}
																									BgL_head3036z00_2201 =
																										MAKE_PAIR
																										(BgL_arg4064z00_2214, BNIL);
																								}
																								{	/* Eval/evaluate.scm 304 */
																									obj_t BgL_g3039z00_2202;

																									BgL_g3039z00_2202 =
																										CDR(BgL_argsz00_1668);
																									{
																										obj_t BgL_l3034z00_9697;

																										obj_t BgL_tail3037z00_9698;

																										BgL_l3034z00_9697 =
																											BgL_g3039z00_2202;
																										BgL_tail3037z00_9698 =
																											BgL_head3036z00_2201;
																									BgL_zc3anonymousza34058ze3z83_9696:
																										if (NULLP
																											(BgL_l3034z00_9697))
																											{	/* Eval/evaluate.scm 304 */
																												BgL_arg4056z00_2198 =
																													BgL_head3036z00_2201;
																											}
																										else
																											{	/* Eval/evaluate.scm 304 */
																												obj_t
																													BgL_newtail3038z00_9706;
																												BgL_newtail3038z00_9706
																													=
																													MAKE_PAIR
																													(BGl_uconvz00zz__evaluatez00
																													(BgL_wherez00_38,
																														BgL_globalsz00_36,
																														BgL_localsz00_35,
																														BgL_locz00_39,
																														CAR
																														(BgL_l3034z00_9697)),
																													BNIL);
																												SET_CDR
																													(BgL_tail3037z00_9698,
																													BgL_newtail3038z00_9706);
																												{
																													obj_t
																														BgL_tail3037z00_27756;
																													obj_t
																														BgL_l3034z00_27754;
																													BgL_l3034z00_27754 =
																														CDR
																														(BgL_l3034z00_9697);
																													BgL_tail3037z00_27756
																														=
																														BgL_newtail3038z00_9706;
																													BgL_tail3037z00_9698 =
																														BgL_tail3037z00_27756;
																													BgL_l3034z00_9697 =
																														BgL_l3034z00_27754;
																													goto
																														BgL_zc3anonymousza34058ze3z83_9696;
																												}
																											}
																									}
																								}
																							}
																						{	/* Eval/evaluate.scm 304 */
																							BgL_ev_orz00_bglt
																								BgL_res7080z00_9762;
																							{	/* Eval/evaluate.scm 304 */
																								BgL_ev_orz00_bglt
																									BgL_new1966z00_9752;
																								{	/* Eval/evaluate.scm 304 */
																									BgL_ev_orz00_bglt
																										BgL_res7078z00_9757;
																									{	/* Eval/evaluate.scm 304 */
																										BgL_ev_orz00_bglt
																											BgL_new1972z00_9753;
																										BgL_new1972z00_9753 =
																											((BgL_ev_orz00_bglt)
																											BREF(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_orz00_bgl))));
																										BGL_OBJECT_CLASS_NUM_SET(
																											(BgL_objectz00_bglt)
																											(BgL_new1972z00_9753),
																											BGl_classzd2numzd2zz__objectz00
																											(BGl_ev_orz00zz__evaluatez00));
																										{	/* Eval/evaluate.scm 304 */
																											BgL_objectz00_bglt
																												BgL_auxz00_27761;
																											BgL_auxz00_27761 =
																												(BgL_objectz00_bglt)
																												(BgL_new1972z00_9753);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_auxz00_27761,
																												BFALSE);
																										}
																										BgL_res7078z00_9757 =
																											BgL_new1972z00_9753;
																									}
																									BgL_new1966z00_9752 =
																										BgL_res7078z00_9757;
																								}
																								{	/* Eval/evaluate.scm 304 */
																									BgL_ev_orz00_bglt
																										BgL_res7079z00_9761;
																									{	/* Eval/evaluate.scm 304 */
																										BgL_ev_orz00_bglt
																											BgL_new1969z00_9758;
																										BgL_new1969z00_9758 =
																											BgL_new1966z00_9752;
																										{	/* Eval/evaluate.scm 304 */
																											obj_t
																												BgL_args1968z00_9760;
																											BgL_args1968z00_9760 =
																												BgL_arg4056z00_2198;
																											((((BgL_ev_orz00_bglt)
																														CREF
																														(BgL_new1969z00_9758))->
																													BgL_argsz00) =
																												((obj_t)
																													BgL_args1968z00_9760),
																												BUNSPEC);
																											BgL_res7079z00_9761 =
																												BgL_new1969z00_9758;
																									}} BgL_res7079z00_9761;
																								}
																								BgL_res7080z00_9762 =
																									BgL_new1966z00_9752;
																							}
																							BgL_auxz00_27738 =
																								BgL_res7080z00_9762;
																					}}
																					return (obj_t) (BgL_auxz00_27738);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 283 */
																				if (
																					(CAR(BgL_ez00_34) ==
																						BGl_symbol8199z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 283 */
																						obj_t BgL_arg3679z00_1760;

																						BgL_arg3679z00_1760 =
																							CDR(BgL_ez00_34);
																						{	/* Eval/evaluate.scm 283 */
																							BgL_ev_andz00_bglt
																								BgL_auxz00_27770;
																							BgL_argsz00_1670 =
																								BgL_arg3679z00_1760;
																						BgL_tagzd21476zd2_1671:
																							{	/* Eval/evaluate.scm 306 */
																								obj_t BgL_arg4067z00_2217;

																								if (NULLP(BgL_argsz00_1670))
																									{	/* Eval/evaluate.scm 306 */
																										BgL_arg4067z00_2217 = BNIL;
																									}
																								else
																									{	/* Eval/evaluate.scm 306 */
																										obj_t BgL_head3042z00_2220;

																										{	/* Eval/evaluate.scm 306 */
																											obj_t BgL_arg4075z00_2233;

																											{	/* Eval/evaluate.scm 306 */
																												obj_t
																													BgL_arg4077z00_2235;
																												BgL_arg4077z00_2235 =
																													CAR(BgL_argsz00_1670);
																												{	/* Eval/evaluate.scm 306 */
																													obj_t
																														BgL_arg4167z00_9766;
																													{	/* Eval/evaluate.scm 306 */
																														obj_t
																															BgL__ortest_2582z00_9769;
																														BgL__ortest_2582z00_9769
																															=
																															BGl_getzd2sourcezd2locationz00zz__readerz00
																															(BgL_arg4077z00_2235);
																														if (CBOOL
																															(BgL__ortest_2582z00_9769))
																															{	/* Eval/evaluate.scm 306 */
																																BgL_arg4167z00_9766
																																	=
																																	BgL__ortest_2582z00_9769;
																															}
																														else
																															{	/* Eval/evaluate.scm 306 */
																																BgL_arg4167z00_9766
																																	=
																																	BgL_locz00_39;
																															}
																													}
																													BgL_arg4075z00_2233 =
																														BGl_convz00zz__evaluatez00
																														(BgL_arg4077z00_2235,
																														BgL_localsz00_35,
																														BgL_globalsz00_36,
																														((bool_t) 0),
																														BgL_wherez00_38,
																														BgL_arg4167z00_9766);
																												}
																											}
																											BgL_head3042z00_2220 =
																												MAKE_PAIR
																												(BgL_arg4075z00_2233,
																												BNIL);
																										}
																										{	/* Eval/evaluate.scm 306 */
																											obj_t BgL_g3045z00_2221;

																											BgL_g3045z00_2221 =
																												CDR(BgL_argsz00_1670);
																											{
																												obj_t BgL_l3040z00_9774;

																												obj_t
																													BgL_tail3043z00_9775;
																												BgL_l3040z00_9774 =
																													BgL_g3045z00_2221;
																												BgL_tail3043z00_9775 =
																													BgL_head3042z00_2220;
																											BgL_zc3anonymousza34069ze3z83_9773:
																												if (NULLP
																													(BgL_l3040z00_9774))
																													{	/* Eval/evaluate.scm 306 */
																														BgL_arg4067z00_2217
																															=
																															BgL_head3042z00_2220;
																													}
																												else
																													{	/* Eval/evaluate.scm 306 */
																														obj_t
																															BgL_newtail3044z00_9783;
																														BgL_newtail3044z00_9783
																															=
																															MAKE_PAIR
																															(BGl_uconvz00zz__evaluatez00
																															(BgL_wherez00_38,
																																BgL_globalsz00_36,
																																BgL_localsz00_35,
																																BgL_locz00_39,
																																CAR
																																(BgL_l3040z00_9774)),
																															BNIL);
																														SET_CDR
																															(BgL_tail3043z00_9775,
																															BgL_newtail3044z00_9783);
																														{
																															obj_t
																																BgL_tail3043z00_27788;
																															obj_t
																																BgL_l3040z00_27786;
																															BgL_l3040z00_27786
																																=
																																CDR
																																(BgL_l3040z00_9774);
																															BgL_tail3043z00_27788
																																=
																																BgL_newtail3044z00_9783;
																															BgL_tail3043z00_9775
																																=
																																BgL_tail3043z00_27788;
																															BgL_l3040z00_9774
																																=
																																BgL_l3040z00_27786;
																															goto
																																BgL_zc3anonymousza34069ze3z83_9773;
																														}
																													}
																											}
																										}
																									}
																								{	/* Eval/evaluate.scm 306 */
																									BgL_ev_andz00_bglt
																										BgL_res7083z00_9839;
																									{	/* Eval/evaluate.scm 306 */
																										BgL_ev_andz00_bglt
																											BgL_new1984z00_9829;
																										{	/* Eval/evaluate.scm 306 */
																											BgL_ev_andz00_bglt
																												BgL_res7081z00_9834;
																											{	/* Eval/evaluate.scm 306 */
																												BgL_ev_andz00_bglt
																													BgL_new1990z00_9830;
																												BgL_new1990z00_9830 =
																													((BgL_ev_andz00_bglt)
																													BREF(GC_MALLOC(sizeof
																															(struct
																																BgL_ev_andz00_bgl))));
																												BGL_OBJECT_CLASS_NUM_SET
																													((BgL_objectz00_bglt)
																													(BgL_new1990z00_9830),
																													BGl_classzd2numzd2zz__objectz00
																													(BGl_ev_andz00zz__evaluatez00));
																												{	/* Eval/evaluate.scm 306 */
																													BgL_objectz00_bglt
																														BgL_auxz00_27793;
																													BgL_auxz00_27793 =
																														(BgL_objectz00_bglt)
																														(BgL_new1990z00_9830);
																													BGL_OBJECT_WIDENING_SET
																														(BgL_auxz00_27793,
																														BFALSE);
																												}
																												BgL_res7081z00_9834 =
																													BgL_new1990z00_9830;
																											}
																											BgL_new1984z00_9829 =
																												BgL_res7081z00_9834;
																										}
																										{	/* Eval/evaluate.scm 306 */
																											BgL_ev_andz00_bglt
																												BgL_res7082z00_9838;
																											{	/* Eval/evaluate.scm 306 */
																												BgL_ev_andz00_bglt
																													BgL_new1987z00_9835;
																												BgL_new1987z00_9835 =
																													BgL_new1984z00_9829;
																												{	/* Eval/evaluate.scm 306 */
																													obj_t
																														BgL_args1986z00_9837;
																													BgL_args1986z00_9837 =
																														BgL_arg4067z00_2217;
																													((((BgL_ev_andz00_bglt) CREF(BgL_new1987z00_9835))->BgL_argsz00) = ((obj_t) BgL_args1986z00_9837), BUNSPEC);
																													BgL_res7082z00_9838 =
																														BgL_new1987z00_9835;
																											}} BgL_res7082z00_9838;
																										}
																										BgL_res7083z00_9839 =
																											BgL_new1984z00_9829;
																									}
																									BgL_auxz00_27770 =
																										BgL_res7083z00_9839;
																							}}
																							return (obj_t) (BgL_auxz00_27770);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 283 */
																						if (
																							(CAR(BgL_ez00_34) ==
																								BGl_symbol8201z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 283 */
																								return
																									BGl_convzd2beginzd2zz__evaluatez00
																									(CDR(BgL_ez00_34),
																									BgL_localsz00_35,
																									BgL_globalsz00_36,
																									BgL_tailzf3zf3_37,
																									BgL_wherez00_38,
																									BgL_locz00_39);
																							}
																						else
																							{	/* Eval/evaluate.scm 283 */
																								obj_t BgL_cdrzd22929zd2_1763;

																								BgL_cdrzd22929zd2_1763 =
																									CDR(BgL_ez00_34);
																								if (
																									(CAR(BgL_ez00_34) ==
																										BGl_symbol8203z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 283 */
																										if (PAIRP
																											(BgL_cdrzd22929zd2_1763))
																											{	/* Eval/evaluate.scm 283 */
																												obj_t
																													BgL_arg3684z00_1766;
																												obj_t
																													BgL_arg3685z00_1767;
																												BgL_arg3684z00_1766 =
																													CAR
																													(BgL_cdrzd22929zd2_1763);
																												BgL_arg3685z00_1767 =
																													CDR
																													(BgL_cdrzd22929zd2_1763);
																												{	/* Eval/evaluate.scm 283 */
																													BgL_ev_letz00_bglt
																														BgL_auxz00_27811;
																													BgL_bindsz00_1674 =
																														BgL_arg3684z00_1766;
																													BgL_bodyz00_1675 =
																														BgL_arg3685z00_1767;
																												BgL_tagzd21478zd2_1676:
																													{	/* Eval/evaluate.scm 310 */
																														obj_t
																															BgL_varsz00_2236;
																														if (NULLP
																															(BgL_bindsz00_1674))
																															{	/* Eval/evaluate.scm 310 */
																																BgL_varsz00_2236
																																	= BNIL;
																															}
																														else
																															{	/* Eval/evaluate.scm 310 */
																																obj_t
																																	BgL_head3048z00_2258;
																																BgL_head3048z00_2258
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																{
																																	obj_t
																																		BgL_l3046z00_2260;
																																	obj_t
																																		BgL_tail3049z00_2261;
																																	BgL_l3046z00_2260
																																		=
																																		BgL_bindsz00_1674;
																																	BgL_tail3049z00_2261
																																		=
																																		BgL_head3048z00_2258;
																																BgL_zc3anonymousza34091ze3z83_2262:
																																	if (NULLP
																																		(BgL_l3046z00_2260))
																																		{	/* Eval/evaluate.scm 310 */
																																			BgL_varsz00_2236
																																				=
																																				CDR
																																				(BgL_head3048z00_2258);
																																		}
																																	else
																																		{	/* Eval/evaluate.scm 310 */
																																			obj_t
																																				BgL_newtail3050z00_2264;
																																			{	/* Eval/evaluate.scm 310 */
																																				BgL_ev_varz00_bglt
																																					BgL_arg4094z00_2266;
																																				{	/* Eval/evaluate.scm 310 */
																																					obj_t
																																						BgL_bz00_2268;
																																					BgL_bz00_2268
																																						=
																																						CAR
																																						(BgL_l3046z00_2260);
																																					{	/* Eval/evaluate.scm 310 */
																																						obj_t
																																							BgL_arg4097z00_2269;
																																						BgL_arg4097z00_2269
																																							=
																																							BGl_untypezd2identzd2zz__evcompilez00
																																							(CAR
																																							(BgL_bz00_2268));
																																						{	/* Eval/evaluate.scm 310 */
																																							BgL_ev_varz00_bglt
																																								BgL_res7086z00_9861;
																																							{	/* Eval/evaluate.scm 310 */
																																								obj_t
																																									BgL_name1838z00_9847;
																																								BgL_name1838z00_9847
																																									=
																																									BgL_arg4097z00_2269;
																																								{	/* Eval/evaluate.scm 310 */
																																									BgL_ev_varz00_bglt
																																										BgL_new1840z00_9849;
																																									{	/* Eval/evaluate.scm 310 */
																																										BgL_ev_varz00_bglt
																																											BgL_res7084z00_9854;
																																										{	/* Eval/evaluate.scm 310 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1848z00_9850;
																																											BgL_new1848z00_9850
																																												=
																																												(
																																												(BgL_ev_varz00_bglt)
																																												BREF
																																												(GC_MALLOC
																																													(sizeof
																																														(struct
																																															BgL_ev_varz00_bgl))));
																																											BGL_OBJECT_CLASS_NUM_SET
																																												(
																																												(BgL_objectz00_bglt)
																																												(BgL_new1848z00_9850),
																																												BGl_classzd2numzd2zz__objectz00
																																												(BGl_ev_varz00zz__evaluatez00));
																																											{	/* Eval/evaluate.scm 310 */
																																												BgL_objectz00_bglt
																																													BgL_auxz00_27825;
																																												BgL_auxz00_27825
																																													=
																																													(BgL_objectz00_bglt)
																																													(BgL_new1848z00_9850);
																																												BGL_OBJECT_WIDENING_SET
																																													(BgL_auxz00_27825,
																																													BFALSE);
																																											}
																																											BgL_res7084z00_9854
																																												=
																																												BgL_new1848z00_9850;
																																										}
																																										BgL_new1840z00_9849
																																											=
																																											BgL_res7084z00_9854;
																																									}
																																									{	/* Eval/evaluate.scm 310 */
																																										BgL_ev_varz00_bglt
																																											BgL_res7085z00_9860;
																																										{	/* Eval/evaluate.scm 310 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1844z00_9855;
																																											BgL_new1844z00_9855
																																												=
																																												BgL_new1840z00_9849;
																																											{	/* Eval/evaluate.scm 310 */
																																												obj_t
																																													BgL_name1842z00_9858;
																																												obj_t
																																													BgL_eff1843z00_9859;
																																												BgL_name1842z00_9858
																																													=
																																													BgL_name1838z00_9847;
																																												BgL_eff1843z00_9859
																																													=
																																													BFALSE;
																																												((((BgL_ev_varz00_bglt) CREF(BgL_new1844z00_9855))->BgL_namez00) = ((obj_t) BgL_name1842z00_9858), BUNSPEC);
																																												((((BgL_ev_varz00_bglt) CREF(BgL_new1844z00_9855))->BgL_effz00) = ((obj_t) BgL_eff1843z00_9859), BUNSPEC);
																																												BgL_res7085z00_9860
																																													=
																																													BgL_new1844z00_9855;
																																										}} BgL_res7085z00_9860;
																																									}
																																									BgL_res7086z00_9861
																																										=
																																										BgL_new1840z00_9849;
																																							}}
																																							BgL_arg4094z00_2266
																																								=
																																								BgL_res7086z00_9861;
																																				}}}
																																				BgL_newtail3050z00_2264
																																					=
																																					MAKE_PAIR
																																					(
																																					(obj_t)
																																					(BgL_arg4094z00_2266),
																																					BNIL);
																																			}
																																			SET_CDR
																																				(BgL_tail3049z00_2261,
																																				BgL_newtail3050z00_2264);
																																			{
																																				obj_t
																																					BgL_tail3049z00_27835;
																																				obj_t
																																					BgL_l3046z00_27833;
																																				BgL_l3046z00_27833
																																					=
																																					CDR
																																					(BgL_l3046z00_2260);
																																				BgL_tail3049z00_27835
																																					=
																																					BgL_newtail3050z00_2264;
																																				BgL_tail3049z00_2261
																																					=
																																					BgL_tail3049z00_27835;
																																				BgL_l3046z00_2260
																																					=
																																					BgL_l3046z00_27833;
																																				goto
																																					BgL_zc3anonymousza34091ze3z83_2262;
																																			}
																																		}
																																}
																															}
																														{	/* Eval/evaluate.scm 312 */
																															obj_t
																																BgL_arg4078z00_2237;
																															obj_t
																																BgL_arg4079z00_2238;
																															if (NULLP
																																(BgL_bindsz00_1674))
																																{	/* Eval/evaluate.scm 312 */
																																	BgL_arg4078z00_2237
																																		= BNIL;
																																}
																															else
																																{	/* Eval/evaluate.scm 312 */
																																	obj_t
																																		BgL_head3053z00_2242;
																																	BgL_head3053z00_2242
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	{
																																		obj_t
																																			BgL_l3051z00_2244;
																																		obj_t
																																			BgL_tail3054z00_2245;
																																		BgL_l3051z00_2244
																																			=
																																			BgL_bindsz00_1674;
																																		BgL_tail3054z00_2245
																																			=
																																			BgL_head3053z00_2242;
																																	BgL_zc3anonymousza34082ze3z83_2246:
																																		if (NULLP
																																			(BgL_l3051z00_2244))
																																			{	/* Eval/evaluate.scm 312 */
																																				BgL_arg4078z00_2237
																																					=
																																					CDR
																																					(BgL_head3053z00_2242);
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 312 */
																																				obj_t
																																					BgL_newtail3055z00_2248;
																																				{	/* Eval/evaluate.scm 312 */
																																					obj_t
																																						BgL_arg4085z00_2250;
																																					{	/* Eval/evaluate.scm 312 */
																																						obj_t
																																							BgL_bz00_2252;
																																						BgL_bz00_2252
																																							=
																																							CAR
																																							(BgL_l3051z00_2244);
																																						{	/* Eval/evaluate.scm 312 */
																																							obj_t
																																								BgL_arg4087z00_2253;
																																							{	/* Eval/evaluate.scm 312 */
																																								obj_t
																																									BgL_pairz00_9873;
																																								BgL_pairz00_9873
																																									=
																																									BgL_bz00_2252;
																																								BgL_arg4087z00_2253
																																									=
																																									CAR
																																									(CDR
																																									(BgL_pairz00_9873));
																																							}
																																							{	/* Eval/evaluate.scm 312 */
																																								obj_t
																																									BgL_arg4167z00_9878;
																																								{	/* Eval/evaluate.scm 312 */
																																									obj_t
																																										BgL__ortest_2582z00_9881;
																																									BgL__ortest_2582z00_9881
																																										=
																																										BGl_getzd2sourcezd2locationz00zz__readerz00
																																										(BgL_arg4087z00_2253);
																																									if (CBOOL(BgL__ortest_2582z00_9881))
																																										{	/* Eval/evaluate.scm 312 */
																																											BgL_arg4167z00_9878
																																												=
																																												BgL__ortest_2582z00_9881;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 312 */
																																											BgL_arg4167z00_9878
																																												=
																																												BgL_locz00_39;
																																										}
																																								}
																																								BgL_arg4085z00_2250
																																									=
																																									BGl_convz00zz__evaluatez00
																																									(BgL_arg4087z00_2253,
																																									BgL_localsz00_35,
																																									BgL_globalsz00_36,
																																									((bool_t) 0), BgL_wherez00_38, BgL_arg4167z00_9878);
																																							}
																																						}
																																					}
																																					BgL_newtail3055z00_2248
																																						=
																																						MAKE_PAIR
																																						(BgL_arg4085z00_2250,
																																						BNIL);
																																				}
																																				SET_CDR
																																					(BgL_tail3054z00_2245,
																																					BgL_newtail3055z00_2248);
																																				{
																																					obj_t
																																						BgL_tail3054z00_27853;
																																					obj_t
																																						BgL_l3051z00_27851;
																																					BgL_l3051z00_27851
																																						=
																																						CDR
																																						(BgL_l3051z00_2244);
																																					BgL_tail3054z00_27853
																																						=
																																						BgL_newtail3055z00_2248;
																																					BgL_tail3054z00_2245
																																						=
																																						BgL_tail3054z00_27853;
																																					BgL_l3051z00_2244
																																						=
																																						BgL_l3051z00_27851;
																																					goto
																																						BgL_zc3anonymousza34082ze3z83_2246;
																																				}
																																			}
																																	}
																																}
																															BgL_arg4079z00_2238
																																=
																																BGl_convzd2beginzd2zz__evaluatez00
																																(BgL_bodyz00_1675,
																																bgl_append2
																																(BgL_varsz00_2236,
																																	BgL_localsz00_35),
																																BgL_globalsz00_36,
																																BgL_tailzf3zf3_37,
																																BgL_wherez00_38,
																																BgL_locz00_39);
																															{	/* Eval/evaluate.scm 311 */
																																BgL_ev_letz00_bglt
																																	BgL_res7089z00_9907;
																																{	/* Eval/evaluate.scm 311 */
																																	BgL_ev_exprz00_bglt
																																		BgL_body2302z00_9889;
																																	BgL_body2302z00_9889
																																		=
																																		(BgL_ev_exprz00_bglt)
																																		(BgL_arg4079z00_2238);
																																	{	/* Eval/evaluate.scm 311 */
																																		BgL_ev_letz00_bglt
																																			BgL_new2304z00_9891;
																																		{	/* Eval/evaluate.scm 311 */
																																			BgL_ev_letz00_bglt
																																				BgL_res7087z00_9896;
																																			{	/* Eval/evaluate.scm 311 */
																																				BgL_ev_letz00_bglt
																																					BgL_new2316z00_9892;
																																				BgL_new2316z00_9892
																																					=
																																					(
																																					(BgL_ev_letz00_bglt)
																																					BREF
																																					(GC_MALLOC
																																						(sizeof
																																							(struct
																																								BgL_ev_letz00_bgl))));
																																				BGL_OBJECT_CLASS_NUM_SET
																																					(
																																					(BgL_objectz00_bglt)
																																					(BgL_new2316z00_9892),
																																					BGl_classzd2numzd2zz__objectz00
																																					(BGl_ev_letz00zz__evaluatez00));
																																				{	/* Eval/evaluate.scm 311 */
																																					BgL_objectz00_bglt
																																						BgL_auxz00_27861;
																																					BgL_auxz00_27861
																																						=
																																						(BgL_objectz00_bglt)
																																						(BgL_new2316z00_9892);
																																					BGL_OBJECT_WIDENING_SET
																																						(BgL_auxz00_27861,
																																						BFALSE);
																																				}
																																				BgL_res7087z00_9896
																																					=
																																					BgL_new2316z00_9892;
																																			}
																																			BgL_new2304z00_9891
																																				=
																																				BgL_res7087z00_9896;
																																		}
																																		{	/* Eval/evaluate.scm 311 */
																																			BgL_ev_letz00_bglt
																																				BgL_res7088z00_9906;
																																			{	/* Eval/evaluate.scm 311 */
																																				BgL_ev_letz00_bglt
																																					BgL_new2310z00_9897;
																																				BgL_new2310z00_9897
																																					=
																																					BgL_new2304z00_9891;
																																				{	/* Eval/evaluate.scm 311 */
																																					obj_t
																																						BgL_vars2306z00_9902;
																																					obj_t
																																						BgL_vals2307z00_9903;
																																					BgL_ev_exprz00_bglt
																																						BgL_body2308z00_9904;
																																					obj_t
																																						BgL_boxes2309z00_9905;
																																					BgL_vars2306z00_9902
																																						=
																																						BgL_varsz00_2236;
																																					BgL_vals2307z00_9903
																																						=
																																						BgL_arg4078z00_2237;
																																					BgL_body2308z00_9904
																																						=
																																						BgL_body2302z00_9889;
																																					BgL_boxes2309z00_9905
																																						=
																																						BNIL;
																																					((((BgL_ev_letz00_bglt) CREF(BgL_new2310z00_9897))->BgL_varsz00) = ((obj_t) BgL_vars2306z00_9902), BUNSPEC);
																																					((((BgL_ev_letz00_bglt) CREF(BgL_new2310z00_9897))->BgL_valsz00) = ((obj_t) BgL_vals2307z00_9903), BUNSPEC);
																																					((((BgL_ev_letz00_bglt) CREF(BgL_new2310z00_9897))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2308z00_9904), BUNSPEC);
																																					((((BgL_ev_letz00_bglt) CREF(BgL_new2310z00_9897))->BgL_boxesz00) = ((obj_t) BgL_boxes2309z00_9905), BUNSPEC);
																																					BgL_res7088z00_9906
																																						=
																																						BgL_new2310z00_9897;
																																			}} BgL_res7088z00_9906;
																																		}
																																		BgL_res7089z00_9907
																																			=
																																			BgL_new2304z00_9891;
																																}}
																																BgL_auxz00_27811
																																	=
																																	BgL_res7089z00_9907;
																													}}}
																													return
																														(obj_t)
																														(BgL_auxz00_27811);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 283 */
																												obj_t
																													BgL_arg3686z00_1768;
																												BgL_arg3686z00_1768 =
																													CAR(BgL_ez00_34);
																												{	/* Eval/evaluate.scm 283 */
																													BgL_ev_appz00_bglt
																														BgL_auxz00_27870;
																													{
																														obj_t
																															BgL_argsz00_27872;
																														obj_t
																															BgL_fz00_27871;
																														BgL_fz00_27871 =
																															BgL_arg3686z00_1768;
																														BgL_argsz00_27872 =
																															BgL_cdrzd22929zd2_1763;
																														BgL_argsz00_1706 =
																															BgL_argsz00_27872;
																														BgL_fz00_1705 =
																															BgL_fz00_27871;
																														goto
																															BgL_tagzd21488zd2_1707;
																													}
																													return
																														(obj_t)
																														(BgL_auxz00_27870);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 283 */
																										if (
																											(CAR(BgL_ez00_34) ==
																												BGl_symbol8205z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 283 */
																												if (PAIRP
																													(BgL_cdrzd22929zd2_1763))
																													{	/* Eval/evaluate.scm 283 */
																														obj_t
																															BgL_arg3690z00_1773;
																														obj_t
																															BgL_arg3691z00_1774;
																														BgL_arg3690z00_1773
																															=
																															CAR
																															(BgL_cdrzd22929zd2_1763);
																														BgL_arg3691z00_1774
																															=
																															CDR
																															(BgL_cdrzd22929zd2_1763);
																														{	/* Eval/evaluate.scm 283 */
																															BgL_ev_letza2za2_bglt
																																BgL_auxz00_27881;
																															BgL_bindsz00_1677
																																=
																																BgL_arg3690z00_1773;
																															BgL_bodyz00_1678 =
																																BgL_arg3691z00_1774;
																														BgL_tagzd21479zd2_1679:
																															{	/* Eval/evaluate.scm 320 */
																																obj_t
																																	BgL_varsz00_2273;
																																if (NULLP
																																	(BgL_bindsz00_1677))
																																	{	/* Eval/evaluate.scm 320 */
																																		BgL_varsz00_2273
																																			= BNIL;
																																	}
																																else
																																	{	/* Eval/evaluate.scm 320 */
																																		obj_t
																																			BgL_head3058z00_2280;
																																		BgL_head3058z00_2280
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		{
																																			obj_t
																																				BgL_l3056z00_2282;
																																			obj_t
																																				BgL_tail3059z00_2283;
																																			BgL_l3056z00_2282
																																				=
																																				BgL_bindsz00_1677;
																																			BgL_tail3059z00_2283
																																				=
																																				BgL_head3058z00_2280;
																																		BgL_zc3anonymousza34104ze3z83_2284:
																																			if (NULLP
																																				(BgL_l3056z00_2282))
																																				{	/* Eval/evaluate.scm 320 */
																																					BgL_varsz00_2273
																																						=
																																						CDR
																																						(BgL_head3058z00_2280);
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 320 */
																																					obj_t
																																						BgL_newtail3060z00_2286;
																																					{	/* Eval/evaluate.scm 320 */
																																						BgL_ev_varz00_bglt
																																							BgL_arg4107z00_2288;
																																						{	/* Eval/evaluate.scm 320 */
																																							obj_t
																																								BgL_bz00_2290;
																																							BgL_bz00_2290
																																								=
																																								CAR
																																								(BgL_l3056z00_2282);
																																							{	/* Eval/evaluate.scm 320 */
																																								obj_t
																																									BgL_arg4109z00_2291;
																																								BgL_arg4109z00_2291
																																									=
																																									BGl_untypezd2identzd2zz__evcompilez00
																																									(CAR
																																									(BgL_bz00_2290));
																																								{	/* Eval/evaluate.scm 320 */
																																									BgL_ev_varz00_bglt
																																										BgL_res7092z00_9929;
																																									{	/* Eval/evaluate.scm 320 */
																																										obj_t
																																											BgL_name1838z00_9915;
																																										BgL_name1838z00_9915
																																											=
																																											BgL_arg4109z00_2291;
																																										{	/* Eval/evaluate.scm 320 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1840z00_9917;
																																											{	/* Eval/evaluate.scm 320 */
																																												BgL_ev_varz00_bglt
																																													BgL_res7090z00_9922;
																																												{	/* Eval/evaluate.scm 320 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1848z00_9918;
																																													BgL_new1848z00_9918
																																														=
																																														(
																																														(BgL_ev_varz00_bglt)
																																														BREF
																																														(GC_MALLOC
																																															(sizeof
																																																(struct
																																																	BgL_ev_varz00_bgl))));
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														(BgL_objectz00_bglt)
																																														(BgL_new1848z00_9918),
																																														BGl_classzd2numzd2zz__objectz00
																																														(BGl_ev_varz00zz__evaluatez00));
																																													{	/* Eval/evaluate.scm 320 */
																																														BgL_objectz00_bglt
																																															BgL_auxz00_27895;
																																														BgL_auxz00_27895
																																															=
																																															(BgL_objectz00_bglt)
																																															(BgL_new1848z00_9918);
																																														BGL_OBJECT_WIDENING_SET
																																															(BgL_auxz00_27895,
																																															BFALSE);
																																													}
																																													BgL_res7090z00_9922
																																														=
																																														BgL_new1848z00_9918;
																																												}
																																												BgL_new1840z00_9917
																																													=
																																													BgL_res7090z00_9922;
																																											}
																																											{	/* Eval/evaluate.scm 320 */
																																												BgL_ev_varz00_bglt
																																													BgL_res7091z00_9928;
																																												{	/* Eval/evaluate.scm 320 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1844z00_9923;
																																													BgL_new1844z00_9923
																																														=
																																														BgL_new1840z00_9917;
																																													{	/* Eval/evaluate.scm 320 */
																																														obj_t
																																															BgL_name1842z00_9926;
																																														obj_t
																																															BgL_eff1843z00_9927;
																																														BgL_name1842z00_9926
																																															=
																																															BgL_name1838z00_9915;
																																														BgL_eff1843z00_9927
																																															=
																																															BFALSE;
																																														((((BgL_ev_varz00_bglt) CREF(BgL_new1844z00_9923))->BgL_namez00) = ((obj_t) BgL_name1842z00_9926), BUNSPEC);
																																														((((BgL_ev_varz00_bglt) CREF(BgL_new1844z00_9923))->BgL_effz00) = ((obj_t) BgL_eff1843z00_9927), BUNSPEC);
																																														BgL_res7091z00_9928
																																															=
																																															BgL_new1844z00_9923;
																																												}} BgL_res7091z00_9928;
																																											}
																																											BgL_res7092z00_9929
																																												=
																																												BgL_new1840z00_9917;
																																									}}
																																									BgL_arg4107z00_2288
																																										=
																																										BgL_res7092z00_9929;
																																						}}}
																																						BgL_newtail3060z00_2286
																																							=
																																							MAKE_PAIR
																																							(
																																							(obj_t)
																																							(BgL_arg4107z00_2288),
																																							BNIL);
																																					}
																																					SET_CDR
																																						(BgL_tail3059z00_2283,
																																						BgL_newtail3060z00_2286);
																																					{
																																						obj_t
																																							BgL_tail3059z00_27905;
																																						obj_t
																																							BgL_l3056z00_27903;
																																						BgL_l3056z00_27903
																																							=
																																							CDR
																																							(BgL_l3056z00_2282);
																																						BgL_tail3059z00_27905
																																							=
																																							BgL_newtail3060z00_2286;
																																						BgL_tail3059z00_2283
																																							=
																																							BgL_tail3059z00_27905;
																																						BgL_l3056z00_2282
																																							=
																																							BgL_l3056z00_27903;
																																						goto
																																							BgL_zc3anonymousza34104ze3z83_2284;
																																					}
																																				}
																																		}
																																	}
																																{	/* Eval/evaluate.scm 322 */
																																	obj_t
																																		BgL_arg4099z00_2274;
																																	obj_t
																																		BgL_arg4100z00_2275;
																																	BgL_arg4099z00_2274
																																		=
																																		BGl_convzd2valszd2zz__evaluatez00
																																		(BgL_locz00_39,
																																		BgL_wherez00_38,
																																		BgL_globalsz00_36,
																																		BgL_bindsz00_1677,
																																		BgL_varsz00_2273,
																																		BgL_localsz00_35);
																																	BgL_arg4100z00_2275
																																		=
																																		BGl_convzd2beginzd2zz__evaluatez00
																																		(BgL_bodyz00_1678,
																																		bgl_append2
																																		(BgL_varsz00_2273,
																																			BgL_localsz00_35),
																																		BgL_globalsz00_36,
																																		BgL_tailzf3zf3_37,
																																		BgL_wherez00_38,
																																		BgL_locz00_39);
																																	{	/* Eval/evaluate.scm 321 */
																																		BgL_ev_letza2za2_bglt
																																			BgL_res7095z00_9985;
																																		{	/* Eval/evaluate.scm 321 */
																																			BgL_ev_exprz00_bglt
																																				BgL_body2350z00_9967;
																																			BgL_body2350z00_9967
																																				=
																																				(BgL_ev_exprz00_bglt)
																																				(BgL_arg4100z00_2275);
																																			{	/* Eval/evaluate.scm 321 */
																																				BgL_ev_letza2za2_bglt
																																					BgL_new2352z00_9969;
																																				{	/* Eval/evaluate.scm 321 */
																																					BgL_ev_letza2za2_bglt
																																						BgL_res7093z00_9974;
																																					{	/* Eval/evaluate.scm 321 */
																																						BgL_ev_letza2za2_bglt
																																							BgL_new2364z00_9970;
																																						BgL_new2364z00_9970
																																							=
																																							(
																																							(BgL_ev_letza2za2_bglt)
																																							BREF
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_ev_letza2za2_bgl))));
																																						BGL_OBJECT_CLASS_NUM_SET
																																							(
																																							(BgL_objectz00_bglt)
																																							(BgL_new2364z00_9970),
																																							BGl_classzd2numzd2zz__objectz00
																																							(BGl_ev_letza2za2zz__evaluatez00));
																																						{	/* Eval/evaluate.scm 321 */
																																							BgL_objectz00_bglt
																																								BgL_auxz00_27914;
																																							BgL_auxz00_27914
																																								=
																																								(BgL_objectz00_bglt)
																																								(BgL_new2364z00_9970);
																																							BGL_OBJECT_WIDENING_SET
																																								(BgL_auxz00_27914,
																																								BFALSE);
																																						}
																																						BgL_res7093z00_9974
																																							=
																																							BgL_new2364z00_9970;
																																					}
																																					BgL_new2352z00_9969
																																						=
																																						BgL_res7093z00_9974;
																																				}
																																				{	/* Eval/evaluate.scm 321 */
																																					BgL_ev_letza2za2_bglt
																																						BgL_res7094z00_9984;
																																					{	/* Eval/evaluate.scm 321 */
																																						BgL_ev_letza2za2_bglt
																																							BgL_new2358z00_9975;
																																						BgL_new2358z00_9975
																																							=
																																							BgL_new2352z00_9969;
																																						{	/* Eval/evaluate.scm 321 */
																																							obj_t
																																								BgL_vars2354z00_9980;
																																							obj_t
																																								BgL_vals2355z00_9981;
																																							BgL_ev_exprz00_bglt
																																								BgL_body2356z00_9982;
																																							obj_t
																																								BgL_boxes2357z00_9983;
																																							BgL_vars2354z00_9980
																																								=
																																								BgL_varsz00_2273;
																																							BgL_vals2355z00_9981
																																								=
																																								BgL_arg4099z00_2274;
																																							BgL_body2356z00_9982
																																								=
																																								BgL_body2350z00_9967;
																																							BgL_boxes2357z00_9983
																																								=
																																								BNIL;
																																							((((BgL_ev_letza2za2_bglt) CREF(BgL_new2358z00_9975))->BgL_varsz00) = ((obj_t) BgL_vars2354z00_9980), BUNSPEC);
																																							((((BgL_ev_letza2za2_bglt) CREF(BgL_new2358z00_9975))->BgL_valsz00) = ((obj_t) BgL_vals2355z00_9981), BUNSPEC);
																																							((((BgL_ev_letza2za2_bglt) CREF(BgL_new2358z00_9975))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2356z00_9982), BUNSPEC);
																																							((((BgL_ev_letza2za2_bglt) CREF(BgL_new2358z00_9975))->BgL_boxesz00) = ((obj_t) BgL_boxes2357z00_9983), BUNSPEC);
																																							BgL_res7094z00_9984
																																								=
																																								BgL_new2358z00_9975;
																																					}} BgL_res7094z00_9984;
																																				}
																																				BgL_res7095z00_9985
																																					=
																																					BgL_new2352z00_9969;
																																		}}
																																		BgL_auxz00_27881
																																			=
																																			BgL_res7095z00_9985;
																															}}}
																															return
																																(obj_t)
																																(BgL_auxz00_27881);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 283 */
																														obj_t
																															BgL_arg3692z00_1775;
																														obj_t
																															BgL_arg3693z00_1776;
																														BgL_arg3692z00_1775
																															=
																															CAR(BgL_ez00_34);
																														BgL_arg3693z00_1776
																															=
																															CDR(BgL_ez00_34);
																														{	/* Eval/evaluate.scm 283 */
																															BgL_ev_appz00_bglt
																																BgL_auxz00_27924;
																															{
																																obj_t
																																	BgL_argsz00_27926;
																																obj_t
																																	BgL_fz00_27925;
																																BgL_fz00_27925 =
																																	BgL_arg3692z00_1775;
																																BgL_argsz00_27926
																																	=
																																	BgL_arg3693z00_1776;
																																BgL_argsz00_1706
																																	=
																																	BgL_argsz00_27926;
																																BgL_fz00_1705 =
																																	BgL_fz00_27925;
																																goto
																																	BgL_tagzd21488zd2_1707;
																															}
																															return
																																(obj_t)
																																(BgL_auxz00_27924);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 283 */
																												obj_t
																													BgL_cdrzd23149zd2_1777;
																												BgL_cdrzd23149zd2_1777 =
																													CDR(BgL_ez00_34);
																												if ((CAR(BgL_ez00_34) ==
																														BGl_symbol8207z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 283 */
																														if (PAIRP
																															(BgL_cdrzd23149zd2_1777))
																															{	/* Eval/evaluate.scm 283 */
																																obj_t
																																	BgL_arg3696z00_1780;
																																obj_t
																																	BgL_arg3697z00_1781;
																																BgL_arg3696z00_1780
																																	=
																																	CAR
																																	(BgL_cdrzd23149zd2_1777);
																																BgL_arg3697z00_1781
																																	=
																																	CDR
																																	(BgL_cdrzd23149zd2_1777);
																																{	/* Eval/evaluate.scm 283 */
																																	BgL_ev_letrecz00_bglt
																																		BgL_auxz00_27936;
																																	BgL_bindsz00_1680
																																		=
																																		BgL_arg3696z00_1780;
																																	BgL_bodyz00_1681
																																		=
																																		BgL_arg3697z00_1781;
																																BgL_tagzd21480zd2_1682:
																																	{	/* Eval/evaluate.scm 325 */
																																		obj_t
																																			BgL_varsz00_2307;
																																		if (NULLP
																																			(BgL_bindsz00_1680))
																																			{	/* Eval/evaluate.scm 325 */
																																				BgL_varsz00_2307
																																					=
																																					BNIL;
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 325 */
																																				obj_t
																																					BgL_head3063z00_2328;
																																				BgL_head3063z00_2328
																																					=
																																					MAKE_PAIR
																																					(BNIL,
																																					BNIL);
																																				{
																																					obj_t
																																						BgL_l3061z00_2330;
																																					obj_t
																																						BgL_tail3064z00_2331;
																																					BgL_l3061z00_2330
																																						=
																																						BgL_bindsz00_1680;
																																					BgL_tail3064z00_2331
																																						=
																																						BgL_head3063z00_2328;
																																				BgL_zc3anonymousza34130ze3z83_2332:
																																					if (NULLP(BgL_l3061z00_2330))
																																						{	/* Eval/evaluate.scm 325 */
																																							BgL_varsz00_2307
																																								=
																																								CDR
																																								(BgL_head3063z00_2328);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 325 */
																																							obj_t
																																								BgL_newtail3065z00_2334;
																																							{	/* Eval/evaluate.scm 325 */
																																								BgL_ev_varz00_bglt
																																									BgL_arg4133z00_2336;
																																								{	/* Eval/evaluate.scm 325 */
																																									obj_t
																																										BgL_bz00_2338;
																																									BgL_bz00_2338
																																										=
																																										CAR
																																										(BgL_l3061z00_2330);
																																									{	/* Eval/evaluate.scm 325 */
																																										obj_t
																																											BgL_arg4135z00_2339;
																																										BgL_arg4135z00_2339
																																											=
																																											BGl_untypezd2identzd2zz__evcompilez00
																																											(CAR
																																											(BgL_bz00_2338));
																																										{	/* Eval/evaluate.scm 325 */
																																											BgL_ev_varz00_bglt
																																												BgL_res7098z00_10046;
																																											{	/* Eval/evaluate.scm 325 */
																																												obj_t
																																													BgL_name1838z00_10032;
																																												BgL_name1838z00_10032
																																													=
																																													BgL_arg4135z00_2339;
																																												{	/* Eval/evaluate.scm 325 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1840z00_10034;
																																													{	/* Eval/evaluate.scm 325 */
																																														BgL_ev_varz00_bglt
																																															BgL_res7096z00_10039;
																																														{	/* Eval/evaluate.scm 325 */
																																															BgL_ev_varz00_bglt
																																																BgL_new1848z00_10035;
																																															BgL_new1848z00_10035
																																																=
																																																(
																																																(BgL_ev_varz00_bglt)
																																																BREF
																																																(GC_MALLOC
																																																	(sizeof
																																																		(struct
																																																			BgL_ev_varz00_bgl))));
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																(BgL_objectz00_bglt)
																																																(BgL_new1848z00_10035),
																																																BGl_classzd2numzd2zz__objectz00
																																																(BGl_ev_varz00zz__evaluatez00));
																																															{	/* Eval/evaluate.scm 325 */
																																																BgL_objectz00_bglt
																																																	BgL_auxz00_27950;
																																																BgL_auxz00_27950
																																																	=
																																																	(BgL_objectz00_bglt)
																																																	(BgL_new1848z00_10035);
																																																BGL_OBJECT_WIDENING_SET
																																																	(BgL_auxz00_27950,
																																																	BFALSE);
																																															}
																																															BgL_res7096z00_10039
																																																=
																																																BgL_new1848z00_10035;
																																														}
																																														BgL_new1840z00_10034
																																															=
																																															BgL_res7096z00_10039;
																																													}
																																													{	/* Eval/evaluate.scm 325 */
																																														BgL_ev_varz00_bglt
																																															BgL_res7097z00_10045;
																																														{	/* Eval/evaluate.scm 325 */
																																															BgL_ev_varz00_bglt
																																																BgL_new1844z00_10040;
																																															BgL_new1844z00_10040
																																																=
																																																BgL_new1840z00_10034;
																																															{	/* Eval/evaluate.scm 325 */
																																																obj_t
																																																	BgL_name1842z00_10043;
																																																obj_t
																																																	BgL_eff1843z00_10044;
																																																BgL_name1842z00_10043
																																																	=
																																																	BgL_name1838z00_10032;
																																																BgL_eff1843z00_10044
																																																	=
																																																	BFALSE;
																																																((((BgL_ev_varz00_bglt) CREF(BgL_new1844z00_10040))->BgL_namez00) = ((obj_t) BgL_name1842z00_10043), BUNSPEC);
																																																((((BgL_ev_varz00_bglt) CREF(BgL_new1844z00_10040))->BgL_effz00) = ((obj_t) BgL_eff1843z00_10044), BUNSPEC);
																																																BgL_res7097z00_10045
																																																	=
																																																	BgL_new1844z00_10040;
																																														}} BgL_res7097z00_10045;
																																													}
																																													BgL_res7098z00_10046
																																														=
																																														BgL_new1840z00_10034;
																																											}}
																																											BgL_arg4133z00_2336
																																												=
																																												BgL_res7098z00_10046;
																																								}}}
																																								BgL_newtail3065z00_2334
																																									=
																																									MAKE_PAIR
																																									(
																																									(obj_t)
																																									(BgL_arg4133z00_2336),
																																									BNIL);
																																							}
																																							SET_CDR
																																								(BgL_tail3064z00_2331,
																																								BgL_newtail3065z00_2334);
																																							{
																																								obj_t
																																									BgL_tail3064z00_27960;
																																								obj_t
																																									BgL_l3061z00_27958;
																																								BgL_l3061z00_27958
																																									=
																																									CDR
																																									(BgL_l3061z00_2330);
																																								BgL_tail3064z00_27960
																																									=
																																									BgL_newtail3065z00_2334;
																																								BgL_tail3064z00_2331
																																									=
																																									BgL_tail3064z00_27960;
																																								BgL_l3061z00_2330
																																									=
																																									BgL_l3061z00_27958;
																																								goto
																																									BgL_zc3anonymousza34130ze3z83_2332;
																																							}
																																						}
																																				}
																																			}
																																		{	/* Eval/evaluate.scm 326 */
																																			obj_t
																																				BgL_localsz00_2308;
																																			BgL_localsz00_2308
																																				=
																																				bgl_append2
																																				(BgL_varsz00_2307,
																																				BgL_localsz00_35);
																																			{	/* Eval/evaluate.scm 328 */
																																				obj_t
																																					BgL_arg4120z00_2309;
																																				obj_t
																																					BgL_arg4121z00_2310;
																																				if (NULLP(BgL_bindsz00_1680))
																																					{	/* Eval/evaluate.scm 328 */
																																						BgL_arg4120z00_2309
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 328 */
																																						obj_t
																																							BgL_head3068z00_2313;
																																						BgL_head3068z00_2313
																																							=
																																							MAKE_PAIR
																																							(BNIL,
																																							BNIL);
																																						{
																																							obj_t
																																								BgL_l3066z00_2315;
																																							obj_t
																																								BgL_tail3069z00_2316;
																																							BgL_l3066z00_2315
																																								=
																																								BgL_bindsz00_1680;
																																							BgL_tail3069z00_2316
																																								=
																																								BgL_head3068z00_2313;
																																						BgL_zc3anonymousza34123ze3z83_2317:
																																							if (NULLP(BgL_l3066z00_2315))
																																								{	/* Eval/evaluate.scm 328 */
																																									BgL_arg4120z00_2309
																																										=
																																										CDR
																																										(BgL_head3068z00_2313);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 328 */
																																									obj_t
																																										BgL_newtail3070z00_2319;
																																									{	/* Eval/evaluate.scm 328 */
																																										obj_t
																																											BgL_arg4126z00_2321;
																																										{	/* Eval/evaluate.scm 328 */
																																											obj_t
																																												BgL_bz00_2323;
																																											BgL_bz00_2323
																																												=
																																												CAR
																																												(BgL_l3066z00_2315);
																																											{	/* Eval/evaluate.scm 328 */
																																												obj_t
																																													BgL_arg4128z00_2324;
																																												{	/* Eval/evaluate.scm 328 */
																																													obj_t
																																														BgL_pairz00_10058;
																																													BgL_pairz00_10058
																																														=
																																														BgL_bz00_2323;
																																													BgL_arg4128z00_2324
																																														=
																																														CAR
																																														(CDR
																																														(BgL_pairz00_10058));
																																												}
																																												BgL_arg4126z00_2321
																																													=
																																													BGl_convz00zz__evaluatez00
																																													(BgL_arg4128z00_2324,
																																													BgL_localsz00_2308,
																																													BgL_globalsz00_36,
																																													((bool_t) 0), BgL_wherez00_38, BgL_locz00_39);
																																											}
																																										}
																																										BgL_newtail3070z00_2319
																																											=
																																											MAKE_PAIR
																																											(BgL_arg4126z00_2321,
																																											BNIL);
																																									}
																																									SET_CDR
																																										(BgL_tail3069z00_2316,
																																										BgL_newtail3070z00_2319);
																																									{
																																										obj_t
																																											BgL_tail3069z00_27976;
																																										obj_t
																																											BgL_l3066z00_27974;
																																										BgL_l3066z00_27974
																																											=
																																											CDR
																																											(BgL_l3066z00_2315);
																																										BgL_tail3069z00_27976
																																											=
																																											BgL_newtail3070z00_2319;
																																										BgL_tail3069z00_2316
																																											=
																																											BgL_tail3069z00_27976;
																																										BgL_l3066z00_2315
																																											=
																																											BgL_l3066z00_27974;
																																										goto
																																											BgL_zc3anonymousza34123ze3z83_2317;
																																									}
																																								}
																																						}
																																					}
																																				BgL_arg4121z00_2310
																																					=
																																					BGl_convzd2beginzd2zz__evaluatez00
																																					(BgL_bodyz00_1681,
																																					BgL_localsz00_2308,
																																					BgL_globalsz00_36,
																																					BgL_tailzf3zf3_37,
																																					BgL_wherez00_38,
																																					BgL_locz00_39);
																																				{	/* Eval/evaluate.scm 327 */
																																					BgL_ev_letrecz00_bglt
																																						BgL_res7101z00_10084;
																																					{	/* Eval/evaluate.scm 327 */
																																						BgL_ev_exprz00_bglt
																																							BgL_body2395z00_10069;
																																						BgL_body2395z00_10069
																																							=
																																							(BgL_ev_exprz00_bglt)
																																							(BgL_arg4121z00_2310);
																																						{	/* Eval/evaluate.scm 327 */
																																							BgL_ev_letrecz00_bglt
																																								BgL_new2396z00_10070;
																																							{	/* Eval/evaluate.scm 327 */
																																								BgL_ev_letrecz00_bglt
																																									BgL_res7099z00_10075;
																																								{	/* Eval/evaluate.scm 327 */
																																									BgL_ev_letrecz00_bglt
																																										BgL_new2406z00_10071;
																																									BgL_new2406z00_10071
																																										=
																																										(
																																										(BgL_ev_letrecz00_bglt)
																																										BREF
																																										(GC_MALLOC
																																											(sizeof
																																												(struct
																																													BgL_ev_letrecz00_bgl))));
																																									BGL_OBJECT_CLASS_NUM_SET
																																										(
																																										(BgL_objectz00_bglt)
																																										(BgL_new2406z00_10071),
																																										BGl_classzd2numzd2zz__objectz00
																																										(BGl_ev_letrecz00zz__evaluatez00));
																																									{	/* Eval/evaluate.scm 327 */
																																										BgL_objectz00_bglt
																																											BgL_auxz00_27983;
																																										BgL_auxz00_27983
																																											=
																																											(BgL_objectz00_bglt)
																																											(BgL_new2406z00_10071);
																																										BGL_OBJECT_WIDENING_SET
																																											(BgL_auxz00_27983,
																																											BFALSE);
																																									}
																																									BgL_res7099z00_10075
																																										=
																																										BgL_new2406z00_10071;
																																								}
																																								BgL_new2396z00_10070
																																									=
																																									BgL_res7099z00_10075;
																																							}
																																							{	/* Eval/evaluate.scm 327 */
																																								BgL_ev_letrecz00_bglt
																																									BgL_res7100z00_10083;
																																								{	/* Eval/evaluate.scm 327 */
																																									BgL_ev_letrecz00_bglt
																																										BgL_new2401z00_10076;
																																									BgL_new2401z00_10076
																																										=
																																										BgL_new2396z00_10070;
																																									{	/* Eval/evaluate.scm 327 */
																																										obj_t
																																											BgL_vars2398z00_10080;
																																										obj_t
																																											BgL_vals2399z00_10081;
																																										BgL_ev_exprz00_bglt
																																											BgL_body2400z00_10082;
																																										BgL_vars2398z00_10080
																																											=
																																											BgL_varsz00_2307;
																																										BgL_vals2399z00_10081
																																											=
																																											BgL_arg4120z00_2309;
																																										BgL_body2400z00_10082
																																											=
																																											BgL_body2395z00_10069;
																																										((((BgL_ev_letrecz00_bglt) CREF(BgL_new2401z00_10076))->BgL_varsz00) = ((obj_t) BgL_vars2398z00_10080), BUNSPEC);
																																										((((BgL_ev_letrecz00_bglt) CREF(BgL_new2401z00_10076))->BgL_valsz00) = ((obj_t) BgL_vals2399z00_10081), BUNSPEC);
																																										((((BgL_ev_letrecz00_bglt) CREF(BgL_new2401z00_10076))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2400z00_10082), BUNSPEC);
																																										BgL_res7100z00_10083
																																											=
																																											BgL_new2401z00_10076;
																																								}} BgL_res7100z00_10083;
																																							}
																																							BgL_res7101z00_10084
																																								=
																																								BgL_new2396z00_10070;
																																					}}
																																					BgL_auxz00_27936
																																						=
																																						BgL_res7101z00_10084;
																																	}}}}
																																	return
																																		(obj_t)
																																		(BgL_auxz00_27936);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 283 */
																																obj_t
																																	BgL_arg3698z00_1782;
																																BgL_arg3698z00_1782
																																	=
																																	CAR
																																	(BgL_ez00_34);
																																{	/* Eval/evaluate.scm 283 */
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_27991;
																																	{
																																		obj_t
																																			BgL_argsz00_27993;
																																		obj_t
																																			BgL_fz00_27992;
																																		BgL_fz00_27992
																																			=
																																			BgL_arg3698z00_1782;
																																		BgL_argsz00_27993
																																			=
																																			BgL_cdrzd23149zd2_1777;
																																		BgL_argsz00_1706
																																			=
																																			BgL_argsz00_27993;
																																		BgL_fz00_1705
																																			=
																																			BgL_fz00_27992;
																																		goto
																																			BgL_tagzd21488zd2_1707;
																																	}
																																	return
																																		(obj_t)
																																		(BgL_auxz00_27991);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 283 */
																														if (
																															(CAR(BgL_ez00_34)
																																==
																																BGl_symbol8209z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 283 */
																																if (PAIRP
																																	(BgL_cdrzd23149zd2_1777))
																																	{	/* Eval/evaluate.scm 283 */
																																		obj_t
																																			BgL_cdrzd23244zd2_1787;
																																		BgL_cdrzd23244zd2_1787
																																			=
																																			CDR
																																			(BgL_cdrzd23149zd2_1777);
																																		if (PAIRP
																																			(BgL_cdrzd23244zd2_1787))
																																			{	/* Eval/evaluate.scm 283 */
																																				if (NULLP(CDR(BgL_cdrzd23244zd2_1787)))
																																					{	/* Eval/evaluate.scm 283 */
																																						obj_t
																																							BgL_arg3704z00_1790;
																																						obj_t
																																							BgL_arg3705z00_1791;
																																						BgL_arg3704z00_1790
																																							=
																																							CAR
																																							(BgL_cdrzd23149zd2_1777);
																																						BgL_arg3705z00_1791
																																							=
																																							CAR
																																							(BgL_cdrzd23244zd2_1787);
																																						{	/* Eval/evaluate.scm 283 */
																																							obj_t
																																								BgL_cvz00_8598;
																																							obj_t
																																								BgL_ez00_8599;
																																							BgL_cvz00_8598
																																								=
																																								BGl_convzd2varzd2zz__evaluatez00
																																								(BgL_arg3704z00_1790,
																																								BgL_localsz00_35);
																																							BgL_ez00_8599
																																								=
																																								BGl_uconvz00zz__evaluatez00
																																								(BgL_wherez00_38,
																																								BgL_globalsz00_36,
																																								BgL_localsz00_35,
																																								BgL_locz00_39,
																																								BgL_arg3705z00_1791);
																																							if (CBOOL(BgL_cvz00_8598))
																																								{	/* Eval/evaluate.scm 283 */
																																									BgL_ev_setlocalz00_bglt
																																										BgL_res6978z00_8616;
																																									{	/* Eval/evaluate.scm 283 */
																																										BgL_ev_exprz00_bglt
																																											BgL_e2068z00_8602;
																																										BgL_ev_varz00_bglt
																																											BgL_v2069z00_8603;
																																										BgL_e2068z00_8602
																																											=
																																											(BgL_ev_exprz00_bglt)
																																											(BgL_ez00_8599);
																																										BgL_v2069z00_8603
																																											=
																																											(BgL_ev_varz00_bglt)
																																											(BgL_cvz00_8598);
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_setlocalz00_bglt
																																												BgL_new2070z00_8604;
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_setlocalz00_bglt
																																													BgL_res6976z00_8609;
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_setlocalz00_bglt
																																														BgL_new2078z00_8605;
																																													BgL_new2078z00_8605
																																														=
																																														(
																																														(BgL_ev_setlocalz00_bglt)
																																														BREF
																																														(GC_MALLOC
																																															(sizeof
																																																(struct
																																																	BgL_ev_setlocalz00_bgl))));
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														(BgL_objectz00_bglt)
																																														(BgL_new2078z00_8605),
																																														BGl_classzd2numzd2zz__objectz00
																																														(BGl_ev_setlocalz00zz__evaluatez00));
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_objectz00_bglt
																																															BgL_auxz00_28018;
																																														BgL_auxz00_28018
																																															=
																																															(BgL_objectz00_bglt)
																																															(BgL_new2078z00_8605);
																																														BGL_OBJECT_WIDENING_SET
																																															(BgL_auxz00_28018,
																																															BFALSE);
																																													}
																																													BgL_res6976z00_8609
																																														=
																																														BgL_new2078z00_8605;
																																												}
																																												BgL_new2070z00_8604
																																													=
																																													BgL_res6976z00_8609;
																																											}
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_setlocalz00_bglt
																																													BgL_res6977z00_8615;
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_setlocalz00_bglt
																																														BgL_new2074z00_8610;
																																													BgL_new2074z00_8610
																																														=
																																														BgL_new2070z00_8604;
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_exprz00_bglt
																																															BgL_e2072z00_8613;
																																														BgL_ev_varz00_bglt
																																															BgL_v2073z00_8614;
																																														BgL_e2072z00_8613
																																															=
																																															BgL_e2068z00_8602;
																																														BgL_v2073z00_8614
																																															=
																																															BgL_v2069z00_8603;
																																														((((BgL_ev_setlocalz00_bglt) CREF(BgL_new2074z00_8610))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2072z00_8613), BUNSPEC);
																																														((((BgL_ev_setlocalz00_bglt) CREF(BgL_new2074z00_8610))->BgL_vz00) = ((BgL_ev_varz00_bglt) BgL_v2073z00_8614), BUNSPEC);
																																														BgL_res6977z00_8615
																																															=
																																															BgL_new2074z00_8610;
																																												}} BgL_res6977z00_8615;
																																											}
																																											BgL_res6978z00_8616
																																												=
																																												BgL_new2070z00_8604;
																																									}}
																																									return
																																										(obj_t)
																																										(BgL_res6978z00_8616);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 283 */
																																									obj_t
																																										BgL_arg4137z00_8600;
																																									if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_36))
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_arg4137z00_8600
																																												=
																																												BgL_globalsz00_36;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_arg4137z00_8600
																																												=
																																												BGL_MODULE
																																												();
																																										}
																																									{	/* Eval/evaluate.scm 283 */
																																										BgL_ev_setglobalz00_bglt
																																											BgL_res6981z00_8634;
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_exprz00_bglt
																																												BgL_e2099z00_8617;
																																											obj_t
																																												BgL_name2100z00_8618;
																																											BgL_e2099z00_8617
																																												=
																																												(BgL_ev_exprz00_bglt)
																																												(BgL_ez00_8599);
																																											BgL_name2100z00_8618
																																												=
																																												BgL_arg3704z00_1790;
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_setglobalz00_bglt
																																													BgL_new2102z00_8620;
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_setglobalz00_bglt
																																														BgL_res6979z00_8625;
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_setglobalz00_bglt
																																															BgL_new2112z00_8621;
																																														BgL_new2112z00_8621
																																															=
																																															(
																																															(BgL_ev_setglobalz00_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_setglobalz00_bgl))));
																																														BGL_OBJECT_CLASS_NUM_SET
																																															(
																																															(BgL_objectz00_bglt)
																																															(BgL_new2112z00_8621),
																																															BGl_classzd2numzd2zz__objectz00
																																															(BGl_ev_setglobalz00zz__evaluatez00));
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_objectz00_bglt
																																																BgL_auxz00_28032;
																																															BgL_auxz00_28032
																																																=
																																																(BgL_objectz00_bglt)
																																																(BgL_new2112z00_8621);
																																															BGL_OBJECT_WIDENING_SET
																																																(BgL_auxz00_28032,
																																																BFALSE);
																																														}
																																														BgL_res6979z00_8625
																																															=
																																															BgL_new2112z00_8621;
																																													}
																																													BgL_new2102z00_8620
																																														=
																																														BgL_res6979z00_8625;
																																												}
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_setglobalz00_bglt
																																														BgL_res6980z00_8633;
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_setglobalz00_bglt
																																															BgL_new2107z00_8626;
																																														BgL_new2107z00_8626
																																															=
																																															BgL_new2102z00_8620;
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_exprz00_bglt
																																																BgL_e2104z00_8630;
																																															obj_t
																																																BgL_name2105z00_8631;
																																															obj_t
																																																BgL_mod2106z00_8632;
																																															BgL_e2104z00_8630
																																																=
																																																BgL_e2099z00_8617;
																																															BgL_name2105z00_8631
																																																=
																																																BgL_name2100z00_8618;
																																															BgL_mod2106z00_8632
																																																=
																																																BgL_arg4137z00_8600;
																																															((((BgL_ev_setglobalz00_bglt) CREF(BgL_new2107z00_8626))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2104z00_8630), BUNSPEC);
																																															((((BgL_ev_setglobalz00_bglt) CREF(BgL_new2107z00_8626))->BgL_namez00) = ((obj_t) BgL_name2105z00_8631), BUNSPEC);
																																															((((BgL_ev_setglobalz00_bglt) CREF(BgL_new2107z00_8626))->BgL_modz00) = ((obj_t) BgL_mod2106z00_8632), BUNSPEC);
																																															BgL_res6980z00_8633
																																																=
																																																BgL_new2107z00_8626;
																																													}} BgL_res6980z00_8633;
																																												}
																																												BgL_res6981z00_8634
																																													=
																																													BgL_new2102z00_8620;
																																										}}
																																										return
																																											(obj_t)
																																											(BgL_res6981z00_8634);
																																									}
																																								}
																																						}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 283 */
																																						obj_t
																																							BgL_arg3706z00_1792;
																																						obj_t
																																							BgL_arg3707z00_1793;
																																						BgL_arg3706z00_1792
																																							=
																																							CAR
																																							(BgL_ez00_34);
																																						BgL_arg3707z00_1793
																																							=
																																							CDR
																																							(BgL_ez00_34);
																																						{	/* Eval/evaluate.scm 283 */
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_28041;
																																							{
																																								obj_t
																																									BgL_argsz00_28043;
																																								obj_t
																																									BgL_fz00_28042;
																																								BgL_fz00_28042
																																									=
																																									BgL_arg3706z00_1792;
																																								BgL_argsz00_28043
																																									=
																																									BgL_arg3707z00_1793;
																																								BgL_argsz00_1706
																																									=
																																									BgL_argsz00_28043;
																																								BgL_fz00_1705
																																									=
																																									BgL_fz00_28042;
																																								goto
																																									BgL_tagzd21488zd2_1707;
																																							}
																																							return
																																								(obj_t)
																																								(BgL_auxz00_28041);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 283 */
																																				obj_t
																																					BgL_arg3709z00_1795;
																																				obj_t
																																					BgL_arg3710z00_1796;
																																				BgL_arg3709z00_1795
																																					=
																																					CAR
																																					(BgL_ez00_34);
																																				BgL_arg3710z00_1796
																																					=
																																					CDR
																																					(BgL_ez00_34);
																																				{	/* Eval/evaluate.scm 283 */
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_28047;
																																					{
																																						obj_t
																																							BgL_argsz00_28049;
																																						obj_t
																																							BgL_fz00_28048;
																																						BgL_fz00_28048
																																							=
																																							BgL_arg3709z00_1795;
																																						BgL_argsz00_28049
																																							=
																																							BgL_arg3710z00_1796;
																																						BgL_argsz00_1706
																																							=
																																							BgL_argsz00_28049;
																																						BgL_fz00_1705
																																							=
																																							BgL_fz00_28048;
																																						goto
																																							BgL_tagzd21488zd2_1707;
																																					}
																																					return
																																						(obj_t)
																																						(BgL_auxz00_28047);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 283 */
																																		obj_t
																																			BgL_arg3711z00_1797;
																																		obj_t
																																			BgL_arg3712z00_1798;
																																		BgL_arg3711z00_1797
																																			=
																																			CAR
																																			(BgL_ez00_34);
																																		BgL_arg3712z00_1798
																																			=
																																			CDR
																																			(BgL_ez00_34);
																																		{	/* Eval/evaluate.scm 283 */
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_28053;
																																			{
																																				obj_t
																																					BgL_argsz00_28055;
																																				obj_t
																																					BgL_fz00_28054;
																																				BgL_fz00_28054
																																					=
																																					BgL_arg3711z00_1797;
																																				BgL_argsz00_28055
																																					=
																																					BgL_arg3712z00_1798;
																																				BgL_argsz00_1706
																																					=
																																					BgL_argsz00_28055;
																																				BgL_fz00_1705
																																					=
																																					BgL_fz00_28054;
																																				goto
																																					BgL_tagzd21488zd2_1707;
																																			}
																																			return
																																				(obj_t)
																																				(BgL_auxz00_28053);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 283 */
																																obj_t
																																	BgL_cdrzd23446zd2_1799;
																																BgL_cdrzd23446zd2_1799
																																	=
																																	CDR
																																	(BgL_ez00_34);
																																if ((CAR
																																		(BgL_ez00_34)
																																		==
																																		BGl_symbol8211z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 283 */
																																		if (PAIRP
																																			(BgL_cdrzd23446zd2_1799))
																																			{	/* Eval/evaluate.scm 283 */
																																				obj_t
																																					BgL_cdrzd23451zd2_1802;
																																				BgL_cdrzd23451zd2_1802
																																					=
																																					CDR
																																					(BgL_cdrzd23446zd2_1799);
																																				if (PAIRP(BgL_cdrzd23451zd2_1802))
																																					{	/* Eval/evaluate.scm 283 */
																																						obj_t
																																							BgL_carzd23455zd2_1804;
																																						BgL_carzd23455zd2_1804
																																							=
																																							CAR
																																							(BgL_cdrzd23451zd2_1802);
																																						if (PAIRP(BgL_carzd23455zd2_1804))
																																							{	/* Eval/evaluate.scm 283 */
																																								obj_t
																																									BgL_cdrzd23460zd2_1806;
																																								BgL_cdrzd23460zd2_1806
																																									=
																																									CDR
																																									(BgL_carzd23455zd2_1804);
																																								if ((CAR(BgL_carzd23455zd2_1804) == BGl_symbol8213z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 283 */
																																										if (PAIRP(BgL_cdrzd23460zd2_1806))
																																											{	/* Eval/evaluate.scm 283 */
																																												obj_t
																																													BgL_cdrzd23464zd2_1809;
																																												BgL_cdrzd23464zd2_1809
																																													=
																																													CDR
																																													(BgL_cdrzd23460zd2_1806);
																																												if (PAIRP(BgL_cdrzd23464zd2_1809))
																																													{	/* Eval/evaluate.scm 283 */
																																														if (NULLP(CDR(BgL_cdrzd23464zd2_1809)))
																																															{	/* Eval/evaluate.scm 283 */
																																																if (NULLP(CDR(BgL_cdrzd23451zd2_1802)))
																																																	{	/* Eval/evaluate.scm 283 */
																																																		obj_t
																																																			BgL_arg3722z00_1813;
																																																		obj_t
																																																			BgL_arg3723z00_1814;
																																																		obj_t
																																																			BgL_arg3724z00_1815;
																																																		BgL_arg3722z00_1813
																																																			=
																																																			CAR
																																																			(BgL_cdrzd23446zd2_1799);
																																																		BgL_arg3723z00_1814
																																																			=
																																																			CAR
																																																			(BgL_cdrzd23460zd2_1806);
																																																		BgL_arg3724z00_1815
																																																			=
																																																			CAR
																																																			(BgL_cdrzd23464zd2_1809);
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_ev_absz00_bglt
																																																				BgL_arg4139z00_8663;
																																																			obj_t
																																																				BgL_arg4140z00_8664;
																																																			obj_t
																																																				BgL_arg4141z00_8665;
																																																			BgL_arg4139z00_8663
																																																				=
																																																				BGl_convzd2lambdazd2zz__evaluatez00
																																																				(BgL_globalsz00_36,
																																																				BgL_localsz00_35,
																																																				BgL_locz00_39,
																																																				BgL_ez00_34,
																																																				BgL_arg3723z00_1814,
																																																				BgL_arg3724z00_1815,
																																																				BgL_arg3722z00_1813);
																																																			BgL_arg4140z00_8664
																																																				=
																																																				BGl_untypezd2identzd2zz__evcompilez00
																																																				(BgL_arg3722z00_1813);
																																																			if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_36))
																																																				{	/* Eval/evaluate.scm 283 */
																																																					BgL_arg4141z00_8665
																																																						=
																																																						BgL_globalsz00_36;
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 283 */
																																																					BgL_arg4141z00_8665
																																																						=
																																																						BGL_MODULE
																																																						();
																																																				}
																																																			{	/* Eval/evaluate.scm 283 */
																																																				BgL_ev_defglobalz00_bglt
																																																					BgL_res6984z00_8684;
																																																				{	/* Eval/evaluate.scm 283 */
																																																					BgL_ev_exprz00_bglt
																																																						BgL_e2137z00_8667;
																																																					obj_t
																																																						BgL_name2138z00_8668;
																																																					BgL_e2137z00_8667
																																																						=
																																																						(BgL_ev_exprz00_bglt)
																																																						(BgL_arg4139z00_8663);
																																																					BgL_name2138z00_8668
																																																						=
																																																						BgL_arg4140z00_8664;
																																																					{	/* Eval/evaluate.scm 283 */
																																																						BgL_ev_defglobalz00_bglt
																																																							BgL_new2140z00_8670;
																																																						{	/* Eval/evaluate.scm 283 */
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_res6982z00_8675;
																																																							{	/* Eval/evaluate.scm 283 */
																																																								BgL_ev_defglobalz00_bglt
																																																									BgL_new2150z00_8671;
																																																								BgL_new2150z00_8671
																																																									=
																																																									(
																																																									(BgL_ev_defglobalz00_bglt)
																																																									BREF
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_defglobalz00_bgl))));
																																																								BGL_OBJECT_CLASS_NUM_SET
																																																									(
																																																									(BgL_objectz00_bglt)
																																																									(BgL_new2150z00_8671),
																																																									BGl_classzd2numzd2zz__objectz00
																																																									(BGl_ev_defglobalz00zz__evaluatez00));
																																																								{	/* Eval/evaluate.scm 283 */
																																																									BgL_objectz00_bglt
																																																										BgL_auxz00_28097;
																																																									BgL_auxz00_28097
																																																										=
																																																										(BgL_objectz00_bglt)
																																																										(BgL_new2150z00_8671);
																																																									BGL_OBJECT_WIDENING_SET
																																																										(BgL_auxz00_28097,
																																																										BFALSE);
																																																								}
																																																								BgL_res6982z00_8675
																																																									=
																																																									BgL_new2150z00_8671;
																																																							}
																																																							BgL_new2140z00_8670
																																																								=
																																																								BgL_res6982z00_8675;
																																																						}
																																																						{	/* Eval/evaluate.scm 283 */
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_res6983z00_8683;
																																																							{	/* Eval/evaluate.scm 283 */
																																																								BgL_ev_defglobalz00_bglt
																																																									BgL_new2145z00_8676;
																																																								BgL_new2145z00_8676
																																																									=
																																																									BgL_new2140z00_8670;
																																																								{	/* Eval/evaluate.scm 283 */
																																																									BgL_ev_exprz00_bglt
																																																										BgL_e2142z00_8680;
																																																									obj_t
																																																										BgL_name2143z00_8681;
																																																									obj_t
																																																										BgL_mod2144z00_8682;
																																																									BgL_e2142z00_8680
																																																										=
																																																										BgL_e2137z00_8667;
																																																									BgL_name2143z00_8681
																																																										=
																																																										BgL_name2138z00_8668;
																																																									BgL_mod2144z00_8682
																																																										=
																																																										BgL_arg4141z00_8665;
																																																									((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8676))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2142z00_8680), BUNSPEC);
																																																									((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8676))->BgL_namez00) = ((obj_t) BgL_name2143z00_8681), BUNSPEC);
																																																									((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8676))->BgL_modz00) = ((obj_t) BgL_mod2144z00_8682), BUNSPEC);
																																																									BgL_res6983z00_8683
																																																										=
																																																										BgL_new2145z00_8676;
																																																							}} BgL_res6983z00_8683;
																																																						}
																																																						BgL_res6984z00_8684
																																																							=
																																																							BgL_new2140z00_8670;
																																																				}}
																																																				return
																																																					(obj_t)
																																																					(BgL_res6984z00_8684);
																																																			}
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 283 */
																																																		obj_t
																																																			BgL_arg3725z00_1816;
																																																		BgL_arg3725z00_1816
																																																			=
																																																			CAR
																																																			(BgL_ez00_34);
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_28105;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_28107;
																																																				obj_t
																																																					BgL_fz00_28106;
																																																				BgL_fz00_28106
																																																					=
																																																					BgL_arg3725z00_1816;
																																																				BgL_argsz00_28107
																																																					=
																																																					BgL_cdrzd23446zd2_1799;
																																																				BgL_argsz00_1706
																																																					=
																																																					BgL_argsz00_28107;
																																																				BgL_fz00_1705
																																																					=
																																																					BgL_fz00_28106;
																																																				goto
																																																					BgL_tagzd21488zd2_1707;
																																																			}
																																																			return
																																																				(obj_t)
																																																				(BgL_auxz00_28105);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 283 */
																																																obj_t
																																																	BgL_cdrzd23538zd2_1820;
																																																BgL_cdrzd23538zd2_1820
																																																	=
																																																	CDR
																																																	(BgL_cdrzd23446zd2_1799);
																																																if (NULLP(CDR(BgL_cdrzd23538zd2_1820)))
																																																	{	/* Eval/evaluate.scm 283 */
																																																		obj_t
																																																			BgL_arg3729z00_1822;
																																																		obj_t
																																																			BgL_arg3730z00_1823;
																																																		BgL_arg3729z00_1822
																																																			=
																																																			CAR
																																																			(BgL_cdrzd23446zd2_1799);
																																																		BgL_arg3730z00_1823
																																																			=
																																																			CAR
																																																			(BgL_cdrzd23538zd2_1820);
																																																		{	/* Eval/evaluate.scm 283 */
																																																			obj_t
																																																				BgL_arg4143z00_8695;
																																																			obj_t
																																																				BgL_arg4144z00_8696;
																																																			obj_t
																																																				BgL_arg4145z00_8697;
																																																			BgL_arg4143z00_8695
																																																				=
																																																				BGl_uconvz00zz__evaluatez00
																																																				(BgL_wherez00_38,
																																																				BgL_globalsz00_36,
																																																				BgL_localsz00_35,
																																																				BgL_locz00_39,
																																																				BgL_arg3730z00_1823);
																																																			BgL_arg4144z00_8696
																																																				=
																																																				BGl_untypezd2identzd2zz__evcompilez00
																																																				(BgL_arg3729z00_1822);
																																																			if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_36))
																																																				{	/* Eval/evaluate.scm 283 */
																																																					BgL_arg4145z00_8697
																																																						=
																																																						BgL_globalsz00_36;
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 283 */
																																																					BgL_arg4145z00_8697
																																																						=
																																																						BGL_MODULE
																																																						();
																																																				}
																																																			{	/* Eval/evaluate.scm 283 */
																																																				BgL_ev_defglobalz00_bglt
																																																					BgL_res6987z00_8716;
																																																				{	/* Eval/evaluate.scm 283 */
																																																					BgL_ev_exprz00_bglt
																																																						BgL_e2137z00_8699;
																																																					obj_t
																																																						BgL_name2138z00_8700;
																																																					BgL_e2137z00_8699
																																																						=
																																																						(BgL_ev_exprz00_bglt)
																																																						(BgL_arg4143z00_8695);
																																																					BgL_name2138z00_8700
																																																						=
																																																						BgL_arg4144z00_8696;
																																																					{	/* Eval/evaluate.scm 283 */
																																																						BgL_ev_defglobalz00_bglt
																																																							BgL_new2140z00_8702;
																																																						{	/* Eval/evaluate.scm 283 */
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_res6985z00_8707;
																																																							{	/* Eval/evaluate.scm 283 */
																																																								BgL_ev_defglobalz00_bglt
																																																									BgL_new2150z00_8703;
																																																								BgL_new2150z00_8703
																																																									=
																																																									(
																																																									(BgL_ev_defglobalz00_bglt)
																																																									BREF
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_defglobalz00_bgl))));
																																																								BGL_OBJECT_CLASS_NUM_SET
																																																									(
																																																									(BgL_objectz00_bglt)
																																																									(BgL_new2150z00_8703),
																																																									BGl_classzd2numzd2zz__objectz00
																																																									(BGl_ev_defglobalz00zz__evaluatez00));
																																																								{	/* Eval/evaluate.scm 283 */
																																																									BgL_objectz00_bglt
																																																										BgL_auxz00_28125;
																																																									BgL_auxz00_28125
																																																										=
																																																										(BgL_objectz00_bglt)
																																																										(BgL_new2150z00_8703);
																																																									BGL_OBJECT_WIDENING_SET
																																																										(BgL_auxz00_28125,
																																																										BFALSE);
																																																								}
																																																								BgL_res6985z00_8707
																																																									=
																																																									BgL_new2150z00_8703;
																																																							}
																																																							BgL_new2140z00_8702
																																																								=
																																																								BgL_res6985z00_8707;
																																																						}
																																																						{	/* Eval/evaluate.scm 283 */
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_res6986z00_8715;
																																																							{	/* Eval/evaluate.scm 283 */
																																																								BgL_ev_defglobalz00_bglt
																																																									BgL_new2145z00_8708;
																																																								BgL_new2145z00_8708
																																																									=
																																																									BgL_new2140z00_8702;
																																																								{	/* Eval/evaluate.scm 283 */
																																																									BgL_ev_exprz00_bglt
																																																										BgL_e2142z00_8712;
																																																									obj_t
																																																										BgL_name2143z00_8713;
																																																									obj_t
																																																										BgL_mod2144z00_8714;
																																																									BgL_e2142z00_8712
																																																										=
																																																										BgL_e2137z00_8699;
																																																									BgL_name2143z00_8713
																																																										=
																																																										BgL_name2138z00_8700;
																																																									BgL_mod2144z00_8714
																																																										=
																																																										BgL_arg4145z00_8697;
																																																									((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8708))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2142z00_8712), BUNSPEC);
																																																									((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8708))->BgL_namez00) = ((obj_t) BgL_name2143z00_8713), BUNSPEC);
																																																									((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8708))->BgL_modz00) = ((obj_t) BgL_mod2144z00_8714), BUNSPEC);
																																																									BgL_res6986z00_8715
																																																										=
																																																										BgL_new2145z00_8708;
																																																							}} BgL_res6986z00_8715;
																																																						}
																																																						BgL_res6987z00_8716
																																																							=
																																																							BgL_new2140z00_8702;
																																																				}}
																																																				return
																																																					(obj_t)
																																																					(BgL_res6987z00_8716);
																																																			}
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 283 */
																																																		obj_t
																																																			BgL_arg3731z00_1824;
																																																		obj_t
																																																			BgL_arg3732z00_1825;
																																																		BgL_arg3731z00_1824
																																																			=
																																																			CAR
																																																			(BgL_ez00_34);
																																																		BgL_arg3732z00_1825
																																																			=
																																																			CDR
																																																			(BgL_ez00_34);
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_28134;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_28136;
																																																				obj_t
																																																					BgL_fz00_28135;
																																																				BgL_fz00_28135
																																																					=
																																																					BgL_arg3731z00_1824;
																																																				BgL_argsz00_28136
																																																					=
																																																					BgL_arg3732z00_1825;
																																																				BgL_argsz00_1706
																																																					=
																																																					BgL_argsz00_28136;
																																																				BgL_fz00_1705
																																																					=
																																																					BgL_fz00_28135;
																																																				goto
																																																					BgL_tagzd21488zd2_1707;
																																																			}
																																																			return
																																																				(obj_t)
																																																				(BgL_auxz00_28134);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 283 */
																																														obj_t
																																															BgL_cdrzd23601zd2_1829;
																																														BgL_cdrzd23601zd2_1829
																																															=
																																															CDR
																																															(BgL_cdrzd23446zd2_1799);
																																														if (NULLP(CDR(BgL_cdrzd23601zd2_1829)))
																																															{	/* Eval/evaluate.scm 283 */
																																																obj_t
																																																	BgL_arg3736z00_1831;
																																																obj_t
																																																	BgL_arg3737z00_1832;
																																																BgL_arg3736z00_1831
																																																	=
																																																	CAR
																																																	(BgL_cdrzd23446zd2_1799);
																																																BgL_arg3737z00_1832
																																																	=
																																																	CAR
																																																	(BgL_cdrzd23601zd2_1829);
																																																{	/* Eval/evaluate.scm 283 */
																																																	obj_t
																																																		BgL_arg4143z00_8727;
																																																	obj_t
																																																		BgL_arg4144z00_8728;
																																																	obj_t
																																																		BgL_arg4145z00_8729;
																																																	BgL_arg4143z00_8727
																																																		=
																																																		BGl_uconvz00zz__evaluatez00
																																																		(BgL_wherez00_38,
																																																		BgL_globalsz00_36,
																																																		BgL_localsz00_35,
																																																		BgL_locz00_39,
																																																		BgL_arg3737z00_1832);
																																																	BgL_arg4144z00_8728
																																																		=
																																																		BGl_untypezd2identzd2zz__evcompilez00
																																																		(BgL_arg3736z00_1831);
																																																	if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_36))
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_arg4145z00_8729
																																																				=
																																																				BgL_globalsz00_36;
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_arg4145z00_8729
																																																				=
																																																				BGL_MODULE
																																																				();
																																																		}
																																																	{	/* Eval/evaluate.scm 283 */
																																																		BgL_ev_defglobalz00_bglt
																																																			BgL_res6990z00_8748;
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_ev_exprz00_bglt
																																																				BgL_e2137z00_8731;
																																																			obj_t
																																																				BgL_name2138z00_8732;
																																																			BgL_e2137z00_8731
																																																				=
																																																				(BgL_ev_exprz00_bglt)
																																																				(BgL_arg4143z00_8727);
																																																			BgL_name2138z00_8732
																																																				=
																																																				BgL_arg4144z00_8728;
																																																			{	/* Eval/evaluate.scm 283 */
																																																				BgL_ev_defglobalz00_bglt
																																																					BgL_new2140z00_8734;
																																																				{	/* Eval/evaluate.scm 283 */
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_res6988z00_8739;
																																																					{	/* Eval/evaluate.scm 283 */
																																																						BgL_ev_defglobalz00_bglt
																																																							BgL_new2150z00_8735;
																																																						BgL_new2150z00_8735
																																																							=
																																																							(
																																																							(BgL_ev_defglobalz00_bglt)
																																																							BREF
																																																							(GC_MALLOC
																																																								(sizeof
																																																									(struct
																																																										BgL_ev_defglobalz00_bgl))));
																																																						BGL_OBJECT_CLASS_NUM_SET
																																																							(
																																																							(BgL_objectz00_bglt)
																																																							(BgL_new2150z00_8735),
																																																							BGl_classzd2numzd2zz__objectz00
																																																							(BGl_ev_defglobalz00zz__evaluatez00));
																																																						{	/* Eval/evaluate.scm 283 */
																																																							BgL_objectz00_bglt
																																																								BgL_auxz00_28154;
																																																							BgL_auxz00_28154
																																																								=
																																																								(BgL_objectz00_bglt)
																																																								(BgL_new2150z00_8735);
																																																							BGL_OBJECT_WIDENING_SET
																																																								(BgL_auxz00_28154,
																																																								BFALSE);
																																																						}
																																																						BgL_res6988z00_8739
																																																							=
																																																							BgL_new2150z00_8735;
																																																					}
																																																					BgL_new2140z00_8734
																																																						=
																																																						BgL_res6988z00_8739;
																																																				}
																																																				{	/* Eval/evaluate.scm 283 */
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_res6989z00_8747;
																																																					{	/* Eval/evaluate.scm 283 */
																																																						BgL_ev_defglobalz00_bglt
																																																							BgL_new2145z00_8740;
																																																						BgL_new2145z00_8740
																																																							=
																																																							BgL_new2140z00_8734;
																																																						{	/* Eval/evaluate.scm 283 */
																																																							BgL_ev_exprz00_bglt
																																																								BgL_e2142z00_8744;
																																																							obj_t
																																																								BgL_name2143z00_8745;
																																																							obj_t
																																																								BgL_mod2144z00_8746;
																																																							BgL_e2142z00_8744
																																																								=
																																																								BgL_e2137z00_8731;
																																																							BgL_name2143z00_8745
																																																								=
																																																								BgL_name2138z00_8732;
																																																							BgL_mod2144z00_8746
																																																								=
																																																								BgL_arg4145z00_8729;
																																																							((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8740))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2142z00_8744), BUNSPEC);
																																																							((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8740))->BgL_namez00) = ((obj_t) BgL_name2143z00_8745), BUNSPEC);
																																																							((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8740))->BgL_modz00) = ((obj_t) BgL_mod2144z00_8746), BUNSPEC);
																																																							BgL_res6989z00_8747
																																																								=
																																																								BgL_new2145z00_8740;
																																																					}} BgL_res6989z00_8747;
																																																				}
																																																				BgL_res6990z00_8748
																																																					=
																																																					BgL_new2140z00_8734;
																																																		}}
																																																		return
																																																			(obj_t)
																																																			(BgL_res6990z00_8748);
																																																	}
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 283 */
																																																obj_t
																																																	BgL_arg3738z00_1833;
																																																obj_t
																																																	BgL_arg3739z00_1834;
																																																BgL_arg3738z00_1833
																																																	=
																																																	CAR
																																																	(BgL_ez00_34);
																																																BgL_arg3739z00_1834
																																																	=
																																																	CDR
																																																	(BgL_ez00_34);
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_28163;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_28165;
																																																		obj_t
																																																			BgL_fz00_28164;
																																																		BgL_fz00_28164
																																																			=
																																																			BgL_arg3738z00_1833;
																																																		BgL_argsz00_28165
																																																			=
																																																			BgL_arg3739z00_1834;
																																																		BgL_argsz00_1706
																																																			=
																																																			BgL_argsz00_28165;
																																																		BgL_fz00_1705
																																																			=
																																																			BgL_fz00_28164;
																																																		goto
																																																			BgL_tagzd21488zd2_1707;
																																																	}
																																																	return
																																																		(obj_t)
																																																		(BgL_auxz00_28163);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 283 */
																																												obj_t
																																													BgL_cdrzd23664zd2_1837;
																																												BgL_cdrzd23664zd2_1837
																																													=
																																													CDR
																																													(BgL_cdrzd23446zd2_1799);
																																												if (NULLP(CDR(BgL_cdrzd23664zd2_1837)))
																																													{	/* Eval/evaluate.scm 283 */
																																														obj_t
																																															BgL_arg3742z00_1839;
																																														obj_t
																																															BgL_arg3745z00_1840;
																																														BgL_arg3742z00_1839
																																															=
																																															CAR
																																															(BgL_cdrzd23446zd2_1799);
																																														BgL_arg3745z00_1840
																																															=
																																															CAR
																																															(BgL_cdrzd23664zd2_1837);
																																														{	/* Eval/evaluate.scm 283 */
																																															obj_t
																																																BgL_arg4143z00_8759;
																																															obj_t
																																																BgL_arg4144z00_8760;
																																															obj_t
																																																BgL_arg4145z00_8761;
																																															BgL_arg4143z00_8759
																																																=
																																																BGl_uconvz00zz__evaluatez00
																																																(BgL_wherez00_38,
																																																BgL_globalsz00_36,
																																																BgL_localsz00_35,
																																																BgL_locz00_39,
																																																BgL_arg3745z00_1840);
																																															BgL_arg4144z00_8760
																																																=
																																																BGl_untypezd2identzd2zz__evcompilez00
																																																(BgL_arg3742z00_1839);
																																															if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_36))
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_arg4145z00_8761
																																																		=
																																																		BgL_globalsz00_36;
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_arg4145z00_8761
																																																		=
																																																		BGL_MODULE
																																																		();
																																																}
																																															{	/* Eval/evaluate.scm 283 */
																																																BgL_ev_defglobalz00_bglt
																																																	BgL_res6993z00_8780;
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_ev_exprz00_bglt
																																																		BgL_e2137z00_8763;
																																																	obj_t
																																																		BgL_name2138z00_8764;
																																																	BgL_e2137z00_8763
																																																		=
																																																		(BgL_ev_exprz00_bglt)
																																																		(BgL_arg4143z00_8759);
																																																	BgL_name2138z00_8764
																																																		=
																																																		BgL_arg4144z00_8760;
																																																	{	/* Eval/evaluate.scm 283 */
																																																		BgL_ev_defglobalz00_bglt
																																																			BgL_new2140z00_8766;
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_res6991z00_8771;
																																																			{	/* Eval/evaluate.scm 283 */
																																																				BgL_ev_defglobalz00_bglt
																																																					BgL_new2150z00_8767;
																																																				BgL_new2150z00_8767
																																																					=
																																																					(
																																																					(BgL_ev_defglobalz00_bglt)
																																																					BREF
																																																					(GC_MALLOC
																																																						(sizeof
																																																							(struct
																																																								BgL_ev_defglobalz00_bgl))));
																																																				BGL_OBJECT_CLASS_NUM_SET
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					(BgL_new2150z00_8767),
																																																					BGl_classzd2numzd2zz__objectz00
																																																					(BGl_ev_defglobalz00zz__evaluatez00));
																																																				{	/* Eval/evaluate.scm 283 */
																																																					BgL_objectz00_bglt
																																																						BgL_auxz00_28183;
																																																					BgL_auxz00_28183
																																																						=
																																																						(BgL_objectz00_bglt)
																																																						(BgL_new2150z00_8767);
																																																					BGL_OBJECT_WIDENING_SET
																																																						(BgL_auxz00_28183,
																																																						BFALSE);
																																																				}
																																																				BgL_res6991z00_8771
																																																					=
																																																					BgL_new2150z00_8767;
																																																			}
																																																			BgL_new2140z00_8766
																																																				=
																																																				BgL_res6991z00_8771;
																																																		}
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_res6992z00_8779;
																																																			{	/* Eval/evaluate.scm 283 */
																																																				BgL_ev_defglobalz00_bglt
																																																					BgL_new2145z00_8772;
																																																				BgL_new2145z00_8772
																																																					=
																																																					BgL_new2140z00_8766;
																																																				{	/* Eval/evaluate.scm 283 */
																																																					BgL_ev_exprz00_bglt
																																																						BgL_e2142z00_8776;
																																																					obj_t
																																																						BgL_name2143z00_8777;
																																																					obj_t
																																																						BgL_mod2144z00_8778;
																																																					BgL_e2142z00_8776
																																																						=
																																																						BgL_e2137z00_8763;
																																																					BgL_name2143z00_8777
																																																						=
																																																						BgL_name2138z00_8764;
																																																					BgL_mod2144z00_8778
																																																						=
																																																						BgL_arg4145z00_8761;
																																																					((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8772))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2142z00_8776), BUNSPEC);
																																																					((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8772))->BgL_namez00) = ((obj_t) BgL_name2143z00_8777), BUNSPEC);
																																																					((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8772))->BgL_modz00) = ((obj_t) BgL_mod2144z00_8778), BUNSPEC);
																																																					BgL_res6992z00_8779
																																																						=
																																																						BgL_new2145z00_8772;
																																																			}} BgL_res6992z00_8779;
																																																		}
																																																		BgL_res6993z00_8780
																																																			=
																																																			BgL_new2140z00_8766;
																																																}}
																																																return
																																																	(obj_t)
																																																	(BgL_res6993z00_8780);
																																															}
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 283 */
																																														obj_t
																																															BgL_arg3746z00_1841;
																																														obj_t
																																															BgL_arg3747z00_1842;
																																														BgL_arg3746z00_1841
																																															=
																																															CAR
																																															(BgL_ez00_34);
																																														BgL_arg3747z00_1842
																																															=
																																															CDR
																																															(BgL_ez00_34);
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_28192;
																																															{
																																																obj_t
																																																	BgL_argsz00_28194;
																																																obj_t
																																																	BgL_fz00_28193;
																																																BgL_fz00_28193
																																																	=
																																																	BgL_arg3746z00_1841;
																																																BgL_argsz00_28194
																																																	=
																																																	BgL_arg3747z00_1842;
																																																BgL_argsz00_1706
																																																	=
																																																	BgL_argsz00_28194;
																																																BgL_fz00_1705
																																																	=
																																																	BgL_fz00_28193;
																																																goto
																																																	BgL_tagzd21488zd2_1707;
																																															}
																																															return
																																																(obj_t)
																																																(BgL_auxz00_28192);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 283 */
																																										obj_t
																																											BgL_cdrzd23727zd2_1845;
																																										BgL_cdrzd23727zd2_1845
																																											=
																																											CDR
																																											(BgL_cdrzd23446zd2_1799);
																																										if (NULLP(CDR(BgL_cdrzd23727zd2_1845)))
																																											{	/* Eval/evaluate.scm 283 */
																																												obj_t
																																													BgL_arg3750z00_1847;
																																												obj_t
																																													BgL_arg3751z00_1848;
																																												BgL_arg3750z00_1847
																																													=
																																													CAR
																																													(BgL_cdrzd23446zd2_1799);
																																												BgL_arg3751z00_1848
																																													=
																																													CAR
																																													(BgL_cdrzd23727zd2_1845);
																																												{	/* Eval/evaluate.scm 283 */
																																													obj_t
																																														BgL_arg4143z00_8791;
																																													obj_t
																																														BgL_arg4144z00_8792;
																																													obj_t
																																														BgL_arg4145z00_8793;
																																													BgL_arg4143z00_8791
																																														=
																																														BGl_uconvz00zz__evaluatez00
																																														(BgL_wherez00_38,
																																														BgL_globalsz00_36,
																																														BgL_localsz00_35,
																																														BgL_locz00_39,
																																														BgL_arg3751z00_1848);
																																													BgL_arg4144z00_8792
																																														=
																																														BGl_untypezd2identzd2zz__evcompilez00
																																														(BgL_arg3750z00_1847);
																																													if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_36))
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_arg4145z00_8793
																																																=
																																																BgL_globalsz00_36;
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_arg4145z00_8793
																																																=
																																																BGL_MODULE
																																																();
																																														}
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_defglobalz00_bglt
																																															BgL_res6996z00_8812;
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_exprz00_bglt
																																																BgL_e2137z00_8795;
																																															obj_t
																																																BgL_name2138z00_8796;
																																															BgL_e2137z00_8795
																																																=
																																																(BgL_ev_exprz00_bglt)
																																																(BgL_arg4143z00_8791);
																																															BgL_name2138z00_8796
																																																=
																																																BgL_arg4144z00_8792;
																																															{	/* Eval/evaluate.scm 283 */
																																																BgL_ev_defglobalz00_bglt
																																																	BgL_new2140z00_8798;
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_res6994z00_8803;
																																																	{	/* Eval/evaluate.scm 283 */
																																																		BgL_ev_defglobalz00_bglt
																																																			BgL_new2150z00_8799;
																																																		BgL_new2150z00_8799
																																																			=
																																																			(
																																																			(BgL_ev_defglobalz00_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_defglobalz00_bgl))));
																																																		BGL_OBJECT_CLASS_NUM_SET
																																																			(
																																																			(BgL_objectz00_bglt)
																																																			(BgL_new2150z00_8799),
																																																			BGl_classzd2numzd2zz__objectz00
																																																			(BGl_ev_defglobalz00zz__evaluatez00));
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_objectz00_bglt
																																																				BgL_auxz00_28212;
																																																			BgL_auxz00_28212
																																																				=
																																																				(BgL_objectz00_bglt)
																																																				(BgL_new2150z00_8799);
																																																			BGL_OBJECT_WIDENING_SET
																																																				(BgL_auxz00_28212,
																																																				BFALSE);
																																																		}
																																																		BgL_res6994z00_8803
																																																			=
																																																			BgL_new2150z00_8799;
																																																	}
																																																	BgL_new2140z00_8798
																																																		=
																																																		BgL_res6994z00_8803;
																																																}
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_res6995z00_8811;
																																																	{	/* Eval/evaluate.scm 283 */
																																																		BgL_ev_defglobalz00_bglt
																																																			BgL_new2145z00_8804;
																																																		BgL_new2145z00_8804
																																																			=
																																																			BgL_new2140z00_8798;
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_ev_exprz00_bglt
																																																				BgL_e2142z00_8808;
																																																			obj_t
																																																				BgL_name2143z00_8809;
																																																			obj_t
																																																				BgL_mod2144z00_8810;
																																																			BgL_e2142z00_8808
																																																				=
																																																				BgL_e2137z00_8795;
																																																			BgL_name2143z00_8809
																																																				=
																																																				BgL_name2138z00_8796;
																																																			BgL_mod2144z00_8810
																																																				=
																																																				BgL_arg4145z00_8793;
																																																			((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8804))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2142z00_8808), BUNSPEC);
																																																			((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8804))->BgL_namez00) = ((obj_t) BgL_name2143z00_8809), BUNSPEC);
																																																			((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8804))->BgL_modz00) = ((obj_t) BgL_mod2144z00_8810), BUNSPEC);
																																																			BgL_res6995z00_8811
																																																				=
																																																				BgL_new2145z00_8804;
																																																	}} BgL_res6995z00_8811;
																																																}
																																																BgL_res6996z00_8812
																																																	=
																																																	BgL_new2140z00_8798;
																																														}}
																																														return
																																															(obj_t)
																																															(BgL_res6996z00_8812);
																																													}
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 283 */
																																												obj_t
																																													BgL_arg3752z00_1849;
																																												obj_t
																																													BgL_arg3753z00_1850;
																																												BgL_arg3752z00_1849
																																													=
																																													CAR
																																													(BgL_ez00_34);
																																												BgL_arg3753z00_1850
																																													=
																																													CDR
																																													(BgL_ez00_34);
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_28221;
																																													{
																																														obj_t
																																															BgL_argsz00_28223;
																																														obj_t
																																															BgL_fz00_28222;
																																														BgL_fz00_28222
																																															=
																																															BgL_arg3752z00_1849;
																																														BgL_argsz00_28223
																																															=
																																															BgL_arg3753z00_1850;
																																														BgL_argsz00_1706
																																															=
																																															BgL_argsz00_28223;
																																														BgL_fz00_1705
																																															=
																																															BgL_fz00_28222;
																																														goto
																																															BgL_tagzd21488zd2_1707;
																																													}
																																													return
																																														(obj_t)
																																														(BgL_auxz00_28221);
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 283 */
																																								obj_t
																																									BgL_cdrzd23790zd2_1855;
																																								BgL_cdrzd23790zd2_1855
																																									=
																																									CDR
																																									(BgL_cdrzd23446zd2_1799);
																																								if (NULLP(CDR(BgL_cdrzd23790zd2_1855)))
																																									{	/* Eval/evaluate.scm 283 */
																																										obj_t
																																											BgL_arg3758z00_1857;
																																										obj_t
																																											BgL_arg3759z00_1858;
																																										BgL_arg3758z00_1857
																																											=
																																											CAR
																																											(BgL_cdrzd23446zd2_1799);
																																										BgL_arg3759z00_1858
																																											=
																																											CAR
																																											(BgL_cdrzd23790zd2_1855);
																																										{	/* Eval/evaluate.scm 283 */
																																											obj_t
																																												BgL_arg4143z00_8823;
																																											obj_t
																																												BgL_arg4144z00_8824;
																																											obj_t
																																												BgL_arg4145z00_8825;
																																											BgL_arg4143z00_8823
																																												=
																																												BGl_uconvz00zz__evaluatez00
																																												(BgL_wherez00_38,
																																												BgL_globalsz00_36,
																																												BgL_localsz00_35,
																																												BgL_locz00_39,
																																												BgL_arg3759z00_1858);
																																											BgL_arg4144z00_8824
																																												=
																																												BGl_untypezd2identzd2zz__evcompilez00
																																												(BgL_arg3758z00_1857);
																																											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_36))
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_arg4145z00_8825
																																														=
																																														BgL_globalsz00_36;
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_arg4145z00_8825
																																														=
																																														BGL_MODULE
																																														();
																																												}
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_defglobalz00_bglt
																																													BgL_res6999z00_8844;
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_exprz00_bglt
																																														BgL_e2137z00_8827;
																																													obj_t
																																														BgL_name2138z00_8828;
																																													BgL_e2137z00_8827
																																														=
																																														(BgL_ev_exprz00_bglt)
																																														(BgL_arg4143z00_8823);
																																													BgL_name2138z00_8828
																																														=
																																														BgL_arg4144z00_8824;
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_defglobalz00_bglt
																																															BgL_new2140z00_8830;
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_defglobalz00_bglt
																																																BgL_res6997z00_8835;
																																															{	/* Eval/evaluate.scm 283 */
																																																BgL_ev_defglobalz00_bglt
																																																	BgL_new2150z00_8831;
																																																BgL_new2150z00_8831
																																																	=
																																																	(
																																																	(BgL_ev_defglobalz00_bglt)
																																																	BREF
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_defglobalz00_bgl))));
																																																BGL_OBJECT_CLASS_NUM_SET
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	(BgL_new2150z00_8831),
																																																	BGl_classzd2numzd2zz__objectz00
																																																	(BGl_ev_defglobalz00zz__evaluatez00));
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_objectz00_bglt
																																																		BgL_auxz00_28241;
																																																	BgL_auxz00_28241
																																																		=
																																																		(BgL_objectz00_bglt)
																																																		(BgL_new2150z00_8831);
																																																	BGL_OBJECT_WIDENING_SET
																																																		(BgL_auxz00_28241,
																																																		BFALSE);
																																																}
																																																BgL_res6997z00_8835
																																																	=
																																																	BgL_new2150z00_8831;
																																															}
																																															BgL_new2140z00_8830
																																																=
																																																BgL_res6997z00_8835;
																																														}
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_defglobalz00_bglt
																																																BgL_res6998z00_8843;
																																															{	/* Eval/evaluate.scm 283 */
																																																BgL_ev_defglobalz00_bglt
																																																	BgL_new2145z00_8836;
																																																BgL_new2145z00_8836
																																																	=
																																																	BgL_new2140z00_8830;
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_ev_exprz00_bglt
																																																		BgL_e2142z00_8840;
																																																	obj_t
																																																		BgL_name2143z00_8841;
																																																	obj_t
																																																		BgL_mod2144z00_8842;
																																																	BgL_e2142z00_8840
																																																		=
																																																		BgL_e2137z00_8827;
																																																	BgL_name2143z00_8841
																																																		=
																																																		BgL_name2138z00_8828;
																																																	BgL_mod2144z00_8842
																																																		=
																																																		BgL_arg4145z00_8825;
																																																	((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8836))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2142z00_8840), BUNSPEC);
																																																	((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8836))->BgL_namez00) = ((obj_t) BgL_name2143z00_8841), BUNSPEC);
																																																	((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_8836))->BgL_modz00) = ((obj_t) BgL_mod2144z00_8842), BUNSPEC);
																																																	BgL_res6998z00_8843
																																																		=
																																																		BgL_new2145z00_8836;
																																															}} BgL_res6998z00_8843;
																																														}
																																														BgL_res6999z00_8844
																																															=
																																															BgL_new2140z00_8830;
																																												}}
																																												return
																																													(obj_t)
																																													(BgL_res6999z00_8844);
																																											}
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 283 */
																																										obj_t
																																											BgL_arg3760z00_1859;
																																										obj_t
																																											BgL_arg3761z00_1860;
																																										BgL_arg3760z00_1859
																																											=
																																											CAR
																																											(BgL_ez00_34);
																																										BgL_arg3761z00_1860
																																											=
																																											CDR
																																											(BgL_ez00_34);
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_28250;
																																											{
																																												obj_t
																																													BgL_argsz00_28252;
																																												obj_t
																																													BgL_fz00_28251;
																																												BgL_fz00_28251
																																													=
																																													BgL_arg3760z00_1859;
																																												BgL_argsz00_28252
																																													=
																																													BgL_arg3761z00_1860;
																																												BgL_argsz00_1706
																																													=
																																													BgL_argsz00_28252;
																																												BgL_fz00_1705
																																													=
																																													BgL_fz00_28251;
																																												goto
																																													BgL_tagzd21488zd2_1707;
																																											}
																																											return
																																												(obj_t)
																																												(BgL_auxz00_28250);
																																										}
																																									}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 283 */
																																						obj_t
																																							BgL_arg3763z00_1862;
																																						BgL_arg3763z00_1862
																																							=
																																							CAR
																																							(BgL_ez00_34);
																																						{	/* Eval/evaluate.scm 283 */
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_28255;
																																							{
																																								obj_t
																																									BgL_argsz00_28257;
																																								obj_t
																																									BgL_fz00_28256;
																																								BgL_fz00_28256
																																									=
																																									BgL_arg3763z00_1862;
																																								BgL_argsz00_28257
																																									=
																																									BgL_cdrzd23446zd2_1799;
																																								BgL_argsz00_1706
																																									=
																																									BgL_argsz00_28257;
																																								BgL_fz00_1705
																																									=
																																									BgL_fz00_28256;
																																								goto
																																									BgL_tagzd21488zd2_1707;
																																							}
																																							return
																																								(obj_t)
																																								(BgL_auxz00_28255);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 283 */
																																				obj_t
																																					BgL_arg3765z00_1864;
																																				BgL_arg3765z00_1864
																																					=
																																					CAR
																																					(BgL_ez00_34);
																																				{	/* Eval/evaluate.scm 283 */
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_28260;
																																					{
																																						obj_t
																																							BgL_argsz00_28262;
																																						obj_t
																																							BgL_fz00_28261;
																																						BgL_fz00_28261
																																							=
																																							BgL_arg3765z00_1864;
																																						BgL_argsz00_28262
																																							=
																																							BgL_cdrzd23446zd2_1799;
																																						BgL_argsz00_1706
																																							=
																																							BgL_argsz00_28262;
																																						BgL_fz00_1705
																																							=
																																							BgL_fz00_28261;
																																						goto
																																							BgL_tagzd21488zd2_1707;
																																					}
																																					return
																																						(obj_t)
																																						(BgL_auxz00_28260);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 283 */
																																		if (
																																			(CAR
																																				(BgL_ez00_34)
																																				==
																																				BGl_symbol8215z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 283 */
																																				if (PAIRP(BgL_cdrzd23446zd2_1799))
																																					{	/* Eval/evaluate.scm 283 */
																																						obj_t
																																							BgL_carzd23958zd2_1869;
																																						BgL_carzd23958zd2_1869
																																							=
																																							CAR
																																							(BgL_cdrzd23446zd2_1799);
																																						if (PAIRP(BgL_carzd23958zd2_1869))
																																							{	/* Eval/evaluate.scm 283 */
																																								if (NULLP(CDR(BgL_carzd23958zd2_1869)))
																																									{	/* Eval/evaluate.scm 283 */
																																										obj_t
																																											BgL_arg3771z00_1872;
																																										obj_t
																																											BgL_arg3772z00_1873;
																																										BgL_arg3771z00_1872
																																											=
																																											CAR
																																											(BgL_carzd23958zd2_1869);
																																										BgL_arg3772z00_1873
																																											=
																																											CDR
																																											(BgL_cdrzd23446zd2_1799);
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_varz00_bglt
																																												BgL_varz00_8862;
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_varz00_bglt
																																													BgL_res7002z00_8879;
																																												{	/* Eval/evaluate.scm 283 */
																																													obj_t
																																														BgL_name1838z00_8865;
																																													BgL_name1838z00_8865
																																														=
																																														BgL_arg3771z00_1872;
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1840z00_8867;
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_varz00_bglt
																																																BgL_res7000z00_8872;
																																															{	/* Eval/evaluate.scm 283 */
																																																BgL_ev_varz00_bglt
																																																	BgL_new1848z00_8868;
																																																BgL_new1848z00_8868
																																																	=
																																																	(
																																																	(BgL_ev_varz00_bglt)
																																																	BREF
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_varz00_bgl))));
																																																BGL_OBJECT_CLASS_NUM_SET
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	(BgL_new1848z00_8868),
																																																	BGl_classzd2numzd2zz__objectz00
																																																	(BGl_ev_varz00zz__evaluatez00));
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_objectz00_bglt
																																																		BgL_auxz00_28281;
																																																	BgL_auxz00_28281
																																																		=
																																																		(BgL_objectz00_bglt)
																																																		(BgL_new1848z00_8868);
																																																	BGL_OBJECT_WIDENING_SET
																																																		(BgL_auxz00_28281,
																																																		BFALSE);
																																																}
																																																BgL_res7000z00_8872
																																																	=
																																																	BgL_new1848z00_8868;
																																															}
																																															BgL_new1840z00_8867
																																																=
																																																BgL_res7000z00_8872;
																																														}
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_varz00_bglt
																																																BgL_res7001z00_8878;
																																															{	/* Eval/evaluate.scm 283 */
																																																BgL_ev_varz00_bglt
																																																	BgL_new1844z00_8873;
																																																BgL_new1844z00_8873
																																																	=
																																																	BgL_new1840z00_8867;
																																																{	/* Eval/evaluate.scm 283 */
																																																	obj_t
																																																		BgL_name1842z00_8876;
																																																	obj_t
																																																		BgL_eff1843z00_8877;
																																																	BgL_name1842z00_8876
																																																		=
																																																		BgL_name1838z00_8865;
																																																	BgL_eff1843z00_8877
																																																		=
																																																		BFALSE;
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1844z00_8873))->BgL_namez00) = ((obj_t) BgL_name1842z00_8876), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1844z00_8873))->BgL_effz00) = ((obj_t) BgL_eff1843z00_8877), BUNSPEC);
																																																	BgL_res7001z00_8878
																																																		=
																																																		BgL_new1844z00_8873;
																																															}} BgL_res7001z00_8878;
																																														}
																																														BgL_res7002z00_8879
																																															=
																																															BgL_new1840z00_8867;
																																												}}
																																												BgL_varz00_8862
																																													=
																																													BgL_res7002z00_8879;
																																											}
																																											{	/* Eval/evaluate.scm 283 */
																																												obj_t
																																													BgL_arg4147z00_8863;
																																												{	/* Eval/evaluate.scm 283 */
																																													obj_t
																																														BgL_arg4148z00_8864;
																																													BgL_arg4148z00_8864
																																														=
																																														MAKE_PAIR
																																														(
																																														(obj_t)
																																														(BgL_varz00_8862),
																																														BgL_localsz00_35);
																																													BgL_arg4147z00_8863
																																														=
																																														BGl_convzd2beginzd2zz__evaluatez00
																																														(BgL_arg3772z00_1873,
																																														BgL_arg4148z00_8864,
																																														BgL_globalsz00_36,
																																														((bool_t) 0), BgL_wherez00_38, BgL_locz00_39);
																																												}
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_res7005z00_8894;
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_exprz00_bglt
																																															BgL_body2173z00_8881;
																																														BgL_body2173z00_8881
																																															=
																																															(BgL_ev_exprz00_bglt)
																																															(BgL_arg4147z00_8863);
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_new2174z00_8882;
																																															{	/* Eval/evaluate.scm 283 */
																																																BgL_ev_bindzd2exitzd2_bglt
																																																	BgL_res7003z00_8887;
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_ev_bindzd2exitzd2_bglt
																																																		BgL_new2182z00_8883;
																																																	BgL_new2182z00_8883
																																																		=
																																																		(
																																																		(BgL_ev_bindzd2exitzd2_bglt)
																																																		BREF
																																																		(GC_MALLOC
																																																			(sizeof
																																																				(struct
																																																					BgL_ev_bindzd2exitzd2_bgl))));
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(
																																																		(BgL_objectz00_bglt)
																																																		(BgL_new2182z00_8883),
																																																		BGl_classzd2numzd2zz__objectz00
																																																		(BGl_ev_bindzd2exitzd2zz__evaluatez00));
																																																	{	/* Eval/evaluate.scm 283 */
																																																		BgL_objectz00_bglt
																																																			BgL_auxz00_28294;
																																																		BgL_auxz00_28294
																																																			=
																																																			(BgL_objectz00_bglt)
																																																			(BgL_new2182z00_8883);
																																																		BGL_OBJECT_WIDENING_SET
																																																			(BgL_auxz00_28294,
																																																			BFALSE);
																																																	}
																																																	BgL_res7003z00_8887
																																																		=
																																																		BgL_new2182z00_8883;
																																																}
																																																BgL_new2174z00_8882
																																																	=
																																																	BgL_res7003z00_8887;
																																															}
																																															{	/* Eval/evaluate.scm 283 */
																																																BgL_ev_bindzd2exitzd2_bglt
																																																	BgL_res7004z00_8893;
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_ev_bindzd2exitzd2_bglt
																																																		BgL_new2178z00_8888;
																																																	BgL_new2178z00_8888
																																																		=
																																																		BgL_new2174z00_8882;
																																																	{	/* Eval/evaluate.scm 283 */
																																																		BgL_ev_varz00_bglt
																																																			BgL_var2176z00_8891;
																																																		BgL_ev_exprz00_bglt
																																																			BgL_body2177z00_8892;
																																																		BgL_var2176z00_8891
																																																			=
																																																			BgL_varz00_8862;
																																																		BgL_body2177z00_8892
																																																			=
																																																			BgL_body2173z00_8881;
																																																		((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new2178z00_8888))->BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_var2176z00_8891), BUNSPEC);
																																																		((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new2178z00_8888))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2177z00_8892), BUNSPEC);
																																																		BgL_res7004z00_8893
																																																			=
																																																			BgL_new2178z00_8888;
																																																}} BgL_res7004z00_8893;
																																															}
																																															BgL_res7005z00_8894
																																																=
																																																BgL_new2174z00_8882;
																																													}}
																																													return
																																														(obj_t)
																																														(BgL_res7005z00_8894);
																																												}
																																											}
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 283 */
																																										obj_t
																																											BgL_arg3773z00_1874;
																																										obj_t
																																											BgL_arg3774z00_1875;
																																										BgL_arg3773z00_1874
																																											=
																																											CAR
																																											(BgL_ez00_34);
																																										BgL_arg3774z00_1875
																																											=
																																											CDR
																																											(BgL_ez00_34);
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_28302;
																																											{
																																												obj_t
																																													BgL_argsz00_28304;
																																												obj_t
																																													BgL_fz00_28303;
																																												BgL_fz00_28303
																																													=
																																													BgL_arg3773z00_1874;
																																												BgL_argsz00_28304
																																													=
																																													BgL_arg3774z00_1875;
																																												BgL_argsz00_1706
																																													=
																																													BgL_argsz00_28304;
																																												BgL_fz00_1705
																																													=
																																													BgL_fz00_28303;
																																												goto
																																													BgL_tagzd21488zd2_1707;
																																											}
																																											return
																																												(obj_t)
																																												(BgL_auxz00_28302);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 283 */
																																								obj_t
																																									BgL_arg3776z00_1877;
																																								obj_t
																																									BgL_arg3777z00_1878;
																																								BgL_arg3776z00_1877
																																									=
																																									CAR
																																									(BgL_ez00_34);
																																								BgL_arg3777z00_1878
																																									=
																																									CDR
																																									(BgL_ez00_34);
																																								{	/* Eval/evaluate.scm 283 */
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_28308;
																																									{
																																										obj_t
																																											BgL_argsz00_28310;
																																										obj_t
																																											BgL_fz00_28309;
																																										BgL_fz00_28309
																																											=
																																											BgL_arg3776z00_1877;
																																										BgL_argsz00_28310
																																											=
																																											BgL_arg3777z00_1878;
																																										BgL_argsz00_1706
																																											=
																																											BgL_argsz00_28310;
																																										BgL_fz00_1705
																																											=
																																											BgL_fz00_28309;
																																										goto
																																											BgL_tagzd21488zd2_1707;
																																									}
																																									return
																																										(obj_t)
																																										(BgL_auxz00_28308);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 283 */
																																						obj_t
																																							BgL_arg3778z00_1879;
																																						obj_t
																																							BgL_arg3779z00_1880;
																																						BgL_arg3778z00_1879
																																							=
																																							CAR
																																							(BgL_ez00_34);
																																						BgL_arg3779z00_1880
																																							=
																																							CDR
																																							(BgL_ez00_34);
																																						{	/* Eval/evaluate.scm 283 */
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_28314;
																																							{
																																								obj_t
																																									BgL_argsz00_28316;
																																								obj_t
																																									BgL_fz00_28315;
																																								BgL_fz00_28315
																																									=
																																									BgL_arg3778z00_1879;
																																								BgL_argsz00_28316
																																									=
																																									BgL_arg3779z00_1880;
																																								BgL_argsz00_1706
																																									=
																																									BgL_argsz00_28316;
																																								BgL_fz00_1705
																																									=
																																									BgL_fz00_28315;
																																								goto
																																									BgL_tagzd21488zd2_1707;
																																							}
																																							return
																																								(obj_t)
																																								(BgL_auxz00_28314);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 283 */
																																				obj_t
																																					BgL_cdrzd24061zd2_1881;
																																				BgL_cdrzd24061zd2_1881
																																					=
																																					CDR
																																					(BgL_ez00_34);
																																				if ((CAR
																																						(BgL_ez00_34)
																																						==
																																						BGl_symbol8217z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 283 */
																																						if (PAIRP(BgL_cdrzd24061zd2_1881))
																																							{	/* Eval/evaluate.scm 283 */
																																								obj_t
																																									BgL_arg3782z00_1884;
																																								obj_t
																																									BgL_arg3783z00_1885;
																																								BgL_arg3782z00_1884
																																									=
																																									CAR
																																									(BgL_cdrzd24061zd2_1881);
																																								BgL_arg3783z00_1885
																																									=
																																									CDR
																																									(BgL_cdrzd24061zd2_1881);
																																								{	/* Eval/evaluate.scm 283 */
																																									obj_t
																																										BgL_arg4149z00_8908;
																																									obj_t
																																										BgL_arg4150z00_8909;
																																									BgL_arg4149z00_8908
																																										=
																																										BGl_uconvz00zz__evaluatez00
																																										(BgL_wherez00_38,
																																										BgL_globalsz00_36,
																																										BgL_localsz00_35,
																																										BgL_locz00_39,
																																										BgL_arg3782z00_1884);
																																									BgL_arg4150z00_8909
																																										=
																																										BGl_convzd2beginzd2zz__evaluatez00
																																										(BgL_arg3783z00_1885,
																																										BgL_localsz00_35,
																																										BgL_globalsz00_36,
																																										((bool_t) 0), BgL_wherez00_38, BgL_locz00_39);
																																									{	/* Eval/evaluate.scm 283 */
																																										BgL_ev_unwindzd2protectzd2_bglt
																																											BgL_res7008z00_8924;
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_exprz00_bglt
																																												BgL_e2200z00_8910;
																																											BgL_ev_exprz00_bglt
																																												BgL_body2201z00_8911;
																																											BgL_e2200z00_8910
																																												=
																																												(BgL_ev_exprz00_bglt)
																																												(BgL_arg4149z00_8908);
																																											BgL_body2201z00_8911
																																												=
																																												(BgL_ev_exprz00_bglt)
																																												(BgL_arg4150z00_8909);
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_unwindzd2protectzd2_bglt
																																													BgL_new2202z00_8912;
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_unwindzd2protectzd2_bglt
																																														BgL_res7006z00_8917;
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_unwindzd2protectzd2_bglt
																																															BgL_new2210z00_8913;
																																														BgL_new2210z00_8913
																																															=
																																															(
																																															(BgL_ev_unwindzd2protectzd2_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_unwindzd2protectzd2_bgl))));
																																														BGL_OBJECT_CLASS_NUM_SET
																																															(
																																															(BgL_objectz00_bglt)
																																															(BgL_new2210z00_8913),
																																															BGl_classzd2numzd2zz__objectz00
																																															(BGl_ev_unwindzd2protectzd2zz__evaluatez00));
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_objectz00_bglt
																																																BgL_auxz00_28334;
																																															BgL_auxz00_28334
																																																=
																																																(BgL_objectz00_bglt)
																																																(BgL_new2210z00_8913);
																																															BGL_OBJECT_WIDENING_SET
																																																(BgL_auxz00_28334,
																																																BFALSE);
																																														}
																																														BgL_res7006z00_8917
																																															=
																																															BgL_new2210z00_8913;
																																													}
																																													BgL_new2202z00_8912
																																														=
																																														BgL_res7006z00_8917;
																																												}
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_unwindzd2protectzd2_bglt
																																														BgL_res7007z00_8923;
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_unwindzd2protectzd2_bglt
																																															BgL_new2206z00_8918;
																																														BgL_new2206z00_8918
																																															=
																																															BgL_new2202z00_8912;
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_exprz00_bglt
																																																BgL_e2204z00_8921;
																																															BgL_ev_exprz00_bglt
																																																BgL_body2205z00_8922;
																																															BgL_e2204z00_8921
																																																=
																																																BgL_e2200z00_8910;
																																															BgL_body2205z00_8922
																																																=
																																																BgL_body2201z00_8911;
																																															((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new2206z00_8918))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2204z00_8921), BUNSPEC);
																																															((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new2206z00_8918))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2205z00_8922), BUNSPEC);
																																															BgL_res7007z00_8923
																																																=
																																																BgL_new2206z00_8918;
																																													}} BgL_res7007z00_8923;
																																												}
																																												BgL_res7008z00_8924
																																													=
																																													BgL_new2202z00_8912;
																																										}}
																																										return
																																											(obj_t)
																																											(BgL_res7008z00_8924);
																																									}
																																								}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 283 */
																																								obj_t
																																									BgL_arg3784z00_1886;
																																								BgL_arg3784z00_1886
																																									=
																																									CAR
																																									(BgL_ez00_34);
																																								{	/* Eval/evaluate.scm 283 */
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_28341;
																																									{
																																										obj_t
																																											BgL_argsz00_28343;
																																										obj_t
																																											BgL_fz00_28342;
																																										BgL_fz00_28342
																																											=
																																											BgL_arg3784z00_1886;
																																										BgL_argsz00_28343
																																											=
																																											BgL_cdrzd24061zd2_1881;
																																										BgL_argsz00_1706
																																											=
																																											BgL_argsz00_28343;
																																										BgL_fz00_1705
																																											=
																																											BgL_fz00_28342;
																																										goto
																																											BgL_tagzd21488zd2_1707;
																																									}
																																									return
																																										(obj_t)
																																										(BgL_auxz00_28341);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 283 */
																																						if (
																																							(CAR
																																								(BgL_ez00_34)
																																								==
																																								BGl_symbol8219z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 283 */
																																								if (PAIRP(BgL_cdrzd24061zd2_1881))
																																									{	/* Eval/evaluate.scm 283 */
																																										obj_t
																																											BgL_arg3788z00_1891;
																																										obj_t
																																											BgL_arg3789z00_1892;
																																										BgL_arg3788z00_1891
																																											=
																																											CAR
																																											(BgL_cdrzd24061zd2_1881);
																																										BgL_arg3789z00_1892
																																											=
																																											CDR
																																											(BgL_cdrzd24061zd2_1881);
																																										{	/* Eval/evaluate.scm 283 */
																																											obj_t
																																												BgL_arg4151z00_8934;
																																											obj_t
																																												BgL_arg4152z00_8935;
																																											BgL_arg4151z00_8934
																																												=
																																												BGl_uconvz00zz__evaluatez00
																																												(BgL_wherez00_38,
																																												BgL_globalsz00_36,
																																												BgL_localsz00_35,
																																												BgL_locz00_39,
																																												BgL_arg3788z00_1891);
																																											BgL_arg4152z00_8935
																																												=
																																												BGl_convzd2beginzd2zz__evaluatez00
																																												(BgL_arg3789z00_1892,
																																												BgL_localsz00_35,
																																												BgL_globalsz00_36,
																																												((bool_t) 0), BgL_wherez00_38, BgL_locz00_39);
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_withzd2handlerzd2_bglt
																																													BgL_res7011z00_8950;
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_exprz00_bglt
																																														BgL_handler2228z00_8936;
																																													BgL_ev_exprz00_bglt
																																														BgL_body2229z00_8937;
																																													BgL_handler2228z00_8936
																																														=
																																														(BgL_ev_exprz00_bglt)
																																														(BgL_arg4151z00_8934);
																																													BgL_body2229z00_8937
																																														=
																																														(BgL_ev_exprz00_bglt)
																																														(BgL_arg4152z00_8935);
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_withzd2handlerzd2_bglt
																																															BgL_new2230z00_8938;
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_withzd2handlerzd2_bglt
																																																BgL_res7009z00_8943;
																																															{	/* Eval/evaluate.scm 283 */
																																																BgL_ev_withzd2handlerzd2_bglt
																																																	BgL_new2238z00_8939;
																																																BgL_new2238z00_8939
																																																	=
																																																	(
																																																	(BgL_ev_withzd2handlerzd2_bglt)
																																																	BREF
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_withzd2handlerzd2_bgl))));
																																																BGL_OBJECT_CLASS_NUM_SET
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	(BgL_new2238z00_8939),
																																																	BGl_classzd2numzd2zz__objectz00
																																																	(BGl_ev_withzd2handlerzd2zz__evaluatez00));
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_objectz00_bglt
																																																		BgL_auxz00_28360;
																																																	BgL_auxz00_28360
																																																		=
																																																		(BgL_objectz00_bglt)
																																																		(BgL_new2238z00_8939);
																																																	BGL_OBJECT_WIDENING_SET
																																																		(BgL_auxz00_28360,
																																																		BFALSE);
																																																}
																																																BgL_res7009z00_8943
																																																	=
																																																	BgL_new2238z00_8939;
																																															}
																																															BgL_new2230z00_8938
																																																=
																																																BgL_res7009z00_8943;
																																														}
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_withzd2handlerzd2_bglt
																																																BgL_res7010z00_8949;
																																															{	/* Eval/evaluate.scm 283 */
																																																BgL_ev_withzd2handlerzd2_bglt
																																																	BgL_new2234z00_8944;
																																																BgL_new2234z00_8944
																																																	=
																																																	BgL_new2230z00_8938;
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_ev_exprz00_bglt
																																																		BgL_handler2232z00_8947;
																																																	BgL_ev_exprz00_bglt
																																																		BgL_body2233z00_8948;
																																																	BgL_handler2232z00_8947
																																																		=
																																																		BgL_handler2228z00_8936;
																																																	BgL_body2233z00_8948
																																																		=
																																																		BgL_body2229z00_8937;
																																																	((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new2234z00_8944))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_handler2232z00_8947), BUNSPEC);
																																																	((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new2234z00_8944))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2233z00_8948), BUNSPEC);
																																																	BgL_res7010z00_8949
																																																		=
																																																		BgL_new2234z00_8944;
																																															}} BgL_res7010z00_8949;
																																														}
																																														BgL_res7011z00_8950
																																															=
																																															BgL_new2230z00_8938;
																																												}}
																																												return
																																													(obj_t)
																																													(BgL_res7011z00_8950);
																																											}
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 283 */
																																										obj_t
																																											BgL_arg3790z00_1893;
																																										obj_t
																																											BgL_arg3791z00_1894;
																																										BgL_arg3790z00_1893
																																											=
																																											CAR
																																											(BgL_ez00_34);
																																										BgL_arg3791z00_1894
																																											=
																																											CDR
																																											(BgL_ez00_34);
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_28368;
																																											{
																																												obj_t
																																													BgL_argsz00_28370;
																																												obj_t
																																													BgL_fz00_28369;
																																												BgL_fz00_28369
																																													=
																																													BgL_arg3790z00_1893;
																																												BgL_argsz00_28370
																																													=
																																													BgL_arg3791z00_1894;
																																												BgL_argsz00_1706
																																													=
																																													BgL_argsz00_28370;
																																												BgL_fz00_1705
																																													=
																																													BgL_fz00_28369;
																																												goto
																																													BgL_tagzd21488zd2_1707;
																																											}
																																											return
																																												(obj_t)
																																												(BgL_auxz00_28368);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 283 */
																																								obj_t
																																									BgL_cdrzd24125zd2_1895;
																																								BgL_cdrzd24125zd2_1895
																																									=
																																									CDR
																																									(BgL_ez00_34);
																																								if ((CAR(BgL_ez00_34) == BGl_symbol8213z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 283 */
																																										if (PAIRP(BgL_cdrzd24125zd2_1895))
																																											{	/* Eval/evaluate.scm 283 */
																																												obj_t
																																													BgL_cdrzd24129zd2_1898;
																																												BgL_cdrzd24129zd2_1898
																																													=
																																													CDR
																																													(BgL_cdrzd24125zd2_1895);
																																												if (PAIRP(BgL_cdrzd24129zd2_1898))
																																													{	/* Eval/evaluate.scm 283 */
																																														if (NULLP(CDR(BgL_cdrzd24129zd2_1898)))
																																															{	/* Eval/evaluate.scm 283 */
																																																obj_t
																																																	BgL_arg3796z00_1901;
																																																obj_t
																																																	BgL_arg3797z00_1902;
																																																BgL_arg3796z00_1901
																																																	=
																																																	CAR
																																																	(BgL_cdrzd24125zd2_1895);
																																																BgL_arg3797z00_1902
																																																	=
																																																	CAR
																																																	(BgL_cdrzd24129zd2_1898);
																																																return
																																																	(obj_t)
																																																	(BGl_convzd2lambdazd2zz__evaluatez00
																																																	(BgL_globalsz00_36,
																																																		BgL_localsz00_35,
																																																		BgL_locz00_39,
																																																		BgL_ez00_34,
																																																		BgL_arg3796z00_1901,
																																																		BgL_arg3797z00_1902,
																																																		BGl_symbol8176z00zz__evaluatez00));
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 283 */
																																																obj_t
																																																	BgL_arg3798z00_1903;
																																																BgL_arg3798z00_1903
																																																	=
																																																	CAR
																																																	(BgL_ez00_34);
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_28389;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_28391;
																																																		obj_t
																																																			BgL_fz00_28390;
																																																		BgL_fz00_28390
																																																			=
																																																			BgL_arg3798z00_1903;
																																																		BgL_argsz00_28391
																																																			=
																																																			BgL_cdrzd24125zd2_1895;
																																																		BgL_argsz00_1706
																																																			=
																																																			BgL_argsz00_28391;
																																																		BgL_fz00_1705
																																																			=
																																																			BgL_fz00_28390;
																																																		goto
																																																			BgL_tagzd21488zd2_1707;
																																																	}
																																																	return
																																																		(obj_t)
																																																		(BgL_auxz00_28389);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 283 */
																																														obj_t
																																															BgL_arg3801z00_1906;
																																														BgL_arg3801z00_1906
																																															=
																																															CAR
																																															(BgL_ez00_34);
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_28394;
																																															{
																																																obj_t
																																																	BgL_argsz00_28396;
																																																obj_t
																																																	BgL_fz00_28395;
																																																BgL_fz00_28395
																																																	=
																																																	BgL_arg3801z00_1906;
																																																BgL_argsz00_28396
																																																	=
																																																	BgL_cdrzd24125zd2_1895;
																																																BgL_argsz00_1706
																																																	=
																																																	BgL_argsz00_28396;
																																																BgL_fz00_1705
																																																	=
																																																	BgL_fz00_28395;
																																																goto
																																																	BgL_tagzd21488zd2_1707;
																																															}
																																															return
																																																(obj_t)
																																																(BgL_auxz00_28394);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 283 */
																																												obj_t
																																													BgL_arg3804z00_1908;
																																												BgL_arg3804z00_1908
																																													=
																																													CAR
																																													(BgL_ez00_34);
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_28399;
																																													{
																																														obj_t
																																															BgL_argsz00_28401;
																																														obj_t
																																															BgL_fz00_28400;
																																														BgL_fz00_28400
																																															=
																																															BgL_arg3804z00_1908;
																																														BgL_argsz00_28401
																																															=
																																															BgL_cdrzd24125zd2_1895;
																																														BgL_argsz00_1706
																																															=
																																															BgL_argsz00_28401;
																																														BgL_fz00_1705
																																															=
																																															BgL_fz00_28400;
																																														goto
																																															BgL_tagzd21488zd2_1707;
																																													}
																																													return
																																														(obj_t)
																																														(BgL_auxz00_28399);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 283 */
																																										obj_t
																																											BgL_arg3806z00_1910;
																																										BgL_arg3806z00_1910
																																											=
																																											CAR
																																											(BgL_ez00_34);
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_28404;
																																											{
																																												obj_t
																																													BgL_argsz00_28406;
																																												obj_t
																																													BgL_fz00_28405;
																																												BgL_fz00_28405
																																													=
																																													BgL_arg3806z00_1910;
																																												BgL_argsz00_28406
																																													=
																																													BgL_cdrzd24125zd2_1895;
																																												BgL_argsz00_1706
																																													=
																																													BgL_argsz00_28406;
																																												BgL_fz00_1705
																																													=
																																													BgL_fz00_28405;
																																												goto
																																													BgL_tagzd21488zd2_1707;
																																											}
																																											return
																																												(obj_t)
																																												(BgL_auxz00_28404);
																																										}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Eval/evaluate.scm 283 */
										obj_t BgL_cdrzd24182zd2_1943;

										BgL_cdrzd24182zd2_1943 = CDR(BgL_ez00_34);
										if (
											(BgL_carzd21546zd2_1713 ==
												BGl_symbol8191z00zz__evaluatez00))
											{	/* Eval/evaluate.scm 283 */
												if (PAIRP(BgL_cdrzd24182zd2_1943))
													{	/* Eval/evaluate.scm 283 */
														if (NULLP(CDR(BgL_cdrzd24182zd2_1943)))
															{	/* Eval/evaluate.scm 283 */
																obj_t BgL_arg3841z00_1947;

																BgL_arg3841z00_1947 =
																	CAR(BgL_cdrzd24182zd2_1943);
																{	/* Eval/evaluate.scm 283 */
																	obj_t BgL_arg4052z00_8979;

																	BgL_arg4052z00_8979 =
																		BGl_uconvz00zz__evaluatez00(BgL_wherez00_38,
																		BgL_globalsz00_36, BgL_localsz00_35,
																		BgL_locz00_39, BgL_arg3841z00_1947);
																	{	/* Eval/evaluate.scm 283 */
																		BgL_ev_trapz00_bglt BgL_res7014z00_8991;

																		{	/* Eval/evaluate.scm 283 */
																			BgL_ev_exprz00_bglt BgL_e2047z00_8980;

																			BgL_e2047z00_8980 =
																				(BgL_ev_exprz00_bglt)
																				(BgL_arg4052z00_8979);
																			{	/* Eval/evaluate.scm 283 */
																				BgL_ev_trapz00_bglt BgL_new2048z00_8981;

																				{	/* Eval/evaluate.scm 283 */
																					BgL_ev_trapz00_bglt
																						BgL_res7012z00_8986;
																					{	/* Eval/evaluate.scm 283 */
																						BgL_ev_trapz00_bglt
																							BgL_new2054z00_8982;
																						BgL_new2054z00_8982 =
																							((BgL_ev_trapz00_bglt)
																							BREF(GC_MALLOC(sizeof(struct
																										BgL_ev_trapz00_bgl))));
																						BGL_OBJECT_CLASS_NUM_SET(
																							(BgL_objectz00_bglt)
																							(BgL_new2054z00_8982),
																							BGl_classzd2numzd2zz__objectz00
																							(BGl_ev_trapz00zz__evaluatez00));
																						{	/* Eval/evaluate.scm 283 */
																							BgL_objectz00_bglt
																								BgL_auxz00_28423;
																							BgL_auxz00_28423 =
																								(BgL_objectz00_bglt)
																								(BgL_new2054z00_8982);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_auxz00_28423, BFALSE);
																						}
																						BgL_res7012z00_8986 =
																							BgL_new2054z00_8982;
																					}
																					BgL_new2048z00_8981 =
																						BgL_res7012z00_8986;
																				}
																				{	/* Eval/evaluate.scm 283 */
																					BgL_ev_trapz00_bglt
																						BgL_res7013z00_8990;
																					{	/* Eval/evaluate.scm 283 */
																						BgL_ev_trapz00_bglt
																							BgL_new2051z00_8987;
																						BgL_new2051z00_8987 =
																							BgL_new2048z00_8981;
																						{	/* Eval/evaluate.scm 283 */
																							BgL_ev_exprz00_bglt
																								BgL_e2050z00_8989;
																							BgL_e2050z00_8989 =
																								BgL_e2047z00_8980;
																							((((BgL_ev_trapz00_bglt)
																										CREF(BgL_new2051z00_8987))->
																									BgL_ez00) =
																								((BgL_ev_exprz00_bglt)
																									BgL_e2050z00_8989), BUNSPEC);
																							BgL_res7013z00_8990 =
																								BgL_new2051z00_8987;
																					}} BgL_res7013z00_8990;
																				}
																				BgL_res7014z00_8991 =
																					BgL_new2048z00_8981;
																		}}
																		return (obj_t) (BgL_res7014z00_8991);
																	}
																}
															}
														else
															{	/* Eval/evaluate.scm 283 */
																obj_t BgL_arg3842z00_1948;

																obj_t BgL_arg3843z00_1949;

																BgL_arg3842z00_1948 = CAR(BgL_ez00_34);
																BgL_arg3843z00_1949 = CDR(BgL_ez00_34);
																{	/* Eval/evaluate.scm 283 */
																	BgL_ev_appz00_bglt BgL_auxz00_28430;

																	{
																		obj_t BgL_argsz00_28432;

																		obj_t BgL_fz00_28431;

																		BgL_fz00_28431 = BgL_arg3842z00_1948;
																		BgL_argsz00_28432 = BgL_arg3843z00_1949;
																		BgL_argsz00_1706 = BgL_argsz00_28432;
																		BgL_fz00_1705 = BgL_fz00_28431;
																		goto BgL_tagzd21488zd2_1707;
																	}
																	return (obj_t) (BgL_auxz00_28430);
																}
															}
													}
												else
													{	/* Eval/evaluate.scm 283 */
														obj_t BgL_arg3845z00_1951;

														obj_t BgL_arg3846z00_1952;

														BgL_arg3845z00_1951 = CAR(BgL_ez00_34);
														BgL_arg3846z00_1952 = CDR(BgL_ez00_34);
														{	/* Eval/evaluate.scm 283 */
															BgL_ev_appz00_bglt BgL_auxz00_28436;

															{
																obj_t BgL_argsz00_28438;

																obj_t BgL_fz00_28437;

																BgL_fz00_28437 = BgL_arg3845z00_1951;
																BgL_argsz00_28438 = BgL_arg3846z00_1952;
																BgL_argsz00_1706 = BgL_argsz00_28438;
																BgL_fz00_1705 = BgL_fz00_28437;
																goto BgL_tagzd21488zd2_1707;
															}
															return (obj_t) (BgL_auxz00_28436);
														}
													}
											}
										else
											{	/* Eval/evaluate.scm 283 */
												obj_t BgL_cdrzd24550zd2_1953;

												BgL_cdrzd24550zd2_1953 = CDR(BgL_ez00_34);
												if (
													(CAR(BgL_ez00_34) ==
														BGl_symbol8193z00zz__evaluatez00))
													{	/* Eval/evaluate.scm 283 */
														if (PAIRP(BgL_cdrzd24550zd2_1953))
															{	/* Eval/evaluate.scm 283 */
																if (NULLP(CDR(BgL_cdrzd24550zd2_1953)))
																	{	/* Eval/evaluate.scm 283 */
																		obj_t BgL_arg3850z00_1957;

																		BgL_arg3850z00_1957 =
																			CAR(BgL_cdrzd24550zd2_1953);
																		{	/* Eval/evaluate.scm 283 */
																			BgL_ev_littz00_bglt BgL_res7017z00_9014;

																			{	/* Eval/evaluate.scm 283 */
																				BgL_ev_littz00_bglt BgL_new1892z00_9004;

																				{	/* Eval/evaluate.scm 283 */
																					BgL_ev_littz00_bglt
																						BgL_res7015z00_9009;
																					{	/* Eval/evaluate.scm 283 */
																						BgL_ev_littz00_bglt
																							BgL_new1898z00_9005;
																						BgL_new1898z00_9005 =
																							((BgL_ev_littz00_bglt)
																							BREF(GC_MALLOC(sizeof(struct
																										BgL_ev_littz00_bgl))));
																						BGL_OBJECT_CLASS_NUM_SET(
																							(BgL_objectz00_bglt)
																							(BgL_new1898z00_9005),
																							BGl_classzd2numzd2zz__objectz00
																							(BGl_ev_littz00zz__evaluatez00));
																						{	/* Eval/evaluate.scm 283 */
																							BgL_objectz00_bglt
																								BgL_auxz00_28454;
																							BgL_auxz00_28454 =
																								(BgL_objectz00_bglt)
																								(BgL_new1898z00_9005);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_auxz00_28454, BFALSE);
																						}
																						BgL_res7015z00_9009 =
																							BgL_new1898z00_9005;
																					}
																					BgL_new1892z00_9004 =
																						BgL_res7015z00_9009;
																				}
																				{	/* Eval/evaluate.scm 283 */
																					BgL_ev_littz00_bglt
																						BgL_res7016z00_9013;
																					{	/* Eval/evaluate.scm 283 */
																						BgL_ev_littz00_bglt
																							BgL_new1895z00_9010;
																						BgL_new1895z00_9010 =
																							BgL_new1892z00_9004;
																						{	/* Eval/evaluate.scm 283 */
																							obj_t BgL_value1894z00_9012;

																							BgL_value1894z00_9012 =
																								BgL_arg3850z00_1957;
																							((((BgL_ev_littz00_bglt)
																										CREF(BgL_new1895z00_9010))->
																									BgL_valuez00) =
																								((obj_t) BgL_value1894z00_9012),
																								BUNSPEC);
																							BgL_res7016z00_9013 =
																								BgL_new1895z00_9010;
																					}} BgL_res7016z00_9013;
																				}
																				BgL_res7017z00_9014 =
																					BgL_new1892z00_9004;
																			}
																			return (obj_t) (BgL_res7017z00_9014);
																		}
																	}
																else
																	{	/* Eval/evaluate.scm 283 */
																		obj_t BgL_arg3851z00_1958;

																		BgL_arg3851z00_1958 = CAR(BgL_ez00_34);
																		{	/* Eval/evaluate.scm 283 */
																			BgL_ev_appz00_bglt BgL_auxz00_28460;

																			{
																				obj_t BgL_argsz00_28462;

																				obj_t BgL_fz00_28461;

																				BgL_fz00_28461 = BgL_arg3851z00_1958;
																				BgL_argsz00_28462 =
																					BgL_cdrzd24550zd2_1953;
																				BgL_argsz00_1706 = BgL_argsz00_28462;
																				BgL_fz00_1705 = BgL_fz00_28461;
																				goto BgL_tagzd21488zd2_1707;
																			}
																			return (obj_t) (BgL_auxz00_28460);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 283 */
																obj_t BgL_arg3854z00_1961;

																BgL_arg3854z00_1961 = CAR(BgL_ez00_34);
																{	/* Eval/evaluate.scm 283 */
																	BgL_ev_appz00_bglt BgL_auxz00_28465;

																	{
																		obj_t BgL_argsz00_28467;

																		obj_t BgL_fz00_28466;

																		BgL_fz00_28466 = BgL_arg3854z00_1961;
																		BgL_argsz00_28467 = BgL_cdrzd24550zd2_1953;
																		BgL_argsz00_1706 = BgL_argsz00_28467;
																		BgL_fz00_1705 = BgL_fz00_28466;
																		goto BgL_tagzd21488zd2_1707;
																	}
																	return (obj_t) (BgL_auxz00_28465);
																}
															}
													}
												else
													{	/* Eval/evaluate.scm 283 */
														if (
															(CAR(BgL_ez00_34) ==
																BGl_symbol8195z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 283 */
																if (PAIRP(BgL_cdrzd24550zd2_1953))
																	{	/* Eval/evaluate.scm 283 */
																		obj_t BgL_cdrzd24897zd2_1966;

																		BgL_cdrzd24897zd2_1966 =
																			CDR(BgL_cdrzd24550zd2_1953);
																		if (PAIRP(BgL_cdrzd24897zd2_1966))
																			{	/* Eval/evaluate.scm 283 */
																				obj_t BgL_cdrzd24902zd2_1968;

																				BgL_cdrzd24902zd2_1968 =
																					CDR(BgL_cdrzd24897zd2_1966);
																				if (PAIRP(BgL_cdrzd24902zd2_1968))
																					{	/* Eval/evaluate.scm 283 */
																						if (NULLP(CDR
																								(BgL_cdrzd24902zd2_1968)))
																							{	/* Eval/evaluate.scm 283 */
																								obj_t BgL_arg3861z00_1971;

																								obj_t BgL_arg3862z00_1972;

																								obj_t BgL_arg3863z00_1973;

																								BgL_arg3861z00_1971 =
																									CAR(BgL_cdrzd24550zd2_1953);
																								BgL_arg3862z00_1972 =
																									CAR(BgL_cdrzd24897zd2_1966);
																								BgL_arg3863z00_1973 =
																									CAR(BgL_cdrzd24902zd2_1968);
																								{	/* Eval/evaluate.scm 283 */
																									obj_t BgL_arg4053z00_9034;

																									obj_t BgL_arg4054z00_9035;

																									obj_t BgL_arg4055z00_9036;

																									BgL_arg4053z00_9034 =
																										BGl_uconvz00zz__evaluatez00
																										(BgL_wherez00_38,
																										BgL_globalsz00_36,
																										BgL_localsz00_35,
																										BgL_locz00_39,
																										BgL_arg3861z00_1971);
																									BgL_arg4054z00_9035 =
																										BGl_rconvz00zz__evaluatez00
																										(BgL_wherez00_38,
																										BgL_tailzf3zf3_37,
																										BgL_globalsz00_36,
																										BgL_localsz00_35,
																										BgL_locz00_39,
																										BgL_arg3862z00_1972);
																									BgL_arg4055z00_9036 =
																										BGl_rconvz00zz__evaluatez00
																										(BgL_wherez00_38,
																										BgL_tailzf3zf3_37,
																										BgL_globalsz00_36,
																										BgL_localsz00_35,
																										BgL_locz00_39,
																										BgL_arg3863z00_1973);
																									{	/* Eval/evaluate.scm 283 */
																										BgL_ev_ifz00_bglt
																											BgL_res7020z00_9054;
																										{	/* Eval/evaluate.scm 283 */
																											BgL_ev_exprz00_bglt
																												BgL_p1915z00_9037;
																											BgL_ev_exprz00_bglt
																												BgL_t1916z00_9038;
																											BgL_ev_exprz00_bglt
																												BgL_e1917z00_9039;
																											BgL_p1915z00_9037 =
																												(BgL_ev_exprz00_bglt)
																												(BgL_arg4053z00_9034);
																											BgL_t1916z00_9038 =
																												(BgL_ev_exprz00_bglt)
																												(BgL_arg4054z00_9035);
																											BgL_e1917z00_9039 =
																												(BgL_ev_exprz00_bglt)
																												(BgL_arg4055z00_9036);
																											{	/* Eval/evaluate.scm 283 */
																												BgL_ev_ifz00_bglt
																													BgL_new1918z00_9040;
																												{	/* Eval/evaluate.scm 283 */
																													BgL_ev_ifz00_bglt
																														BgL_res7018z00_9045;
																													{	/* Eval/evaluate.scm 283 */
																														BgL_ev_ifz00_bglt
																															BgL_new1928z00_9041;
																														BgL_new1928z00_9041
																															=
																															(
																															(BgL_ev_ifz00_bglt)
																															BREF(GC_MALLOC
																																(sizeof(struct
																																		BgL_ev_ifz00_bgl))));
																														BGL_OBJECT_CLASS_NUM_SET
																															(
																															(BgL_objectz00_bglt)
																															(BgL_new1928z00_9041),
																															BGl_classzd2numzd2zz__objectz00
																															(BGl_ev_ifz00zz__evaluatez00));
																														{	/* Eval/evaluate.scm 283 */
																															BgL_objectz00_bglt
																																BgL_auxz00_28496;
																															BgL_auxz00_28496 =
																																(BgL_objectz00_bglt)
																																(BgL_new1928z00_9041);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_auxz00_28496,
																																BFALSE);
																														}
																														BgL_res7018z00_9045
																															=
																															BgL_new1928z00_9041;
																													}
																													BgL_new1918z00_9040 =
																														BgL_res7018z00_9045;
																												}
																												{	/* Eval/evaluate.scm 283 */
																													BgL_ev_ifz00_bglt
																														BgL_res7019z00_9053;
																													{	/* Eval/evaluate.scm 283 */
																														BgL_ev_ifz00_bglt
																															BgL_new1923z00_9046;
																														BgL_new1923z00_9046
																															=
																															BgL_new1918z00_9040;
																														{	/* Eval/evaluate.scm 283 */
																															BgL_ev_exprz00_bglt
																																BgL_p1920z00_9050;
																															BgL_ev_exprz00_bglt
																																BgL_t1921z00_9051;
																															BgL_ev_exprz00_bglt
																																BgL_e1922z00_9052;
																															BgL_p1920z00_9050
																																=
																																BgL_p1915z00_9037;
																															BgL_t1921z00_9051
																																=
																																BgL_t1916z00_9038;
																															BgL_e1922z00_9052
																																=
																																BgL_e1917z00_9039;
																															((((BgL_ev_ifz00_bglt) CREF(BgL_new1923z00_9046))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_p1920z00_9050), BUNSPEC);
																															((((BgL_ev_ifz00_bglt) CREF(BgL_new1923z00_9046))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_t1921z00_9051), BUNSPEC);
																															((((BgL_ev_ifz00_bglt) CREF(BgL_new1923z00_9046))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e1922z00_9052), BUNSPEC);
																															BgL_res7019z00_9053
																																=
																																BgL_new1923z00_9046;
																													}} BgL_res7019z00_9053;
																												}
																												BgL_res7020z00_9054 =
																													BgL_new1918z00_9040;
																										}}
																										return
																											(obj_t)
																											(BgL_res7020z00_9054);
																									}
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 283 */
																								obj_t BgL_arg3864z00_1974;

																								obj_t BgL_arg3865z00_1975;

																								BgL_arg3864z00_1974 =
																									CAR(BgL_ez00_34);
																								BgL_arg3865z00_1975 =
																									CDR(BgL_ez00_34);
																								{	/* Eval/evaluate.scm 283 */
																									BgL_ev_appz00_bglt
																										BgL_auxz00_28505;
																									{
																										obj_t BgL_argsz00_28507;

																										obj_t BgL_fz00_28506;

																										BgL_fz00_28506 =
																											BgL_arg3864z00_1974;
																										BgL_argsz00_28507 =
																											BgL_arg3865z00_1975;
																										BgL_argsz00_1706 =
																											BgL_argsz00_28507;
																										BgL_fz00_1705 =
																											BgL_fz00_28506;
																										goto BgL_tagzd21488zd2_1707;
																									}
																									return
																										(obj_t) (BgL_auxz00_28505);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 283 */
																						obj_t BgL_arg3867z00_1977;

																						obj_t BgL_arg3868z00_1978;

																						BgL_arg3867z00_1977 =
																							CAR(BgL_ez00_34);
																						BgL_arg3868z00_1978 =
																							CDR(BgL_ez00_34);
																						{	/* Eval/evaluate.scm 283 */
																							BgL_ev_appz00_bglt
																								BgL_auxz00_28511;
																							{
																								obj_t BgL_argsz00_28513;

																								obj_t BgL_fz00_28512;

																								BgL_fz00_28512 =
																									BgL_arg3867z00_1977;
																								BgL_argsz00_28513 =
																									BgL_arg3868z00_1978;
																								BgL_argsz00_1706 =
																									BgL_argsz00_28513;
																								BgL_fz00_1705 = BgL_fz00_28512;
																								goto BgL_tagzd21488zd2_1707;
																							}
																							return (obj_t) (BgL_auxz00_28511);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 283 */
																				obj_t BgL_arg3869z00_1979;

																				obj_t BgL_arg3870z00_1980;

																				BgL_arg3869z00_1979 = CAR(BgL_ez00_34);
																				BgL_arg3870z00_1980 = CDR(BgL_ez00_34);
																				{	/* Eval/evaluate.scm 283 */
																					BgL_ev_appz00_bglt BgL_auxz00_28517;

																					{
																						obj_t BgL_argsz00_28519;

																						obj_t BgL_fz00_28518;

																						BgL_fz00_28518 =
																							BgL_arg3869z00_1979;
																						BgL_argsz00_28519 =
																							BgL_arg3870z00_1980;
																						BgL_argsz00_1706 =
																							BgL_argsz00_28519;
																						BgL_fz00_1705 = BgL_fz00_28518;
																						goto BgL_tagzd21488zd2_1707;
																					}
																					return (obj_t) (BgL_auxz00_28517);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 283 */
																		obj_t BgL_arg3871z00_1981;

																		obj_t BgL_arg3872z00_1982;

																		BgL_arg3871z00_1981 = CAR(BgL_ez00_34);
																		BgL_arg3872z00_1982 = CDR(BgL_ez00_34);
																		{	/* Eval/evaluate.scm 283 */
																			BgL_ev_appz00_bglt BgL_auxz00_28523;

																			{
																				obj_t BgL_argsz00_28525;

																				obj_t BgL_fz00_28524;

																				BgL_fz00_28524 = BgL_arg3871z00_1981;
																				BgL_argsz00_28525 = BgL_arg3872z00_1982;
																				BgL_argsz00_1706 = BgL_argsz00_28525;
																				BgL_fz00_1705 = BgL_fz00_28524;
																				goto BgL_tagzd21488zd2_1707;
																			}
																			return (obj_t) (BgL_auxz00_28523);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 283 */
																if (
																	(CAR(BgL_ez00_34) ==
																		BGl_symbol8197z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 283 */
																		obj_t BgL_arg3874z00_1984;

																		BgL_arg3874z00_1984 = CDR(BgL_ez00_34);
																		{	/* Eval/evaluate.scm 283 */
																			BgL_ev_orz00_bglt BgL_auxz00_28531;

																			{
																				obj_t BgL_argsz00_28532;

																				BgL_argsz00_28532 = BgL_arg3874z00_1984;
																				BgL_argsz00_1668 = BgL_argsz00_28532;
																				goto BgL_tagzd21475zd2_1669;
																			}
																			return (obj_t) (BgL_auxz00_28531);
																		}
																	}
																else
																	{	/* Eval/evaluate.scm 283 */
																		if (
																			(CAR(BgL_ez00_34) ==
																				BGl_symbol8199z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 283 */
																				obj_t BgL_arg3876z00_1986;

																				BgL_arg3876z00_1986 = CDR(BgL_ez00_34);
																				{	/* Eval/evaluate.scm 283 */
																					BgL_ev_andz00_bglt BgL_auxz00_28538;

																					{
																						obj_t BgL_argsz00_28539;

																						BgL_argsz00_28539 =
																							BgL_arg3876z00_1986;
																						BgL_argsz00_1670 =
																							BgL_argsz00_28539;
																						goto BgL_tagzd21476zd2_1671;
																					}
																					return (obj_t) (BgL_auxz00_28538);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 283 */
																				if (
																					(CAR(BgL_ez00_34) ==
																						BGl_symbol8201z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 283 */
																						return
																							BGl_convzd2beginzd2zz__evaluatez00
																							(CDR(BgL_ez00_34),
																							BgL_localsz00_35,
																							BgL_globalsz00_36,
																							BgL_tailzf3zf3_37,
																							BgL_wherez00_38, BgL_locz00_39);
																					}
																				else
																					{	/* Eval/evaluate.scm 283 */
																						obj_t BgL_cdrzd25542zd2_1989;

																						BgL_cdrzd25542zd2_1989 =
																							CDR(BgL_ez00_34);
																						if (
																							(CAR(BgL_ez00_34) ==
																								BGl_symbol8203z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 283 */
																								if (PAIRP
																									(BgL_cdrzd25542zd2_1989))
																									{	/* Eval/evaluate.scm 283 */
																										obj_t BgL_arg3881z00_1992;

																										obj_t BgL_arg3882z00_1993;

																										BgL_arg3881z00_1992 =
																											CAR
																											(BgL_cdrzd25542zd2_1989);
																										BgL_arg3882z00_1993 =
																											CDR
																											(BgL_cdrzd25542zd2_1989);
																										{	/* Eval/evaluate.scm 283 */
																											BgL_ev_letz00_bglt
																												BgL_auxz00_28554;
																											{
																												obj_t BgL_bodyz00_28556;

																												obj_t
																													BgL_bindsz00_28555;
																												BgL_bindsz00_28555 =
																													BgL_arg3881z00_1992;
																												BgL_bodyz00_28556 =
																													BgL_arg3882z00_1993;
																												BgL_bodyz00_1675 =
																													BgL_bodyz00_28556;
																												BgL_bindsz00_1674 =
																													BgL_bindsz00_28555;
																												goto
																													BgL_tagzd21478zd2_1676;
																											}
																											return
																												(obj_t)
																												(BgL_auxz00_28554);
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 283 */
																										obj_t BgL_arg3883z00_1994;

																										BgL_arg3883z00_1994 =
																											CAR(BgL_ez00_34);
																										{	/* Eval/evaluate.scm 283 */
																											BgL_ev_appz00_bglt
																												BgL_auxz00_28559;
																											{
																												obj_t BgL_argsz00_28561;

																												obj_t BgL_fz00_28560;

																												BgL_fz00_28560 =
																													BgL_arg3883z00_1994;
																												BgL_argsz00_28561 =
																													BgL_cdrzd25542zd2_1989;
																												BgL_argsz00_1706 =
																													BgL_argsz00_28561;
																												BgL_fz00_1705 =
																													BgL_fz00_28560;
																												goto
																													BgL_tagzd21488zd2_1707;
																											}
																											return
																												(obj_t)
																												(BgL_auxz00_28559);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 283 */
																								if (
																									(CAR(BgL_ez00_34) ==
																										BGl_symbol8205z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 283 */
																										if (PAIRP
																											(BgL_cdrzd25542zd2_1989))
																											{	/* Eval/evaluate.scm 283 */
																												obj_t
																													BgL_arg3887z00_1999;
																												obj_t
																													BgL_arg3888z00_2000;
																												BgL_arg3887z00_1999 =
																													CAR
																													(BgL_cdrzd25542zd2_1989);
																												BgL_arg3888z00_2000 =
																													CDR
																													(BgL_cdrzd25542zd2_1989);
																												{	/* Eval/evaluate.scm 283 */
																													BgL_ev_letza2za2_bglt
																														BgL_auxz00_28570;
																													{
																														obj_t
																															BgL_bodyz00_28572;
																														obj_t
																															BgL_bindsz00_28571;
																														BgL_bindsz00_28571 =
																															BgL_arg3887z00_1999;
																														BgL_bodyz00_28572 =
																															BgL_arg3888z00_2000;
																														BgL_bodyz00_1678 =
																															BgL_bodyz00_28572;
																														BgL_bindsz00_1677 =
																															BgL_bindsz00_28571;
																														goto
																															BgL_tagzd21479zd2_1679;
																													}
																													return
																														(obj_t)
																														(BgL_auxz00_28570);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 283 */
																												obj_t
																													BgL_arg3889z00_2001;
																												obj_t
																													BgL_arg3890z00_2002;
																												BgL_arg3889z00_2001 =
																													CAR(BgL_ez00_34);
																												BgL_arg3890z00_2002 =
																													CDR(BgL_ez00_34);
																												{	/* Eval/evaluate.scm 283 */
																													BgL_ev_appz00_bglt
																														BgL_auxz00_28576;
																													{
																														obj_t
																															BgL_argsz00_28578;
																														obj_t
																															BgL_fz00_28577;
																														BgL_fz00_28577 =
																															BgL_arg3889z00_2001;
																														BgL_argsz00_28578 =
																															BgL_arg3890z00_2002;
																														BgL_argsz00_1706 =
																															BgL_argsz00_28578;
																														BgL_fz00_1705 =
																															BgL_fz00_28577;
																														goto
																															BgL_tagzd21488zd2_1707;
																													}
																													return
																														(obj_t)
																														(BgL_auxz00_28576);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 283 */
																										obj_t
																											BgL_cdrzd25762zd2_2003;
																										BgL_cdrzd25762zd2_2003 =
																											CDR(BgL_ez00_34);
																										if ((CAR(BgL_ez00_34) ==
																												BGl_symbol8207z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 283 */
																												if (PAIRP
																													(BgL_cdrzd25762zd2_2003))
																													{	/* Eval/evaluate.scm 283 */
																														obj_t
																															BgL_arg3893z00_2006;
																														obj_t
																															BgL_arg3894z00_2007;
																														BgL_arg3893z00_2006
																															=
																															CAR
																															(BgL_cdrzd25762zd2_2003);
																														BgL_arg3894z00_2007
																															=
																															CDR
																															(BgL_cdrzd25762zd2_2003);
																														{	/* Eval/evaluate.scm 283 */
																															BgL_ev_letrecz00_bglt
																																BgL_auxz00_28588;
																															{
																																obj_t
																																	BgL_bodyz00_28590;
																																obj_t
																																	BgL_bindsz00_28589;
																																BgL_bindsz00_28589
																																	=
																																	BgL_arg3893z00_2006;
																																BgL_bodyz00_28590
																																	=
																																	BgL_arg3894z00_2007;
																																BgL_bodyz00_1681
																																	=
																																	BgL_bodyz00_28590;
																																BgL_bindsz00_1680
																																	=
																																	BgL_bindsz00_28589;
																																goto
																																	BgL_tagzd21480zd2_1682;
																															}
																															return
																																(obj_t)
																																(BgL_auxz00_28588);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 283 */
																														obj_t
																															BgL_arg3895z00_2008;
																														BgL_arg3895z00_2008
																															=
																															CAR(BgL_ez00_34);
																														{	/* Eval/evaluate.scm 283 */
																															BgL_ev_appz00_bglt
																																BgL_auxz00_28593;
																															{
																																obj_t
																																	BgL_argsz00_28595;
																																obj_t
																																	BgL_fz00_28594;
																																BgL_fz00_28594 =
																																	BgL_arg3895z00_2008;
																																BgL_argsz00_28595
																																	=
																																	BgL_cdrzd25762zd2_2003;
																																BgL_argsz00_1706
																																	=
																																	BgL_argsz00_28595;
																																BgL_fz00_1705 =
																																	BgL_fz00_28594;
																																goto
																																	BgL_tagzd21488zd2_1707;
																															}
																															return
																																(obj_t)
																																(BgL_auxz00_28593);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 283 */
																												if (
																													(CAR(BgL_ez00_34) ==
																														BGl_symbol8209z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 283 */
																														if (PAIRP
																															(BgL_cdrzd25762zd2_2003))
																															{	/* Eval/evaluate.scm 283 */
																																obj_t
																																	BgL_cdrzd25857zd2_2013;
																																BgL_cdrzd25857zd2_2013
																																	=
																																	CDR
																																	(BgL_cdrzd25762zd2_2003);
																																if (PAIRP
																																	(BgL_cdrzd25857zd2_2013))
																																	{	/* Eval/evaluate.scm 283 */
																																		if (NULLP
																																			(CDR
																																				(BgL_cdrzd25857zd2_2013)))
																																			{	/* Eval/evaluate.scm 283 */
																																				obj_t
																																					BgL_arg3901z00_2016;
																																				obj_t
																																					BgL_arg3902z00_2017;
																																				BgL_arg3901z00_2016
																																					=
																																					CAR
																																					(BgL_cdrzd25762zd2_2003);
																																				BgL_arg3902z00_2017
																																					=
																																					CAR
																																					(BgL_cdrzd25857zd2_2013);
																																				{	/* Eval/evaluate.scm 283 */
																																					obj_t
																																						BgL_cvz00_9102;
																																					obj_t
																																						BgL_ez00_9103;
																																					BgL_cvz00_9102
																																						=
																																						BGl_convzd2varzd2zz__evaluatez00
																																						(BgL_arg3901z00_2016,
																																						BgL_localsz00_35);
																																					BgL_ez00_9103
																																						=
																																						BGl_uconvz00zz__evaluatez00
																																						(BgL_wherez00_38,
																																						BgL_globalsz00_36,
																																						BgL_localsz00_35,
																																						BgL_locz00_39,
																																						BgL_arg3902z00_2017);
																																					if (CBOOL(BgL_cvz00_9102))
																																						{	/* Eval/evaluate.scm 283 */
																																							BgL_ev_setlocalz00_bglt
																																								BgL_res7023z00_9120;
																																							{	/* Eval/evaluate.scm 283 */
																																								BgL_ev_exprz00_bglt
																																									BgL_e2068z00_9106;
																																								BgL_ev_varz00_bglt
																																									BgL_v2069z00_9107;
																																								BgL_e2068z00_9106
																																									=
																																									(BgL_ev_exprz00_bglt)
																																									(BgL_ez00_9103);
																																								BgL_v2069z00_9107
																																									=
																																									(BgL_ev_varz00_bglt)
																																									(BgL_cvz00_9102);
																																								{	/* Eval/evaluate.scm 283 */
																																									BgL_ev_setlocalz00_bglt
																																										BgL_new2070z00_9108;
																																									{	/* Eval/evaluate.scm 283 */
																																										BgL_ev_setlocalz00_bglt
																																											BgL_res7021z00_9113;
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_setlocalz00_bglt
																																												BgL_new2078z00_9109;
																																											BgL_new2078z00_9109
																																												=
																																												(
																																												(BgL_ev_setlocalz00_bglt)
																																												BREF
																																												(GC_MALLOC
																																													(sizeof
																																														(struct
																																															BgL_ev_setlocalz00_bgl))));
																																											BGL_OBJECT_CLASS_NUM_SET
																																												(
																																												(BgL_objectz00_bglt)
																																												(BgL_new2078z00_9109),
																																												BGl_classzd2numzd2zz__objectz00
																																												(BGl_ev_setlocalz00zz__evaluatez00));
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_objectz00_bglt
																																													BgL_auxz00_28620;
																																												BgL_auxz00_28620
																																													=
																																													(BgL_objectz00_bglt)
																																													(BgL_new2078z00_9109);
																																												BGL_OBJECT_WIDENING_SET
																																													(BgL_auxz00_28620,
																																													BFALSE);
																																											}
																																											BgL_res7021z00_9113
																																												=
																																												BgL_new2078z00_9109;
																																										}
																																										BgL_new2070z00_9108
																																											=
																																											BgL_res7021z00_9113;
																																									}
																																									{	/* Eval/evaluate.scm 283 */
																																										BgL_ev_setlocalz00_bglt
																																											BgL_res7022z00_9119;
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_setlocalz00_bglt
																																												BgL_new2074z00_9114;
																																											BgL_new2074z00_9114
																																												=
																																												BgL_new2070z00_9108;
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_exprz00_bglt
																																													BgL_e2072z00_9117;
																																												BgL_ev_varz00_bglt
																																													BgL_v2073z00_9118;
																																												BgL_e2072z00_9117
																																													=
																																													BgL_e2068z00_9106;
																																												BgL_v2073z00_9118
																																													=
																																													BgL_v2069z00_9107;
																																												((((BgL_ev_setlocalz00_bglt) CREF(BgL_new2074z00_9114))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2072z00_9117), BUNSPEC);
																																												((((BgL_ev_setlocalz00_bglt) CREF(BgL_new2074z00_9114))->BgL_vz00) = ((BgL_ev_varz00_bglt) BgL_v2073z00_9118), BUNSPEC);
																																												BgL_res7022z00_9119
																																													=
																																													BgL_new2074z00_9114;
																																										}} BgL_res7022z00_9119;
																																									}
																																									BgL_res7023z00_9120
																																										=
																																										BgL_new2070z00_9108;
																																							}}
																																							return
																																								(obj_t)
																																								(BgL_res7023z00_9120);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 283 */
																																							obj_t
																																								BgL_arg4137z00_9104;
																																							if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_36))
																																								{	/* Eval/evaluate.scm 283 */
																																									BgL_arg4137z00_9104
																																										=
																																										BgL_globalsz00_36;
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 283 */
																																									BgL_arg4137z00_9104
																																										=
																																										BGL_MODULE
																																										();
																																								}
																																							{	/* Eval/evaluate.scm 283 */
																																								BgL_ev_setglobalz00_bglt
																																									BgL_res7026z00_9138;
																																								{	/* Eval/evaluate.scm 283 */
																																									BgL_ev_exprz00_bglt
																																										BgL_e2099z00_9121;
																																									obj_t
																																										BgL_name2100z00_9122;
																																									BgL_e2099z00_9121
																																										=
																																										(BgL_ev_exprz00_bglt)
																																										(BgL_ez00_9103);
																																									BgL_name2100z00_9122
																																										=
																																										BgL_arg3901z00_2016;
																																									{	/* Eval/evaluate.scm 283 */
																																										BgL_ev_setglobalz00_bglt
																																											BgL_new2102z00_9124;
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_setglobalz00_bglt
																																												BgL_res7024z00_9129;
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_setglobalz00_bglt
																																													BgL_new2112z00_9125;
																																												BgL_new2112z00_9125
																																													=
																																													(
																																													(BgL_ev_setglobalz00_bglt)
																																													BREF
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_setglobalz00_bgl))));
																																												BGL_OBJECT_CLASS_NUM_SET
																																													(
																																													(BgL_objectz00_bglt)
																																													(BgL_new2112z00_9125),
																																													BGl_classzd2numzd2zz__objectz00
																																													(BGl_ev_setglobalz00zz__evaluatez00));
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_objectz00_bglt
																																														BgL_auxz00_28634;
																																													BgL_auxz00_28634
																																														=
																																														(BgL_objectz00_bglt)
																																														(BgL_new2112z00_9125);
																																													BGL_OBJECT_WIDENING_SET
																																														(BgL_auxz00_28634,
																																														BFALSE);
																																												}
																																												BgL_res7024z00_9129
																																													=
																																													BgL_new2112z00_9125;
																																											}
																																											BgL_new2102z00_9124
																																												=
																																												BgL_res7024z00_9129;
																																										}
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_setglobalz00_bglt
																																												BgL_res7025z00_9137;
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_setglobalz00_bglt
																																													BgL_new2107z00_9130;
																																												BgL_new2107z00_9130
																																													=
																																													BgL_new2102z00_9124;
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_exprz00_bglt
																																														BgL_e2104z00_9134;
																																													obj_t
																																														BgL_name2105z00_9135;
																																													obj_t
																																														BgL_mod2106z00_9136;
																																													BgL_e2104z00_9134
																																														=
																																														BgL_e2099z00_9121;
																																													BgL_name2105z00_9135
																																														=
																																														BgL_name2100z00_9122;
																																													BgL_mod2106z00_9136
																																														=
																																														BgL_arg4137z00_9104;
																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new2107z00_9130))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2104z00_9134), BUNSPEC);
																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new2107z00_9130))->BgL_namez00) = ((obj_t) BgL_name2105z00_9135), BUNSPEC);
																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new2107z00_9130))->BgL_modz00) = ((obj_t) BgL_mod2106z00_9136), BUNSPEC);
																																													BgL_res7025z00_9137
																																														=
																																														BgL_new2107z00_9130;
																																											}} BgL_res7025z00_9137;
																																										}
																																										BgL_res7026z00_9138
																																											=
																																											BgL_new2102z00_9124;
																																								}}
																																								return
																																									(obj_t)
																																									(BgL_res7026z00_9138);
																																							}
																																						}
																																				}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 283 */
																																				obj_t
																																					BgL_arg3903z00_2018;
																																				obj_t
																																					BgL_arg3904z00_2019;
																																				BgL_arg3903z00_2018
																																					=
																																					CAR
																																					(BgL_ez00_34);
																																				BgL_arg3904z00_2019
																																					=
																																					CDR
																																					(BgL_ez00_34);
																																				{	/* Eval/evaluate.scm 283 */
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_28643;
																																					{
																																						obj_t
																																							BgL_argsz00_28645;
																																						obj_t
																																							BgL_fz00_28644;
																																						BgL_fz00_28644
																																							=
																																							BgL_arg3903z00_2018;
																																						BgL_argsz00_28645
																																							=
																																							BgL_arg3904z00_2019;
																																						BgL_argsz00_1706
																																							=
																																							BgL_argsz00_28645;
																																						BgL_fz00_1705
																																							=
																																							BgL_fz00_28644;
																																						goto
																																							BgL_tagzd21488zd2_1707;
																																					}
																																					return
																																						(obj_t)
																																						(BgL_auxz00_28643);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 283 */
																																		obj_t
																																			BgL_arg3906z00_2021;
																																		obj_t
																																			BgL_arg3908z00_2022;
																																		BgL_arg3906z00_2021
																																			=
																																			CAR
																																			(BgL_ez00_34);
																																		BgL_arg3908z00_2022
																																			=
																																			CDR
																																			(BgL_ez00_34);
																																		{	/* Eval/evaluate.scm 283 */
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_28649;
																																			{
																																				obj_t
																																					BgL_argsz00_28651;
																																				obj_t
																																					BgL_fz00_28650;
																																				BgL_fz00_28650
																																					=
																																					BgL_arg3906z00_2021;
																																				BgL_argsz00_28651
																																					=
																																					BgL_arg3908z00_2022;
																																				BgL_argsz00_1706
																																					=
																																					BgL_argsz00_28651;
																																				BgL_fz00_1705
																																					=
																																					BgL_fz00_28650;
																																				goto
																																					BgL_tagzd21488zd2_1707;
																																			}
																																			return
																																				(obj_t)
																																				(BgL_auxz00_28649);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 283 */
																																obj_t
																																	BgL_arg3909z00_2023;
																																obj_t
																																	BgL_arg3910z00_2024;
																																BgL_arg3909z00_2023
																																	=
																																	CAR
																																	(BgL_ez00_34);
																																BgL_arg3910z00_2024
																																	=
																																	CDR
																																	(BgL_ez00_34);
																																{	/* Eval/evaluate.scm 283 */
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_28655;
																																	{
																																		obj_t
																																			BgL_argsz00_28657;
																																		obj_t
																																			BgL_fz00_28656;
																																		BgL_fz00_28656
																																			=
																																			BgL_arg3909z00_2023;
																																		BgL_argsz00_28657
																																			=
																																			BgL_arg3910z00_2024;
																																		BgL_argsz00_1706
																																			=
																																			BgL_argsz00_28657;
																																		BgL_fz00_1705
																																			=
																																			BgL_fz00_28656;
																																		goto
																																			BgL_tagzd21488zd2_1707;
																																	}
																																	return
																																		(obj_t)
																																		(BgL_auxz00_28655);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 283 */
																														obj_t
																															BgL_cdrzd26059zd2_2025;
																														BgL_cdrzd26059zd2_2025
																															=
																															CDR(BgL_ez00_34);
																														if ((CAR
																																(BgL_ez00_34) ==
																																BGl_symbol8211z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 283 */
																																if (PAIRP
																																	(BgL_cdrzd26059zd2_2025))
																																	{	/* Eval/evaluate.scm 283 */
																																		obj_t
																																			BgL_cdrzd26064zd2_2028;
																																		BgL_cdrzd26064zd2_2028
																																			=
																																			CDR
																																			(BgL_cdrzd26059zd2_2025);
																																		if (PAIRP
																																			(BgL_cdrzd26064zd2_2028))
																																			{	/* Eval/evaluate.scm 283 */
																																				obj_t
																																					BgL_carzd26068zd2_2030;
																																				BgL_carzd26068zd2_2030
																																					=
																																					CAR
																																					(BgL_cdrzd26064zd2_2028);
																																				if (PAIRP(BgL_carzd26068zd2_2030))
																																					{	/* Eval/evaluate.scm 283 */
																																						obj_t
																																							BgL_cdrzd26073zd2_2032;
																																						BgL_cdrzd26073zd2_2032
																																							=
																																							CDR
																																							(BgL_carzd26068zd2_2030);
																																						if (
																																							(CAR
																																								(BgL_carzd26068zd2_2030)
																																								==
																																								BGl_symbol8213z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 283 */
																																								if (PAIRP(BgL_cdrzd26073zd2_2032))
																																									{	/* Eval/evaluate.scm 283 */
																																										obj_t
																																											BgL_cdrzd26077zd2_2035;
																																										BgL_cdrzd26077zd2_2035
																																											=
																																											CDR
																																											(BgL_cdrzd26073zd2_2032);
																																										if (PAIRP(BgL_cdrzd26077zd2_2035))
																																											{	/* Eval/evaluate.scm 283 */
																																												if (NULLP(CDR(BgL_cdrzd26077zd2_2035)))
																																													{	/* Eval/evaluate.scm 283 */
																																														if (NULLP(CDR(BgL_cdrzd26064zd2_2028)))
																																															{	/* Eval/evaluate.scm 283 */
																																																obj_t
																																																	BgL_arg3920z00_2039;
																																																obj_t
																																																	BgL_arg3922z00_2040;
																																																obj_t
																																																	BgL_arg3923z00_2041;
																																																BgL_arg3920z00_2039
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26059zd2_2025);
																																																BgL_arg3922z00_2040
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26073zd2_2032);
																																																BgL_arg3923z00_2041
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26077zd2_2035);
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_ev_absz00_bglt
																																																		BgL_arg4139z00_9167;
																																																	obj_t
																																																		BgL_arg4140z00_9168;
																																																	obj_t
																																																		BgL_arg4141z00_9169;
																																																	BgL_arg4139z00_9167
																																																		=
																																																		BGl_convzd2lambdazd2zz__evaluatez00
																																																		(BgL_globalsz00_36,
																																																		BgL_localsz00_35,
																																																		BgL_locz00_39,
																																																		BgL_ez00_34,
																																																		BgL_arg3922z00_2040,
																																																		BgL_arg3923z00_2041,
																																																		BgL_arg3920z00_2039);
																																																	BgL_arg4140z00_9168
																																																		=
																																																		BGl_untypezd2identzd2zz__evcompilez00
																																																		(BgL_arg3920z00_2039);
																																																	if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_36))
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_arg4141z00_9169
																																																				=
																																																				BgL_globalsz00_36;
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_arg4141z00_9169
																																																				=
																																																				BGL_MODULE
																																																				();
																																																		}
																																																	{	/* Eval/evaluate.scm 283 */
																																																		BgL_ev_defglobalz00_bglt
																																																			BgL_res7029z00_9188;
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_ev_exprz00_bglt
																																																				BgL_e2137z00_9171;
																																																			obj_t
																																																				BgL_name2138z00_9172;
																																																			BgL_e2137z00_9171
																																																				=
																																																				(BgL_ev_exprz00_bglt)
																																																				(BgL_arg4139z00_9167);
																																																			BgL_name2138z00_9172
																																																				=
																																																				BgL_arg4140z00_9168;
																																																			{	/* Eval/evaluate.scm 283 */
																																																				BgL_ev_defglobalz00_bglt
																																																					BgL_new2140z00_9174;
																																																				{	/* Eval/evaluate.scm 283 */
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_res7027z00_9179;
																																																					{	/* Eval/evaluate.scm 283 */
																																																						BgL_ev_defglobalz00_bglt
																																																							BgL_new2150z00_9175;
																																																						BgL_new2150z00_9175
																																																							=
																																																							(
																																																							(BgL_ev_defglobalz00_bglt)
																																																							BREF
																																																							(GC_MALLOC
																																																								(sizeof
																																																									(struct
																																																										BgL_ev_defglobalz00_bgl))));
																																																						BGL_OBJECT_CLASS_NUM_SET
																																																							(
																																																							(BgL_objectz00_bglt)
																																																							(BgL_new2150z00_9175),
																																																							BGl_classzd2numzd2zz__objectz00
																																																							(BGl_ev_defglobalz00zz__evaluatez00));
																																																						{	/* Eval/evaluate.scm 283 */
																																																							BgL_objectz00_bglt
																																																								BgL_auxz00_28699;
																																																							BgL_auxz00_28699
																																																								=
																																																								(BgL_objectz00_bglt)
																																																								(BgL_new2150z00_9175);
																																																							BGL_OBJECT_WIDENING_SET
																																																								(BgL_auxz00_28699,
																																																								BFALSE);
																																																						}
																																																						BgL_res7027z00_9179
																																																							=
																																																							BgL_new2150z00_9175;
																																																					}
																																																					BgL_new2140z00_9174
																																																						=
																																																						BgL_res7027z00_9179;
																																																				}
																																																				{	/* Eval/evaluate.scm 283 */
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_res7028z00_9187;
																																																					{	/* Eval/evaluate.scm 283 */
																																																						BgL_ev_defglobalz00_bglt
																																																							BgL_new2145z00_9180;
																																																						BgL_new2145z00_9180
																																																							=
																																																							BgL_new2140z00_9174;
																																																						{	/* Eval/evaluate.scm 283 */
																																																							BgL_ev_exprz00_bglt
																																																								BgL_e2142z00_9184;
																																																							obj_t
																																																								BgL_name2143z00_9185;
																																																							obj_t
																																																								BgL_mod2144z00_9186;
																																																							BgL_e2142z00_9184
																																																								=
																																																								BgL_e2137z00_9171;
																																																							BgL_name2143z00_9185
																																																								=
																																																								BgL_name2138z00_9172;
																																																							BgL_mod2144z00_9186
																																																								=
																																																								BgL_arg4141z00_9169;
																																																							((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9180))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2142z00_9184), BUNSPEC);
																																																							((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9180))->BgL_namez00) = ((obj_t) BgL_name2143z00_9185), BUNSPEC);
																																																							((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9180))->BgL_modz00) = ((obj_t) BgL_mod2144z00_9186), BUNSPEC);
																																																							BgL_res7028z00_9187
																																																								=
																																																								BgL_new2145z00_9180;
																																																					}} BgL_res7028z00_9187;
																																																				}
																																																				BgL_res7029z00_9188
																																																					=
																																																					BgL_new2140z00_9174;
																																																		}}
																																																		return
																																																			(obj_t)
																																																			(BgL_res7029z00_9188);
																																																	}
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 283 */
																																																obj_t
																																																	BgL_arg3924z00_2042;
																																																BgL_arg3924z00_2042
																																																	=
																																																	CAR
																																																	(BgL_ez00_34);
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_28707;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_28709;
																																																		obj_t
																																																			BgL_fz00_28708;
																																																		BgL_fz00_28708
																																																			=
																																																			BgL_arg3924z00_2042;
																																																		BgL_argsz00_28709
																																																			=
																																																			BgL_cdrzd26059zd2_2025;
																																																		BgL_argsz00_1706
																																																			=
																																																			BgL_argsz00_28709;
																																																		BgL_fz00_1705
																																																			=
																																																			BgL_fz00_28708;
																																																		goto
																																																			BgL_tagzd21488zd2_1707;
																																																	}
																																																	return
																																																		(obj_t)
																																																		(BgL_auxz00_28707);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 283 */
																																														obj_t
																																															BgL_cdrzd26151zd2_2046;
																																														BgL_cdrzd26151zd2_2046
																																															=
																																															CDR
																																															(BgL_cdrzd26059zd2_2025);
																																														if (NULLP(CDR(BgL_cdrzd26151zd2_2046)))
																																															{	/* Eval/evaluate.scm 283 */
																																																obj_t
																																																	BgL_arg3928z00_2048;
																																																obj_t
																																																	BgL_arg3929z00_2049;
																																																BgL_arg3928z00_2048
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26059zd2_2025);
																																																BgL_arg3929z00_2049
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26151zd2_2046);
																																																{	/* Eval/evaluate.scm 283 */
																																																	obj_t
																																																		BgL_arg4143z00_9199;
																																																	obj_t
																																																		BgL_arg4144z00_9200;
																																																	obj_t
																																																		BgL_arg4145z00_9201;
																																																	BgL_arg4143z00_9199
																																																		=
																																																		BGl_uconvz00zz__evaluatez00
																																																		(BgL_wherez00_38,
																																																		BgL_globalsz00_36,
																																																		BgL_localsz00_35,
																																																		BgL_locz00_39,
																																																		BgL_arg3929z00_2049);
																																																	BgL_arg4144z00_9200
																																																		=
																																																		BGl_untypezd2identzd2zz__evcompilez00
																																																		(BgL_arg3928z00_2048);
																																																	if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_36))
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_arg4145z00_9201
																																																				=
																																																				BgL_globalsz00_36;
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_arg4145z00_9201
																																																				=
																																																				BGL_MODULE
																																																				();
																																																		}
																																																	{	/* Eval/evaluate.scm 283 */
																																																		BgL_ev_defglobalz00_bglt
																																																			BgL_res7032z00_9220;
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_ev_exprz00_bglt
																																																				BgL_e2137z00_9203;
																																																			obj_t
																																																				BgL_name2138z00_9204;
																																																			BgL_e2137z00_9203
																																																				=
																																																				(BgL_ev_exprz00_bglt)
																																																				(BgL_arg4143z00_9199);
																																																			BgL_name2138z00_9204
																																																				=
																																																				BgL_arg4144z00_9200;
																																																			{	/* Eval/evaluate.scm 283 */
																																																				BgL_ev_defglobalz00_bglt
																																																					BgL_new2140z00_9206;
																																																				{	/* Eval/evaluate.scm 283 */
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_res7030z00_9211;
																																																					{	/* Eval/evaluate.scm 283 */
																																																						BgL_ev_defglobalz00_bglt
																																																							BgL_new2150z00_9207;
																																																						BgL_new2150z00_9207
																																																							=
																																																							(
																																																							(BgL_ev_defglobalz00_bglt)
																																																							BREF
																																																							(GC_MALLOC
																																																								(sizeof
																																																									(struct
																																																										BgL_ev_defglobalz00_bgl))));
																																																						BGL_OBJECT_CLASS_NUM_SET
																																																							(
																																																							(BgL_objectz00_bglt)
																																																							(BgL_new2150z00_9207),
																																																							BGl_classzd2numzd2zz__objectz00
																																																							(BGl_ev_defglobalz00zz__evaluatez00));
																																																						{	/* Eval/evaluate.scm 283 */
																																																							BgL_objectz00_bglt
																																																								BgL_auxz00_28727;
																																																							BgL_auxz00_28727
																																																								=
																																																								(BgL_objectz00_bglt)
																																																								(BgL_new2150z00_9207);
																																																							BGL_OBJECT_WIDENING_SET
																																																								(BgL_auxz00_28727,
																																																								BFALSE);
																																																						}
																																																						BgL_res7030z00_9211
																																																							=
																																																							BgL_new2150z00_9207;
																																																					}
																																																					BgL_new2140z00_9206
																																																						=
																																																						BgL_res7030z00_9211;
																																																				}
																																																				{	/* Eval/evaluate.scm 283 */
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_res7031z00_9219;
																																																					{	/* Eval/evaluate.scm 283 */
																																																						BgL_ev_defglobalz00_bglt
																																																							BgL_new2145z00_9212;
																																																						BgL_new2145z00_9212
																																																							=
																																																							BgL_new2140z00_9206;
																																																						{	/* Eval/evaluate.scm 283 */
																																																							BgL_ev_exprz00_bglt
																																																								BgL_e2142z00_9216;
																																																							obj_t
																																																								BgL_name2143z00_9217;
																																																							obj_t
																																																								BgL_mod2144z00_9218;
																																																							BgL_e2142z00_9216
																																																								=
																																																								BgL_e2137z00_9203;
																																																							BgL_name2143z00_9217
																																																								=
																																																								BgL_name2138z00_9204;
																																																							BgL_mod2144z00_9218
																																																								=
																																																								BgL_arg4145z00_9201;
																																																							((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9212))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2142z00_9216), BUNSPEC);
																																																							((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9212))->BgL_namez00) = ((obj_t) BgL_name2143z00_9217), BUNSPEC);
																																																							((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9212))->BgL_modz00) = ((obj_t) BgL_mod2144z00_9218), BUNSPEC);
																																																							BgL_res7031z00_9219
																																																								=
																																																								BgL_new2145z00_9212;
																																																					}} BgL_res7031z00_9219;
																																																				}
																																																				BgL_res7032z00_9220
																																																					=
																																																					BgL_new2140z00_9206;
																																																		}}
																																																		return
																																																			(obj_t)
																																																			(BgL_res7032z00_9220);
																																																	}
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 283 */
																																																obj_t
																																																	BgL_arg3930z00_2050;
																																																obj_t
																																																	BgL_arg3931z00_2051;
																																																BgL_arg3930z00_2050
																																																	=
																																																	CAR
																																																	(BgL_ez00_34);
																																																BgL_arg3931z00_2051
																																																	=
																																																	CDR
																																																	(BgL_ez00_34);
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_28736;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_28738;
																																																		obj_t
																																																			BgL_fz00_28737;
																																																		BgL_fz00_28737
																																																			=
																																																			BgL_arg3930z00_2050;
																																																		BgL_argsz00_28738
																																																			=
																																																			BgL_arg3931z00_2051;
																																																		BgL_argsz00_1706
																																																			=
																																																			BgL_argsz00_28738;
																																																		BgL_fz00_1705
																																																			=
																																																			BgL_fz00_28737;
																																																		goto
																																																			BgL_tagzd21488zd2_1707;
																																																	}
																																																	return
																																																		(obj_t)
																																																		(BgL_auxz00_28736);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 283 */
																																												obj_t
																																													BgL_cdrzd26214zd2_2055;
																																												BgL_cdrzd26214zd2_2055
																																													=
																																													CDR
																																													(BgL_cdrzd26059zd2_2025);
																																												if (NULLP(CDR(BgL_cdrzd26214zd2_2055)))
																																													{	/* Eval/evaluate.scm 283 */
																																														obj_t
																																															BgL_arg3935z00_2057;
																																														obj_t
																																															BgL_arg3936z00_2058;
																																														BgL_arg3935z00_2057
																																															=
																																															CAR
																																															(BgL_cdrzd26059zd2_2025);
																																														BgL_arg3936z00_2058
																																															=
																																															CAR
																																															(BgL_cdrzd26214zd2_2055);
																																														{	/* Eval/evaluate.scm 283 */
																																															obj_t
																																																BgL_arg4143z00_9231;
																																															obj_t
																																																BgL_arg4144z00_9232;
																																															obj_t
																																																BgL_arg4145z00_9233;
																																															BgL_arg4143z00_9231
																																																=
																																																BGl_uconvz00zz__evaluatez00
																																																(BgL_wherez00_38,
																																																BgL_globalsz00_36,
																																																BgL_localsz00_35,
																																																BgL_locz00_39,
																																																BgL_arg3936z00_2058);
																																															BgL_arg4144z00_9232
																																																=
																																																BGl_untypezd2identzd2zz__evcompilez00
																																																(BgL_arg3935z00_2057);
																																															if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_36))
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_arg4145z00_9233
																																																		=
																																																		BgL_globalsz00_36;
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_arg4145z00_9233
																																																		=
																																																		BGL_MODULE
																																																		();
																																																}
																																															{	/* Eval/evaluate.scm 283 */
																																																BgL_ev_defglobalz00_bglt
																																																	BgL_res7035z00_9252;
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_ev_exprz00_bglt
																																																		BgL_e2137z00_9235;
																																																	obj_t
																																																		BgL_name2138z00_9236;
																																																	BgL_e2137z00_9235
																																																		=
																																																		(BgL_ev_exprz00_bglt)
																																																		(BgL_arg4143z00_9231);
																																																	BgL_name2138z00_9236
																																																		=
																																																		BgL_arg4144z00_9232;
																																																	{	/* Eval/evaluate.scm 283 */
																																																		BgL_ev_defglobalz00_bglt
																																																			BgL_new2140z00_9238;
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_res7033z00_9243;
																																																			{	/* Eval/evaluate.scm 283 */
																																																				BgL_ev_defglobalz00_bglt
																																																					BgL_new2150z00_9239;
																																																				BgL_new2150z00_9239
																																																					=
																																																					(
																																																					(BgL_ev_defglobalz00_bglt)
																																																					BREF
																																																					(GC_MALLOC
																																																						(sizeof
																																																							(struct
																																																								BgL_ev_defglobalz00_bgl))));
																																																				BGL_OBJECT_CLASS_NUM_SET
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					(BgL_new2150z00_9239),
																																																					BGl_classzd2numzd2zz__objectz00
																																																					(BGl_ev_defglobalz00zz__evaluatez00));
																																																				{	/* Eval/evaluate.scm 283 */
																																																					BgL_objectz00_bglt
																																																						BgL_auxz00_28756;
																																																					BgL_auxz00_28756
																																																						=
																																																						(BgL_objectz00_bglt)
																																																						(BgL_new2150z00_9239);
																																																					BGL_OBJECT_WIDENING_SET
																																																						(BgL_auxz00_28756,
																																																						BFALSE);
																																																				}
																																																				BgL_res7033z00_9243
																																																					=
																																																					BgL_new2150z00_9239;
																																																			}
																																																			BgL_new2140z00_9238
																																																				=
																																																				BgL_res7033z00_9243;
																																																		}
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_res7034z00_9251;
																																																			{	/* Eval/evaluate.scm 283 */
																																																				BgL_ev_defglobalz00_bglt
																																																					BgL_new2145z00_9244;
																																																				BgL_new2145z00_9244
																																																					=
																																																					BgL_new2140z00_9238;
																																																				{	/* Eval/evaluate.scm 283 */
																																																					BgL_ev_exprz00_bglt
																																																						BgL_e2142z00_9248;
																																																					obj_t
																																																						BgL_name2143z00_9249;
																																																					obj_t
																																																						BgL_mod2144z00_9250;
																																																					BgL_e2142z00_9248
																																																						=
																																																						BgL_e2137z00_9235;
																																																					BgL_name2143z00_9249
																																																						=
																																																						BgL_name2138z00_9236;
																																																					BgL_mod2144z00_9250
																																																						=
																																																						BgL_arg4145z00_9233;
																																																					((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9244))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2142z00_9248), BUNSPEC);
																																																					((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9244))->BgL_namez00) = ((obj_t) BgL_name2143z00_9249), BUNSPEC);
																																																					((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9244))->BgL_modz00) = ((obj_t) BgL_mod2144z00_9250), BUNSPEC);
																																																					BgL_res7034z00_9251
																																																						=
																																																						BgL_new2145z00_9244;
																																																			}} BgL_res7034z00_9251;
																																																		}
																																																		BgL_res7035z00_9252
																																																			=
																																																			BgL_new2140z00_9238;
																																																}}
																																																return
																																																	(obj_t)
																																																	(BgL_res7035z00_9252);
																																															}
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 283 */
																																														obj_t
																																															BgL_arg3937z00_2059;
																																														obj_t
																																															BgL_arg3938z00_2060;
																																														BgL_arg3937z00_2059
																																															=
																																															CAR
																																															(BgL_ez00_34);
																																														BgL_arg3938z00_2060
																																															=
																																															CDR
																																															(BgL_ez00_34);
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_28765;
																																															{
																																																obj_t
																																																	BgL_argsz00_28767;
																																																obj_t
																																																	BgL_fz00_28766;
																																																BgL_fz00_28766
																																																	=
																																																	BgL_arg3937z00_2059;
																																																BgL_argsz00_28767
																																																	=
																																																	BgL_arg3938z00_2060;
																																																BgL_argsz00_1706
																																																	=
																																																	BgL_argsz00_28767;
																																																BgL_fz00_1705
																																																	=
																																																	BgL_fz00_28766;
																																																goto
																																																	BgL_tagzd21488zd2_1707;
																																															}
																																															return
																																																(obj_t)
																																																(BgL_auxz00_28765);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 283 */
																																										obj_t
																																											BgL_cdrzd26277zd2_2063;
																																										BgL_cdrzd26277zd2_2063
																																											=
																																											CDR
																																											(BgL_cdrzd26059zd2_2025);
																																										if (NULLP(CDR(BgL_cdrzd26277zd2_2063)))
																																											{	/* Eval/evaluate.scm 283 */
																																												obj_t
																																													BgL_arg3941z00_2065;
																																												obj_t
																																													BgL_arg3942z00_2066;
																																												BgL_arg3941z00_2065
																																													=
																																													CAR
																																													(BgL_cdrzd26059zd2_2025);
																																												BgL_arg3942z00_2066
																																													=
																																													CAR
																																													(BgL_cdrzd26277zd2_2063);
																																												{	/* Eval/evaluate.scm 283 */
																																													obj_t
																																														BgL_arg4143z00_9263;
																																													obj_t
																																														BgL_arg4144z00_9264;
																																													obj_t
																																														BgL_arg4145z00_9265;
																																													BgL_arg4143z00_9263
																																														=
																																														BGl_uconvz00zz__evaluatez00
																																														(BgL_wherez00_38,
																																														BgL_globalsz00_36,
																																														BgL_localsz00_35,
																																														BgL_locz00_39,
																																														BgL_arg3942z00_2066);
																																													BgL_arg4144z00_9264
																																														=
																																														BGl_untypezd2identzd2zz__evcompilez00
																																														(BgL_arg3941z00_2065);
																																													if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_36))
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_arg4145z00_9265
																																																=
																																																BgL_globalsz00_36;
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_arg4145z00_9265
																																																=
																																																BGL_MODULE
																																																();
																																														}
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_defglobalz00_bglt
																																															BgL_res7038z00_9284;
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_exprz00_bglt
																																																BgL_e2137z00_9267;
																																															obj_t
																																																BgL_name2138z00_9268;
																																															BgL_e2137z00_9267
																																																=
																																																(BgL_ev_exprz00_bglt)
																																																(BgL_arg4143z00_9263);
																																															BgL_name2138z00_9268
																																																=
																																																BgL_arg4144z00_9264;
																																															{	/* Eval/evaluate.scm 283 */
																																																BgL_ev_defglobalz00_bglt
																																																	BgL_new2140z00_9270;
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_res7036z00_9275;
																																																	{	/* Eval/evaluate.scm 283 */
																																																		BgL_ev_defglobalz00_bglt
																																																			BgL_new2150z00_9271;
																																																		BgL_new2150z00_9271
																																																			=
																																																			(
																																																			(BgL_ev_defglobalz00_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_defglobalz00_bgl))));
																																																		BGL_OBJECT_CLASS_NUM_SET
																																																			(
																																																			(BgL_objectz00_bglt)
																																																			(BgL_new2150z00_9271),
																																																			BGl_classzd2numzd2zz__objectz00
																																																			(BGl_ev_defglobalz00zz__evaluatez00));
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_objectz00_bglt
																																																				BgL_auxz00_28785;
																																																			BgL_auxz00_28785
																																																				=
																																																				(BgL_objectz00_bglt)
																																																				(BgL_new2150z00_9271);
																																																			BGL_OBJECT_WIDENING_SET
																																																				(BgL_auxz00_28785,
																																																				BFALSE);
																																																		}
																																																		BgL_res7036z00_9275
																																																			=
																																																			BgL_new2150z00_9271;
																																																	}
																																																	BgL_new2140z00_9270
																																																		=
																																																		BgL_res7036z00_9275;
																																																}
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_res7037z00_9283;
																																																	{	/* Eval/evaluate.scm 283 */
																																																		BgL_ev_defglobalz00_bglt
																																																			BgL_new2145z00_9276;
																																																		BgL_new2145z00_9276
																																																			=
																																																			BgL_new2140z00_9270;
																																																		{	/* Eval/evaluate.scm 283 */
																																																			BgL_ev_exprz00_bglt
																																																				BgL_e2142z00_9280;
																																																			obj_t
																																																				BgL_name2143z00_9281;
																																																			obj_t
																																																				BgL_mod2144z00_9282;
																																																			BgL_e2142z00_9280
																																																				=
																																																				BgL_e2137z00_9267;
																																																			BgL_name2143z00_9281
																																																				=
																																																				BgL_name2138z00_9268;
																																																			BgL_mod2144z00_9282
																																																				=
																																																				BgL_arg4145z00_9265;
																																																			((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9276))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2142z00_9280), BUNSPEC);
																																																			((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9276))->BgL_namez00) = ((obj_t) BgL_name2143z00_9281), BUNSPEC);
																																																			((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9276))->BgL_modz00) = ((obj_t) BgL_mod2144z00_9282), BUNSPEC);
																																																			BgL_res7037z00_9283
																																																				=
																																																				BgL_new2145z00_9276;
																																																	}} BgL_res7037z00_9283;
																																																}
																																																BgL_res7038z00_9284
																																																	=
																																																	BgL_new2140z00_9270;
																																														}}
																																														return
																																															(obj_t)
																																															(BgL_res7038z00_9284);
																																													}
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 283 */
																																												obj_t
																																													BgL_arg3943z00_2067;
																																												obj_t
																																													BgL_arg3944z00_2068;
																																												BgL_arg3943z00_2067
																																													=
																																													CAR
																																													(BgL_ez00_34);
																																												BgL_arg3944z00_2068
																																													=
																																													CDR
																																													(BgL_ez00_34);
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_28794;
																																													{
																																														obj_t
																																															BgL_argsz00_28796;
																																														obj_t
																																															BgL_fz00_28795;
																																														BgL_fz00_28795
																																															=
																																															BgL_arg3943z00_2067;
																																														BgL_argsz00_28796
																																															=
																																															BgL_arg3944z00_2068;
																																														BgL_argsz00_1706
																																															=
																																															BgL_argsz00_28796;
																																														BgL_fz00_1705
																																															=
																																															BgL_fz00_28795;
																																														goto
																																															BgL_tagzd21488zd2_1707;
																																													}
																																													return
																																														(obj_t)
																																														(BgL_auxz00_28794);
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 283 */
																																								obj_t
																																									BgL_cdrzd26340zd2_2071;
																																								BgL_cdrzd26340zd2_2071
																																									=
																																									CDR
																																									(BgL_cdrzd26059zd2_2025);
																																								if (NULLP(CDR(BgL_cdrzd26340zd2_2071)))
																																									{	/* Eval/evaluate.scm 283 */
																																										obj_t
																																											BgL_arg3947z00_2073;
																																										obj_t
																																											BgL_arg3948z00_2074;
																																										BgL_arg3947z00_2073
																																											=
																																											CAR
																																											(BgL_cdrzd26059zd2_2025);
																																										BgL_arg3948z00_2074
																																											=
																																											CAR
																																											(BgL_cdrzd26340zd2_2071);
																																										{	/* Eval/evaluate.scm 283 */
																																											obj_t
																																												BgL_arg4143z00_9295;
																																											obj_t
																																												BgL_arg4144z00_9296;
																																											obj_t
																																												BgL_arg4145z00_9297;
																																											BgL_arg4143z00_9295
																																												=
																																												BGl_uconvz00zz__evaluatez00
																																												(BgL_wherez00_38,
																																												BgL_globalsz00_36,
																																												BgL_localsz00_35,
																																												BgL_locz00_39,
																																												BgL_arg3948z00_2074);
																																											BgL_arg4144z00_9296
																																												=
																																												BGl_untypezd2identzd2zz__evcompilez00
																																												(BgL_arg3947z00_2073);
																																											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_36))
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_arg4145z00_9297
																																														=
																																														BgL_globalsz00_36;
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_arg4145z00_9297
																																														=
																																														BGL_MODULE
																																														();
																																												}
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_defglobalz00_bglt
																																													BgL_res7041z00_9316;
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_exprz00_bglt
																																														BgL_e2137z00_9299;
																																													obj_t
																																														BgL_name2138z00_9300;
																																													BgL_e2137z00_9299
																																														=
																																														(BgL_ev_exprz00_bglt)
																																														(BgL_arg4143z00_9295);
																																													BgL_name2138z00_9300
																																														=
																																														BgL_arg4144z00_9296;
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_defglobalz00_bglt
																																															BgL_new2140z00_9302;
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_defglobalz00_bglt
																																																BgL_res7039z00_9307;
																																															{	/* Eval/evaluate.scm 283 */
																																																BgL_ev_defglobalz00_bglt
																																																	BgL_new2150z00_9303;
																																																BgL_new2150z00_9303
																																																	=
																																																	(
																																																	(BgL_ev_defglobalz00_bglt)
																																																	BREF
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_defglobalz00_bgl))));
																																																BGL_OBJECT_CLASS_NUM_SET
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	(BgL_new2150z00_9303),
																																																	BGl_classzd2numzd2zz__objectz00
																																																	(BGl_ev_defglobalz00zz__evaluatez00));
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_objectz00_bglt
																																																		BgL_auxz00_28814;
																																																	BgL_auxz00_28814
																																																		=
																																																		(BgL_objectz00_bglt)
																																																		(BgL_new2150z00_9303);
																																																	BGL_OBJECT_WIDENING_SET
																																																		(BgL_auxz00_28814,
																																																		BFALSE);
																																																}
																																																BgL_res7039z00_9307
																																																	=
																																																	BgL_new2150z00_9303;
																																															}
																																															BgL_new2140z00_9302
																																																=
																																																BgL_res7039z00_9307;
																																														}
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_defglobalz00_bglt
																																																BgL_res7040z00_9315;
																																															{	/* Eval/evaluate.scm 283 */
																																																BgL_ev_defglobalz00_bglt
																																																	BgL_new2145z00_9308;
																																																BgL_new2145z00_9308
																																																	=
																																																	BgL_new2140z00_9302;
																																																{	/* Eval/evaluate.scm 283 */
																																																	BgL_ev_exprz00_bglt
																																																		BgL_e2142z00_9312;
																																																	obj_t
																																																		BgL_name2143z00_9313;
																																																	obj_t
																																																		BgL_mod2144z00_9314;
																																																	BgL_e2142z00_9312
																																																		=
																																																		BgL_e2137z00_9299;
																																																	BgL_name2143z00_9313
																																																		=
																																																		BgL_name2138z00_9300;
																																																	BgL_mod2144z00_9314
																																																		=
																																																		BgL_arg4145z00_9297;
																																																	((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9308))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2142z00_9312), BUNSPEC);
																																																	((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9308))->BgL_namez00) = ((obj_t) BgL_name2143z00_9313), BUNSPEC);
																																																	((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9308))->BgL_modz00) = ((obj_t) BgL_mod2144z00_9314), BUNSPEC);
																																																	BgL_res7040z00_9315
																																																		=
																																																		BgL_new2145z00_9308;
																																															}} BgL_res7040z00_9315;
																																														}
																																														BgL_res7041z00_9316
																																															=
																																															BgL_new2140z00_9302;
																																												}}
																																												return
																																													(obj_t)
																																													(BgL_res7041z00_9316);
																																											}
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 283 */
																																										obj_t
																																											BgL_arg3949z00_2075;
																																										obj_t
																																											BgL_arg3950z00_2076;
																																										BgL_arg3949z00_2075
																																											=
																																											CAR
																																											(BgL_ez00_34);
																																										BgL_arg3950z00_2076
																																											=
																																											CDR
																																											(BgL_ez00_34);
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_28823;
																																											{
																																												obj_t
																																													BgL_argsz00_28825;
																																												obj_t
																																													BgL_fz00_28824;
																																												BgL_fz00_28824
																																													=
																																													BgL_arg3949z00_2075;
																																												BgL_argsz00_28825
																																													=
																																													BgL_arg3950z00_2076;
																																												BgL_argsz00_1706
																																													=
																																													BgL_argsz00_28825;
																																												BgL_fz00_1705
																																													=
																																													BgL_fz00_28824;
																																												goto
																																													BgL_tagzd21488zd2_1707;
																																											}
																																											return
																																												(obj_t)
																																												(BgL_auxz00_28823);
																																										}
																																									}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 283 */
																																						obj_t
																																							BgL_cdrzd26403zd2_2081;
																																						BgL_cdrzd26403zd2_2081
																																							=
																																							CDR
																																							(BgL_cdrzd26059zd2_2025);
																																						if (NULLP(CDR(BgL_cdrzd26403zd2_2081)))
																																							{	/* Eval/evaluate.scm 283 */
																																								obj_t
																																									BgL_arg3956z00_2083;
																																								obj_t
																																									BgL_arg3958z00_2084;
																																								BgL_arg3956z00_2083
																																									=
																																									CAR
																																									(BgL_cdrzd26059zd2_2025);
																																								BgL_arg3958z00_2084
																																									=
																																									CAR
																																									(BgL_cdrzd26403zd2_2081);
																																								{	/* Eval/evaluate.scm 283 */
																																									obj_t
																																										BgL_arg4143z00_9327;
																																									obj_t
																																										BgL_arg4144z00_9328;
																																									obj_t
																																										BgL_arg4145z00_9329;
																																									BgL_arg4143z00_9327
																																										=
																																										BGl_uconvz00zz__evaluatez00
																																										(BgL_wherez00_38,
																																										BgL_globalsz00_36,
																																										BgL_localsz00_35,
																																										BgL_locz00_39,
																																										BgL_arg3958z00_2084);
																																									BgL_arg4144z00_9328
																																										=
																																										BGl_untypezd2identzd2zz__evcompilez00
																																										(BgL_arg3956z00_2083);
																																									if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_36))
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_arg4145z00_9329
																																												=
																																												BgL_globalsz00_36;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_arg4145z00_9329
																																												=
																																												BGL_MODULE
																																												();
																																										}
																																									{	/* Eval/evaluate.scm 283 */
																																										BgL_ev_defglobalz00_bglt
																																											BgL_res7044z00_9348;
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_exprz00_bglt
																																												BgL_e2137z00_9331;
																																											obj_t
																																												BgL_name2138z00_9332;
																																											BgL_e2137z00_9331
																																												=
																																												(BgL_ev_exprz00_bglt)
																																												(BgL_arg4143z00_9327);
																																											BgL_name2138z00_9332
																																												=
																																												BgL_arg4144z00_9328;
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_defglobalz00_bglt
																																													BgL_new2140z00_9334;
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_defglobalz00_bglt
																																														BgL_res7042z00_9339;
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_defglobalz00_bglt
																																															BgL_new2150z00_9335;
																																														BgL_new2150z00_9335
																																															=
																																															(
																																															(BgL_ev_defglobalz00_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_defglobalz00_bgl))));
																																														BGL_OBJECT_CLASS_NUM_SET
																																															(
																																															(BgL_objectz00_bglt)
																																															(BgL_new2150z00_9335),
																																															BGl_classzd2numzd2zz__objectz00
																																															(BGl_ev_defglobalz00zz__evaluatez00));
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_objectz00_bglt
																																																BgL_auxz00_28843;
																																															BgL_auxz00_28843
																																																=
																																																(BgL_objectz00_bglt)
																																																(BgL_new2150z00_9335);
																																															BGL_OBJECT_WIDENING_SET
																																																(BgL_auxz00_28843,
																																																BFALSE);
																																														}
																																														BgL_res7042z00_9339
																																															=
																																															BgL_new2150z00_9335;
																																													}
																																													BgL_new2140z00_9334
																																														=
																																														BgL_res7042z00_9339;
																																												}
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_defglobalz00_bglt
																																														BgL_res7043z00_9347;
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_defglobalz00_bglt
																																															BgL_new2145z00_9340;
																																														BgL_new2145z00_9340
																																															=
																																															BgL_new2140z00_9334;
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_exprz00_bglt
																																																BgL_e2142z00_9344;
																																															obj_t
																																																BgL_name2143z00_9345;
																																															obj_t
																																																BgL_mod2144z00_9346;
																																															BgL_e2142z00_9344
																																																=
																																																BgL_e2137z00_9331;
																																															BgL_name2143z00_9345
																																																=
																																																BgL_name2138z00_9332;
																																															BgL_mod2144z00_9346
																																																=
																																																BgL_arg4145z00_9329;
																																															((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9340))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2142z00_9344), BUNSPEC);
																																															((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9340))->BgL_namez00) = ((obj_t) BgL_name2143z00_9345), BUNSPEC);
																																															((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_9340))->BgL_modz00) = ((obj_t) BgL_mod2144z00_9346), BUNSPEC);
																																															BgL_res7043z00_9347
																																																=
																																																BgL_new2145z00_9340;
																																													}} BgL_res7043z00_9347;
																																												}
																																												BgL_res7044z00_9348
																																													=
																																													BgL_new2140z00_9334;
																																										}}
																																										return
																																											(obj_t)
																																											(BgL_res7044z00_9348);
																																									}
																																								}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 283 */
																																								obj_t
																																									BgL_arg3959z00_2085;
																																								obj_t
																																									BgL_arg3960z00_2086;
																																								BgL_arg3959z00_2085
																																									=
																																									CAR
																																									(BgL_ez00_34);
																																								BgL_arg3960z00_2086
																																									=
																																									CDR
																																									(BgL_ez00_34);
																																								{	/* Eval/evaluate.scm 283 */
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_28852;
																																									{
																																										obj_t
																																											BgL_argsz00_28854;
																																										obj_t
																																											BgL_fz00_28853;
																																										BgL_fz00_28853
																																											=
																																											BgL_arg3959z00_2085;
																																										BgL_argsz00_28854
																																											=
																																											BgL_arg3960z00_2086;
																																										BgL_argsz00_1706
																																											=
																																											BgL_argsz00_28854;
																																										BgL_fz00_1705
																																											=
																																											BgL_fz00_28853;
																																										goto
																																											BgL_tagzd21488zd2_1707;
																																									}
																																									return
																																										(obj_t)
																																										(BgL_auxz00_28852);
																																								}
																																							}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 283 */
																																				obj_t
																																					BgL_arg3962z00_2088;
																																				BgL_arg3962z00_2088
																																					=
																																					CAR
																																					(BgL_ez00_34);
																																				{	/* Eval/evaluate.scm 283 */
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_28857;
																																					{
																																						obj_t
																																							BgL_argsz00_28859;
																																						obj_t
																																							BgL_fz00_28858;
																																						BgL_fz00_28858
																																							=
																																							BgL_arg3962z00_2088;
																																						BgL_argsz00_28859
																																							=
																																							BgL_cdrzd26059zd2_2025;
																																						BgL_argsz00_1706
																																							=
																																							BgL_argsz00_28859;
																																						BgL_fz00_1705
																																							=
																																							BgL_fz00_28858;
																																						goto
																																							BgL_tagzd21488zd2_1707;
																																					}
																																					return
																																						(obj_t)
																																						(BgL_auxz00_28857);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 283 */
																																		obj_t
																																			BgL_arg3964z00_2090;
																																		BgL_arg3964z00_2090
																																			=
																																			CAR
																																			(BgL_ez00_34);
																																		{	/* Eval/evaluate.scm 283 */
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_28862;
																																			{
																																				obj_t
																																					BgL_argsz00_28864;
																																				obj_t
																																					BgL_fz00_28863;
																																				BgL_fz00_28863
																																					=
																																					BgL_arg3964z00_2090;
																																				BgL_argsz00_28864
																																					=
																																					BgL_cdrzd26059zd2_2025;
																																				BgL_argsz00_1706
																																					=
																																					BgL_argsz00_28864;
																																				BgL_fz00_1705
																																					=
																																					BgL_fz00_28863;
																																				goto
																																					BgL_tagzd21488zd2_1707;
																																			}
																																			return
																																				(obj_t)
																																				(BgL_auxz00_28862);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 283 */
																																if (
																																	(CAR
																																		(BgL_ez00_34)
																																		==
																																		BGl_symbol8215z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 283 */
																																		if (PAIRP
																																			(BgL_cdrzd26059zd2_2025))
																																			{	/* Eval/evaluate.scm 283 */
																																				obj_t
																																					BgL_carzd26571zd2_2095;
																																				BgL_carzd26571zd2_2095
																																					=
																																					CAR
																																					(BgL_cdrzd26059zd2_2025);
																																				if (PAIRP(BgL_carzd26571zd2_2095))
																																					{	/* Eval/evaluate.scm 283 */
																																						if (NULLP(CDR(BgL_carzd26571zd2_2095)))
																																							{	/* Eval/evaluate.scm 283 */
																																								obj_t
																																									BgL_arg3970z00_2098;
																																								obj_t
																																									BgL_arg3972z00_2099;
																																								BgL_arg3970z00_2098
																																									=
																																									CAR
																																									(BgL_carzd26571zd2_2095);
																																								BgL_arg3972z00_2099
																																									=
																																									CDR
																																									(BgL_cdrzd26059zd2_2025);
																																								{	/* Eval/evaluate.scm 283 */
																																									BgL_ev_varz00_bglt
																																										BgL_varz00_9366;
																																									{	/* Eval/evaluate.scm 283 */
																																										BgL_ev_varz00_bglt
																																											BgL_res7047z00_9383;
																																										{	/* Eval/evaluate.scm 283 */
																																											obj_t
																																												BgL_name1838z00_9369;
																																											BgL_name1838z00_9369
																																												=
																																												BgL_arg3970z00_2098;
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_varz00_bglt
																																													BgL_new1840z00_9371;
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_varz00_bglt
																																														BgL_res7045z00_9376;
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1848z00_9372;
																																														BgL_new1848z00_9372
																																															=
																																															(
																																															(BgL_ev_varz00_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_varz00_bgl))));
																																														BGL_OBJECT_CLASS_NUM_SET
																																															(
																																															(BgL_objectz00_bglt)
																																															(BgL_new1848z00_9372),
																																															BGl_classzd2numzd2zz__objectz00
																																															(BGl_ev_varz00zz__evaluatez00));
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_objectz00_bglt
																																																BgL_auxz00_28883;
																																															BgL_auxz00_28883
																																																=
																																																(BgL_objectz00_bglt)
																																																(BgL_new1848z00_9372);
																																															BGL_OBJECT_WIDENING_SET
																																																(BgL_auxz00_28883,
																																																BFALSE);
																																														}
																																														BgL_res7045z00_9376
																																															=
																																															BgL_new1848z00_9372;
																																													}
																																													BgL_new1840z00_9371
																																														=
																																														BgL_res7045z00_9376;
																																												}
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_varz00_bglt
																																														BgL_res7046z00_9382;
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1844z00_9377;
																																														BgL_new1844z00_9377
																																															=
																																															BgL_new1840z00_9371;
																																														{	/* Eval/evaluate.scm 283 */
																																															obj_t
																																																BgL_name1842z00_9380;
																																															obj_t
																																																BgL_eff1843z00_9381;
																																															BgL_name1842z00_9380
																																																=
																																																BgL_name1838z00_9369;
																																															BgL_eff1843z00_9381
																																																=
																																																BFALSE;
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1844z00_9377))->BgL_namez00) = ((obj_t) BgL_name1842z00_9380), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1844z00_9377))->BgL_effz00) = ((obj_t) BgL_eff1843z00_9381), BUNSPEC);
																																															BgL_res7046z00_9382
																																																=
																																																BgL_new1844z00_9377;
																																													}} BgL_res7046z00_9382;
																																												}
																																												BgL_res7047z00_9383
																																													=
																																													BgL_new1840z00_9371;
																																										}}
																																										BgL_varz00_9366
																																											=
																																											BgL_res7047z00_9383;
																																									}
																																									{	/* Eval/evaluate.scm 283 */
																																										obj_t
																																											BgL_arg4147z00_9367;
																																										{	/* Eval/evaluate.scm 283 */
																																											obj_t
																																												BgL_arg4148z00_9368;
																																											BgL_arg4148z00_9368
																																												=
																																												MAKE_PAIR
																																												(
																																												(obj_t)
																																												(BgL_varz00_9366),
																																												BgL_localsz00_35);
																																											BgL_arg4147z00_9367
																																												=
																																												BGl_convzd2beginzd2zz__evaluatez00
																																												(BgL_arg3972z00_2099,
																																												BgL_arg4148z00_9368,
																																												BgL_globalsz00_36,
																																												((bool_t) 0), BgL_wherez00_38, BgL_locz00_39);
																																										}
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_bindzd2exitzd2_bglt
																																												BgL_res7050z00_9398;
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_exprz00_bglt
																																													BgL_body2173z00_9385;
																																												BgL_body2173z00_9385
																																													=
																																													(BgL_ev_exprz00_bglt)
																																													(BgL_arg4147z00_9367);
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_new2174z00_9386;
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_bindzd2exitzd2_bglt
																																															BgL_res7048z00_9391;
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_new2182z00_9387;
																																															BgL_new2182z00_9387
																																																=
																																																(
																																																(BgL_ev_bindzd2exitzd2_bglt)
																																																BREF
																																																(GC_MALLOC
																																																	(sizeof
																																																		(struct
																																																			BgL_ev_bindzd2exitzd2_bgl))));
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																(BgL_objectz00_bglt)
																																																(BgL_new2182z00_9387),
																																																BGl_classzd2numzd2zz__objectz00
																																																(BGl_ev_bindzd2exitzd2zz__evaluatez00));
																																															{	/* Eval/evaluate.scm 283 */
																																																BgL_objectz00_bglt
																																																	BgL_auxz00_28896;
																																																BgL_auxz00_28896
																																																	=
																																																	(BgL_objectz00_bglt)
																																																	(BgL_new2182z00_9387);
																																																BGL_OBJECT_WIDENING_SET
																																																	(BgL_auxz00_28896,
																																																	BFALSE);
																																															}
																																															BgL_res7048z00_9391
																																																=
																																																BgL_new2182z00_9387;
																																														}
																																														BgL_new2174z00_9386
																																															=
																																															BgL_res7048z00_9391;
																																													}
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_bindzd2exitzd2_bglt
																																															BgL_res7049z00_9397;
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_new2178z00_9392;
																																															BgL_new2178z00_9392
																																																=
																																																BgL_new2174z00_9386;
																																															{	/* Eval/evaluate.scm 283 */
																																																BgL_ev_varz00_bglt
																																																	BgL_var2176z00_9395;
																																																BgL_ev_exprz00_bglt
																																																	BgL_body2177z00_9396;
																																																BgL_var2176z00_9395
																																																	=
																																																	BgL_varz00_9366;
																																																BgL_body2177z00_9396
																																																	=
																																																	BgL_body2173z00_9385;
																																																((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new2178z00_9392))->BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_var2176z00_9395), BUNSPEC);
																																																((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new2178z00_9392))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2177z00_9396), BUNSPEC);
																																																BgL_res7049z00_9397
																																																	=
																																																	BgL_new2178z00_9392;
																																														}} BgL_res7049z00_9397;
																																													}
																																													BgL_res7050z00_9398
																																														=
																																														BgL_new2174z00_9386;
																																											}}
																																											return
																																												(obj_t)
																																												(BgL_res7050z00_9398);
																																										}
																																									}
																																								}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 283 */
																																								obj_t
																																									BgL_arg3973z00_2100;
																																								obj_t
																																									BgL_arg3974z00_2101;
																																								BgL_arg3973z00_2100
																																									=
																																									CAR
																																									(BgL_ez00_34);
																																								BgL_arg3974z00_2101
																																									=
																																									CDR
																																									(BgL_ez00_34);
																																								{	/* Eval/evaluate.scm 283 */
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_28904;
																																									{
																																										obj_t
																																											BgL_argsz00_28906;
																																										obj_t
																																											BgL_fz00_28905;
																																										BgL_fz00_28905
																																											=
																																											BgL_arg3973z00_2100;
																																										BgL_argsz00_28906
																																											=
																																											BgL_arg3974z00_2101;
																																										BgL_argsz00_1706
																																											=
																																											BgL_argsz00_28906;
																																										BgL_fz00_1705
																																											=
																																											BgL_fz00_28905;
																																										goto
																																											BgL_tagzd21488zd2_1707;
																																									}
																																									return
																																										(obj_t)
																																										(BgL_auxz00_28904);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 283 */
																																						obj_t
																																							BgL_arg3976z00_2103;
																																						obj_t
																																							BgL_arg3977z00_2104;
																																						BgL_arg3976z00_2103
																																							=
																																							CAR
																																							(BgL_ez00_34);
																																						BgL_arg3977z00_2104
																																							=
																																							CDR
																																							(BgL_ez00_34);
																																						{	/* Eval/evaluate.scm 283 */
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_28910;
																																							{
																																								obj_t
																																									BgL_argsz00_28912;
																																								obj_t
																																									BgL_fz00_28911;
																																								BgL_fz00_28911
																																									=
																																									BgL_arg3976z00_2103;
																																								BgL_argsz00_28912
																																									=
																																									BgL_arg3977z00_2104;
																																								BgL_argsz00_1706
																																									=
																																									BgL_argsz00_28912;
																																								BgL_fz00_1705
																																									=
																																									BgL_fz00_28911;
																																								goto
																																									BgL_tagzd21488zd2_1707;
																																							}
																																							return
																																								(obj_t)
																																								(BgL_auxz00_28910);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 283 */
																																				obj_t
																																					BgL_arg3978z00_2105;
																																				obj_t
																																					BgL_arg3979z00_2106;
																																				BgL_arg3978z00_2105
																																					=
																																					CAR
																																					(BgL_ez00_34);
																																				BgL_arg3979z00_2106
																																					=
																																					CDR
																																					(BgL_ez00_34);
																																				{	/* Eval/evaluate.scm 283 */
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_28916;
																																					{
																																						obj_t
																																							BgL_argsz00_28918;
																																						obj_t
																																							BgL_fz00_28917;
																																						BgL_fz00_28917
																																							=
																																							BgL_arg3978z00_2105;
																																						BgL_argsz00_28918
																																							=
																																							BgL_arg3979z00_2106;
																																						BgL_argsz00_1706
																																							=
																																							BgL_argsz00_28918;
																																						BgL_fz00_1705
																																							=
																																							BgL_fz00_28917;
																																						goto
																																							BgL_tagzd21488zd2_1707;
																																					}
																																					return
																																						(obj_t)
																																						(BgL_auxz00_28916);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 283 */
																																		obj_t
																																			BgL_cdrzd26674zd2_2107;
																																		BgL_cdrzd26674zd2_2107
																																			=
																																			CDR
																																			(BgL_ez00_34);
																																		if ((CAR
																																				(BgL_ez00_34)
																																				==
																																				BGl_symbol8217z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 283 */
																																				if (PAIRP(BgL_cdrzd26674zd2_2107))
																																					{	/* Eval/evaluate.scm 283 */
																																						obj_t
																																							BgL_arg3982z00_2110;
																																						obj_t
																																							BgL_arg3983z00_2111;
																																						BgL_arg3982z00_2110
																																							=
																																							CAR
																																							(BgL_cdrzd26674zd2_2107);
																																						BgL_arg3983z00_2111
																																							=
																																							CDR
																																							(BgL_cdrzd26674zd2_2107);
																																						{	/* Eval/evaluate.scm 283 */
																																							obj_t
																																								BgL_arg4149z00_9412;
																																							obj_t
																																								BgL_arg4150z00_9413;
																																							BgL_arg4149z00_9412
																																								=
																																								BGl_uconvz00zz__evaluatez00
																																								(BgL_wherez00_38,
																																								BgL_globalsz00_36,
																																								BgL_localsz00_35,
																																								BgL_locz00_39,
																																								BgL_arg3982z00_2110);
																																							BgL_arg4150z00_9413
																																								=
																																								BGl_convzd2beginzd2zz__evaluatez00
																																								(BgL_arg3983z00_2111,
																																								BgL_localsz00_35,
																																								BgL_globalsz00_36,
																																								((bool_t) 0), BgL_wherez00_38, BgL_locz00_39);
																																							{	/* Eval/evaluate.scm 283 */
																																								BgL_ev_unwindzd2protectzd2_bglt
																																									BgL_res7053z00_9428;
																																								{	/* Eval/evaluate.scm 283 */
																																									BgL_ev_exprz00_bglt
																																										BgL_e2200z00_9414;
																																									BgL_ev_exprz00_bglt
																																										BgL_body2201z00_9415;
																																									BgL_e2200z00_9414
																																										=
																																										(BgL_ev_exprz00_bglt)
																																										(BgL_arg4149z00_9412);
																																									BgL_body2201z00_9415
																																										=
																																										(BgL_ev_exprz00_bglt)
																																										(BgL_arg4150z00_9413);
																																									{	/* Eval/evaluate.scm 283 */
																																										BgL_ev_unwindzd2protectzd2_bglt
																																											BgL_new2202z00_9416;
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_unwindzd2protectzd2_bglt
																																												BgL_res7051z00_9421;
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_unwindzd2protectzd2_bglt
																																													BgL_new2210z00_9417;
																																												BgL_new2210z00_9417
																																													=
																																													(
																																													(BgL_ev_unwindzd2protectzd2_bglt)
																																													BREF
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_unwindzd2protectzd2_bgl))));
																																												BGL_OBJECT_CLASS_NUM_SET
																																													(
																																													(BgL_objectz00_bglt)
																																													(BgL_new2210z00_9417),
																																													BGl_classzd2numzd2zz__objectz00
																																													(BGl_ev_unwindzd2protectzd2zz__evaluatez00));
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_objectz00_bglt
																																														BgL_auxz00_28936;
																																													BgL_auxz00_28936
																																														=
																																														(BgL_objectz00_bglt)
																																														(BgL_new2210z00_9417);
																																													BGL_OBJECT_WIDENING_SET
																																														(BgL_auxz00_28936,
																																														BFALSE);
																																												}
																																												BgL_res7051z00_9421
																																													=
																																													BgL_new2210z00_9417;
																																											}
																																											BgL_new2202z00_9416
																																												=
																																												BgL_res7051z00_9421;
																																										}
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_unwindzd2protectzd2_bglt
																																												BgL_res7052z00_9427;
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_unwindzd2protectzd2_bglt
																																													BgL_new2206z00_9422;
																																												BgL_new2206z00_9422
																																													=
																																													BgL_new2202z00_9416;
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_exprz00_bglt
																																														BgL_e2204z00_9425;
																																													BgL_ev_exprz00_bglt
																																														BgL_body2205z00_9426;
																																													BgL_e2204z00_9425
																																														=
																																														BgL_e2200z00_9414;
																																													BgL_body2205z00_9426
																																														=
																																														BgL_body2201z00_9415;
																																													((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new2206z00_9422))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e2204z00_9425), BUNSPEC);
																																													((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new2206z00_9422))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2205z00_9426), BUNSPEC);
																																													BgL_res7052z00_9427
																																														=
																																														BgL_new2206z00_9422;
																																											}} BgL_res7052z00_9427;
																																										}
																																										BgL_res7053z00_9428
																																											=
																																											BgL_new2202z00_9416;
																																								}}
																																								return
																																									(obj_t)
																																									(BgL_res7053z00_9428);
																																							}
																																						}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 283 */
																																						obj_t
																																							BgL_arg3984z00_2112;
																																						BgL_arg3984z00_2112
																																							=
																																							CAR
																																							(BgL_ez00_34);
																																						{	/* Eval/evaluate.scm 283 */
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_28943;
																																							{
																																								obj_t
																																									BgL_argsz00_28945;
																																								obj_t
																																									BgL_fz00_28944;
																																								BgL_fz00_28944
																																									=
																																									BgL_arg3984z00_2112;
																																								BgL_argsz00_28945
																																									=
																																									BgL_cdrzd26674zd2_2107;
																																								BgL_argsz00_1706
																																									=
																																									BgL_argsz00_28945;
																																								BgL_fz00_1705
																																									=
																																									BgL_fz00_28944;
																																								goto
																																									BgL_tagzd21488zd2_1707;
																																							}
																																							return
																																								(obj_t)
																																								(BgL_auxz00_28943);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 283 */
																																				if (
																																					(CAR
																																						(BgL_ez00_34)
																																						==
																																						BGl_symbol8219z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 283 */
																																						if (PAIRP(BgL_cdrzd26674zd2_2107))
																																							{	/* Eval/evaluate.scm 283 */
																																								obj_t
																																									BgL_arg3988z00_2117;
																																								obj_t
																																									BgL_arg3989z00_2118;
																																								BgL_arg3988z00_2117
																																									=
																																									CAR
																																									(BgL_cdrzd26674zd2_2107);
																																								BgL_arg3989z00_2118
																																									=
																																									CDR
																																									(BgL_cdrzd26674zd2_2107);
																																								{	/* Eval/evaluate.scm 283 */
																																									obj_t
																																										BgL_arg4151z00_9438;
																																									obj_t
																																										BgL_arg4152z00_9439;
																																									BgL_arg4151z00_9438
																																										=
																																										BGl_uconvz00zz__evaluatez00
																																										(BgL_wherez00_38,
																																										BgL_globalsz00_36,
																																										BgL_localsz00_35,
																																										BgL_locz00_39,
																																										BgL_arg3988z00_2117);
																																									BgL_arg4152z00_9439
																																										=
																																										BGl_convzd2beginzd2zz__evaluatez00
																																										(BgL_arg3989z00_2118,
																																										BgL_localsz00_35,
																																										BgL_globalsz00_36,
																																										((bool_t) 0), BgL_wherez00_38, BgL_locz00_39);
																																									{	/* Eval/evaluate.scm 283 */
																																										BgL_ev_withzd2handlerzd2_bglt
																																											BgL_res7056z00_9454;
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_exprz00_bglt
																																												BgL_handler2228z00_9440;
																																											BgL_ev_exprz00_bglt
																																												BgL_body2229z00_9441;
																																											BgL_handler2228z00_9440
																																												=
																																												(BgL_ev_exprz00_bglt)
																																												(BgL_arg4151z00_9438);
																																											BgL_body2229z00_9441
																																												=
																																												(BgL_ev_exprz00_bglt)
																																												(BgL_arg4152z00_9439);
																																											{	/* Eval/evaluate.scm 283 */
																																												BgL_ev_withzd2handlerzd2_bglt
																																													BgL_new2230z00_9442;
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_withzd2handlerzd2_bglt
																																														BgL_res7054z00_9447;
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_withzd2handlerzd2_bglt
																																															BgL_new2238z00_9443;
																																														BgL_new2238z00_9443
																																															=
																																															(
																																															(BgL_ev_withzd2handlerzd2_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_withzd2handlerzd2_bgl))));
																																														BGL_OBJECT_CLASS_NUM_SET
																																															(
																																															(BgL_objectz00_bglt)
																																															(BgL_new2238z00_9443),
																																															BGl_classzd2numzd2zz__objectz00
																																															(BGl_ev_withzd2handlerzd2zz__evaluatez00));
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_objectz00_bglt
																																																BgL_auxz00_28962;
																																															BgL_auxz00_28962
																																																=
																																																(BgL_objectz00_bglt)
																																																(BgL_new2238z00_9443);
																																															BGL_OBJECT_WIDENING_SET
																																																(BgL_auxz00_28962,
																																																BFALSE);
																																														}
																																														BgL_res7054z00_9447
																																															=
																																															BgL_new2238z00_9443;
																																													}
																																													BgL_new2230z00_9442
																																														=
																																														BgL_res7054z00_9447;
																																												}
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_withzd2handlerzd2_bglt
																																														BgL_res7055z00_9453;
																																													{	/* Eval/evaluate.scm 283 */
																																														BgL_ev_withzd2handlerzd2_bglt
																																															BgL_new2234z00_9448;
																																														BgL_new2234z00_9448
																																															=
																																															BgL_new2230z00_9442;
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_exprz00_bglt
																																																BgL_handler2232z00_9451;
																																															BgL_ev_exprz00_bglt
																																																BgL_body2233z00_9452;
																																															BgL_handler2232z00_9451
																																																=
																																																BgL_handler2228z00_9440;
																																															BgL_body2233z00_9452
																																																=
																																																BgL_body2229z00_9441;
																																															((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new2234z00_9448))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_handler2232z00_9451), BUNSPEC);
																																															((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new2234z00_9448))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_body2233z00_9452), BUNSPEC);
																																															BgL_res7055z00_9453
																																																=
																																																BgL_new2234z00_9448;
																																													}} BgL_res7055z00_9453;
																																												}
																																												BgL_res7056z00_9454
																																													=
																																													BgL_new2230z00_9442;
																																										}}
																																										return
																																											(obj_t)
																																											(BgL_res7056z00_9454);
																																									}
																																								}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 283 */
																																								obj_t
																																									BgL_arg3990z00_2119;
																																								obj_t
																																									BgL_arg3991z00_2120;
																																								BgL_arg3990z00_2119
																																									=
																																									CAR
																																									(BgL_ez00_34);
																																								BgL_arg3991z00_2120
																																									=
																																									CDR
																																									(BgL_ez00_34);
																																								{	/* Eval/evaluate.scm 283 */
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_28970;
																																									{
																																										obj_t
																																											BgL_argsz00_28972;
																																										obj_t
																																											BgL_fz00_28971;
																																										BgL_fz00_28971
																																											=
																																											BgL_arg3990z00_2119;
																																										BgL_argsz00_28972
																																											=
																																											BgL_arg3991z00_2120;
																																										BgL_argsz00_1706
																																											=
																																											BgL_argsz00_28972;
																																										BgL_fz00_1705
																																											=
																																											BgL_fz00_28971;
																																										goto
																																											BgL_tagzd21488zd2_1707;
																																									}
																																									return
																																										(obj_t)
																																										(BgL_auxz00_28970);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 283 */
																																						obj_t
																																							BgL_cdrzd26738zd2_2121;
																																						BgL_cdrzd26738zd2_2121
																																							=
																																							CDR
																																							(BgL_ez00_34);
																																						if (
																																							(CAR
																																								(BgL_ez00_34)
																																								==
																																								BGl_symbol8213z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 283 */
																																								if (PAIRP(BgL_cdrzd26738zd2_2121))
																																									{	/* Eval/evaluate.scm 283 */
																																										obj_t
																																											BgL_cdrzd26742zd2_2124;
																																										BgL_cdrzd26742zd2_2124
																																											=
																																											CDR
																																											(BgL_cdrzd26738zd2_2121);
																																										if (PAIRP(BgL_cdrzd26742zd2_2124))
																																											{	/* Eval/evaluate.scm 283 */
																																												if (NULLP(CDR(BgL_cdrzd26742zd2_2124)))
																																													{	/* Eval/evaluate.scm 283 */
																																														obj_t
																																															BgL_arg3996z00_2127;
																																														obj_t
																																															BgL_arg3997z00_2128;
																																														BgL_arg3996z00_2127
																																															=
																																															CAR
																																															(BgL_cdrzd26738zd2_2121);
																																														BgL_arg3997z00_2128
																																															=
																																															CAR
																																															(BgL_cdrzd26742zd2_2124);
																																														return
																																															(obj_t)
																																															(BGl_convzd2lambdazd2zz__evaluatez00
																																															(BgL_globalsz00_36,
																																																BgL_localsz00_35,
																																																BgL_locz00_39,
																																																BgL_ez00_34,
																																																BgL_arg3996z00_2127,
																																																BgL_arg3997z00_2128,
																																																BGl_symbol8176z00zz__evaluatez00));
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 283 */
																																														obj_t
																																															BgL_arg3998z00_2129;
																																														BgL_arg3998z00_2129
																																															=
																																															CAR
																																															(BgL_ez00_34);
																																														{	/* Eval/evaluate.scm 283 */
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_28991;
																																															{
																																																obj_t
																																																	BgL_argsz00_28993;
																																																obj_t
																																																	BgL_fz00_28992;
																																																BgL_fz00_28992
																																																	=
																																																	BgL_arg3998z00_2129;
																																																BgL_argsz00_28993
																																																	=
																																																	BgL_cdrzd26738zd2_2121;
																																																BgL_argsz00_1706
																																																	=
																																																	BgL_argsz00_28993;
																																																BgL_fz00_1705
																																																	=
																																																	BgL_fz00_28992;
																																																goto
																																																	BgL_tagzd21488zd2_1707;
																																															}
																																															return
																																																(obj_t)
																																																(BgL_auxz00_28991);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 283 */
																																												obj_t
																																													BgL_arg4001z00_2132;
																																												BgL_arg4001z00_2132
																																													=
																																													CAR
																																													(BgL_ez00_34);
																																												{	/* Eval/evaluate.scm 283 */
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_28996;
																																													{
																																														obj_t
																																															BgL_argsz00_28998;
																																														obj_t
																																															BgL_fz00_28997;
																																														BgL_fz00_28997
																																															=
																																															BgL_arg4001z00_2132;
																																														BgL_argsz00_28998
																																															=
																																															BgL_cdrzd26738zd2_2121;
																																														BgL_argsz00_1706
																																															=
																																															BgL_argsz00_28998;
																																														BgL_fz00_1705
																																															=
																																															BgL_fz00_28997;
																																														goto
																																															BgL_tagzd21488zd2_1707;
																																													}
																																													return
																																														(obj_t)
																																														(BgL_auxz00_28996);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 283 */
																																										obj_t
																																											BgL_arg4003z00_2134;
																																										BgL_arg4003z00_2134
																																											=
																																											CAR
																																											(BgL_ez00_34);
																																										{	/* Eval/evaluate.scm 283 */
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_29001;
																																											{
																																												obj_t
																																													BgL_argsz00_29003;
																																												obj_t
																																													BgL_fz00_29002;
																																												BgL_fz00_29002
																																													=
																																													BgL_arg4003z00_2134;
																																												BgL_argsz00_29003
																																													=
																																													BgL_cdrzd26738zd2_2121;
																																												BgL_argsz00_1706
																																													=
																																													BgL_argsz00_29003;
																																												BgL_fz00_1705
																																													=
																																													BgL_fz00_29002;
																																												goto
																																													BgL_tagzd21488zd2_1707;
																																											}
																																											return
																																												(obj_t)
																																												(BgL_auxz00_29001);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 283 */
																																								obj_t
																																									BgL_arg4005z00_2136;
																																								BgL_arg4005z00_2136
																																									=
																																									CAR
																																									(BgL_ez00_34);
																																								{	/* Eval/evaluate.scm 283 */
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_29006;
																																									{
																																										obj_t
																																											BgL_argsz00_29008;
																																										obj_t
																																											BgL_fz00_29007;
																																										BgL_fz00_29007
																																											=
																																											BgL_arg4005z00_2136;
																																										BgL_argsz00_29008
																																											=
																																											BgL_cdrzd26738zd2_2121;
																																										BgL_argsz00_1706
																																											=
																																											BgL_argsz00_29008;
																																										BgL_fz00_1705
																																											=
																																											BgL_fz00_29007;
																																										goto
																																											BgL_tagzd21488zd2_1707;
																																									}
																																									return
																																										(obj_t)
																																										(BgL_auxz00_29006);
																																								}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Eval/evaluate.scm 283 */
						BgL_xz00_1653 = BgL_ez00_34;
						if (SYMBOLP(BgL_xz00_1653))
							{	/* Eval/evaluate.scm 286 */
								obj_t BgL__ortest_2589z00_2171;

								{	/* Eval/evaluate.scm 286 */
									obj_t BgL_vz00_9477;

									BgL_vz00_9477 = BgL_xz00_1653;
									{
										obj_t BgL_lz00_9480;

										BgL_lz00_9480 = BgL_localsz00_35;
									BgL_recz00_9479:
										if (NULLP(BgL_lz00_9480))
											{	/* Eval/evaluate.scm 286 */
												BgL__ortest_2589z00_2171 = BFALSE;
											}
										else
											{	/* Eval/evaluate.scm 286 */
												obj_t BgL_rvz00_9483;

												BgL_rvz00_9483 = CAR(BgL_lz00_9480);
												{	/* Eval/evaluate.scm 286 */
													bool_t BgL_testz00_29015;

													{	/* Eval/evaluate.scm 286 */
														obj_t BgL_auxz00_29016;

														{
															BgL_ev_varz00_bglt BgL_auxz00_29017;

															BgL_auxz00_29017 =
																(BgL_ev_varz00_bglt) (BgL_rvz00_9483);
															BgL_auxz00_29016 =
																(((BgL_ev_varz00_bglt) CREF(BgL_auxz00_29017))->
																BgL_namez00);
														}
														BgL_testz00_29015 =
															(BgL_vz00_9477 == BgL_auxz00_29016);
													}
													if (BgL_testz00_29015)
														{	/* Eval/evaluate.scm 286 */
															BgL__ortest_2589z00_2171 = BgL_rvz00_9483;
														}
													else
														{
															obj_t BgL_lz00_29021;

															BgL_lz00_29021 = CDR(BgL_lz00_9480);
															BgL_lz00_9480 = BgL_lz00_29021;
															goto BgL_recz00_9479;
														}
												}
											}
									}
								}
								if (CBOOL(BgL__ortest_2589z00_2171))
									{	/* Eval/evaluate.scm 286 */
										return BgL__ortest_2589z00_2171;
									}
								else
									{	/* Eval/evaluate.scm 287 */
										obj_t BgL_arg4040z00_2172;

										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_36))
											{	/* Eval/evaluate.scm 287 */
												BgL_arg4040z00_2172 = BgL_globalsz00_36;
											}
										else
											{	/* Eval/evaluate.scm 287 */
												BgL_arg4040z00_2172 = BGL_MODULE();
											}
										{	/* Eval/evaluate.scm 287 */
											BgL_ev_globalz00_bglt BgL_res7059z00_9504;

											{	/* Eval/evaluate.scm 287 */
												obj_t BgL_name1866z00_9490;

												BgL_name1866z00_9490 = BgL_xz00_1653;
												{	/* Eval/evaluate.scm 287 */
													BgL_ev_globalz00_bglt BgL_new1868z00_9492;

													{	/* Eval/evaluate.scm 287 */
														BgL_ev_globalz00_bglt BgL_res7057z00_9497;

														{	/* Eval/evaluate.scm 287 */
															BgL_ev_globalz00_bglt BgL_new1876z00_9493;

															BgL_new1876z00_9493 =
																((BgL_ev_globalz00_bglt)
																BREF(GC_MALLOC(sizeof(struct
																			BgL_ev_globalz00_bgl))));
															BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
																(BgL_new1876z00_9493),
																BGl_classzd2numzd2zz__objectz00
																(BGl_ev_globalz00zz__evaluatez00));
															{	/* Eval/evaluate.scm 287 */
																BgL_objectz00_bglt BgL_auxz00_29032;

																BgL_auxz00_29032 =
																	(BgL_objectz00_bglt) (BgL_new1876z00_9493);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_29032,
																	BFALSE);
															}
															BgL_res7057z00_9497 = BgL_new1876z00_9493;
														}
														BgL_new1868z00_9492 = BgL_res7057z00_9497;
													}
													{	/* Eval/evaluate.scm 287 */
														BgL_ev_globalz00_bglt BgL_res7058z00_9503;

														{	/* Eval/evaluate.scm 287 */
															BgL_ev_globalz00_bglt BgL_new1872z00_9498;

															BgL_new1872z00_9498 = BgL_new1868z00_9492;
															{	/* Eval/evaluate.scm 287 */
																obj_t BgL_name1870z00_9501;

																obj_t BgL_mod1871z00_9502;

																BgL_name1870z00_9501 = BgL_name1866z00_9490;
																BgL_mod1871z00_9502 = BgL_arg4040z00_2172;
																((((BgL_ev_globalz00_bglt)
																			CREF(BgL_new1872z00_9498))->BgL_namez00) =
																	((obj_t) BgL_name1870z00_9501), BUNSPEC);
																((((BgL_ev_globalz00_bglt)
																			CREF(BgL_new1872z00_9498))->BgL_modz00) =
																	((obj_t) BgL_mod1871z00_9502), BUNSPEC);
																BgL_res7058z00_9503 = BgL_new1872z00_9498;
														}} BgL_res7058z00_9503;
													}
													BgL_res7059z00_9504 = BgL_new1868z00_9492;
											}}
											return (obj_t) (BgL_res7059z00_9504);
										}
									}
							}
						else
							{	/* Eval/evaluate.scm 288 */
								BgL_ev_littz00_bglt BgL_res7062z00_9516;

								{	/* Eval/evaluate.scm 288 */
									BgL_ev_littz00_bglt BgL_new1892z00_9506;

									{	/* Eval/evaluate.scm 288 */
										BgL_ev_littz00_bglt BgL_res7060z00_9511;

										{	/* Eval/evaluate.scm 288 */
											BgL_ev_littz00_bglt BgL_new1898z00_9507;

											BgL_new1898z00_9507 =
												((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_ev_littz00_bgl))));
											BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
												(BgL_new1898z00_9507),
												BGl_classzd2numzd2zz__objectz00
												(BGl_ev_littz00zz__evaluatez00));
											{	/* Eval/evaluate.scm 288 */
												BgL_objectz00_bglt BgL_auxz00_29042;

												BgL_auxz00_29042 =
													(BgL_objectz00_bglt) (BgL_new1898z00_9507);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_29042, BFALSE);
											}
											BgL_res7060z00_9511 = BgL_new1898z00_9507;
										}
										BgL_new1892z00_9506 = BgL_res7060z00_9511;
									}
									{	/* Eval/evaluate.scm 288 */
										BgL_ev_littz00_bglt BgL_res7061z00_9515;

										{	/* Eval/evaluate.scm 288 */
											BgL_ev_littz00_bglt BgL_new1895z00_9512;

											BgL_new1895z00_9512 = BgL_new1892z00_9506;
											{	/* Eval/evaluate.scm 288 */
												obj_t BgL_value1894z00_9514;

												BgL_value1894z00_9514 = BgL_xz00_1653;
												((((BgL_ev_littz00_bglt) CREF(BgL_new1895z00_9512))->
														BgL_valuez00) =
													((obj_t) BgL_value1894z00_9514), BUNSPEC);
												BgL_res7061z00_9515 = BgL_new1895z00_9512;
										}} BgL_res7061z00_9515;
									}
									BgL_res7062z00_9516 = BgL_new1892z00_9506;
								}
								return (obj_t) (BgL_res7062z00_9516);
							}
					}
			}
		}
	}



/* conv-vals */
	obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t BgL_locz00_26463,
		obj_t BgL_wherez00_26462, obj_t BgL_globalsz00_26461, obj_t BgL_lz00_9936,
		obj_t BgL_varsz00_9937, obj_t BgL_localsz00_9938)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 319 */
			if (NULLP(BgL_lz00_9936))
				{	/* Eval/evaluate.scm 322 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 322 */
					obj_t BgL_arg4113z00_9948;

					obj_t BgL_arg4114z00_9949;

					{	/* Eval/evaluate.scm 322 */
						obj_t BgL_arg4115z00_9950;

						{	/* Eval/evaluate.scm 322 */
							obj_t BgL_pairz00_9956;

							BgL_pairz00_9956 = BgL_lz00_9936;
							BgL_arg4115z00_9950 = CAR(CDR(CAR(BgL_pairz00_9956)));
						}
						BgL_arg4113z00_9948 =
							BGl_convz00zz__evaluatez00(BgL_arg4115z00_9950,
							BgL_localsz00_9938, BgL_globalsz00_26461, ((bool_t) 0),
							BgL_wherez00_26462, BgL_locz00_26463);
					}
					{	/* Eval/evaluate.scm 322 */
						obj_t BgL_arg4116z00_9951;

						obj_t BgL_arg4117z00_9952;

						obj_t BgL_arg4118z00_9953;

						BgL_arg4116z00_9951 = CDR(BgL_lz00_9936);
						BgL_arg4117z00_9952 = CDR(BgL_varsz00_9937);
						BgL_arg4118z00_9953 =
							MAKE_PAIR(CAR(BgL_varsz00_9937), BgL_localsz00_9938);
						BgL_arg4114z00_9949 =
							BGl_convzd2valszd2zz__evaluatez00(BgL_locz00_26463,
							BgL_wherez00_26462, BgL_globalsz00_26461, BgL_arg4116z00_9951,
							BgL_arg4117z00_9952, BgL_arg4118z00_9953);
					}
					return MAKE_PAIR(BgL_arg4113z00_9948, BgL_arg4114z00_9949);
				}
		}
	}



/* conv-lambda */
	BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t
		BgL_globalsz00_26467, obj_t BgL_localsz00_26466, obj_t BgL_locz00_26465,
		obj_t BgL_ez00_26464, obj_t BgL_formalsz00_2387, obj_t BgL_bodyz00_2388,
		obj_t BgL_wherez00_2389)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 273 */
			{
				obj_t BgL_lz00_2419;

				{	/* Eval/evaluate.scm 274 */
					obj_t BgL_varsz00_2392;

					BgL_lz00_2419 =
						BGl_dssslzd2formalszd2ze3schemezd2formalsz31zz__dssslz00
						(BgL_formalsz00_2387, BGl_errorzd2envzd2zz__errorz00);
					{
						obj_t BgL_rz00_2423;

						obj_t BgL_flatz00_2424;

						long BgL_arityz00_2425;

						BgL_rz00_2423 = BgL_lz00_2419;
						BgL_flatz00_2424 = BNIL;
						BgL_arityz00_2425 = ((long) 0);
					BgL_zc3anonymousza34185ze3z83_2426:
						if (NULLP(BgL_rz00_2423))
							{	/* Eval/evaluate.scm 271 */
								obj_t BgL_val0_3019z00_2428;

								BgL_val0_3019z00_2428 = bgl_reverse_bang(BgL_flatz00_2424);
								{	/* Eval/evaluate.scm 271 */
									int BgL_auxz00_29062;

									BgL_auxz00_29062 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_auxz00_29062);
								}
								{	/* Eval/evaluate.scm 271 */
									obj_t BgL_auxz00_29067;

									int BgL_auxz00_29065;

									BgL_auxz00_29067 = BINT(BgL_arityz00_2425);
									BgL_auxz00_29065 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_auxz00_29065, BgL_auxz00_29067);
								}
								BgL_varsz00_2392 = BgL_val0_3019z00_2428;
							}
						else
							{	/* Eval/evaluate.scm 271 */
								if (PAIRP(BgL_rz00_2423))
									{	/* Eval/evaluate.scm 273 */
										obj_t BgL_arg4188z00_2431;

										obj_t BgL_arg4189z00_2432;

										long BgL_arg4190z00_2433;

										BgL_arg4188z00_2431 = CDR(BgL_rz00_2423);
										BgL_arg4189z00_2432 =
											MAKE_PAIR(BGl_untypezd2identzd2zz__evcompilez00(CAR
												(BgL_rz00_2423)), BgL_flatz00_2424);
										BgL_arg4190z00_2433 = (BgL_arityz00_2425 + ((long) 1));
										{
											long BgL_arityz00_29079;

											obj_t BgL_flatz00_29078;

											obj_t BgL_rz00_29077;

											BgL_rz00_29077 = BgL_arg4188z00_2431;
											BgL_flatz00_29078 = BgL_arg4189z00_2432;
											BgL_arityz00_29079 = BgL_arg4190z00_2433;
											BgL_arityz00_2425 = BgL_arityz00_29079;
											BgL_flatz00_2424 = BgL_flatz00_29078;
											BgL_rz00_2423 = BgL_rz00_29077;
											goto BgL_zc3anonymousza34185ze3z83_2426;
										}
									}
								else
									{	/* Eval/evaluate.scm 272 */
										obj_t BgL_val0_3021z00_2436;

										long BgL_val1_3022z00_2437;

										{	/* Eval/evaluate.scm 272 */
											obj_t BgL_arg4193z00_2438;

											BgL_arg4193z00_2438 =
												MAKE_PAIR(BGl_untypezd2identzd2zz__evcompilez00
												(BgL_rz00_2423), BgL_flatz00_2424);
											BgL_val0_3021z00_2436 =
												bgl_reverse_bang(BgL_arg4193z00_2438);
										}
										BgL_val1_3022z00_2437 = (((long) -1) - BgL_arityz00_2425);
										{	/* Eval/evaluate.scm 272 */
											int BgL_auxz00_29084;

											BgL_auxz00_29084 = (int) (((long) 2));
											BGL_MVALUES_NUMBER_SET(BgL_auxz00_29084);
										}
										{	/* Eval/evaluate.scm 272 */
											obj_t BgL_auxz00_29089;

											int BgL_auxz00_29087;

											BgL_auxz00_29089 = BINT(BgL_val1_3022z00_2437);
											BgL_auxz00_29087 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_29087, BgL_auxz00_29089);
										}
										BgL_varsz00_2392 = BgL_val0_3021z00_2436;
					}}}
					{	/* Eval/evaluate.scm 275 */
						obj_t BgL_arityz00_2393;

						{	/* Eval/evaluate.scm 275 */
							int BgL_auxz00_29093;

							BgL_auxz00_29093 = (int) (((long) 1));
							BgL_arityz00_2393 = BGL_MVALUES_VAL(BgL_auxz00_29093);
						}
						{	/* Eval/evaluate.scm 275 */
							obj_t BgL_varsz00_2394;

							obj_t BgL_bodyz00_2395;

							obj_t BgL_nlocz00_2396;

							if (NULLP(BgL_varsz00_2392))
								{	/* Eval/evaluate.scm 275 */
									BgL_varsz00_2394 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 275 */
									obj_t BgL_head3025z00_2406;

									BgL_head3025z00_2406 = MAKE_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l3023z00_10370;

										obj_t BgL_tail3026z00_10371;

										BgL_l3023z00_10370 = BgL_varsz00_2392;
										BgL_tail3026z00_10371 = BgL_head3025z00_2406;
									BgL_zc3anonymousza34177ze3z83_10369:
										if (NULLP(BgL_l3023z00_10370))
											{	/* Eval/evaluate.scm 275 */
												BgL_varsz00_2394 = CDR(BgL_head3025z00_2406);
											}
										else
											{	/* Eval/evaluate.scm 275 */
												obj_t BgL_newtail3027z00_10379;

												{	/* Eval/evaluate.scm 275 */
													BgL_ev_varz00_bglt BgL_arg4181z00_10380;

													{	/* Eval/evaluate.scm 275 */
														obj_t BgL_vz00_10382;

														BgL_vz00_10382 = CAR(BgL_l3023z00_10370);
														{	/* Eval/evaluate.scm 275 */
															BgL_ev_varz00_bglt BgL_res7131z00_10401;

															{	/* Eval/evaluate.scm 275 */
																obj_t BgL_name1838z00_10387;

																BgL_name1838z00_10387 = BgL_vz00_10382;
																{	/* Eval/evaluate.scm 275 */
																	BgL_ev_varz00_bglt BgL_new1840z00_10389;

																	{	/* Eval/evaluate.scm 275 */
																		BgL_ev_varz00_bglt BgL_res7129z00_10394;

																		{	/* Eval/evaluate.scm 275 */
																			BgL_ev_varz00_bglt BgL_new1848z00_10390;

																			BgL_new1848z00_10390 =
																				((BgL_ev_varz00_bglt)
																				BREF(GC_MALLOC(sizeof(struct
																							BgL_ev_varz00_bgl))));
																			BGL_OBJECT_CLASS_NUM_SET(
																				(BgL_objectz00_bglt)
																				(BgL_new1848z00_10390),
																				BGl_classzd2numzd2zz__objectz00
																				(BGl_ev_varz00zz__evaluatez00));
																			{	/* Eval/evaluate.scm 275 */
																				BgL_objectz00_bglt BgL_auxz00_29107;

																				BgL_auxz00_29107 =
																					(BgL_objectz00_bglt)
																					(BgL_new1848z00_10390);
																				BGL_OBJECT_WIDENING_SET
																					(BgL_auxz00_29107, BFALSE);
																			}
																			BgL_res7129z00_10394 =
																				BgL_new1848z00_10390;
																		}
																		BgL_new1840z00_10389 = BgL_res7129z00_10394;
																	}
																	{	/* Eval/evaluate.scm 275 */
																		BgL_ev_varz00_bglt BgL_res7130z00_10400;

																		{	/* Eval/evaluate.scm 275 */
																			BgL_ev_varz00_bglt BgL_new1844z00_10395;

																			BgL_new1844z00_10395 =
																				BgL_new1840z00_10389;
																			{	/* Eval/evaluate.scm 275 */
																				obj_t BgL_name1842z00_10398;

																				obj_t BgL_eff1843z00_10399;

																				BgL_name1842z00_10398 =
																					BgL_name1838z00_10387;
																				BgL_eff1843z00_10399 = BFALSE;
																				((((BgL_ev_varz00_bglt)
																							CREF(BgL_new1844z00_10395))->
																						BgL_namez00) =
																					((obj_t) BgL_name1842z00_10398),
																					BUNSPEC);
																				((((BgL_ev_varz00_bglt)
																							CREF(BgL_new1844z00_10395))->
																						BgL_effz00) =
																					((obj_t) BgL_eff1843z00_10399),
																					BUNSPEC);
																				BgL_res7130z00_10400 =
																					BgL_new1844z00_10395;
																		}} BgL_res7130z00_10400;
																	}
																	BgL_res7131z00_10401 = BgL_new1840z00_10389;
															}}
															BgL_arg4181z00_10380 = BgL_res7131z00_10401;
													}}
													BgL_newtail3027z00_10379 =
														MAKE_PAIR((obj_t) (BgL_arg4181z00_10380), BNIL);
												}
												SET_CDR(BgL_tail3026z00_10371,
													BgL_newtail3027z00_10379);
												{
													obj_t BgL_tail3026z00_29117;

													obj_t BgL_l3023z00_29115;

													BgL_l3023z00_29115 = CDR(BgL_l3023z00_10370);
													BgL_tail3026z00_29117 = BgL_newtail3027z00_10379;
													BgL_tail3026z00_10371 = BgL_tail3026z00_29117;
													BgL_l3023z00_10370 = BgL_l3023z00_29115;
													goto BgL_zc3anonymousza34177ze3z83_10369;
												}
											}
									}
								}
							BgL_bodyz00_2395 =
								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
								(BgL_ez00_26464, BgL_formalsz00_2387, BgL_bodyz00_2388,
								BGl_errorzd2envzd2zz__errorz00);
							{	/* Eval/evaluate.scm 277 */
								obj_t BgL__ortest_2582z00_10469;

								BgL__ortest_2582z00_10469 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_2388);
								if (CBOOL(BgL__ortest_2582z00_10469))
									{	/* Eval/evaluate.scm 277 */
										BgL_nlocz00_2396 = BgL__ortest_2582z00_10469;
									}
								else
									{	/* Eval/evaluate.scm 277 */
										BgL_nlocz00_2396 = BgL_locz00_26465;
									}
							}
							{	/* Eval/evaluate.scm 282 */
								obj_t BgL_arg4169z00_2397;

								BgL_arg4169z00_2397 =
									BGl_convz00zz__evaluatez00(BgL_bodyz00_2395,
									bgl_append2(BgL_varsz00_2394, BgL_localsz00_26466),
									BgL_globalsz00_26467, ((bool_t) 1), BgL_wherez00_2389,
									BgL_nlocz00_2396);
								{	/* Eval/evaluate.scm 278 */
									BgL_ev_absz00_bglt BgL_res7140z00_10508;

									{	/* Eval/evaluate.scm 278 */
										BgL_ev_exprz00_bglt BgL_body2498z00_10474;

										obj_t BgL_siza7e2499za7_10475;

										BgL_body2498z00_10474 =
											(BgL_ev_exprz00_bglt) (BgL_arg4169z00_2397);
										BgL_siza7e2499za7_10475 = BINT(((long) 0));
										{	/* Eval/evaluate.scm 278 */
											BgL_ev_absz00_bglt BgL_new2504z00_10480;

											{	/* Eval/evaluate.scm 278 */
												BgL_ev_absz00_bglt BgL_res7138z00_10485;

												{	/* Eval/evaluate.scm 278 */
													BgL_ev_absz00_bglt BgL_new2528z00_10481;

													BgL_new2528z00_10481 =
														((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
																	BgL_ev_absz00_bgl))));
													BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
														(BgL_new2528z00_10481),
														BGl_classzd2numzd2zz__objectz00
														(BGl_ev_absz00zz__evaluatez00));
													{	/* Eval/evaluate.scm 278 */
														BgL_objectz00_bglt BgL_auxz00_29130;

														BgL_auxz00_29130 =
															(BgL_objectz00_bglt) (BgL_new2528z00_10481);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_29130, BFALSE);
													}
													BgL_res7138z00_10485 = BgL_new2528z00_10481;
												}
												BgL_new2504z00_10480 = BgL_res7138z00_10485;
											}
											{	/* Eval/evaluate.scm 278 */
												BgL_ev_absz00_bglt BgL_res7139z00_10507;

												{	/* Eval/evaluate.scm 278 */
													BgL_ev_absz00_bglt BgL_new2516z00_10486;

													BgL_new2516z00_10486 = BgL_new2504z00_10480;
													{	/* Eval/evaluate.scm 278 */
														obj_t BgL_loc2506z00_10497;

														obj_t BgL_where2507z00_10498;

														obj_t BgL_arity2508z00_10499;

														obj_t BgL_vars2509z00_10500;

														BgL_ev_exprz00_bglt BgL_body2510z00_10501;

														obj_t BgL_siza7e2511za7_10502;

														obj_t BgL_bind2512z00_10503;

														obj_t BgL_free2513z00_10504;

														obj_t BgL_inner2514z00_10505;

														obj_t BgL_boxes2515z00_10506;

														BgL_loc2506z00_10497 = BgL_locz00_26465;
														BgL_where2507z00_10498 = BgL_wherez00_2389;
														BgL_arity2508z00_10499 = BgL_arityz00_2393;
														BgL_vars2509z00_10500 = BgL_varsz00_2394;
														BgL_body2510z00_10501 = BgL_body2498z00_10474;
														BgL_siza7e2511za7_10502 = BgL_siza7e2499za7_10475;
														BgL_bind2512z00_10503 = BNIL;
														BgL_free2513z00_10504 = BNIL;
														BgL_inner2514z00_10505 = BNIL;
														BgL_boxes2515z00_10506 = BNIL;
														((((BgL_ev_absz00_bglt)
																	CREF(BgL_new2516z00_10486))->BgL_locz00) =
															((obj_t) BgL_loc2506z00_10497), BUNSPEC);
														((((BgL_ev_absz00_bglt)
																	CREF(BgL_new2516z00_10486))->BgL_wherez00) =
															((obj_t) BgL_where2507z00_10498), BUNSPEC);
														((((BgL_ev_absz00_bglt)
																	CREF(BgL_new2516z00_10486))->BgL_arityz00) =
															((obj_t) BgL_arity2508z00_10499), BUNSPEC);
														((((BgL_ev_absz00_bglt)
																	CREF(BgL_new2516z00_10486))->BgL_varsz00) =
															((obj_t) BgL_vars2509z00_10500), BUNSPEC);
														((((BgL_ev_absz00_bglt)
																	CREF(BgL_new2516z00_10486))->BgL_bodyz00) =
															((BgL_ev_exprz00_bglt) BgL_body2510z00_10501),
															BUNSPEC);
														((((BgL_ev_absz00_bglt)
																	CREF(BgL_new2516z00_10486))->BgL_siza7eza7) =
															((obj_t) BgL_siza7e2511za7_10502), BUNSPEC);
														((((BgL_ev_absz00_bglt)
																	CREF(BgL_new2516z00_10486))->BgL_bindz00) =
															((obj_t) BgL_bind2512z00_10503), BUNSPEC);
														((((BgL_ev_absz00_bglt)
																	CREF(BgL_new2516z00_10486))->BgL_freez00) =
															((obj_t) BgL_free2513z00_10504), BUNSPEC);
														((((BgL_ev_absz00_bglt)
																	CREF(BgL_new2516z00_10486))->BgL_innerz00) =
															((obj_t) BgL_inner2514z00_10505), BUNSPEC);
														((((BgL_ev_absz00_bglt)
																	CREF(BgL_new2516z00_10486))->BgL_boxesz00) =
															((obj_t) BgL_boxes2515z00_10506), BUNSPEC);
														BgL_res7139z00_10507 = BgL_new2516z00_10486;
												}} BgL_res7139z00_10507;
											}
											BgL_res7140z00_10508 = BgL_new2504z00_10480;
									}}
									return BgL_res7140z00_10508;
								}
							}
						}
					}
				}
			}
		}
	}



/* rconv */
	obj_t BGl_rconvz00zz__evaluatez00(obj_t BgL_wherez00_26472,
		bool_t BgL_tailzf3zf3_26471, obj_t BgL_globalsz00_26470,
		obj_t BgL_localsz00_26469, obj_t BgL_locz00_26468, obj_t BgL_ez00_2381)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 265 */
			{	/* Eval/evaluate.scm 265 */
				obj_t BgL_arg4165z00_10357;

				{	/* Eval/evaluate.scm 265 */
					obj_t BgL__ortest_2582z00_10360;

					BgL__ortest_2582z00_10360 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_2381);
					if (CBOOL(BgL__ortest_2582z00_10360))
						{	/* Eval/evaluate.scm 265 */
							BgL_arg4165z00_10357 = BgL__ortest_2582z00_10360;
						}
					else
						{	/* Eval/evaluate.scm 265 */
							BgL_arg4165z00_10357 = BgL_locz00_26468;
						}
				}
				return
					BGl_convz00zz__evaluatez00(BgL_ez00_2381, BgL_localsz00_26469,
					BgL_globalsz00_26470, BgL_tailzf3zf3_26471, BgL_wherez00_26472,
					BgL_arg4165z00_10357);
			}
		}
	}



/* uconv */
	obj_t BGl_uconvz00zz__evaluatez00(obj_t BgL_wherez00_26476,
		obj_t BgL_globalsz00_26475, obj_t BgL_localsz00_26474,
		obj_t BgL_locz00_26473, obj_t BgL_ez00_2384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 266 */
			{	/* Eval/evaluate.scm 266 */
				obj_t BgL_arg4167z00_10361;

				{	/* Eval/evaluate.scm 266 */
					obj_t BgL__ortest_2582z00_10364;

					BgL__ortest_2582z00_10364 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_2384);
					if (CBOOL(BgL__ortest_2582z00_10364))
						{	/* Eval/evaluate.scm 266 */
							BgL_arg4167z00_10361 = BgL__ortest_2582z00_10364;
						}
					else
						{	/* Eval/evaluate.scm 266 */
							BgL_arg4167z00_10361 = BgL_locz00_26473;
						}
				}
				return
					BGl_convz00zz__evaluatez00(BgL_ez00_2384, BgL_localsz00_26474,
					BgL_globalsz00_26475, ((bool_t) 0), BgL_wherez00_26476,
					BgL_arg4167z00_10361);
			}
		}
	}



/* bind-and-reset-effect */
	obj_t BGl_bindzd2andzd2resetzd2effectzd2zz__evaluatez00(BgL_ev_absz00_bglt
		BgL_absz00_95, obj_t BgL_varsz00_96)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 456 */
			{	/* Eval/evaluate.scm 462 */
				obj_t BgL_ifreez00_2451;

				{	/* Eval/evaluate.scm 462 */
					obj_t BgL_arg4204z00_2462;

					BgL_arg4204z00_2462 =
						(((BgL_ev_absz00_bglt) CREF(BgL_absz00_95))->BgL_innerz00);
					BgL_ifreez00_2451 = BGl_funionz00zz__evaluatez00(BgL_arg4204z00_2462);
				}
				{	/* Eval/evaluate.scm 463 */
					obj_t BgL_arg4198z00_2452;

					BgL_arg4198z00_2452 =
						bgl_append2(BgL_varsz00_96,
						(((BgL_ev_absz00_bglt) CREF(BgL_absz00_95))->BgL_bindz00));
					((((BgL_ev_absz00_bglt) CREF(BgL_absz00_95))->BgL_bindz00) =
						((obj_t) BgL_arg4198z00_2452), BUNSPEC);
				}
				if (BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluatez00)
					{	/* Eval/evaluate.scm 464 */
						((bool_t) 0);
					}
				else
					{	/* Eval/evaluate.scm 465 */
						obj_t BgL_g3103z00_2454;

						BgL_g3103z00_2454 =
							BGl_diffz00zz__evaluatez00(BgL_varsz00_96, BgL_ifreez00_2451);
						{
							obj_t BgL_l3101z00_10603;

							BgL_l3101z00_10603 = BgL_g3103z00_2454;
						BgL_zc3anonymousza34200ze3z83_10602:
							if (PAIRP(BgL_l3101z00_10603))
								{	/* Eval/evaluate.scm 465 */
									{	/* Eval/evaluate.scm 465 */
										obj_t BgL_vz00_10608;

										BgL_vz00_10608 = CAR(BgL_l3101z00_10603);
										{
											BgL_ev_varz00_bglt BgL_auxz00_29161;

											BgL_auxz00_29161 = (BgL_ev_varz00_bglt) (BgL_vz00_10608);
											((((BgL_ev_varz00_bglt) CREF(BgL_auxz00_29161))->
													BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
										}
									}
									{
										obj_t BgL_l3101z00_29164;

										BgL_l3101z00_29164 = CDR(BgL_l3101z00_10603);
										BgL_l3101z00_10603 = BgL_l3101z00_29164;
										goto BgL_zc3anonymousza34200ze3z83_10602;
									}
								}
							else
								{	/* Eval/evaluate.scm 465 */
									((bool_t) 1);
								}
						}
					}
				return BgL_ifreez00_2451;
			}
		}
	}



/* funion */
	obj_t BGl_funionz00zz__evaluatez00(obj_t BgL_lz00_2463)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 461 */
			if (NULLP(BgL_lz00_2463))
				{	/* Eval/evaluate.scm 459 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 461 */
					obj_t BgL_arg4207z00_2466;

					obj_t BgL_arg4208z00_2467;

					{	/* Eval/evaluate.scm 461 */
						BgL_ev_absz00_bglt BgL_obj2485z00_10634;

						{	/* Eval/evaluate.scm 461 */
							obj_t BgL_pairz00_10633;

							BgL_pairz00_10633 = BgL_lz00_2463;
							BgL_obj2485z00_10634 =
								(BgL_ev_absz00_bglt) (CAR(BgL_pairz00_10633));
						}
						BgL_arg4207z00_2466 =
							(((BgL_ev_absz00_bglt) CREF(BgL_obj2485z00_10634))->BgL_freez00);
					}
					BgL_arg4208z00_2467 =
						BGl_funionz00zz__evaluatez00(CDR(BgL_lz00_2463));
					{
						obj_t BgL_l1z00_10637;

						obj_t BgL_l2z00_10638;

						BgL_l1z00_10637 = BgL_arg4207z00_2466;
						BgL_l2z00_10638 = BgL_arg4208z00_2467;
					BgL_unionz00_10636:
						if (NULLP(BgL_l1z00_10637))
							{	/* Eval/evaluate.scm 461 */
								return BgL_l2z00_10638;
							}
						else
							{	/* Eval/evaluate.scm 461 */
								obj_t BgL_xz00_10645;

								BgL_xz00_10645 = CAR(BgL_l1z00_10637);
								{	/* Eval/evaluate.scm 461 */
									obj_t BgL_arg3604z00_10646;

									obj_t BgL_arg3605z00_10647;

									BgL_arg3604z00_10646 = CDR(BgL_l1z00_10637);
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_xz00_10645, BgL_l2z00_10638)))
										{	/* Eval/evaluate.scm 461 */
											BgL_arg3605z00_10647 = BgL_l2z00_10638;
										}
									else
										{	/* Eval/evaluate.scm 461 */
											BgL_arg3605z00_10647 =
												MAKE_PAIR(BgL_xz00_10645, BgL_l2z00_10638);
										}
									{
										obj_t BgL_l2z00_29182;

										obj_t BgL_l1z00_29181;

										BgL_l1z00_29181 = BgL_arg3604z00_10646;
										BgL_l2z00_29182 = BgL_arg3605z00_10647;
										BgL_l2z00_10638 = BgL_l2z00_29182;
										BgL_l1z00_10637 = BgL_l1z00_29181;
										goto BgL_unionz00_10636;
									}
								}
							}
					}
				}
		}
	}



/* get-evaluation-contexte */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextez00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 581 */
			{	/* Eval/evaluate.scm 582 */
				obj_t BgL_sz00_2482;

				BgL_sz00_2482 =
					BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
				{	/* Eval/evaluate.scm 583 */
					obj_t BgL_bpz00_2483;

					BgL_bpz00_2483 = VECTOR_REF(BgL_sz00_2482, (int) (((long) 0)));
					{	/* Eval/evaluate.scm 584 */
						obj_t BgL_rz00_2484;

						BgL_rz00_2484 =
							make_vector(CINT(BgL_bpz00_2483),
							BGl_string8172z00zz__evaluatez00);
						{
							long BgL_iz00_2486;

							BgL_iz00_2486 = ((long) 0);
						BgL_zc3anonymousza34220ze3z83_2487:
							if ((BgL_iz00_2486 < (long) CINT(BgL_bpz00_2483)))
								{	/* Eval/evaluate.scm 586 */
									VECTOR_SET(BgL_rz00_2484,
										(int) (BgL_iz00_2486),
										VECTOR_REF(BgL_sz00_2482, (int) (BgL_iz00_2486)));
									{
										long BgL_iz00_29194;

										BgL_iz00_29194 = (BgL_iz00_2486 + ((long) 1));
										BgL_iz00_2486 = BgL_iz00_29194;
										goto BgL_zc3anonymousza34220ze3z83_2487;
									}
								}
							else
								{	/* Eval/evaluate.scm 586 */
									((bool_t) 0);
								}
						}
						return BgL_rz00_2484;
					}
				}
			}
		}
	}



/* _get-evaluation-contexte */
	obj_t BGl__getzd2evaluationzd2contextez00zz__evaluatez00(obj_t
		BgL_envz00_23999)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 581 */
			return BGl_getzd2evaluationzd2contextez00zz__evaluatez00();
		}
	}



/* set-evaluation-contexte! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2evaluationzd2contextez12z12zz__evaluatez00(obj_t BgL_vz00_142)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 591 */
			{	/* Eval/evaluate.scm 592 */
				obj_t BgL_sz00_2492;

				BgL_sz00_2492 =
					BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
				{	/* Eval/evaluate.scm 593 */
					obj_t BgL_bpz00_2493;

					BgL_bpz00_2493 = VECTOR_REF(BgL_vz00_142, (int) (((long) 0)));
					{
						long BgL_iz00_2495;

						{	/* Eval/evaluate.scm 594 */
							bool_t BgL_auxz00_29199;

							BgL_iz00_2495 = ((long) 0);
						BgL_zc3anonymousza34224ze3z83_2496:
							if ((BgL_iz00_2495 < (long) CINT(BgL_bpz00_2493)))
								{	/* Eval/evaluate.scm 595 */
									VECTOR_SET(BgL_sz00_2492,
										(int) (BgL_iz00_2495),
										VECTOR_REF(BgL_vz00_142, (int) (BgL_iz00_2495)));
									{
										long BgL_iz00_29207;

										BgL_iz00_29207 = (BgL_iz00_2495 + ((long) 1));
										BgL_iz00_2495 = BgL_iz00_29207;
										goto BgL_zc3anonymousza34224ze3z83_2496;
									}
								}
							else
								{	/* Eval/evaluate.scm 595 */
									BgL_auxz00_29199 = ((bool_t) 0);
								}
							return BBOOL(BgL_auxz00_29199);
						}
					}
				}
			}
		}
	}



/* _set-evaluation-contexte! */
	obj_t BGl__setzd2evaluationzd2contextez12z12zz__evaluatez00(obj_t
		BgL_envz00_24000, obj_t BgL_vz00_24001)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 591 */
			return
				BGl_setzd2evaluationzd2contextez12z12zz__evaluatez00(BgL_vz00_24001);
		}
	}



/* catch-trampoline */
	obj_t BGl_catchzd2trampolinezd2zz__evaluatez00(obj_t BgL_fz00_247,
		obj_t BgL_sz00_248, obj_t BgL_bpz00_249)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1035 */
			{	/* Eval/evaluate.scm 1036 */
				obj_t BgL_savedzd2bpzd2_2560;

				BgL_savedzd2bpzd2_2560 = VECTOR_REF(BgL_sz00_248, (int) (((long) 0)));
				VECTOR_SET(BgL_sz00_248, (int) (((long) 0)), BgL_bpz00_249);
				{
					obj_t BgL_fz00_2562;

					BgL_fz00_2562 = BgL_fz00_247;
				BgL_zc3anonymousza34279ze3z83_2563:
					{	/* Eval/evaluate.scm 1039 */
						obj_t BgL_rz00_2564;

						BgL_rz00_2564 =
							PROCEDURE_ENTRY(BgL_fz00_2562) (BgL_fz00_2562, BgL_sz00_248,
							BEOA);
						{	/* Eval/evaluate.scm 1040 */
							bool_t BgL_testz00_29217;

							if (PROCEDUREP(BgL_rz00_2564))
								{	/* Eval/evaluate.scm 1040 */
									obj_t BgL_arg4282z00_2567;

									BgL_arg4282z00_2567 = PROCEDURE_ATTR(BgL_rz00_2564);
									if (STRUCTP(BgL_arg4282z00_2567))
										{	/* Eval/evaluate.scm 1040 */
											BgL_testz00_29217 =
												(STRUCT_KEY(BgL_arg4282z00_2567) ==
												BGl_symbol8173z00zz__evaluatez00);
										}
									else
										{	/* Eval/evaluate.scm 1040 */
											BgL_testz00_29217 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/evaluate.scm 1040 */
									BgL_testz00_29217 = ((bool_t) 0);
								}
							if (BgL_testz00_29217)
								{
									obj_t BgL_fz00_29225;

									BgL_fz00_29225 = BgL_rz00_2564;
									BgL_fz00_2562 = BgL_fz00_29225;
									goto BgL_zc3anonymousza34279ze3z83_2563;
								}
							else
								{	/* Eval/evaluate.scm 1040 */
									VECTOR_SET(BgL_sz00_248,
										(int) (((long) 0)), BgL_savedzd2bpzd2_2560);
									return BgL_rz00_2564;
								}
						}
					}
				}
			}
		}
	}



/* comp-with-push */
	obj_t BGl_compzd2withzd2pushz00zz__evaluatez00(obj_t BgL_eza2za2_267,
		obj_t BgL_stkz00_268)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1054 */
			if (NULLP(BgL_eza2za2_267))
				{	/* Eval/evaluate.scm 1056 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 1058 */
					obj_t BgL_arg4296z00_2582;

					obj_t BgL_arg4297z00_2583;

					{	/* Eval/evaluate.scm 1058 */
						obj_t BgL_arg4298z00_2584;

						BgL_arg4298z00_2584 = CAR(BgL_eza2za2_267);
						{	/* Eval/evaluate.scm 1058 */
							BgL_ev_exprz00_bglt BgL_ez00_10880;

							BgL_ez00_10880 = (BgL_ev_exprz00_bglt) (BgL_arg4298z00_2584);
							{	/* Eval/evaluate.scm 1058 */
								obj_t BgL_method3374z00_10882;

								{	/* Eval/evaluate.scm 1058 */
									BgL_objectz00_bglt BgL_objz00_10883;

									BgL_objz00_10883 = (BgL_objectz00_bglt) (BgL_ez00_10880);
									{	/* Eval/evaluate.scm 1058 */
										long BgL_objzd2classzd2numz00_10884;

										BgL_objzd2classzd2numz00_10884 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_10883);
										{	/* Eval/evaluate.scm 1058 */
											obj_t BgL_arg6930z00_10885;

											BgL_arg6930z00_10885 =
												PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 1058 */
												obj_t BgL_arrayz00_10887;

												int BgL_offsetz00_10888;

												BgL_arrayz00_10887 = BgL_arg6930z00_10885;
												BgL_offsetz00_10888 =
													(int) (BgL_objzd2classzd2numz00_10884);
												{	/* Eval/evaluate.scm 1058 */
													long BgL_offsetz00_10889;

													BgL_offsetz00_10889 =
														((long) (BgL_offsetz00_10888) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 1058 */
														long BgL_modz00_10890;

														{	/* Eval/evaluate.scm 1058 */
															int BgL_arg6932z00_10891;

															BgL_arg6932z00_10891 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 1058 */
																long BgL_auxz00_29240;

																BgL_auxz00_29240 =
																	(long) (BgL_arg6932z00_10891);
																BgL_modz00_10890 =
																	(BgL_offsetz00_10889 / BgL_auxz00_29240);
														}}
														{	/* Eval/evaluate.scm 1058 */
															long BgL_restz00_10892;

															{	/* Eval/evaluate.scm 1058 */
																int BgL_arg6931z00_10893;

																BgL_arg6931z00_10893 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 1058 */
																	long BgL_auxz00_29244;

																	BgL_auxz00_29244 =
																		(long) (BgL_arg6931z00_10893);
																	BgL_restz00_10892 =
																		(BgL_offsetz00_10889 % BgL_auxz00_29244);
															}}
															{	/* Eval/evaluate.scm 1058 */

																BgL_method3374z00_10882 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_10887,
																		(int) (BgL_modz00_10890)),
																	(int) (BgL_restz00_10892));
								}}}}}}}}
								BgL_arg4296z00_2582 =
									PROCEDURE_ENTRY(BgL_method3374z00_10882)
									(BgL_method3374z00_10882, (obj_t) (BgL_ez00_10880),
									BgL_stkz00_268, BEOA);
					}}}
					{	/* Eval/evaluate.scm 1059 */
						obj_t BgL_arg4299z00_2585;

						obj_t BgL_arg4300z00_2586;

						BgL_arg4299z00_2585 = CDR(BgL_eza2za2_267);
						{	/* Eval/evaluate.scm 1059 */
							obj_t BgL_arg4301z00_2587;

							BgL_arg4301z00_2587 = MAKE_PAIR(BFALSE, BNIL);
							BgL_arg4300z00_2586 =
								bgl_append2(BgL_stkz00_268, BgL_arg4301z00_2587);
						}
						BgL_arg4297z00_2583 =
							BGl_compzd2withzd2pushz00zz__evaluatez00(BgL_arg4299z00_2585,
							BgL_arg4300z00_2586);
					}
					return MAKE_PAIR(BgL_arg4296z00_2582, BgL_arg4297z00_2583);
				}
		}
	}



/* rec' */
	obj_t BGl_recz72z72zz__evaluatez00(obj_t BgL_stkz00_26460,
		obj_t BgL_lz00_2589, long BgL_iz00_2590)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1062 */
			if (NULLP(BgL_lz00_2589))
				{	/* Eval/evaluate.scm 1063 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 1063 */
					if ((BgL_iz00_2590 == ((long) 0)))
						{	/* Eval/evaluate.scm 1064 */
							return
								BGl_compzd2withzd2pushz00zz__evaluatez00(BgL_lz00_2589,
								BgL_stkz00_26460);
						}
					else
						{	/* Eval/evaluate.scm 1065 */
							obj_t BgL_arg4305z00_2594;

							obj_t BgL_arg4306z00_2595;

							{	/* Eval/evaluate.scm 1065 */
								obj_t BgL_arg4307z00_2596;

								BgL_arg4307z00_2596 = CAR(BgL_lz00_2589);
								{	/* Eval/evaluate.scm 1065 */
									BgL_ev_exprz00_bglt BgL_ez00_10912;

									BgL_ez00_10912 = (BgL_ev_exprz00_bglt) (BgL_arg4307z00_2596);
									{	/* Eval/evaluate.scm 1065 */
										obj_t BgL_method3374z00_10914;

										{	/* Eval/evaluate.scm 1065 */
											BgL_objectz00_bglt BgL_objz00_10915;

											BgL_objz00_10915 = (BgL_objectz00_bglt) (BgL_ez00_10912);
											{	/* Eval/evaluate.scm 1065 */
												long BgL_objzd2classzd2numz00_10916;

												BgL_objzd2classzd2numz00_10916 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_10915);
												{	/* Eval/evaluate.scm 1065 */
													obj_t BgL_arg6930z00_10917;

													BgL_arg6930z00_10917 =
														PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
														(int) (((long) 1)));
													{	/* Eval/evaluate.scm 1065 */
														obj_t BgL_arrayz00_10919;

														int BgL_offsetz00_10920;

														BgL_arrayz00_10919 = BgL_arg6930z00_10917;
														BgL_offsetz00_10920 =
															(int) (BgL_objzd2classzd2numz00_10916);
														{	/* Eval/evaluate.scm 1065 */
															long BgL_offsetz00_10921;

															BgL_offsetz00_10921 =
																((long) (BgL_offsetz00_10920) - OBJECT_TYPE);
															{	/* Eval/evaluate.scm 1065 */
																long BgL_modz00_10922;

																{	/* Eval/evaluate.scm 1065 */
																	int BgL_arg6932z00_10923;

																	BgL_arg6932z00_10923 = (int) (((long) 16));
																	{	/* Eval/evaluate.scm 1065 */
																		long BgL_auxz00_29274;

																		BgL_auxz00_29274 =
																			(long) (BgL_arg6932z00_10923);
																		BgL_modz00_10922 =
																			(BgL_offsetz00_10921 / BgL_auxz00_29274);
																}}
																{	/* Eval/evaluate.scm 1065 */
																	long BgL_restz00_10924;

																	{	/* Eval/evaluate.scm 1065 */
																		int BgL_arg6931z00_10925;

																		BgL_arg6931z00_10925 = (int) (((long) 16));
																		{	/* Eval/evaluate.scm 1065 */
																			long BgL_auxz00_29278;

																			BgL_auxz00_29278 =
																				(long) (BgL_arg6931z00_10925);
																			BgL_restz00_10924 =
																				(BgL_offsetz00_10921 %
																				BgL_auxz00_29278);
																	}}
																	{	/* Eval/evaluate.scm 1065 */

																		BgL_method3374z00_10914 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_10919,
																				(int) (BgL_modz00_10922)),
																			(int) (BgL_restz00_10924));
										}}}}}}}}
										BgL_arg4305z00_2594 =
											PROCEDURE_ENTRY(BgL_method3374z00_10914)
											(BgL_method3374z00_10914, (obj_t) (BgL_ez00_10912),
											BgL_stkz00_26460, BEOA);
							}}}
							BgL_arg4306z00_2595 =
								BGl_recz72z72zz__evaluatez00(BgL_stkz00_26460,
								CDR(BgL_lz00_2589), (BgL_iz00_2590 - ((long) 1)));
							return MAKE_PAIR(BgL_arg4305z00_2594, BgL_arg4306z00_2595);
						}
				}
		}
	}



/* subr-call-with-push */
	obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluatez00(obj_t BgL_sz00_272,
		obj_t BgL_fz00_273, obj_t BgL_argsz00_274, obj_t BgL_bpz00_275,
		obj_t BgL_siza7eza7_276)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1068 */
			{	/* Eval/evaluate.scm 1070 */
				obj_t BgL_argsz00_2600;

				if (NULLP(BgL_argsz00_274))
					{	/* Eval/evaluate.scm 1070 */
						BgL_argsz00_2600 = BNIL;
					}
				else
					{	/* Eval/evaluate.scm 1070 */
						obj_t BgL_head3182z00_2606;

						BgL_head3182z00_2606 = MAKE_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l3180z00_10946;

							obj_t BgL_tail3183z00_10947;

							BgL_l3180z00_10946 = BgL_argsz00_274;
							BgL_tail3183z00_10947 = BgL_head3182z00_2606;
						BgL_zc3anonymousza34313ze3z83_10945:
							if (NULLP(BgL_l3180z00_10946))
								{	/* Eval/evaluate.scm 1070 */
									BgL_argsz00_2600 = CDR(BgL_head3182z00_2606);
								}
							else
								{	/* Eval/evaluate.scm 1070 */
									obj_t BgL_newtail3184z00_10955;

									{	/* Eval/evaluate.scm 1070 */
										obj_t BgL_arg4316z00_10956;

										{	/* Eval/evaluate.scm 1070 */
											obj_t BgL_az00_10958;

											BgL_az00_10958 = CAR(BgL_l3180z00_10946);
											BgL_arg4316z00_10956 =
												PROCEDURE_ENTRY(BgL_az00_10958) (BgL_az00_10958,
												BgL_sz00_272, BEOA);
										}
										BgL_newtail3184z00_10955 =
											MAKE_PAIR(BgL_arg4316z00_10956, BNIL);
									}
									SET_CDR(BgL_tail3183z00_10947, BgL_newtail3184z00_10955);
									{
										obj_t BgL_tail3183z00_29305;

										obj_t BgL_l3180z00_29303;

										BgL_l3180z00_29303 = CDR(BgL_l3180z00_10946);
										BgL_tail3183z00_29305 = BgL_newtail3184z00_10955;
										BgL_tail3183z00_10947 = BgL_tail3183z00_29305;
										BgL_l3180z00_10946 = BgL_l3180z00_29303;
										goto BgL_zc3anonymousza34313ze3z83_10945;
									}
								}
						}
					}
				{	/* Eval/evaluate.scm 1071 */
					long BgL_arg4311z00_2602;

					BgL_arg4311z00_2602 =
						((long) CINT(BgL_bpz00_275) + (long) CINT(BgL_siza7eza7_276));
					VECTOR_SET(BgL_sz00_272,
						(int) (((long) 0)), BINT(BgL_arg4311z00_2602));
				}
				{	/* Eval/evaluate.scm 1072 */
					obj_t BgL_za2za2resza2za2z00_2603;

					BgL_za2za2resza2za2z00_2603 = apply(BgL_fz00_273, BgL_argsz00_2600);
					VECTOR_SET(BgL_sz00_272, (int) (((long) 0)), BgL_bpz00_275);
					return BgL_za2za2resza2za2z00_2603;
				}
			}
		}
	}



/* push-nargs-on-sp */
	obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluatez00(obj_t BgL_arityz00_280,
		obj_t BgL_sz00_281, obj_t BgL_argsz00_282, obj_t BgL_spz00_283)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1081 */
			{	/* Eval/evaluate.scm 1082 */
				long BgL_g2791z00_2628;

				BgL_g2791z00_2628 = (((long) -1) - (long) CINT(BgL_arityz00_280));
				{
					obj_t BgL_lz00_2630;

					obj_t BgL_spz00_2631;

					long BgL_nz00_2632;

					BgL_lz00_2630 = BgL_argsz00_282;
					BgL_spz00_2631 = BgL_spz00_283;
					BgL_nz00_2632 = BgL_g2791z00_2628;
				BgL_zc3anonymousza34324ze3z83_2633:
					if ((BgL_nz00_2632 == ((long) 0)))
						{
							obj_t BgL_lz00_11068;

							obj_t BgL_rz00_11069;

							BgL_lz00_11068 = BgL_lz00_2630;
							BgL_rz00_11069 = BNIL;
						BgL_rec2z00_11067:
							if (NULLP(BgL_lz00_11068))
								{	/* Eval/evaluate.scm 1084 */
									obj_t BgL_arg4328z00_11077;

									BgL_arg4328z00_11077 = bgl_reverse_bang(BgL_rz00_11069);
									{	/* Eval/evaluate.scm 1084 */
										obj_t BgL_vectorz00_11083;

										int BgL_kz00_11084;

										BgL_vectorz00_11083 = BgL_sz00_281;
										BgL_kz00_11084 = CINT(BgL_spz00_2631);
										{	/* Eval/evaluate.scm 1084 */
											obj_t BgL_xz00_26482;

											BgL_xz00_26482 =
												VECTOR_SET(BgL_vectorz00_11083, BgL_kz00_11084,
												BgL_arg4328z00_11077);
											return BUNSPEC;
										}
									}
								}
							else
								{	/* Eval/evaluate.scm 1084 */
									obj_t BgL_arg4329z00_11078;

									obj_t BgL_arg4330z00_11079;

									BgL_arg4329z00_11078 = CDR(BgL_lz00_11068);
									{	/* Eval/evaluate.scm 1084 */
										obj_t BgL_arg4331z00_11080;

										{	/* Eval/evaluate.scm 1084 */
											obj_t BgL_fun4332z00_11081;

											BgL_fun4332z00_11081 = CAR(BgL_lz00_11068);
											BgL_arg4331z00_11080 =
												PROCEDURE_ENTRY(BgL_fun4332z00_11081)
												(BgL_fun4332z00_11081, BgL_sz00_281, BEOA);
										}
										BgL_arg4330z00_11079 =
											MAKE_PAIR(BgL_arg4331z00_11080, BgL_rz00_11069);
									}
									{
										obj_t BgL_rz00_29331;

										obj_t BgL_lz00_29330;

										BgL_lz00_29330 = BgL_arg4329z00_11078;
										BgL_rz00_29331 = BgL_arg4330z00_11079;
										BgL_rz00_11069 = BgL_rz00_29331;
										BgL_lz00_11068 = BgL_lz00_29330;
										goto BgL_rec2z00_11067;
									}
								}
						}
					else
						{	/* Eval/evaluate.scm 1083 */
							{	/* Eval/evaluate.scm 1088 */
								obj_t BgL_arg4333z00_2647;

								{	/* Eval/evaluate.scm 1088 */
									obj_t BgL_fun4334z00_2648;

									BgL_fun4334z00_2648 = CAR(BgL_lz00_2630);
									BgL_arg4333z00_2647 =
										PROCEDURE_ENTRY(BgL_fun4334z00_2648) (BgL_fun4334z00_2648,
										BgL_sz00_281, BEOA);
								}
								VECTOR_SET(BgL_sz00_281,
									CINT(BgL_spz00_2631), BgL_arg4333z00_2647);
							}
							{	/* Eval/evaluate.scm 1089 */
								obj_t BgL_arg4335z00_2649;

								long BgL_arg4336z00_2650;

								long BgL_arg4337z00_2651;

								BgL_arg4335z00_2649 = CDR(BgL_lz00_2630);
								BgL_arg4336z00_2650 =
									((long) CINT(BgL_spz00_2631) + ((long) 1));
								BgL_arg4337z00_2651 = (BgL_nz00_2632 - ((long) 1));
								{
									long BgL_nz00_29344;

									obj_t BgL_spz00_29342;

									obj_t BgL_lz00_29341;

									BgL_lz00_29341 = BgL_arg4335z00_2649;
									BgL_spz00_29342 = BINT(BgL_arg4336z00_2650);
									BgL_nz00_29344 = BgL_arg4337z00_2651;
									BgL_nz00_2632 = BgL_nz00_29344;
									BgL_spz00_2631 = BgL_spz00_29342;
									BgL_lz00_2630 = BgL_lz00_29341;
									goto BgL_zc3anonymousza34324ze3z83_2633;
								}
							}
						}
				}
			}
		}
	}



/* need-shift */
	bool_t BGl_needzd2shiftzd2zz__evaluatez00(obj_t BgL_argsz00_284,
		obj_t BgL_stkz00_285)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1117 */
			{
				obj_t BgL_lz00_2654;

				obj_t BgL_stkz00_2655;

				BgL_lz00_2654 = BgL_argsz00_284;
				BgL_stkz00_2655 = BgL_stkz00_285;
			BgL_zc3anonymousza34338ze3z83_2656:
				{	/* Eval/evaluate.scm 1121 */
					bool_t BgL_testz00_29345;

					if (NULLP(BgL_lz00_2654))
						{	/* Eval/evaluate.scm 1121 */
							BgL_testz00_29345 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate.scm 1121 */
							BgL_testz00_29345 = NULLP(BgL_stkz00_2655);
						}
					if (BgL_testz00_29345)
						{	/* Eval/evaluate.scm 1121 */
							return ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate.scm 1123 */
							bool_t BgL_testz00_29349;

							{	/* Eval/evaluate.scm 1123 */
								obj_t BgL_g3187z00_2661;

								BgL_g3187z00_2661 = CDR(BgL_lz00_2654);
								{
									obj_t BgL_l3185z00_2663;

									BgL_l3185z00_2663 = BgL_g3187z00_2661;
								BgL_zc3anonymousza34343ze3z83_2664:
									if (NULLP(BgL_l3185z00_2663))
										{	/* Eval/evaluate.scm 1123 */
											BgL_testz00_29349 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate.scm 1123 */
											bool_t BgL_testz00_29353;

											{	/* Eval/evaluate.scm 1123 */
												obj_t BgL_ez00_2668;

												BgL_ez00_2668 = CAR(BgL_l3185z00_2663);
												{	/* Eval/evaluate.scm 1123 */
													obj_t BgL_arg4347z00_2669;

													obj_t BgL_arg4348z00_2670;

													BgL_arg4347z00_2669 = CAR(BgL_stkz00_2655);
													{	/* Eval/evaluate.scm 1123 */
														BgL_ev_exprz00_bglt BgL_ez00_11129;

														BgL_ez00_11129 =
															(BgL_ev_exprz00_bglt) (BgL_ez00_2668);
														{	/* Eval/evaluate.scm 1123 */
															obj_t BgL_method3341z00_11131;

															{	/* Eval/evaluate.scm 1123 */
																BgL_objectz00_bglt BgL_objz00_11132;

																BgL_objz00_11132 =
																	(BgL_objectz00_bglt) (BgL_ez00_11129);
																{	/* Eval/evaluate.scm 1123 */
																	long BgL_objzd2classzd2numz00_11133;

																	BgL_objzd2classzd2numz00_11133 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_11132);
																	{	/* Eval/evaluate.scm 1123 */
																		obj_t BgL_arg6930z00_11134;

																		BgL_arg6930z00_11134 =
																			PROCEDURE_REF
																			(BGl_usezd2envzd2zz__evaluatez00,
																			(int) (((long) 1)));
																		{	/* Eval/evaluate.scm 1123 */
																			obj_t BgL_arrayz00_11136;

																			int BgL_offsetz00_11137;

																			BgL_arrayz00_11136 = BgL_arg6930z00_11134;
																			BgL_offsetz00_11137 =
																				(int) (BgL_objzd2classzd2numz00_11133);
																			{	/* Eval/evaluate.scm 1123 */
																				long BgL_offsetz00_11138;

																				BgL_offsetz00_11138 =
																					(
																					(long) (BgL_offsetz00_11137) -
																					OBJECT_TYPE);
																				{	/* Eval/evaluate.scm 1123 */
																					long BgL_modz00_11139;

																					{	/* Eval/evaluate.scm 1123 */
																						int BgL_arg6932z00_11140;

																						BgL_arg6932z00_11140 =
																							(int) (((long) 16));
																						{	/* Eval/evaluate.scm 1123 */
																							long BgL_auxz00_29365;

																							BgL_auxz00_29365 =
																								(long) (BgL_arg6932z00_11140);
																							BgL_modz00_11139 =
																								(BgL_offsetz00_11138 /
																								BgL_auxz00_29365);
																					}}
																					{	/* Eval/evaluate.scm 1123 */
																						long BgL_restz00_11141;

																						{	/* Eval/evaluate.scm 1123 */
																							int BgL_arg6931z00_11142;

																							BgL_arg6931z00_11142 =
																								(int) (((long) 16));
																							{	/* Eval/evaluate.scm 1123 */
																								long BgL_auxz00_29369;

																								BgL_auxz00_29369 =
																									(long) (BgL_arg6931z00_11142);
																								BgL_restz00_11141 =
																									(BgL_offsetz00_11138 %
																									BgL_auxz00_29369);
																						}}
																						{	/* Eval/evaluate.scm 1123 */

																							BgL_method3341z00_11131 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_11136,
																									(int) (BgL_modz00_11139)),
																								(int) (BgL_restz00_11141));
															}}}}}}}}
															BgL_arg4348z00_2670 =
																PROCEDURE_ENTRY(BgL_method3341z00_11131)
																(BgL_method3341z00_11131,
																(obj_t) (BgL_ez00_11129), BNIL, BEOA);
													}}
													BgL_testz00_29353 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg4347z00_2669, BgL_arg4348z00_2670));
											}}
											if (BgL_testz00_29353)
												{	/* Eval/evaluate.scm 1123 */
													BgL_testz00_29349 = ((bool_t) 1);
												}
											else
												{
													obj_t BgL_l3185z00_29381;

													BgL_l3185z00_29381 = CDR(BgL_l3185z00_2663);
													BgL_l3185z00_2663 = BgL_l3185z00_29381;
													goto BgL_zc3anonymousza34343ze3z83_2664;
												}
										}
								}
							}
							if (BgL_testz00_29349)
								{	/* Eval/evaluate.scm 1123 */
									return ((bool_t) 1);
								}
							else
								{
									obj_t BgL_stkz00_29385;

									obj_t BgL_lz00_29383;

									BgL_lz00_29383 = CDR(BgL_lz00_2654);
									BgL_stkz00_29385 = CDR(BgL_stkz00_2655);
									BgL_stkz00_2655 = BgL_stkz00_29385;
									BgL_lz00_2654 = BgL_lz00_29383;
									goto BgL_zc3anonymousza34338ze3z83_2656;
								}
						}
				}
			}
		}
	}



/* comp-old-call */
	obj_t BGl_compzd2oldzd2callz00zz__evaluatez00(BgL_ev_appz00_bglt BgL_ez00_286,
		obj_t BgL_stkz00_287)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1127 */
			{	/* Eval/evaluate.scm 1129 */
				long BgL_siza7eza7_2675;

				long BgL_nbargsz00_2676;

				obj_t BgL_fz00_2677;

				BgL_siza7eza7_2675 = bgl_list_length(BgL_stkz00_287);
				BgL_nbargsz00_2676 =
					bgl_list_length(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_286))->BgL_argsz00));
				{	/* Eval/evaluate.scm 1129 */
					BgL_ev_exprz00_bglt BgL_arg4402z00_2760;

					BgL_arg4402z00_2760 =
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_286))->BgL_funz00);
					{	/* Eval/evaluate.scm 1129 */
						obj_t BgL_method3374z00_11163;

						{	/* Eval/evaluate.scm 1129 */
							BgL_objectz00_bglt BgL_objz00_11164;

							BgL_objz00_11164 = (BgL_objectz00_bglt) (BgL_arg4402z00_2760);
							{	/* Eval/evaluate.scm 1129 */
								long BgL_objzd2classzd2numz00_11165;

								BgL_objzd2classzd2numz00_11165 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_11164);
								{	/* Eval/evaluate.scm 1129 */
									obj_t BgL_arg6930z00_11166;

									BgL_arg6930z00_11166 =
										PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 1129 */
										obj_t BgL_arrayz00_11168;

										int BgL_offsetz00_11169;

										BgL_arrayz00_11168 = BgL_arg6930z00_11166;
										BgL_offsetz00_11169 =
											(int) (BgL_objzd2classzd2numz00_11165);
										{	/* Eval/evaluate.scm 1129 */
											long BgL_offsetz00_11170;

											BgL_offsetz00_11170 =
												((long) (BgL_offsetz00_11169) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 1129 */
												long BgL_modz00_11171;

												{	/* Eval/evaluate.scm 1129 */
													int BgL_arg6932z00_11172;

													BgL_arg6932z00_11172 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 1129 */
														long BgL_auxz00_29399;

														BgL_auxz00_29399 = (long) (BgL_arg6932z00_11172);
														BgL_modz00_11171 =
															(BgL_offsetz00_11170 / BgL_auxz00_29399);
												}}
												{	/* Eval/evaluate.scm 1129 */
													long BgL_restz00_11173;

													{	/* Eval/evaluate.scm 1129 */
														int BgL_arg6931z00_11174;

														BgL_arg6931z00_11174 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 1129 */
															long BgL_auxz00_29403;

															BgL_auxz00_29403 = (long) (BgL_arg6931z00_11174);
															BgL_restz00_11173 =
																(BgL_offsetz00_11170 % BgL_auxz00_29403);
													}}
													{	/* Eval/evaluate.scm 1129 */

														BgL_method3374z00_11163 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_11168,
																(int) (BgL_modz00_11171)),
															(int) (BgL_restz00_11173));
						}}}}}}}}
						BgL_fz00_2677 =
							PROCEDURE_ENTRY(BgL_method3374z00_11163) (BgL_method3374z00_11163,
							(obj_t) (BgL_arg4402z00_2760), BgL_stkz00_287, BEOA);
				}}
				if (CBOOL((((BgL_ev_appz00_bglt) CREF(BgL_ez00_286))->BgL_tailzf3zf3)))
					{	/* Eval/evaluate.scm 1137 */
						bool_t BgL_testz00_29416;

						{	/* Eval/evaluate.scm 1137 */
							obj_t BgL_arg4385z00_2733;

							BgL_arg4385z00_2733 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_286))->BgL_argsz00);
							BgL_testz00_29416 =
								BGl_needzd2shiftzd2zz__evaluatez00(BgL_arg4385z00_2733,
								BgL_stkz00_287);
						}
						if (BgL_testz00_29416)
							{	/* Eval/evaluate.scm 1138 */
								obj_t BgL_argsz00_2680;

								{	/* Eval/evaluate.scm 1139 */
									obj_t BgL_arg4369z00_2707;

									BgL_arg4369z00_2707 =
										(((BgL_ev_appz00_bglt) CREF(BgL_ez00_286))->BgL_argsz00);
									BgL_argsz00_2680 =
										BGl_compzd2withzd2pushz00zz__evaluatez00
										(BgL_arg4369z00_2707, BgL_stkz00_287);
								}
								{	/* Eval/evaluate.scm 1138 */
									obj_t BgL_zc3anonymousza34352ze3z83_24005;

									BgL_zc3anonymousza34352ze3z83_24005 =
										make_fx_procedure
										(BGl_zc3anonymousza34352ze3z83zz__evaluatez00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_zc3anonymousza34352ze3z83_24005,
										(int) (((long) 0)), BgL_fz00_2677);
									PROCEDURE_SET(BgL_zc3anonymousza34352ze3z83_24005,
										(int) (((long) 1)), BgL_argsz00_2680);
									PROCEDURE_SET(BgL_zc3anonymousza34352ze3z83_24005,
										(int) (((long) 2)), BINT(BgL_siza7eza7_2675));
									PROCEDURE_SET(BgL_zc3anonymousza34352ze3z83_24005,
										(int) (((long) 3)), BINT(BgL_nbargsz00_2676));
									PROCEDURE_SET(BgL_zc3anonymousza34352ze3z83_24005,
										(int) (((long) 4)), (obj_t) (BgL_ez00_286));
									return BgL_zc3anonymousza34352ze3z83_24005;
								}
							}
						else
							{	/* Eval/evaluate.scm 1146 */
								obj_t BgL_argsz00_2708;

								{	/* Eval/evaluate.scm 1147 */
									obj_t BgL_arg4384z00_2732;

									BgL_arg4384z00_2732 =
										(((BgL_ev_appz00_bglt) CREF(BgL_ez00_286))->BgL_argsz00);
									BgL_argsz00_2708 =
										BGl_recz72z72zz__evaluatez00(BgL_stkz00_287,
										BgL_arg4384z00_2732, BgL_siza7eza7_2675);
								}
								{	/* Eval/evaluate.scm 1146 */
									obj_t BgL_zc3anonymousza34370ze3z83_24006;

									BgL_zc3anonymousza34370ze3z83_24006 =
										make_fx_procedure
										(BGl_zc3anonymousza34370ze3z83zz__evaluatez00,
										(int) (((long) 1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_zc3anonymousza34370ze3z83_24006,
										(int) (((long) 0)), BgL_fz00_2677);
									PROCEDURE_SET(BgL_zc3anonymousza34370ze3z83_24006,
										(int) (((long) 1)), BgL_argsz00_2708);
									PROCEDURE_SET(BgL_zc3anonymousza34370ze3z83_24006,
										(int) (((long) 2)), BINT(BgL_nbargsz00_2676));
									PROCEDURE_SET(BgL_zc3anonymousza34370ze3z83_24006,
										(int) (((long) 3)), (obj_t) (BgL_ez00_286));
									return BgL_zc3anonymousza34370ze3z83_24006;
								}
							}
					}
				else
					{	/* Eval/evaluate.scm 1132 */
						obj_t BgL_argsz00_2734;

						{	/* Eval/evaluate.scm 1133 */
							obj_t BgL_arg4400z00_2758;

							BgL_arg4400z00_2758 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_286))->BgL_argsz00);
							BgL_argsz00_2734 =
								BGl_compzd2withzd2pushz00zz__evaluatez00(BgL_arg4400z00_2758,
								BgL_stkz00_287);
						}
						{	/* Eval/evaluate.scm 1132 */
							obj_t BgL_zc3anonymousza34386ze3z83_24007;

							BgL_zc3anonymousza34386ze3z83_24007 =
								make_fx_procedure(BGl_zc3anonymousza34386ze3z83zz__evaluatez00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_zc3anonymousza34386ze3z83_24007,
								(int) (((long) 0)), BgL_fz00_2677);
							PROCEDURE_SET(BgL_zc3anonymousza34386ze3z83_24007,
								(int) (((long) 1)), BgL_argsz00_2734);
							PROCEDURE_SET(BgL_zc3anonymousza34386ze3z83_24007,
								(int) (((long) 2)), BINT(BgL_siza7eza7_2675));
							PROCEDURE_SET(BgL_zc3anonymousza34386ze3z83_24007,
								(int) (((long) 3)), BINT(BgL_nbargsz00_2676));
							PROCEDURE_SET(BgL_zc3anonymousza34386ze3z83_24007,
								(int) (((long) 4)), (obj_t) (BgL_ez00_286));
							return BgL_zc3anonymousza34386ze3z83_24007;
						}
					}
			}
		}
	}



/* <anonymous:4352> */
	obj_t BGl_zc3anonymousza34352ze3z83zz__evaluatez00(obj_t BgL_envz00_24008,
		obj_t BgL_sz00_24014)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1138 */
			{	/* Eval/evaluate.scm 1138 */
				obj_t BgL_fz00_24009;

				obj_t BgL_argsz00_24010;

				obj_t BgL_siza7eza7_24011;

				obj_t BgL_nbargsz00_24012;

				obj_t BgL_instance2796z00_24013;

				BgL_fz00_24009 = PROCEDURE_REF(BgL_envz00_24008, (int) (((long) 0)));
				BgL_argsz00_24010 = PROCEDURE_REF(BgL_envz00_24008, (int) (((long) 1)));
				BgL_siza7eza7_24011 =
					PROCEDURE_REF(BgL_envz00_24008, (int) (((long) 2)));
				BgL_nbargsz00_24012 =
					PROCEDURE_REF(BgL_envz00_24008, (int) (((long) 3)));
				BgL_instance2796z00_24013 =
					PROCEDURE_REF(BgL_envz00_24008, (int) (((long) 4)));
				{
					obj_t BgL_sz00_2681;

					BgL_sz00_2681 = BgL_sz00_24014;
					{	/* Eval/evaluate.scm 1138 */
						obj_t BgL_bpz00_2683;

						BgL_bpz00_2683 = VECTOR_REF(BgL_sz00_2681, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1138 */
							obj_t BgL_fz00_2684;

							BgL_fz00_2684 =
								PROCEDURE_ENTRY(BgL_fz00_24009) (BgL_fz00_24009, BgL_sz00_2681,
								BEOA);
							if (PROCEDUREP(BgL_fz00_2684))
								{	/* Eval/evaluate.scm 1138 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1138 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8223z00zz__evaluatez00, BgL_fz00_2684);
								}
							{	/* Eval/evaluate.scm 1138 */
								obj_t BgL_ufz00_2686;

								BgL_ufz00_2686 = PROCEDURE_ATTR(BgL_fz00_2684);
								{	/* Eval/evaluate.scm 1138 */
									bool_t BgL_testz00_29488;

									if (STRUCTP(BgL_ufz00_2686))
										{	/* Eval/evaluate.scm 1138 */
											BgL_testz00_29488 =
												(STRUCT_KEY(BgL_ufz00_2686) ==
												BGl_symbol8224z00zz__evaluatez00);
										}
									else
										{	/* Eval/evaluate.scm 1138 */
											BgL_testz00_29488 = ((bool_t) 0);
										}
									if (BgL_testz00_29488)
										{	/* Eval/evaluate.scm 1138 */
											obj_t BgL_arityz00_2688;

											obj_t BgL_runz00_2689;

											obj_t BgL_sfz00_2690;

											BgL_arityz00_2688 =
												STRUCT_REF(BgL_ufz00_2686, (int) (((long) 0)));
											BgL_runz00_2689 =
												STRUCT_REF(BgL_ufz00_2686, (int) (((long) 1)));
											BgL_sfz00_2690 =
												STRUCT_REF(BgL_ufz00_2686, (int) (((long) 2)));
											{	/* Eval/evaluate.scm 1138 */
												long BgL_spz00_2691;

												BgL_spz00_2691 =
													(
													(long) CINT(BgL_bpz00_2683) +
													(long) CINT(BgL_siza7eza7_24011));
												{	/* Eval/evaluate.scm 1138 */
													bool_t BgL_testz00_29502;

													{	/* Eval/evaluate.scm 1138 */
														long BgL_arg4293z00_11216;

														int BgL_arg4294z00_11217;

														BgL_arg4293z00_11216 =
															(
															(long) CINT(BgL_bpz00_2683) +
															(long) CINT(BgL_sfz00_2690));
														BgL_arg4294z00_11217 = VECTOR_LENGTH(BgL_sz00_2681);
														BgL_testz00_29502 =
															(BgL_arg4293z00_11216 <
															(long) (BgL_arg4294z00_11217));
													}
													if (BgL_testz00_29502)
														{	/* Eval/evaluate.scm 1138 */
															BFALSE;
														}
													else
														{	/* Eval/evaluate.scm 1138 */
															BGl_errorz00zz__errorz00
																(BGl_symbol8221z00zz__evaluatez00,
																BGl_string8226z00zz__evaluatez00,
																BgL_bpz00_2683);
														}
												}
												if (
													((long) CINT(BgL_arityz00_2688) ==
														(long) CINT(BgL_nbargsz00_24012)))
													{	/* Eval/evaluate.scm 1138 */
														{
															obj_t BgL_lz00_11229;

															long BgL_spz00_11230;

															BgL_lz00_11229 = BgL_argsz00_24010;
															BgL_spz00_11230 = BgL_spz00_2691;
														BgL_recz00_11228:
															if (NULLP(BgL_lz00_11229))
																{	/* Eval/evaluate.scm 1141 */
																	((bool_t) 0);
																}
															else
																{	/* Eval/evaluate.scm 1141 */
																	{	/* Eval/evaluate.scm 1141 */
																		obj_t BgL_arg4320z00_11237;

																		{	/* Eval/evaluate.scm 1141 */
																			obj_t BgL_fun4321z00_11238;

																			BgL_fun4321z00_11238 =
																				CAR(BgL_lz00_11229);
																			BgL_arg4320z00_11237 =
																				PROCEDURE_ENTRY(BgL_fun4321z00_11238)
																				(BgL_fun4321z00_11238, BgL_sz00_2681,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_2681,
																			(int) (BgL_spz00_11230),
																			BgL_arg4320z00_11237);
																	}
																	{
																		long BgL_spz00_29523;

																		obj_t BgL_lz00_29521;

																		BgL_lz00_29521 = CDR(BgL_lz00_11229);
																		BgL_spz00_29523 =
																			(BgL_spz00_11230 + ((long) 1));
																		BgL_spz00_11230 = BgL_spz00_29523;
																		BgL_lz00_11229 = BgL_lz00_29521;
																		goto BgL_recz00_11228;
																	}
																}
														}
														{	/* Eval/evaluate.scm 1142 */
															long BgL_arg4357z00_2694;

															BgL_arg4357z00_2694 =
																(BgL_spz00_2691 +
																(long) CINT(BgL_nbargsz00_24012));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_sz00_2681, BgL_bpz00_2683, BgL_sz00_2681,
																BINT(BgL_spz00_2691),
																BINT(BgL_arg4357z00_2694));
													}}
												else
													{	/* Eval/evaluate.scm 1138 */
														bool_t BgL_testz00_29530;

														if (((long) CINT(BgL_arityz00_2688) >= ((long) 0)))
															{	/* Eval/evaluate.scm 1138 */
																BgL_testz00_29530 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate.scm 1138 */
																BgL_testz00_29530 =
																	(
																	(long) CINT(BgL_arityz00_2688) <
																	(((long) -1) -
																		(long) CINT(BgL_nbargsz00_24012)));
															}
														if (BgL_testz00_29530)
															{	/* Eval/evaluate.scm 1138 */
																obj_t BgL_arg4359z00_2696;

																obj_t BgL_arg4361z00_2698;

																BgL_arg4359z00_2696 =
																	BGl_symbol8221z00zz__evaluatez00;
																{	/* Eval/evaluate.scm 1138 */
																	obj_t BgL_list4362z00_2699;

																	{	/* Eval/evaluate.scm 1138 */
																		obj_t BgL_arg4363z00_2700;

																		BgL_arg4363z00_2700 =
																			MAKE_PAIR(BgL_nbargsz00_24012, BNIL);
																		BgL_list4362z00_2699 =
																			MAKE_PAIR(BgL_arityz00_2688,
																			BgL_arg4363z00_2700);
																	}
																	BgL_arg4361z00_2698 = BgL_list4362z00_2699;
																}
																BGl_errorz00zz__errorz00(BgL_arg4359z00_2696,
																	BGl_string8227z00zz__evaluatez00,
																	BgL_arg4361z00_2698);
															}
														else
															{	/* Eval/evaluate.scm 1138 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluatez00
																	(BgL_arityz00_2688, BgL_sz00_2681,
																	BgL_argsz00_24010, BINT(BgL_spz00_2691));
																{	/* Eval/evaluate.scm 1144 */
																	long BgL_arg4364z00_2701;

																	BgL_arg4364z00_2701 =
																		(BgL_spz00_2691 +
																		(((long) 0) -
																			(long) CINT(BgL_arityz00_2688)));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_sz00_2681, BgL_bpz00_2683,
																		BgL_sz00_2681, BINT(BgL_spz00_2691),
																		BINT(BgL_arg4364z00_2701));
													}}}
												{	/* Eval/evaluate.scm 1138 */
													obj_t BgL_z12denvz12_2705;

													BgL_z12denvz12_2705 = BGL_CURRENT_DYNAMIC_ENV();
													{	/* Eval/evaluate.scm 1138 */
														obj_t BgL_arg4368z00_2706;

														{
															BgL_ev_appz00_bglt BgL_auxz00_29550;

															BgL_auxz00_29550 =
																(BgL_ev_appz00_bglt)
																(BgL_instance2796z00_24013);
															BgL_arg4368z00_2706 =
																(((BgL_ev_appz00_bglt) CREF(BgL_auxz00_29550))->
																BgL_locz00);
														}
														BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2705,
															BgL_arg4368z00_2706);
												}}
												return BgL_runz00_2689;
											}
										}
									else
										{	/* Eval/evaluate.scm 1138 */
											return
												BGl_subrzd2callzd2withzd2pushzd2zz__evaluatez00
												(BgL_sz00_2681, BgL_fz00_2684, BgL_argsz00_24010,
												BgL_bpz00_2683, BgL_siza7eza7_24011);
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:4370> */
	obj_t BGl_zc3anonymousza34370ze3z83zz__evaluatez00(obj_t BgL_envz00_24015,
		obj_t BgL_sz00_24020)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1146 */
			{	/* Eval/evaluate.scm 1146 */
				obj_t BgL_fz00_24016;

				obj_t BgL_argsz00_24017;

				obj_t BgL_nbargsz00_24018;

				obj_t BgL_instance2796z00_24019;

				BgL_fz00_24016 = PROCEDURE_REF(BgL_envz00_24015, (int) (((long) 0)));
				BgL_argsz00_24017 = PROCEDURE_REF(BgL_envz00_24015, (int) (((long) 1)));
				BgL_nbargsz00_24018 =
					PROCEDURE_REF(BgL_envz00_24015, (int) (((long) 2)));
				BgL_instance2796z00_24019 =
					PROCEDURE_REF(BgL_envz00_24015, (int) (((long) 3)));
				{
					obj_t BgL_sz00_2709;

					BgL_sz00_2709 = BgL_sz00_24020;
					{	/* Eval/evaluate.scm 1146 */
						obj_t BgL_bpz00_2711;

						BgL_bpz00_2711 = VECTOR_REF(BgL_sz00_2709, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1146 */
							obj_t BgL_fz00_2712;

							BgL_fz00_2712 =
								PROCEDURE_ENTRY(BgL_fz00_24016) (BgL_fz00_24016, BgL_sz00_2709,
								BEOA);
							if (PROCEDUREP(BgL_fz00_2712))
								{	/* Eval/evaluate.scm 1146 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1146 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8223z00zz__evaluatez00, BgL_fz00_2712);
								}
							{	/* Eval/evaluate.scm 1146 */
								obj_t BgL_ufz00_2714;

								BgL_ufz00_2714 = PROCEDURE_ATTR(BgL_fz00_2712);
								{	/* Eval/evaluate.scm 1146 */
									bool_t BgL_testz00_29571;

									if (STRUCTP(BgL_ufz00_2714))
										{	/* Eval/evaluate.scm 1146 */
											BgL_testz00_29571 =
												(STRUCT_KEY(BgL_ufz00_2714) ==
												BGl_symbol8224z00zz__evaluatez00);
										}
									else
										{	/* Eval/evaluate.scm 1146 */
											BgL_testz00_29571 = ((bool_t) 0);
										}
									if (BgL_testz00_29571)
										{	/* Eval/evaluate.scm 1146 */
											obj_t BgL_arityz00_2716;

											obj_t BgL_runz00_2717;

											obj_t BgL_sfz00_2718;

											BgL_arityz00_2716 =
												STRUCT_REF(BgL_ufz00_2714, (int) (((long) 0)));
											BgL_runz00_2717 =
												STRUCT_REF(BgL_ufz00_2714, (int) (((long) 1)));
											BgL_sfz00_2718 =
												STRUCT_REF(BgL_ufz00_2714, (int) (((long) 2)));
											{	/* Eval/evaluate.scm 1146 */
												bool_t BgL_testz00_29582;

												{	/* Eval/evaluate.scm 1146 */
													long BgL_arg4293z00_11291;

													int BgL_arg4294z00_11292;

													BgL_arg4293z00_11291 =
														(
														(long) CINT(BgL_bpz00_2711) +
														(long) CINT(BgL_sfz00_2718));
													BgL_arg4294z00_11292 = VECTOR_LENGTH(BgL_sz00_2709);
													BgL_testz00_29582 =
														(BgL_arg4293z00_11291 <
														(long) (BgL_arg4294z00_11292));
												}
												if (BgL_testz00_29582)
													{	/* Eval/evaluate.scm 1146 */
														BFALSE;
													}
												else
													{	/* Eval/evaluate.scm 1146 */
														BGl_errorz00zz__errorz00
															(BGl_symbol8221z00zz__evaluatez00,
															BGl_string8226z00zz__evaluatez00, BgL_bpz00_2711);
													}
											}
											if (
												((long) CINT(BgL_arityz00_2716) ==
													(long) CINT(BgL_nbargsz00_24018)))
												{
													obj_t BgL_lz00_11304;

													obj_t BgL_spz00_11305;

													{	/* Eval/evaluate.scm 1149 */
														bool_t BgL_auxz00_29594;

														BgL_lz00_11304 = BgL_argsz00_24017;
														BgL_spz00_11305 = BgL_bpz00_2711;
													BgL_recz00_11303:
														if (NULLP(BgL_lz00_11304))
															{	/* Eval/evaluate.scm 1149 */
																BgL_auxz00_29594 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate.scm 1149 */
																{	/* Eval/evaluate.scm 1149 */
																	obj_t BgL_arg4320z00_11312;

																	{	/* Eval/evaluate.scm 1149 */
																		obj_t BgL_fun4321z00_11313;

																		BgL_fun4321z00_11313 = CAR(BgL_lz00_11304);
																		BgL_arg4320z00_11312 =
																			PROCEDURE_ENTRY(BgL_fun4321z00_11313)
																			(BgL_fun4321z00_11313, BgL_sz00_2709,
																			BEOA);
																	}
																	VECTOR_SET(BgL_sz00_2709,
																		CINT(BgL_spz00_11305),
																		BgL_arg4320z00_11312);
																}
																{	/* Eval/evaluate.scm 1149 */
																	obj_t BgL_arg4322z00_11314;

																	long BgL_arg4323z00_11315;

																	BgL_arg4322z00_11314 = CDR(BgL_lz00_11304);
																	BgL_arg4323z00_11315 =
																		((long) CINT(BgL_spz00_11305) + ((long) 1));
																	{
																		obj_t BgL_spz00_29606;

																		obj_t BgL_lz00_29605;

																		BgL_lz00_29605 = BgL_arg4322z00_11314;
																		BgL_spz00_29606 =
																			BINT(BgL_arg4323z00_11315);
																		BgL_spz00_11305 = BgL_spz00_29606;
																		BgL_lz00_11304 = BgL_lz00_29605;
																		goto BgL_recz00_11303;
																	}
																}
															}
														BBOOL(BgL_auxz00_29594);
													}
												}
											else
												{	/* Eval/evaluate.scm 1146 */
													bool_t BgL_testz00_29609;

													if (((long) CINT(BgL_arityz00_2716) >= ((long) 0)))
														{	/* Eval/evaluate.scm 1146 */
															BgL_testz00_29609 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate.scm 1146 */
															BgL_testz00_29609 =
																(
																(long) CINT(BgL_arityz00_2716) <
																(((long) -1) -
																	(long) CINT(BgL_nbargsz00_24018)));
														}
													if (BgL_testz00_29609)
														{	/* Eval/evaluate.scm 1146 */
															obj_t BgL_arg4376z00_2723;

															obj_t BgL_arg4378z00_2725;

															BgL_arg4376z00_2723 =
																BGl_symbol8221z00zz__evaluatez00;
															{	/* Eval/evaluate.scm 1146 */
																obj_t BgL_list4379z00_2726;

																{	/* Eval/evaluate.scm 1146 */
																	obj_t BgL_arg4380z00_2727;

																	BgL_arg4380z00_2727 =
																		MAKE_PAIR(BgL_nbargsz00_24018, BNIL);
																	BgL_list4379z00_2726 =
																		MAKE_PAIR(BgL_arityz00_2716,
																		BgL_arg4380z00_2727);
																}
																BgL_arg4378z00_2725 = BgL_list4379z00_2726;
															}
															BGl_errorz00zz__errorz00(BgL_arg4376z00_2723,
																BGl_string8227z00zz__evaluatez00,
																BgL_arg4378z00_2725);
														}
													else
														{	/* Eval/evaluate.scm 1146 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluatez00
																(BgL_arityz00_2716, BgL_sz00_2709,
																BgL_argsz00_24017, BgL_bpz00_2711);
														}
												}
											{	/* Eval/evaluate.scm 1146 */
												obj_t BgL_z12denvz12_2730;

												BgL_z12denvz12_2730 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate.scm 1146 */
													obj_t BgL_arg4383z00_2731;

													{
														BgL_ev_appz00_bglt BgL_auxz00_29622;

														BgL_auxz00_29622 =
															(BgL_ev_appz00_bglt) (BgL_instance2796z00_24019);
														BgL_arg4383z00_2731 =
															(((BgL_ev_appz00_bglt) CREF(BgL_auxz00_29622))->
															BgL_locz00);
													}
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2730,
														BgL_arg4383z00_2731);
												}
											}
											return BgL_runz00_2717;
										}
									else
										{	/* Eval/evaluate.scm 1146 */
											return
												BGl_subrzd2callzd2withzd2pushzd2zz__evaluatez00
												(BgL_sz00_2709, BgL_fz00_2712, BgL_argsz00_24017,
												BgL_bpz00_2711, BgL_nbargsz00_24018);
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:4386> */
	obj_t BGl_zc3anonymousza34386ze3z83zz__evaluatez00(obj_t BgL_envz00_24021,
		obj_t BgL_sz00_24027)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1132 */
			{	/* Eval/evaluate.scm 1132 */
				obj_t BgL_fz00_24022;

				obj_t BgL_argsz00_24023;

				obj_t BgL_siza7eza7_24024;

				obj_t BgL_nbargsz00_24025;

				obj_t BgL_instance2796z00_24026;

				BgL_fz00_24022 = PROCEDURE_REF(BgL_envz00_24021, (int) (((long) 0)));
				BgL_argsz00_24023 = PROCEDURE_REF(BgL_envz00_24021, (int) (((long) 1)));
				BgL_siza7eza7_24024 =
					PROCEDURE_REF(BgL_envz00_24021, (int) (((long) 2)));
				BgL_nbargsz00_24025 =
					PROCEDURE_REF(BgL_envz00_24021, (int) (((long) 3)));
				BgL_instance2796z00_24026 =
					PROCEDURE_REF(BgL_envz00_24021, (int) (((long) 4)));
				{
					obj_t BgL_sz00_2735;

					BgL_sz00_2735 = BgL_sz00_24027;
					{	/* Eval/evaluate.scm 1132 */
						obj_t BgL_bpz00_2737;

						BgL_bpz00_2737 = VECTOR_REF(BgL_sz00_2735, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1132 */
							obj_t BgL_fz00_2738;

							BgL_fz00_2738 =
								PROCEDURE_ENTRY(BgL_fz00_24022) (BgL_fz00_24022, BgL_sz00_2735,
								BEOA);
							if (PROCEDUREP(BgL_fz00_2738))
								{	/* Eval/evaluate.scm 1132 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1132 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8223z00zz__evaluatez00, BgL_fz00_2738);
								}
							{	/* Eval/evaluate.scm 1132 */
								obj_t BgL_ufz00_2740;

								BgL_ufz00_2740 = PROCEDURE_ATTR(BgL_fz00_2738);
								{	/* Eval/evaluate.scm 1132 */
									bool_t BgL_testz00_29645;

									if (STRUCTP(BgL_ufz00_2740))
										{	/* Eval/evaluate.scm 1132 */
											BgL_testz00_29645 =
												(STRUCT_KEY(BgL_ufz00_2740) ==
												BGl_symbol8224z00zz__evaluatez00);
										}
									else
										{	/* Eval/evaluate.scm 1132 */
											BgL_testz00_29645 = ((bool_t) 0);
										}
									if (BgL_testz00_29645)
										{	/* Eval/evaluate.scm 1132 */
											obj_t BgL_arityz00_2742;

											obj_t BgL_runz00_2743;

											obj_t BgL_sfz00_2744;

											BgL_arityz00_2742 =
												STRUCT_REF(BgL_ufz00_2740, (int) (((long) 0)));
											BgL_runz00_2743 =
												STRUCT_REF(BgL_ufz00_2740, (int) (((long) 1)));
											BgL_sfz00_2744 =
												STRUCT_REF(BgL_ufz00_2740, (int) (((long) 2)));
											{	/* Eval/evaluate.scm 1132 */
												long BgL_spz00_2745;

												BgL_spz00_2745 =
													(
													(long) CINT(BgL_bpz00_2737) +
													(long) CINT(BgL_siza7eza7_24024));
												{	/* Eval/evaluate.scm 1132 */
													bool_t BgL_testz00_29659;

													{	/* Eval/evaluate.scm 1132 */
														long BgL_arg4293z00_11360;

														int BgL_arg4294z00_11361;

														BgL_arg4293z00_11360 =
															(BgL_spz00_2745 + (long) CINT(BgL_sfz00_2744));
														BgL_arg4294z00_11361 = VECTOR_LENGTH(BgL_sz00_2735);
														BgL_testz00_29659 =
															(BgL_arg4293z00_11360 <
															(long) (BgL_arg4294z00_11361));
													}
													if (BgL_testz00_29659)
														{	/* Eval/evaluate.scm 1132 */
															BFALSE;
														}
													else
														{	/* Eval/evaluate.scm 1132 */
															BGl_errorz00zz__errorz00
																(BGl_symbol8221z00zz__evaluatez00,
																BGl_string8226z00zz__evaluatez00,
																BgL_bpz00_2737);
														}
												}
												if (
													((long) CINT(BgL_arityz00_2742) ==
														(long) CINT(BgL_nbargsz00_24025)))
													{
														obj_t BgL_lz00_11373;

														long BgL_spz00_11374;

														{	/* Eval/evaluate.scm 1135 */
															bool_t BgL_auxz00_29670;

															BgL_lz00_11373 = BgL_argsz00_24023;
															BgL_spz00_11374 = BgL_spz00_2745;
														BgL_recz00_11372:
															if (NULLP(BgL_lz00_11373))
																{	/* Eval/evaluate.scm 1135 */
																	BgL_auxz00_29670 = ((bool_t) 0);
																}
															else
																{	/* Eval/evaluate.scm 1135 */
																	{	/* Eval/evaluate.scm 1135 */
																		obj_t BgL_arg4320z00_11381;

																		{	/* Eval/evaluate.scm 1135 */
																			obj_t BgL_fun4321z00_11382;

																			BgL_fun4321z00_11382 =
																				CAR(BgL_lz00_11373);
																			BgL_arg4320z00_11381 =
																				PROCEDURE_ENTRY(BgL_fun4321z00_11382)
																				(BgL_fun4321z00_11382, BgL_sz00_2735,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_2735,
																			(int) (BgL_spz00_11374),
																			BgL_arg4320z00_11381);
																	}
																	{
																		long BgL_spz00_29680;

																		obj_t BgL_lz00_29678;

																		BgL_lz00_29678 = CDR(BgL_lz00_11373);
																		BgL_spz00_29680 =
																			(BgL_spz00_11374 + ((long) 1));
																		BgL_spz00_11374 = BgL_spz00_29680;
																		BgL_lz00_11373 = BgL_lz00_29678;
																		goto BgL_recz00_11372;
																	}
																}
															BBOOL(BgL_auxz00_29670);
														}
													}
												else
													{	/* Eval/evaluate.scm 1132 */
														bool_t BgL_testz00_29683;

														if (((long) CINT(BgL_arityz00_2742) >= ((long) 0)))
															{	/* Eval/evaluate.scm 1132 */
																BgL_testz00_29683 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate.scm 1132 */
																BgL_testz00_29683 =
																	(
																	(long) CINT(BgL_arityz00_2742) <
																	(((long) -1) -
																		(long) CINT(BgL_nbargsz00_24025)));
															}
														if (BgL_testz00_29683)
															{	/* Eval/evaluate.scm 1132 */
																obj_t BgL_arg4392z00_2749;

																obj_t BgL_arg4394z00_2751;

																BgL_arg4392z00_2749 =
																	BGl_symbol8221z00zz__evaluatez00;
																{	/* Eval/evaluate.scm 1132 */
																	obj_t BgL_list4395z00_2752;

																	{	/* Eval/evaluate.scm 1132 */
																		obj_t BgL_arg4396z00_2753;

																		BgL_arg4396z00_2753 =
																			MAKE_PAIR(BgL_nbargsz00_24025, BNIL);
																		BgL_list4395z00_2752 =
																			MAKE_PAIR(BgL_arityz00_2742,
																			BgL_arg4396z00_2753);
																	}
																	BgL_arg4394z00_2751 = BgL_list4395z00_2752;
																}
																BGl_errorz00zz__errorz00(BgL_arg4392z00_2749,
																	BGl_string8227z00zz__evaluatez00,
																	BgL_arg4394z00_2751);
															}
														else
															{	/* Eval/evaluate.scm 1132 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluatez00
																	(BgL_arityz00_2742, BgL_sz00_2735,
																	BgL_argsz00_24023, BINT(BgL_spz00_2745));
															}
													}
												{	/* Eval/evaluate.scm 1132 */
													obj_t BgL_z12denvz12_2756;

													BgL_z12denvz12_2756 = BGL_CURRENT_DYNAMIC_ENV();
													{	/* Eval/evaluate.scm 1132 */
														obj_t BgL_arg4399z00_2757;

														{
															BgL_ev_appz00_bglt BgL_auxz00_29697;

															BgL_auxz00_29697 =
																(BgL_ev_appz00_bglt)
																(BgL_instance2796z00_24026);
															BgL_arg4399z00_2757 =
																(((BgL_ev_appz00_bglt) CREF(BgL_auxz00_29697))->
																BgL_locz00);
														}
														BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2756,
															BgL_arg4399z00_2757);
													}
												}
												return
													BGl_catchzd2trampolinezd2zz__evaluatez00
													(BgL_runz00_2743, BgL_sz00_2735,
													BINT(BgL_spz00_2745));
											}
										}
									else
										{	/* Eval/evaluate.scm 1132 */
											return
												BGl_subrzd2callzd2withzd2pushzd2zz__evaluatez00
												(BgL_sz00_2735, BgL_fz00_2738, BgL_argsz00_24023,
												BgL_bpz00_2737, BgL_siza7eza7_24024);
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* comp-call0 */
	obj_t BGl_compzd2call0zd2zz__evaluatez00(obj_t BgL_locz00_288,
		obj_t BgL_funz00_289, obj_t BgL_tailzf3zf3_290, obj_t BgL_stkz00_291,
		long BgL_siza7eza7_292)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1213 */
			if (CBOOL(BgL_tailzf3zf3_290))
				{	/* Eval/evaluate.scm 1213 */
					obj_t BgL_zc3anonymousza34403ze3z83_24028;

					BgL_zc3anonymousza34403ze3z83_24028 =
						make_fx_procedure(BGl_zc3anonymousza34403ze3z83zz__evaluatez00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza34403ze3z83_24028,
						(int) (((long) 0)), BgL_funz00_289);
					PROCEDURE_SET(BgL_zc3anonymousza34403ze3z83_24028,
						(int) (((long) 1)), BINT(BgL_siza7eza7_292));
					return BgL_zc3anonymousza34403ze3z83_24028;
				}
			else
				{	/* Eval/evaluate.scm 1213 */
					obj_t BgL_zc3anonymousza34414ze3z83_24029;

					BgL_zc3anonymousza34414ze3z83_24029 =
						make_fx_procedure(BGl_zc3anonymousza34414ze3z83zz__evaluatez00,
						(int) (((long) 1)), (int) (((long) 3)));
					PROCEDURE_SET(BgL_zc3anonymousza34414ze3z83_24029,
						(int) (((long) 0)), BgL_funz00_289);
					PROCEDURE_SET(BgL_zc3anonymousza34414ze3z83_24029,
						(int) (((long) 1)), BINT(BgL_siza7eza7_292));
					PROCEDURE_SET(BgL_zc3anonymousza34414ze3z83_24029,
						(int) (((long) 2)), BgL_locz00_288);
					return BgL_zc3anonymousza34414ze3z83_24029;
				}
		}
	}



/* <anonymous:4403> */
	obj_t BGl_zc3anonymousza34403ze3z83zz__evaluatez00(obj_t BgL_envz00_24030,
		obj_t BgL_sz00_24033)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1213 */
			{	/* Eval/evaluate.scm 1213 */
				obj_t BgL_funz00_24031;

				obj_t BgL_siza7eza7_24032;

				BgL_funz00_24031 = PROCEDURE_REF(BgL_envz00_24030, (int) (((long) 0)));
				BgL_siza7eza7_24032 =
					PROCEDURE_REF(BgL_envz00_24030, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2761;

					BgL_sz00_2761 = BgL_sz00_24033;
					{	/* Eval/evaluate.scm 1213 */
						obj_t BgL_bpz00_2763;

						BgL_bpz00_2763 = VECTOR_REF(BgL_sz00_2761, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1213 */
							obj_t BgL_fz00_2764;

							BgL_fz00_2764 =
								PROCEDURE_ENTRY(BgL_funz00_24031) (BgL_funz00_24031,
								BgL_sz00_2761, BEOA);
							if (PROCEDUREP(BgL_fz00_2764))
								{	/* Eval/evaluate.scm 1213 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1213 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8223z00zz__evaluatez00, BgL_fz00_2764);
								}
							{	/* Eval/evaluate.scm 1213 */
								obj_t BgL_ufz00_2766;

								BgL_ufz00_2766 = PROCEDURE_ATTR(BgL_fz00_2764);
								{	/* Eval/evaluate.scm 1213 */
									bool_t BgL_testz00_29736;

									if (STRUCTP(BgL_ufz00_2766))
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_29736 =
												(STRUCT_KEY(BgL_ufz00_2766) ==
												BGl_symbol8224z00zz__evaluatez00);
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_29736 = ((bool_t) 0);
										}
									if (BgL_testz00_29736)
										{	/* Eval/evaluate.scm 1213 */
											obj_t BgL_arityz00_2768;

											obj_t BgL_runz00_2769;

											obj_t BgL_sfz00_2770;

											BgL_arityz00_2768 =
												STRUCT_REF(BgL_ufz00_2766, (int) (((long) 0)));
											BgL_runz00_2769 =
												STRUCT_REF(BgL_ufz00_2766, (int) (((long) 1)));
											BgL_sfz00_2770 =
												STRUCT_REF(BgL_ufz00_2766, (int) (((long) 2)));
											{	/* Eval/evaluate.scm 1213 */
												bool_t BgL_testz00_29747;

												{	/* Eval/evaluate.scm 1213 */
													long BgL_arg4293z00_11425;

													int BgL_arg4294z00_11426;

													BgL_arg4293z00_11425 =
														(
														(long) CINT(BgL_bpz00_2763) +
														(long) CINT(BgL_sfz00_2770));
													BgL_arg4294z00_11426 = VECTOR_LENGTH(BgL_sz00_2761);
													BgL_testz00_29747 =
														(BgL_arg4293z00_11425 <
														(long) (BgL_arg4294z00_11426));
												}
												if (BgL_testz00_29747)
													{	/* Eval/evaluate.scm 1213 */
														BFALSE;
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														BGl_errorz00zz__errorz00
															(BGl_symbol8221z00zz__evaluatez00,
															BGl_string8226z00zz__evaluatez00, BgL_bpz00_2763);
													}
											}
											{

												if (INTEGERP(BgL_arityz00_2768))
													{	/* Eval/evaluate.scm 1213 */
														switch ((long) CINT(BgL_arityz00_2768))
															{
															case ((long) 0):

																return BgL_runz00_2769;
																break;
															case ((long) -1):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4408z00_2775;

																	BgL_arg4408z00_2775 =
																		((long) CINT(BgL_bpz00_2763) + ((long) 0));
																	VECTOR_SET(BgL_sz00_2761,
																		(int) (BgL_arg4408z00_2775), BNIL);
																}
																return BgL_runz00_2769;
																break;
															default:
															BgL_case_else2804z00_2772:
																{	/* Eval/evaluate.scm 1213 */
																	obj_t BgL_arg4411z00_2778;

																	obj_t BgL_arg4413z00_2780;

																	BgL_arg4411z00_2778 =
																		BGl_symbol8221z00zz__evaluatez00;
																	BgL_arg4413z00_2780 =
																		MAKE_PAIR(BgL_arityz00_2768,
																		BINT(((long) 0)));
																	return
																		BGl_errorz00zz__errorz00
																		(BgL_arg4411z00_2778,
																		BGl_string8228z00zz__evaluatez00,
																		BgL_arg4413z00_2780);
																}
															}
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														goto BgL_case_else2804z00_2772;
													}
											}
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											long BgL_nbpz00_2781;

											BgL_nbpz00_2781 =
												(
												(long) CINT(BgL_bpz00_2763) +
												(long) CINT(BgL_siza7eza7_24032));
											VECTOR_SET(BgL_sz00_2761,
												(int) (((long) 0)), BINT(BgL_nbpz00_2781));
											{	/* Eval/evaluate.scm 1213 */
												obj_t BgL_rz00_2782;

												BgL_rz00_2782 =
													PROCEDURE_ENTRY(BgL_fz00_2764) (BgL_fz00_2764, BEOA);
												VECTOR_SET(BgL_sz00_2761,
													(int) (((long) 0)), BgL_bpz00_2763);
												return BgL_rz00_2782;
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:4414> */
	obj_t BGl_zc3anonymousza34414ze3z83zz__evaluatez00(obj_t BgL_envz00_24034,
		obj_t BgL_sz00_24038)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1213 */
			{	/* Eval/evaluate.scm 1213 */
				obj_t BgL_funz00_24035;

				obj_t BgL_siza7eza7_24036;

				obj_t BgL_locz00_24037;

				BgL_funz00_24035 = PROCEDURE_REF(BgL_envz00_24034, (int) (((long) 0)));
				BgL_siza7eza7_24036 =
					PROCEDURE_REF(BgL_envz00_24034, (int) (((long) 1)));
				BgL_locz00_24037 = PROCEDURE_REF(BgL_envz00_24034, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2783;

					BgL_sz00_2783 = BgL_sz00_24038;
					{	/* Eval/evaluate.scm 1213 */
						obj_t BgL_bpz00_2785;

						BgL_bpz00_2785 = VECTOR_REF(BgL_sz00_2783, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1213 */
							obj_t BgL_fz00_2786;

							BgL_fz00_2786 =
								PROCEDURE_ENTRY(BgL_funz00_24035) (BgL_funz00_24035,
								BgL_sz00_2783, BEOA);
							if (PROCEDUREP(BgL_fz00_2786))
								{	/* Eval/evaluate.scm 1213 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1213 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8223z00zz__evaluatez00, BgL_fz00_2786);
								}
							{	/* Eval/evaluate.scm 1213 */
								obj_t BgL_ufz00_2788;

								BgL_ufz00_2788 = PROCEDURE_ATTR(BgL_fz00_2786);
								{	/* Eval/evaluate.scm 1213 */
									bool_t BgL_testz00_29790;

									if (STRUCTP(BgL_ufz00_2788))
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_29790 =
												(STRUCT_KEY(BgL_ufz00_2788) ==
												BGl_symbol8224z00zz__evaluatez00);
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_29790 = ((bool_t) 0);
										}
									if (BgL_testz00_29790)
										{	/* Eval/evaluate.scm 1213 */
											obj_t BgL_arityz00_2790;

											obj_t BgL_runz00_2791;

											obj_t BgL_sfz00_2792;

											BgL_arityz00_2790 =
												STRUCT_REF(BgL_ufz00_2788, (int) (((long) 0)));
											BgL_runz00_2791 =
												STRUCT_REF(BgL_ufz00_2788, (int) (((long) 1)));
											BgL_sfz00_2792 =
												STRUCT_REF(BgL_ufz00_2788, (int) (((long) 2)));
											{	/* Eval/evaluate.scm 1213 */
												bool_t BgL_testz00_29801;

												{	/* Eval/evaluate.scm 1192 */
													long BgL_arg4418z00_2794;

													BgL_arg4418z00_2794 =
														(
														(long) CINT(BgL_bpz00_2785) +
														(long) CINT(BgL_siza7eza7_24036));
													{	/* Eval/evaluate.scm 1213 */
														long BgL_arg4293z00_11474;

														int BgL_arg4294z00_11475;

														BgL_arg4293z00_11474 =
															(BgL_arg4418z00_2794 +
															(long) CINT(BgL_sfz00_2792));
														BgL_arg4294z00_11475 = VECTOR_LENGTH(BgL_sz00_2783);
														BgL_testz00_29801 =
															(BgL_arg4293z00_11474 <
															(long) (BgL_arg4294z00_11475));
												}}
												if (BgL_testz00_29801)
													{	/* Eval/evaluate.scm 1213 */
														BFALSE;
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														BGl_errorz00zz__errorz00
															(BGl_symbol8221z00zz__evaluatez00,
															BGl_string8226z00zz__evaluatez00, BgL_bpz00_2785);
													}
											}
											{

												if (INTEGERP(BgL_arityz00_2790))
													{	/* Eval/evaluate.scm 1213 */
														switch ((long) CINT(BgL_arityz00_2790))
															{
															case ((long) 0):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_2798;

																	BgL_bpz00_2798 =
																		(
																		(long) CINT(BgL_bpz00_2785) +
																		(long) CINT(BgL_siza7eza7_24036));
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_29816;

																		BgL_auxz00_29816 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_29816,
																			BgL_locz00_24037);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_2791, BgL_sz00_2783,
																		BINT(BgL_bpz00_2798));
																}
																break;
															case ((long) -1):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_2800;

																	BgL_bpz00_2800 =
																		(
																		(long) CINT(BgL_bpz00_2785) +
																		(long) CINT(BgL_siza7eza7_24036));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4420z00_2801;

																		BgL_arg4420z00_2801 =
																			(BgL_bpz00_2800 + ((long) 0));
																		VECTOR_SET(BgL_sz00_2783,
																			(int) (BgL_arg4420z00_2801), BNIL);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_29827;

																		BgL_auxz00_29827 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_29827,
																			BgL_locz00_24037);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_2791, BgL_sz00_2783,
																		BINT(BgL_bpz00_2800));
																}
																break;
															default:
															BgL_case_else2806z00_2795:
																{	/* Eval/evaluate.scm 1213 */
																	obj_t BgL_arg4423z00_2805;

																	obj_t BgL_arg4425z00_2807;

																	BgL_arg4423z00_2805 =
																		BGl_symbol8221z00zz__evaluatez00;
																	BgL_arg4425z00_2807 =
																		MAKE_PAIR(BgL_arityz00_2790,
																		BINT(((long) 0)));
																	return
																		BGl_errorz00zz__errorz00
																		(BgL_arg4423z00_2805,
																		BGl_string8228z00zz__evaluatez00,
																		BgL_arg4425z00_2807);
																}
															}
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														goto BgL_case_else2806z00_2795;
													}
											}
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											long BgL_nbpz00_2808;

											BgL_nbpz00_2808 =
												(
												(long) CINT(BgL_bpz00_2785) +
												(long) CINT(BgL_siza7eza7_24036));
											VECTOR_SET(BgL_sz00_2783,
												(int) (((long) 0)), BINT(BgL_nbpz00_2808));
											{	/* Eval/evaluate.scm 1213 */
												obj_t BgL_rz00_2809;

												BgL_rz00_2809 =
													PROCEDURE_ENTRY(BgL_fz00_2786) (BgL_fz00_2786, BEOA);
												VECTOR_SET(BgL_sz00_2783,
													(int) (((long) 0)), BgL_bpz00_2785);
												return BgL_rz00_2809;
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* comp-call1 */
	obj_t BGl_compzd2call1zd2zz__evaluatez00(obj_t BgL_locz00_293,
		obj_t BgL_funz00_294, obj_t BgL_tailzf3zf3_295, obj_t BgL_stkz00_296,
		long BgL_siza7eza7_297, obj_t BgL_a1z00_298)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1213 */
			if (CBOOL(BgL_tailzf3zf3_295))
				{	/* Eval/evaluate.scm 1213 */
					obj_t BgL_zc3anonymousza34426ze3z83_24039;

					BgL_zc3anonymousza34426ze3z83_24039 =
						make_fx_procedure(BGl_zc3anonymousza34426ze3z83zz__evaluatez00,
						(int) (((long) 1)), (int) (((long) 3)));
					PROCEDURE_SET(BgL_zc3anonymousza34426ze3z83_24039,
						(int) (((long) 0)), BgL_funz00_294);
					PROCEDURE_SET(BgL_zc3anonymousza34426ze3z83_24039,
						(int) (((long) 1)), BgL_a1z00_298);
					PROCEDURE_SET(BgL_zc3anonymousza34426ze3z83_24039,
						(int) (((long) 2)), BINT(BgL_siza7eza7_297));
					return BgL_zc3anonymousza34426ze3z83_24039;
				}
			else
				{	/* Eval/evaluate.scm 1213 */
					obj_t BgL_zc3anonymousza34443ze3z83_24040;

					BgL_zc3anonymousza34443ze3z83_24040 =
						make_fx_procedure(BGl_zc3anonymousza34443ze3z83zz__evaluatez00,
						(int) (((long) 1)), (int) (((long) 4)));
					PROCEDURE_SET(BgL_zc3anonymousza34443ze3z83_24040,
						(int) (((long) 0)), BgL_funz00_294);
					PROCEDURE_SET(BgL_zc3anonymousza34443ze3z83_24040,
						(int) (((long) 1)), BgL_a1z00_298);
					PROCEDURE_SET(BgL_zc3anonymousza34443ze3z83_24040,
						(int) (((long) 2)), BINT(BgL_siza7eza7_297));
					PROCEDURE_SET(BgL_zc3anonymousza34443ze3z83_24040,
						(int) (((long) 3)), BgL_locz00_293);
					return BgL_zc3anonymousza34443ze3z83_24040;
				}
		}
	}



/* <anonymous:4426> */
	obj_t BGl_zc3anonymousza34426ze3z83zz__evaluatez00(obj_t BgL_envz00_24041,
		obj_t BgL_sz00_24045)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1213 */
			{	/* Eval/evaluate.scm 1213 */
				obj_t BgL_funz00_24042;

				obj_t BgL_a1z00_24043;

				obj_t BgL_siza7eza7_24044;

				BgL_funz00_24042 = PROCEDURE_REF(BgL_envz00_24041, (int) (((long) 0)));
				BgL_a1z00_24043 = PROCEDURE_REF(BgL_envz00_24041, (int) (((long) 1)));
				BgL_siza7eza7_24044 =
					PROCEDURE_REF(BgL_envz00_24041, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2810;

					BgL_sz00_2810 = BgL_sz00_24045;
					{	/* Eval/evaluate.scm 1213 */
						obj_t BgL_bpz00_2812;

						BgL_bpz00_2812 = VECTOR_REF(BgL_sz00_2810, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1213 */
							obj_t BgL_fz00_2813;

							obj_t BgL_a1z00_2814;

							BgL_fz00_2813 =
								PROCEDURE_ENTRY(BgL_funz00_24042) (BgL_funz00_24042,
								BgL_sz00_2810, BEOA);
							BgL_a1z00_2814 =
								PROCEDURE_ENTRY(BgL_a1z00_24043) (BgL_a1z00_24043,
								BgL_sz00_2810, BEOA);
							if (PROCEDUREP(BgL_fz00_2813))
								{	/* Eval/evaluate.scm 1213 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1213 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8223z00zz__evaluatez00, BgL_fz00_2813);
								}
							{	/* Eval/evaluate.scm 1213 */
								obj_t BgL_ufz00_2816;

								BgL_ufz00_2816 = PROCEDURE_ATTR(BgL_fz00_2813);
								{	/* Eval/evaluate.scm 1213 */
									bool_t BgL_testz00_29887;

									if (STRUCTP(BgL_ufz00_2816))
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_29887 =
												(STRUCT_KEY(BgL_ufz00_2816) ==
												BGl_symbol8224z00zz__evaluatez00);
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_29887 = ((bool_t) 0);
										}
									if (BgL_testz00_29887)
										{	/* Eval/evaluate.scm 1213 */
											obj_t BgL_arityz00_2818;

											obj_t BgL_runz00_2819;

											obj_t BgL_sfz00_2820;

											BgL_arityz00_2818 =
												STRUCT_REF(BgL_ufz00_2816, (int) (((long) 0)));
											BgL_runz00_2819 =
												STRUCT_REF(BgL_ufz00_2816, (int) (((long) 1)));
											BgL_sfz00_2820 =
												STRUCT_REF(BgL_ufz00_2816, (int) (((long) 2)));
											{	/* Eval/evaluate.scm 1213 */
												bool_t BgL_testz00_29898;

												{	/* Eval/evaluate.scm 1213 */
													long BgL_arg4293z00_11523;

													int BgL_arg4294z00_11524;

													BgL_arg4293z00_11523 =
														(
														(long) CINT(BgL_bpz00_2812) +
														(long) CINT(BgL_sfz00_2820));
													BgL_arg4294z00_11524 = VECTOR_LENGTH(BgL_sz00_2810);
													BgL_testz00_29898 =
														(BgL_arg4293z00_11523 <
														(long) (BgL_arg4294z00_11524));
												}
												if (BgL_testz00_29898)
													{	/* Eval/evaluate.scm 1213 */
														BFALSE;
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														BGl_errorz00zz__errorz00
															(BGl_symbol8221z00zz__evaluatez00,
															BGl_string8226z00zz__evaluatez00, BgL_bpz00_2812);
													}
											}
											{

												if (INTEGERP(BgL_arityz00_2818))
													{	/* Eval/evaluate.scm 1213 */
														switch ((long) CINT(BgL_arityz00_2818))
															{
															case ((long) 1):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4431z00_2825;

																	BgL_arg4431z00_2825 =
																		((long) CINT(BgL_bpz00_2812) + ((long) 0));
																	VECTOR_SET(BgL_sz00_2810,
																		(int) (BgL_arg4431z00_2825),
																		BgL_a1z00_2814);
																}
																return BgL_runz00_2819;
																break;
															case ((long) -1):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4432z00_2826;

																	obj_t BgL_arg4433z00_2827;

																	BgL_arg4432z00_2826 =
																		((long) CINT(BgL_bpz00_2812) + ((long) 0));
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_list4434z00_2828;

																		BgL_list4434z00_2828 =
																			MAKE_PAIR(BgL_a1z00_2814, BNIL);
																		BgL_arg4433z00_2827 = BgL_list4434z00_2828;
																	}
																	VECTOR_SET(BgL_sz00_2810,
																		(int) (BgL_arg4432z00_2826),
																		BgL_arg4433z00_2827);
																}
																return BgL_runz00_2819;
																break;
															case ((long) -2):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4435z00_2829;

																	BgL_arg4435z00_2829 =
																		((long) CINT(BgL_bpz00_2812) + ((long) 0));
																	VECTOR_SET(BgL_sz00_2810,
																		(int) (BgL_arg4435z00_2829),
																		BgL_a1z00_2814);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4437z00_2830;

																	BgL_arg4437z00_2830 =
																		((long) CINT(BgL_bpz00_2812) + ((long) 1));
																	VECTOR_SET(BgL_sz00_2810,
																		(int) (BgL_arg4437z00_2830), BNIL);
																}
																return BgL_runz00_2819;
																break;
															default:
															BgL_case_else2808z00_2822:
																{	/* Eval/evaluate.scm 1213 */
																	obj_t BgL_arg4440z00_2833;

																	obj_t BgL_arg4442z00_2835;

																	BgL_arg4440z00_2833 =
																		BGl_symbol8221z00zz__evaluatez00;
																	BgL_arg4442z00_2835 =
																		MAKE_PAIR(BgL_arityz00_2818,
																		BINT(((long) 1)));
																	return
																		BGl_errorz00zz__errorz00
																		(BgL_arg4440z00_2833,
																		BGl_string8228z00zz__evaluatez00,
																		BgL_arg4442z00_2835);
																}
															}
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														goto BgL_case_else2808z00_2822;
													}
											}
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											long BgL_nbpz00_2836;

											BgL_nbpz00_2836 =
												(
												(long) CINT(BgL_bpz00_2812) +
												(long) CINT(BgL_siza7eza7_24044));
											VECTOR_SET(BgL_sz00_2810,
												(int) (((long) 0)), BINT(BgL_nbpz00_2836));
											{	/* Eval/evaluate.scm 1213 */
												obj_t BgL_rz00_2837;

												BgL_rz00_2837 =
													PROCEDURE_ENTRY(BgL_fz00_2813) (BgL_fz00_2813,
													BgL_a1z00_2814, BEOA);
												VECTOR_SET(BgL_sz00_2810, (int) (((long) 0)),
													BgL_bpz00_2812);
												return BgL_rz00_2837;
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:4443> */
	obj_t BGl_zc3anonymousza34443ze3z83zz__evaluatez00(obj_t BgL_envz00_24046,
		obj_t BgL_sz00_24051)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1213 */
			{	/* Eval/evaluate.scm 1213 */
				obj_t BgL_funz00_24047;

				obj_t BgL_a1z00_24048;

				obj_t BgL_siza7eza7_24049;

				obj_t BgL_locz00_24050;

				BgL_funz00_24047 = PROCEDURE_REF(BgL_envz00_24046, (int) (((long) 0)));
				BgL_a1z00_24048 = PROCEDURE_REF(BgL_envz00_24046, (int) (((long) 1)));
				BgL_siza7eza7_24049 =
					PROCEDURE_REF(BgL_envz00_24046, (int) (((long) 2)));
				BgL_locz00_24050 = PROCEDURE_REF(BgL_envz00_24046, (int) (((long) 3)));
				{
					obj_t BgL_sz00_2838;

					BgL_sz00_2838 = BgL_sz00_24051;
					{	/* Eval/evaluate.scm 1213 */
						obj_t BgL_bpz00_2840;

						BgL_bpz00_2840 = VECTOR_REF(BgL_sz00_2838, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1213 */
							obj_t BgL_fz00_2841;

							obj_t BgL_a1z00_2842;

							BgL_fz00_2841 =
								PROCEDURE_ENTRY(BgL_funz00_24047) (BgL_funz00_24047,
								BgL_sz00_2838, BEOA);
							BgL_a1z00_2842 =
								PROCEDURE_ENTRY(BgL_a1z00_24048) (BgL_a1z00_24048,
								BgL_sz00_2838, BEOA);
							if (PROCEDUREP(BgL_fz00_2841))
								{	/* Eval/evaluate.scm 1213 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1213 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8223z00zz__evaluatez00, BgL_fz00_2841);
								}
							{	/* Eval/evaluate.scm 1213 */
								obj_t BgL_ufz00_2844;

								BgL_ufz00_2844 = PROCEDURE_ATTR(BgL_fz00_2841);
								{	/* Eval/evaluate.scm 1213 */
									bool_t BgL_testz00_29958;

									if (STRUCTP(BgL_ufz00_2844))
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_29958 =
												(STRUCT_KEY(BgL_ufz00_2844) ==
												BGl_symbol8224z00zz__evaluatez00);
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_29958 = ((bool_t) 0);
										}
									if (BgL_testz00_29958)
										{	/* Eval/evaluate.scm 1213 */
											obj_t BgL_arityz00_2846;

											obj_t BgL_runz00_2847;

											obj_t BgL_sfz00_2848;

											BgL_arityz00_2846 =
												STRUCT_REF(BgL_ufz00_2844, (int) (((long) 0)));
											BgL_runz00_2847 =
												STRUCT_REF(BgL_ufz00_2844, (int) (((long) 1)));
											BgL_sfz00_2848 =
												STRUCT_REF(BgL_ufz00_2844, (int) (((long) 2)));
											{	/* Eval/evaluate.scm 1213 */
												bool_t BgL_testz00_29969;

												{	/* Eval/evaluate.scm 1192 */
													long BgL_arg4447z00_2850;

													BgL_arg4447z00_2850 =
														(
														(long) CINT(BgL_bpz00_2840) +
														(long) CINT(BgL_siza7eza7_24049));
													{	/* Eval/evaluate.scm 1213 */
														long BgL_arg4293z00_11590;

														int BgL_arg4294z00_11591;

														BgL_arg4293z00_11590 =
															(BgL_arg4447z00_2850 +
															(long) CINT(BgL_sfz00_2848));
														BgL_arg4294z00_11591 = VECTOR_LENGTH(BgL_sz00_2838);
														BgL_testz00_29969 =
															(BgL_arg4293z00_11590 <
															(long) (BgL_arg4294z00_11591));
												}}
												if (BgL_testz00_29969)
													{	/* Eval/evaluate.scm 1213 */
														BFALSE;
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														BGl_errorz00zz__errorz00
															(BGl_symbol8221z00zz__evaluatez00,
															BGl_string8226z00zz__evaluatez00, BgL_bpz00_2840);
													}
											}
											{

												if (INTEGERP(BgL_arityz00_2846))
													{	/* Eval/evaluate.scm 1213 */
														switch ((long) CINT(BgL_arityz00_2846))
															{
															case ((long) 1):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_2854;

																	BgL_bpz00_2854 =
																		(
																		(long) CINT(BgL_bpz00_2840) +
																		(long) CINT(BgL_siza7eza7_24049));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4449z00_2855;

																		BgL_arg4449z00_2855 =
																			(BgL_bpz00_2854 + ((long) 0));
																		VECTOR_SET(BgL_sz00_2838,
																			(int) (BgL_arg4449z00_2855),
																			BgL_a1z00_2842);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_29987;

																		BgL_auxz00_29987 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_29987,
																			BgL_locz00_24050);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_2847, BgL_sz00_2838,
																		BINT(BgL_bpz00_2854));
																}
																break;
															case ((long) -1):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_2857;

																	BgL_bpz00_2857 =
																		(
																		(long) CINT(BgL_bpz00_2840) +
																		(long) CINT(BgL_siza7eza7_24049));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4450z00_2858;

																		obj_t BgL_arg4451z00_2859;

																		BgL_arg4450z00_2858 =
																			(BgL_bpz00_2857 + ((long) 0));
																		{	/* Eval/evaluate.scm 1213 */
																			obj_t BgL_list4452z00_2860;

																			BgL_list4452z00_2860 =
																				MAKE_PAIR(BgL_a1z00_2842, BNIL);
																			BgL_arg4451z00_2859 =
																				BgL_list4452z00_2860;
																		}
																		VECTOR_SET(BgL_sz00_2838,
																			(int) (BgL_arg4450z00_2858),
																			BgL_arg4451z00_2859);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_29999;

																		BgL_auxz00_29999 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_29999,
																			BgL_locz00_24050);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_2847, BgL_sz00_2838,
																		BINT(BgL_bpz00_2857));
																}
																break;
															case ((long) -2):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_2862;

																	BgL_bpz00_2862 =
																		(
																		(long) CINT(BgL_bpz00_2840) +
																		(long) CINT(BgL_siza7eza7_24049));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4453z00_2863;

																		BgL_arg4453z00_2863 =
																			(BgL_bpz00_2862 + ((long) 0));
																		VECTOR_SET(BgL_sz00_2838,
																			(int) (BgL_arg4453z00_2863),
																			BgL_a1z00_2842);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4454z00_2864;

																		BgL_arg4454z00_2864 =
																			(BgL_bpz00_2862 + ((long) 1));
																		VECTOR_SET(BgL_sz00_2838,
																			(int) (BgL_arg4454z00_2864), BNIL);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_30013;

																		BgL_auxz00_30013 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_30013,
																			BgL_locz00_24050);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_2847, BgL_sz00_2838,
																		BINT(BgL_bpz00_2862));
																}
																break;
															default:
															BgL_case_else2810z00_2851:
																{	/* Eval/evaluate.scm 1213 */
																	obj_t BgL_arg4457z00_2868;

																	obj_t BgL_arg4459z00_2870;

																	BgL_arg4457z00_2868 =
																		BGl_symbol8221z00zz__evaluatez00;
																	BgL_arg4459z00_2870 =
																		MAKE_PAIR(BgL_arityz00_2846,
																		BINT(((long) 1)));
																	return
																		BGl_errorz00zz__errorz00
																		(BgL_arg4457z00_2868,
																		BGl_string8228z00zz__evaluatez00,
																		BgL_arg4459z00_2870);
																}
															}
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														goto BgL_case_else2810z00_2851;
													}
											}
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											long BgL_nbpz00_2871;

											BgL_nbpz00_2871 =
												(
												(long) CINT(BgL_bpz00_2840) +
												(long) CINT(BgL_siza7eza7_24049));
											VECTOR_SET(BgL_sz00_2838,
												(int) (((long) 0)), BINT(BgL_nbpz00_2871));
											{	/* Eval/evaluate.scm 1213 */
												obj_t BgL_rz00_2872;

												BgL_rz00_2872 =
													PROCEDURE_ENTRY(BgL_fz00_2841) (BgL_fz00_2841,
													BgL_a1z00_2842, BEOA);
												VECTOR_SET(BgL_sz00_2838, (int) (((long) 0)),
													BgL_bpz00_2840);
												return BgL_rz00_2872;
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* comp-call2 */
	obj_t BGl_compzd2call2zd2zz__evaluatez00(obj_t BgL_locz00_299,
		obj_t BgL_funz00_300, obj_t BgL_tailzf3zf3_301, obj_t BgL_stkz00_302,
		long BgL_siza7eza7_303, obj_t BgL_a1z00_304, obj_t BgL_a2z00_305)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1213 */
			if (CBOOL(BgL_tailzf3zf3_301))
				{	/* Eval/evaluate.scm 1213 */
					obj_t BgL_zc3anonymousza34460ze3z83_24052;

					BgL_zc3anonymousza34460ze3z83_24052 =
						make_fx_procedure(BGl_zc3anonymousza34460ze3z83zz__evaluatez00,
						(int) (((long) 1)), (int) (((long) 4)));
					PROCEDURE_SET(BgL_zc3anonymousza34460ze3z83_24052,
						(int) (((long) 0)), BgL_funz00_300);
					PROCEDURE_SET(BgL_zc3anonymousza34460ze3z83_24052,
						(int) (((long) 1)), BgL_a1z00_304);
					PROCEDURE_SET(BgL_zc3anonymousza34460ze3z83_24052,
						(int) (((long) 2)), BgL_a2z00_305);
					PROCEDURE_SET(BgL_zc3anonymousza34460ze3z83_24052,
						(int) (((long) 3)), BINT(BgL_siza7eza7_303));
					return BgL_zc3anonymousza34460ze3z83_24052;
				}
			else
				{	/* Eval/evaluate.scm 1213 */
					obj_t BgL_zc3anonymousza34483ze3z83_24053;

					BgL_zc3anonymousza34483ze3z83_24053 =
						make_fx_procedure(BGl_zc3anonymousza34483ze3z83zz__evaluatez00,
						(int) (((long) 1)), (int) (((long) 5)));
					PROCEDURE_SET(BgL_zc3anonymousza34483ze3z83_24053,
						(int) (((long) 0)), BgL_funz00_300);
					PROCEDURE_SET(BgL_zc3anonymousza34483ze3z83_24053,
						(int) (((long) 1)), BgL_a1z00_304);
					PROCEDURE_SET(BgL_zc3anonymousza34483ze3z83_24053,
						(int) (((long) 2)), BgL_a2z00_305);
					PROCEDURE_SET(BgL_zc3anonymousza34483ze3z83_24053,
						(int) (((long) 3)), BINT(BgL_siza7eza7_303));
					PROCEDURE_SET(BgL_zc3anonymousza34483ze3z83_24053,
						(int) (((long) 4)), BgL_locz00_299);
					return BgL_zc3anonymousza34483ze3z83_24053;
				}
		}
	}



/* <anonymous:4460> */
	obj_t BGl_zc3anonymousza34460ze3z83zz__evaluatez00(obj_t BgL_envz00_24054,
		obj_t BgL_sz00_24059)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1213 */
			{	/* Eval/evaluate.scm 1213 */
				obj_t BgL_funz00_24055;

				obj_t BgL_a1z00_24056;

				obj_t BgL_a2z00_24057;

				obj_t BgL_siza7eza7_24058;

				BgL_funz00_24055 = PROCEDURE_REF(BgL_envz00_24054, (int) (((long) 0)));
				BgL_a1z00_24056 = PROCEDURE_REF(BgL_envz00_24054, (int) (((long) 1)));
				BgL_a2z00_24057 = PROCEDURE_REF(BgL_envz00_24054, (int) (((long) 2)));
				BgL_siza7eza7_24058 =
					PROCEDURE_REF(BgL_envz00_24054, (int) (((long) 3)));
				{
					obj_t BgL_sz00_2873;

					BgL_sz00_2873 = BgL_sz00_24059;
					{	/* Eval/evaluate.scm 1213 */
						obj_t BgL_bpz00_2875;

						BgL_bpz00_2875 = VECTOR_REF(BgL_sz00_2873, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1213 */
							obj_t BgL_fz00_2876;

							obj_t BgL_a1z00_2877;

							obj_t BgL_a2z00_2878;

							BgL_fz00_2876 =
								PROCEDURE_ENTRY(BgL_funz00_24055) (BgL_funz00_24055,
								BgL_sz00_2873, BEOA);
							BgL_a1z00_2877 =
								PROCEDURE_ENTRY(BgL_a1z00_24056) (BgL_a1z00_24056,
								BgL_sz00_2873, BEOA);
							BgL_a2z00_2878 =
								PROCEDURE_ENTRY(BgL_a2z00_24057) (BgL_a2z00_24057,
								BgL_sz00_2873, BEOA);
							if (PROCEDUREP(BgL_fz00_2876))
								{	/* Eval/evaluate.scm 1213 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1213 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8223z00zz__evaluatez00, BgL_fz00_2876);
								}
							{	/* Eval/evaluate.scm 1213 */
								obj_t BgL_ufz00_2880;

								BgL_ufz00_2880 = PROCEDURE_ATTR(BgL_fz00_2876);
								{	/* Eval/evaluate.scm 1213 */
									bool_t BgL_testz00_30081;

									if (STRUCTP(BgL_ufz00_2880))
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_30081 =
												(STRUCT_KEY(BgL_ufz00_2880) ==
												BGl_symbol8224z00zz__evaluatez00);
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_30081 = ((bool_t) 0);
										}
									if (BgL_testz00_30081)
										{	/* Eval/evaluate.scm 1213 */
											obj_t BgL_arityz00_2882;

											obj_t BgL_runz00_2883;

											obj_t BgL_sfz00_2884;

											BgL_arityz00_2882 =
												STRUCT_REF(BgL_ufz00_2880, (int) (((long) 0)));
											BgL_runz00_2883 =
												STRUCT_REF(BgL_ufz00_2880, (int) (((long) 1)));
											BgL_sfz00_2884 =
												STRUCT_REF(BgL_ufz00_2880, (int) (((long) 2)));
											{	/* Eval/evaluate.scm 1213 */
												bool_t BgL_testz00_30092;

												{	/* Eval/evaluate.scm 1213 */
													long BgL_arg4293z00_11658;

													int BgL_arg4294z00_11659;

													BgL_arg4293z00_11658 =
														(
														(long) CINT(BgL_bpz00_2875) +
														(long) CINT(BgL_sfz00_2884));
													BgL_arg4294z00_11659 = VECTOR_LENGTH(BgL_sz00_2873);
													BgL_testz00_30092 =
														(BgL_arg4293z00_11658 <
														(long) (BgL_arg4294z00_11659));
												}
												if (BgL_testz00_30092)
													{	/* Eval/evaluate.scm 1213 */
														BFALSE;
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														BGl_errorz00zz__errorz00
															(BGl_symbol8221z00zz__evaluatez00,
															BGl_string8226z00zz__evaluatez00, BgL_bpz00_2875);
													}
											}
											{

												if (INTEGERP(BgL_arityz00_2882))
													{	/* Eval/evaluate.scm 1213 */
														switch ((long) CINT(BgL_arityz00_2882))
															{
															case ((long) 2):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4465z00_2889;

																	BgL_arg4465z00_2889 =
																		((long) CINT(BgL_bpz00_2875) + ((long) 0));
																	VECTOR_SET(BgL_sz00_2873,
																		(int) (BgL_arg4465z00_2889),
																		BgL_a1z00_2877);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4466z00_2890;

																	BgL_arg4466z00_2890 =
																		((long) CINT(BgL_bpz00_2875) + ((long) 1));
																	VECTOR_SET(BgL_sz00_2873,
																		(int) (BgL_arg4466z00_2890),
																		BgL_a2z00_2878);
																}
																return BgL_runz00_2883;
																break;
															case ((long) -1):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4467z00_2891;

																	obj_t BgL_arg4468z00_2892;

																	BgL_arg4467z00_2891 =
																		((long) CINT(BgL_bpz00_2875) + ((long) 0));
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_list4469z00_2893;

																		{	/* Eval/evaluate.scm 1213 */
																			obj_t BgL_arg4470z00_2894;

																			BgL_arg4470z00_2894 =
																				MAKE_PAIR(BgL_a2z00_2878, BNIL);
																			BgL_list4469z00_2893 =
																				MAKE_PAIR(BgL_a1z00_2877,
																				BgL_arg4470z00_2894);
																		}
																		BgL_arg4468z00_2892 = BgL_list4469z00_2893;
																	}
																	VECTOR_SET(BgL_sz00_2873,
																		(int) (BgL_arg4467z00_2891),
																		BgL_arg4468z00_2892);
																}
																return BgL_runz00_2883;
																break;
															case ((long) -2):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4471z00_2895;

																	BgL_arg4471z00_2895 =
																		((long) CINT(BgL_bpz00_2875) + ((long) 0));
																	VECTOR_SET(BgL_sz00_2873,
																		(int) (BgL_arg4471z00_2895),
																		BgL_a1z00_2877);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4472z00_2896;

																	obj_t BgL_arg4473z00_2897;

																	BgL_arg4472z00_2896 =
																		((long) CINT(BgL_bpz00_2875) + ((long) 1));
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_list4474z00_2898;

																		BgL_list4474z00_2898 =
																			MAKE_PAIR(BgL_a2z00_2878, BNIL);
																		BgL_arg4473z00_2897 = BgL_list4474z00_2898;
																	}
																	VECTOR_SET(BgL_sz00_2873,
																		(int) (BgL_arg4472z00_2896),
																		BgL_arg4473z00_2897);
																}
																return BgL_runz00_2883;
																break;
															case ((long) -3):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4475z00_2899;

																	BgL_arg4475z00_2899 =
																		((long) CINT(BgL_bpz00_2875) + ((long) 0));
																	VECTOR_SET(BgL_sz00_2873,
																		(int) (BgL_arg4475z00_2899),
																		BgL_a1z00_2877);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4476z00_2900;

																	BgL_arg4476z00_2900 =
																		((long) CINT(BgL_bpz00_2875) + ((long) 1));
																	VECTOR_SET(BgL_sz00_2873,
																		(int) (BgL_arg4476z00_2900),
																		BgL_a2z00_2878);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4477z00_2901;

																	BgL_arg4477z00_2901 =
																		((long) CINT(BgL_bpz00_2875) + ((long) 2));
																	VECTOR_SET(BgL_sz00_2873,
																		(int) (BgL_arg4477z00_2901), BNIL);
																}
																return BgL_runz00_2883;
																break;
															default:
															BgL_case_else2812z00_2886:
																{	/* Eval/evaluate.scm 1213 */
																	obj_t BgL_arg4480z00_2904;

																	obj_t BgL_arg4482z00_2906;

																	BgL_arg4480z00_2904 =
																		BGl_symbol8221z00zz__evaluatez00;
																	BgL_arg4482z00_2906 =
																		MAKE_PAIR(BgL_arityz00_2882,
																		BINT(((long) 2)));
																	return
																		BGl_errorz00zz__errorz00
																		(BgL_arg4480z00_2904,
																		BGl_string8228z00zz__evaluatez00,
																		BgL_arg4482z00_2906);
																}
															}
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														goto BgL_case_else2812z00_2886;
													}
											}
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											long BgL_nbpz00_2907;

											BgL_nbpz00_2907 =
												(
												(long) CINT(BgL_bpz00_2875) +
												(long) CINT(BgL_siza7eza7_24058));
											VECTOR_SET(BgL_sz00_2873,
												(int) (((long) 0)), BINT(BgL_nbpz00_2907));
											{	/* Eval/evaluate.scm 1213 */
												obj_t BgL_rz00_2908;

												BgL_rz00_2908 =
													PROCEDURE_ENTRY(BgL_fz00_2876) (BgL_fz00_2876,
													BgL_a1z00_2877, BgL_a2z00_2878, BEOA);
												VECTOR_SET(BgL_sz00_2873, (int) (((long) 0)),
													BgL_bpz00_2875);
												return BgL_rz00_2908;
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:4483> */
	obj_t BGl_zc3anonymousza34483ze3z83zz__evaluatez00(obj_t BgL_envz00_24060,
		obj_t BgL_sz00_24066)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1213 */
			{	/* Eval/evaluate.scm 1213 */
				obj_t BgL_funz00_24061;

				obj_t BgL_a1z00_24062;

				obj_t BgL_a2z00_24063;

				obj_t BgL_siza7eza7_24064;

				obj_t BgL_locz00_24065;

				BgL_funz00_24061 = PROCEDURE_REF(BgL_envz00_24060, (int) (((long) 0)));
				BgL_a1z00_24062 = PROCEDURE_REF(BgL_envz00_24060, (int) (((long) 1)));
				BgL_a2z00_24063 = PROCEDURE_REF(BgL_envz00_24060, (int) (((long) 2)));
				BgL_siza7eza7_24064 =
					PROCEDURE_REF(BgL_envz00_24060, (int) (((long) 3)));
				BgL_locz00_24065 = PROCEDURE_REF(BgL_envz00_24060, (int) (((long) 4)));
				{
					obj_t BgL_sz00_2909;

					BgL_sz00_2909 = BgL_sz00_24066;
					{	/* Eval/evaluate.scm 1213 */
						obj_t BgL_bpz00_2911;

						BgL_bpz00_2911 = VECTOR_REF(BgL_sz00_2909, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1213 */
							obj_t BgL_fz00_2912;

							obj_t BgL_a1z00_2913;

							obj_t BgL_a2z00_2914;

							BgL_fz00_2912 =
								PROCEDURE_ENTRY(BgL_funz00_24061) (BgL_funz00_24061,
								BgL_sz00_2909, BEOA);
							BgL_a1z00_2913 =
								PROCEDURE_ENTRY(BgL_a1z00_24062) (BgL_a1z00_24062,
								BgL_sz00_2909, BEOA);
							BgL_a2z00_2914 =
								PROCEDURE_ENTRY(BgL_a2z00_24063) (BgL_a2z00_24063,
								BgL_sz00_2909, BEOA);
							if (PROCEDUREP(BgL_fz00_2912))
								{	/* Eval/evaluate.scm 1213 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1213 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8223z00zz__evaluatez00, BgL_fz00_2912);
								}
							{	/* Eval/evaluate.scm 1213 */
								obj_t BgL_ufz00_2916;

								BgL_ufz00_2916 = PROCEDURE_ATTR(BgL_fz00_2912);
								{	/* Eval/evaluate.scm 1213 */
									bool_t BgL_testz00_30174;

									if (STRUCTP(BgL_ufz00_2916))
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_30174 =
												(STRUCT_KEY(BgL_ufz00_2916) ==
												BGl_symbol8224z00zz__evaluatez00);
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_30174 = ((bool_t) 0);
										}
									if (BgL_testz00_30174)
										{	/* Eval/evaluate.scm 1213 */
											obj_t BgL_arityz00_2918;

											obj_t BgL_runz00_2919;

											obj_t BgL_sfz00_2920;

											BgL_arityz00_2918 =
												STRUCT_REF(BgL_ufz00_2916, (int) (((long) 0)));
											BgL_runz00_2919 =
												STRUCT_REF(BgL_ufz00_2916, (int) (((long) 1)));
											BgL_sfz00_2920 =
												STRUCT_REF(BgL_ufz00_2916, (int) (((long) 2)));
											{	/* Eval/evaluate.scm 1213 */
												bool_t BgL_testz00_30185;

												{	/* Eval/evaluate.scm 1192 */
													long BgL_arg4487z00_2922;

													BgL_arg4487z00_2922 =
														(
														(long) CINT(BgL_bpz00_2911) +
														(long) CINT(BgL_siza7eza7_24064));
													{	/* Eval/evaluate.scm 1213 */
														long BgL_arg4293z00_11748;

														int BgL_arg4294z00_11749;

														BgL_arg4293z00_11748 =
															(BgL_arg4487z00_2922 +
															(long) CINT(BgL_sfz00_2920));
														BgL_arg4294z00_11749 = VECTOR_LENGTH(BgL_sz00_2909);
														BgL_testz00_30185 =
															(BgL_arg4293z00_11748 <
															(long) (BgL_arg4294z00_11749));
												}}
												if (BgL_testz00_30185)
													{	/* Eval/evaluate.scm 1213 */
														BFALSE;
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														BGl_errorz00zz__errorz00
															(BGl_symbol8221z00zz__evaluatez00,
															BGl_string8226z00zz__evaluatez00, BgL_bpz00_2911);
													}
											}
											{

												if (INTEGERP(BgL_arityz00_2918))
													{	/* Eval/evaluate.scm 1213 */
														switch ((long) CINT(BgL_arityz00_2918))
															{
															case ((long) 2):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_2926;

																	BgL_bpz00_2926 =
																		(
																		(long) CINT(BgL_bpz00_2911) +
																		(long) CINT(BgL_siza7eza7_24064));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4489z00_2927;

																		BgL_arg4489z00_2927 =
																			(BgL_bpz00_2926 + ((long) 0));
																		VECTOR_SET(BgL_sz00_2909,
																			(int) (BgL_arg4489z00_2927),
																			BgL_a1z00_2913);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4490z00_2928;

																		BgL_arg4490z00_2928 =
																			(BgL_bpz00_2926 + ((long) 1));
																		VECTOR_SET(BgL_sz00_2909,
																			(int) (BgL_arg4490z00_2928),
																			BgL_a2z00_2914);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_30206;

																		BgL_auxz00_30206 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_30206,
																			BgL_locz00_24065);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_2919, BgL_sz00_2909,
																		BINT(BgL_bpz00_2926));
																}
																break;
															case ((long) -1):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_2930;

																	BgL_bpz00_2930 =
																		(
																		(long) CINT(BgL_bpz00_2911) +
																		(long) CINT(BgL_siza7eza7_24064));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4491z00_2931;

																		obj_t BgL_arg4492z00_2932;

																		BgL_arg4491z00_2931 =
																			(BgL_bpz00_2930 + ((long) 0));
																		{	/* Eval/evaluate.scm 1213 */
																			obj_t BgL_list4493z00_2933;

																			{	/* Eval/evaluate.scm 1213 */
																				obj_t BgL_arg4494z00_2934;

																				BgL_arg4494z00_2934 =
																					MAKE_PAIR(BgL_a2z00_2914, BNIL);
																				BgL_list4493z00_2933 =
																					MAKE_PAIR(BgL_a1z00_2913,
																					BgL_arg4494z00_2934);
																			}
																			BgL_arg4492z00_2932 =
																				BgL_list4493z00_2933;
																		}
																		VECTOR_SET(BgL_sz00_2909,
																			(int) (BgL_arg4491z00_2931),
																			BgL_arg4492z00_2932);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_30219;

																		BgL_auxz00_30219 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_30219,
																			BgL_locz00_24065);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_2919, BgL_sz00_2909,
																		BINT(BgL_bpz00_2930));
																}
																break;
															case ((long) -2):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_2936;

																	BgL_bpz00_2936 =
																		(
																		(long) CINT(BgL_bpz00_2911) +
																		(long) CINT(BgL_siza7eza7_24064));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4495z00_2937;

																		BgL_arg4495z00_2937 =
																			(BgL_bpz00_2936 + ((long) 0));
																		VECTOR_SET(BgL_sz00_2909,
																			(int) (BgL_arg4495z00_2937),
																			BgL_a1z00_2913);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4496z00_2938;

																		obj_t BgL_arg4497z00_2939;

																		BgL_arg4496z00_2938 =
																			(BgL_bpz00_2936 + ((long) 1));
																		{	/* Eval/evaluate.scm 1213 */
																			obj_t BgL_list4498z00_2940;

																			BgL_list4498z00_2940 =
																				MAKE_PAIR(BgL_a2z00_2914, BNIL);
																			BgL_arg4497z00_2939 =
																				BgL_list4498z00_2940;
																		}
																		VECTOR_SET(BgL_sz00_2909,
																			(int) (BgL_arg4496z00_2938),
																			BgL_arg4497z00_2939);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_30234;

																		BgL_auxz00_30234 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_30234,
																			BgL_locz00_24065);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_2919, BgL_sz00_2909,
																		BINT(BgL_bpz00_2936));
																}
																break;
															case ((long) -3):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_2942;

																	BgL_bpz00_2942 =
																		(
																		(long) CINT(BgL_bpz00_2911) +
																		(long) CINT(BgL_siza7eza7_24064));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4499z00_2943;

																		BgL_arg4499z00_2943 =
																			(BgL_bpz00_2942 + ((long) 0));
																		VECTOR_SET(BgL_sz00_2909,
																			(int) (BgL_arg4499z00_2943),
																			BgL_a1z00_2913);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4500z00_2944;

																		BgL_arg4500z00_2944 =
																			(BgL_bpz00_2942 + ((long) 1));
																		VECTOR_SET(BgL_sz00_2909,
																			(int) (BgL_arg4500z00_2944),
																			BgL_a2z00_2914);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4501z00_2945;

																		BgL_arg4501z00_2945 =
																			(BgL_bpz00_2942 + ((long) 2));
																		VECTOR_SET(BgL_sz00_2909,
																			(int) (BgL_arg4501z00_2945), BNIL);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_30251;

																		BgL_auxz00_30251 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_30251,
																			BgL_locz00_24065);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_2919, BgL_sz00_2909,
																		BINT(BgL_bpz00_2942));
																}
																break;
															default:
															BgL_case_else2814z00_2923:
																{	/* Eval/evaluate.scm 1213 */
																	obj_t BgL_arg4504z00_2949;

																	obj_t BgL_arg4506z00_2951;

																	BgL_arg4504z00_2949 =
																		BGl_symbol8221z00zz__evaluatez00;
																	BgL_arg4506z00_2951 =
																		MAKE_PAIR(BgL_arityz00_2918,
																		BINT(((long) 2)));
																	return
																		BGl_errorz00zz__errorz00
																		(BgL_arg4504z00_2949,
																		BGl_string8228z00zz__evaluatez00,
																		BgL_arg4506z00_2951);
																}
															}
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														goto BgL_case_else2814z00_2923;
													}
											}
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											long BgL_nbpz00_2952;

											BgL_nbpz00_2952 =
												(
												(long) CINT(BgL_bpz00_2911) +
												(long) CINT(BgL_siza7eza7_24064));
											VECTOR_SET(BgL_sz00_2909,
												(int) (((long) 0)), BINT(BgL_nbpz00_2952));
											{	/* Eval/evaluate.scm 1213 */
												obj_t BgL_rz00_2953;

												BgL_rz00_2953 =
													PROCEDURE_ENTRY(BgL_fz00_2912) (BgL_fz00_2912,
													BgL_a1z00_2913, BgL_a2z00_2914, BEOA);
												VECTOR_SET(BgL_sz00_2909, (int) (((long) 0)),
													BgL_bpz00_2911);
												return BgL_rz00_2953;
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* comp-call3 */
	obj_t BGl_compzd2call3zd2zz__evaluatez00(obj_t BgL_locz00_306,
		obj_t BgL_funz00_307, obj_t BgL_tailzf3zf3_308, obj_t BgL_stkz00_309,
		long BgL_siza7eza7_310, obj_t BgL_a1z00_311, obj_t BgL_a2z00_312,
		obj_t BgL_a3z00_313)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1213 */
			if (CBOOL(BgL_tailzf3zf3_308))
				{	/* Eval/evaluate.scm 1213 */
					obj_t BgL_zc3anonymousza34507ze3z83_24067;

					BgL_zc3anonymousza34507ze3z83_24067 =
						make_fx_procedure(BGl_zc3anonymousza34507ze3z83zz__evaluatez00,
						(int) (((long) 1)), (int) (((long) 5)));
					PROCEDURE_SET(BgL_zc3anonymousza34507ze3z83_24067,
						(int) (((long) 0)), BgL_funz00_307);
					PROCEDURE_SET(BgL_zc3anonymousza34507ze3z83_24067,
						(int) (((long) 1)), BgL_a1z00_311);
					PROCEDURE_SET(BgL_zc3anonymousza34507ze3z83_24067,
						(int) (((long) 2)), BgL_a2z00_312);
					PROCEDURE_SET(BgL_zc3anonymousza34507ze3z83_24067,
						(int) (((long) 3)), BgL_a3z00_313);
					PROCEDURE_SET(BgL_zc3anonymousza34507ze3z83_24067,
						(int) (((long) 4)), BINT(BgL_siza7eza7_310));
					return BgL_zc3anonymousza34507ze3z83_24067;
				}
			else
				{	/* Eval/evaluate.scm 1213 */
					obj_t BgL_zc3anonymousza34539ze3z83_24068;

					BgL_zc3anonymousza34539ze3z83_24068 =
						make_fx_procedure(BGl_zc3anonymousza34539ze3z83zz__evaluatez00,
						(int) (((long) 1)), (int) (((long) 6)));
					PROCEDURE_SET(BgL_zc3anonymousza34539ze3z83_24068,
						(int) (((long) 0)), BgL_funz00_307);
					PROCEDURE_SET(BgL_zc3anonymousza34539ze3z83_24068,
						(int) (((long) 1)), BgL_a1z00_311);
					PROCEDURE_SET(BgL_zc3anonymousza34539ze3z83_24068,
						(int) (((long) 2)), BgL_a2z00_312);
					PROCEDURE_SET(BgL_zc3anonymousza34539ze3z83_24068,
						(int) (((long) 3)), BgL_a3z00_313);
					PROCEDURE_SET(BgL_zc3anonymousza34539ze3z83_24068,
						(int) (((long) 4)), BINT(BgL_siza7eza7_310));
					PROCEDURE_SET(BgL_zc3anonymousza34539ze3z83_24068,
						(int) (((long) 5)), BgL_locz00_306);
					return BgL_zc3anonymousza34539ze3z83_24068;
				}
		}
	}



/* <anonymous:4507> */
	obj_t BGl_zc3anonymousza34507ze3z83zz__evaluatez00(obj_t BgL_envz00_24069,
		obj_t BgL_sz00_24075)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1213 */
			{	/* Eval/evaluate.scm 1213 */
				obj_t BgL_funz00_24070;

				obj_t BgL_a1z00_24071;

				obj_t BgL_a2z00_24072;

				obj_t BgL_a3z00_24073;

				obj_t BgL_siza7eza7_24074;

				BgL_funz00_24070 = PROCEDURE_REF(BgL_envz00_24069, (int) (((long) 0)));
				BgL_a1z00_24071 = PROCEDURE_REF(BgL_envz00_24069, (int) (((long) 1)));
				BgL_a2z00_24072 = PROCEDURE_REF(BgL_envz00_24069, (int) (((long) 2)));
				BgL_a3z00_24073 = PROCEDURE_REF(BgL_envz00_24069, (int) (((long) 3)));
				BgL_siza7eza7_24074 =
					PROCEDURE_REF(BgL_envz00_24069, (int) (((long) 4)));
				{
					obj_t BgL_sz00_2954;

					BgL_sz00_2954 = BgL_sz00_24075;
					{	/* Eval/evaluate.scm 1213 */
						obj_t BgL_bpz00_2956;

						BgL_bpz00_2956 = VECTOR_REF(BgL_sz00_2954, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1213 */
							obj_t BgL_fz00_2957;

							obj_t BgL_a1z00_2958;

							obj_t BgL_a2z00_2959;

							obj_t BgL_a3z00_2960;

							BgL_fz00_2957 =
								PROCEDURE_ENTRY(BgL_funz00_24070) (BgL_funz00_24070,
								BgL_sz00_2954, BEOA);
							BgL_a1z00_2958 =
								PROCEDURE_ENTRY(BgL_a1z00_24071) (BgL_a1z00_24071,
								BgL_sz00_2954, BEOA);
							BgL_a2z00_2959 =
								PROCEDURE_ENTRY(BgL_a2z00_24072) (BgL_a2z00_24072,
								BgL_sz00_2954, BEOA);
							BgL_a3z00_2960 =
								PROCEDURE_ENTRY(BgL_a3z00_24073) (BgL_a3z00_24073,
								BgL_sz00_2954, BEOA);
							if (PROCEDUREP(BgL_fz00_2957))
								{	/* Eval/evaluate.scm 1213 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1213 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8223z00zz__evaluatez00, BgL_fz00_2957);
								}
							{	/* Eval/evaluate.scm 1213 */
								obj_t BgL_ufz00_2962;

								BgL_ufz00_2962 = PROCEDURE_ATTR(BgL_fz00_2957);
								{	/* Eval/evaluate.scm 1213 */
									bool_t BgL_testz00_30327;

									if (STRUCTP(BgL_ufz00_2962))
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_30327 =
												(STRUCT_KEY(BgL_ufz00_2962) ==
												BGl_symbol8224z00zz__evaluatez00);
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_30327 = ((bool_t) 0);
										}
									if (BgL_testz00_30327)
										{	/* Eval/evaluate.scm 1213 */
											obj_t BgL_arityz00_2964;

											obj_t BgL_runz00_2965;

											obj_t BgL_sfz00_2966;

											BgL_arityz00_2964 =
												STRUCT_REF(BgL_ufz00_2962, (int) (((long) 0)));
											BgL_runz00_2965 =
												STRUCT_REF(BgL_ufz00_2962, (int) (((long) 1)));
											BgL_sfz00_2966 =
												STRUCT_REF(BgL_ufz00_2962, (int) (((long) 2)));
											{	/* Eval/evaluate.scm 1213 */
												bool_t BgL_testz00_30338;

												{	/* Eval/evaluate.scm 1213 */
													long BgL_arg4293z00_11840;

													int BgL_arg4294z00_11841;

													BgL_arg4293z00_11840 =
														(
														(long) CINT(BgL_bpz00_2956) +
														(long) CINT(BgL_sfz00_2966));
													BgL_arg4294z00_11841 = VECTOR_LENGTH(BgL_sz00_2954);
													BgL_testz00_30338 =
														(BgL_arg4293z00_11840 <
														(long) (BgL_arg4294z00_11841));
												}
												if (BgL_testz00_30338)
													{	/* Eval/evaluate.scm 1213 */
														BFALSE;
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														BGl_errorz00zz__errorz00
															(BGl_symbol8221z00zz__evaluatez00,
															BGl_string8226z00zz__evaluatez00, BgL_bpz00_2956);
													}
											}
											{

												if (INTEGERP(BgL_arityz00_2964))
													{	/* Eval/evaluate.scm 1213 */
														switch ((long) CINT(BgL_arityz00_2964))
															{
															case ((long) 3):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4512z00_2971;

																	BgL_arg4512z00_2971 =
																		((long) CINT(BgL_bpz00_2956) + ((long) 0));
																	VECTOR_SET(BgL_sz00_2954,
																		(int) (BgL_arg4512z00_2971),
																		BgL_a1z00_2958);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4513z00_2972;

																	BgL_arg4513z00_2972 =
																		((long) CINT(BgL_bpz00_2956) + ((long) 1));
																	VECTOR_SET(BgL_sz00_2954,
																		(int) (BgL_arg4513z00_2972),
																		BgL_a2z00_2959);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4514z00_2973;

																	BgL_arg4514z00_2973 =
																		((long) CINT(BgL_bpz00_2956) + ((long) 2));
																	VECTOR_SET(BgL_sz00_2954,
																		(int) (BgL_arg4514z00_2973),
																		BgL_a3z00_2960);
																}
																return BgL_runz00_2965;
																break;
															case ((long) -1):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4515z00_2974;

																	obj_t BgL_arg4516z00_2975;

																	BgL_arg4515z00_2974 =
																		((long) CINT(BgL_bpz00_2956) + ((long) 0));
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_list4517z00_2976;

																		{	/* Eval/evaluate.scm 1213 */
																			obj_t BgL_arg4518z00_2977;

																			{	/* Eval/evaluate.scm 1213 */
																				obj_t BgL_arg4519z00_2978;

																				BgL_arg4519z00_2978 =
																					MAKE_PAIR(BgL_a3z00_2960, BNIL);
																				BgL_arg4518z00_2977 =
																					MAKE_PAIR(BgL_a2z00_2959,
																					BgL_arg4519z00_2978);
																			}
																			BgL_list4517z00_2976 =
																				MAKE_PAIR(BgL_a1z00_2958,
																				BgL_arg4518z00_2977);
																		}
																		BgL_arg4516z00_2975 = BgL_list4517z00_2976;
																	}
																	VECTOR_SET(BgL_sz00_2954,
																		(int) (BgL_arg4515z00_2974),
																		BgL_arg4516z00_2975);
																}
																return BgL_runz00_2965;
																break;
															case ((long) -2):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4520z00_2979;

																	BgL_arg4520z00_2979 =
																		((long) CINT(BgL_bpz00_2956) + ((long) 0));
																	VECTOR_SET(BgL_sz00_2954,
																		(int) (BgL_arg4520z00_2979),
																		BgL_a1z00_2958);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4521z00_2980;

																	obj_t BgL_arg4522z00_2981;

																	BgL_arg4521z00_2980 =
																		((long) CINT(BgL_bpz00_2956) + ((long) 1));
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_list4523z00_2982;

																		{	/* Eval/evaluate.scm 1213 */
																			obj_t BgL_arg4524z00_2983;

																			BgL_arg4524z00_2983 =
																				MAKE_PAIR(BgL_a3z00_2960, BNIL);
																			BgL_list4523z00_2982 =
																				MAKE_PAIR(BgL_a2z00_2959,
																				BgL_arg4524z00_2983);
																		}
																		BgL_arg4522z00_2981 = BgL_list4523z00_2982;
																	}
																	VECTOR_SET(BgL_sz00_2954,
																		(int) (BgL_arg4521z00_2980),
																		BgL_arg4522z00_2981);
																}
																return BgL_runz00_2965;
																break;
															case ((long) -3):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4525z00_2984;

																	BgL_arg4525z00_2984 =
																		((long) CINT(BgL_bpz00_2956) + ((long) 0));
																	VECTOR_SET(BgL_sz00_2954,
																		(int) (BgL_arg4525z00_2984),
																		BgL_a1z00_2958);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4526z00_2985;

																	BgL_arg4526z00_2985 =
																		((long) CINT(BgL_bpz00_2956) + ((long) 1));
																	VECTOR_SET(BgL_sz00_2954,
																		(int) (BgL_arg4526z00_2985),
																		BgL_a2z00_2959);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4527z00_2986;

																	obj_t BgL_arg4528z00_2987;

																	BgL_arg4527z00_2986 =
																		((long) CINT(BgL_bpz00_2956) + ((long) 2));
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_list4529z00_2988;

																		BgL_list4529z00_2988 =
																			MAKE_PAIR(BgL_a3z00_2960, BNIL);
																		BgL_arg4528z00_2987 = BgL_list4529z00_2988;
																	}
																	VECTOR_SET(BgL_sz00_2954,
																		(int) (BgL_arg4527z00_2986),
																		BgL_arg4528z00_2987);
																}
																return BgL_runz00_2965;
																break;
															case ((long) -4):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4530z00_2989;

																	BgL_arg4530z00_2989 =
																		((long) CINT(BgL_bpz00_2956) + ((long) 0));
																	VECTOR_SET(BgL_sz00_2954,
																		(int) (BgL_arg4530z00_2989),
																		BgL_a1z00_2958);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4531z00_2990;

																	BgL_arg4531z00_2990 =
																		((long) CINT(BgL_bpz00_2956) + ((long) 1));
																	VECTOR_SET(BgL_sz00_2954,
																		(int) (BgL_arg4531z00_2990),
																		BgL_a2z00_2959);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4532z00_2991;

																	BgL_arg4532z00_2991 =
																		((long) CINT(BgL_bpz00_2956) + ((long) 2));
																	VECTOR_SET(BgL_sz00_2954,
																		(int) (BgL_arg4532z00_2991),
																		BgL_a3z00_2960);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4533z00_2992;

																	BgL_arg4533z00_2992 =
																		((long) CINT(BgL_bpz00_2956) + ((long) 3));
																	VECTOR_SET(BgL_sz00_2954,
																		(int) (BgL_arg4533z00_2992), BNIL);
																}
																return BgL_runz00_2965;
																break;
															default:
															BgL_case_else2816z00_2968:
																{	/* Eval/evaluate.scm 1213 */
																	obj_t BgL_arg4536z00_2995;

																	obj_t BgL_arg4538z00_2997;

																	BgL_arg4536z00_2995 =
																		BGl_symbol8221z00zz__evaluatez00;
																	BgL_arg4538z00_2997 =
																		MAKE_PAIR(BgL_arityz00_2964,
																		BINT(((long) 3)));
																	return
																		BGl_errorz00zz__errorz00
																		(BgL_arg4536z00_2995,
																		BGl_string8228z00zz__evaluatez00,
																		BgL_arg4538z00_2997);
																}
															}
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														goto BgL_case_else2816z00_2968;
													}
											}
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											long BgL_nbpz00_2998;

											BgL_nbpz00_2998 =
												(
												(long) CINT(BgL_bpz00_2956) +
												(long) CINT(BgL_siza7eza7_24074));
											VECTOR_SET(BgL_sz00_2954,
												(int) (((long) 0)), BINT(BgL_nbpz00_2998));
											{	/* Eval/evaluate.scm 1213 */
												obj_t BgL_rz00_2999;

												BgL_rz00_2999 =
													PROCEDURE_ENTRY(BgL_fz00_2957) (BgL_fz00_2957,
													BgL_a1z00_2958, BgL_a2z00_2959, BgL_a3z00_2960, BEOA);
												VECTOR_SET(BgL_sz00_2954, (int) (((long) 0)),
													BgL_bpz00_2956);
												return BgL_rz00_2999;
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:4539> */
	obj_t BGl_zc3anonymousza34539ze3z83zz__evaluatez00(obj_t BgL_envz00_24076,
		obj_t BgL_sz00_24083)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1213 */
			{	/* Eval/evaluate.scm 1213 */
				obj_t BgL_funz00_24077;

				obj_t BgL_a1z00_24078;

				obj_t BgL_a2z00_24079;

				obj_t BgL_a3z00_24080;

				obj_t BgL_siza7eza7_24081;

				obj_t BgL_locz00_24082;

				BgL_funz00_24077 = PROCEDURE_REF(BgL_envz00_24076, (int) (((long) 0)));
				BgL_a1z00_24078 = PROCEDURE_REF(BgL_envz00_24076, (int) (((long) 1)));
				BgL_a2z00_24079 = PROCEDURE_REF(BgL_envz00_24076, (int) (((long) 2)));
				BgL_a3z00_24080 = PROCEDURE_REF(BgL_envz00_24076, (int) (((long) 3)));
				BgL_siza7eza7_24081 =
					PROCEDURE_REF(BgL_envz00_24076, (int) (((long) 4)));
				BgL_locz00_24082 = PROCEDURE_REF(BgL_envz00_24076, (int) (((long) 5)));
				{
					obj_t BgL_sz00_3000;

					BgL_sz00_3000 = BgL_sz00_24083;
					{	/* Eval/evaluate.scm 1213 */
						obj_t BgL_bpz00_3002;

						BgL_bpz00_3002 = VECTOR_REF(BgL_sz00_3000, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1213 */
							obj_t BgL_fz00_3003;

							obj_t BgL_a1z00_3004;

							obj_t BgL_a2z00_3005;

							obj_t BgL_a3z00_3006;

							BgL_fz00_3003 =
								PROCEDURE_ENTRY(BgL_funz00_24077) (BgL_funz00_24077,
								BgL_sz00_3000, BEOA);
							BgL_a1z00_3004 =
								PROCEDURE_ENTRY(BgL_a1z00_24078) (BgL_a1z00_24078,
								BgL_sz00_3000, BEOA);
							BgL_a2z00_3005 =
								PROCEDURE_ENTRY(BgL_a2z00_24079) (BgL_a2z00_24079,
								BgL_sz00_3000, BEOA);
							BgL_a3z00_3006 =
								PROCEDURE_ENTRY(BgL_a3z00_24080) (BgL_a3z00_24080,
								BgL_sz00_3000, BEOA);
							if (PROCEDUREP(BgL_fz00_3003))
								{	/* Eval/evaluate.scm 1213 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1213 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8223z00zz__evaluatez00, BgL_fz00_3003);
								}
							{	/* Eval/evaluate.scm 1213 */
								obj_t BgL_ufz00_3008;

								BgL_ufz00_3008 = PROCEDURE_ATTR(BgL_fz00_3003);
								{	/* Eval/evaluate.scm 1213 */
									bool_t BgL_testz00_30447;

									if (STRUCTP(BgL_ufz00_3008))
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_30447 =
												(STRUCT_KEY(BgL_ufz00_3008) ==
												BGl_symbol8224z00zz__evaluatez00);
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_30447 = ((bool_t) 0);
										}
									if (BgL_testz00_30447)
										{	/* Eval/evaluate.scm 1213 */
											obj_t BgL_arityz00_3010;

											obj_t BgL_runz00_3011;

											obj_t BgL_sfz00_3012;

											BgL_arityz00_3010 =
												STRUCT_REF(BgL_ufz00_3008, (int) (((long) 0)));
											BgL_runz00_3011 =
												STRUCT_REF(BgL_ufz00_3008, (int) (((long) 1)));
											BgL_sfz00_3012 =
												STRUCT_REF(BgL_ufz00_3008, (int) (((long) 2)));
											{	/* Eval/evaluate.scm 1213 */
												bool_t BgL_testz00_30458;

												{	/* Eval/evaluate.scm 1192 */
													long BgL_arg4543z00_3014;

													BgL_arg4543z00_3014 =
														(
														(long) CINT(BgL_bpz00_3002) +
														(long) CINT(BgL_siza7eza7_24081));
													{	/* Eval/evaluate.scm 1213 */
														long BgL_arg4293z00_11958;

														int BgL_arg4294z00_11959;

														BgL_arg4293z00_11958 =
															(BgL_arg4543z00_3014 +
															(long) CINT(BgL_sfz00_3012));
														BgL_arg4294z00_11959 = VECTOR_LENGTH(BgL_sz00_3000);
														BgL_testz00_30458 =
															(BgL_arg4293z00_11958 <
															(long) (BgL_arg4294z00_11959));
												}}
												if (BgL_testz00_30458)
													{	/* Eval/evaluate.scm 1213 */
														BFALSE;
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														BGl_errorz00zz__errorz00
															(BGl_symbol8221z00zz__evaluatez00,
															BGl_string8226z00zz__evaluatez00, BgL_bpz00_3002);
													}
											}
											{

												if (INTEGERP(BgL_arityz00_3010))
													{	/* Eval/evaluate.scm 1213 */
														switch ((long) CINT(BgL_arityz00_3010))
															{
															case ((long) 3):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_3018;

																	BgL_bpz00_3018 =
																		(
																		(long) CINT(BgL_bpz00_3002) +
																		(long) CINT(BgL_siza7eza7_24081));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4545z00_3019;

																		BgL_arg4545z00_3019 =
																			(BgL_bpz00_3018 + ((long) 0));
																		VECTOR_SET(BgL_sz00_3000,
																			(int) (BgL_arg4545z00_3019),
																			BgL_a1z00_3004);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4546z00_3020;

																		BgL_arg4546z00_3020 =
																			(BgL_bpz00_3018 + ((long) 1));
																		VECTOR_SET(BgL_sz00_3000,
																			(int) (BgL_arg4546z00_3020),
																			BgL_a2z00_3005);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4547z00_3021;

																		BgL_arg4547z00_3021 =
																			(BgL_bpz00_3018 + ((long) 2));
																		VECTOR_SET(BgL_sz00_3000,
																			(int) (BgL_arg4547z00_3021),
																			BgL_a3z00_3006);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_30482;

																		BgL_auxz00_30482 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_30482,
																			BgL_locz00_24082);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_3011, BgL_sz00_3000,
																		BINT(BgL_bpz00_3018));
																}
																break;
															case ((long) -1):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_3023;

																	BgL_bpz00_3023 =
																		(
																		(long) CINT(BgL_bpz00_3002) +
																		(long) CINT(BgL_siza7eza7_24081));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4548z00_3024;

																		obj_t BgL_arg4549z00_3025;

																		BgL_arg4548z00_3024 =
																			(BgL_bpz00_3023 + ((long) 0));
																		{	/* Eval/evaluate.scm 1213 */
																			obj_t BgL_list4550z00_3026;

																			{	/* Eval/evaluate.scm 1213 */
																				obj_t BgL_arg4551z00_3027;

																				{	/* Eval/evaluate.scm 1213 */
																					obj_t BgL_arg4552z00_3028;

																					BgL_arg4552z00_3028 =
																						MAKE_PAIR(BgL_a3z00_3006, BNIL);
																					BgL_arg4551z00_3027 =
																						MAKE_PAIR(BgL_a2z00_3005,
																						BgL_arg4552z00_3028);
																				}
																				BgL_list4550z00_3026 =
																					MAKE_PAIR(BgL_a1z00_3004,
																					BgL_arg4551z00_3027);
																			}
																			BgL_arg4549z00_3025 =
																				BgL_list4550z00_3026;
																		}
																		VECTOR_SET(BgL_sz00_3000,
																			(int) (BgL_arg4548z00_3024),
																			BgL_arg4549z00_3025);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_30496;

																		BgL_auxz00_30496 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_30496,
																			BgL_locz00_24082);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_3011, BgL_sz00_3000,
																		BINT(BgL_bpz00_3023));
																}
																break;
															case ((long) -2):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_3030;

																	BgL_bpz00_3030 =
																		(
																		(long) CINT(BgL_bpz00_3002) +
																		(long) CINT(BgL_siza7eza7_24081));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4553z00_3031;

																		BgL_arg4553z00_3031 =
																			(BgL_bpz00_3030 + ((long) 0));
																		VECTOR_SET(BgL_sz00_3000,
																			(int) (BgL_arg4553z00_3031),
																			BgL_a1z00_3004);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4554z00_3032;

																		obj_t BgL_arg4555z00_3033;

																		BgL_arg4554z00_3032 =
																			(BgL_bpz00_3030 + ((long) 1));
																		{	/* Eval/evaluate.scm 1213 */
																			obj_t BgL_list4556z00_3034;

																			{	/* Eval/evaluate.scm 1213 */
																				obj_t BgL_arg4557z00_3035;

																				BgL_arg4557z00_3035 =
																					MAKE_PAIR(BgL_a3z00_3006, BNIL);
																				BgL_list4556z00_3034 =
																					MAKE_PAIR(BgL_a2z00_3005,
																					BgL_arg4557z00_3035);
																			}
																			BgL_arg4555z00_3033 =
																				BgL_list4556z00_3034;
																		}
																		VECTOR_SET(BgL_sz00_3000,
																			(int) (BgL_arg4554z00_3032),
																			BgL_arg4555z00_3033);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_30512;

																		BgL_auxz00_30512 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_30512,
																			BgL_locz00_24082);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_3011, BgL_sz00_3000,
																		BINT(BgL_bpz00_3030));
																}
																break;
															case ((long) -3):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_3037;

																	BgL_bpz00_3037 =
																		(
																		(long) CINT(BgL_bpz00_3002) +
																		(long) CINT(BgL_siza7eza7_24081));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4558z00_3038;

																		BgL_arg4558z00_3038 =
																			(BgL_bpz00_3037 + ((long) 0));
																		VECTOR_SET(BgL_sz00_3000,
																			(int) (BgL_arg4558z00_3038),
																			BgL_a1z00_3004);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4559z00_3039;

																		BgL_arg4559z00_3039 =
																			(BgL_bpz00_3037 + ((long) 1));
																		VECTOR_SET(BgL_sz00_3000,
																			(int) (BgL_arg4559z00_3039),
																			BgL_a2z00_3005);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4560z00_3040;

																		obj_t BgL_arg4561z00_3041;

																		BgL_arg4560z00_3040 =
																			(BgL_bpz00_3037 + ((long) 2));
																		{	/* Eval/evaluate.scm 1213 */
																			obj_t BgL_list4562z00_3042;

																			BgL_list4562z00_3042 =
																				MAKE_PAIR(BgL_a3z00_3006, BNIL);
																			BgL_arg4561z00_3041 =
																				BgL_list4562z00_3042;
																		}
																		VECTOR_SET(BgL_sz00_3000,
																			(int) (BgL_arg4560z00_3040),
																			BgL_arg4561z00_3041);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_30530;

																		BgL_auxz00_30530 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_30530,
																			BgL_locz00_24082);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_3011, BgL_sz00_3000,
																		BINT(BgL_bpz00_3037));
																}
																break;
															case ((long) -4):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_3044;

																	BgL_bpz00_3044 =
																		(
																		(long) CINT(BgL_bpz00_3002) +
																		(long) CINT(BgL_siza7eza7_24081));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4563z00_3045;

																		BgL_arg4563z00_3045 =
																			(BgL_bpz00_3044 + ((long) 0));
																		VECTOR_SET(BgL_sz00_3000,
																			(int) (BgL_arg4563z00_3045),
																			BgL_a1z00_3004);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4564z00_3046;

																		BgL_arg4564z00_3046 =
																			(BgL_bpz00_3044 + ((long) 1));
																		VECTOR_SET(BgL_sz00_3000,
																			(int) (BgL_arg4564z00_3046),
																			BgL_a2z00_3005);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4565z00_3047;

																		BgL_arg4565z00_3047 =
																			(BgL_bpz00_3044 + ((long) 2));
																		VECTOR_SET(BgL_sz00_3000,
																			(int) (BgL_arg4565z00_3047),
																			BgL_a3z00_3006);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4566z00_3048;

																		BgL_arg4566z00_3048 =
																			(BgL_bpz00_3044 + ((long) 3));
																		VECTOR_SET(BgL_sz00_3000,
																			(int) (BgL_arg4566z00_3048), BNIL);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_30550;

																		BgL_auxz00_30550 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_30550,
																			BgL_locz00_24082);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_3011, BgL_sz00_3000,
																		BINT(BgL_bpz00_3044));
																}
																break;
															default:
															BgL_case_else2818z00_3015:
																{	/* Eval/evaluate.scm 1213 */
																	obj_t BgL_arg4569z00_3052;

																	obj_t BgL_arg4571z00_3054;

																	BgL_arg4569z00_3052 =
																		BGl_symbol8221z00zz__evaluatez00;
																	BgL_arg4571z00_3054 =
																		MAKE_PAIR(BgL_arityz00_3010,
																		BINT(((long) 3)));
																	return
																		BGl_errorz00zz__errorz00
																		(BgL_arg4569z00_3052,
																		BGl_string8228z00zz__evaluatez00,
																		BgL_arg4571z00_3054);
																}
															}
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														goto BgL_case_else2818z00_3015;
													}
											}
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											long BgL_nbpz00_3055;

											BgL_nbpz00_3055 =
												(
												(long) CINT(BgL_bpz00_3002) +
												(long) CINT(BgL_siza7eza7_24081));
											VECTOR_SET(BgL_sz00_3000,
												(int) (((long) 0)), BINT(BgL_nbpz00_3055));
											{	/* Eval/evaluate.scm 1213 */
												obj_t BgL_rz00_3056;

												BgL_rz00_3056 =
													PROCEDURE_ENTRY(BgL_fz00_3003) (BgL_fz00_3003,
													BgL_a1z00_3004, BgL_a2z00_3005, BgL_a3z00_3006, BEOA);
												VECTOR_SET(BgL_sz00_3000, (int) (((long) 0)),
													BgL_bpz00_3002);
												return BgL_rz00_3056;
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* comp-call4 */
	obj_t BGl_compzd2call4zd2zz__evaluatez00(obj_t BgL_locz00_314,
		obj_t BgL_funz00_315, obj_t BgL_tailzf3zf3_316, obj_t BgL_stkz00_317,
		long BgL_siza7eza7_318, obj_t BgL_a1z00_319, obj_t BgL_a2z00_320,
		obj_t BgL_a3z00_321, obj_t BgL_a4z00_322)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1213 */
			if (CBOOL(BgL_tailzf3zf3_316))
				{	/* Eval/evaluate.scm 1213 */
					obj_t BgL_zc3anonymousza34572ze3z83_24084;

					BgL_zc3anonymousza34572ze3z83_24084 =
						make_fx_procedure(BGl_zc3anonymousza34572ze3z83zz__evaluatez00,
						(int) (((long) 1)), (int) (((long) 6)));
					PROCEDURE_SET(BgL_zc3anonymousza34572ze3z83_24084,
						(int) (((long) 0)), BgL_funz00_315);
					PROCEDURE_SET(BgL_zc3anonymousza34572ze3z83_24084,
						(int) (((long) 1)), BgL_a1z00_319);
					PROCEDURE_SET(BgL_zc3anonymousza34572ze3z83_24084,
						(int) (((long) 2)), BgL_a2z00_320);
					PROCEDURE_SET(BgL_zc3anonymousza34572ze3z83_24084,
						(int) (((long) 3)), BgL_a3z00_321);
					PROCEDURE_SET(BgL_zc3anonymousza34572ze3z83_24084,
						(int) (((long) 4)), BgL_a4z00_322);
					PROCEDURE_SET(BgL_zc3anonymousza34572ze3z83_24084,
						(int) (((long) 5)), BINT(BgL_siza7eza7_318));
					return BgL_zc3anonymousza34572ze3z83_24084;
				}
			else
				{	/* Eval/evaluate.scm 1213 */
					obj_t BgL_zc3anonymousza34616ze3z83_24085;

					BgL_zc3anonymousza34616ze3z83_24085 =
						make_fx_procedure(BGl_zc3anonymousza34616ze3z83zz__evaluatez00,
						(int) (((long) 1)), (int) (((long) 7)));
					PROCEDURE_SET(BgL_zc3anonymousza34616ze3z83_24085,
						(int) (((long) 0)), BgL_funz00_315);
					PROCEDURE_SET(BgL_zc3anonymousza34616ze3z83_24085,
						(int) (((long) 1)), BgL_a1z00_319);
					PROCEDURE_SET(BgL_zc3anonymousza34616ze3z83_24085,
						(int) (((long) 2)), BgL_a2z00_320);
					PROCEDURE_SET(BgL_zc3anonymousza34616ze3z83_24085,
						(int) (((long) 3)), BgL_a3z00_321);
					PROCEDURE_SET(BgL_zc3anonymousza34616ze3z83_24085,
						(int) (((long) 4)), BgL_a4z00_322);
					PROCEDURE_SET(BgL_zc3anonymousza34616ze3z83_24085,
						(int) (((long) 5)), BINT(BgL_siza7eza7_318));
					PROCEDURE_SET(BgL_zc3anonymousza34616ze3z83_24085,
						(int) (((long) 6)), BgL_locz00_314);
					return BgL_zc3anonymousza34616ze3z83_24085;
				}
		}
	}



/* <anonymous:4572> */
	obj_t BGl_zc3anonymousza34572ze3z83zz__evaluatez00(obj_t BgL_envz00_24086,
		obj_t BgL_sz00_24093)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1213 */
			{	/* Eval/evaluate.scm 1213 */
				obj_t BgL_funz00_24087;

				obj_t BgL_a1z00_24088;

				obj_t BgL_a2z00_24089;

				obj_t BgL_a3z00_24090;

				obj_t BgL_a4z00_24091;

				obj_t BgL_siza7eza7_24092;

				BgL_funz00_24087 = PROCEDURE_REF(BgL_envz00_24086, (int) (((long) 0)));
				BgL_a1z00_24088 = PROCEDURE_REF(BgL_envz00_24086, (int) (((long) 1)));
				BgL_a2z00_24089 = PROCEDURE_REF(BgL_envz00_24086, (int) (((long) 2)));
				BgL_a3z00_24090 = PROCEDURE_REF(BgL_envz00_24086, (int) (((long) 3)));
				BgL_a4z00_24091 = PROCEDURE_REF(BgL_envz00_24086, (int) (((long) 4)));
				BgL_siza7eza7_24092 =
					PROCEDURE_REF(BgL_envz00_24086, (int) (((long) 5)));
				{
					obj_t BgL_sz00_3057;

					BgL_sz00_3057 = BgL_sz00_24093;
					{	/* Eval/evaluate.scm 1213 */
						obj_t BgL_bpz00_3059;

						BgL_bpz00_3059 = VECTOR_REF(BgL_sz00_3057, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1213 */
							obj_t BgL_fz00_3060;

							obj_t BgL_a1z00_3061;

							obj_t BgL_a2z00_3062;

							obj_t BgL_a3z00_3063;

							obj_t BgL_a4z00_3064;

							BgL_fz00_3060 =
								PROCEDURE_ENTRY(BgL_funz00_24087) (BgL_funz00_24087,
								BgL_sz00_3057, BEOA);
							BgL_a1z00_3061 =
								PROCEDURE_ENTRY(BgL_a1z00_24088) (BgL_a1z00_24088,
								BgL_sz00_3057, BEOA);
							BgL_a2z00_3062 =
								PROCEDURE_ENTRY(BgL_a2z00_24089) (BgL_a2z00_24089,
								BgL_sz00_3057, BEOA);
							BgL_a3z00_3063 =
								PROCEDURE_ENTRY(BgL_a3z00_24090) (BgL_a3z00_24090,
								BgL_sz00_3057, BEOA);
							BgL_a4z00_3064 =
								PROCEDURE_ENTRY(BgL_a4z00_24091) (BgL_a4z00_24091,
								BgL_sz00_3057, BEOA);
							if (PROCEDUREP(BgL_fz00_3060))
								{	/* Eval/evaluate.scm 1213 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1213 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8223z00zz__evaluatez00, BgL_fz00_3060);
								}
							{	/* Eval/evaluate.scm 1213 */
								obj_t BgL_ufz00_3066;

								BgL_ufz00_3066 = PROCEDURE_ATTR(BgL_fz00_3060);
								{	/* Eval/evaluate.scm 1213 */
									bool_t BgL_testz00_30634;

									if (STRUCTP(BgL_ufz00_3066))
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_30634 =
												(STRUCT_KEY(BgL_ufz00_3066) ==
												BGl_symbol8224z00zz__evaluatez00);
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_30634 = ((bool_t) 0);
										}
									if (BgL_testz00_30634)
										{	/* Eval/evaluate.scm 1213 */
											obj_t BgL_arityz00_3068;

											obj_t BgL_runz00_3069;

											obj_t BgL_sfz00_3070;

											BgL_arityz00_3068 =
												STRUCT_REF(BgL_ufz00_3066, (int) (((long) 0)));
											BgL_runz00_3069 =
												STRUCT_REF(BgL_ufz00_3066, (int) (((long) 1)));
											BgL_sfz00_3070 =
												STRUCT_REF(BgL_ufz00_3066, (int) (((long) 2)));
											{	/* Eval/evaluate.scm 1213 */
												bool_t BgL_testz00_30645;

												{	/* Eval/evaluate.scm 1213 */
													long BgL_arg4293z00_12079;

													int BgL_arg4294z00_12080;

													BgL_arg4293z00_12079 =
														(
														(long) CINT(BgL_bpz00_3059) +
														(long) CINT(BgL_sfz00_3070));
													BgL_arg4294z00_12080 = VECTOR_LENGTH(BgL_sz00_3057);
													BgL_testz00_30645 =
														(BgL_arg4293z00_12079 <
														(long) (BgL_arg4294z00_12080));
												}
												if (BgL_testz00_30645)
													{	/* Eval/evaluate.scm 1213 */
														BFALSE;
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														BGl_errorz00zz__errorz00
															(BGl_symbol8221z00zz__evaluatez00,
															BGl_string8226z00zz__evaluatez00, BgL_bpz00_3059);
													}
											}
											{

												if (INTEGERP(BgL_arityz00_3068))
													{	/* Eval/evaluate.scm 1213 */
														switch ((long) CINT(BgL_arityz00_3068))
															{
															case ((long) 4):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4577z00_3075;

																	BgL_arg4577z00_3075 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 0));
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4577z00_3075),
																		BgL_a1z00_3061);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4578z00_3076;

																	BgL_arg4578z00_3076 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 1));
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4578z00_3076),
																		BgL_a2z00_3062);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4579z00_3077;

																	BgL_arg4579z00_3077 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 2));
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4579z00_3077),
																		BgL_a3z00_3063);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4580z00_3078;

																	BgL_arg4580z00_3078 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 3));
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4580z00_3078),
																		BgL_a4z00_3064);
																}
																return BgL_runz00_3069;
																break;
															case ((long) -1):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4581z00_3079;

																	obj_t BgL_arg4582z00_3080;

																	BgL_arg4581z00_3079 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 0));
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_list4583z00_3081;

																		{	/* Eval/evaluate.scm 1213 */
																			obj_t BgL_arg4584z00_3082;

																			{	/* Eval/evaluate.scm 1213 */
																				obj_t BgL_arg4585z00_3083;

																				{	/* Eval/evaluate.scm 1213 */
																					obj_t BgL_arg4586z00_3084;

																					BgL_arg4586z00_3084 =
																						MAKE_PAIR(BgL_a4z00_3064, BNIL);
																					BgL_arg4585z00_3083 =
																						MAKE_PAIR(BgL_a3z00_3063,
																						BgL_arg4586z00_3084);
																				}
																				BgL_arg4584z00_3082 =
																					MAKE_PAIR(BgL_a2z00_3062,
																					BgL_arg4585z00_3083);
																			}
																			BgL_list4583z00_3081 =
																				MAKE_PAIR(BgL_a1z00_3061,
																				BgL_arg4584z00_3082);
																		}
																		BgL_arg4582z00_3080 = BgL_list4583z00_3081;
																	}
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4581z00_3079),
																		BgL_arg4582z00_3080);
																}
																return BgL_runz00_3069;
																break;
															case ((long) -2):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4587z00_3085;

																	BgL_arg4587z00_3085 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 0));
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4587z00_3085),
																		BgL_a1z00_3061);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4588z00_3086;

																	obj_t BgL_arg4589z00_3087;

																	BgL_arg4588z00_3086 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 1));
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_list4590z00_3088;

																		{	/* Eval/evaluate.scm 1213 */
																			obj_t BgL_arg4591z00_3089;

																			{	/* Eval/evaluate.scm 1213 */
																				obj_t BgL_arg4592z00_3090;

																				BgL_arg4592z00_3090 =
																					MAKE_PAIR(BgL_a4z00_3064, BNIL);
																				BgL_arg4591z00_3089 =
																					MAKE_PAIR(BgL_a3z00_3063,
																					BgL_arg4592z00_3090);
																			}
																			BgL_list4590z00_3088 =
																				MAKE_PAIR(BgL_a2z00_3062,
																				BgL_arg4591z00_3089);
																		}
																		BgL_arg4589z00_3087 = BgL_list4590z00_3088;
																	}
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4588z00_3086),
																		BgL_arg4589z00_3087);
																}
																return BgL_runz00_3069;
																break;
															case ((long) -3):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4593z00_3091;

																	BgL_arg4593z00_3091 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 0));
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4593z00_3091),
																		BgL_a1z00_3061);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4594z00_3092;

																	BgL_arg4594z00_3092 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 1));
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4594z00_3092),
																		BgL_a2z00_3062);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4595z00_3093;

																	obj_t BgL_arg4596z00_3094;

																	BgL_arg4595z00_3093 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 2));
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_list4597z00_3095;

																		{	/* Eval/evaluate.scm 1213 */
																			obj_t BgL_arg4598z00_3096;

																			BgL_arg4598z00_3096 =
																				MAKE_PAIR(BgL_a4z00_3064, BNIL);
																			BgL_list4597z00_3095 =
																				MAKE_PAIR(BgL_a3z00_3063,
																				BgL_arg4598z00_3096);
																		}
																		BgL_arg4596z00_3094 = BgL_list4597z00_3095;
																	}
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4595z00_3093),
																		BgL_arg4596z00_3094);
																}
																return BgL_runz00_3069;
																break;
															case ((long) -4):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4600z00_3097;

																	BgL_arg4600z00_3097 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 0));
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4600z00_3097),
																		BgL_a1z00_3061);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4601z00_3098;

																	BgL_arg4601z00_3098 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 1));
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4601z00_3098),
																		BgL_a2z00_3062);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4602z00_3099;

																	BgL_arg4602z00_3099 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 2));
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4602z00_3099),
																		BgL_a3z00_3063);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4603z00_3100;

																	obj_t BgL_arg4604z00_3101;

																	BgL_arg4603z00_3100 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 3));
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_list4605z00_3102;

																		BgL_list4605z00_3102 =
																			MAKE_PAIR(BgL_a4z00_3064, BNIL);
																		BgL_arg4604z00_3101 = BgL_list4605z00_3102;
																	}
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4603z00_3100),
																		BgL_arg4604z00_3101);
																}
																return BgL_runz00_3069;
																break;
															case ((long) -5):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4606z00_3103;

																	BgL_arg4606z00_3103 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 0));
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4606z00_3103),
																		BgL_a1z00_3061);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4607z00_3104;

																	BgL_arg4607z00_3104 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 1));
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4607z00_3104),
																		BgL_a2z00_3062);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4608z00_3105;

																	BgL_arg4608z00_3105 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 2));
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4608z00_3105),
																		BgL_a3z00_3063);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4609z00_3106;

																	BgL_arg4609z00_3106 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 3));
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4609z00_3106),
																		BgL_a4z00_3064);
																}
																{	/* Eval/evaluate.scm 1213 */
																	long BgL_arg4610z00_3107;

																	BgL_arg4610z00_3107 =
																		((long) CINT(BgL_bpz00_3059) + ((long) 4));
																	VECTOR_SET(BgL_sz00_3057,
																		(int) (BgL_arg4610z00_3107), BNIL);
																}
																return BgL_runz00_3069;
																break;
															default:
															BgL_case_else2820z00_3072:
																{	/* Eval/evaluate.scm 1213 */
																	obj_t BgL_arg4613z00_3110;

																	obj_t BgL_arg4615z00_3112;

																	BgL_arg4613z00_3110 =
																		BGl_symbol8221z00zz__evaluatez00;
																	BgL_arg4615z00_3112 =
																		MAKE_PAIR(BgL_arityz00_3068,
																		BINT(((long) 4)));
																	return
																		BGl_errorz00zz__errorz00
																		(BgL_arg4613z00_3110,
																		BGl_string8228z00zz__evaluatez00,
																		BgL_arg4615z00_3112);
																}
															}
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														goto BgL_case_else2820z00_3072;
													}
											}
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											long BgL_nbpz00_3113;

											BgL_nbpz00_3113 =
												(
												(long) CINT(BgL_bpz00_3059) +
												(long) CINT(BgL_siza7eza7_24092));
											VECTOR_SET(BgL_sz00_3057,
												(int) (((long) 0)), BINT(BgL_nbpz00_3113));
											{	/* Eval/evaluate.scm 1213 */
												obj_t BgL_rz00_3114;

												BgL_rz00_3114 =
													PROCEDURE_ENTRY(BgL_fz00_3060) (BgL_fz00_3060,
													BgL_a1z00_3061, BgL_a2z00_3062, BgL_a3z00_3063,
													BgL_a4z00_3064, BEOA);
												VECTOR_SET(BgL_sz00_3057, (int) (((long) 0)),
													BgL_bpz00_3059);
												return BgL_rz00_3114;
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:4616> */
	obj_t BGl_zc3anonymousza34616ze3z83zz__evaluatez00(obj_t BgL_envz00_24094,
		obj_t BgL_sz00_24102)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1213 */
			{	/* Eval/evaluate.scm 1213 */
				obj_t BgL_funz00_24095;

				obj_t BgL_a1z00_24096;

				obj_t BgL_a2z00_24097;

				obj_t BgL_a3z00_24098;

				obj_t BgL_a4z00_24099;

				obj_t BgL_siza7eza7_24100;

				obj_t BgL_locz00_24101;

				BgL_funz00_24095 = PROCEDURE_REF(BgL_envz00_24094, (int) (((long) 0)));
				BgL_a1z00_24096 = PROCEDURE_REF(BgL_envz00_24094, (int) (((long) 1)));
				BgL_a2z00_24097 = PROCEDURE_REF(BgL_envz00_24094, (int) (((long) 2)));
				BgL_a3z00_24098 = PROCEDURE_REF(BgL_envz00_24094, (int) (((long) 3)));
				BgL_a4z00_24099 = PROCEDURE_REF(BgL_envz00_24094, (int) (((long) 4)));
				BgL_siza7eza7_24100 =
					PROCEDURE_REF(BgL_envz00_24094, (int) (((long) 5)));
				BgL_locz00_24101 = PROCEDURE_REF(BgL_envz00_24094, (int) (((long) 6)));
				{
					obj_t BgL_sz00_3115;

					BgL_sz00_3115 = BgL_sz00_24102;
					{	/* Eval/evaluate.scm 1213 */
						obj_t BgL_bpz00_3117;

						BgL_bpz00_3117 = VECTOR_REF(BgL_sz00_3115, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1213 */
							obj_t BgL_fz00_3118;

							obj_t BgL_a1z00_3119;

							obj_t BgL_a2z00_3120;

							obj_t BgL_a3z00_3121;

							obj_t BgL_a4z00_3122;

							BgL_fz00_3118 =
								PROCEDURE_ENTRY(BgL_funz00_24095) (BgL_funz00_24095,
								BgL_sz00_3115, BEOA);
							BgL_a1z00_3119 =
								PROCEDURE_ENTRY(BgL_a1z00_24096) (BgL_a1z00_24096,
								BgL_sz00_3115, BEOA);
							BgL_a2z00_3120 =
								PROCEDURE_ENTRY(BgL_a2z00_24097) (BgL_a2z00_24097,
								BgL_sz00_3115, BEOA);
							BgL_a3z00_3121 =
								PROCEDURE_ENTRY(BgL_a3z00_24098) (BgL_a3z00_24098,
								BgL_sz00_3115, BEOA);
							BgL_a4z00_3122 =
								PROCEDURE_ENTRY(BgL_a4z00_24099) (BgL_a4z00_24099,
								BgL_sz00_3115, BEOA);
							if (PROCEDUREP(BgL_fz00_3118))
								{	/* Eval/evaluate.scm 1213 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1213 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8223z00zz__evaluatez00, BgL_fz00_3118);
								}
							{	/* Eval/evaluate.scm 1213 */
								obj_t BgL_ufz00_3124;

								BgL_ufz00_3124 = PROCEDURE_ATTR(BgL_fz00_3118);
								{	/* Eval/evaluate.scm 1213 */
									bool_t BgL_testz00_30786;

									if (STRUCTP(BgL_ufz00_3124))
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_30786 =
												(STRUCT_KEY(BgL_ufz00_3124) ==
												BGl_symbol8224z00zz__evaluatez00);
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											BgL_testz00_30786 = ((bool_t) 0);
										}
									if (BgL_testz00_30786)
										{	/* Eval/evaluate.scm 1213 */
											obj_t BgL_arityz00_3126;

											obj_t BgL_runz00_3127;

											obj_t BgL_sfz00_3128;

											BgL_arityz00_3126 =
												STRUCT_REF(BgL_ufz00_3124, (int) (((long) 0)));
											BgL_runz00_3127 =
												STRUCT_REF(BgL_ufz00_3124, (int) (((long) 1)));
											BgL_sfz00_3128 =
												STRUCT_REF(BgL_ufz00_3124, (int) (((long) 2)));
											{	/* Eval/evaluate.scm 1213 */
												bool_t BgL_testz00_30797;

												{	/* Eval/evaluate.scm 1192 */
													long BgL_arg4620z00_3130;

													BgL_arg4620z00_3130 =
														(
														(long) CINT(BgL_bpz00_3117) +
														(long) CINT(BgL_siza7eza7_24100));
													{	/* Eval/evaluate.scm 1213 */
														long BgL_arg4293z00_12230;

														int BgL_arg4294z00_12231;

														BgL_arg4293z00_12230 =
															(BgL_arg4620z00_3130 +
															(long) CINT(BgL_sfz00_3128));
														BgL_arg4294z00_12231 = VECTOR_LENGTH(BgL_sz00_3115);
														BgL_testz00_30797 =
															(BgL_arg4293z00_12230 <
															(long) (BgL_arg4294z00_12231));
												}}
												if (BgL_testz00_30797)
													{	/* Eval/evaluate.scm 1213 */
														BFALSE;
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														BGl_errorz00zz__errorz00
															(BGl_symbol8221z00zz__evaluatez00,
															BGl_string8226z00zz__evaluatez00, BgL_bpz00_3117);
													}
											}
											{

												if (INTEGERP(BgL_arityz00_3126))
													{	/* Eval/evaluate.scm 1213 */
														switch ((long) CINT(BgL_arityz00_3126))
															{
															case ((long) 4):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_3134;

																	BgL_bpz00_3134 =
																		(
																		(long) CINT(BgL_bpz00_3117) +
																		(long) CINT(BgL_siza7eza7_24100));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4622z00_3135;

																		BgL_arg4622z00_3135 =
																			(BgL_bpz00_3134 + ((long) 0));
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4622z00_3135),
																			BgL_a1z00_3119);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4623z00_3136;

																		BgL_arg4623z00_3136 =
																			(BgL_bpz00_3134 + ((long) 1));
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4623z00_3136),
																			BgL_a2z00_3120);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4624z00_3137;

																		BgL_arg4624z00_3137 =
																			(BgL_bpz00_3134 + ((long) 2));
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4624z00_3137),
																			BgL_a3z00_3121);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4625z00_3138;

																		BgL_arg4625z00_3138 =
																			(BgL_bpz00_3134 + ((long) 3));
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4625z00_3138),
																			BgL_a4z00_3122);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_30824;

																		BgL_auxz00_30824 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_30824,
																			BgL_locz00_24101);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_3127, BgL_sz00_3115,
																		BINT(BgL_bpz00_3134));
																}
																break;
															case ((long) -1):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_3140;

																	BgL_bpz00_3140 =
																		(
																		(long) CINT(BgL_bpz00_3117) +
																		(long) CINT(BgL_siza7eza7_24100));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4626z00_3141;

																		obj_t BgL_arg4627z00_3142;

																		BgL_arg4626z00_3141 =
																			(BgL_bpz00_3140 + ((long) 0));
																		{	/* Eval/evaluate.scm 1213 */
																			obj_t BgL_list4628z00_3143;

																			{	/* Eval/evaluate.scm 1213 */
																				obj_t BgL_arg4629z00_3144;

																				{	/* Eval/evaluate.scm 1213 */
																					obj_t BgL_arg4630z00_3145;

																					{	/* Eval/evaluate.scm 1213 */
																						obj_t BgL_arg4631z00_3146;

																						BgL_arg4631z00_3146 =
																							MAKE_PAIR(BgL_a4z00_3122, BNIL);
																						BgL_arg4630z00_3145 =
																							MAKE_PAIR(BgL_a3z00_3121,
																							BgL_arg4631z00_3146);
																					}
																					BgL_arg4629z00_3144 =
																						MAKE_PAIR(BgL_a2z00_3120,
																						BgL_arg4630z00_3145);
																				}
																				BgL_list4628z00_3143 =
																					MAKE_PAIR(BgL_a1z00_3119,
																					BgL_arg4629z00_3144);
																			}
																			BgL_arg4627z00_3142 =
																				BgL_list4628z00_3143;
																		}
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4626z00_3141),
																			BgL_arg4627z00_3142);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_30839;

																		BgL_auxz00_30839 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_30839,
																			BgL_locz00_24101);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_3127, BgL_sz00_3115,
																		BINT(BgL_bpz00_3140));
																}
																break;
															case ((long) -2):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_3148;

																	BgL_bpz00_3148 =
																		(
																		(long) CINT(BgL_bpz00_3117) +
																		(long) CINT(BgL_siza7eza7_24100));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4632z00_3149;

																		BgL_arg4632z00_3149 =
																			(BgL_bpz00_3148 + ((long) 0));
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4632z00_3149),
																			BgL_a1z00_3119);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4633z00_3150;

																		obj_t BgL_arg4634z00_3151;

																		BgL_arg4633z00_3150 =
																			(BgL_bpz00_3148 + ((long) 1));
																		{	/* Eval/evaluate.scm 1213 */
																			obj_t BgL_list4635z00_3152;

																			{	/* Eval/evaluate.scm 1213 */
																				obj_t BgL_arg4636z00_3153;

																				{	/* Eval/evaluate.scm 1213 */
																					obj_t BgL_arg4637z00_3154;

																					BgL_arg4637z00_3154 =
																						MAKE_PAIR(BgL_a4z00_3122, BNIL);
																					BgL_arg4636z00_3153 =
																						MAKE_PAIR(BgL_a3z00_3121,
																						BgL_arg4637z00_3154);
																				}
																				BgL_list4635z00_3152 =
																					MAKE_PAIR(BgL_a2z00_3120,
																					BgL_arg4636z00_3153);
																			}
																			BgL_arg4634z00_3151 =
																				BgL_list4635z00_3152;
																		}
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4633z00_3150),
																			BgL_arg4634z00_3151);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_30856;

																		BgL_auxz00_30856 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_30856,
																			BgL_locz00_24101);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_3127, BgL_sz00_3115,
																		BINT(BgL_bpz00_3148));
																}
																break;
															case ((long) -3):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_3156;

																	BgL_bpz00_3156 =
																		(
																		(long) CINT(BgL_bpz00_3117) +
																		(long) CINT(BgL_siza7eza7_24100));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4638z00_3157;

																		BgL_arg4638z00_3157 =
																			(BgL_bpz00_3156 + ((long) 0));
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4638z00_3157),
																			BgL_a1z00_3119);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4639z00_3158;

																		BgL_arg4639z00_3158 =
																			(BgL_bpz00_3156 + ((long) 1));
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4639z00_3158),
																			BgL_a2z00_3120);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4640z00_3159;

																		obj_t BgL_arg4641z00_3160;

																		BgL_arg4640z00_3159 =
																			(BgL_bpz00_3156 + ((long) 2));
																		{	/* Eval/evaluate.scm 1213 */
																			obj_t BgL_list4642z00_3161;

																			{	/* Eval/evaluate.scm 1213 */
																				obj_t BgL_arg4643z00_3162;

																				BgL_arg4643z00_3162 =
																					MAKE_PAIR(BgL_a4z00_3122, BNIL);
																				BgL_list4642z00_3161 =
																					MAKE_PAIR(BgL_a3z00_3121,
																					BgL_arg4643z00_3162);
																			}
																			BgL_arg4641z00_3160 =
																				BgL_list4642z00_3161;
																		}
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4640z00_3159),
																			BgL_arg4641z00_3160);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_30875;

																		BgL_auxz00_30875 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_30875,
																			BgL_locz00_24101);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_3127, BgL_sz00_3115,
																		BINT(BgL_bpz00_3156));
																}
																break;
															case ((long) -4):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_3164;

																	BgL_bpz00_3164 =
																		(
																		(long) CINT(BgL_bpz00_3117) +
																		(long) CINT(BgL_siza7eza7_24100));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4644z00_3165;

																		BgL_arg4644z00_3165 =
																			(BgL_bpz00_3164 + ((long) 0));
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4644z00_3165),
																			BgL_a1z00_3119);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4645z00_3166;

																		BgL_arg4645z00_3166 =
																			(BgL_bpz00_3164 + ((long) 1));
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4645z00_3166),
																			BgL_a2z00_3120);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4646z00_3167;

																		BgL_arg4646z00_3167 =
																			(BgL_bpz00_3164 + ((long) 2));
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4646z00_3167),
																			BgL_a3z00_3121);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4648z00_3168;

																		obj_t BgL_arg4649z00_3169;

																		BgL_arg4648z00_3168 =
																			(BgL_bpz00_3164 + ((long) 3));
																		{	/* Eval/evaluate.scm 1213 */
																			obj_t BgL_list4650z00_3170;

																			BgL_list4650z00_3170 =
																				MAKE_PAIR(BgL_a4z00_3122, BNIL);
																			BgL_arg4649z00_3169 =
																				BgL_list4650z00_3170;
																		}
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4648z00_3168),
																			BgL_arg4649z00_3169);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_30896;

																		BgL_auxz00_30896 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_30896,
																			BgL_locz00_24101);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_3127, BgL_sz00_3115,
																		BINT(BgL_bpz00_3164));
																}
																break;
															case ((long) -5):

																{	/* Eval/evaluate.scm 1213 */
																	long BgL_bpz00_3172;

																	BgL_bpz00_3172 =
																		(
																		(long) CINT(BgL_bpz00_3117) +
																		(long) CINT(BgL_siza7eza7_24100));
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4651z00_3173;

																		BgL_arg4651z00_3173 =
																			(BgL_bpz00_3172 + ((long) 0));
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4651z00_3173),
																			BgL_a1z00_3119);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4652z00_3174;

																		BgL_arg4652z00_3174 =
																			(BgL_bpz00_3172 + ((long) 1));
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4652z00_3174),
																			BgL_a2z00_3120);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4653z00_3175;

																		BgL_arg4653z00_3175 =
																			(BgL_bpz00_3172 + ((long) 2));
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4653z00_3175),
																			BgL_a3z00_3121);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4654z00_3176;

																		BgL_arg4654z00_3176 =
																			(BgL_bpz00_3172 + ((long) 3));
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4654z00_3176),
																			BgL_a4z00_3122);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		long BgL_arg4655z00_3177;

																		BgL_arg4655z00_3177 =
																			(BgL_bpz00_3172 + ((long) 4));
																		VECTOR_SET(BgL_sz00_3115,
																			(int) (BgL_arg4655z00_3177), BNIL);
																	}
																	{	/* Eval/evaluate.scm 1213 */
																		obj_t BgL_auxz00_30919;

																		BgL_auxz00_30919 =
																			BGL_CURRENT_DYNAMIC_ENV();
																		BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_30919,
																			BgL_locz00_24101);
																	}
																	return
																		BGl_catchzd2trampolinezd2zz__evaluatez00
																		(BgL_runz00_3127, BgL_sz00_3115,
																		BINT(BgL_bpz00_3172));
																}
																break;
															default:
															BgL_case_else2822z00_3131:
																{	/* Eval/evaluate.scm 1213 */
																	obj_t BgL_arg4658z00_3181;

																	obj_t BgL_arg4660z00_3183;

																	BgL_arg4658z00_3181 =
																		BGl_symbol8221z00zz__evaluatez00;
																	BgL_arg4660z00_3183 =
																		MAKE_PAIR(BgL_arityz00_3126,
																		BINT(((long) 4)));
																	return
																		BGl_errorz00zz__errorz00
																		(BgL_arg4658z00_3181,
																		BGl_string8228z00zz__evaluatez00,
																		BgL_arg4660z00_3183);
																}
															}
													}
												else
													{	/* Eval/evaluate.scm 1213 */
														goto BgL_case_else2822z00_3131;
													}
											}
										}
									else
										{	/* Eval/evaluate.scm 1213 */
											long BgL_nbpz00_3184;

											BgL_nbpz00_3184 =
												(
												(long) CINT(BgL_bpz00_3117) +
												(long) CINT(BgL_siza7eza7_24100));
											VECTOR_SET(BgL_sz00_3115,
												(int) (((long) 0)), BINT(BgL_nbpz00_3184));
											{	/* Eval/evaluate.scm 1213 */
												obj_t BgL_rz00_3185;

												BgL_rz00_3185 =
													PROCEDURE_ENTRY(BgL_fz00_3118) (BgL_fz00_3118,
													BgL_a1z00_3119, BgL_a2z00_3120, BgL_a3z00_3121,
													BgL_a4z00_3122, BEOA);
												VECTOR_SET(BgL_sz00_3115, (int) (((long) 0)),
													BgL_bpz00_3117);
												return BgL_rz00_3185;
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* inline-call */
	obj_t BGl_inlinezd2callzd2zz__evaluatez00(BgL_ev_exprz00_bglt BgL_funz00_324,
		obj_t BgL_argsz00_325, obj_t BgL_stkz00_326)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1252 */
			{	/* Eval/evaluate.scm 1253 */
				bool_t BgL_testz00_30939;

				{	/* Eval/evaluate.scm 1253 */
					bool_t BgL_testz00_30940;

					{	/* Eval/evaluate.scm 1253 */
						obj_t BgL_obj1887z00_12367;

						BgL_obj1887z00_12367 = (obj_t) (BgL_funz00_324);
						BgL_testz00_30940 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj1887z00_12367,
							BGl_ev_globalz00zz__evaluatez00);
					}
					if (BgL_testz00_30940)
						{	/* Eval/evaluate.scm 1253 */
							BgL_testz00_30939 =
								BGl_bigloozd2evalzd2strictzd2modulezd2zz__paramz00();
						}
					else
						{	/* Eval/evaluate.scm 1253 */
							BgL_testz00_30939 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_30939)
					{	/* Eval/evaluate.scm 1254 */
						BgL_ev_globalz00_bglt BgL_instance2831z00_3189;

						BgL_instance2831z00_3189 = (BgL_ev_globalz00_bglt) (BgL_funz00_324);
						{	/* Eval/evaluate.scm 1255 */
							obj_t BgL_gz00_3190;

							{	/* Eval/evaluate.scm 1255 */
								obj_t BgL_arg4750z00_3416;

								obj_t BgL_arg4751z00_3417;

								BgL_arg4750z00_3416 =
									(((BgL_ev_globalz00_bglt) CREF(BgL_instance2831z00_3189))->
									BgL_modz00);
								BgL_arg4751z00_3417 =
									(((BgL_ev_globalz00_bglt) CREF(BgL_instance2831z00_3189))->
									BgL_namez00);
								BgL_gz00_3190 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00
									(BgL_arg4750z00_3416, BgL_arg4751z00_3417);
							}
							if (CBOOL(BgL_gz00_3190))
								{	/* Eval/evaluate.scm 1257 */
									obj_t BgL_valz00_3191;

									long BgL_nz00_3192;

									BgL_valz00_3191 =
										VECTOR_REF(BgL_gz00_3190, (int) (((long) 2)));
									BgL_nz00_3192 = bgl_list_length(BgL_argsz00_325);
									{	/* Eval/evaluate.scm 1258 */
										obj_t BgL__ortest_2833z00_3193;

										if ((BgL_nz00_3192 == ((long) 1)))
											{	/* Eval/evaluate.scm 1259 */
												obj_t BgL_a1z00_3394;

												BgL_a1z00_3394 = CAR(BgL_argsz00_325);
												if (
													(BgL_valz00_3191 ==
														BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
													{	/* Eval/evaluate.scm 1260 */
														obj_t BgL_a1z00_3396;

														{	/* Eval/evaluate.scm 1260 */
															BgL_ev_exprz00_bglt BgL_ez00_12376;

															BgL_ez00_12376 =
																(BgL_ev_exprz00_bglt) (BgL_a1z00_3394);
															{	/* Eval/evaluate.scm 1260 */
																obj_t BgL_method3374z00_12378;

																{	/* Eval/evaluate.scm 1260 */
																	BgL_objectz00_bglt BgL_objz00_12379;

																	BgL_objz00_12379 =
																		(BgL_objectz00_bglt) (BgL_ez00_12376);
																	{	/* Eval/evaluate.scm 1260 */
																		long BgL_objzd2classzd2numz00_12380;

																		BgL_objzd2classzd2numz00_12380 =
																			BGL_OBJECT_CLASS_NUM(BgL_objz00_12379);
																		{	/* Eval/evaluate.scm 1260 */
																			obj_t BgL_arg6930z00_12381;

																			BgL_arg6930z00_12381 =
																				PROCEDURE_REF
																				(BGl_compzd2envzd2zz__evaluatez00,
																				(int) (((long) 1)));
																			{	/* Eval/evaluate.scm 1260 */
																				obj_t BgL_arrayz00_12383;

																				int BgL_offsetz00_12384;

																				BgL_arrayz00_12383 =
																					BgL_arg6930z00_12381;
																				BgL_offsetz00_12384 =
																					(int)
																					(BgL_objzd2classzd2numz00_12380);
																				{	/* Eval/evaluate.scm 1260 */
																					long BgL_offsetz00_12385;

																					BgL_offsetz00_12385 =
																						(
																						(long) (BgL_offsetz00_12384) -
																						OBJECT_TYPE);
																					{	/* Eval/evaluate.scm 1260 */
																						long BgL_modz00_12386;

																						{	/* Eval/evaluate.scm 1260 */
																							int BgL_arg6932z00_12387;

																							BgL_arg6932z00_12387 =
																								(int) (((long) 16));
																							{	/* Eval/evaluate.scm 1260 */
																								long BgL_auxz00_30967;

																								BgL_auxz00_30967 =
																									(long) (BgL_arg6932z00_12387);
																								BgL_modz00_12386 =
																									(BgL_offsetz00_12385 /
																									BgL_auxz00_30967);
																						}}
																						{	/* Eval/evaluate.scm 1260 */
																							long BgL_restz00_12388;

																							{	/* Eval/evaluate.scm 1260 */
																								int BgL_arg6931z00_12389;

																								BgL_arg6931z00_12389 =
																									(int) (((long) 16));
																								{	/* Eval/evaluate.scm 1260 */
																									long BgL_auxz00_30971;

																									BgL_auxz00_30971 =
																										(long)
																										(BgL_arg6931z00_12389);
																									BgL_restz00_12388 =
																										(BgL_offsetz00_12385 %
																										BgL_auxz00_30971);
																							}}
																							{	/* Eval/evaluate.scm 1260 */

																								BgL_method3374z00_12378 =
																									VECTOR_REF(VECTOR_REF
																									(BgL_arrayz00_12383,
																										(int) (BgL_modz00_12386)),
																									(int) (BgL_restz00_12388));
																}}}}}}}}
																BgL_a1z00_3396 =
																	PROCEDURE_ENTRY(BgL_method3374z00_12378)
																	(BgL_method3374z00_12378,
																	(obj_t) (BgL_ez00_12376), BgL_stkz00_326,
																	BEOA);
														}}
														{	/* Eval/evaluate.scm 1260 */
															obj_t BgL_zc3anonymousza34742ze3z83_24123;

															BgL_zc3anonymousza34742ze3z83_24123 =
																make_fx_procedure
																(BGl_zc3anonymousza34742ze3z83zz__evaluatez00,
																(int) (((long) 1)), (int) (((long) 1)));
															PROCEDURE_SET(BgL_zc3anonymousza34742ze3z83_24123,
																(int) (((long) 0)), BgL_a1z00_3396);
															BgL__ortest_2833z00_3193 =
																BgL_zc3anonymousza34742ze3z83_24123;
													}}
												else
													{	/* Eval/evaluate.scm 1260 */
														if (
															(BgL_valz00_3191 ==
																BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
															{	/* Eval/evaluate.scm 1260 */
																obj_t BgL_a1z00_3403;

																{	/* Eval/evaluate.scm 1260 */
																	BgL_ev_exprz00_bglt BgL_ez00_12409;

																	BgL_ez00_12409 =
																		(BgL_ev_exprz00_bglt) (BgL_a1z00_3394);
																	{	/* Eval/evaluate.scm 1260 */
																		obj_t BgL_method3374z00_12411;

																		{	/* Eval/evaluate.scm 1260 */
																			BgL_objectz00_bglt BgL_objz00_12412;

																			BgL_objz00_12412 =
																				(BgL_objectz00_bglt) (BgL_ez00_12409);
																			{	/* Eval/evaluate.scm 1260 */
																				long BgL_objzd2classzd2numz00_12413;

																				BgL_objzd2classzd2numz00_12413 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_objz00_12412);
																				{	/* Eval/evaluate.scm 1260 */
																					obj_t BgL_arg6930z00_12414;

																					BgL_arg6930z00_12414 =
																						PROCEDURE_REF
																						(BGl_compzd2envzd2zz__evaluatez00,
																						(int) (((long) 1)));
																					{	/* Eval/evaluate.scm 1260 */
																						obj_t BgL_arrayz00_12416;

																						int BgL_offsetz00_12417;

																						BgL_arrayz00_12416 =
																							BgL_arg6930z00_12414;
																						BgL_offsetz00_12417 =
																							(int)
																							(BgL_objzd2classzd2numz00_12413);
																						{	/* Eval/evaluate.scm 1260 */
																							long BgL_offsetz00_12418;

																							BgL_offsetz00_12418 =
																								(
																								(long) (BgL_offsetz00_12417) -
																								OBJECT_TYPE);
																							{	/* Eval/evaluate.scm 1260 */
																								long BgL_modz00_12419;

																								{	/* Eval/evaluate.scm 1260 */
																									int BgL_arg6932z00_12420;

																									BgL_arg6932z00_12420 =
																										(int) (((long) 16));
																									{	/* Eval/evaluate.scm 1260 */
																										long BgL_auxz00_30997;

																										BgL_auxz00_30997 =
																											(long)
																											(BgL_arg6932z00_12420);
																										BgL_modz00_12419 =
																											(BgL_offsetz00_12418 /
																											BgL_auxz00_30997);
																								}}
																								{	/* Eval/evaluate.scm 1260 */
																									long BgL_restz00_12421;

																									{	/* Eval/evaluate.scm 1260 */
																										int BgL_arg6931z00_12422;

																										BgL_arg6931z00_12422 =
																											(int) (((long) 16));
																										{	/* Eval/evaluate.scm 1260 */
																											long BgL_auxz00_31001;

																											BgL_auxz00_31001 =
																												(long)
																												(BgL_arg6931z00_12422);
																											BgL_restz00_12421 =
																												(BgL_offsetz00_12418 %
																												BgL_auxz00_31001);
																									}}
																									{	/* Eval/evaluate.scm 1260 */

																										BgL_method3374z00_12411 =
																											VECTOR_REF(VECTOR_REF
																											(BgL_arrayz00_12416,
																												(int)
																												(BgL_modz00_12419)),
																											(int)
																											(BgL_restz00_12421));
																		}}}}}}}}
																		BgL_a1z00_3403 =
																			PROCEDURE_ENTRY(BgL_method3374z00_12411)
																			(BgL_method3374z00_12411,
																			(obj_t) (BgL_ez00_12409), BgL_stkz00_326,
																			BEOA);
																}}
																{	/* Eval/evaluate.scm 1260 */
																	obj_t BgL_zc3anonymousza34745ze3z83_24124;

																	BgL_zc3anonymousza34745ze3z83_24124 =
																		make_fx_procedure
																		(BGl_zc3anonymousza34745ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 1)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34745ze3z83_24124,
																		(int) (((long) 0)), BgL_a1z00_3403);
																	BgL__ortest_2833z00_3193 =
																		BgL_zc3anonymousza34745ze3z83_24124;
															}}
														else
															{	/* Eval/evaluate.scm 1260 */
																if (
																	(BgL_valz00_3191 ==
																		BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
																	{	/* Eval/evaluate.scm 1260 */
																		obj_t BgL_a1z00_3410;

																		{	/* Eval/evaluate.scm 1260 */
																			BgL_ev_exprz00_bglt BgL_ez00_12442;

																			BgL_ez00_12442 =
																				(BgL_ev_exprz00_bglt) (BgL_a1z00_3394);
																			{	/* Eval/evaluate.scm 1260 */
																				obj_t BgL_method3374z00_12444;

																				{	/* Eval/evaluate.scm 1260 */
																					BgL_objectz00_bglt BgL_objz00_12445;

																					BgL_objz00_12445 =
																						(BgL_objectz00_bglt)
																						(BgL_ez00_12442);
																					{	/* Eval/evaluate.scm 1260 */
																						long BgL_objzd2classzd2numz00_12446;

																						BgL_objzd2classzd2numz00_12446 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_objz00_12445);
																						{	/* Eval/evaluate.scm 1260 */
																							obj_t BgL_arg6930z00_12447;

																							BgL_arg6930z00_12447 =
																								PROCEDURE_REF
																								(BGl_compzd2envzd2zz__evaluatez00,
																								(int) (((long) 1)));
																							{	/* Eval/evaluate.scm 1260 */
																								obj_t BgL_arrayz00_12449;

																								int BgL_offsetz00_12450;

																								BgL_arrayz00_12449 =
																									BgL_arg6930z00_12447;
																								BgL_offsetz00_12450 =
																									(int)
																									(BgL_objzd2classzd2numz00_12446);
																								{	/* Eval/evaluate.scm 1260 */
																									long BgL_offsetz00_12451;

																									BgL_offsetz00_12451 =
																										(
																										(long) (BgL_offsetz00_12450)
																										- OBJECT_TYPE);
																									{	/* Eval/evaluate.scm 1260 */
																										long BgL_modz00_12452;

																										{	/* Eval/evaluate.scm 1260 */
																											int BgL_arg6932z00_12453;

																											BgL_arg6932z00_12453 =
																												(int) (((long) 16));
																											{	/* Eval/evaluate.scm 1260 */
																												long BgL_auxz00_31027;

																												BgL_auxz00_31027 =
																													(long)
																													(BgL_arg6932z00_12453);
																												BgL_modz00_12452 =
																													(BgL_offsetz00_12451 /
																													BgL_auxz00_31027);
																										}}
																										{	/* Eval/evaluate.scm 1260 */
																											long BgL_restz00_12454;

																											{	/* Eval/evaluate.scm 1260 */
																												int
																													BgL_arg6931z00_12455;
																												BgL_arg6931z00_12455 =
																													(int) (((long) 16));
																												{	/* Eval/evaluate.scm 1260 */
																													long BgL_auxz00_31031;

																													BgL_auxz00_31031 =
																														(long)
																														(BgL_arg6931z00_12455);
																													BgL_restz00_12454 =
																														(BgL_offsetz00_12451
																														% BgL_auxz00_31031);
																											}}
																											{	/* Eval/evaluate.scm 1260 */

																												BgL_method3374z00_12444
																													=
																													VECTOR_REF(VECTOR_REF
																													(BgL_arrayz00_12449,
																														(int)
																														(BgL_modz00_12452)),
																													(int)
																													(BgL_restz00_12454));
																				}}}}}}}}
																				BgL_a1z00_3410 =
																					PROCEDURE_ENTRY
																					(BgL_method3374z00_12444)
																					(BgL_method3374z00_12444,
																					(obj_t) (BgL_ez00_12442),
																					BgL_stkz00_326, BEOA);
																		}}
																		{	/* Eval/evaluate.scm 1260 */
																			obj_t BgL_zc3anonymousza34748ze3z83_24125;

																			BgL_zc3anonymousza34748ze3z83_24125 =
																				make_fx_procedure
																				(BGl_zc3anonymousza34748ze3z83zz__evaluatez00,
																				(int) (((long) 1)), (int) (((long) 1)));
																			PROCEDURE_SET
																				(BgL_zc3anonymousza34748ze3z83_24125,
																				(int) (((long) 0)), BgL_a1z00_3410);
																			BgL__ortest_2833z00_3193 =
																				BgL_zc3anonymousza34748ze3z83_24125;
																	}}
																else
																	{	/* Eval/evaluate.scm 1260 */
																		BgL__ortest_2833z00_3193 = BFALSE;
																	}
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 1258 */
												BgL__ortest_2833z00_3193 = BFALSE;
											}
										if (CBOOL(BgL__ortest_2833z00_3193))
											{	/* Eval/evaluate.scm 1258 */
												return BgL__ortest_2833z00_3193;
											}
										else
											{	/* Eval/evaluate.scm 1258 */
												if ((BgL_nz00_3192 == ((long) 2)))
													{	/* Eval/evaluate.scm 1262 */
														obj_t BgL_a1z00_3195;

														obj_t BgL_a2z00_3196;

														BgL_a1z00_3195 = CAR(BgL_argsz00_325);
														{	/* Eval/evaluate.scm 1262 */
															obj_t BgL_pairz00_12486;

															BgL_pairz00_12486 = BgL_argsz00_325;
															BgL_a2z00_3196 = CAR(CDR(BgL_pairz00_12486));
														}
														if (
															(BgL_valz00_3191 ==
																BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
															{	/* Eval/evaluate.scm 1263 */
																obj_t BgL_a1z00_3198;

																obj_t BgL_a2z00_3199;

																{	/* Eval/evaluate.scm 1263 */
																	BgL_ev_exprz00_bglt BgL_ez00_12490;

																	BgL_ez00_12490 =
																		(BgL_ev_exprz00_bglt) (BgL_a1z00_3195);
																	{	/* Eval/evaluate.scm 1263 */
																		obj_t BgL_method3374z00_12492;

																		{	/* Eval/evaluate.scm 1263 */
																			BgL_objectz00_bglt BgL_objz00_12493;

																			BgL_objz00_12493 =
																				(BgL_objectz00_bglt) (BgL_ez00_12490);
																			{	/* Eval/evaluate.scm 1263 */
																				long BgL_objzd2classzd2numz00_12494;

																				BgL_objzd2classzd2numz00_12494 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_objz00_12493);
																				{	/* Eval/evaluate.scm 1263 */
																					obj_t BgL_arg6930z00_12495;

																					BgL_arg6930z00_12495 =
																						PROCEDURE_REF
																						(BGl_compzd2envzd2zz__evaluatez00,
																						(int) (((long) 1)));
																					{	/* Eval/evaluate.scm 1263 */
																						obj_t BgL_arrayz00_12497;

																						int BgL_offsetz00_12498;

																						BgL_arrayz00_12497 =
																							BgL_arg6930z00_12495;
																						BgL_offsetz00_12498 =
																							(int)
																							(BgL_objzd2classzd2numz00_12494);
																						{	/* Eval/evaluate.scm 1263 */
																							long BgL_offsetz00_12499;

																							BgL_offsetz00_12499 =
																								(
																								(long) (BgL_offsetz00_12498) -
																								OBJECT_TYPE);
																							{	/* Eval/evaluate.scm 1263 */
																								long BgL_modz00_12500;

																								{	/* Eval/evaluate.scm 1263 */
																									int BgL_arg6932z00_12501;

																									BgL_arg6932z00_12501 =
																										(int) (((long) 16));
																									{	/* Eval/evaluate.scm 1263 */
																										long BgL_auxz00_31064;

																										BgL_auxz00_31064 =
																											(long)
																											(BgL_arg6932z00_12501);
																										BgL_modz00_12500 =
																											(BgL_offsetz00_12499 /
																											BgL_auxz00_31064);
																								}}
																								{	/* Eval/evaluate.scm 1263 */
																									long BgL_restz00_12502;

																									{	/* Eval/evaluate.scm 1263 */
																										int BgL_arg6931z00_12503;

																										BgL_arg6931z00_12503 =
																											(int) (((long) 16));
																										{	/* Eval/evaluate.scm 1263 */
																											long BgL_auxz00_31068;

																											BgL_auxz00_31068 =
																												(long)
																												(BgL_arg6931z00_12503);
																											BgL_restz00_12502 =
																												(BgL_offsetz00_12499 %
																												BgL_auxz00_31068);
																									}}
																									{	/* Eval/evaluate.scm 1263 */

																										BgL_method3374z00_12492 =
																											VECTOR_REF(VECTOR_REF
																											(BgL_arrayz00_12497,
																												(int)
																												(BgL_modz00_12500)),
																											(int)
																											(BgL_restz00_12502));
																		}}}}}}}}
																		BgL_a1z00_3198 =
																			PROCEDURE_ENTRY(BgL_method3374z00_12492)
																			(BgL_method3374z00_12492,
																			(obj_t) (BgL_ez00_12490), BgL_stkz00_326,
																			BEOA);
																}}
																{	/* Eval/evaluate.scm 1263 */
																	BgL_ev_exprz00_bglt BgL_ez00_12517;

																	BgL_ez00_12517 =
																		(BgL_ev_exprz00_bglt) (BgL_a2z00_3196);
																	{	/* Eval/evaluate.scm 1263 */
																		obj_t BgL_method3374z00_12519;

																		{	/* Eval/evaluate.scm 1263 */
																			BgL_objectz00_bglt BgL_objz00_12520;

																			BgL_objz00_12520 =
																				(BgL_objectz00_bglt) (BgL_ez00_12517);
																			{	/* Eval/evaluate.scm 1263 */
																				long BgL_objzd2classzd2numz00_12521;

																				BgL_objzd2classzd2numz00_12521 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_objz00_12520);
																				{	/* Eval/evaluate.scm 1263 */
																					obj_t BgL_arg6930z00_12522;

																					BgL_arg6930z00_12522 =
																						PROCEDURE_REF
																						(BGl_compzd2envzd2zz__evaluatez00,
																						(int) (((long) 1)));
																					{	/* Eval/evaluate.scm 1263 */
																						obj_t BgL_arrayz00_12524;

																						int BgL_offsetz00_12525;

																						BgL_arrayz00_12524 =
																							BgL_arg6930z00_12522;
																						BgL_offsetz00_12525 =
																							(int)
																							(BgL_objzd2classzd2numz00_12521);
																						{	/* Eval/evaluate.scm 1263 */
																							long BgL_offsetz00_12526;

																							BgL_offsetz00_12526 =
																								(
																								(long) (BgL_offsetz00_12525) -
																								OBJECT_TYPE);
																							{	/* Eval/evaluate.scm 1263 */
																								long BgL_modz00_12527;

																								{	/* Eval/evaluate.scm 1263 */
																									int BgL_arg6932z00_12528;

																									BgL_arg6932z00_12528 =
																										(int) (((long) 16));
																									{	/* Eval/evaluate.scm 1263 */
																										long BgL_auxz00_31087;

																										BgL_auxz00_31087 =
																											(long)
																											(BgL_arg6932z00_12528);
																										BgL_modz00_12527 =
																											(BgL_offsetz00_12526 /
																											BgL_auxz00_31087);
																								}}
																								{	/* Eval/evaluate.scm 1263 */
																									long BgL_restz00_12529;

																									{	/* Eval/evaluate.scm 1263 */
																										int BgL_arg6931z00_12530;

																										BgL_arg6931z00_12530 =
																											(int) (((long) 16));
																										{	/* Eval/evaluate.scm 1263 */
																											long BgL_auxz00_31091;

																											BgL_auxz00_31091 =
																												(long)
																												(BgL_arg6931z00_12530);
																											BgL_restz00_12529 =
																												(BgL_offsetz00_12526 %
																												BgL_auxz00_31091);
																									}}
																									{	/* Eval/evaluate.scm 1263 */

																										BgL_method3374z00_12519 =
																											VECTOR_REF(VECTOR_REF
																											(BgL_arrayz00_12524,
																												(int)
																												(BgL_modz00_12527)),
																											(int)
																											(BgL_restz00_12529));
																		}}}}}}}}
																		BgL_a2z00_3199 =
																			PROCEDURE_ENTRY(BgL_method3374z00_12519)
																			(BgL_method3374z00_12519,
																			(obj_t) (BgL_ez00_12517), BgL_stkz00_326,
																			BEOA);
																}}
																{	/* Eval/evaluate.scm 1263 */
																	obj_t BgL_zc3anonymousza34665ze3z83_24103;

																	BgL_zc3anonymousza34665ze3z83_24103 =
																		make_fx_procedure
																		(BGl_zc3anonymousza34665ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34665ze3z83_24103,
																		(int) (((long) 0)), BgL_a1z00_3198);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34665ze3z83_24103,
																		(int) (((long) 1)), BgL_a2z00_3199);
																	return BgL_zc3anonymousza34665ze3z83_24103;
																}
															}
														else
															{	/* Eval/evaluate.scm 1263 */
																if (
																	(BgL_valz00_3191 ==
																		BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
																	{	/* Eval/evaluate.scm 1263 */
																		obj_t BgL_a1z00_3208;

																		obj_t BgL_a2z00_3209;

																		{	/* Eval/evaluate.scm 1263 */
																			BgL_ev_exprz00_bglt BgL_ez00_12550;

																			BgL_ez00_12550 =
																				(BgL_ev_exprz00_bglt) (BgL_a1z00_3195);
																			{	/* Eval/evaluate.scm 1263 */
																				obj_t BgL_method3374z00_12552;

																				{	/* Eval/evaluate.scm 1263 */
																					BgL_objectz00_bglt BgL_objz00_12553;

																					BgL_objz00_12553 =
																						(BgL_objectz00_bglt)
																						(BgL_ez00_12550);
																					{	/* Eval/evaluate.scm 1263 */
																						long BgL_objzd2classzd2numz00_12554;

																						BgL_objzd2classzd2numz00_12554 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_objz00_12553);
																						{	/* Eval/evaluate.scm 1263 */
																							obj_t BgL_arg6930z00_12555;

																							BgL_arg6930z00_12555 =
																								PROCEDURE_REF
																								(BGl_compzd2envzd2zz__evaluatez00,
																								(int) (((long) 1)));
																							{	/* Eval/evaluate.scm 1263 */
																								obj_t BgL_arrayz00_12557;

																								int BgL_offsetz00_12558;

																								BgL_arrayz00_12557 =
																									BgL_arg6930z00_12555;
																								BgL_offsetz00_12558 =
																									(int)
																									(BgL_objzd2classzd2numz00_12554);
																								{	/* Eval/evaluate.scm 1263 */
																									long BgL_offsetz00_12559;

																									BgL_offsetz00_12559 =
																										(
																										(long) (BgL_offsetz00_12558)
																										- OBJECT_TYPE);
																									{	/* Eval/evaluate.scm 1263 */
																										long BgL_modz00_12560;

																										{	/* Eval/evaluate.scm 1263 */
																											int BgL_arg6932z00_12561;

																											BgL_arg6932z00_12561 =
																												(int) (((long) 16));
																											{	/* Eval/evaluate.scm 1263 */
																												long BgL_auxz00_31119;

																												BgL_auxz00_31119 =
																													(long)
																													(BgL_arg6932z00_12561);
																												BgL_modz00_12560 =
																													(BgL_offsetz00_12559 /
																													BgL_auxz00_31119);
																										}}
																										{	/* Eval/evaluate.scm 1263 */
																											long BgL_restz00_12562;

																											{	/* Eval/evaluate.scm 1263 */
																												int
																													BgL_arg6931z00_12563;
																												BgL_arg6931z00_12563 =
																													(int) (((long) 16));
																												{	/* Eval/evaluate.scm 1263 */
																													long BgL_auxz00_31123;

																													BgL_auxz00_31123 =
																														(long)
																														(BgL_arg6931z00_12563);
																													BgL_restz00_12562 =
																														(BgL_offsetz00_12559
																														% BgL_auxz00_31123);
																											}}
																											{	/* Eval/evaluate.scm 1263 */

																												BgL_method3374z00_12552
																													=
																													VECTOR_REF(VECTOR_REF
																													(BgL_arrayz00_12557,
																														(int)
																														(BgL_modz00_12560)),
																													(int)
																													(BgL_restz00_12562));
																				}}}}}}}}
																				BgL_a1z00_3208 =
																					PROCEDURE_ENTRY
																					(BgL_method3374z00_12552)
																					(BgL_method3374z00_12552,
																					(obj_t) (BgL_ez00_12550),
																					BgL_stkz00_326, BEOA);
																		}}
																		{	/* Eval/evaluate.scm 1263 */
																			BgL_ev_exprz00_bglt BgL_ez00_12577;

																			BgL_ez00_12577 =
																				(BgL_ev_exprz00_bglt) (BgL_a2z00_3196);
																			{	/* Eval/evaluate.scm 1263 */
																				obj_t BgL_method3374z00_12579;

																				{	/* Eval/evaluate.scm 1263 */
																					BgL_objectz00_bglt BgL_objz00_12580;

																					BgL_objz00_12580 =
																						(BgL_objectz00_bglt)
																						(BgL_ez00_12577);
																					{	/* Eval/evaluate.scm 1263 */
																						long BgL_objzd2classzd2numz00_12581;

																						BgL_objzd2classzd2numz00_12581 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_objz00_12580);
																						{	/* Eval/evaluate.scm 1263 */
																							obj_t BgL_arg6930z00_12582;

																							BgL_arg6930z00_12582 =
																								PROCEDURE_REF
																								(BGl_compzd2envzd2zz__evaluatez00,
																								(int) (((long) 1)));
																							{	/* Eval/evaluate.scm 1263 */
																								obj_t BgL_arrayz00_12584;

																								int BgL_offsetz00_12585;

																								BgL_arrayz00_12584 =
																									BgL_arg6930z00_12582;
																								BgL_offsetz00_12585 =
																									(int)
																									(BgL_objzd2classzd2numz00_12581);
																								{	/* Eval/evaluate.scm 1263 */
																									long BgL_offsetz00_12586;

																									BgL_offsetz00_12586 =
																										(
																										(long) (BgL_offsetz00_12585)
																										- OBJECT_TYPE);
																									{	/* Eval/evaluate.scm 1263 */
																										long BgL_modz00_12587;

																										{	/* Eval/evaluate.scm 1263 */
																											int BgL_arg6932z00_12588;

																											BgL_arg6932z00_12588 =
																												(int) (((long) 16));
																											{	/* Eval/evaluate.scm 1263 */
																												long BgL_auxz00_31142;

																												BgL_auxz00_31142 =
																													(long)
																													(BgL_arg6932z00_12588);
																												BgL_modz00_12587 =
																													(BgL_offsetz00_12586 /
																													BgL_auxz00_31142);
																										}}
																										{	/* Eval/evaluate.scm 1263 */
																											long BgL_restz00_12589;

																											{	/* Eval/evaluate.scm 1263 */
																												int
																													BgL_arg6931z00_12590;
																												BgL_arg6931z00_12590 =
																													(int) (((long) 16));
																												{	/* Eval/evaluate.scm 1263 */
																													long BgL_auxz00_31146;

																													BgL_auxz00_31146 =
																														(long)
																														(BgL_arg6931z00_12590);
																													BgL_restz00_12589 =
																														(BgL_offsetz00_12586
																														% BgL_auxz00_31146);
																											}}
																											{	/* Eval/evaluate.scm 1263 */

																												BgL_method3374z00_12579
																													=
																													VECTOR_REF(VECTOR_REF
																													(BgL_arrayz00_12584,
																														(int)
																														(BgL_modz00_12587)),
																													(int)
																													(BgL_restz00_12589));
																				}}}}}}}}
																				BgL_a2z00_3209 =
																					PROCEDURE_ENTRY
																					(BgL_method3374z00_12579)
																					(BgL_method3374z00_12579,
																					(obj_t) (BgL_ez00_12577),
																					BgL_stkz00_326, BEOA);
																		}}
																		{	/* Eval/evaluate.scm 1263 */
																			obj_t BgL_zc3anonymousza34669ze3z83_24104;

																			BgL_zc3anonymousza34669ze3z83_24104 =
																				make_fx_procedure
																				(BGl_zc3anonymousza34669ze3z83zz__evaluatez00,
																				(int) (((long) 1)), (int) (((long) 2)));
																			PROCEDURE_SET
																				(BgL_zc3anonymousza34669ze3z83_24104,
																				(int) (((long) 0)), BgL_a1z00_3208);
																			PROCEDURE_SET
																				(BgL_zc3anonymousza34669ze3z83_24104,
																				(int) (((long) 1)), BgL_a2z00_3209);
																			return
																				BgL_zc3anonymousza34669ze3z83_24104;
																		}
																	}
																else
																	{	/* Eval/evaluate.scm 1263 */
																		if (
																			(BgL_valz00_3191 ==
																				BGl_za2zd2envz70zz__r4_numbers_6_5z00))
																			{	/* Eval/evaluate.scm 1263 */
																				obj_t BgL_a1z00_3218;

																				obj_t BgL_a2z00_3219;

																				{	/* Eval/evaluate.scm 1263 */
																					BgL_ev_exprz00_bglt BgL_ez00_12610;

																					BgL_ez00_12610 =
																						(BgL_ev_exprz00_bglt)
																						(BgL_a1z00_3195);
																					{	/* Eval/evaluate.scm 1263 */
																						obj_t BgL_method3374z00_12612;

																						{	/* Eval/evaluate.scm 1263 */
																							BgL_objectz00_bglt
																								BgL_objz00_12613;
																							BgL_objz00_12613 =
																								(BgL_objectz00_bglt)
																								(BgL_ez00_12610);
																							{	/* Eval/evaluate.scm 1263 */
																								long
																									BgL_objzd2classzd2numz00_12614;
																								BgL_objzd2classzd2numz00_12614 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_objz00_12613);
																								{	/* Eval/evaluate.scm 1263 */
																									obj_t BgL_arg6930z00_12615;

																									BgL_arg6930z00_12615 =
																										PROCEDURE_REF
																										(BGl_compzd2envzd2zz__evaluatez00,
																										(int) (((long) 1)));
																									{	/* Eval/evaluate.scm 1263 */
																										obj_t BgL_arrayz00_12617;

																										int BgL_offsetz00_12618;

																										BgL_arrayz00_12617 =
																											BgL_arg6930z00_12615;
																										BgL_offsetz00_12618 =
																											(int)
																											(BgL_objzd2classzd2numz00_12614);
																										{	/* Eval/evaluate.scm 1263 */
																											long BgL_offsetz00_12619;

																											BgL_offsetz00_12619 =
																												(
																												(long)
																												(BgL_offsetz00_12618) -
																												OBJECT_TYPE);
																											{	/* Eval/evaluate.scm 1263 */
																												long BgL_modz00_12620;

																												{	/* Eval/evaluate.scm 1263 */
																													int
																														BgL_arg6932z00_12621;
																													BgL_arg6932z00_12621 =
																														(int) (((long) 16));
																													{	/* Eval/evaluate.scm 1263 */
																														long
																															BgL_auxz00_31174;
																														BgL_auxz00_31174 =
																															(long)
																															(BgL_arg6932z00_12621);
																														BgL_modz00_12620 =
																															(BgL_offsetz00_12619
																															/
																															BgL_auxz00_31174);
																												}}
																												{	/* Eval/evaluate.scm 1263 */
																													long
																														BgL_restz00_12622;
																													{	/* Eval/evaluate.scm 1263 */
																														int
																															BgL_arg6931z00_12623;
																														BgL_arg6931z00_12623
																															=
																															(int) (((long)
																																16));
																														{	/* Eval/evaluate.scm 1263 */
																															long
																																BgL_auxz00_31178;
																															BgL_auxz00_31178 =
																																(long)
																																(BgL_arg6931z00_12623);
																															BgL_restz00_12622
																																=
																																(BgL_offsetz00_12619
																																%
																																BgL_auxz00_31178);
																													}}
																													{	/* Eval/evaluate.scm 1263 */

																														BgL_method3374z00_12612
																															=
																															VECTOR_REF
																															(VECTOR_REF
																															(BgL_arrayz00_12617,
																																(int)
																																(BgL_modz00_12620)),
																															(int)
																															(BgL_restz00_12622));
																						}}}}}}}}
																						BgL_a1z00_3218 =
																							PROCEDURE_ENTRY
																							(BgL_method3374z00_12612)
																							(BgL_method3374z00_12612,
																							(obj_t) (BgL_ez00_12610),
																							BgL_stkz00_326, BEOA);
																				}}
																				{	/* Eval/evaluate.scm 1263 */
																					BgL_ev_exprz00_bglt BgL_ez00_12637;

																					BgL_ez00_12637 =
																						(BgL_ev_exprz00_bglt)
																						(BgL_a2z00_3196);
																					{	/* Eval/evaluate.scm 1263 */
																						obj_t BgL_method3374z00_12639;

																						{	/* Eval/evaluate.scm 1263 */
																							BgL_objectz00_bglt
																								BgL_objz00_12640;
																							BgL_objz00_12640 =
																								(BgL_objectz00_bglt)
																								(BgL_ez00_12637);
																							{	/* Eval/evaluate.scm 1263 */
																								long
																									BgL_objzd2classzd2numz00_12641;
																								BgL_objzd2classzd2numz00_12641 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_objz00_12640);
																								{	/* Eval/evaluate.scm 1263 */
																									obj_t BgL_arg6930z00_12642;

																									BgL_arg6930z00_12642 =
																										PROCEDURE_REF
																										(BGl_compzd2envzd2zz__evaluatez00,
																										(int) (((long) 1)));
																									{	/* Eval/evaluate.scm 1263 */
																										obj_t BgL_arrayz00_12644;

																										int BgL_offsetz00_12645;

																										BgL_arrayz00_12644 =
																											BgL_arg6930z00_12642;
																										BgL_offsetz00_12645 =
																											(int)
																											(BgL_objzd2classzd2numz00_12641);
																										{	/* Eval/evaluate.scm 1263 */
																											long BgL_offsetz00_12646;

																											BgL_offsetz00_12646 =
																												(
																												(long)
																												(BgL_offsetz00_12645) -
																												OBJECT_TYPE);
																											{	/* Eval/evaluate.scm 1263 */
																												long BgL_modz00_12647;

																												{	/* Eval/evaluate.scm 1263 */
																													int
																														BgL_arg6932z00_12648;
																													BgL_arg6932z00_12648 =
																														(int) (((long) 16));
																													{	/* Eval/evaluate.scm 1263 */
																														long
																															BgL_auxz00_31197;
																														BgL_auxz00_31197 =
																															(long)
																															(BgL_arg6932z00_12648);
																														BgL_modz00_12647 =
																															(BgL_offsetz00_12646
																															/
																															BgL_auxz00_31197);
																												}}
																												{	/* Eval/evaluate.scm 1263 */
																													long
																														BgL_restz00_12649;
																													{	/* Eval/evaluate.scm 1263 */
																														int
																															BgL_arg6931z00_12650;
																														BgL_arg6931z00_12650
																															=
																															(int) (((long)
																																16));
																														{	/* Eval/evaluate.scm 1263 */
																															long
																																BgL_auxz00_31201;
																															BgL_auxz00_31201 =
																																(long)
																																(BgL_arg6931z00_12650);
																															BgL_restz00_12649
																																=
																																(BgL_offsetz00_12646
																																%
																																BgL_auxz00_31201);
																													}}
																													{	/* Eval/evaluate.scm 1263 */

																														BgL_method3374z00_12639
																															=
																															VECTOR_REF
																															(VECTOR_REF
																															(BgL_arrayz00_12644,
																																(int)
																																(BgL_modz00_12647)),
																															(int)
																															(BgL_restz00_12649));
																						}}}}}}}}
																						BgL_a2z00_3219 =
																							PROCEDURE_ENTRY
																							(BgL_method3374z00_12639)
																							(BgL_method3374z00_12639,
																							(obj_t) (BgL_ez00_12637),
																							BgL_stkz00_326, BEOA);
																				}}
																				{	/* Eval/evaluate.scm 1263 */
																					obj_t
																						BgL_zc3anonymousza34673ze3z83_24105;
																					BgL_zc3anonymousza34673ze3z83_24105 =
																						make_fx_procedure
																						(BGl_zc3anonymousza34673ze3z83zz__evaluatez00,
																						(int) (((long) 1)),
																						(int) (((long) 2)));
																					PROCEDURE_SET
																						(BgL_zc3anonymousza34673ze3z83_24105,
																						(int) (((long) 0)), BgL_a1z00_3218);
																					PROCEDURE_SET
																						(BgL_zc3anonymousza34673ze3z83_24105,
																						(int) (((long) 1)), BgL_a2z00_3219);
																					return
																						BgL_zc3anonymousza34673ze3z83_24105;
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 1263 */
																				if (
																					(BgL_valz00_3191 ==
																						BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
																					{	/* Eval/evaluate.scm 1263 */
																						obj_t BgL_a1z00_3228;

																						obj_t BgL_a2z00_3229;

																						{	/* Eval/evaluate.scm 1263 */
																							BgL_ev_exprz00_bglt
																								BgL_ez00_12670;
																							BgL_ez00_12670 =
																								(BgL_ev_exprz00_bglt)
																								(BgL_a1z00_3195);
																							{	/* Eval/evaluate.scm 1263 */
																								obj_t BgL_method3374z00_12672;

																								{	/* Eval/evaluate.scm 1263 */
																									BgL_objectz00_bglt
																										BgL_objz00_12673;
																									BgL_objz00_12673 =
																										(BgL_objectz00_bglt)
																										(BgL_ez00_12670);
																									{	/* Eval/evaluate.scm 1263 */
																										long
																											BgL_objzd2classzd2numz00_12674;
																										BgL_objzd2classzd2numz00_12674
																											=
																											BGL_OBJECT_CLASS_NUM
																											(BgL_objz00_12673);
																										{	/* Eval/evaluate.scm 1263 */
																											obj_t
																												BgL_arg6930z00_12675;
																											BgL_arg6930z00_12675 =
																												PROCEDURE_REF
																												(BGl_compzd2envzd2zz__evaluatez00,
																												(int) (((long) 1)));
																											{	/* Eval/evaluate.scm 1263 */
																												obj_t
																													BgL_arrayz00_12677;
																												int BgL_offsetz00_12678;

																												BgL_arrayz00_12677 =
																													BgL_arg6930z00_12675;
																												BgL_offsetz00_12678 =
																													(int)
																													(BgL_objzd2classzd2numz00_12674);
																												{	/* Eval/evaluate.scm 1263 */
																													long
																														BgL_offsetz00_12679;
																													BgL_offsetz00_12679 =
																														((long)
																														(BgL_offsetz00_12678)
																														- OBJECT_TYPE);
																													{	/* Eval/evaluate.scm 1263 */
																														long
																															BgL_modz00_12680;
																														{	/* Eval/evaluate.scm 1263 */
																															int
																																BgL_arg6932z00_12681;
																															BgL_arg6932z00_12681
																																=
																																(int) (((long)
																																	16));
																															{	/* Eval/evaluate.scm 1263 */
																																long
																																	BgL_auxz00_31229;
																																BgL_auxz00_31229
																																	=
																																	(long)
																																	(BgL_arg6932z00_12681);
																																BgL_modz00_12680
																																	=
																																	(BgL_offsetz00_12679
																																	/
																																	BgL_auxz00_31229);
																														}}
																														{	/* Eval/evaluate.scm 1263 */
																															long
																																BgL_restz00_12682;
																															{	/* Eval/evaluate.scm 1263 */
																																int
																																	BgL_arg6931z00_12683;
																																BgL_arg6931z00_12683
																																	=
																																	(int) (((long)
																																		16));
																																{	/* Eval/evaluate.scm 1263 */
																																	long
																																		BgL_auxz00_31233;
																																	BgL_auxz00_31233
																																		=
																																		(long)
																																		(BgL_arg6931z00_12683);
																																	BgL_restz00_12682
																																		=
																																		(BgL_offsetz00_12679
																																		%
																																		BgL_auxz00_31233);
																															}}
																															{	/* Eval/evaluate.scm 1263 */

																																BgL_method3374z00_12672
																																	=
																																	VECTOR_REF
																																	(VECTOR_REF
																																	(BgL_arrayz00_12677,
																																		(int)
																																		(BgL_modz00_12680)),
																																	(int)
																																	(BgL_restz00_12682));
																								}}}}}}}}
																								BgL_a1z00_3228 =
																									PROCEDURE_ENTRY
																									(BgL_method3374z00_12672)
																									(BgL_method3374z00_12672,
																									(obj_t) (BgL_ez00_12670),
																									BgL_stkz00_326, BEOA);
																						}}
																						{	/* Eval/evaluate.scm 1263 */
																							BgL_ev_exprz00_bglt
																								BgL_ez00_12697;
																							BgL_ez00_12697 =
																								(BgL_ev_exprz00_bglt)
																								(BgL_a2z00_3196);
																							{	/* Eval/evaluate.scm 1263 */
																								obj_t BgL_method3374z00_12699;

																								{	/* Eval/evaluate.scm 1263 */
																									BgL_objectz00_bglt
																										BgL_objz00_12700;
																									BgL_objz00_12700 =
																										(BgL_objectz00_bglt)
																										(BgL_ez00_12697);
																									{	/* Eval/evaluate.scm 1263 */
																										long
																											BgL_objzd2classzd2numz00_12701;
																										BgL_objzd2classzd2numz00_12701
																											=
																											BGL_OBJECT_CLASS_NUM
																											(BgL_objz00_12700);
																										{	/* Eval/evaluate.scm 1263 */
																											obj_t
																												BgL_arg6930z00_12702;
																											BgL_arg6930z00_12702 =
																												PROCEDURE_REF
																												(BGl_compzd2envzd2zz__evaluatez00,
																												(int) (((long) 1)));
																											{	/* Eval/evaluate.scm 1263 */
																												obj_t
																													BgL_arrayz00_12704;
																												int BgL_offsetz00_12705;

																												BgL_arrayz00_12704 =
																													BgL_arg6930z00_12702;
																												BgL_offsetz00_12705 =
																													(int)
																													(BgL_objzd2classzd2numz00_12701);
																												{	/* Eval/evaluate.scm 1263 */
																													long
																														BgL_offsetz00_12706;
																													BgL_offsetz00_12706 =
																														((long)
																														(BgL_offsetz00_12705)
																														- OBJECT_TYPE);
																													{	/* Eval/evaluate.scm 1263 */
																														long
																															BgL_modz00_12707;
																														{	/* Eval/evaluate.scm 1263 */
																															int
																																BgL_arg6932z00_12708;
																															BgL_arg6932z00_12708
																																=
																																(int) (((long)
																																	16));
																															{	/* Eval/evaluate.scm 1263 */
																																long
																																	BgL_auxz00_31252;
																																BgL_auxz00_31252
																																	=
																																	(long)
																																	(BgL_arg6932z00_12708);
																																BgL_modz00_12707
																																	=
																																	(BgL_offsetz00_12706
																																	/
																																	BgL_auxz00_31252);
																														}}
																														{	/* Eval/evaluate.scm 1263 */
																															long
																																BgL_restz00_12709;
																															{	/* Eval/evaluate.scm 1263 */
																																int
																																	BgL_arg6931z00_12710;
																																BgL_arg6931z00_12710
																																	=
																																	(int) (((long)
																																		16));
																																{	/* Eval/evaluate.scm 1263 */
																																	long
																																		BgL_auxz00_31256;
																																	BgL_auxz00_31256
																																		=
																																		(long)
																																		(BgL_arg6931z00_12710);
																																	BgL_restz00_12709
																																		=
																																		(BgL_offsetz00_12706
																																		%
																																		BgL_auxz00_31256);
																															}}
																															{	/* Eval/evaluate.scm 1263 */

																																BgL_method3374z00_12699
																																	=
																																	VECTOR_REF
																																	(VECTOR_REF
																																	(BgL_arrayz00_12704,
																																		(int)
																																		(BgL_modz00_12707)),
																																	(int)
																																	(BgL_restz00_12709));
																								}}}}}}}}
																								BgL_a2z00_3229 =
																									PROCEDURE_ENTRY
																									(BgL_method3374z00_12699)
																									(BgL_method3374z00_12699,
																									(obj_t) (BgL_ez00_12697),
																									BgL_stkz00_326, BEOA);
																						}}
																						{	/* Eval/evaluate.scm 1263 */
																							obj_t
																								BgL_zc3anonymousza34677ze3z83_24106;
																							BgL_zc3anonymousza34677ze3z83_24106
																								=
																								make_fx_procedure
																								(BGl_zc3anonymousza34677ze3z83zz__evaluatez00,
																								(int) (((long) 1)),
																								(int) (((long) 2)));
																							PROCEDURE_SET
																								(BgL_zc3anonymousza34677ze3z83_24106,
																								(int) (((long) 0)),
																								BgL_a1z00_3228);
																							PROCEDURE_SET
																								(BgL_zc3anonymousza34677ze3z83_24106,
																								(int) (((long) 1)),
																								BgL_a2z00_3229);
																							return
																								BgL_zc3anonymousza34677ze3z83_24106;
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 1263 */
																						if (
																							(BgL_valz00_3191 ==
																								BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
																							{	/* Eval/evaluate.scm 1263 */
																								obj_t BgL_a1z00_3238;

																								obj_t BgL_a2z00_3239;

																								{	/* Eval/evaluate.scm 1263 */
																									BgL_ev_exprz00_bglt
																										BgL_ez00_12730;
																									BgL_ez00_12730 =
																										(BgL_ev_exprz00_bglt)
																										(BgL_a1z00_3195);
																									{	/* Eval/evaluate.scm 1263 */
																										obj_t
																											BgL_method3374z00_12732;
																										{	/* Eval/evaluate.scm 1263 */
																											BgL_objectz00_bglt
																												BgL_objz00_12733;
																											BgL_objz00_12733 =
																												(BgL_objectz00_bglt)
																												(BgL_ez00_12730);
																											{	/* Eval/evaluate.scm 1263 */
																												long
																													BgL_objzd2classzd2numz00_12734;
																												BgL_objzd2classzd2numz00_12734
																													=
																													BGL_OBJECT_CLASS_NUM
																													(BgL_objz00_12733);
																												{	/* Eval/evaluate.scm 1263 */
																													obj_t
																														BgL_arg6930z00_12735;
																													BgL_arg6930z00_12735 =
																														PROCEDURE_REF
																														(BGl_compzd2envzd2zz__evaluatez00,
																														(int) (((long) 1)));
																													{	/* Eval/evaluate.scm 1263 */
																														obj_t
																															BgL_arrayz00_12737;
																														int
																															BgL_offsetz00_12738;
																														BgL_arrayz00_12737 =
																															BgL_arg6930z00_12735;
																														BgL_offsetz00_12738
																															=
																															(int)
																															(BgL_objzd2classzd2numz00_12734);
																														{	/* Eval/evaluate.scm 1263 */
																															long
																																BgL_offsetz00_12739;
																															BgL_offsetz00_12739
																																=
																																((long)
																																(BgL_offsetz00_12738)
																																- OBJECT_TYPE);
																															{	/* Eval/evaluate.scm 1263 */
																																long
																																	BgL_modz00_12740;
																																{	/* Eval/evaluate.scm 1263 */
																																	int
																																		BgL_arg6932z00_12741;
																																	BgL_arg6932z00_12741
																																		=
																																		(int) ((
																																			(long)
																																			16));
																																	{	/* Eval/evaluate.scm 1263 */
																																		long
																																			BgL_auxz00_31284;
																																		BgL_auxz00_31284
																																			=
																																			(long)
																																			(BgL_arg6932z00_12741);
																																		BgL_modz00_12740
																																			=
																																			(BgL_offsetz00_12739
																																			/
																																			BgL_auxz00_31284);
																																}}
																																{	/* Eval/evaluate.scm 1263 */
																																	long
																																		BgL_restz00_12742;
																																	{	/* Eval/evaluate.scm 1263 */
																																		int
																																			BgL_arg6931z00_12743;
																																		BgL_arg6931z00_12743
																																			=
																																			(int) ((
																																				(long)
																																				16));
																																		{	/* Eval/evaluate.scm 1263 */
																																			long
																																				BgL_auxz00_31288;
																																			BgL_auxz00_31288
																																				=
																																				(long)
																																				(BgL_arg6931z00_12743);
																																			BgL_restz00_12742
																																				=
																																				(BgL_offsetz00_12739
																																				%
																																				BgL_auxz00_31288);
																																	}}
																																	{	/* Eval/evaluate.scm 1263 */

																																		BgL_method3374z00_12732
																																			=
																																			VECTOR_REF
																																			(VECTOR_REF
																																			(BgL_arrayz00_12737,
																																				(int)
																																				(BgL_modz00_12740)),
																																			(int)
																																			(BgL_restz00_12742));
																										}}}}}}}}
																										BgL_a1z00_3238 =
																											PROCEDURE_ENTRY
																											(BgL_method3374z00_12732)
																											(BgL_method3374z00_12732,
																											(obj_t) (BgL_ez00_12730),
																											BgL_stkz00_326, BEOA);
																								}}
																								{	/* Eval/evaluate.scm 1263 */
																									BgL_ev_exprz00_bglt
																										BgL_ez00_12757;
																									BgL_ez00_12757 =
																										(BgL_ev_exprz00_bglt)
																										(BgL_a2z00_3196);
																									{	/* Eval/evaluate.scm 1263 */
																										obj_t
																											BgL_method3374z00_12759;
																										{	/* Eval/evaluate.scm 1263 */
																											BgL_objectz00_bglt
																												BgL_objz00_12760;
																											BgL_objz00_12760 =
																												(BgL_objectz00_bglt)
																												(BgL_ez00_12757);
																											{	/* Eval/evaluate.scm 1263 */
																												long
																													BgL_objzd2classzd2numz00_12761;
																												BgL_objzd2classzd2numz00_12761
																													=
																													BGL_OBJECT_CLASS_NUM
																													(BgL_objz00_12760);
																												{	/* Eval/evaluate.scm 1263 */
																													obj_t
																														BgL_arg6930z00_12762;
																													BgL_arg6930z00_12762 =
																														PROCEDURE_REF
																														(BGl_compzd2envzd2zz__evaluatez00,
																														(int) (((long) 1)));
																													{	/* Eval/evaluate.scm 1263 */
																														obj_t
																															BgL_arrayz00_12764;
																														int
																															BgL_offsetz00_12765;
																														BgL_arrayz00_12764 =
																															BgL_arg6930z00_12762;
																														BgL_offsetz00_12765
																															=
																															(int)
																															(BgL_objzd2classzd2numz00_12761);
																														{	/* Eval/evaluate.scm 1263 */
																															long
																																BgL_offsetz00_12766;
																															BgL_offsetz00_12766
																																=
																																((long)
																																(BgL_offsetz00_12765)
																																- OBJECT_TYPE);
																															{	/* Eval/evaluate.scm 1263 */
																																long
																																	BgL_modz00_12767;
																																{	/* Eval/evaluate.scm 1263 */
																																	int
																																		BgL_arg6932z00_12768;
																																	BgL_arg6932z00_12768
																																		=
																																		(int) ((
																																			(long)
																																			16));
																																	{	/* Eval/evaluate.scm 1263 */
																																		long
																																			BgL_auxz00_31307;
																																		BgL_auxz00_31307
																																			=
																																			(long)
																																			(BgL_arg6932z00_12768);
																																		BgL_modz00_12767
																																			=
																																			(BgL_offsetz00_12766
																																			/
																																			BgL_auxz00_31307);
																																}}
																																{	/* Eval/evaluate.scm 1263 */
																																	long
																																		BgL_restz00_12769;
																																	{	/* Eval/evaluate.scm 1263 */
																																		int
																																			BgL_arg6931z00_12770;
																																		BgL_arg6931z00_12770
																																			=
																																			(int) ((
																																				(long)
																																				16));
																																		{	/* Eval/evaluate.scm 1263 */
																																			long
																																				BgL_auxz00_31311;
																																			BgL_auxz00_31311
																																				=
																																				(long)
																																				(BgL_arg6931z00_12770);
																																			BgL_restz00_12769
																																				=
																																				(BgL_offsetz00_12766
																																				%
																																				BgL_auxz00_31311);
																																	}}
																																	{	/* Eval/evaluate.scm 1263 */

																																		BgL_method3374z00_12759
																																			=
																																			VECTOR_REF
																																			(VECTOR_REF
																																			(BgL_arrayz00_12764,
																																				(int)
																																				(BgL_modz00_12767)),
																																			(int)
																																			(BgL_restz00_12769));
																										}}}}}}}}
																										BgL_a2z00_3239 =
																											PROCEDURE_ENTRY
																											(BgL_method3374z00_12759)
																											(BgL_method3374z00_12759,
																											(obj_t) (BgL_ez00_12757),
																											BgL_stkz00_326, BEOA);
																								}}
																								{	/* Eval/evaluate.scm 1263 */
																									obj_t
																										BgL_zc3anonymousza34681ze3z83_24107;
																									BgL_zc3anonymousza34681ze3z83_24107
																										=
																										make_fx_procedure
																										(BGl_zc3anonymousza34681ze3z83zz__evaluatez00,
																										(int) (((long) 1)),
																										(int) (((long) 2)));
																									PROCEDURE_SET
																										(BgL_zc3anonymousza34681ze3z83_24107,
																										(int) (((long) 0)),
																										BgL_a1z00_3238);
																									PROCEDURE_SET
																										(BgL_zc3anonymousza34681ze3z83_24107,
																										(int) (((long) 1)),
																										BgL_a2z00_3239);
																									return
																										BgL_zc3anonymousza34681ze3z83_24107;
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 1263 */
																								if (
																									(BgL_valz00_3191 ==
																										BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
																									{	/* Eval/evaluate.scm 1263 */
																										obj_t BgL_a1z00_3248;

																										obj_t BgL_a2z00_3249;

																										{	/* Eval/evaluate.scm 1263 */
																											BgL_ev_exprz00_bglt
																												BgL_ez00_12790;
																											BgL_ez00_12790 =
																												(BgL_ev_exprz00_bglt)
																												(BgL_a1z00_3195);
																											{	/* Eval/evaluate.scm 1263 */
																												obj_t
																													BgL_method3374z00_12792;
																												{	/* Eval/evaluate.scm 1263 */
																													BgL_objectz00_bglt
																														BgL_objz00_12793;
																													BgL_objz00_12793 =
																														(BgL_objectz00_bglt)
																														(BgL_ez00_12790);
																													{	/* Eval/evaluate.scm 1263 */
																														long
																															BgL_objzd2classzd2numz00_12794;
																														BgL_objzd2classzd2numz00_12794
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_objz00_12793);
																														{	/* Eval/evaluate.scm 1263 */
																															obj_t
																																BgL_arg6930z00_12795;
																															BgL_arg6930z00_12795
																																=
																																PROCEDURE_REF
																																(BGl_compzd2envzd2zz__evaluatez00,
																																(int) (((long)
																																		1)));
																															{	/* Eval/evaluate.scm 1263 */
																																obj_t
																																	BgL_arrayz00_12797;
																																int
																																	BgL_offsetz00_12798;
																																BgL_arrayz00_12797
																																	=
																																	BgL_arg6930z00_12795;
																																BgL_offsetz00_12798
																																	=
																																	(int)
																																	(BgL_objzd2classzd2numz00_12794);
																																{	/* Eval/evaluate.scm 1263 */
																																	long
																																		BgL_offsetz00_12799;
																																	BgL_offsetz00_12799
																																		=
																																		((long)
																																		(BgL_offsetz00_12798)
																																		-
																																		OBJECT_TYPE);
																																	{	/* Eval/evaluate.scm 1263 */
																																		long
																																			BgL_modz00_12800;
																																		{	/* Eval/evaluate.scm 1263 */
																																			int
																																				BgL_arg6932z00_12801;
																																			BgL_arg6932z00_12801
																																				=
																																				(int) ((
																																					(long)
																																					16));
																																			{	/* Eval/evaluate.scm 1263 */
																																				long
																																					BgL_auxz00_31339;
																																				BgL_auxz00_31339
																																					=
																																					(long)
																																					(BgL_arg6932z00_12801);
																																				BgL_modz00_12800
																																					=
																																					(BgL_offsetz00_12799
																																					/
																																					BgL_auxz00_31339);
																																		}}
																																		{	/* Eval/evaluate.scm 1263 */
																																			long
																																				BgL_restz00_12802;
																																			{	/* Eval/evaluate.scm 1263 */
																																				int
																																					BgL_arg6931z00_12803;
																																				BgL_arg6931z00_12803
																																					=
																																					(int)
																																					(((long) 16));
																																				{	/* Eval/evaluate.scm 1263 */
																																					long
																																						BgL_auxz00_31343;
																																					BgL_auxz00_31343
																																						=
																																						(long)
																																						(BgL_arg6931z00_12803);
																																					BgL_restz00_12802
																																						=
																																						(BgL_offsetz00_12799
																																						%
																																						BgL_auxz00_31343);
																																			}}
																																			{	/* Eval/evaluate.scm 1263 */

																																				BgL_method3374z00_12792
																																					=
																																					VECTOR_REF
																																					(VECTOR_REF
																																					(BgL_arrayz00_12797,
																																						(int)
																																						(BgL_modz00_12800)),
																																					(int)
																																					(BgL_restz00_12802));
																												}}}}}}}}
																												BgL_a1z00_3248 =
																													PROCEDURE_ENTRY
																													(BgL_method3374z00_12792)
																													(BgL_method3374z00_12792,
																													(obj_t)
																													(BgL_ez00_12790),
																													BgL_stkz00_326, BEOA);
																										}}
																										{	/* Eval/evaluate.scm 1263 */
																											BgL_ev_exprz00_bglt
																												BgL_ez00_12817;
																											BgL_ez00_12817 =
																												(BgL_ev_exprz00_bglt)
																												(BgL_a2z00_3196);
																											{	/* Eval/evaluate.scm 1263 */
																												obj_t
																													BgL_method3374z00_12819;
																												{	/* Eval/evaluate.scm 1263 */
																													BgL_objectz00_bglt
																														BgL_objz00_12820;
																													BgL_objz00_12820 =
																														(BgL_objectz00_bglt)
																														(BgL_ez00_12817);
																													{	/* Eval/evaluate.scm 1263 */
																														long
																															BgL_objzd2classzd2numz00_12821;
																														BgL_objzd2classzd2numz00_12821
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_objz00_12820);
																														{	/* Eval/evaluate.scm 1263 */
																															obj_t
																																BgL_arg6930z00_12822;
																															BgL_arg6930z00_12822
																																=
																																PROCEDURE_REF
																																(BGl_compzd2envzd2zz__evaluatez00,
																																(int) (((long)
																																		1)));
																															{	/* Eval/evaluate.scm 1263 */
																																obj_t
																																	BgL_arrayz00_12824;
																																int
																																	BgL_offsetz00_12825;
																																BgL_arrayz00_12824
																																	=
																																	BgL_arg6930z00_12822;
																																BgL_offsetz00_12825
																																	=
																																	(int)
																																	(BgL_objzd2classzd2numz00_12821);
																																{	/* Eval/evaluate.scm 1263 */
																																	long
																																		BgL_offsetz00_12826;
																																	BgL_offsetz00_12826
																																		=
																																		((long)
																																		(BgL_offsetz00_12825)
																																		-
																																		OBJECT_TYPE);
																																	{	/* Eval/evaluate.scm 1263 */
																																		long
																																			BgL_modz00_12827;
																																		{	/* Eval/evaluate.scm 1263 */
																																			int
																																				BgL_arg6932z00_12828;
																																			BgL_arg6932z00_12828
																																				=
																																				(int) ((
																																					(long)
																																					16));
																																			{	/* Eval/evaluate.scm 1263 */
																																				long
																																					BgL_auxz00_31362;
																																				BgL_auxz00_31362
																																					=
																																					(long)
																																					(BgL_arg6932z00_12828);
																																				BgL_modz00_12827
																																					=
																																					(BgL_offsetz00_12826
																																					/
																																					BgL_auxz00_31362);
																																		}}
																																		{	/* Eval/evaluate.scm 1263 */
																																			long
																																				BgL_restz00_12829;
																																			{	/* Eval/evaluate.scm 1263 */
																																				int
																																					BgL_arg6931z00_12830;
																																				BgL_arg6931z00_12830
																																					=
																																					(int)
																																					(((long) 16));
																																				{	/* Eval/evaluate.scm 1263 */
																																					long
																																						BgL_auxz00_31366;
																																					BgL_auxz00_31366
																																						=
																																						(long)
																																						(BgL_arg6931z00_12830);
																																					BgL_restz00_12829
																																						=
																																						(BgL_offsetz00_12826
																																						%
																																						BgL_auxz00_31366);
																																			}}
																																			{	/* Eval/evaluate.scm 1263 */

																																				BgL_method3374z00_12819
																																					=
																																					VECTOR_REF
																																					(VECTOR_REF
																																					(BgL_arrayz00_12824,
																																						(int)
																																						(BgL_modz00_12827)),
																																					(int)
																																					(BgL_restz00_12829));
																												}}}}}}}}
																												BgL_a2z00_3249 =
																													PROCEDURE_ENTRY
																													(BgL_method3374z00_12819)
																													(BgL_method3374z00_12819,
																													(obj_t)
																													(BgL_ez00_12817),
																													BgL_stkz00_326, BEOA);
																										}}
																										{	/* Eval/evaluate.scm 1263 */
																											obj_t
																												BgL_zc3anonymousza34685ze3z83_24108;
																											BgL_zc3anonymousza34685ze3z83_24108
																												=
																												make_fx_procedure
																												(BGl_zc3anonymousza34685ze3z83zz__evaluatez00,
																												(int) (((long) 1)),
																												(int) (((long) 2)));
																											PROCEDURE_SET
																												(BgL_zc3anonymousza34685ze3z83_24108,
																												(int) (((long) 0)),
																												BgL_a1z00_3248);
																											PROCEDURE_SET
																												(BgL_zc3anonymousza34685ze3z83_24108,
																												(int) (((long) 1)),
																												BgL_a2z00_3249);
																											return
																												BgL_zc3anonymousza34685ze3z83_24108;
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 1263 */
																										if (
																											(BgL_valz00_3191 ==
																												BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
																											{	/* Eval/evaluate.scm 1263 */
																												obj_t BgL_a1z00_3258;

																												obj_t BgL_a2z00_3259;

																												{	/* Eval/evaluate.scm 1263 */
																													BgL_ev_exprz00_bglt
																														BgL_ez00_12850;
																													BgL_ez00_12850 =
																														(BgL_ev_exprz00_bglt)
																														(BgL_a1z00_3195);
																													{	/* Eval/evaluate.scm 1263 */
																														obj_t
																															BgL_method3374z00_12852;
																														{	/* Eval/evaluate.scm 1263 */
																															BgL_objectz00_bglt
																																BgL_objz00_12853;
																															BgL_objz00_12853 =
																																(BgL_objectz00_bglt)
																																(BgL_ez00_12850);
																															{	/* Eval/evaluate.scm 1263 */
																																long
																																	BgL_objzd2classzd2numz00_12854;
																																BgL_objzd2classzd2numz00_12854
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_objz00_12853);
																																{	/* Eval/evaluate.scm 1263 */
																																	obj_t
																																		BgL_arg6930z00_12855;
																																	BgL_arg6930z00_12855
																																		=
																																		PROCEDURE_REF
																																		(BGl_compzd2envzd2zz__evaluatez00,
																																		(int) ((
																																				(long)
																																				1)));
																																	{	/* Eval/evaluate.scm 1263 */
																																		obj_t
																																			BgL_arrayz00_12857;
																																		int
																																			BgL_offsetz00_12858;
																																		BgL_arrayz00_12857
																																			=
																																			BgL_arg6930z00_12855;
																																		BgL_offsetz00_12858
																																			=
																																			(int)
																																			(BgL_objzd2classzd2numz00_12854);
																																		{	/* Eval/evaluate.scm 1263 */
																																			long
																																				BgL_offsetz00_12859;
																																			BgL_offsetz00_12859
																																				=
																																				((long)
																																				(BgL_offsetz00_12858)
																																				-
																																				OBJECT_TYPE);
																																			{	/* Eval/evaluate.scm 1263 */
																																				long
																																					BgL_modz00_12860;
																																				{	/* Eval/evaluate.scm 1263 */
																																					int
																																						BgL_arg6932z00_12861;
																																					BgL_arg6932z00_12861
																																						=
																																						(int)
																																						(((long) 16));
																																					{	/* Eval/evaluate.scm 1263 */
																																						long
																																							BgL_auxz00_31394;
																																						BgL_auxz00_31394
																																							=
																																							(long)
																																							(BgL_arg6932z00_12861);
																																						BgL_modz00_12860
																																							=
																																							(BgL_offsetz00_12859
																																							/
																																							BgL_auxz00_31394);
																																				}}
																																				{	/* Eval/evaluate.scm 1263 */
																																					long
																																						BgL_restz00_12862;
																																					{	/* Eval/evaluate.scm 1263 */
																																						int
																																							BgL_arg6931z00_12863;
																																						BgL_arg6931z00_12863
																																							=
																																							(int)
																																							(((long) 16));
																																						{	/* Eval/evaluate.scm 1263 */
																																							long
																																								BgL_auxz00_31398;
																																							BgL_auxz00_31398
																																								=
																																								(long)
																																								(BgL_arg6931z00_12863);
																																							BgL_restz00_12862
																																								=
																																								(BgL_offsetz00_12859
																																								%
																																								BgL_auxz00_31398);
																																					}}
																																					{	/* Eval/evaluate.scm 1263 */

																																						BgL_method3374z00_12852
																																							=
																																							VECTOR_REF
																																							(VECTOR_REF
																																							(BgL_arrayz00_12857,
																																								(int)
																																								(BgL_modz00_12860)),
																																							(int)
																																							(BgL_restz00_12862));
																														}}}}}}}}
																														BgL_a1z00_3258 =
																															PROCEDURE_ENTRY
																															(BgL_method3374z00_12852)
																															(BgL_method3374z00_12852,
																															(obj_t)
																															(BgL_ez00_12850),
																															BgL_stkz00_326,
																															BEOA);
																												}}
																												{	/* Eval/evaluate.scm 1263 */
																													BgL_ev_exprz00_bglt
																														BgL_ez00_12877;
																													BgL_ez00_12877 =
																														(BgL_ev_exprz00_bglt)
																														(BgL_a2z00_3196);
																													{	/* Eval/evaluate.scm 1263 */
																														obj_t
																															BgL_method3374z00_12879;
																														{	/* Eval/evaluate.scm 1263 */
																															BgL_objectz00_bglt
																																BgL_objz00_12880;
																															BgL_objz00_12880 =
																																(BgL_objectz00_bglt)
																																(BgL_ez00_12877);
																															{	/* Eval/evaluate.scm 1263 */
																																long
																																	BgL_objzd2classzd2numz00_12881;
																																BgL_objzd2classzd2numz00_12881
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_objz00_12880);
																																{	/* Eval/evaluate.scm 1263 */
																																	obj_t
																																		BgL_arg6930z00_12882;
																																	BgL_arg6930z00_12882
																																		=
																																		PROCEDURE_REF
																																		(BGl_compzd2envzd2zz__evaluatez00,
																																		(int) ((
																																				(long)
																																				1)));
																																	{	/* Eval/evaluate.scm 1263 */
																																		obj_t
																																			BgL_arrayz00_12884;
																																		int
																																			BgL_offsetz00_12885;
																																		BgL_arrayz00_12884
																																			=
																																			BgL_arg6930z00_12882;
																																		BgL_offsetz00_12885
																																			=
																																			(int)
																																			(BgL_objzd2classzd2numz00_12881);
																																		{	/* Eval/evaluate.scm 1263 */
																																			long
																																				BgL_offsetz00_12886;
																																			BgL_offsetz00_12886
																																				=
																																				((long)
																																				(BgL_offsetz00_12885)
																																				-
																																				OBJECT_TYPE);
																																			{	/* Eval/evaluate.scm 1263 */
																																				long
																																					BgL_modz00_12887;
																																				{	/* Eval/evaluate.scm 1263 */
																																					int
																																						BgL_arg6932z00_12888;
																																					BgL_arg6932z00_12888
																																						=
																																						(int)
																																						(((long) 16));
																																					{	/* Eval/evaluate.scm 1263 */
																																						long
																																							BgL_auxz00_31417;
																																						BgL_auxz00_31417
																																							=
																																							(long)
																																							(BgL_arg6932z00_12888);
																																						BgL_modz00_12887
																																							=
																																							(BgL_offsetz00_12886
																																							/
																																							BgL_auxz00_31417);
																																				}}
																																				{	/* Eval/evaluate.scm 1263 */
																																					long
																																						BgL_restz00_12889;
																																					{	/* Eval/evaluate.scm 1263 */
																																						int
																																							BgL_arg6931z00_12890;
																																						BgL_arg6931z00_12890
																																							=
																																							(int)
																																							(((long) 16));
																																						{	/* Eval/evaluate.scm 1263 */
																																							long
																																								BgL_auxz00_31421;
																																							BgL_auxz00_31421
																																								=
																																								(long)
																																								(BgL_arg6931z00_12890);
																																							BgL_restz00_12889
																																								=
																																								(BgL_offsetz00_12886
																																								%
																																								BgL_auxz00_31421);
																																					}}
																																					{	/* Eval/evaluate.scm 1263 */

																																						BgL_method3374z00_12879
																																							=
																																							VECTOR_REF
																																							(VECTOR_REF
																																							(BgL_arrayz00_12884,
																																								(int)
																																								(BgL_modz00_12887)),
																																							(int)
																																							(BgL_restz00_12889));
																														}}}}}}}}
																														BgL_a2z00_3259 =
																															PROCEDURE_ENTRY
																															(BgL_method3374z00_12879)
																															(BgL_method3374z00_12879,
																															(obj_t)
																															(BgL_ez00_12877),
																															BgL_stkz00_326,
																															BEOA);
																												}}
																												{	/* Eval/evaluate.scm 1263 */
																													obj_t
																														BgL_zc3anonymousza34689ze3z83_24109;
																													BgL_zc3anonymousza34689ze3z83_24109
																														=
																														make_fx_procedure
																														(BGl_zc3anonymousza34689ze3z83zz__evaluatez00,
																														(int) (((long) 1)),
																														(int) (((long) 2)));
																													PROCEDURE_SET
																														(BgL_zc3anonymousza34689ze3z83_24109,
																														(int) (((long) 0)),
																														BgL_a1z00_3258);
																													PROCEDURE_SET
																														(BgL_zc3anonymousza34689ze3z83_24109,
																														(int) (((long) 1)),
																														BgL_a2z00_3259);
																													return
																														BgL_zc3anonymousza34689ze3z83_24109;
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 1263 */
																												if (
																													(BgL_valz00_3191 ==
																														BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
																													{	/* Eval/evaluate.scm 1263 */
																														obj_t
																															BgL_a1z00_3268;
																														obj_t
																															BgL_a2z00_3269;
																														{	/* Eval/evaluate.scm 1263 */
																															BgL_ev_exprz00_bglt
																																BgL_ez00_12910;
																															BgL_ez00_12910 =
																																(BgL_ev_exprz00_bglt)
																																(BgL_a1z00_3195);
																															{	/* Eval/evaluate.scm 1263 */
																																obj_t
																																	BgL_method3374z00_12912;
																																{	/* Eval/evaluate.scm 1263 */
																																	BgL_objectz00_bglt
																																		BgL_objz00_12913;
																																	BgL_objz00_12913
																																		=
																																		(BgL_objectz00_bglt)
																																		(BgL_ez00_12910);
																																	{	/* Eval/evaluate.scm 1263 */
																																		long
																																			BgL_objzd2classzd2numz00_12914;
																																		BgL_objzd2classzd2numz00_12914
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_objz00_12913);
																																		{	/* Eval/evaluate.scm 1263 */
																																			obj_t
																																				BgL_arg6930z00_12915;
																																			BgL_arg6930z00_12915
																																				=
																																				PROCEDURE_REF
																																				(BGl_compzd2envzd2zz__evaluatez00,
																																				(int) ((
																																						(long)
																																						1)));
																																			{	/* Eval/evaluate.scm 1263 */
																																				obj_t
																																					BgL_arrayz00_12917;
																																				int
																																					BgL_offsetz00_12918;
																																				BgL_arrayz00_12917
																																					=
																																					BgL_arg6930z00_12915;
																																				BgL_offsetz00_12918
																																					=
																																					(int)
																																					(BgL_objzd2classzd2numz00_12914);
																																				{	/* Eval/evaluate.scm 1263 */
																																					long
																																						BgL_offsetz00_12919;
																																					BgL_offsetz00_12919
																																						=
																																						(
																																						(long)
																																						(BgL_offsetz00_12918)
																																						-
																																						OBJECT_TYPE);
																																					{	/* Eval/evaluate.scm 1263 */
																																						long
																																							BgL_modz00_12920;
																																						{	/* Eval/evaluate.scm 1263 */
																																							int
																																								BgL_arg6932z00_12921;
																																							BgL_arg6932z00_12921
																																								=
																																								(int)
																																								(
																																								((long) 16));
																																							{	/* Eval/evaluate.scm 1263 */
																																								long
																																									BgL_auxz00_31449;
																																								BgL_auxz00_31449
																																									=
																																									(long)
																																									(BgL_arg6932z00_12921);
																																								BgL_modz00_12920
																																									=
																																									(BgL_offsetz00_12919
																																									/
																																									BgL_auxz00_31449);
																																						}}
																																						{	/* Eval/evaluate.scm 1263 */
																																							long
																																								BgL_restz00_12922;
																																							{	/* Eval/evaluate.scm 1263 */
																																								int
																																									BgL_arg6931z00_12923;
																																								BgL_arg6931z00_12923
																																									=
																																									(int)
																																									(
																																									((long) 16));
																																								{	/* Eval/evaluate.scm 1263 */
																																									long
																																										BgL_auxz00_31453;
																																									BgL_auxz00_31453
																																										=
																																										(long)
																																										(BgL_arg6931z00_12923);
																																									BgL_restz00_12922
																																										=
																																										(BgL_offsetz00_12919
																																										%
																																										BgL_auxz00_31453);
																																							}}
																																							{	/* Eval/evaluate.scm 1263 */

																																								BgL_method3374z00_12912
																																									=
																																									VECTOR_REF
																																									(VECTOR_REF
																																									(BgL_arrayz00_12917,
																																										(int)
																																										(BgL_modz00_12920)),
																																									(int)
																																									(BgL_restz00_12922));
																																}}}}}}}}
																																BgL_a1z00_3268 =
																																	PROCEDURE_ENTRY
																																	(BgL_method3374z00_12912)
																																	(BgL_method3374z00_12912,
																																	(obj_t)
																																	(BgL_ez00_12910),
																																	BgL_stkz00_326,
																																	BEOA);
																														}}
																														{	/* Eval/evaluate.scm 1263 */
																															BgL_ev_exprz00_bglt
																																BgL_ez00_12937;
																															BgL_ez00_12937 =
																																(BgL_ev_exprz00_bglt)
																																(BgL_a2z00_3196);
																															{	/* Eval/evaluate.scm 1263 */
																																obj_t
																																	BgL_method3374z00_12939;
																																{	/* Eval/evaluate.scm 1263 */
																																	BgL_objectz00_bglt
																																		BgL_objz00_12940;
																																	BgL_objz00_12940
																																		=
																																		(BgL_objectz00_bglt)
																																		(BgL_ez00_12937);
																																	{	/* Eval/evaluate.scm 1263 */
																																		long
																																			BgL_objzd2classzd2numz00_12941;
																																		BgL_objzd2classzd2numz00_12941
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_objz00_12940);
																																		{	/* Eval/evaluate.scm 1263 */
																																			obj_t
																																				BgL_arg6930z00_12942;
																																			BgL_arg6930z00_12942
																																				=
																																				PROCEDURE_REF
																																				(BGl_compzd2envzd2zz__evaluatez00,
																																				(int) ((
																																						(long)
																																						1)));
																																			{	/* Eval/evaluate.scm 1263 */
																																				obj_t
																																					BgL_arrayz00_12944;
																																				int
																																					BgL_offsetz00_12945;
																																				BgL_arrayz00_12944
																																					=
																																					BgL_arg6930z00_12942;
																																				BgL_offsetz00_12945
																																					=
																																					(int)
																																					(BgL_objzd2classzd2numz00_12941);
																																				{	/* Eval/evaluate.scm 1263 */
																																					long
																																						BgL_offsetz00_12946;
																																					BgL_offsetz00_12946
																																						=
																																						(
																																						(long)
																																						(BgL_offsetz00_12945)
																																						-
																																						OBJECT_TYPE);
																																					{	/* Eval/evaluate.scm 1263 */
																																						long
																																							BgL_modz00_12947;
																																						{	/* Eval/evaluate.scm 1263 */
																																							int
																																								BgL_arg6932z00_12948;
																																							BgL_arg6932z00_12948
																																								=
																																								(int)
																																								(
																																								((long) 16));
																																							{	/* Eval/evaluate.scm 1263 */
																																								long
																																									BgL_auxz00_31472;
																																								BgL_auxz00_31472
																																									=
																																									(long)
																																									(BgL_arg6932z00_12948);
																																								BgL_modz00_12947
																																									=
																																									(BgL_offsetz00_12946
																																									/
																																									BgL_auxz00_31472);
																																						}}
																																						{	/* Eval/evaluate.scm 1263 */
																																							long
																																								BgL_restz00_12949;
																																							{	/* Eval/evaluate.scm 1263 */
																																								int
																																									BgL_arg6931z00_12950;
																																								BgL_arg6931z00_12950
																																									=
																																									(int)
																																									(
																																									((long) 16));
																																								{	/* Eval/evaluate.scm 1263 */
																																									long
																																										BgL_auxz00_31476;
																																									BgL_auxz00_31476
																																										=
																																										(long)
																																										(BgL_arg6931z00_12950);
																																									BgL_restz00_12949
																																										=
																																										(BgL_offsetz00_12946
																																										%
																																										BgL_auxz00_31476);
																																							}}
																																							{	/* Eval/evaluate.scm 1263 */

																																								BgL_method3374z00_12939
																																									=
																																									VECTOR_REF
																																									(VECTOR_REF
																																									(BgL_arrayz00_12944,
																																										(int)
																																										(BgL_modz00_12947)),
																																									(int)
																																									(BgL_restz00_12949));
																																}}}}}}}}
																																BgL_a2z00_3269 =
																																	PROCEDURE_ENTRY
																																	(BgL_method3374z00_12939)
																																	(BgL_method3374z00_12939,
																																	(obj_t)
																																	(BgL_ez00_12937),
																																	BgL_stkz00_326,
																																	BEOA);
																														}}
																														{	/* Eval/evaluate.scm 1263 */
																															obj_t
																																BgL_zc3anonymousza34693ze3z83_24110;
																															BgL_zc3anonymousza34693ze3z83_24110
																																=
																																make_fx_procedure
																																(BGl_zc3anonymousza34693ze3z83zz__evaluatez00,
																																(int) (((long)
																																		1)),
																																(int) (((long)
																																		2)));
																															PROCEDURE_SET
																																(BgL_zc3anonymousza34693ze3z83_24110,
																																(int) (((long)
																																		0)),
																																BgL_a1z00_3268);
																															PROCEDURE_SET
																																(BgL_zc3anonymousza34693ze3z83_24110,
																																(int) (((long)
																																		1)),
																																BgL_a2z00_3269);
																															return
																																BgL_zc3anonymousza34693ze3z83_24110;
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 1263 */
																														if (
																															(BgL_valz00_3191
																																==
																																BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
																															{	/* Eval/evaluate.scm 1263 */
																																obj_t
																																	BgL_a1z00_3278;
																																obj_t
																																	BgL_a2z00_3279;
																																{	/* Eval/evaluate.scm 1263 */
																																	BgL_ev_exprz00_bglt
																																		BgL_ez00_12970;
																																	BgL_ez00_12970
																																		=
																																		(BgL_ev_exprz00_bglt)
																																		(BgL_a1z00_3195);
																																	{	/* Eval/evaluate.scm 1263 */
																																		obj_t
																																			BgL_method3374z00_12972;
																																		{	/* Eval/evaluate.scm 1263 */
																																			BgL_objectz00_bglt
																																				BgL_objz00_12973;
																																			BgL_objz00_12973
																																				=
																																				(BgL_objectz00_bglt)
																																				(BgL_ez00_12970);
																																			{	/* Eval/evaluate.scm 1263 */
																																				long
																																					BgL_objzd2classzd2numz00_12974;
																																				BgL_objzd2classzd2numz00_12974
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_objz00_12973);
																																				{	/* Eval/evaluate.scm 1263 */
																																					obj_t
																																						BgL_arg6930z00_12975;
																																					BgL_arg6930z00_12975
																																						=
																																						PROCEDURE_REF
																																						(BGl_compzd2envzd2zz__evaluatez00,
																																						(int)
																																						(((long) 1)));
																																					{	/* Eval/evaluate.scm 1263 */
																																						obj_t
																																							BgL_arrayz00_12977;
																																						int
																																							BgL_offsetz00_12978;
																																						BgL_arrayz00_12977
																																							=
																																							BgL_arg6930z00_12975;
																																						BgL_offsetz00_12978
																																							=
																																							(int)
																																							(BgL_objzd2classzd2numz00_12974);
																																						{	/* Eval/evaluate.scm 1263 */
																																							long
																																								BgL_offsetz00_12979;
																																							BgL_offsetz00_12979
																																								=
																																								(
																																								(long)
																																								(BgL_offsetz00_12978)
																																								-
																																								OBJECT_TYPE);
																																							{	/* Eval/evaluate.scm 1263 */
																																								long
																																									BgL_modz00_12980;
																																								{	/* Eval/evaluate.scm 1263 */
																																									int
																																										BgL_arg6932z00_12981;
																																									BgL_arg6932z00_12981
																																										=
																																										(int)
																																										(
																																										((long) 16));
																																									{	/* Eval/evaluate.scm 1263 */
																																										long
																																											BgL_auxz00_31504;
																																										BgL_auxz00_31504
																																											=
																																											(long)
																																											(BgL_arg6932z00_12981);
																																										BgL_modz00_12980
																																											=
																																											(BgL_offsetz00_12979
																																											/
																																											BgL_auxz00_31504);
																																								}}
																																								{	/* Eval/evaluate.scm 1263 */
																																									long
																																										BgL_restz00_12982;
																																									{	/* Eval/evaluate.scm 1263 */
																																										int
																																											BgL_arg6931z00_12983;
																																										BgL_arg6931z00_12983
																																											=
																																											(int)
																																											(
																																											((long) 16));
																																										{	/* Eval/evaluate.scm 1263 */
																																											long
																																												BgL_auxz00_31508;
																																											BgL_auxz00_31508
																																												=
																																												(long)
																																												(BgL_arg6931z00_12983);
																																											BgL_restz00_12982
																																												=
																																												(BgL_offsetz00_12979
																																												%
																																												BgL_auxz00_31508);
																																									}}
																																									{	/* Eval/evaluate.scm 1263 */

																																										BgL_method3374z00_12972
																																											=
																																											VECTOR_REF
																																											(VECTOR_REF
																																											(BgL_arrayz00_12977,
																																												(int)
																																												(BgL_modz00_12980)),
																																											(int)
																																											(BgL_restz00_12982));
																																		}}}}}}}}
																																		BgL_a1z00_3278
																																			=
																																			PROCEDURE_ENTRY
																																			(BgL_method3374z00_12972)
																																			(BgL_method3374z00_12972,
																																			(obj_t)
																																			(BgL_ez00_12970),
																																			BgL_stkz00_326,
																																			BEOA);
																																}}
																																{	/* Eval/evaluate.scm 1263 */
																																	BgL_ev_exprz00_bglt
																																		BgL_ez00_12997;
																																	BgL_ez00_12997
																																		=
																																		(BgL_ev_exprz00_bglt)
																																		(BgL_a2z00_3196);
																																	{	/* Eval/evaluate.scm 1263 */
																																		obj_t
																																			BgL_method3374z00_12999;
																																		{	/* Eval/evaluate.scm 1263 */
																																			BgL_objectz00_bglt
																																				BgL_objz00_13000;
																																			BgL_objz00_13000
																																				=
																																				(BgL_objectz00_bglt)
																																				(BgL_ez00_12997);
																																			{	/* Eval/evaluate.scm 1263 */
																																				long
																																					BgL_objzd2classzd2numz00_13001;
																																				BgL_objzd2classzd2numz00_13001
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_objz00_13000);
																																				{	/* Eval/evaluate.scm 1263 */
																																					obj_t
																																						BgL_arg6930z00_13002;
																																					BgL_arg6930z00_13002
																																						=
																																						PROCEDURE_REF
																																						(BGl_compzd2envzd2zz__evaluatez00,
																																						(int)
																																						(((long) 1)));
																																					{	/* Eval/evaluate.scm 1263 */
																																						obj_t
																																							BgL_arrayz00_13004;
																																						int
																																							BgL_offsetz00_13005;
																																						BgL_arrayz00_13004
																																							=
																																							BgL_arg6930z00_13002;
																																						BgL_offsetz00_13005
																																							=
																																							(int)
																																							(BgL_objzd2classzd2numz00_13001);
																																						{	/* Eval/evaluate.scm 1263 */
																																							long
																																								BgL_offsetz00_13006;
																																							BgL_offsetz00_13006
																																								=
																																								(
																																								(long)
																																								(BgL_offsetz00_13005)
																																								-
																																								OBJECT_TYPE);
																																							{	/* Eval/evaluate.scm 1263 */
																																								long
																																									BgL_modz00_13007;
																																								{	/* Eval/evaluate.scm 1263 */
																																									int
																																										BgL_arg6932z00_13008;
																																									BgL_arg6932z00_13008
																																										=
																																										(int)
																																										(
																																										((long) 16));
																																									{	/* Eval/evaluate.scm 1263 */
																																										long
																																											BgL_auxz00_31527;
																																										BgL_auxz00_31527
																																											=
																																											(long)
																																											(BgL_arg6932z00_13008);
																																										BgL_modz00_13007
																																											=
																																											(BgL_offsetz00_13006
																																											/
																																											BgL_auxz00_31527);
																																								}}
																																								{	/* Eval/evaluate.scm 1263 */
																																									long
																																										BgL_restz00_13009;
																																									{	/* Eval/evaluate.scm 1263 */
																																										int
																																											BgL_arg6931z00_13010;
																																										BgL_arg6931z00_13010
																																											=
																																											(int)
																																											(
																																											((long) 16));
																																										{	/* Eval/evaluate.scm 1263 */
																																											long
																																												BgL_auxz00_31531;
																																											BgL_auxz00_31531
																																												=
																																												(long)
																																												(BgL_arg6931z00_13010);
																																											BgL_restz00_13009
																																												=
																																												(BgL_offsetz00_13006
																																												%
																																												BgL_auxz00_31531);
																																									}}
																																									{	/* Eval/evaluate.scm 1263 */

																																										BgL_method3374z00_12999
																																											=
																																											VECTOR_REF
																																											(VECTOR_REF
																																											(BgL_arrayz00_13004,
																																												(int)
																																												(BgL_modz00_13007)),
																																											(int)
																																											(BgL_restz00_13009));
																																		}}}}}}}}
																																		BgL_a2z00_3279
																																			=
																																			PROCEDURE_ENTRY
																																			(BgL_method3374z00_12999)
																																			(BgL_method3374z00_12999,
																																			(obj_t)
																																			(BgL_ez00_12997),
																																			BgL_stkz00_326,
																																			BEOA);
																																}}
																																{	/* Eval/evaluate.scm 1263 */
																																	obj_t
																																		BgL_zc3anonymousza34697ze3z83_24111;
																																	BgL_zc3anonymousza34697ze3z83_24111
																																		=
																																		make_fx_procedure
																																		(BGl_zc3anonymousza34697ze3z83zz__evaluatez00,
																																		(int) ((
																																				(long)
																																				1)),
																																		(int) ((
																																				(long)
																																				2)));
																																	PROCEDURE_SET
																																		(BgL_zc3anonymousza34697ze3z83_24111,
																																		(int) ((
																																				(long)
																																				0)),
																																		BgL_a1z00_3278);
																																	PROCEDURE_SET
																																		(BgL_zc3anonymousza34697ze3z83_24111,
																																		(int) ((
																																				(long)
																																				1)),
																																		BgL_a2z00_3279);
																																	return
																																		BgL_zc3anonymousza34697ze3z83_24111;
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 1263 */
																																if (
																																	(BgL_valz00_3191
																																		==
																																		BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
																																	{	/* Eval/evaluate.scm 1263 */
																																		obj_t
																																			BgL_a1z00_3288;
																																		obj_t
																																			BgL_a2z00_3289;
																																		{	/* Eval/evaluate.scm 1263 */
																																			BgL_ev_exprz00_bglt
																																				BgL_ez00_13030;
																																			BgL_ez00_13030
																																				=
																																				(BgL_ev_exprz00_bglt)
																																				(BgL_a1z00_3195);
																																			{	/* Eval/evaluate.scm 1263 */
																																				obj_t
																																					BgL_method3374z00_13032;
																																				{	/* Eval/evaluate.scm 1263 */
																																					BgL_objectz00_bglt
																																						BgL_objz00_13033;
																																					BgL_objz00_13033
																																						=
																																						(BgL_objectz00_bglt)
																																						(BgL_ez00_13030);
																																					{	/* Eval/evaluate.scm 1263 */
																																						long
																																							BgL_objzd2classzd2numz00_13034;
																																						BgL_objzd2classzd2numz00_13034
																																							=
																																							BGL_OBJECT_CLASS_NUM
																																							(BgL_objz00_13033);
																																						{	/* Eval/evaluate.scm 1263 */
																																							obj_t
																																								BgL_arg6930z00_13035;
																																							BgL_arg6930z00_13035
																																								=
																																								PROCEDURE_REF
																																								(BGl_compzd2envzd2zz__evaluatez00,
																																								(int)
																																								(((long) 1)));
																																							{	/* Eval/evaluate.scm 1263 */
																																								obj_t
																																									BgL_arrayz00_13037;
																																								int
																																									BgL_offsetz00_13038;
																																								BgL_arrayz00_13037
																																									=
																																									BgL_arg6930z00_13035;
																																								BgL_offsetz00_13038
																																									=
																																									(int)
																																									(BgL_objzd2classzd2numz00_13034);
																																								{	/* Eval/evaluate.scm 1263 */
																																									long
																																										BgL_offsetz00_13039;
																																									BgL_offsetz00_13039
																																										=
																																										(
																																										(long)
																																										(BgL_offsetz00_13038)
																																										-
																																										OBJECT_TYPE);
																																									{	/* Eval/evaluate.scm 1263 */
																																										long
																																											BgL_modz00_13040;
																																										{	/* Eval/evaluate.scm 1263 */
																																											int
																																												BgL_arg6932z00_13041;
																																											BgL_arg6932z00_13041
																																												=
																																												(int)
																																												(
																																												((long) 16));
																																											{	/* Eval/evaluate.scm 1263 */
																																												long
																																													BgL_auxz00_31559;
																																												BgL_auxz00_31559
																																													=
																																													(long)
																																													(BgL_arg6932z00_13041);
																																												BgL_modz00_13040
																																													=
																																													(BgL_offsetz00_13039
																																													/
																																													BgL_auxz00_31559);
																																										}}
																																										{	/* Eval/evaluate.scm 1263 */
																																											long
																																												BgL_restz00_13042;
																																											{	/* Eval/evaluate.scm 1263 */
																																												int
																																													BgL_arg6931z00_13043;
																																												BgL_arg6931z00_13043
																																													=
																																													(int)
																																													(
																																													((long) 16));
																																												{	/* Eval/evaluate.scm 1263 */
																																													long
																																														BgL_auxz00_31563;
																																													BgL_auxz00_31563
																																														=
																																														(long)
																																														(BgL_arg6931z00_13043);
																																													BgL_restz00_13042
																																														=
																																														(BgL_offsetz00_13039
																																														%
																																														BgL_auxz00_31563);
																																											}}
																																											{	/* Eval/evaluate.scm 1263 */

																																												BgL_method3374z00_13032
																																													=
																																													VECTOR_REF
																																													(VECTOR_REF
																																													(BgL_arrayz00_13037,
																																														(int)
																																														(BgL_modz00_13040)),
																																													(int)
																																													(BgL_restz00_13042));
																																				}}}}}}}}
																																				BgL_a1z00_3288
																																					=
																																					PROCEDURE_ENTRY
																																					(BgL_method3374z00_13032)
																																					(BgL_method3374z00_13032,
																																					(obj_t)
																																					(BgL_ez00_13030),
																																					BgL_stkz00_326,
																																					BEOA);
																																		}}
																																		{	/* Eval/evaluate.scm 1263 */
																																			BgL_ev_exprz00_bglt
																																				BgL_ez00_13057;
																																			BgL_ez00_13057
																																				=
																																				(BgL_ev_exprz00_bglt)
																																				(BgL_a2z00_3196);
																																			{	/* Eval/evaluate.scm 1263 */
																																				obj_t
																																					BgL_method3374z00_13059;
																																				{	/* Eval/evaluate.scm 1263 */
																																					BgL_objectz00_bglt
																																						BgL_objz00_13060;
																																					BgL_objz00_13060
																																						=
																																						(BgL_objectz00_bglt)
																																						(BgL_ez00_13057);
																																					{	/* Eval/evaluate.scm 1263 */
																																						long
																																							BgL_objzd2classzd2numz00_13061;
																																						BgL_objzd2classzd2numz00_13061
																																							=
																																							BGL_OBJECT_CLASS_NUM
																																							(BgL_objz00_13060);
																																						{	/* Eval/evaluate.scm 1263 */
																																							obj_t
																																								BgL_arg6930z00_13062;
																																							BgL_arg6930z00_13062
																																								=
																																								PROCEDURE_REF
																																								(BGl_compzd2envzd2zz__evaluatez00,
																																								(int)
																																								(((long) 1)));
																																							{	/* Eval/evaluate.scm 1263 */
																																								obj_t
																																									BgL_arrayz00_13064;
																																								int
																																									BgL_offsetz00_13065;
																																								BgL_arrayz00_13064
																																									=
																																									BgL_arg6930z00_13062;
																																								BgL_offsetz00_13065
																																									=
																																									(int)
																																									(BgL_objzd2classzd2numz00_13061);
																																								{	/* Eval/evaluate.scm 1263 */
																																									long
																																										BgL_offsetz00_13066;
																																									BgL_offsetz00_13066
																																										=
																																										(
																																										(long)
																																										(BgL_offsetz00_13065)
																																										-
																																										OBJECT_TYPE);
																																									{	/* Eval/evaluate.scm 1263 */
																																										long
																																											BgL_modz00_13067;
																																										{	/* Eval/evaluate.scm 1263 */
																																											int
																																												BgL_arg6932z00_13068;
																																											BgL_arg6932z00_13068
																																												=
																																												(int)
																																												(
																																												((long) 16));
																																											{	/* Eval/evaluate.scm 1263 */
																																												long
																																													BgL_auxz00_31582;
																																												BgL_auxz00_31582
																																													=
																																													(long)
																																													(BgL_arg6932z00_13068);
																																												BgL_modz00_13067
																																													=
																																													(BgL_offsetz00_13066
																																													/
																																													BgL_auxz00_31582);
																																										}}
																																										{	/* Eval/evaluate.scm 1263 */
																																											long
																																												BgL_restz00_13069;
																																											{	/* Eval/evaluate.scm 1263 */
																																												int
																																													BgL_arg6931z00_13070;
																																												BgL_arg6931z00_13070
																																													=
																																													(int)
																																													(
																																													((long) 16));
																																												{	/* Eval/evaluate.scm 1263 */
																																													long
																																														BgL_auxz00_31586;
																																													BgL_auxz00_31586
																																														=
																																														(long)
																																														(BgL_arg6931z00_13070);
																																													BgL_restz00_13069
																																														=
																																														(BgL_offsetz00_13066
																																														%
																																														BgL_auxz00_31586);
																																											}}
																																											{	/* Eval/evaluate.scm 1263 */

																																												BgL_method3374z00_13059
																																													=
																																													VECTOR_REF
																																													(VECTOR_REF
																																													(BgL_arrayz00_13064,
																																														(int)
																																														(BgL_modz00_13067)),
																																													(int)
																																													(BgL_restz00_13069));
																																				}}}}}}}}
																																				BgL_a2z00_3289
																																					=
																																					PROCEDURE_ENTRY
																																					(BgL_method3374z00_13059)
																																					(BgL_method3374z00_13059,
																																					(obj_t)
																																					(BgL_ez00_13057),
																																					BgL_stkz00_326,
																																					BEOA);
																																		}}
																																		{	/* Eval/evaluate.scm 1263 */
																																			obj_t
																																				BgL_zc3anonymousza34701ze3z83_24112;
																																			BgL_zc3anonymousza34701ze3z83_24112
																																				=
																																				make_fx_procedure
																																				(BGl_zc3anonymousza34701ze3z83zz__evaluatez00,
																																				(int) ((
																																						(long)
																																						1)),
																																				(int) ((
																																						(long)
																																						2)));
																																			PROCEDURE_SET
																																				(BgL_zc3anonymousza34701ze3z83_24112,
																																				(int) ((
																																						(long)
																																						0)),
																																				BgL_a1z00_3288);
																																			PROCEDURE_SET
																																				(BgL_zc3anonymousza34701ze3z83_24112,
																																				(int) ((
																																						(long)
																																						1)),
																																				BgL_a2z00_3289);
																																			return
																																				BgL_zc3anonymousza34701ze3z83_24112;
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 1263 */
																																		if (
																																			(BgL_valz00_3191
																																				==
																																				BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
																																			{	/* Eval/evaluate.scm 1263 */
																																				obj_t
																																					BgL_a1z00_3296;
																																				obj_t
																																					BgL_a2z00_3297;
																																				{	/* Eval/evaluate.scm 1263 */
																																					BgL_ev_exprz00_bglt
																																						BgL_ez00_13089;
																																					BgL_ez00_13089
																																						=
																																						(BgL_ev_exprz00_bglt)
																																						(BgL_a1z00_3195);
																																					{	/* Eval/evaluate.scm 1263 */
																																						obj_t
																																							BgL_method3374z00_13091;
																																						{	/* Eval/evaluate.scm 1263 */
																																							BgL_objectz00_bglt
																																								BgL_objz00_13092;
																																							BgL_objz00_13092
																																								=
																																								(BgL_objectz00_bglt)
																																								(BgL_ez00_13089);
																																							{	/* Eval/evaluate.scm 1263 */
																																								long
																																									BgL_objzd2classzd2numz00_13093;
																																								BgL_objzd2classzd2numz00_13093
																																									=
																																									BGL_OBJECT_CLASS_NUM
																																									(BgL_objz00_13092);
																																								{	/* Eval/evaluate.scm 1263 */
																																									obj_t
																																										BgL_arg6930z00_13094;
																																									BgL_arg6930z00_13094
																																										=
																																										PROCEDURE_REF
																																										(BGl_compzd2envzd2zz__evaluatez00,
																																										(int)
																																										(((long) 1)));
																																									{	/* Eval/evaluate.scm 1263 */
																																										obj_t
																																											BgL_arrayz00_13096;
																																										int
																																											BgL_offsetz00_13097;
																																										BgL_arrayz00_13096
																																											=
																																											BgL_arg6930z00_13094;
																																										BgL_offsetz00_13097
																																											=
																																											(int)
																																											(BgL_objzd2classzd2numz00_13093);
																																										{	/* Eval/evaluate.scm 1263 */
																																											long
																																												BgL_offsetz00_13098;
																																											BgL_offsetz00_13098
																																												=
																																												(
																																												(long)
																																												(BgL_offsetz00_13097)
																																												-
																																												OBJECT_TYPE);
																																											{	/* Eval/evaluate.scm 1263 */
																																												long
																																													BgL_modz00_13099;
																																												{	/* Eval/evaluate.scm 1263 */
																																													int
																																														BgL_arg6932z00_13100;
																																													BgL_arg6932z00_13100
																																														=
																																														(int)
																																														(
																																														((long) 16));
																																													{	/* Eval/evaluate.scm 1263 */
																																														long
																																															BgL_auxz00_31614;
																																														BgL_auxz00_31614
																																															=
																																															(long)
																																															(BgL_arg6932z00_13100);
																																														BgL_modz00_13099
																																															=
																																															(BgL_offsetz00_13098
																																															/
																																															BgL_auxz00_31614);
																																												}}
																																												{	/* Eval/evaluate.scm 1263 */
																																													long
																																														BgL_restz00_13101;
																																													{	/* Eval/evaluate.scm 1263 */
																																														int
																																															BgL_arg6931z00_13102;
																																														BgL_arg6931z00_13102
																																															=
																																															(int)
																																															(
																																															((long) 16));
																																														{	/* Eval/evaluate.scm 1263 */
																																															long
																																																BgL_auxz00_31618;
																																															BgL_auxz00_31618
																																																=
																																																(long)
																																																(BgL_arg6931z00_13102);
																																															BgL_restz00_13101
																																																=
																																																(BgL_offsetz00_13098
																																																%
																																																BgL_auxz00_31618);
																																													}}
																																													{	/* Eval/evaluate.scm 1263 */

																																														BgL_method3374z00_13091
																																															=
																																															VECTOR_REF
																																															(VECTOR_REF
																																															(BgL_arrayz00_13096,
																																																(int)
																																																(BgL_modz00_13099)),
																																															(int)
																																															(BgL_restz00_13101));
																																						}}}}}}}}
																																						BgL_a1z00_3296
																																							=
																																							PROCEDURE_ENTRY
																																							(BgL_method3374z00_13091)
																																							(BgL_method3374z00_13091,
																																							(obj_t)
																																							(BgL_ez00_13089),
																																							BgL_stkz00_326,
																																							BEOA);
																																				}}
																																				{	/* Eval/evaluate.scm 1263 */
																																					BgL_ev_exprz00_bglt
																																						BgL_ez00_13116;
																																					BgL_ez00_13116
																																						=
																																						(BgL_ev_exprz00_bglt)
																																						(BgL_a2z00_3196);
																																					{	/* Eval/evaluate.scm 1263 */
																																						obj_t
																																							BgL_method3374z00_13118;
																																						{	/* Eval/evaluate.scm 1263 */
																																							BgL_objectz00_bglt
																																								BgL_objz00_13119;
																																							BgL_objz00_13119
																																								=
																																								(BgL_objectz00_bglt)
																																								(BgL_ez00_13116);
																																							{	/* Eval/evaluate.scm 1263 */
																																								long
																																									BgL_objzd2classzd2numz00_13120;
																																								BgL_objzd2classzd2numz00_13120
																																									=
																																									BGL_OBJECT_CLASS_NUM
																																									(BgL_objz00_13119);
																																								{	/* Eval/evaluate.scm 1263 */
																																									obj_t
																																										BgL_arg6930z00_13121;
																																									BgL_arg6930z00_13121
																																										=
																																										PROCEDURE_REF
																																										(BGl_compzd2envzd2zz__evaluatez00,
																																										(int)
																																										(((long) 1)));
																																									{	/* Eval/evaluate.scm 1263 */
																																										obj_t
																																											BgL_arrayz00_13123;
																																										int
																																											BgL_offsetz00_13124;
																																										BgL_arrayz00_13123
																																											=
																																											BgL_arg6930z00_13121;
																																										BgL_offsetz00_13124
																																											=
																																											(int)
																																											(BgL_objzd2classzd2numz00_13120);
																																										{	/* Eval/evaluate.scm 1263 */
																																											long
																																												BgL_offsetz00_13125;
																																											BgL_offsetz00_13125
																																												=
																																												(
																																												(long)
																																												(BgL_offsetz00_13124)
																																												-
																																												OBJECT_TYPE);
																																											{	/* Eval/evaluate.scm 1263 */
																																												long
																																													BgL_modz00_13126;
																																												{	/* Eval/evaluate.scm 1263 */
																																													int
																																														BgL_arg6932z00_13127;
																																													BgL_arg6932z00_13127
																																														=
																																														(int)
																																														(
																																														((long) 16));
																																													{	/* Eval/evaluate.scm 1263 */
																																														long
																																															BgL_auxz00_31637;
																																														BgL_auxz00_31637
																																															=
																																															(long)
																																															(BgL_arg6932z00_13127);
																																														BgL_modz00_13126
																																															=
																																															(BgL_offsetz00_13125
																																															/
																																															BgL_auxz00_31637);
																																												}}
																																												{	/* Eval/evaluate.scm 1263 */
																																													long
																																														BgL_restz00_13128;
																																													{	/* Eval/evaluate.scm 1263 */
																																														int
																																															BgL_arg6931z00_13129;
																																														BgL_arg6931z00_13129
																																															=
																																															(int)
																																															(
																																															((long) 16));
																																														{	/* Eval/evaluate.scm 1263 */
																																															long
																																																BgL_auxz00_31641;
																																															BgL_auxz00_31641
																																																=
																																																(long)
																																																(BgL_arg6931z00_13129);
																																															BgL_restz00_13128
																																																=
																																																(BgL_offsetz00_13125
																																																%
																																																BgL_auxz00_31641);
																																													}}
																																													{	/* Eval/evaluate.scm 1263 */

																																														BgL_method3374z00_13118
																																															=
																																															VECTOR_REF
																																															(VECTOR_REF
																																															(BgL_arrayz00_13123,
																																																(int)
																																																(BgL_modz00_13126)),
																																															(int)
																																															(BgL_restz00_13128));
																																						}}}}}}}}
																																						BgL_a2z00_3297
																																							=
																																							PROCEDURE_ENTRY
																																							(BgL_method3374z00_13118)
																																							(BgL_method3374z00_13118,
																																							(obj_t)
																																							(BgL_ez00_13116),
																																							BgL_stkz00_326,
																																							BEOA);
																																				}}
																																				{	/* Eval/evaluate.scm 1263 */
																																					obj_t
																																						BgL_zc3anonymousza34703ze3z83_24113;
																																					BgL_zc3anonymousza34703ze3z83_24113
																																						=
																																						make_fx_procedure
																																						(BGl_zc3anonymousza34703ze3z83zz__evaluatez00,
																																						(int)
																																						(((long) 1)), (int) (((long) 2)));
																																					PROCEDURE_SET
																																						(BgL_zc3anonymousza34703ze3z83_24113,
																																						(int)
																																						(((long) 0)), BgL_a1z00_3296);
																																					PROCEDURE_SET
																																						(BgL_zc3anonymousza34703ze3z83_24113,
																																						(int)
																																						(((long) 1)), BgL_a2z00_3297);
																																					return
																																						BgL_zc3anonymousza34703ze3z83_24113;
																																				}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 1263 */
																																				if (
																																					(BgL_valz00_3191
																																						==
																																						BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
																																					{	/* Eval/evaluate.scm 1263 */
																																						obj_t
																																							BgL_a1z00_3304;
																																						obj_t
																																							BgL_a2z00_3305;
																																						{	/* Eval/evaluate.scm 1263 */
																																							BgL_ev_exprz00_bglt
																																								BgL_ez00_13148;
																																							BgL_ez00_13148
																																								=
																																								(BgL_ev_exprz00_bglt)
																																								(BgL_a1z00_3195);
																																							{	/* Eval/evaluate.scm 1263 */
																																								obj_t
																																									BgL_method3374z00_13150;
																																								{	/* Eval/evaluate.scm 1263 */
																																									BgL_objectz00_bglt
																																										BgL_objz00_13151;
																																									BgL_objz00_13151
																																										=
																																										(BgL_objectz00_bglt)
																																										(BgL_ez00_13148);
																																									{	/* Eval/evaluate.scm 1263 */
																																										long
																																											BgL_objzd2classzd2numz00_13152;
																																										BgL_objzd2classzd2numz00_13152
																																											=
																																											BGL_OBJECT_CLASS_NUM
																																											(BgL_objz00_13151);
																																										{	/* Eval/evaluate.scm 1263 */
																																											obj_t
																																												BgL_arg6930z00_13153;
																																											BgL_arg6930z00_13153
																																												=
																																												PROCEDURE_REF
																																												(BGl_compzd2envzd2zz__evaluatez00,
																																												(int)
																																												(((long) 1)));
																																											{	/* Eval/evaluate.scm 1263 */
																																												obj_t
																																													BgL_arrayz00_13155;
																																												int
																																													BgL_offsetz00_13156;
																																												BgL_arrayz00_13155
																																													=
																																													BgL_arg6930z00_13153;
																																												BgL_offsetz00_13156
																																													=
																																													(int)
																																													(BgL_objzd2classzd2numz00_13152);
																																												{	/* Eval/evaluate.scm 1263 */
																																													long
																																														BgL_offsetz00_13157;
																																													BgL_offsetz00_13157
																																														=
																																														(
																																														(long)
																																														(BgL_offsetz00_13156)
																																														-
																																														OBJECT_TYPE);
																																													{	/* Eval/evaluate.scm 1263 */
																																														long
																																															BgL_modz00_13158;
																																														{	/* Eval/evaluate.scm 1263 */
																																															int
																																																BgL_arg6932z00_13159;
																																															BgL_arg6932z00_13159
																																																=
																																																(int)
																																																(
																																																((long) 16));
																																															{	/* Eval/evaluate.scm 1263 */
																																																long
																																																	BgL_auxz00_31669;
																																																BgL_auxz00_31669
																																																	=
																																																	(long)
																																																	(BgL_arg6932z00_13159);
																																																BgL_modz00_13158
																																																	=
																																																	(BgL_offsetz00_13157
																																																	/
																																																	BgL_auxz00_31669);
																																														}}
																																														{	/* Eval/evaluate.scm 1263 */
																																															long
																																																BgL_restz00_13160;
																																															{	/* Eval/evaluate.scm 1263 */
																																																int
																																																	BgL_arg6931z00_13161;
																																																BgL_arg6931z00_13161
																																																	=
																																																	(int)
																																																	(
																																																	((long) 16));
																																																{	/* Eval/evaluate.scm 1263 */
																																																	long
																																																		BgL_auxz00_31673;
																																																	BgL_auxz00_31673
																																																		=
																																																		(long)
																																																		(BgL_arg6931z00_13161);
																																																	BgL_restz00_13160
																																																		=
																																																		(BgL_offsetz00_13157
																																																		%
																																																		BgL_auxz00_31673);
																																															}}
																																															{	/* Eval/evaluate.scm 1263 */

																																																BgL_method3374z00_13150
																																																	=
																																																	VECTOR_REF
																																																	(VECTOR_REF
																																																	(BgL_arrayz00_13155,
																																																		(int)
																																																		(BgL_modz00_13158)),
																																																	(int)
																																																	(BgL_restz00_13160));
																																								}}}}}}}}
																																								BgL_a1z00_3304
																																									=
																																									PROCEDURE_ENTRY
																																									(BgL_method3374z00_13150)
																																									(BgL_method3374z00_13150,
																																									(obj_t)
																																									(BgL_ez00_13148),
																																									BgL_stkz00_326,
																																									BEOA);
																																						}}
																																						{	/* Eval/evaluate.scm 1263 */
																																							BgL_ev_exprz00_bglt
																																								BgL_ez00_13175;
																																							BgL_ez00_13175
																																								=
																																								(BgL_ev_exprz00_bglt)
																																								(BgL_a2z00_3196);
																																							{	/* Eval/evaluate.scm 1263 */
																																								obj_t
																																									BgL_method3374z00_13177;
																																								{	/* Eval/evaluate.scm 1263 */
																																									BgL_objectz00_bglt
																																										BgL_objz00_13178;
																																									BgL_objz00_13178
																																										=
																																										(BgL_objectz00_bglt)
																																										(BgL_ez00_13175);
																																									{	/* Eval/evaluate.scm 1263 */
																																										long
																																											BgL_objzd2classzd2numz00_13179;
																																										BgL_objzd2classzd2numz00_13179
																																											=
																																											BGL_OBJECT_CLASS_NUM
																																											(BgL_objz00_13178);
																																										{	/* Eval/evaluate.scm 1263 */
																																											obj_t
																																												BgL_arg6930z00_13180;
																																											BgL_arg6930z00_13180
																																												=
																																												PROCEDURE_REF
																																												(BGl_compzd2envzd2zz__evaluatez00,
																																												(int)
																																												(((long) 1)));
																																											{	/* Eval/evaluate.scm 1263 */
																																												obj_t
																																													BgL_arrayz00_13182;
																																												int
																																													BgL_offsetz00_13183;
																																												BgL_arrayz00_13182
																																													=
																																													BgL_arg6930z00_13180;
																																												BgL_offsetz00_13183
																																													=
																																													(int)
																																													(BgL_objzd2classzd2numz00_13179);
																																												{	/* Eval/evaluate.scm 1263 */
																																													long
																																														BgL_offsetz00_13184;
																																													BgL_offsetz00_13184
																																														=
																																														(
																																														(long)
																																														(BgL_offsetz00_13183)
																																														-
																																														OBJECT_TYPE);
																																													{	/* Eval/evaluate.scm 1263 */
																																														long
																																															BgL_modz00_13185;
																																														{	/* Eval/evaluate.scm 1263 */
																																															int
																																																BgL_arg6932z00_13186;
																																															BgL_arg6932z00_13186
																																																=
																																																(int)
																																																(
																																																((long) 16));
																																															{	/* Eval/evaluate.scm 1263 */
																																																long
																																																	BgL_auxz00_31692;
																																																BgL_auxz00_31692
																																																	=
																																																	(long)
																																																	(BgL_arg6932z00_13186);
																																																BgL_modz00_13185
																																																	=
																																																	(BgL_offsetz00_13184
																																																	/
																																																	BgL_auxz00_31692);
																																														}}
																																														{	/* Eval/evaluate.scm 1263 */
																																															long
																																																BgL_restz00_13187;
																																															{	/* Eval/evaluate.scm 1263 */
																																																int
																																																	BgL_arg6931z00_13188;
																																																BgL_arg6931z00_13188
																																																	=
																																																	(int)
																																																	(
																																																	((long) 16));
																																																{	/* Eval/evaluate.scm 1263 */
																																																	long
																																																		BgL_auxz00_31696;
																																																	BgL_auxz00_31696
																																																		=
																																																		(long)
																																																		(BgL_arg6931z00_13188);
																																																	BgL_restz00_13187
																																																		=
																																																		(BgL_offsetz00_13184
																																																		%
																																																		BgL_auxz00_31696);
																																															}}
																																															{	/* Eval/evaluate.scm 1263 */

																																																BgL_method3374z00_13177
																																																	=
																																																	VECTOR_REF
																																																	(VECTOR_REF
																																																	(BgL_arrayz00_13182,
																																																		(int)
																																																		(BgL_modz00_13185)),
																																																	(int)
																																																	(BgL_restz00_13187));
																																								}}}}}}}}
																																								BgL_a2z00_3305
																																									=
																																									PROCEDURE_ENTRY
																																									(BgL_method3374z00_13177)
																																									(BgL_method3374z00_13177,
																																									(obj_t)
																																									(BgL_ez00_13175),
																																									BgL_stkz00_326,
																																									BEOA);
																																						}}
																																						{	/* Eval/evaluate.scm 1263 */
																																							obj_t
																																								BgL_zc3anonymousza34705ze3z83_24114;
																																							BgL_zc3anonymousza34705ze3z83_24114
																																								=
																																								make_fx_procedure
																																								(BGl_zc3anonymousza34705ze3z83zz__evaluatez00,
																																								(int)
																																								(((long) 1)), (int) (((long) 2)));
																																							PROCEDURE_SET
																																								(BgL_zc3anonymousza34705ze3z83_24114,
																																								(int)
																																								(((long) 0)), BgL_a1z00_3304);
																																							PROCEDURE_SET
																																								(BgL_zc3anonymousza34705ze3z83_24114,
																																								(int)
																																								(((long) 1)), BgL_a2z00_3305);
																																							return
																																								BgL_zc3anonymousza34705ze3z83_24114;
																																						}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 1263 */
																																						if (
																																							(BgL_valz00_3191
																																								==
																																								BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
																																							{	/* Eval/evaluate.scm 1263 */
																																								obj_t
																																									BgL_a1z00_3314;
																																								obj_t
																																									BgL_a2z00_3315;
																																								{	/* Eval/evaluate.scm 1263 */
																																									BgL_ev_exprz00_bglt
																																										BgL_ez00_13210;
																																									BgL_ez00_13210
																																										=
																																										(BgL_ev_exprz00_bglt)
																																										(BgL_a1z00_3195);
																																									{	/* Eval/evaluate.scm 1263 */
																																										obj_t
																																											BgL_method3374z00_13212;
																																										{	/* Eval/evaluate.scm 1263 */
																																											BgL_objectz00_bglt
																																												BgL_objz00_13213;
																																											BgL_objz00_13213
																																												=
																																												(BgL_objectz00_bglt)
																																												(BgL_ez00_13210);
																																											{	/* Eval/evaluate.scm 1263 */
																																												long
																																													BgL_objzd2classzd2numz00_13214;
																																												BgL_objzd2classzd2numz00_13214
																																													=
																																													BGL_OBJECT_CLASS_NUM
																																													(BgL_objz00_13213);
																																												{	/* Eval/evaluate.scm 1263 */
																																													obj_t
																																														BgL_arg6930z00_13215;
																																													BgL_arg6930z00_13215
																																														=
																																														PROCEDURE_REF
																																														(BGl_compzd2envzd2zz__evaluatez00,
																																														(int)
																																														(((long) 1)));
																																													{	/* Eval/evaluate.scm 1263 */
																																														obj_t
																																															BgL_arrayz00_13217;
																																														int
																																															BgL_offsetz00_13218;
																																														BgL_arrayz00_13217
																																															=
																																															BgL_arg6930z00_13215;
																																														BgL_offsetz00_13218
																																															=
																																															(int)
																																															(BgL_objzd2classzd2numz00_13214);
																																														{	/* Eval/evaluate.scm 1263 */
																																															long
																																																BgL_offsetz00_13219;
																																															BgL_offsetz00_13219
																																																=
																																																(
																																																(long)
																																																(BgL_offsetz00_13218)
																																																-
																																																OBJECT_TYPE);
																																															{	/* Eval/evaluate.scm 1263 */
																																																long
																																																	BgL_modz00_13220;
																																																{	/* Eval/evaluate.scm 1263 */
																																																	int
																																																		BgL_arg6932z00_13221;
																																																	BgL_arg6932z00_13221
																																																		=
																																																		(int)
																																																		(
																																																		((long) 16));
																																																	{	/* Eval/evaluate.scm 1263 */
																																																		long
																																																			BgL_auxz00_31724;
																																																		BgL_auxz00_31724
																																																			=
																																																			(long)
																																																			(BgL_arg6932z00_13221);
																																																		BgL_modz00_13220
																																																			=
																																																			(BgL_offsetz00_13219
																																																			/
																																																			BgL_auxz00_31724);
																																																}}
																																																{	/* Eval/evaluate.scm 1263 */
																																																	long
																																																		BgL_restz00_13222;
																																																	{	/* Eval/evaluate.scm 1263 */
																																																		int
																																																			BgL_arg6931z00_13223;
																																																		BgL_arg6931z00_13223
																																																			=
																																																			(int)
																																																			(
																																																			((long) 16));
																																																		{	/* Eval/evaluate.scm 1263 */
																																																			long
																																																				BgL_auxz00_31728;
																																																			BgL_auxz00_31728
																																																				=
																																																				(long)
																																																				(BgL_arg6931z00_13223);
																																																			BgL_restz00_13222
																																																				=
																																																				(BgL_offsetz00_13219
																																																				%
																																																				BgL_auxz00_31728);
																																																	}}
																																																	{	/* Eval/evaluate.scm 1263 */

																																																		BgL_method3374z00_13212
																																																			=
																																																			VECTOR_REF
																																																			(VECTOR_REF
																																																			(BgL_arrayz00_13217,
																																																				(int)
																																																				(BgL_modz00_13220)),
																																																			(int)
																																																			(BgL_restz00_13222));
																																										}}}}}}}}
																																										BgL_a1z00_3314
																																											=
																																											PROCEDURE_ENTRY
																																											(BgL_method3374z00_13212)
																																											(BgL_method3374z00_13212,
																																											(obj_t)
																																											(BgL_ez00_13210),
																																											BgL_stkz00_326,
																																											BEOA);
																																								}}
																																								{	/* Eval/evaluate.scm 1263 */
																																									BgL_ev_exprz00_bglt
																																										BgL_ez00_13237;
																																									BgL_ez00_13237
																																										=
																																										(BgL_ev_exprz00_bglt)
																																										(BgL_a2z00_3196);
																																									{	/* Eval/evaluate.scm 1263 */
																																										obj_t
																																											BgL_method3374z00_13239;
																																										{	/* Eval/evaluate.scm 1263 */
																																											BgL_objectz00_bglt
																																												BgL_objz00_13240;
																																											BgL_objz00_13240
																																												=
																																												(BgL_objectz00_bglt)
																																												(BgL_ez00_13237);
																																											{	/* Eval/evaluate.scm 1263 */
																																												long
																																													BgL_objzd2classzd2numz00_13241;
																																												BgL_objzd2classzd2numz00_13241
																																													=
																																													BGL_OBJECT_CLASS_NUM
																																													(BgL_objz00_13240);
																																												{	/* Eval/evaluate.scm 1263 */
																																													obj_t
																																														BgL_arg6930z00_13242;
																																													BgL_arg6930z00_13242
																																														=
																																														PROCEDURE_REF
																																														(BGl_compzd2envzd2zz__evaluatez00,
																																														(int)
																																														(((long) 1)));
																																													{	/* Eval/evaluate.scm 1263 */
																																														obj_t
																																															BgL_arrayz00_13244;
																																														int
																																															BgL_offsetz00_13245;
																																														BgL_arrayz00_13244
																																															=
																																															BgL_arg6930z00_13242;
																																														BgL_offsetz00_13245
																																															=
																																															(int)
																																															(BgL_objzd2classzd2numz00_13241);
																																														{	/* Eval/evaluate.scm 1263 */
																																															long
																																																BgL_offsetz00_13246;
																																															BgL_offsetz00_13246
																																																=
																																																(
																																																(long)
																																																(BgL_offsetz00_13245)
																																																-
																																																OBJECT_TYPE);
																																															{	/* Eval/evaluate.scm 1263 */
																																																long
																																																	BgL_modz00_13247;
																																																{	/* Eval/evaluate.scm 1263 */
																																																	int
																																																		BgL_arg6932z00_13248;
																																																	BgL_arg6932z00_13248
																																																		=
																																																		(int)
																																																		(
																																																		((long) 16));
																																																	{	/* Eval/evaluate.scm 1263 */
																																																		long
																																																			BgL_auxz00_31747;
																																																		BgL_auxz00_31747
																																																			=
																																																			(long)
																																																			(BgL_arg6932z00_13248);
																																																		BgL_modz00_13247
																																																			=
																																																			(BgL_offsetz00_13246
																																																			/
																																																			BgL_auxz00_31747);
																																																}}
																																																{	/* Eval/evaluate.scm 1263 */
																																																	long
																																																		BgL_restz00_13249;
																																																	{	/* Eval/evaluate.scm 1263 */
																																																		int
																																																			BgL_arg6931z00_13250;
																																																		BgL_arg6931z00_13250
																																																			=
																																																			(int)
																																																			(
																																																			((long) 16));
																																																		{	/* Eval/evaluate.scm 1263 */
																																																			long
																																																				BgL_auxz00_31751;
																																																			BgL_auxz00_31751
																																																				=
																																																				(long)
																																																				(BgL_arg6931z00_13250);
																																																			BgL_restz00_13249
																																																				=
																																																				(BgL_offsetz00_13246
																																																				%
																																																				BgL_auxz00_31751);
																																																	}}
																																																	{	/* Eval/evaluate.scm 1263 */

																																																		BgL_method3374z00_13239
																																																			=
																																																			VECTOR_REF
																																																			(VECTOR_REF
																																																			(BgL_arrayz00_13244,
																																																				(int)
																																																				(BgL_modz00_13247)),
																																																			(int)
																																																			(BgL_restz00_13249));
																																										}}}}}}}}
																																										BgL_a2z00_3315
																																											=
																																											PROCEDURE_ENTRY
																																											(BgL_method3374z00_13239)
																																											(BgL_method3374z00_13239,
																																											(obj_t)
																																											(BgL_ez00_13237),
																																											BgL_stkz00_326,
																																											BEOA);
																																								}}
																																								{	/* Eval/evaluate.scm 1263 */
																																									obj_t
																																										BgL_zc3anonymousza34709ze3z83_24115;
																																									BgL_zc3anonymousza34709ze3z83_24115
																																										=
																																										make_fx_procedure
																																										(BGl_zc3anonymousza34709ze3z83zz__evaluatez00,
																																										(int)
																																										(((long) 1)), (int) (((long) 2)));
																																									PROCEDURE_SET
																																										(BgL_zc3anonymousza34709ze3z83_24115,
																																										(int)
																																										(((long) 0)), BgL_a1z00_3314);
																																									PROCEDURE_SET
																																										(BgL_zc3anonymousza34709ze3z83_24115,
																																										(int)
																																										(((long) 1)), BgL_a2z00_3315);
																																									return
																																										BgL_zc3anonymousza34709ze3z83_24115;
																																								}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 1263 */
																																								if ((BgL_valz00_3191 == BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
																																									{	/* Eval/evaluate.scm 1263 */
																																										obj_t
																																											BgL_a1z00_3324;
																																										obj_t
																																											BgL_a2z00_3325;
																																										{	/* Eval/evaluate.scm 1263 */
																																											BgL_ev_exprz00_bglt
																																												BgL_ez00_13272;
																																											BgL_ez00_13272
																																												=
																																												(BgL_ev_exprz00_bglt)
																																												(BgL_a1z00_3195);
																																											{	/* Eval/evaluate.scm 1263 */
																																												obj_t
																																													BgL_method3374z00_13274;
																																												{	/* Eval/evaluate.scm 1263 */
																																													BgL_objectz00_bglt
																																														BgL_objz00_13275;
																																													BgL_objz00_13275
																																														=
																																														(BgL_objectz00_bglt)
																																														(BgL_ez00_13272);
																																													{	/* Eval/evaluate.scm 1263 */
																																														long
																																															BgL_objzd2classzd2numz00_13276;
																																														BgL_objzd2classzd2numz00_13276
																																															=
																																															BGL_OBJECT_CLASS_NUM
																																															(BgL_objz00_13275);
																																														{	/* Eval/evaluate.scm 1263 */
																																															obj_t
																																																BgL_arg6930z00_13277;
																																															BgL_arg6930z00_13277
																																																=
																																																PROCEDURE_REF
																																																(BGl_compzd2envzd2zz__evaluatez00,
																																																(int)
																																																(((long) 1)));
																																															{	/* Eval/evaluate.scm 1263 */
																																																obj_t
																																																	BgL_arrayz00_13279;
																																																int
																																																	BgL_offsetz00_13280;
																																																BgL_arrayz00_13279
																																																	=
																																																	BgL_arg6930z00_13277;
																																																BgL_offsetz00_13280
																																																	=
																																																	(int)
																																																	(BgL_objzd2classzd2numz00_13276);
																																																{	/* Eval/evaluate.scm 1263 */
																																																	long
																																																		BgL_offsetz00_13281;
																																																	BgL_offsetz00_13281
																																																		=
																																																		(
																																																		(long)
																																																		(BgL_offsetz00_13280)
																																																		-
																																																		OBJECT_TYPE);
																																																	{	/* Eval/evaluate.scm 1263 */
																																																		long
																																																			BgL_modz00_13282;
																																																		{	/* Eval/evaluate.scm 1263 */
																																																			int
																																																				BgL_arg6932z00_13283;
																																																			BgL_arg6932z00_13283
																																																				=
																																																				(int)
																																																				(
																																																				((long) 16));
																																																			{	/* Eval/evaluate.scm 1263 */
																																																				long
																																																					BgL_auxz00_31779;
																																																				BgL_auxz00_31779
																																																					=
																																																					(long)
																																																					(BgL_arg6932z00_13283);
																																																				BgL_modz00_13282
																																																					=
																																																					(BgL_offsetz00_13281
																																																					/
																																																					BgL_auxz00_31779);
																																																		}}
																																																		{	/* Eval/evaluate.scm 1263 */
																																																			long
																																																				BgL_restz00_13284;
																																																			{	/* Eval/evaluate.scm 1263 */
																																																				int
																																																					BgL_arg6931z00_13285;
																																																				BgL_arg6931z00_13285
																																																					=
																																																					(int)
																																																					(
																																																					((long) 16));
																																																				{	/* Eval/evaluate.scm 1263 */
																																																					long
																																																						BgL_auxz00_31783;
																																																					BgL_auxz00_31783
																																																						=
																																																						(long)
																																																						(BgL_arg6931z00_13285);
																																																					BgL_restz00_13284
																																																						=
																																																						(BgL_offsetz00_13281
																																																						%
																																																						BgL_auxz00_31783);
																																																			}}
																																																			{	/* Eval/evaluate.scm 1263 */

																																																				BgL_method3374z00_13274
																																																					=
																																																					VECTOR_REF
																																																					(VECTOR_REF
																																																					(BgL_arrayz00_13279,
																																																						(int)
																																																						(BgL_modz00_13282)),
																																																					(int)
																																																					(BgL_restz00_13284));
																																												}}}}}}}}
																																												BgL_a1z00_3324
																																													=
																																													PROCEDURE_ENTRY
																																													(BgL_method3374z00_13274)
																																													(BgL_method3374z00_13274,
																																													(obj_t)
																																													(BgL_ez00_13272),
																																													BgL_stkz00_326,
																																													BEOA);
																																										}}
																																										{	/* Eval/evaluate.scm 1263 */
																																											BgL_ev_exprz00_bglt
																																												BgL_ez00_13299;
																																											BgL_ez00_13299
																																												=
																																												(BgL_ev_exprz00_bglt)
																																												(BgL_a2z00_3196);
																																											{	/* Eval/evaluate.scm 1263 */
																																												obj_t
																																													BgL_method3374z00_13301;
																																												{	/* Eval/evaluate.scm 1263 */
																																													BgL_objectz00_bglt
																																														BgL_objz00_13302;
																																													BgL_objz00_13302
																																														=
																																														(BgL_objectz00_bglt)
																																														(BgL_ez00_13299);
																																													{	/* Eval/evaluate.scm 1263 */
																																														long
																																															BgL_objzd2classzd2numz00_13303;
																																														BgL_objzd2classzd2numz00_13303
																																															=
																																															BGL_OBJECT_CLASS_NUM
																																															(BgL_objz00_13302);
																																														{	/* Eval/evaluate.scm 1263 */
																																															obj_t
																																																BgL_arg6930z00_13304;
																																															BgL_arg6930z00_13304
																																																=
																																																PROCEDURE_REF
																																																(BGl_compzd2envzd2zz__evaluatez00,
																																																(int)
																																																(((long) 1)));
																																															{	/* Eval/evaluate.scm 1263 */
																																																obj_t
																																																	BgL_arrayz00_13306;
																																																int
																																																	BgL_offsetz00_13307;
																																																BgL_arrayz00_13306
																																																	=
																																																	BgL_arg6930z00_13304;
																																																BgL_offsetz00_13307
																																																	=
																																																	(int)
																																																	(BgL_objzd2classzd2numz00_13303);
																																																{	/* Eval/evaluate.scm 1263 */
																																																	long
																																																		BgL_offsetz00_13308;
																																																	BgL_offsetz00_13308
																																																		=
																																																		(
																																																		(long)
																																																		(BgL_offsetz00_13307)
																																																		-
																																																		OBJECT_TYPE);
																																																	{	/* Eval/evaluate.scm 1263 */
																																																		long
																																																			BgL_modz00_13309;
																																																		{	/* Eval/evaluate.scm 1263 */
																																																			int
																																																				BgL_arg6932z00_13310;
																																																			BgL_arg6932z00_13310
																																																				=
																																																				(int)
																																																				(
																																																				((long) 16));
																																																			{	/* Eval/evaluate.scm 1263 */
																																																				long
																																																					BgL_auxz00_31802;
																																																				BgL_auxz00_31802
																																																					=
																																																					(long)
																																																					(BgL_arg6932z00_13310);
																																																				BgL_modz00_13309
																																																					=
																																																					(BgL_offsetz00_13308
																																																					/
																																																					BgL_auxz00_31802);
																																																		}}
																																																		{	/* Eval/evaluate.scm 1263 */
																																																			long
																																																				BgL_restz00_13311;
																																																			{	/* Eval/evaluate.scm 1263 */
																																																				int
																																																					BgL_arg6931z00_13312;
																																																				BgL_arg6931z00_13312
																																																					=
																																																					(int)
																																																					(
																																																					((long) 16));
																																																				{	/* Eval/evaluate.scm 1263 */
																																																					long
																																																						BgL_auxz00_31806;
																																																					BgL_auxz00_31806
																																																						=
																																																						(long)
																																																						(BgL_arg6931z00_13312);
																																																					BgL_restz00_13311
																																																						=
																																																						(BgL_offsetz00_13308
																																																						%
																																																						BgL_auxz00_31806);
																																																			}}
																																																			{	/* Eval/evaluate.scm 1263 */

																																																				BgL_method3374z00_13301
																																																					=
																																																					VECTOR_REF
																																																					(VECTOR_REF
																																																					(BgL_arrayz00_13306,
																																																						(int)
																																																						(BgL_modz00_13309)),
																																																					(int)
																																																					(BgL_restz00_13311));
																																												}}}}}}}}
																																												BgL_a2z00_3325
																																													=
																																													PROCEDURE_ENTRY
																																													(BgL_method3374z00_13301)
																																													(BgL_method3374z00_13301,
																																													(obj_t)
																																													(BgL_ez00_13299),
																																													BgL_stkz00_326,
																																													BEOA);
																																										}}
																																										{	/* Eval/evaluate.scm 1263 */
																																											obj_t
																																												BgL_zc3anonymousza34713ze3z83_24116;
																																											BgL_zc3anonymousza34713ze3z83_24116
																																												=
																																												make_fx_procedure
																																												(BGl_zc3anonymousza34713ze3z83zz__evaluatez00,
																																												(int)
																																												(((long) 1)), (int) (((long) 2)));
																																											PROCEDURE_SET
																																												(BgL_zc3anonymousza34713ze3z83_24116,
																																												(int)
																																												(((long) 0)), BgL_a1z00_3324);
																																											PROCEDURE_SET
																																												(BgL_zc3anonymousza34713ze3z83_24116,
																																												(int)
																																												(((long) 1)), BgL_a2z00_3325);
																																											return
																																												BgL_zc3anonymousza34713ze3z83_24116;
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 1263 */
																																										if ((BgL_valz00_3191 == BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
																																											{	/* Eval/evaluate.scm 1263 */
																																												obj_t
																																													BgL_a1z00_3334;
																																												obj_t
																																													BgL_a2z00_3335;
																																												{	/* Eval/evaluate.scm 1263 */
																																													BgL_ev_exprz00_bglt
																																														BgL_ez00_13334;
																																													BgL_ez00_13334
																																														=
																																														(BgL_ev_exprz00_bglt)
																																														(BgL_a1z00_3195);
																																													{	/* Eval/evaluate.scm 1263 */
																																														obj_t
																																															BgL_method3374z00_13336;
																																														{	/* Eval/evaluate.scm 1263 */
																																															BgL_objectz00_bglt
																																																BgL_objz00_13337;
																																															BgL_objz00_13337
																																																=
																																																(BgL_objectz00_bglt)
																																																(BgL_ez00_13334);
																																															{	/* Eval/evaluate.scm 1263 */
																																																long
																																																	BgL_objzd2classzd2numz00_13338;
																																																BgL_objzd2classzd2numz00_13338
																																																	=
																																																	BGL_OBJECT_CLASS_NUM
																																																	(BgL_objz00_13337);
																																																{	/* Eval/evaluate.scm 1263 */
																																																	obj_t
																																																		BgL_arg6930z00_13339;
																																																	BgL_arg6930z00_13339
																																																		=
																																																		PROCEDURE_REF
																																																		(BGl_compzd2envzd2zz__evaluatez00,
																																																		(int)
																																																		(((long) 1)));
																																																	{	/* Eval/evaluate.scm 1263 */
																																																		obj_t
																																																			BgL_arrayz00_13341;
																																																		int
																																																			BgL_offsetz00_13342;
																																																		BgL_arrayz00_13341
																																																			=
																																																			BgL_arg6930z00_13339;
																																																		BgL_offsetz00_13342
																																																			=
																																																			(int)
																																																			(BgL_objzd2classzd2numz00_13338);
																																																		{	/* Eval/evaluate.scm 1263 */
																																																			long
																																																				BgL_offsetz00_13343;
																																																			BgL_offsetz00_13343
																																																				=
																																																				(
																																																				(long)
																																																				(BgL_offsetz00_13342)
																																																				-
																																																				OBJECT_TYPE);
																																																			{	/* Eval/evaluate.scm 1263 */
																																																				long
																																																					BgL_modz00_13344;
																																																				{	/* Eval/evaluate.scm 1263 */
																																																					int
																																																						BgL_arg6932z00_13345;
																																																					BgL_arg6932z00_13345
																																																						=
																																																						(int)
																																																						(
																																																						((long) 16));
																																																					{	/* Eval/evaluate.scm 1263 */
																																																						long
																																																							BgL_auxz00_31834;
																																																						BgL_auxz00_31834
																																																							=
																																																							(long)
																																																							(BgL_arg6932z00_13345);
																																																						BgL_modz00_13344
																																																							=
																																																							(BgL_offsetz00_13343
																																																							/
																																																							BgL_auxz00_31834);
																																																				}}
																																																				{	/* Eval/evaluate.scm 1263 */
																																																					long
																																																						BgL_restz00_13346;
																																																					{	/* Eval/evaluate.scm 1263 */
																																																						int
																																																							BgL_arg6931z00_13347;
																																																						BgL_arg6931z00_13347
																																																							=
																																																							(int)
																																																							(
																																																							((long) 16));
																																																						{	/* Eval/evaluate.scm 1263 */
																																																							long
																																																								BgL_auxz00_31838;
																																																							BgL_auxz00_31838
																																																								=
																																																								(long)
																																																								(BgL_arg6931z00_13347);
																																																							BgL_restz00_13346
																																																								=
																																																								(BgL_offsetz00_13343
																																																								%
																																																								BgL_auxz00_31838);
																																																					}}
																																																					{	/* Eval/evaluate.scm 1263 */

																																																						BgL_method3374z00_13336
																																																							=
																																																							VECTOR_REF
																																																							(VECTOR_REF
																																																							(BgL_arrayz00_13341,
																																																								(int)
																																																								(BgL_modz00_13344)),
																																																							(int)
																																																							(BgL_restz00_13346));
																																														}}}}}}}}
																																														BgL_a1z00_3334
																																															=
																																															PROCEDURE_ENTRY
																																															(BgL_method3374z00_13336)
																																															(BgL_method3374z00_13336,
																																															(obj_t)
																																															(BgL_ez00_13334),
																																															BgL_stkz00_326,
																																															BEOA);
																																												}}
																																												{	/* Eval/evaluate.scm 1263 */
																																													BgL_ev_exprz00_bglt
																																														BgL_ez00_13361;
																																													BgL_ez00_13361
																																														=
																																														(BgL_ev_exprz00_bglt)
																																														(BgL_a2z00_3196);
																																													{	/* Eval/evaluate.scm 1263 */
																																														obj_t
																																															BgL_method3374z00_13363;
																																														{	/* Eval/evaluate.scm 1263 */
																																															BgL_objectz00_bglt
																																																BgL_objz00_13364;
																																															BgL_objz00_13364
																																																=
																																																(BgL_objectz00_bglt)
																																																(BgL_ez00_13361);
																																															{	/* Eval/evaluate.scm 1263 */
																																																long
																																																	BgL_objzd2classzd2numz00_13365;
																																																BgL_objzd2classzd2numz00_13365
																																																	=
																																																	BGL_OBJECT_CLASS_NUM
																																																	(BgL_objz00_13364);
																																																{	/* Eval/evaluate.scm 1263 */
																																																	obj_t
																																																		BgL_arg6930z00_13366;
																																																	BgL_arg6930z00_13366
																																																		=
																																																		PROCEDURE_REF
																																																		(BGl_compzd2envzd2zz__evaluatez00,
																																																		(int)
																																																		(((long) 1)));
																																																	{	/* Eval/evaluate.scm 1263 */
																																																		obj_t
																																																			BgL_arrayz00_13368;
																																																		int
																																																			BgL_offsetz00_13369;
																																																		BgL_arrayz00_13368
																																																			=
																																																			BgL_arg6930z00_13366;
																																																		BgL_offsetz00_13369
																																																			=
																																																			(int)
																																																			(BgL_objzd2classzd2numz00_13365);
																																																		{	/* Eval/evaluate.scm 1263 */
																																																			long
																																																				BgL_offsetz00_13370;
																																																			BgL_offsetz00_13370
																																																				=
																																																				(
																																																				(long)
																																																				(BgL_offsetz00_13369)
																																																				-
																																																				OBJECT_TYPE);
																																																			{	/* Eval/evaluate.scm 1263 */
																																																				long
																																																					BgL_modz00_13371;
																																																				{	/* Eval/evaluate.scm 1263 */
																																																					int
																																																						BgL_arg6932z00_13372;
																																																					BgL_arg6932z00_13372
																																																						=
																																																						(int)
																																																						(
																																																						((long) 16));
																																																					{	/* Eval/evaluate.scm 1263 */
																																																						long
																																																							BgL_auxz00_31857;
																																																						BgL_auxz00_31857
																																																							=
																																																							(long)
																																																							(BgL_arg6932z00_13372);
																																																						BgL_modz00_13371
																																																							=
																																																							(BgL_offsetz00_13370
																																																							/
																																																							BgL_auxz00_31857);
																																																				}}
																																																				{	/* Eval/evaluate.scm 1263 */
																																																					long
																																																						BgL_restz00_13373;
																																																					{	/* Eval/evaluate.scm 1263 */
																																																						int
																																																							BgL_arg6931z00_13374;
																																																						BgL_arg6931z00_13374
																																																							=
																																																							(int)
																																																							(
																																																							((long) 16));
																																																						{	/* Eval/evaluate.scm 1263 */
																																																							long
																																																								BgL_auxz00_31861;
																																																							BgL_auxz00_31861
																																																								=
																																																								(long)
																																																								(BgL_arg6931z00_13374);
																																																							BgL_restz00_13373
																																																								=
																																																								(BgL_offsetz00_13370
																																																								%
																																																								BgL_auxz00_31861);
																																																					}}
																																																					{	/* Eval/evaluate.scm 1263 */

																																																						BgL_method3374z00_13363
																																																							=
																																																							VECTOR_REF
																																																							(VECTOR_REF
																																																							(BgL_arrayz00_13368,
																																																								(int)
																																																								(BgL_modz00_13371)),
																																																							(int)
																																																							(BgL_restz00_13373));
																																														}}}}}}}}
																																														BgL_a2z00_3335
																																															=
																																															PROCEDURE_ENTRY
																																															(BgL_method3374z00_13363)
																																															(BgL_method3374z00_13363,
																																															(obj_t)
																																															(BgL_ez00_13361),
																																															BgL_stkz00_326,
																																															BEOA);
																																												}}
																																												{	/* Eval/evaluate.scm 1263 */
																																													obj_t
																																														BgL_zc3anonymousza34717ze3z83_24117;
																																													BgL_zc3anonymousza34717ze3z83_24117
																																														=
																																														make_fx_procedure
																																														(BGl_zc3anonymousza34717ze3z83zz__evaluatez00,
																																														(int)
																																														(((long) 1)), (int) (((long) 2)));
																																													PROCEDURE_SET
																																														(BgL_zc3anonymousza34717ze3z83_24117,
																																														(int)
																																														(((long) 0)), BgL_a1z00_3334);
																																													PROCEDURE_SET
																																														(BgL_zc3anonymousza34717ze3z83_24117,
																																														(int)
																																														(((long) 1)), BgL_a2z00_3335);
																																													return
																																														BgL_zc3anonymousza34717ze3z83_24117;
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 1263 */
																																												if ((BgL_valz00_3191 == BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
																																													{	/* Eval/evaluate.scm 1263 */
																																														obj_t
																																															BgL_a1z00_3344;
																																														obj_t
																																															BgL_a2z00_3345;
																																														{	/* Eval/evaluate.scm 1263 */
																																															BgL_ev_exprz00_bglt
																																																BgL_ez00_13396;
																																															BgL_ez00_13396
																																																=
																																																(BgL_ev_exprz00_bglt)
																																																(BgL_a1z00_3195);
																																															{	/* Eval/evaluate.scm 1263 */
																																																obj_t
																																																	BgL_method3374z00_13398;
																																																{	/* Eval/evaluate.scm 1263 */
																																																	BgL_objectz00_bglt
																																																		BgL_objz00_13399;
																																																	BgL_objz00_13399
																																																		=
																																																		(BgL_objectz00_bglt)
																																																		(BgL_ez00_13396);
																																																	{	/* Eval/evaluate.scm 1263 */
																																																		long
																																																			BgL_objzd2classzd2numz00_13400;
																																																		BgL_objzd2classzd2numz00_13400
																																																			=
																																																			BGL_OBJECT_CLASS_NUM
																																																			(BgL_objz00_13399);
																																																		{	/* Eval/evaluate.scm 1263 */
																																																			obj_t
																																																				BgL_arg6930z00_13401;
																																																			BgL_arg6930z00_13401
																																																				=
																																																				PROCEDURE_REF
																																																				(BGl_compzd2envzd2zz__evaluatez00,
																																																				(int)
																																																				(((long) 1)));
																																																			{	/* Eval/evaluate.scm 1263 */
																																																				obj_t
																																																					BgL_arrayz00_13403;
																																																				int
																																																					BgL_offsetz00_13404;
																																																				BgL_arrayz00_13403
																																																					=
																																																					BgL_arg6930z00_13401;
																																																				BgL_offsetz00_13404
																																																					=
																																																					(int)
																																																					(BgL_objzd2classzd2numz00_13400);
																																																				{	/* Eval/evaluate.scm 1263 */
																																																					long
																																																						BgL_offsetz00_13405;
																																																					BgL_offsetz00_13405
																																																						=
																																																						(
																																																						(long)
																																																						(BgL_offsetz00_13404)
																																																						-
																																																						OBJECT_TYPE);
																																																					{	/* Eval/evaluate.scm 1263 */
																																																						long
																																																							BgL_modz00_13406;
																																																						{	/* Eval/evaluate.scm 1263 */
																																																							int
																																																								BgL_arg6932z00_13407;
																																																							BgL_arg6932z00_13407
																																																								=
																																																								(int)
																																																								(
																																																								((long) 16));
																																																							{	/* Eval/evaluate.scm 1263 */
																																																								long
																																																									BgL_auxz00_31889;
																																																								BgL_auxz00_31889
																																																									=
																																																									(long)
																																																									(BgL_arg6932z00_13407);
																																																								BgL_modz00_13406
																																																									=
																																																									(BgL_offsetz00_13405
																																																									/
																																																									BgL_auxz00_31889);
																																																						}}
																																																						{	/* Eval/evaluate.scm 1263 */
																																																							long
																																																								BgL_restz00_13408;
																																																							{	/* Eval/evaluate.scm 1263 */
																																																								int
																																																									BgL_arg6931z00_13409;
																																																								BgL_arg6931z00_13409
																																																									=
																																																									(int)
																																																									(
																																																									((long) 16));
																																																								{	/* Eval/evaluate.scm 1263 */
																																																									long
																																																										BgL_auxz00_31893;
																																																									BgL_auxz00_31893
																																																										=
																																																										(long)
																																																										(BgL_arg6931z00_13409);
																																																									BgL_restz00_13408
																																																										=
																																																										(BgL_offsetz00_13405
																																																										%
																																																										BgL_auxz00_31893);
																																																							}}
																																																							{	/* Eval/evaluate.scm 1263 */

																																																								BgL_method3374z00_13398
																																																									=
																																																									VECTOR_REF
																																																									(VECTOR_REF
																																																									(BgL_arrayz00_13403,
																																																										(int)
																																																										(BgL_modz00_13406)),
																																																									(int)
																																																									(BgL_restz00_13408));
																																																}}}}}}}}
																																																BgL_a1z00_3344
																																																	=
																																																	PROCEDURE_ENTRY
																																																	(BgL_method3374z00_13398)
																																																	(BgL_method3374z00_13398,
																																																	(obj_t)
																																																	(BgL_ez00_13396),
																																																	BgL_stkz00_326,
																																																	BEOA);
																																														}}
																																														{	/* Eval/evaluate.scm 1263 */
																																															BgL_ev_exprz00_bglt
																																																BgL_ez00_13423;
																																															BgL_ez00_13423
																																																=
																																																(BgL_ev_exprz00_bglt)
																																																(BgL_a2z00_3196);
																																															{	/* Eval/evaluate.scm 1263 */
																																																obj_t
																																																	BgL_method3374z00_13425;
																																																{	/* Eval/evaluate.scm 1263 */
																																																	BgL_objectz00_bglt
																																																		BgL_objz00_13426;
																																																	BgL_objz00_13426
																																																		=
																																																		(BgL_objectz00_bglt)
																																																		(BgL_ez00_13423);
																																																	{	/* Eval/evaluate.scm 1263 */
																																																		long
																																																			BgL_objzd2classzd2numz00_13427;
																																																		BgL_objzd2classzd2numz00_13427
																																																			=
																																																			BGL_OBJECT_CLASS_NUM
																																																			(BgL_objz00_13426);
																																																		{	/* Eval/evaluate.scm 1263 */
																																																			obj_t
																																																				BgL_arg6930z00_13428;
																																																			BgL_arg6930z00_13428
																																																				=
																																																				PROCEDURE_REF
																																																				(BGl_compzd2envzd2zz__evaluatez00,
																																																				(int)
																																																				(((long) 1)));
																																																			{	/* Eval/evaluate.scm 1263 */
																																																				obj_t
																																																					BgL_arrayz00_13430;
																																																				int
																																																					BgL_offsetz00_13431;
																																																				BgL_arrayz00_13430
																																																					=
																																																					BgL_arg6930z00_13428;
																																																				BgL_offsetz00_13431
																																																					=
																																																					(int)
																																																					(BgL_objzd2classzd2numz00_13427);
																																																				{	/* Eval/evaluate.scm 1263 */
																																																					long
																																																						BgL_offsetz00_13432;
																																																					BgL_offsetz00_13432
																																																						=
																																																						(
																																																						(long)
																																																						(BgL_offsetz00_13431)
																																																						-
																																																						OBJECT_TYPE);
																																																					{	/* Eval/evaluate.scm 1263 */
																																																						long
																																																							BgL_modz00_13433;
																																																						{	/* Eval/evaluate.scm 1263 */
																																																							int
																																																								BgL_arg6932z00_13434;
																																																							BgL_arg6932z00_13434
																																																								=
																																																								(int)
																																																								(
																																																								((long) 16));
																																																							{	/* Eval/evaluate.scm 1263 */
																																																								long
																																																									BgL_auxz00_31912;
																																																								BgL_auxz00_31912
																																																									=
																																																									(long)
																																																									(BgL_arg6932z00_13434);
																																																								BgL_modz00_13433
																																																									=
																																																									(BgL_offsetz00_13432
																																																									/
																																																									BgL_auxz00_31912);
																																																						}}
																																																						{	/* Eval/evaluate.scm 1263 */
																																																							long
																																																								BgL_restz00_13435;
																																																							{	/* Eval/evaluate.scm 1263 */
																																																								int
																																																									BgL_arg6931z00_13436;
																																																								BgL_arg6931z00_13436
																																																									=
																																																									(int)
																																																									(
																																																									((long) 16));
																																																								{	/* Eval/evaluate.scm 1263 */
																																																									long
																																																										BgL_auxz00_31916;
																																																									BgL_auxz00_31916
																																																										=
																																																										(long)
																																																										(BgL_arg6931z00_13436);
																																																									BgL_restz00_13435
																																																										=
																																																										(BgL_offsetz00_13432
																																																										%
																																																										BgL_auxz00_31916);
																																																							}}
																																																							{	/* Eval/evaluate.scm 1263 */

																																																								BgL_method3374z00_13425
																																																									=
																																																									VECTOR_REF
																																																									(VECTOR_REF
																																																									(BgL_arrayz00_13430,
																																																										(int)
																																																										(BgL_modz00_13433)),
																																																									(int)
																																																									(BgL_restz00_13435));
																																																}}}}}}}}
																																																BgL_a2z00_3345
																																																	=
																																																	PROCEDURE_ENTRY
																																																	(BgL_method3374z00_13425)
																																																	(BgL_method3374z00_13425,
																																																	(obj_t)
																																																	(BgL_ez00_13423),
																																																	BgL_stkz00_326,
																																																	BEOA);
																																														}}
																																														{	/* Eval/evaluate.scm 1263 */
																																															obj_t
																																																BgL_zc3anonymousza34721ze3z83_24118;
																																															BgL_zc3anonymousza34721ze3z83_24118
																																																=
																																																make_fx_procedure
																																																(BGl_zc3anonymousza34721ze3z83zz__evaluatez00,
																																																(int)
																																																(((long) 1)), (int) (((long) 2)));
																																															PROCEDURE_SET
																																																(BgL_zc3anonymousza34721ze3z83_24118,
																																																(int)
																																																(((long) 0)), BgL_a1z00_3344);
																																															PROCEDURE_SET
																																																(BgL_zc3anonymousza34721ze3z83_24118,
																																																(int)
																																																(((long) 1)), BgL_a2z00_3345);
																																															return
																																																BgL_zc3anonymousza34721ze3z83_24118;
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 1263 */
																																														if ((BgL_valz00_3191 == BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
																																															{	/* Eval/evaluate.scm 1263 */
																																																obj_t
																																																	BgL_a1z00_3354;
																																																obj_t
																																																	BgL_a2z00_3355;
																																																{	/* Eval/evaluate.scm 1263 */
																																																	BgL_ev_exprz00_bglt
																																																		BgL_ez00_13458;
																																																	BgL_ez00_13458
																																																		=
																																																		(BgL_ev_exprz00_bglt)
																																																		(BgL_a1z00_3195);
																																																	{	/* Eval/evaluate.scm 1263 */
																																																		obj_t
																																																			BgL_method3374z00_13460;
																																																		{	/* Eval/evaluate.scm 1263 */
																																																			BgL_objectz00_bglt
																																																				BgL_objz00_13461;
																																																			BgL_objz00_13461
																																																				=
																																																				(BgL_objectz00_bglt)
																																																				(BgL_ez00_13458);
																																																			{	/* Eval/evaluate.scm 1263 */
																																																				long
																																																					BgL_objzd2classzd2numz00_13462;
																																																				BgL_objzd2classzd2numz00_13462
																																																					=
																																																					BGL_OBJECT_CLASS_NUM
																																																					(BgL_objz00_13461);
																																																				{	/* Eval/evaluate.scm 1263 */
																																																					obj_t
																																																						BgL_arg6930z00_13463;
																																																					BgL_arg6930z00_13463
																																																						=
																																																						PROCEDURE_REF
																																																						(BGl_compzd2envzd2zz__evaluatez00,
																																																						(int)
																																																						(((long) 1)));
																																																					{	/* Eval/evaluate.scm 1263 */
																																																						obj_t
																																																							BgL_arrayz00_13465;
																																																						int
																																																							BgL_offsetz00_13466;
																																																						BgL_arrayz00_13465
																																																							=
																																																							BgL_arg6930z00_13463;
																																																						BgL_offsetz00_13466
																																																							=
																																																							(int)
																																																							(BgL_objzd2classzd2numz00_13462);
																																																						{	/* Eval/evaluate.scm 1263 */
																																																							long
																																																								BgL_offsetz00_13467;
																																																							BgL_offsetz00_13467
																																																								=
																																																								(
																																																								(long)
																																																								(BgL_offsetz00_13466)
																																																								-
																																																								OBJECT_TYPE);
																																																							{	/* Eval/evaluate.scm 1263 */
																																																								long
																																																									BgL_modz00_13468;
																																																								{	/* Eval/evaluate.scm 1263 */
																																																									int
																																																										BgL_arg6932z00_13469;
																																																									BgL_arg6932z00_13469
																																																										=
																																																										(int)
																																																										(
																																																										((long) 16));
																																																									{	/* Eval/evaluate.scm 1263 */
																																																										long
																																																											BgL_auxz00_31944;
																																																										BgL_auxz00_31944
																																																											=
																																																											(long)
																																																											(BgL_arg6932z00_13469);
																																																										BgL_modz00_13468
																																																											=
																																																											(BgL_offsetz00_13467
																																																											/
																																																											BgL_auxz00_31944);
																																																								}}
																																																								{	/* Eval/evaluate.scm 1263 */
																																																									long
																																																										BgL_restz00_13470;
																																																									{	/* Eval/evaluate.scm 1263 */
																																																										int
																																																											BgL_arg6931z00_13471;
																																																										BgL_arg6931z00_13471
																																																											=
																																																											(int)
																																																											(
																																																											((long) 16));
																																																										{	/* Eval/evaluate.scm 1263 */
																																																											long
																																																												BgL_auxz00_31948;
																																																											BgL_auxz00_31948
																																																												=
																																																												(long)
																																																												(BgL_arg6931z00_13471);
																																																											BgL_restz00_13470
																																																												=
																																																												(BgL_offsetz00_13467
																																																												%
																																																												BgL_auxz00_31948);
																																																									}}
																																																									{	/* Eval/evaluate.scm 1263 */

																																																										BgL_method3374z00_13460
																																																											=
																																																											VECTOR_REF
																																																											(VECTOR_REF
																																																											(BgL_arrayz00_13465,
																																																												(int)
																																																												(BgL_modz00_13468)),
																																																											(int)
																																																											(BgL_restz00_13470));
																																																		}}}}}}}}
																																																		BgL_a1z00_3354
																																																			=
																																																			PROCEDURE_ENTRY
																																																			(BgL_method3374z00_13460)
																																																			(BgL_method3374z00_13460,
																																																			(obj_t)
																																																			(BgL_ez00_13458),
																																																			BgL_stkz00_326,
																																																			BEOA);
																																																}}
																																																{	/* Eval/evaluate.scm 1263 */
																																																	BgL_ev_exprz00_bglt
																																																		BgL_ez00_13485;
																																																	BgL_ez00_13485
																																																		=
																																																		(BgL_ev_exprz00_bglt)
																																																		(BgL_a2z00_3196);
																																																	{	/* Eval/evaluate.scm 1263 */
																																																		obj_t
																																																			BgL_method3374z00_13487;
																																																		{	/* Eval/evaluate.scm 1263 */
																																																			BgL_objectz00_bglt
																																																				BgL_objz00_13488;
																																																			BgL_objz00_13488
																																																				=
																																																				(BgL_objectz00_bglt)
																																																				(BgL_ez00_13485);
																																																			{	/* Eval/evaluate.scm 1263 */
																																																				long
																																																					BgL_objzd2classzd2numz00_13489;
																																																				BgL_objzd2classzd2numz00_13489
																																																					=
																																																					BGL_OBJECT_CLASS_NUM
																																																					(BgL_objz00_13488);
																																																				{	/* Eval/evaluate.scm 1263 */
																																																					obj_t
																																																						BgL_arg6930z00_13490;
																																																					BgL_arg6930z00_13490
																																																						=
																																																						PROCEDURE_REF
																																																						(BGl_compzd2envzd2zz__evaluatez00,
																																																						(int)
																																																						(((long) 1)));
																																																					{	/* Eval/evaluate.scm 1263 */
																																																						obj_t
																																																							BgL_arrayz00_13492;
																																																						int
																																																							BgL_offsetz00_13493;
																																																						BgL_arrayz00_13492
																																																							=
																																																							BgL_arg6930z00_13490;
																																																						BgL_offsetz00_13493
																																																							=
																																																							(int)
																																																							(BgL_objzd2classzd2numz00_13489);
																																																						{	/* Eval/evaluate.scm 1263 */
																																																							long
																																																								BgL_offsetz00_13494;
																																																							BgL_offsetz00_13494
																																																								=
																																																								(
																																																								(long)
																																																								(BgL_offsetz00_13493)
																																																								-
																																																								OBJECT_TYPE);
																																																							{	/* Eval/evaluate.scm 1263 */
																																																								long
																																																									BgL_modz00_13495;
																																																								{	/* Eval/evaluate.scm 1263 */
																																																									int
																																																										BgL_arg6932z00_13496;
																																																									BgL_arg6932z00_13496
																																																										=
																																																										(int)
																																																										(
																																																										((long) 16));
																																																									{	/* Eval/evaluate.scm 1263 */
																																																										long
																																																											BgL_auxz00_31967;
																																																										BgL_auxz00_31967
																																																											=
																																																											(long)
																																																											(BgL_arg6932z00_13496);
																																																										BgL_modz00_13495
																																																											=
																																																											(BgL_offsetz00_13494
																																																											/
																																																											BgL_auxz00_31967);
																																																								}}
																																																								{	/* Eval/evaluate.scm 1263 */
																																																									long
																																																										BgL_restz00_13497;
																																																									{	/* Eval/evaluate.scm 1263 */
																																																										int
																																																											BgL_arg6931z00_13498;
																																																										BgL_arg6931z00_13498
																																																											=
																																																											(int)
																																																											(
																																																											((long) 16));
																																																										{	/* Eval/evaluate.scm 1263 */
																																																											long
																																																												BgL_auxz00_31971;
																																																											BgL_auxz00_31971
																																																												=
																																																												(long)
																																																												(BgL_arg6931z00_13498);
																																																											BgL_restz00_13497
																																																												=
																																																												(BgL_offsetz00_13494
																																																												%
																																																												BgL_auxz00_31971);
																																																									}}
																																																									{	/* Eval/evaluate.scm 1263 */

																																																										BgL_method3374z00_13487
																																																											=
																																																											VECTOR_REF
																																																											(VECTOR_REF
																																																											(BgL_arrayz00_13492,
																																																												(int)
																																																												(BgL_modz00_13495)),
																																																											(int)
																																																											(BgL_restz00_13497));
																																																		}}}}}}}}
																																																		BgL_a2z00_3355
																																																			=
																																																			PROCEDURE_ENTRY
																																																			(BgL_method3374z00_13487)
																																																			(BgL_method3374z00_13487,
																																																			(obj_t)
																																																			(BgL_ez00_13485),
																																																			BgL_stkz00_326,
																																																			BEOA);
																																																}}
																																																{	/* Eval/evaluate.scm 1263 */
																																																	obj_t
																																																		BgL_zc3anonymousza34725ze3z83_24119;
																																																	BgL_zc3anonymousza34725ze3z83_24119
																																																		=
																																																		make_fx_procedure
																																																		(BGl_zc3anonymousza34725ze3z83zz__evaluatez00,
																																																		(int)
																																																		(((long) 1)), (int) (((long) 2)));
																																																	PROCEDURE_SET
																																																		(BgL_zc3anonymousza34725ze3z83_24119,
																																																		(int)
																																																		(((long) 0)), BgL_a1z00_3354);
																																																	PROCEDURE_SET
																																																		(BgL_zc3anonymousza34725ze3z83_24119,
																																																		(int)
																																																		(((long) 1)), BgL_a2z00_3355);
																																																	return
																																																		BgL_zc3anonymousza34725ze3z83_24119;
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 1263 */
																																																if ((BgL_valz00_3191 == BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
																																																	{	/* Eval/evaluate.scm 1263 */
																																																		obj_t
																																																			BgL_a1z00_3364;
																																																		obj_t
																																																			BgL_a2z00_3365;
																																																		{	/* Eval/evaluate.scm 1263 */
																																																			BgL_ev_exprz00_bglt
																																																				BgL_ez00_13520;
																																																			BgL_ez00_13520
																																																				=
																																																				(BgL_ev_exprz00_bglt)
																																																				(BgL_a1z00_3195);
																																																			{	/* Eval/evaluate.scm 1263 */
																																																				obj_t
																																																					BgL_method3374z00_13522;
																																																				{	/* Eval/evaluate.scm 1263 */
																																																					BgL_objectz00_bglt
																																																						BgL_objz00_13523;
																																																					BgL_objz00_13523
																																																						=
																																																						(BgL_objectz00_bglt)
																																																						(BgL_ez00_13520);
																																																					{	/* Eval/evaluate.scm 1263 */
																																																						long
																																																							BgL_objzd2classzd2numz00_13524;
																																																						BgL_objzd2classzd2numz00_13524
																																																							=
																																																							BGL_OBJECT_CLASS_NUM
																																																							(BgL_objz00_13523);
																																																						{	/* Eval/evaluate.scm 1263 */
																																																							obj_t
																																																								BgL_arg6930z00_13525;
																																																							BgL_arg6930z00_13525
																																																								=
																																																								PROCEDURE_REF
																																																								(BGl_compzd2envzd2zz__evaluatez00,
																																																								(int)
																																																								(((long) 1)));
																																																							{	/* Eval/evaluate.scm 1263 */
																																																								obj_t
																																																									BgL_arrayz00_13527;
																																																								int
																																																									BgL_offsetz00_13528;
																																																								BgL_arrayz00_13527
																																																									=
																																																									BgL_arg6930z00_13525;
																																																								BgL_offsetz00_13528
																																																									=
																																																									(int)
																																																									(BgL_objzd2classzd2numz00_13524);
																																																								{	/* Eval/evaluate.scm 1263 */
																																																									long
																																																										BgL_offsetz00_13529;
																																																									BgL_offsetz00_13529
																																																										=
																																																										(
																																																										(long)
																																																										(BgL_offsetz00_13528)
																																																										-
																																																										OBJECT_TYPE);
																																																									{	/* Eval/evaluate.scm 1263 */
																																																										long
																																																											BgL_modz00_13530;
																																																										{	/* Eval/evaluate.scm 1263 */
																																																											int
																																																												BgL_arg6932z00_13531;
																																																											BgL_arg6932z00_13531
																																																												=
																																																												(int)
																																																												(
																																																												((long) 16));
																																																											{	/* Eval/evaluate.scm 1263 */
																																																												long
																																																													BgL_auxz00_31999;
																																																												BgL_auxz00_31999
																																																													=
																																																													(long)
																																																													(BgL_arg6932z00_13531);
																																																												BgL_modz00_13530
																																																													=
																																																													(BgL_offsetz00_13529
																																																													/
																																																													BgL_auxz00_31999);
																																																										}}
																																																										{	/* Eval/evaluate.scm 1263 */
																																																											long
																																																												BgL_restz00_13532;
																																																											{	/* Eval/evaluate.scm 1263 */
																																																												int
																																																													BgL_arg6931z00_13533;
																																																												BgL_arg6931z00_13533
																																																													=
																																																													(int)
																																																													(
																																																													((long) 16));
																																																												{	/* Eval/evaluate.scm 1263 */
																																																													long
																																																														BgL_auxz00_32003;
																																																													BgL_auxz00_32003
																																																														=
																																																														(long)
																																																														(BgL_arg6931z00_13533);
																																																													BgL_restz00_13532
																																																														=
																																																														(BgL_offsetz00_13529
																																																														%
																																																														BgL_auxz00_32003);
																																																											}}
																																																											{	/* Eval/evaluate.scm 1263 */

																																																												BgL_method3374z00_13522
																																																													=
																																																													VECTOR_REF
																																																													(VECTOR_REF
																																																													(BgL_arrayz00_13527,
																																																														(int)
																																																														(BgL_modz00_13530)),
																																																													(int)
																																																													(BgL_restz00_13532));
																																																				}}}}}}}}
																																																				BgL_a1z00_3364
																																																					=
																																																					PROCEDURE_ENTRY
																																																					(BgL_method3374z00_13522)
																																																					(BgL_method3374z00_13522,
																																																					(obj_t)
																																																					(BgL_ez00_13520),
																																																					BgL_stkz00_326,
																																																					BEOA);
																																																		}}
																																																		{	/* Eval/evaluate.scm 1263 */
																																																			BgL_ev_exprz00_bglt
																																																				BgL_ez00_13547;
																																																			BgL_ez00_13547
																																																				=
																																																				(BgL_ev_exprz00_bglt)
																																																				(BgL_a2z00_3196);
																																																			{	/* Eval/evaluate.scm 1263 */
																																																				obj_t
																																																					BgL_method3374z00_13549;
																																																				{	/* Eval/evaluate.scm 1263 */
																																																					BgL_objectz00_bglt
																																																						BgL_objz00_13550;
																																																					BgL_objz00_13550
																																																						=
																																																						(BgL_objectz00_bglt)
																																																						(BgL_ez00_13547);
																																																					{	/* Eval/evaluate.scm 1263 */
																																																						long
																																																							BgL_objzd2classzd2numz00_13551;
																																																						BgL_objzd2classzd2numz00_13551
																																																							=
																																																							BGL_OBJECT_CLASS_NUM
																																																							(BgL_objz00_13550);
																																																						{	/* Eval/evaluate.scm 1263 */
																																																							obj_t
																																																								BgL_arg6930z00_13552;
																																																							BgL_arg6930z00_13552
																																																								=
																																																								PROCEDURE_REF
																																																								(BGl_compzd2envzd2zz__evaluatez00,
																																																								(int)
																																																								(((long) 1)));
																																																							{	/* Eval/evaluate.scm 1263 */
																																																								obj_t
																																																									BgL_arrayz00_13554;
																																																								int
																																																									BgL_offsetz00_13555;
																																																								BgL_arrayz00_13554
																																																									=
																																																									BgL_arg6930z00_13552;
																																																								BgL_offsetz00_13555
																																																									=
																																																									(int)
																																																									(BgL_objzd2classzd2numz00_13551);
																																																								{	/* Eval/evaluate.scm 1263 */
																																																									long
																																																										BgL_offsetz00_13556;
																																																									BgL_offsetz00_13556
																																																										=
																																																										(
																																																										(long)
																																																										(BgL_offsetz00_13555)
																																																										-
																																																										OBJECT_TYPE);
																																																									{	/* Eval/evaluate.scm 1263 */
																																																										long
																																																											BgL_modz00_13557;
																																																										{	/* Eval/evaluate.scm 1263 */
																																																											int
																																																												BgL_arg6932z00_13558;
																																																											BgL_arg6932z00_13558
																																																												=
																																																												(int)
																																																												(
																																																												((long) 16));
																																																											{	/* Eval/evaluate.scm 1263 */
																																																												long
																																																													BgL_auxz00_32022;
																																																												BgL_auxz00_32022
																																																													=
																																																													(long)
																																																													(BgL_arg6932z00_13558);
																																																												BgL_modz00_13557
																																																													=
																																																													(BgL_offsetz00_13556
																																																													/
																																																													BgL_auxz00_32022);
																																																										}}
																																																										{	/* Eval/evaluate.scm 1263 */
																																																											long
																																																												BgL_restz00_13559;
																																																											{	/* Eval/evaluate.scm 1263 */
																																																												int
																																																													BgL_arg6931z00_13560;
																																																												BgL_arg6931z00_13560
																																																													=
																																																													(int)
																																																													(
																																																													((long) 16));
																																																												{	/* Eval/evaluate.scm 1263 */
																																																													long
																																																														BgL_auxz00_32026;
																																																													BgL_auxz00_32026
																																																														=
																																																														(long)
																																																														(BgL_arg6931z00_13560);
																																																													BgL_restz00_13559
																																																														=
																																																														(BgL_offsetz00_13556
																																																														%
																																																														BgL_auxz00_32026);
																																																											}}
																																																											{	/* Eval/evaluate.scm 1263 */

																																																												BgL_method3374z00_13549
																																																													=
																																																													VECTOR_REF
																																																													(VECTOR_REF
																																																													(BgL_arrayz00_13554,
																																																														(int)
																																																														(BgL_modz00_13557)),
																																																													(int)
																																																													(BgL_restz00_13559));
																																																				}}}}}}}}
																																																				BgL_a2z00_3365
																																																					=
																																																					PROCEDURE_ENTRY
																																																					(BgL_method3374z00_13549)
																																																					(BgL_method3374z00_13549,
																																																					(obj_t)
																																																					(BgL_ez00_13547),
																																																					BgL_stkz00_326,
																																																					BEOA);
																																																		}}
																																																		{	/* Eval/evaluate.scm 1263 */
																																																			obj_t
																																																				BgL_zc3anonymousza34729ze3z83_24120;
																																																			BgL_zc3anonymousza34729ze3z83_24120
																																																				=
																																																				make_fx_procedure
																																																				(BGl_zc3anonymousza34729ze3z83zz__evaluatez00,
																																																				(int)
																																																				(((long) 1)), (int) (((long) 2)));
																																																			PROCEDURE_SET
																																																				(BgL_zc3anonymousza34729ze3z83_24120,
																																																				(int)
																																																				(((long) 0)), BgL_a1z00_3364);
																																																			PROCEDURE_SET
																																																				(BgL_zc3anonymousza34729ze3z83_24120,
																																																				(int)
																																																				(((long) 1)), BgL_a2z00_3365);
																																																			return
																																																				BgL_zc3anonymousza34729ze3z83_24120;
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 1263 */
																																																		if ((BgL_valz00_3191 == BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
																																																			{	/* Eval/evaluate.scm 1263 */
																																																				obj_t
																																																					BgL_a1z00_3374;
																																																				obj_t
																																																					BgL_a2z00_3375;
																																																				{	/* Eval/evaluate.scm 1263 */
																																																					BgL_ev_exprz00_bglt
																																																						BgL_ez00_13582;
																																																					BgL_ez00_13582
																																																						=
																																																						(BgL_ev_exprz00_bglt)
																																																						(BgL_a1z00_3195);
																																																					{	/* Eval/evaluate.scm 1263 */
																																																						obj_t
																																																							BgL_method3374z00_13584;
																																																						{	/* Eval/evaluate.scm 1263 */
																																																							BgL_objectz00_bglt
																																																								BgL_objz00_13585;
																																																							BgL_objz00_13585
																																																								=
																																																								(BgL_objectz00_bglt)
																																																								(BgL_ez00_13582);
																																																							{	/* Eval/evaluate.scm 1263 */
																																																								long
																																																									BgL_objzd2classzd2numz00_13586;
																																																								BgL_objzd2classzd2numz00_13586
																																																									=
																																																									BGL_OBJECT_CLASS_NUM
																																																									(BgL_objz00_13585);
																																																								{	/* Eval/evaluate.scm 1263 */
																																																									obj_t
																																																										BgL_arg6930z00_13587;
																																																									BgL_arg6930z00_13587
																																																										=
																																																										PROCEDURE_REF
																																																										(BGl_compzd2envzd2zz__evaluatez00,
																																																										(int)
																																																										(((long) 1)));
																																																									{	/* Eval/evaluate.scm 1263 */
																																																										obj_t
																																																											BgL_arrayz00_13589;
																																																										int
																																																											BgL_offsetz00_13590;
																																																										BgL_arrayz00_13589
																																																											=
																																																											BgL_arg6930z00_13587;
																																																										BgL_offsetz00_13590
																																																											=
																																																											(int)
																																																											(BgL_objzd2classzd2numz00_13586);
																																																										{	/* Eval/evaluate.scm 1263 */
																																																											long
																																																												BgL_offsetz00_13591;
																																																											BgL_offsetz00_13591
																																																												=
																																																												(
																																																												(long)
																																																												(BgL_offsetz00_13590)
																																																												-
																																																												OBJECT_TYPE);
																																																											{	/* Eval/evaluate.scm 1263 */
																																																												long
																																																													BgL_modz00_13592;
																																																												{	/* Eval/evaluate.scm 1263 */
																																																													int
																																																														BgL_arg6932z00_13593;
																																																													BgL_arg6932z00_13593
																																																														=
																																																														(int)
																																																														(
																																																														((long) 16));
																																																													{	/* Eval/evaluate.scm 1263 */
																																																														long
																																																															BgL_auxz00_32054;
																																																														BgL_auxz00_32054
																																																															=
																																																															(long)
																																																															(BgL_arg6932z00_13593);
																																																														BgL_modz00_13592
																																																															=
																																																															(BgL_offsetz00_13591
																																																															/
																																																															BgL_auxz00_32054);
																																																												}}
																																																												{	/* Eval/evaluate.scm 1263 */
																																																													long
																																																														BgL_restz00_13594;
																																																													{	/* Eval/evaluate.scm 1263 */
																																																														int
																																																															BgL_arg6931z00_13595;
																																																														BgL_arg6931z00_13595
																																																															=
																																																															(int)
																																																															(
																																																															((long) 16));
																																																														{	/* Eval/evaluate.scm 1263 */
																																																															long
																																																																BgL_auxz00_32058;
																																																															BgL_auxz00_32058
																																																																=
																																																																(long)
																																																																(BgL_arg6931z00_13595);
																																																															BgL_restz00_13594
																																																																=
																																																																(BgL_offsetz00_13591
																																																																%
																																																																BgL_auxz00_32058);
																																																													}}
																																																													{	/* Eval/evaluate.scm 1263 */

																																																														BgL_method3374z00_13584
																																																															=
																																																															VECTOR_REF
																																																															(VECTOR_REF
																																																															(BgL_arrayz00_13589,
																																																																(int)
																																																																(BgL_modz00_13592)),
																																																															(int)
																																																															(BgL_restz00_13594));
																																																						}}}}}}}}
																																																						BgL_a1z00_3374
																																																							=
																																																							PROCEDURE_ENTRY
																																																							(BgL_method3374z00_13584)
																																																							(BgL_method3374z00_13584,
																																																							(obj_t)
																																																							(BgL_ez00_13582),
																																																							BgL_stkz00_326,
																																																							BEOA);
																																																				}}
																																																				{	/* Eval/evaluate.scm 1263 */
																																																					BgL_ev_exprz00_bglt
																																																						BgL_ez00_13609;
																																																					BgL_ez00_13609
																																																						=
																																																						(BgL_ev_exprz00_bglt)
																																																						(BgL_a2z00_3196);
																																																					{	/* Eval/evaluate.scm 1263 */
																																																						obj_t
																																																							BgL_method3374z00_13611;
																																																						{	/* Eval/evaluate.scm 1263 */
																																																							BgL_objectz00_bglt
																																																								BgL_objz00_13612;
																																																							BgL_objz00_13612
																																																								=
																																																								(BgL_objectz00_bglt)
																																																								(BgL_ez00_13609);
																																																							{	/* Eval/evaluate.scm 1263 */
																																																								long
																																																									BgL_objzd2classzd2numz00_13613;
																																																								BgL_objzd2classzd2numz00_13613
																																																									=
																																																									BGL_OBJECT_CLASS_NUM
																																																									(BgL_objz00_13612);
																																																								{	/* Eval/evaluate.scm 1263 */
																																																									obj_t
																																																										BgL_arg6930z00_13614;
																																																									BgL_arg6930z00_13614
																																																										=
																																																										PROCEDURE_REF
																																																										(BGl_compzd2envzd2zz__evaluatez00,
																																																										(int)
																																																										(((long) 1)));
																																																									{	/* Eval/evaluate.scm 1263 */
																																																										obj_t
																																																											BgL_arrayz00_13616;
																																																										int
																																																											BgL_offsetz00_13617;
																																																										BgL_arrayz00_13616
																																																											=
																																																											BgL_arg6930z00_13614;
																																																										BgL_offsetz00_13617
																																																											=
																																																											(int)
																																																											(BgL_objzd2classzd2numz00_13613);
																																																										{	/* Eval/evaluate.scm 1263 */
																																																											long
																																																												BgL_offsetz00_13618;
																																																											BgL_offsetz00_13618
																																																												=
																																																												(
																																																												(long)
																																																												(BgL_offsetz00_13617)
																																																												-
																																																												OBJECT_TYPE);
																																																											{	/* Eval/evaluate.scm 1263 */
																																																												long
																																																													BgL_modz00_13619;
																																																												{	/* Eval/evaluate.scm 1263 */
																																																													int
																																																														BgL_arg6932z00_13620;
																																																													BgL_arg6932z00_13620
																																																														=
																																																														(int)
																																																														(
																																																														((long) 16));
																																																													{	/* Eval/evaluate.scm 1263 */
																																																														long
																																																															BgL_auxz00_32077;
																																																														BgL_auxz00_32077
																																																															=
																																																															(long)
																																																															(BgL_arg6932z00_13620);
																																																														BgL_modz00_13619
																																																															=
																																																															(BgL_offsetz00_13618
																																																															/
																																																															BgL_auxz00_32077);
																																																												}}
																																																												{	/* Eval/evaluate.scm 1263 */
																																																													long
																																																														BgL_restz00_13621;
																																																													{	/* Eval/evaluate.scm 1263 */
																																																														int
																																																															BgL_arg6931z00_13622;
																																																														BgL_arg6931z00_13622
																																																															=
																																																															(int)
																																																															(
																																																															((long) 16));
																																																														{	/* Eval/evaluate.scm 1263 */
																																																															long
																																																																BgL_auxz00_32081;
																																																															BgL_auxz00_32081
																																																																=
																																																																(long)
																																																																(BgL_arg6931z00_13622);
																																																															BgL_restz00_13621
																																																																=
																																																																(BgL_offsetz00_13618
																																																																%
																																																																BgL_auxz00_32081);
																																																													}}
																																																													{	/* Eval/evaluate.scm 1263 */

																																																														BgL_method3374z00_13611
																																																															=
																																																															VECTOR_REF
																																																															(VECTOR_REF
																																																															(BgL_arrayz00_13616,
																																																																(int)
																																																																(BgL_modz00_13619)),
																																																															(int)
																																																															(BgL_restz00_13621));
																																																						}}}}}}}}
																																																						BgL_a2z00_3375
																																																							=
																																																							PROCEDURE_ENTRY
																																																							(BgL_method3374z00_13611)
																																																							(BgL_method3374z00_13611,
																																																							(obj_t)
																																																							(BgL_ez00_13609),
																																																							BgL_stkz00_326,
																																																							BEOA);
																																																				}}
																																																				{	/* Eval/evaluate.scm 1263 */
																																																					obj_t
																																																						BgL_zc3anonymousza34733ze3z83_24121;
																																																					BgL_zc3anonymousza34733ze3z83_24121
																																																						=
																																																						make_fx_procedure
																																																						(BGl_zc3anonymousza34733ze3z83zz__evaluatez00,
																																																						(int)
																																																						(((long) 1)), (int) (((long) 2)));
																																																					PROCEDURE_SET
																																																						(BgL_zc3anonymousza34733ze3z83_24121,
																																																						(int)
																																																						(((long) 0)), BgL_a1z00_3374);
																																																					PROCEDURE_SET
																																																						(BgL_zc3anonymousza34733ze3z83_24121,
																																																						(int)
																																																						(((long) 1)), BgL_a2z00_3375);
																																																					return
																																																						BgL_zc3anonymousza34733ze3z83_24121;
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 1263 */
																																																				if ((BgL_valz00_3191 == BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
																																																					{	/* Eval/evaluate.scm 1263 */
																																																						obj_t
																																																							BgL_a1z00_3384;
																																																						obj_t
																																																							BgL_a2z00_3385;
																																																						{	/* Eval/evaluate.scm 1263 */
																																																							BgL_ev_exprz00_bglt
																																																								BgL_ez00_13644;
																																																							BgL_ez00_13644
																																																								=
																																																								(BgL_ev_exprz00_bglt)
																																																								(BgL_a1z00_3195);
																																																							{	/* Eval/evaluate.scm 1263 */
																																																								obj_t
																																																									BgL_method3374z00_13646;
																																																								{	/* Eval/evaluate.scm 1263 */
																																																									BgL_objectz00_bglt
																																																										BgL_objz00_13647;
																																																									BgL_objz00_13647
																																																										=
																																																										(BgL_objectz00_bglt)
																																																										(BgL_ez00_13644);
																																																									{	/* Eval/evaluate.scm 1263 */
																																																										long
																																																											BgL_objzd2classzd2numz00_13648;
																																																										BgL_objzd2classzd2numz00_13648
																																																											=
																																																											BGL_OBJECT_CLASS_NUM
																																																											(BgL_objz00_13647);
																																																										{	/* Eval/evaluate.scm 1263 */
																																																											obj_t
																																																												BgL_arg6930z00_13649;
																																																											BgL_arg6930z00_13649
																																																												=
																																																												PROCEDURE_REF
																																																												(BGl_compzd2envzd2zz__evaluatez00,
																																																												(int)
																																																												(((long) 1)));
																																																											{	/* Eval/evaluate.scm 1263 */
																																																												obj_t
																																																													BgL_arrayz00_13651;
																																																												int
																																																													BgL_offsetz00_13652;
																																																												BgL_arrayz00_13651
																																																													=
																																																													BgL_arg6930z00_13649;
																																																												BgL_offsetz00_13652
																																																													=
																																																													(int)
																																																													(BgL_objzd2classzd2numz00_13648);
																																																												{	/* Eval/evaluate.scm 1263 */
																																																													long
																																																														BgL_offsetz00_13653;
																																																													BgL_offsetz00_13653
																																																														=
																																																														(
																																																														(long)
																																																														(BgL_offsetz00_13652)
																																																														-
																																																														OBJECT_TYPE);
																																																													{	/* Eval/evaluate.scm 1263 */
																																																														long
																																																															BgL_modz00_13654;
																																																														{	/* Eval/evaluate.scm 1263 */
																																																															int
																																																																BgL_arg6932z00_13655;
																																																															BgL_arg6932z00_13655
																																																																=
																																																																(int)
																																																																(
																																																																((long) 16));
																																																															{	/* Eval/evaluate.scm 1263 */
																																																																long
																																																																	BgL_auxz00_32109;
																																																																BgL_auxz00_32109
																																																																	=
																																																																	(long)
																																																																	(BgL_arg6932z00_13655);
																																																																BgL_modz00_13654
																																																																	=
																																																																	(BgL_offsetz00_13653
																																																																	/
																																																																	BgL_auxz00_32109);
																																																														}}
																																																														{	/* Eval/evaluate.scm 1263 */
																																																															long
																																																																BgL_restz00_13656;
																																																															{	/* Eval/evaluate.scm 1263 */
																																																																int
																																																																	BgL_arg6931z00_13657;
																																																																BgL_arg6931z00_13657
																																																																	=
																																																																	(int)
																																																																	(
																																																																	((long) 16));
																																																																{	/* Eval/evaluate.scm 1263 */
																																																																	long
																																																																		BgL_auxz00_32113;
																																																																	BgL_auxz00_32113
																																																																		=
																																																																		(long)
																																																																		(BgL_arg6931z00_13657);
																																																																	BgL_restz00_13656
																																																																		=
																																																																		(BgL_offsetz00_13653
																																																																		%
																																																																		BgL_auxz00_32113);
																																																															}}
																																																															{	/* Eval/evaluate.scm 1263 */

																																																																BgL_method3374z00_13646
																																																																	=
																																																																	VECTOR_REF
																																																																	(VECTOR_REF
																																																																	(BgL_arrayz00_13651,
																																																																		(int)
																																																																		(BgL_modz00_13654)),
																																																																	(int)
																																																																	(BgL_restz00_13656));
																																																								}}}}}}}}
																																																								BgL_a1z00_3384
																																																									=
																																																									PROCEDURE_ENTRY
																																																									(BgL_method3374z00_13646)
																																																									(BgL_method3374z00_13646,
																																																									(obj_t)
																																																									(BgL_ez00_13644),
																																																									BgL_stkz00_326,
																																																									BEOA);
																																																						}}
																																																						{	/* Eval/evaluate.scm 1263 */
																																																							BgL_ev_exprz00_bglt
																																																								BgL_ez00_13671;
																																																							BgL_ez00_13671
																																																								=
																																																								(BgL_ev_exprz00_bglt)
																																																								(BgL_a2z00_3196);
																																																							{	/* Eval/evaluate.scm 1263 */
																																																								obj_t
																																																									BgL_method3374z00_13673;
																																																								{	/* Eval/evaluate.scm 1263 */
																																																									BgL_objectz00_bglt
																																																										BgL_objz00_13674;
																																																									BgL_objz00_13674
																																																										=
																																																										(BgL_objectz00_bglt)
																																																										(BgL_ez00_13671);
																																																									{	/* Eval/evaluate.scm 1263 */
																																																										long
																																																											BgL_objzd2classzd2numz00_13675;
																																																										BgL_objzd2classzd2numz00_13675
																																																											=
																																																											BGL_OBJECT_CLASS_NUM
																																																											(BgL_objz00_13674);
																																																										{	/* Eval/evaluate.scm 1263 */
																																																											obj_t
																																																												BgL_arg6930z00_13676;
																																																											BgL_arg6930z00_13676
																																																												=
																																																												PROCEDURE_REF
																																																												(BGl_compzd2envzd2zz__evaluatez00,
																																																												(int)
																																																												(((long) 1)));
																																																											{	/* Eval/evaluate.scm 1263 */
																																																												obj_t
																																																													BgL_arrayz00_13678;
																																																												int
																																																													BgL_offsetz00_13679;
																																																												BgL_arrayz00_13678
																																																													=
																																																													BgL_arg6930z00_13676;
																																																												BgL_offsetz00_13679
																																																													=
																																																													(int)
																																																													(BgL_objzd2classzd2numz00_13675);
																																																												{	/* Eval/evaluate.scm 1263 */
																																																													long
																																																														BgL_offsetz00_13680;
																																																													BgL_offsetz00_13680
																																																														=
																																																														(
																																																														(long)
																																																														(BgL_offsetz00_13679)
																																																														-
																																																														OBJECT_TYPE);
																																																													{	/* Eval/evaluate.scm 1263 */
																																																														long
																																																															BgL_modz00_13681;
																																																														{	/* Eval/evaluate.scm 1263 */
																																																															int
																																																																BgL_arg6932z00_13682;
																																																															BgL_arg6932z00_13682
																																																																=
																																																																(int)
																																																																(
																																																																((long) 16));
																																																															{	/* Eval/evaluate.scm 1263 */
																																																																long
																																																																	BgL_auxz00_32132;
																																																																BgL_auxz00_32132
																																																																	=
																																																																	(long)
																																																																	(BgL_arg6932z00_13682);
																																																																BgL_modz00_13681
																																																																	=
																																																																	(BgL_offsetz00_13680
																																																																	/
																																																																	BgL_auxz00_32132);
																																																														}}
																																																														{	/* Eval/evaluate.scm 1263 */
																																																															long
																																																																BgL_restz00_13683;
																																																															{	/* Eval/evaluate.scm 1263 */
																																																																int
																																																																	BgL_arg6931z00_13684;
																																																																BgL_arg6931z00_13684
																																																																	=
																																																																	(int)
																																																																	(
																																																																	((long) 16));
																																																																{	/* Eval/evaluate.scm 1263 */
																																																																	long
																																																																		BgL_auxz00_32136;
																																																																	BgL_auxz00_32136
																																																																		=
																																																																		(long)
																																																																		(BgL_arg6931z00_13684);
																																																																	BgL_restz00_13683
																																																																		=
																																																																		(BgL_offsetz00_13680
																																																																		%
																																																																		BgL_auxz00_32136);
																																																															}}
																																																															{	/* Eval/evaluate.scm 1263 */

																																																																BgL_method3374z00_13673
																																																																	=
																																																																	VECTOR_REF
																																																																	(VECTOR_REF
																																																																	(BgL_arrayz00_13678,
																																																																		(int)
																																																																		(BgL_modz00_13681)),
																																																																	(int)
																																																																	(BgL_restz00_13683));
																																																								}}}}}}}}
																																																								BgL_a2z00_3385
																																																									=
																																																									PROCEDURE_ENTRY
																																																									(BgL_method3374z00_13673)
																																																									(BgL_method3374z00_13673,
																																																									(obj_t)
																																																									(BgL_ez00_13671),
																																																									BgL_stkz00_326,
																																																									BEOA);
																																																						}}
																																																						{	/* Eval/evaluate.scm 1263 */
																																																							obj_t
																																																								BgL_zc3anonymousza34737ze3z83_24122;
																																																							BgL_zc3anonymousza34737ze3z83_24122
																																																								=
																																																								make_fx_procedure
																																																								(BGl_zc3anonymousza34737ze3z83zz__evaluatez00,
																																																								(int)
																																																								(((long) 1)), (int) (((long) 2)));
																																																							PROCEDURE_SET
																																																								(BgL_zc3anonymousza34737ze3z83_24122,
																																																								(int)
																																																								(((long) 0)), BgL_a1z00_3384);
																																																							PROCEDURE_SET
																																																								(BgL_zc3anonymousza34737ze3z83_24122,
																																																								(int)
																																																								(((long) 1)), BgL_a2z00_3385);
																																																							return
																																																								BgL_zc3anonymousza34737ze3z83_24122;
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 1263 */
																																																						return
																																																							BFALSE;
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 1261 */
														return BFALSE;
													}
											}
									}
								}
							else
								{	/* Eval/evaluate.scm 1256 */
									return BFALSE;
								}
						}
					}
				else
					{	/* Eval/evaluate.scm 1253 */
						return BFALSE;
					}
			}
		}
	}



/* <anonymous:4665> */
	obj_t BGl_zc3anonymousza34665ze3z83zz__evaluatez00(obj_t BgL_envz00_24126,
		obj_t BgL_sz00_24129)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24127;

				obj_t BgL_a2z00_24128;

				BgL_a1z00_24127 = PROCEDURE_REF(BgL_envz00_24126, (int) (((long) 0)));
				BgL_a2z00_24128 = PROCEDURE_REF(BgL_envz00_24126, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3200;

					BgL_sz00_3200 = BgL_sz00_24129;
					{	/* Eval/evaluate.scm 1263 */
						obj_t BgL_bpz00_3202;

						BgL_bpz00_3202 = VECTOR_REF(BgL_sz00_3200, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_a1z00_3203;

							obj_t BgL_a2z00_3204;

							BgL_a1z00_3203 =
								PROCEDURE_ENTRY(BgL_a1z00_24127) (BgL_a1z00_24127,
								BgL_sz00_3200, BEOA);
							BgL_a2z00_3204 =
								PROCEDURE_ENTRY(BgL_a2z00_24128) (BgL_a2z00_24128,
								BgL_sz00_3200, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3203))
								{	/* Eval/evaluate.scm 1263 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1263 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8229z00zz__evaluatez00, BgL_a1z00_3203);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3204))
								{	/* Eval/evaluate.scm 1263 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1263 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8229z00zz__evaluatez00, BgL_a2z00_3204);
								}
							return
								BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_3203,
								BgL_a2z00_3204);
						}
					}
				}
			}
		}
	}



/* <anonymous:4669> */
	obj_t BGl_zc3anonymousza34669ze3z83zz__evaluatez00(obj_t BgL_envz00_24130,
		obj_t BgL_sz00_24133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24131;

				obj_t BgL_a2z00_24132;

				BgL_a1z00_24131 = PROCEDURE_REF(BgL_envz00_24130, (int) (((long) 0)));
				BgL_a2z00_24132 = PROCEDURE_REF(BgL_envz00_24130, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3210;

					BgL_sz00_3210 = BgL_sz00_24133;
					{	/* Eval/evaluate.scm 1263 */
						obj_t BgL_bpz00_3212;

						BgL_bpz00_3212 = VECTOR_REF(BgL_sz00_3210, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_a1z00_3213;

							obj_t BgL_a2z00_3214;

							BgL_a1z00_3213 =
								PROCEDURE_ENTRY(BgL_a1z00_24131) (BgL_a1z00_24131,
								BgL_sz00_3210, BEOA);
							BgL_a2z00_3214 =
								PROCEDURE_ENTRY(BgL_a2z00_24132) (BgL_a2z00_24132,
								BgL_sz00_3210, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3213))
								{	/* Eval/evaluate.scm 1263 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1263 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8229z00zz__evaluatez00, BgL_a1z00_3213);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3214))
								{	/* Eval/evaluate.scm 1263 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1263 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8229z00zz__evaluatez00, BgL_a2z00_3214);
								}
							return
								BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_3213,
								BgL_a2z00_3214);
						}
					}
				}
			}
		}
	}



/* <anonymous:4673> */
	obj_t BGl_zc3anonymousza34673ze3z83zz__evaluatez00(obj_t BgL_envz00_24134,
		obj_t BgL_sz00_24137)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24135;

				obj_t BgL_a2z00_24136;

				BgL_a1z00_24135 = PROCEDURE_REF(BgL_envz00_24134, (int) (((long) 0)));
				BgL_a2z00_24136 = PROCEDURE_REF(BgL_envz00_24134, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3220;

					BgL_sz00_3220 = BgL_sz00_24137;
					{	/* Eval/evaluate.scm 1263 */
						obj_t BgL_bpz00_3222;

						BgL_bpz00_3222 = VECTOR_REF(BgL_sz00_3220, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_a1z00_3223;

							obj_t BgL_a2z00_3224;

							BgL_a1z00_3223 =
								PROCEDURE_ENTRY(BgL_a1z00_24135) (BgL_a1z00_24135,
								BgL_sz00_3220, BEOA);
							BgL_a2z00_3224 =
								PROCEDURE_ENTRY(BgL_a2z00_24136) (BgL_a2z00_24136,
								BgL_sz00_3220, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3223))
								{	/* Eval/evaluate.scm 1263 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1263 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8229z00zz__evaluatez00, BgL_a1z00_3223);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3224))
								{	/* Eval/evaluate.scm 1263 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1263 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8229z00zz__evaluatez00, BgL_a2z00_3224);
								}
							return
								BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_3223,
								BgL_a2z00_3224);
						}
					}
				}
			}
		}
	}



/* <anonymous:4677> */
	obj_t BGl_zc3anonymousza34677ze3z83zz__evaluatez00(obj_t BgL_envz00_24138,
		obj_t BgL_sz00_24141)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24139;

				obj_t BgL_a2z00_24140;

				BgL_a1z00_24139 = PROCEDURE_REF(BgL_envz00_24138, (int) (((long) 0)));
				BgL_a2z00_24140 = PROCEDURE_REF(BgL_envz00_24138, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3230;

					BgL_sz00_3230 = BgL_sz00_24141;
					{	/* Eval/evaluate.scm 1263 */
						obj_t BgL_bpz00_3232;

						BgL_bpz00_3232 = VECTOR_REF(BgL_sz00_3230, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_a1z00_3233;

							obj_t BgL_a2z00_3234;

							BgL_a1z00_3233 =
								PROCEDURE_ENTRY(BgL_a1z00_24139) (BgL_a1z00_24139,
								BgL_sz00_3230, BEOA);
							BgL_a2z00_3234 =
								PROCEDURE_ENTRY(BgL_a2z00_24140) (BgL_a2z00_24140,
								BgL_sz00_3230, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3233))
								{	/* Eval/evaluate.scm 1263 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1263 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8229z00zz__evaluatez00, BgL_a1z00_3233);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3234))
								{	/* Eval/evaluate.scm 1263 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1263 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8229z00zz__evaluatez00, BgL_a2z00_3234);
								}
							return
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_3233,
								BgL_a2z00_3234);
						}
					}
				}
			}
		}
	}



/* <anonymous:4681> */
	obj_t BGl_zc3anonymousza34681ze3z83zz__evaluatez00(obj_t BgL_envz00_24142,
		obj_t BgL_sz00_24145)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24143;

				obj_t BgL_a2z00_24144;

				BgL_a1z00_24143 = PROCEDURE_REF(BgL_envz00_24142, (int) (((long) 0)));
				BgL_a2z00_24144 = PROCEDURE_REF(BgL_envz00_24142, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3240;

					{	/* Eval/evaluate.scm 1263 */
						bool_t BgL_auxz00_32225;

						BgL_sz00_3240 = BgL_sz00_24145;
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_bpz00_3242;

							BgL_bpz00_3242 = VECTOR_REF(BgL_sz00_3240, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1263 */
								obj_t BgL_a1z00_3243;

								obj_t BgL_a2z00_3244;

								BgL_a1z00_3243 =
									PROCEDURE_ENTRY(BgL_a1z00_24143) (BgL_a1z00_24143,
									BgL_sz00_3240, BEOA);
								BgL_a2z00_3244 =
									PROCEDURE_ENTRY(BgL_a2z00_24144) (BgL_a2z00_24144,
									BgL_sz00_3240, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3243))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a1z00_3243);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3244))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a2z00_3244);
									}
								BgL_auxz00_32225 =
									BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_3243,
									BgL_a2z00_3244);
							}
						}
						return BBOOL(BgL_auxz00_32225);
					}
				}
			}
		}
	}



/* <anonymous:4685> */
	obj_t BGl_zc3anonymousza34685ze3z83zz__evaluatez00(obj_t BgL_envz00_24146,
		obj_t BgL_sz00_24149)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24147;

				obj_t BgL_a2z00_24148;

				BgL_a1z00_24147 = PROCEDURE_REF(BgL_envz00_24146, (int) (((long) 0)));
				BgL_a2z00_24148 = PROCEDURE_REF(BgL_envz00_24146, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3250;

					{	/* Eval/evaluate.scm 1263 */
						bool_t BgL_auxz00_32244;

						BgL_sz00_3250 = BgL_sz00_24149;
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_bpz00_3252;

							BgL_bpz00_3252 = VECTOR_REF(BgL_sz00_3250, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1263 */
								obj_t BgL_a1z00_3253;

								obj_t BgL_a2z00_3254;

								BgL_a1z00_3253 =
									PROCEDURE_ENTRY(BgL_a1z00_24147) (BgL_a1z00_24147,
									BgL_sz00_3250, BEOA);
								BgL_a2z00_3254 =
									PROCEDURE_ENTRY(BgL_a2z00_24148) (BgL_a2z00_24148,
									BgL_sz00_3250, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3253))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a1z00_3253);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3254))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a2z00_3254);
									}
								BgL_auxz00_32244 =
									BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_3253,
									BgL_a2z00_3254);
							}
						}
						return BBOOL(BgL_auxz00_32244);
					}
				}
			}
		}
	}



/* <anonymous:4689> */
	obj_t BGl_zc3anonymousza34689ze3z83zz__evaluatez00(obj_t BgL_envz00_24150,
		obj_t BgL_sz00_24153)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24151;

				obj_t BgL_a2z00_24152;

				BgL_a1z00_24151 = PROCEDURE_REF(BgL_envz00_24150, (int) (((long) 0)));
				BgL_a2z00_24152 = PROCEDURE_REF(BgL_envz00_24150, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3260;

					{	/* Eval/evaluate.scm 1263 */
						bool_t BgL_auxz00_32263;

						BgL_sz00_3260 = BgL_sz00_24153;
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_bpz00_3262;

							BgL_bpz00_3262 = VECTOR_REF(BgL_sz00_3260, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1263 */
								obj_t BgL_a1z00_3263;

								obj_t BgL_a2z00_3264;

								BgL_a1z00_3263 =
									PROCEDURE_ENTRY(BgL_a1z00_24151) (BgL_a1z00_24151,
									BgL_sz00_3260, BEOA);
								BgL_a2z00_3264 =
									PROCEDURE_ENTRY(BgL_a2z00_24152) (BgL_a2z00_24152,
									BgL_sz00_3260, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3263))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a1z00_3263);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3264))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a2z00_3264);
									}
								BgL_auxz00_32263 =
									BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_3263,
									BgL_a2z00_3264);
							}
						}
						return BBOOL(BgL_auxz00_32263);
					}
				}
			}
		}
	}



/* <anonymous:4693> */
	obj_t BGl_zc3anonymousza34693ze3z83zz__evaluatez00(obj_t BgL_envz00_24154,
		obj_t BgL_sz00_24157)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24155;

				obj_t BgL_a2z00_24156;

				BgL_a1z00_24155 = PROCEDURE_REF(BgL_envz00_24154, (int) (((long) 0)));
				BgL_a2z00_24156 = PROCEDURE_REF(BgL_envz00_24154, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3270;

					{	/* Eval/evaluate.scm 1263 */
						bool_t BgL_auxz00_32282;

						BgL_sz00_3270 = BgL_sz00_24157;
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_bpz00_3272;

							BgL_bpz00_3272 = VECTOR_REF(BgL_sz00_3270, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1263 */
								obj_t BgL_a1z00_3273;

								obj_t BgL_a2z00_3274;

								BgL_a1z00_3273 =
									PROCEDURE_ENTRY(BgL_a1z00_24155) (BgL_a1z00_24155,
									BgL_sz00_3270, BEOA);
								BgL_a2z00_3274 =
									PROCEDURE_ENTRY(BgL_a2z00_24156) (BgL_a2z00_24156,
									BgL_sz00_3270, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3273))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a1z00_3273);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3274))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a2z00_3274);
									}
								BgL_auxz00_32282 =
									BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_3273,
									BgL_a2z00_3274);
							}
						}
						return BBOOL(BgL_auxz00_32282);
					}
				}
			}
		}
	}



/* <anonymous:4697> */
	obj_t BGl_zc3anonymousza34697ze3z83zz__evaluatez00(obj_t BgL_envz00_24158,
		obj_t BgL_sz00_24161)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24159;

				obj_t BgL_a2z00_24160;

				BgL_a1z00_24159 = PROCEDURE_REF(BgL_envz00_24158, (int) (((long) 0)));
				BgL_a2z00_24160 = PROCEDURE_REF(BgL_envz00_24158, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3280;

					{	/* Eval/evaluate.scm 1263 */
						bool_t BgL_auxz00_32301;

						BgL_sz00_3280 = BgL_sz00_24161;
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_bpz00_3282;

							BgL_bpz00_3282 = VECTOR_REF(BgL_sz00_3280, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1263 */
								obj_t BgL_a1z00_3283;

								obj_t BgL_a2z00_3284;

								BgL_a1z00_3283 =
									PROCEDURE_ENTRY(BgL_a1z00_24159) (BgL_a1z00_24159,
									BgL_sz00_3280, BEOA);
								BgL_a2z00_3284 =
									PROCEDURE_ENTRY(BgL_a2z00_24160) (BgL_a2z00_24160,
									BgL_sz00_3280, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3283))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a1z00_3283);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3284))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a2z00_3284);
									}
								BgL_auxz00_32301 =
									BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_3283,
									BgL_a2z00_3284);
							}
						}
						return BBOOL(BgL_auxz00_32301);
					}
				}
			}
		}
	}



/* <anonymous:4701> */
	obj_t BGl_zc3anonymousza34701ze3z83zz__evaluatez00(obj_t BgL_envz00_24162,
		obj_t BgL_sz00_24165)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24163;

				obj_t BgL_a2z00_24164;

				BgL_a1z00_24163 = PROCEDURE_REF(BgL_envz00_24162, (int) (((long) 0)));
				BgL_a2z00_24164 = PROCEDURE_REF(BgL_envz00_24162, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3290;

					{	/* Eval/evaluate.scm 1263 */
						bool_t BgL_auxz00_32320;

						BgL_sz00_3290 = BgL_sz00_24165;
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_bpz00_13084;

							BgL_bpz00_13084 = VECTOR_REF(BgL_sz00_3290, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1263 */
								obj_t BgL_a1z00_13085;

								obj_t BgL_a2z00_13086;

								BgL_a1z00_13085 =
									PROCEDURE_ENTRY(BgL_a1z00_24163) (BgL_a1z00_24163,
									BgL_sz00_3290, BEOA);
								BgL_a2z00_13086 =
									PROCEDURE_ENTRY(BgL_a2z00_24164) (BgL_a2z00_24164,
									BgL_sz00_3290, BEOA);
								BgL_auxz00_32320 = (BgL_a1z00_13085 == BgL_a2z00_13086);
						}}
						return BBOOL(BgL_auxz00_32320);
					}
				}
			}
		}
	}



/* <anonymous:4703> */
	obj_t BGl_zc3anonymousza34703ze3z83zz__evaluatez00(obj_t BgL_envz00_24166,
		obj_t BgL_sz00_24169)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24167;

				obj_t BgL_a2z00_24168;

				BgL_a1z00_24167 = PROCEDURE_REF(BgL_envz00_24166, (int) (((long) 0)));
				BgL_a2z00_24168 = PROCEDURE_REF(BgL_envz00_24166, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3298;

					BgL_sz00_3298 = BgL_sz00_24169;
					{	/* Eval/evaluate.scm 1263 */
						obj_t BgL_bpz00_13143;

						BgL_bpz00_13143 = VECTOR_REF(BgL_sz00_3298, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_a1z00_13144;

							obj_t BgL_a2z00_13145;

							BgL_a1z00_13144 =
								PROCEDURE_ENTRY(BgL_a1z00_24167) (BgL_a1z00_24167,
								BgL_sz00_3298, BEOA);
							BgL_a2z00_13145 =
								PROCEDURE_ENTRY(BgL_a2z00_24168) (BgL_a2z00_24168,
								BgL_sz00_3298, BEOA);
							return MAKE_PAIR(BgL_a1z00_13144, BgL_a2z00_13145);
						}
					}
				}
			}
		}
	}



/* <anonymous:4705> */
	obj_t BGl_zc3anonymousza34705ze3z83zz__evaluatez00(obj_t BgL_envz00_24170,
		obj_t BgL_sz00_24173)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24171;

				obj_t BgL_a2z00_24172;

				BgL_a1z00_24171 = PROCEDURE_REF(BgL_envz00_24170, (int) (((long) 0)));
				BgL_a2z00_24172 = PROCEDURE_REF(BgL_envz00_24170, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3306;

					{	/* Eval/evaluate.scm 1263 */
						long BgL_auxz00_32344;

						BgL_sz00_3306 = BgL_sz00_24173;
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_bpz00_3308;

							BgL_bpz00_3308 = VECTOR_REF(BgL_sz00_3306, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1263 */
								obj_t BgL_a1z00_3309;

								obj_t BgL_a2z00_3310;

								BgL_a1z00_3309 =
									PROCEDURE_ENTRY(BgL_a1z00_24171) (BgL_a1z00_24171,
									BgL_sz00_3306, BEOA);
								BgL_a2z00_3310 =
									PROCEDURE_ENTRY(BgL_a2z00_24172) (BgL_a2z00_24172,
									BgL_sz00_3306, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3309))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a1z00_3309);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3310))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a2z00_3310);
									}
								BgL_auxz00_32344 =
									((long) CINT(BgL_a1z00_3309) + (long) CINT(BgL_a2z00_3310));
						}}
						return BINT(BgL_auxz00_32344);
					}
				}
			}
		}
	}



/* <anonymous:4709> */
	obj_t BGl_zc3anonymousza34709ze3z83zz__evaluatez00(obj_t BgL_envz00_24174,
		obj_t BgL_sz00_24177)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24175;

				obj_t BgL_a2z00_24176;

				BgL_a1z00_24175 = PROCEDURE_REF(BgL_envz00_24174, (int) (((long) 0)));
				BgL_a2z00_24176 = PROCEDURE_REF(BgL_envz00_24174, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3316;

					{	/* Eval/evaluate.scm 1263 */
						long BgL_auxz00_32365;

						BgL_sz00_3316 = BgL_sz00_24177;
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_bpz00_3318;

							BgL_bpz00_3318 = VECTOR_REF(BgL_sz00_3316, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1263 */
								obj_t BgL_a1z00_3319;

								obj_t BgL_a2z00_3320;

								BgL_a1z00_3319 =
									PROCEDURE_ENTRY(BgL_a1z00_24175) (BgL_a1z00_24175,
									BgL_sz00_3316, BEOA);
								BgL_a2z00_3320 =
									PROCEDURE_ENTRY(BgL_a2z00_24176) (BgL_a2z00_24176,
									BgL_sz00_3316, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3319))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a1z00_3319);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3320))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a2z00_3320);
									}
								BgL_auxz00_32365 =
									((long) CINT(BgL_a1z00_3319) - (long) CINT(BgL_a2z00_3320));
						}}
						return BINT(BgL_auxz00_32365);
					}
				}
			}
		}
	}



/* <anonymous:4713> */
	obj_t BGl_zc3anonymousza34713ze3z83zz__evaluatez00(obj_t BgL_envz00_24178,
		obj_t BgL_sz00_24181)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24179;

				obj_t BgL_a2z00_24180;

				BgL_a1z00_24179 = PROCEDURE_REF(BgL_envz00_24178, (int) (((long) 0)));
				BgL_a2z00_24180 = PROCEDURE_REF(BgL_envz00_24178, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3326;

					{	/* Eval/evaluate.scm 1263 */
						long BgL_auxz00_32386;

						BgL_sz00_3326 = BgL_sz00_24181;
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_bpz00_3328;

							BgL_bpz00_3328 = VECTOR_REF(BgL_sz00_3326, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1263 */
								obj_t BgL_a1z00_3329;

								obj_t BgL_a2z00_3330;

								BgL_a1z00_3329 =
									PROCEDURE_ENTRY(BgL_a1z00_24179) (BgL_a1z00_24179,
									BgL_sz00_3326, BEOA);
								BgL_a2z00_3330 =
									PROCEDURE_ENTRY(BgL_a2z00_24180) (BgL_a2z00_24180,
									BgL_sz00_3326, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3329))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a1z00_3329);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3330))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a2z00_3330);
									}
								BgL_auxz00_32386 =
									((long) CINT(BgL_a1z00_3329) * (long) CINT(BgL_a2z00_3330));
						}}
						return BINT(BgL_auxz00_32386);
					}
				}
			}
		}
	}



/* <anonymous:4717> */
	obj_t BGl_zc3anonymousza34717ze3z83zz__evaluatez00(obj_t BgL_envz00_24182,
		obj_t BgL_sz00_24185)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24183;

				obj_t BgL_a2z00_24184;

				BgL_a1z00_24183 = PROCEDURE_REF(BgL_envz00_24182, (int) (((long) 0)));
				BgL_a2z00_24184 = PROCEDURE_REF(BgL_envz00_24182, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3336;

					{	/* Eval/evaluate.scm 1263 */
						long BgL_auxz00_32407;

						BgL_sz00_3336 = BgL_sz00_24185;
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_bpz00_3338;

							BgL_bpz00_3338 = VECTOR_REF(BgL_sz00_3336, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1263 */
								obj_t BgL_a1z00_3339;

								obj_t BgL_a2z00_3340;

								BgL_a1z00_3339 =
									PROCEDURE_ENTRY(BgL_a1z00_24183) (BgL_a1z00_24183,
									BgL_sz00_3336, BEOA);
								BgL_a2z00_3340 =
									PROCEDURE_ENTRY(BgL_a2z00_24184) (BgL_a2z00_24184,
									BgL_sz00_3336, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3339))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a1z00_3339);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3340))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a2z00_3340);
									}
								BgL_auxz00_32407 =
									((long) CINT(BgL_a1z00_3339) / (long) CINT(BgL_a2z00_3340));
						}}
						return BINT(BgL_auxz00_32407);
					}
				}
			}
		}
	}



/* <anonymous:4721> */
	obj_t BGl_zc3anonymousza34721ze3z83zz__evaluatez00(obj_t BgL_envz00_24186,
		obj_t BgL_sz00_24189)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24187;

				obj_t BgL_a2z00_24188;

				BgL_a1z00_24187 = PROCEDURE_REF(BgL_envz00_24186, (int) (((long) 0)));
				BgL_a2z00_24188 = PROCEDURE_REF(BgL_envz00_24186, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3346;

					{	/* Eval/evaluate.scm 1263 */
						bool_t BgL_auxz00_32428;

						BgL_sz00_3346 = BgL_sz00_24189;
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_bpz00_3348;

							BgL_bpz00_3348 = VECTOR_REF(BgL_sz00_3346, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1263 */
								obj_t BgL_a1z00_3349;

								obj_t BgL_a2z00_3350;

								BgL_a1z00_3349 =
									PROCEDURE_ENTRY(BgL_a1z00_24187) (BgL_a1z00_24187,
									BgL_sz00_3346, BEOA);
								BgL_a2z00_3350 =
									PROCEDURE_ENTRY(BgL_a2z00_24188) (BgL_a2z00_24188,
									BgL_sz00_3346, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3349))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a1z00_3349);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3350))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a2z00_3350);
									}
								BgL_auxz00_32428 =
									((long) CINT(BgL_a1z00_3349) < (long) CINT(BgL_a2z00_3350));
						}}
						return BBOOL(BgL_auxz00_32428);
					}
				}
			}
		}
	}



/* <anonymous:4725> */
	obj_t BGl_zc3anonymousza34725ze3z83zz__evaluatez00(obj_t BgL_envz00_24190,
		obj_t BgL_sz00_24193)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24191;

				obj_t BgL_a2z00_24192;

				BgL_a1z00_24191 = PROCEDURE_REF(BgL_envz00_24190, (int) (((long) 0)));
				BgL_a2z00_24192 = PROCEDURE_REF(BgL_envz00_24190, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3356;

					{	/* Eval/evaluate.scm 1263 */
						bool_t BgL_auxz00_32449;

						BgL_sz00_3356 = BgL_sz00_24193;
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_bpz00_3358;

							BgL_bpz00_3358 = VECTOR_REF(BgL_sz00_3356, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1263 */
								obj_t BgL_a1z00_3359;

								obj_t BgL_a2z00_3360;

								BgL_a1z00_3359 =
									PROCEDURE_ENTRY(BgL_a1z00_24191) (BgL_a1z00_24191,
									BgL_sz00_3356, BEOA);
								BgL_a2z00_3360 =
									PROCEDURE_ENTRY(BgL_a2z00_24192) (BgL_a2z00_24192,
									BgL_sz00_3356, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3359))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a1z00_3359);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3360))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a2z00_3360);
									}
								BgL_auxz00_32449 =
									((long) CINT(BgL_a1z00_3359) > (long) CINT(BgL_a2z00_3360));
						}}
						return BBOOL(BgL_auxz00_32449);
					}
				}
			}
		}
	}



/* <anonymous:4729> */
	obj_t BGl_zc3anonymousza34729ze3z83zz__evaluatez00(obj_t BgL_envz00_24194,
		obj_t BgL_sz00_24197)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24195;

				obj_t BgL_a2z00_24196;

				BgL_a1z00_24195 = PROCEDURE_REF(BgL_envz00_24194, (int) (((long) 0)));
				BgL_a2z00_24196 = PROCEDURE_REF(BgL_envz00_24194, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3366;

					{	/* Eval/evaluate.scm 1263 */
						bool_t BgL_auxz00_32470;

						BgL_sz00_3366 = BgL_sz00_24197;
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_bpz00_3368;

							BgL_bpz00_3368 = VECTOR_REF(BgL_sz00_3366, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1263 */
								obj_t BgL_a1z00_3369;

								obj_t BgL_a2z00_3370;

								BgL_a1z00_3369 =
									PROCEDURE_ENTRY(BgL_a1z00_24195) (BgL_a1z00_24195,
									BgL_sz00_3366, BEOA);
								BgL_a2z00_3370 =
									PROCEDURE_ENTRY(BgL_a2z00_24196) (BgL_a2z00_24196,
									BgL_sz00_3366, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3369))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a1z00_3369);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3370))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a2z00_3370);
									}
								BgL_auxz00_32470 =
									((long) CINT(BgL_a1z00_3369) <= (long) CINT(BgL_a2z00_3370));
						}}
						return BBOOL(BgL_auxz00_32470);
					}
				}
			}
		}
	}



/* <anonymous:4733> */
	obj_t BGl_zc3anonymousza34733ze3z83zz__evaluatez00(obj_t BgL_envz00_24198,
		obj_t BgL_sz00_24201)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24199;

				obj_t BgL_a2z00_24200;

				BgL_a1z00_24199 = PROCEDURE_REF(BgL_envz00_24198, (int) (((long) 0)));
				BgL_a2z00_24200 = PROCEDURE_REF(BgL_envz00_24198, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3376;

					{	/* Eval/evaluate.scm 1263 */
						bool_t BgL_auxz00_32491;

						BgL_sz00_3376 = BgL_sz00_24201;
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_bpz00_3378;

							BgL_bpz00_3378 = VECTOR_REF(BgL_sz00_3376, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1263 */
								obj_t BgL_a1z00_3379;

								obj_t BgL_a2z00_3380;

								BgL_a1z00_3379 =
									PROCEDURE_ENTRY(BgL_a1z00_24199) (BgL_a1z00_24199,
									BgL_sz00_3376, BEOA);
								BgL_a2z00_3380 =
									PROCEDURE_ENTRY(BgL_a2z00_24200) (BgL_a2z00_24200,
									BgL_sz00_3376, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3379))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a1z00_3379);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3380))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a2z00_3380);
									}
								BgL_auxz00_32491 =
									((long) CINT(BgL_a1z00_3379) >= (long) CINT(BgL_a2z00_3380));
						}}
						return BBOOL(BgL_auxz00_32491);
					}
				}
			}
		}
	}



/* <anonymous:4737> */
	obj_t BGl_zc3anonymousza34737ze3z83zz__evaluatez00(obj_t BgL_envz00_24202,
		obj_t BgL_sz00_24205)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1263 */
			{	/* Eval/evaluate.scm 1263 */
				obj_t BgL_a1z00_24203;

				obj_t BgL_a2z00_24204;

				BgL_a1z00_24203 = PROCEDURE_REF(BgL_envz00_24202, (int) (((long) 0)));
				BgL_a2z00_24204 = PROCEDURE_REF(BgL_envz00_24202, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3386;

					{	/* Eval/evaluate.scm 1263 */
						bool_t BgL_auxz00_32512;

						BgL_sz00_3386 = BgL_sz00_24205;
						{	/* Eval/evaluate.scm 1263 */
							obj_t BgL_bpz00_3388;

							BgL_bpz00_3388 = VECTOR_REF(BgL_sz00_3386, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1263 */
								obj_t BgL_a1z00_3389;

								obj_t BgL_a2z00_3390;

								BgL_a1z00_3389 =
									PROCEDURE_ENTRY(BgL_a1z00_24203) (BgL_a1z00_24203,
									BgL_sz00_3386, BEOA);
								BgL_a2z00_3390 =
									PROCEDURE_ENTRY(BgL_a2z00_24204) (BgL_a2z00_24204,
									BgL_sz00_3386, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_3389))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a1z00_3389);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_3390))
									{	/* Eval/evaluate.scm 1263 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1263 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a2z00_3390);
									}
								BgL_auxz00_32512 =
									((long) CINT(BgL_a1z00_3389) == (long) CINT(BgL_a2z00_3390));
						}}
						return BBOOL(BgL_auxz00_32512);
					}
				}
			}
		}
	}



/* <anonymous:4742> */
	obj_t BGl_zc3anonymousza34742ze3z83zz__evaluatez00(obj_t BgL_envz00_24206,
		obj_t BgL_sz00_24208)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1260 */
			{	/* Eval/evaluate.scm 1260 */
				obj_t BgL_a1z00_24207;

				BgL_a1z00_24207 = PROCEDURE_REF(BgL_envz00_24206, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3397;

					BgL_sz00_3397 = BgL_sz00_24208;
					{	/* Eval/evaluate.scm 1260 */
						obj_t BgL_bpz00_3399;

						BgL_bpz00_3399 = VECTOR_REF(BgL_sz00_3397, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1260 */
							obj_t BgL_a1z00_3400;

							BgL_a1z00_3400 =
								PROCEDURE_ENTRY(BgL_a1z00_24207) (BgL_a1z00_24207,
								BgL_sz00_3397, BEOA);
							if (PAIRP(BgL_a1z00_3400))
								{	/* Eval/evaluate.scm 1260 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1260 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8229z00zz__evaluatez00, BgL_a1z00_3400);
								}
							return CAR(BgL_a1z00_3400);
						}
					}
				}
			}
		}
	}



/* <anonymous:4745> */
	obj_t BGl_zc3anonymousza34745ze3z83zz__evaluatez00(obj_t BgL_envz00_24209,
		obj_t BgL_sz00_24211)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1260 */
			{	/* Eval/evaluate.scm 1260 */
				obj_t BgL_a1z00_24210;

				BgL_a1z00_24210 = PROCEDURE_REF(BgL_envz00_24209, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3404;

					BgL_sz00_3404 = BgL_sz00_24211;
					{	/* Eval/evaluate.scm 1260 */
						obj_t BgL_bpz00_3406;

						BgL_bpz00_3406 = VECTOR_REF(BgL_sz00_3404, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1260 */
							obj_t BgL_a1z00_3407;

							BgL_a1z00_3407 =
								PROCEDURE_ENTRY(BgL_a1z00_24210) (BgL_a1z00_24210,
								BgL_sz00_3404, BEOA);
							if (PAIRP(BgL_a1z00_3407))
								{	/* Eval/evaluate.scm 1260 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1260 */
									BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8229z00zz__evaluatez00, BgL_a1z00_3407);
								}
							return CDR(BgL_a1z00_3407);
						}
					}
				}
			}
		}
	}



/* <anonymous:4748> */
	obj_t BGl_zc3anonymousza34748ze3z83zz__evaluatez00(obj_t BgL_envz00_24212,
		obj_t BgL_sz00_24214)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1260 */
			{	/* Eval/evaluate.scm 1260 */
				obj_t BgL_a1z00_24213;

				BgL_a1z00_24213 = PROCEDURE_REF(BgL_envz00_24212, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3411;

					BgL_sz00_3411 = BgL_sz00_24214;
					{	/* Eval/evaluate.scm 1260 */
						obj_t BgL_bpz00_3413;

						BgL_bpz00_3413 = VECTOR_REF(BgL_sz00_3411, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1260 */
							obj_t BgL_a1z00_3414;

							BgL_a1z00_3414 =
								PROCEDURE_ENTRY(BgL_a1z00_24213) (BgL_a1z00_24213,
								BgL_sz00_3411, BEOA);
							{	/* Eval/evaluate.scm 1260 */
								bool_t BgL_testz00_32555;

								if (PAIRP(BgL_a1z00_3414))
									{	/* Eval/evaluate.scm 1260 */
										obj_t BgL_auxz00_32558;

										BgL_auxz00_32558 = CDR(BgL_a1z00_3414);
										BgL_testz00_32555 = PAIRP(BgL_auxz00_32558);
									}
								else
									{	/* Eval/evaluate.scm 1260 */
										BgL_testz00_32555 = ((bool_t) 0);
									}
								if (BgL_testz00_32555)
									{	/* Eval/evaluate.scm 1260 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 1260 */
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8229z00zz__evaluatez00, BgL_a1z00_3414);
									}
							}
							{	/* Eval/evaluate.scm 1260 */
								obj_t BgL_pairz00_12479;

								BgL_pairz00_12479 = BgL_a1z00_3414;
								return CAR(CDR(BgL_pairz00_12479));
							}
						}
					}
				}
			}
		}
	}



/* bind-frame */
	obj_t BGl_bindzd2framezd2zz__evaluatez00(obj_t BgL_sz00_331,
		obj_t BgL_spz00_332, long BgL_arityz00_333, obj_t BgL_valsz00_334)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1302 */
			if ((BgL_arityz00_333 < ((long) 0)))
				{	/* Eval/evaluate.scm 1304 */
					long BgL_g2840z00_3421;

					BgL_g2840z00_3421 = (((long) -1) - BgL_arityz00_333);
					{
						long BgL_rz00_3423;

						obj_t BgL_spz00_3424;

						obj_t BgL_lz00_3425;

						BgL_rz00_3423 = BgL_g2840z00_3421;
						BgL_spz00_3424 = BgL_spz00_332;
						BgL_lz00_3425 = BgL_valsz00_334;
					BgL_zc3anonymousza34755ze3z83_3426:
						if ((BgL_rz00_3423 == ((long) 0)))
							{	/* Eval/evaluate.scm 1306 */
								return
									VECTOR_SET(BgL_sz00_331, CINT(BgL_spz00_3424), BgL_lz00_3425);
							}
						else
							{	/* Eval/evaluate.scm 1306 */
								if (PAIRP(BgL_lz00_3425))
									{	/* Eval/evaluate.scm 1308 */
										VECTOR_SET(BgL_sz00_331,
											CINT(BgL_spz00_3424), CAR(BgL_lz00_3425));
										{	/* Eval/evaluate.scm 1312 */
											long BgL_arg4760z00_3430;

											long BgL_arg4761z00_3431;

											obj_t BgL_arg4762z00_3432;

											BgL_arg4760z00_3430 = (BgL_rz00_3423 - ((long) 1));
											BgL_arg4761z00_3431 =
												((long) CINT(BgL_spz00_3424) + ((long) 1));
											BgL_arg4762z00_3432 = CDR(BgL_lz00_3425);
											{
												obj_t BgL_lz00_32583;

												obj_t BgL_spz00_32581;

												long BgL_rz00_32580;

												BgL_rz00_32580 = BgL_arg4760z00_3430;
												BgL_spz00_32581 = BINT(BgL_arg4761z00_3431);
												BgL_lz00_32583 = BgL_arg4762z00_3432;
												BgL_lz00_3425 = BgL_lz00_32583;
												BgL_spz00_3424 = BgL_spz00_32581;
												BgL_rz00_3423 = BgL_rz00_32580;
												goto BgL_zc3anonymousza34755ze3z83_3426;
											}
										}
									}
								else
									{	/* Eval/evaluate.scm 1308 */
										return
											BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8230z00zz__evaluatez00, BINT(BgL_rz00_3423));
									}
							}
					}
				}
			else
				{
					long BgL_rz00_3435;

					obj_t BgL_spz00_3436;

					obj_t BgL_lz00_3437;

					BgL_rz00_3435 = BgL_arityz00_333;
					BgL_spz00_3436 = BgL_spz00_332;
					BgL_lz00_3437 = BgL_valsz00_334;
				BgL_zc3anonymousza34763ze3z83_3438:
					if ((BgL_rz00_3435 == ((long) 0)))
						{	/* Eval/evaluate.scm 1315 */
							if (NULLP(BgL_lz00_3437))
								{	/* Eval/evaluate.scm 1316 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 1316 */
									return
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8231z00zz__evaluatez00, BgL_lz00_3437);
								}
						}
					else
						{	/* Eval/evaluate.scm 1315 */
							if (PAIRP(BgL_lz00_3437))
								{	/* Eval/evaluate.scm 1318 */
									VECTOR_SET(BgL_sz00_331,
										CINT(BgL_spz00_3436), CAR(BgL_lz00_3437));
									{	/* Eval/evaluate.scm 1322 */
										long BgL_arg4768z00_3443;

										long BgL_arg4769z00_3444;

										obj_t BgL_arg4770z00_3445;

										BgL_arg4768z00_3443 = (BgL_rz00_3435 - ((long) 1));
										BgL_arg4769z00_3444 =
											((long) CINT(BgL_spz00_3436) + ((long) 1));
										BgL_arg4770z00_3445 = CDR(BgL_lz00_3437);
										{
											obj_t BgL_lz00_32603;

											obj_t BgL_spz00_32601;

											long BgL_rz00_32600;

											BgL_rz00_32600 = BgL_arg4768z00_3443;
											BgL_spz00_32601 = BINT(BgL_arg4769z00_3444);
											BgL_lz00_32603 = BgL_arg4770z00_3445;
											BgL_lz00_3437 = BgL_lz00_32603;
											BgL_spz00_3436 = BgL_spz00_32601;
											BgL_rz00_3435 = BgL_rz00_32600;
											goto BgL_zc3anonymousza34763ze3z83_3438;
										}
									}
								}
							else
								{	/* Eval/evaluate.scm 1318 */
									return
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
										BGl_string8230z00zz__evaluatez00, BINT(BgL_rz00_3435));
								}
						}
				}
		}
	}



/* make-boxes */
	bool_t BGl_makezd2boxeszd2zz__evaluatez00(obj_t BgL_sz00_337,
		obj_t BgL_ibza2za2_338, obj_t BgL_bpz00_339)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1395 */
			{	/* Eval/evaluate.scm 1396 */
				int BgL_nz00_3447;

				BgL_nz00_3447 = VECTOR_LENGTH(BgL_ibza2za2_338);
				{
					long BgL_iz00_3449;

					BgL_iz00_3449 = ((long) 0);
				BgL_zc3anonymousza34771ze3z83_3450:
					{	/* Eval/evaluate.scm 1398 */
						long BgL_spz00_3451;

						{	/* Eval/evaluate.scm 1398 */
							obj_t BgL_arg4775z00_3456;

							BgL_arg4775z00_3456 =
								VECTOR_REF(BgL_ibza2za2_338, (int) (BgL_iz00_3449));
							BgL_spz00_3451 =
								((long) CINT(BgL_bpz00_339) + (long) CINT(BgL_arg4775z00_3456));
						}
						{	/* Eval/evaluate.scm 1399 */
							obj_t BgL_arg4772z00_3452;

							{	/* Eval/evaluate.scm 1399 */
								obj_t BgL_arg4773z00_3453;

								BgL_arg4773z00_3453 =
									VECTOR_REF(BgL_sz00_337, (int) (BgL_spz00_3451));
								{	/* Eval/evaluate.scm 1399 */
									obj_t BgL_newz00_13753;

									BgL_newz00_13753 =
										create_struct(BGl_symbol8232z00zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 1399 */
										int BgL_auxz00_32616;

										BgL_auxz00_32616 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_13753, BgL_auxz00_32616,
											BgL_arg4773z00_3453);
									}
									BgL_arg4772z00_3452 = BgL_newz00_13753;
							}}
							VECTOR_SET(BgL_sz00_337,
								(int) (BgL_spz00_3451), BgL_arg4772z00_3452);
						}
						{	/* Eval/evaluate.scm 1400 */
							long BgL_niz00_3454;

							BgL_niz00_3454 = (BgL_iz00_3449 + ((long) 1));
							if ((BgL_niz00_3454 < (long) (BgL_nz00_3447)))
								{
									long BgL_iz00_32625;

									BgL_iz00_32625 = BgL_niz00_3454;
									BgL_iz00_3449 = BgL_iz00_32625;
									goto BgL_zc3anonymousza34771ze3z83_3450;
								}
							else
								{	/* Eval/evaluate.scm 1401 */
									return ((bool_t) 0);
								}
						}
					}
				}
			}
		}
	}



/* free-collect */
	obj_t BGl_freezd2collectzd2zz__evaluatez00(obj_t BgL_sz00_340,
		obj_t BgL_bpz00_341, obj_t BgL_iza2za2_342)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1403 */
			{	/* Eval/evaluate.scm 1404 */
				int BgL_nz00_3458;

				BgL_nz00_3458 = VECTOR_LENGTH(BgL_iza2za2_342);
				{	/* Eval/evaluate.scm 1404 */
					obj_t BgL_rz00_3459;

					BgL_rz00_3459 = make_vector(BgL_nz00_3458, BUNSPEC);
					{	/* Eval/evaluate.scm 1404 */

						{
							long BgL_iz00_3461;

							BgL_iz00_3461 = ((long) 0);
						BgL_zc3anonymousza34776ze3z83_3462:
							if ((BgL_iz00_3461 >= (long) (BgL_nz00_3458)))
								{	/* Eval/evaluate.scm 1406 */
									return BgL_rz00_3459;
								}
							else
								{	/* Eval/evaluate.scm 1406 */
									{	/* Eval/evaluate.scm 1409 */
										obj_t BgL_arg4778z00_3464;

										{	/* Eval/evaluate.scm 1409 */
											long BgL_arg4780z00_3465;

											{	/* Eval/evaluate.scm 1409 */
												obj_t BgL_arg4782z00_3466;

												BgL_arg4782z00_3466 =
													VECTOR_REF(BgL_iza2za2_342, (int) (BgL_iz00_3461));
												BgL_arg4780z00_3465 =
													(
													(long) CINT(BgL_bpz00_341) +
													(long) CINT(BgL_arg4782z00_3466));
											}
											BgL_arg4778z00_3464 =
												VECTOR_REF(BgL_sz00_340, (int) (BgL_arg4780z00_3465));
										}
										VECTOR_SET(BgL_rz00_3459,
											(int) (BgL_iz00_3461), BgL_arg4778z00_3464);
									}
									{
										long BgL_iz00_32640;

										BgL_iz00_32640 = (BgL_iz00_3461 + ((long) 1));
										BgL_iz00_3461 = BgL_iz00_32640;
										goto BgL_zc3anonymousza34776ze3z83_3462;
									}
								}
						}
					}
				}
			}
		}
	}



/* free-restore */
	bool_t BGl_freezd2restorezd2zz__evaluatez00(obj_t BgL_sz00_343,
		obj_t BgL_valza2za2_344, long BgL_spz00_345)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1412 */
			{	/* Eval/evaluate.scm 1413 */
				long BgL_stopz00_3470;

				{	/* Eval/evaluate.scm 1413 */
					int BgL_arg4790z00_3480;

					BgL_arg4790z00_3480 = VECTOR_LENGTH(BgL_valza2za2_344);
					BgL_stopz00_3470 = (BgL_spz00_345 + (long) (BgL_arg4790z00_3480));
				}
				{
					long BgL_iz00_13785;

					long BgL_spz00_13786;

					BgL_iz00_13785 = ((long) 0);
					BgL_spz00_13786 = BgL_spz00_345;
				BgL_recz00_13784:
					if ((BgL_spz00_13786 < BgL_stopz00_3470))
						{	/* Eval/evaluate.scm 1414 */
							VECTOR_SET(BgL_sz00_343,
								(int) (BgL_spz00_13786),
								VECTOR_REF(BgL_valza2za2_344, (int) (BgL_iz00_13785)));
							{
								long BgL_spz00_32653;

								long BgL_iz00_32651;

								BgL_iz00_32651 = (BgL_iz00_13785 + ((long) 1));
								BgL_spz00_32653 = (BgL_spz00_13786 + ((long) 1));
								BgL_spz00_13786 = BgL_spz00_32653;
								BgL_iz00_13785 = BgL_iz00_32651;
								goto BgL_recz00_13784;
							}
						}
					else
						{	/* Eval/evaluate.scm 1414 */
							return ((bool_t) 0);
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			{	/* Eval/evaluate.scm 62 */
				obj_t BgL_arg4791z00_3481;

				obj_t BgL_arg4792z00_3482;

				obj_t BgL_arg4797z00_3487;

				BgL_arg4791z00_3481 = BGl_symbol8234z00zz__evaluatez00;
				BgL_arg4792z00_3482 = BGl_objectz00zz__objectz00;
				{	/* Eval/evaluate.scm 62 */
					obj_t BgL_v3198z00_3489;

					BgL_v3198z00_3489 = create_vector((int) (((long) 0)));
					BgL_arg4797z00_3487 = BgL_v3198z00_3489;
				}
				BGl_ev_exprz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4791z00_3481,
					BgL_arg4792z00_3482, ((bool_t) 0),
					BGl_makezd2ev_exprzd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_exprzd2envz52zz__evaluatez00,
					BGl_ev_exprzd2nilzd2envz00zz__evaluatez00,
					BGl_ev_exprzf3zd2envz21zz__evaluatez00, ((long) 61351090), BNIL,
					BFALSE, BgL_arg4797z00_3487);
			}
			{	/* Eval/evaluate.scm 64 */
				obj_t BgL_arg4799z00_3490;

				obj_t BgL_arg4800z00_3491;

				obj_t BgL_arg4805z00_3495;

				obj_t BgL_arg4806z00_3496;

				BgL_arg4799z00_3490 = BGl_symbol8236z00zz__evaluatez00;
				BgL_arg4800z00_3491 = BGl_ev_exprz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 64 */
					obj_t BgL_arg4807z00_3497;

					obj_t BgL_arg4808z00_3498;

					BgL_arg4807z00_3497 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8238z00zz__evaluatez00,
						BGl_ev_varzd2namezd2envz00zz__evaluatez00,
						BGl_ev_varzd2namezd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg4808z00_3498 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8240z00zz__evaluatez00,
						BGl_ev_varzd2effzd2envz00zz__evaluatez00,
						BGl_ev_varzd2effzd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE, BFALSE);
					{	/* Eval/evaluate.scm 64 */
						obj_t BgL_list4809z00_3499;

						{	/* Eval/evaluate.scm 64 */
							obj_t BgL_arg4810z00_3500;

							BgL_arg4810z00_3500 = MAKE_PAIR(BgL_arg4808z00_3498, BNIL);
							BgL_list4809z00_3499 =
								MAKE_PAIR(BgL_arg4807z00_3497, BgL_arg4810z00_3500);
						}
						BgL_arg4805z00_3495 = BgL_list4809z00_3499;
				}}
				{	/* Eval/evaluate.scm 64 */
					obj_t BgL_v3199z00_3503;

					BgL_v3199z00_3503 = create_vector((int) (((long) 0)));
					BgL_arg4806z00_3496 = BgL_v3199z00_3503;
				}
				BGl_ev_varz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4799z00_3490,
					BgL_arg4800z00_3491, ((bool_t) 0),
					BGl_makezd2ev_varzd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_varzd2envz52zz__evaluatez00,
					BGl_ev_varzd2nilzd2envz00zz__evaluatez00,
					BGl_ev_varzf3zd2envz21zz__evaluatez00, ((long) 13308738),
					BgL_arg4805z00_3495, BFALSE, BgL_arg4806z00_3496);
			}
			{	/* Eval/evaluate.scm 65 */
				obj_t BgL_arg4813z00_3504;

				obj_t BgL_arg4814z00_3505;

				obj_t BgL_arg4819z00_3509;

				obj_t BgL_arg4820z00_3510;

				BgL_arg4813z00_3504 = BGl_symbol8242z00zz__evaluatez00;
				BgL_arg4814z00_3505 = BGl_ev_exprz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 65 */
					obj_t BgL_arg4821z00_3511;

					obj_t BgL_arg4822z00_3512;

					BgL_arg4821z00_3511 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8238z00zz__evaluatez00,
						BGl_ev_globalzd2namezd2envz00zz__evaluatez00,
						BGl_ev_globalzd2namezd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg4822z00_3512 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8244z00zz__evaluatez00,
						BGl_ev_globalzd2modzd2envz00zz__evaluatez00,
						BGl_ev_globalzd2modzd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					{	/* Eval/evaluate.scm 65 */
						obj_t BgL_list4823z00_3513;

						{	/* Eval/evaluate.scm 65 */
							obj_t BgL_arg4824z00_3514;

							BgL_arg4824z00_3514 = MAKE_PAIR(BgL_arg4822z00_3512, BNIL);
							BgL_list4823z00_3513 =
								MAKE_PAIR(BgL_arg4821z00_3511, BgL_arg4824z00_3514);
						}
						BgL_arg4819z00_3509 = BgL_list4823z00_3513;
				}}
				{	/* Eval/evaluate.scm 65 */
					obj_t BgL_v3200z00_3519;

					BgL_v3200z00_3519 = create_vector((int) (((long) 0)));
					BgL_arg4820z00_3510 = BgL_v3200z00_3519;
				}
				BGl_ev_globalz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4813z00_3504,
					BgL_arg4814z00_3505, ((bool_t) 0),
					BGl_makezd2ev_globalzd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_globalzd2envz52zz__evaluatez00,
					BGl_ev_globalzd2nilzd2envz00zz__evaluatez00,
					BGl_ev_globalzf3zd2envz21zz__evaluatez00, ((long) 144125777),
					BgL_arg4819z00_3509, BFALSE, BgL_arg4820z00_3510);
			}
			{	/* Eval/evaluate.scm 67 */
				obj_t BgL_arg4829z00_3520;

				obj_t BgL_arg4830z00_3521;

				obj_t BgL_arg4834z00_3525;

				obj_t BgL_arg4835z00_3526;

				BgL_arg4829z00_3520 = BGl_symbol8246z00zz__evaluatez00;
				BgL_arg4830z00_3521 = BGl_ev_exprz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 67 */
					obj_t BgL_arg4836z00_3527;

					BgL_arg4836z00_3527 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8248z00zz__evaluatez00,
						BGl_ev_littzd2valuezd2envz00zz__evaluatez00,
						BGl_ev_littzd2valuezd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					{	/* Eval/evaluate.scm 67 */
						obj_t BgL_list4837z00_3528;

						BgL_list4837z00_3528 = MAKE_PAIR(BgL_arg4836z00_3527, BNIL);
						BgL_arg4834z00_3525 = BgL_list4837z00_3528;
				}}
				{	/* Eval/evaluate.scm 67 */
					obj_t BgL_v3201z00_3531;

					BgL_v3201z00_3531 = create_vector((int) (((long) 0)));
					BgL_arg4835z00_3526 = BgL_v3201z00_3531;
				}
				BGl_ev_littz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4829z00_3520,
					BgL_arg4830z00_3521, ((bool_t) 0),
					BGl_makezd2ev_littzd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_littzd2envz52zz__evaluatez00,
					BGl_ev_littzd2nilzd2envz00zz__evaluatez00,
					BGl_ev_littzf3zd2envz21zz__evaluatez00, ((long) 61161238),
					BgL_arg4834z00_3525, BFALSE, BgL_arg4835z00_3526);
			}
			{	/* Eval/evaluate.scm 68 */
				obj_t BgL_arg4840z00_3532;

				obj_t BgL_arg4841z00_3533;

				obj_t BgL_arg4846z00_3537;

				obj_t BgL_arg4847z00_3538;

				BgL_arg4840z00_3532 = BGl_symbol8250z00zz__evaluatez00;
				BgL_arg4841z00_3533 = BGl_ev_exprz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 68 */
					obj_t BgL_arg4848z00_3539;

					obj_t BgL_arg4849z00_3540;

					obj_t BgL_arg4850z00_3541;

					BgL_arg4848z00_3539 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8252z00zz__evaluatez00,
						BGl_ev_ifzd2pzd2envz00zz__evaluatez00,
						BGl_ev_ifzd2pzd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg4849z00_3540 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8254z00zz__evaluatez00,
						BGl_ev_ifzd2tzd2envz00zz__evaluatez00,
						BGl_ev_ifzd2tzd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg4850z00_3541 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8256z00zz__evaluatez00,
						BGl_ev_ifzd2ezd2envz00zz__evaluatez00,
						BGl_ev_ifzd2ezd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					{	/* Eval/evaluate.scm 68 */
						obj_t BgL_list4851z00_3542;

						{	/* Eval/evaluate.scm 68 */
							obj_t BgL_arg4852z00_3543;

							{	/* Eval/evaluate.scm 68 */
								obj_t BgL_arg4853z00_3544;

								BgL_arg4853z00_3544 = MAKE_PAIR(BgL_arg4850z00_3541, BNIL);
								BgL_arg4852z00_3543 =
									MAKE_PAIR(BgL_arg4849z00_3540, BgL_arg4853z00_3544);
							}
							BgL_list4851z00_3542 =
								MAKE_PAIR(BgL_arg4848z00_3539, BgL_arg4852z00_3543);
						}
						BgL_arg4846z00_3537 = BgL_list4851z00_3542;
				}}
				{	/* Eval/evaluate.scm 68 */
					obj_t BgL_v3202z00_3551;

					BgL_v3202z00_3551 = create_vector((int) (((long) 0)));
					BgL_arg4847z00_3538 = BgL_v3202z00_3551;
				}
				BGl_ev_ifz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4840z00_3532,
					BgL_arg4841z00_3533, ((bool_t) 0),
					BGl_makezd2ev_ifzd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_ifzd2envz52zz__evaluatez00,
					BGl_ev_ifzd2nilzd2envz00zz__evaluatez00,
					BGl_ev_ifzf3zd2envz21zz__evaluatez00, ((long) 431718205),
					BgL_arg4846z00_3537, BFALSE, BgL_arg4847z00_3538);
			}
			{	/* Eval/evaluate.scm 69 */
				obj_t BgL_arg4860z00_3552;

				obj_t BgL_arg4861z00_3553;

				obj_t BgL_arg4865z00_3557;

				obj_t BgL_arg4866z00_3558;

				BgL_arg4860z00_3552 = BGl_symbol8258z00zz__evaluatez00;
				BgL_arg4861z00_3553 = BGl_ev_exprz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 69 */
					obj_t BgL_arg4867z00_3559;

					BgL_arg4867z00_3559 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8260z00zz__evaluatez00,
						BGl_ev_listzd2argszd2envz00zz__evaluatez00,
						BGl_ev_listzd2argszd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					{	/* Eval/evaluate.scm 69 */
						obj_t BgL_list4868z00_3560;

						BgL_list4868z00_3560 = MAKE_PAIR(BgL_arg4867z00_3559, BNIL);
						BgL_arg4865z00_3557 = BgL_list4868z00_3560;
				}}
				{	/* Eval/evaluate.scm 69 */
					obj_t BgL_v3203z00_3563;

					BgL_v3203z00_3563 = create_vector((int) (((long) 0)));
					BgL_arg4866z00_3558 = BgL_v3203z00_3563;
				}
				BGl_ev_listz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4860z00_3552,
					BgL_arg4861z00_3553, ((bool_t) 0),
					BGl_makezd2ev_listzd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_listzd2envz52zz__evaluatez00,
					BGl_ev_listzd2nilzd2envz00zz__evaluatez00,
					BGl_ev_listzf3zd2envz21zz__evaluatez00, ((long) 61411233),
					BgL_arg4865z00_3557, BFALSE, BgL_arg4866z00_3558);
			}
			{	/* Eval/evaluate.scm 70 */
				obj_t BgL_arg4871z00_3564;

				obj_t BgL_arg4872z00_3565;

				obj_t BgL_arg4877z00_3570;

				BgL_arg4871z00_3564 = BGl_symbol8262z00zz__evaluatez00;
				BgL_arg4872z00_3565 = BGl_ev_listz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 70 */
					obj_t BgL_v3204z00_3572;

					BgL_v3204z00_3572 = create_vector((int) (((long) 0)));
					BgL_arg4877z00_3570 = BgL_v3204z00_3572;
				}
				BGl_ev_orz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4871z00_3564,
					BgL_arg4872z00_3565, ((bool_t) 0),
					BGl_makezd2ev_orzd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_orzd2envz52zz__evaluatez00,
					BGl_ev_orzd2nilzd2envz00zz__evaluatez00,
					BGl_ev_orzf3zd2envz21zz__evaluatez00, ((long) 757492), BNIL, BFALSE,
					BgL_arg4877z00_3570);
			}
			{	/* Eval/evaluate.scm 71 */
				obj_t BgL_arg4879z00_3573;

				obj_t BgL_arg4880z00_3574;

				obj_t BgL_arg4885z00_3579;

				BgL_arg4879z00_3573 = BGl_symbol8264z00zz__evaluatez00;
				BgL_arg4880z00_3574 = BGl_ev_listz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 71 */
					obj_t BgL_v3205z00_3581;

					BgL_v3205z00_3581 = create_vector((int) (((long) 0)));
					BgL_arg4885z00_3579 = BgL_v3205z00_3581;
				}
				BGl_ev_andz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4879z00_3573,
					BgL_arg4880z00_3574, ((bool_t) 0),
					BGl_makezd2ev_andzd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_andzd2envz52zz__evaluatez00,
					BGl_ev_andzd2nilzd2envz00zz__evaluatez00,
					BGl_ev_andzf3zd2envz21zz__evaluatez00, ((long) 6816350), BNIL, BFALSE,
					BgL_arg4885z00_3579);
			}
			{	/* Eval/evaluate.scm 72 */
				obj_t BgL_arg4887z00_3582;

				obj_t BgL_arg4888z00_3583;

				obj_t BgL_arg4892z00_3587;

				obj_t BgL_arg4893z00_3588;

				BgL_arg4887z00_3582 = BGl_symbol8266z00zz__evaluatez00;
				BgL_arg4888z00_3583 = BGl_ev_exprz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 72 */
					obj_t BgL_arg4894z00_3589;

					obj_t BgL_arg4895z00_3590;

					BgL_arg4894z00_3589 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8268z00zz__evaluatez00,
						BGl_ev_prog2zd2e1zd2envz00zz__evaluatez00,
						BGl_ev_prog2zd2e1zd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg4895z00_3590 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8270z00zz__evaluatez00,
						BGl_ev_prog2zd2e2zd2envz00zz__evaluatez00,
						BGl_ev_prog2zd2e2zd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					{	/* Eval/evaluate.scm 72 */
						obj_t BgL_list4896z00_3591;

						{	/* Eval/evaluate.scm 72 */
							obj_t BgL_arg4897z00_3592;

							BgL_arg4897z00_3592 = MAKE_PAIR(BgL_arg4895z00_3590, BNIL);
							BgL_list4896z00_3591 =
								MAKE_PAIR(BgL_arg4894z00_3589, BgL_arg4897z00_3592);
						}
						BgL_arg4892z00_3587 = BgL_list4896z00_3591;
				}}
				{	/* Eval/evaluate.scm 72 */
					obj_t BgL_v3206z00_3597;

					BgL_v3206z00_3597 = create_vector((int) (((long) 0)));
					BgL_arg4893z00_3588 = BgL_v3206z00_3597;
				}
				BGl_ev_prog2z00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4887z00_3582,
					BgL_arg4888z00_3583, ((bool_t) 0),
					BGl_makezd2ev_prog2zd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_prog2zd2envz52zz__evaluatez00,
					BGl_ev_prog2zd2nilzd2envz00zz__evaluatez00,
					BGl_ev_prog2zf3zd2envz21zz__evaluatez00, ((long) 429056964),
					BgL_arg4892z00_3587, BFALSE, BgL_arg4893z00_3588);
			}
			{	/* Eval/evaluate.scm 73 */
				obj_t BgL_arg4902z00_3598;

				obj_t BgL_arg4903z00_3599;

				obj_t BgL_arg4907z00_3603;

				obj_t BgL_arg4908z00_3604;

				BgL_arg4902z00_3598 = BGl_symbol8272z00zz__evaluatez00;
				BgL_arg4903z00_3599 = BGl_ev_exprz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 73 */
					obj_t BgL_arg4909z00_3605;

					BgL_arg4909z00_3605 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8256z00zz__evaluatez00,
						BGl_ev_hookzd2ezd2envz00zz__evaluatez00,
						BGl_ev_hookzd2ezd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					{	/* Eval/evaluate.scm 73 */
						obj_t BgL_list4910z00_3606;

						BgL_list4910z00_3606 = MAKE_PAIR(BgL_arg4909z00_3605, BNIL);
						BgL_arg4907z00_3603 = BgL_list4910z00_3606;
				}}
				{	/* Eval/evaluate.scm 73 */
					obj_t BgL_v3207z00_3609;

					BgL_v3207z00_3609 = create_vector((int) (((long) 0)));
					BgL_arg4908z00_3604 = BgL_v3207z00_3609;
				}
				BGl_ev_hookz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4902z00_3598,
					BgL_arg4903z00_3599, ((bool_t) 0),
					BGl_makezd2ev_hookzd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_hookzd2envz52zz__evaluatez00,
					BGl_ev_hookzd2nilzd2envz00zz__evaluatez00,
					BGl_ev_hookzf3zd2envz21zz__evaluatez00, ((long) 115744503),
					BgL_arg4907z00_3603, BFALSE, BgL_arg4908z00_3604);
			}
			{	/* Eval/evaluate.scm 74 */
				obj_t BgL_arg4913z00_3610;

				obj_t BgL_arg4914z00_3611;

				obj_t BgL_arg4919z00_3616;

				BgL_arg4913z00_3610 = BGl_symbol8274z00zz__evaluatez00;
				BgL_arg4914z00_3611 = BGl_ev_hookz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 74 */
					obj_t BgL_v3208z00_3618;

					BgL_v3208z00_3618 = create_vector((int) (((long) 0)));
					BgL_arg4919z00_3616 = BgL_v3208z00_3618;
				}
				BGl_ev_trapz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4913z00_3610,
					BgL_arg4914z00_3611, ((bool_t) 0),
					BGl_makezd2ev_trapzd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_trapzd2envz52zz__evaluatez00,
					BGl_ev_trapzd2nilzd2envz00zz__evaluatez00,
					BGl_ev_trapzf3zd2envz21zz__evaluatez00, ((long) 61361402), BNIL,
					BFALSE, BgL_arg4919z00_3616);
			}
			{	/* Eval/evaluate.scm 75 */
				obj_t BgL_arg4921z00_3619;

				obj_t BgL_arg4922z00_3620;

				obj_t BgL_arg4926z00_3624;

				obj_t BgL_arg4927z00_3625;

				BgL_arg4921z00_3619 = BGl_symbol8276z00zz__evaluatez00;
				BgL_arg4922z00_3620 = BGl_ev_hookz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 75 */
					obj_t BgL_arg4928z00_3626;

					BgL_arg4928z00_3626 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8278z00zz__evaluatez00,
						BGl_ev_setlocalzd2vzd2envz00zz__evaluatez00,
						BGl_ev_setlocalzd2vzd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					{	/* Eval/evaluate.scm 75 */
						obj_t BgL_list4929z00_3627;

						BgL_list4929z00_3627 = MAKE_PAIR(BgL_arg4928z00_3626, BNIL);
						BgL_arg4926z00_3624 = BgL_list4929z00_3627;
				}}
				{	/* Eval/evaluate.scm 75 */
					obj_t BgL_v3209z00_3630;

					BgL_v3209z00_3630 = create_vector((int) (((long) 0)));
					BgL_arg4927z00_3625 = BgL_v3209z00_3630;
				}
				BGl_ev_setlocalz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4921z00_3619,
					BgL_arg4922z00_3620, ((bool_t) 0),
					BGl_makezd2ev_setlocalzd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_setlocalzd2envz52zz__evaluatez00,
					BGl_ev_setlocalzd2nilzd2envz00zz__evaluatez00,
					BGl_ev_setlocalzf3zd2envz21zz__evaluatez00, ((long) 439805116),
					BgL_arg4926z00_3624, BFALSE, BgL_arg4927z00_3625);
			}
			{	/* Eval/evaluate.scm 76 */
				obj_t BgL_arg4932z00_3631;

				obj_t BgL_arg4933z00_3632;

				obj_t BgL_arg4937z00_3636;

				obj_t BgL_arg4938z00_3637;

				BgL_arg4932z00_3631 = BGl_symbol8280z00zz__evaluatez00;
				BgL_arg4933z00_3632 = BGl_ev_hookz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 76 */
					obj_t BgL_arg4939z00_3638;

					obj_t BgL_arg4940z00_3639;

					BgL_arg4939z00_3638 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8238z00zz__evaluatez00,
						BGl_ev_setglobalzd2namezd2envz00zz__evaluatez00,
						BGl_ev_setglobalzd2namezd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg4940z00_3639 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8244z00zz__evaluatez00,
						BGl_ev_setglobalzd2modzd2envz00zz__evaluatez00,
						BGl_ev_setglobalzd2modzd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					{	/* Eval/evaluate.scm 76 */
						obj_t BgL_list4941z00_3640;

						{	/* Eval/evaluate.scm 76 */
							obj_t BgL_arg4942z00_3641;

							BgL_arg4942z00_3641 = MAKE_PAIR(BgL_arg4940z00_3639, BNIL);
							BgL_list4941z00_3640 =
								MAKE_PAIR(BgL_arg4939z00_3638, BgL_arg4942z00_3641);
						}
						BgL_arg4937z00_3636 = BgL_list4941z00_3640;
				}}
				{	/* Eval/evaluate.scm 76 */
					obj_t BgL_v3210z00_3646;

					BgL_v3210z00_3646 = create_vector((int) (((long) 0)));
					BgL_arg4938z00_3637 = BgL_v3210z00_3646;
				}
				BGl_ev_setglobalz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4932z00_3631,
					BgL_arg4933z00_3632, ((bool_t) 0),
					BGl_makezd2ev_setglobalzd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_setglobalzd2envz52zz__evaluatez00,
					BGl_ev_setglobalzd2nilzd2envz00zz__evaluatez00,
					BGl_ev_setglobalzf3zd2envz21zz__evaluatez00, ((long) 423104813),
					BgL_arg4937z00_3636, BFALSE, BgL_arg4938z00_3637);
			}
			{	/* Eval/evaluate.scm 77 */
				obj_t BgL_arg4947z00_3647;

				obj_t BgL_arg4948z00_3648;

				obj_t BgL_arg4953z00_3653;

				BgL_arg4947z00_3647 = BGl_symbol8282z00zz__evaluatez00;
				BgL_arg4948z00_3648 = BGl_ev_setglobalz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 77 */
					obj_t BgL_v3211z00_3655;

					BgL_v3211z00_3655 = create_vector((int) (((long) 0)));
					BgL_arg4953z00_3653 = BgL_v3211z00_3655;
				}
				BGl_ev_defglobalz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4947z00_3647,
					BgL_arg4948z00_3648, ((bool_t) 0),
					BGl_makezd2ev_defglobalzd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_defglobalzd2envz52zz__evaluatez00,
					BGl_ev_defglobalzd2nilzd2envz00zz__evaluatez00,
					BGl_ev_defglobalzf3zd2envz21zz__evaluatez00, ((long) 313322443), BNIL,
					BFALSE, BgL_arg4953z00_3653);
			}
			{	/* Eval/evaluate.scm 78 */
				obj_t BgL_arg4955z00_3656;

				obj_t BgL_arg4956z00_3657;

				obj_t BgL_arg4960z00_3661;

				obj_t BgL_arg4961z00_3662;

				BgL_arg4955z00_3656 = BGl_symbol8284z00zz__evaluatez00;
				BgL_arg4956z00_3657 = BGl_ev_exprz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 78 */
					obj_t BgL_arg4962z00_3663;

					obj_t BgL_arg4963z00_3664;

					BgL_arg4962z00_3663 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8286z00zz__evaluatez00,
						BGl_ev_bindzd2exitzd2varzd2envzd2zz__evaluatez00,
						BGl_ev_bindzd2exitzd2varzd2setz12zd2envz12zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg4963z00_3664 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8288z00zz__evaluatez00,
						BGl_ev_bindzd2exitzd2bodyzd2envzd2zz__evaluatez00,
						BGl_ev_bindzd2exitzd2bodyzd2setz12zd2envz12zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					{	/* Eval/evaluate.scm 78 */
						obj_t BgL_list4964z00_3665;

						{	/* Eval/evaluate.scm 78 */
							obj_t BgL_arg4965z00_3666;

							BgL_arg4965z00_3666 = MAKE_PAIR(BgL_arg4963z00_3664, BNIL);
							BgL_list4964z00_3665 =
								MAKE_PAIR(BgL_arg4962z00_3663, BgL_arg4965z00_3666);
						}
						BgL_arg4960z00_3661 = BgL_list4964z00_3665;
				}}
				{	/* Eval/evaluate.scm 78 */
					obj_t BgL_v3212z00_3671;

					BgL_v3212z00_3671 = create_vector((int) (((long) 0)));
					BgL_arg4961z00_3662 = BgL_v3212z00_3671;
				}
				BGl_ev_bindzd2exitzd2zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4955z00_3656,
					BgL_arg4956z00_3657, ((bool_t) 0),
					BGl_makezd2ev_bindzd2exitzd2envzd2zz__evaluatez00,
					BGl_z52allocatezd2ev_bindzd2exitzd2envz80zz__evaluatez00,
					BGl_ev_bindzd2exitzd2nilzd2envzd2zz__evaluatez00,
					BGl_ev_bindzd2exitzf3zd2envzf3zz__evaluatez00, ((long) 430549506),
					BgL_arg4960z00_3661, BFALSE, BgL_arg4961z00_3662);
			}
			{	/* Eval/evaluate.scm 79 */
				obj_t BgL_arg4970z00_3672;

				obj_t BgL_arg4971z00_3673;

				obj_t BgL_arg4975z00_3677;

				obj_t BgL_arg4977z00_3678;

				BgL_arg4970z00_3672 = BGl_symbol8290z00zz__evaluatez00;
				BgL_arg4971z00_3673 = BGl_ev_exprz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 79 */
					obj_t BgL_arg4978z00_3679;

					obj_t BgL_arg4979z00_3680;

					BgL_arg4978z00_3679 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8256z00zz__evaluatez00,
						BGl_ev_unwindzd2protectzd2ezd2envzd2zz__evaluatez00,
						BGl_ev_unwindzd2protectzd2ezd2setz12zd2envz12zz__evaluatez00,
						BUNSPEC, ((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg4979z00_3680 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8288z00zz__evaluatez00,
						BGl_ev_unwindzd2protectzd2bodyzd2envzd2zz__evaluatez00,
						BGl_ev_unwindzd2protectzd2bodyzd2setz12zd2envz12zz__evaluatez00,
						BUNSPEC, ((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					{	/* Eval/evaluate.scm 79 */
						obj_t BgL_list4980z00_3681;

						{	/* Eval/evaluate.scm 79 */
							obj_t BgL_arg4981z00_3682;

							BgL_arg4981z00_3682 = MAKE_PAIR(BgL_arg4979z00_3680, BNIL);
							BgL_list4980z00_3681 =
								MAKE_PAIR(BgL_arg4978z00_3679, BgL_arg4981z00_3682);
						}
						BgL_arg4975z00_3677 = BgL_list4980z00_3681;
				}}
				{	/* Eval/evaluate.scm 79 */
					obj_t BgL_v3213z00_3687;

					BgL_v3213z00_3687 = create_vector((int) (((long) 0)));
					BgL_arg4977z00_3678 = BgL_v3213z00_3687;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4970z00_3672,
					BgL_arg4971z00_3673, ((bool_t) 0),
					BGl_makezd2ev_unwindzd2protectzd2envzd2zz__evaluatez00,
					BGl_z52allocatezd2ev_unwindzd2protectzd2envz80zz__evaluatez00,
					BGl_ev_unwindzd2protectzd2nilzd2envzd2zz__evaluatez00,
					BGl_ev_unwindzd2protectzf3zd2envzf3zz__evaluatez00,
					((long) 235315977), BgL_arg4975z00_3677, BFALSE, BgL_arg4977z00_3678);
			}
			{	/* Eval/evaluate.scm 80 */
				obj_t BgL_arg4986z00_3688;

				obj_t BgL_arg4987z00_3689;

				obj_t BgL_arg4991z00_3693;

				obj_t BgL_arg4993z00_3694;

				BgL_arg4986z00_3688 = BGl_symbol8292z00zz__evaluatez00;
				BgL_arg4987z00_3689 = BGl_ev_exprz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 80 */
					obj_t BgL_arg4994z00_3695;

					obj_t BgL_arg4995z00_3696;

					BgL_arg4994z00_3695 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8294z00zz__evaluatez00,
						BGl_ev_withzd2handlerzd2handlerzd2envzd2zz__evaluatez00,
						BGl_ev_withzd2handlerzd2handlerzd2setz12zd2envz12zz__evaluatez00,
						BUNSPEC, ((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg4995z00_3696 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8288z00zz__evaluatez00,
						BGl_ev_withzd2handlerzd2bodyzd2envzd2zz__evaluatez00,
						BGl_ev_withzd2handlerzd2bodyzd2setz12zd2envz12zz__evaluatez00,
						BUNSPEC, ((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					{	/* Eval/evaluate.scm 80 */
						obj_t BgL_list4996z00_3697;

						{	/* Eval/evaluate.scm 80 */
							obj_t BgL_arg4997z00_3698;

							BgL_arg4997z00_3698 = MAKE_PAIR(BgL_arg4995z00_3696, BNIL);
							BgL_list4996z00_3697 =
								MAKE_PAIR(BgL_arg4994z00_3695, BgL_arg4997z00_3698);
						}
						BgL_arg4991z00_3693 = BgL_list4996z00_3697;
				}}
				{	/* Eval/evaluate.scm 80 */
					obj_t BgL_v3214z00_3703;

					BgL_v3214z00_3703 = create_vector((int) (((long) 0)));
					BgL_arg4993z00_3694 = BgL_v3214z00_3703;
				}
				BGl_ev_withzd2handlerzd2zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4986z00_3688,
					BgL_arg4987z00_3689, ((bool_t) 0),
					BGl_makezd2ev_withzd2handlerzd2envzd2zz__evaluatez00,
					BGl_z52allocatezd2ev_withzd2handlerzd2envz80zz__evaluatez00,
					BGl_ev_withzd2handlerzd2nilzd2envzd2zz__evaluatez00,
					BGl_ev_withzd2handlerzf3zd2envzf3zz__evaluatez00, ((long) 70959618),
					BgL_arg4991z00_3693, BFALSE, BgL_arg4993z00_3694);
			}
			{	/* Eval/evaluate.scm 81 */
				obj_t BgL_arg5002z00_3704;

				obj_t BgL_arg5003z00_3705;

				obj_t BgL_arg5007z00_3709;

				obj_t BgL_arg5008z00_3710;

				BgL_arg5002z00_3704 = BGl_symbol8296z00zz__evaluatez00;
				BgL_arg5003z00_3705 = BGl_ev_exprz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 81 */
					obj_t BgL_arg5009z00_3711;

					obj_t BgL_arg5010z00_3712;

					obj_t BgL_arg5011z00_3713;

					BgL_arg5009z00_3711 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8298z00zz__evaluatez00,
						BGl_ev_binderzd2varszd2envz00zz__evaluatez00,
						BGl_ev_binderzd2varszd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg5010z00_3712 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8300z00zz__evaluatez00,
						BGl_ev_binderzd2valszd2envz00zz__evaluatez00,
						BGl_ev_binderzd2valszd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg5011z00_3713 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8288z00zz__evaluatez00,
						BGl_ev_binderzd2bodyzd2envz00zz__evaluatez00,
						BGl_ev_binderzd2bodyzd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					{	/* Eval/evaluate.scm 81 */
						obj_t BgL_list5012z00_3714;

						{	/* Eval/evaluate.scm 81 */
							obj_t BgL_arg5013z00_3715;

							{	/* Eval/evaluate.scm 81 */
								obj_t BgL_arg5014z00_3716;

								BgL_arg5014z00_3716 = MAKE_PAIR(BgL_arg5011z00_3713, BNIL);
								BgL_arg5013z00_3715 =
									MAKE_PAIR(BgL_arg5010z00_3712, BgL_arg5014z00_3716);
							}
							BgL_list5012z00_3714 =
								MAKE_PAIR(BgL_arg5009z00_3711, BgL_arg5013z00_3715);
						}
						BgL_arg5007z00_3709 = BgL_list5012z00_3714;
				}}
				{	/* Eval/evaluate.scm 81 */
					obj_t BgL_v3215z00_3723;

					BgL_v3215z00_3723 = create_vector((int) (((long) 0)));
					BgL_arg5008z00_3710 = BgL_v3215z00_3723;
				}
				BGl_ev_binderz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg5002z00_3704,
					BgL_arg5003z00_3705, ((bool_t) 0),
					BGl_makezd2ev_binderzd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_binderzd2envz52zz__evaluatez00,
					BGl_ev_binderzd2nilzd2envz00zz__evaluatez00,
					BGl_ev_binderzf3zd2envz21zz__evaluatez00, ((long) 496618329),
					BgL_arg5007z00_3709, BFALSE, BgL_arg5008z00_3710);
			}
			{	/* Eval/evaluate.scm 82 */
				obj_t BgL_arg5021z00_3724;

				obj_t BgL_arg5022z00_3725;

				obj_t BgL_arg5026z00_3729;

				obj_t BgL_arg5027z00_3730;

				BgL_arg5021z00_3724 = BGl_symbol8302z00zz__evaluatez00;
				BgL_arg5022z00_3725 = BGl_ev_binderz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 82 */
					obj_t BgL_arg5028z00_3731;

					BgL_arg5028z00_3731 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8304z00zz__evaluatez00,
						BGl_ev_letzd2boxeszd2envz00zz__evaluatez00,
						BGl_ev_letzd2boxeszd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE, BGl_list8306z00zz__evaluatez00);
					{	/* Eval/evaluate.scm 82 */
						obj_t BgL_list5029z00_3732;

						BgL_list5029z00_3732 = MAKE_PAIR(BgL_arg5028z00_3731, BNIL);
						BgL_arg5026z00_3729 = BgL_list5029z00_3732;
				}}
				{	/* Eval/evaluate.scm 82 */
					obj_t BgL_v3216z00_3733;

					BgL_v3216z00_3733 = create_vector((int) (((long) 0)));
					BgL_arg5027z00_3730 = BgL_v3216z00_3733;
				}
				BGl_ev_letz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg5021z00_3724,
					BgL_arg5022z00_3725, ((bool_t) 0),
					BGl_makezd2ev_letzd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_letzd2envz52zz__evaluatez00,
					BGl_ev_letzd2nilzd2envz00zz__evaluatez00,
					BGl_ev_letzf3zd2envz21zz__evaluatez00, ((long) 6500394),
					BgL_arg5026z00_3729, BFALSE, BgL_arg5027z00_3730);
			}
			{	/* Eval/evaluate.scm 83 */
				obj_t BgL_arg5030z00_3734;

				obj_t BgL_arg5031z00_3735;

				obj_t BgL_arg5035z00_3739;

				obj_t BgL_arg5036z00_3740;

				BgL_arg5030z00_3734 = BGl_symbol8307z00zz__evaluatez00;
				BgL_arg5031z00_3735 = BGl_ev_binderz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 83 */
					obj_t BgL_arg5037z00_3741;

					BgL_arg5037z00_3741 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8304z00zz__evaluatez00,
						BGl_ev_letza2zd2boxeszd2envza2zz__evaluatez00,
						BGl_ev_letza2zd2boxeszd2setz12zd2envz62zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE, BGl_list8306z00zz__evaluatez00);
					{	/* Eval/evaluate.scm 83 */
						obj_t BgL_list5038z00_3742;

						BgL_list5038z00_3742 = MAKE_PAIR(BgL_arg5037z00_3741, BNIL);
						BgL_arg5035z00_3739 = BgL_list5038z00_3742;
				}}
				{	/* Eval/evaluate.scm 83 */
					obj_t BgL_v3217z00_3743;

					BgL_v3217z00_3743 = create_vector((int) (((long) 0)));
					BgL_arg5036z00_3740 = BgL_v3217z00_3743;
				}
				BGl_ev_letza2za2zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg5030z00_3734,
					BgL_arg5031z00_3735, ((bool_t) 0),
					BGl_makezd2ev_letza2zd2envza2zz__evaluatez00,
					BGl_z52allocatezd2ev_letza2zd2envzf0zz__evaluatez00,
					BGl_ev_letza2zd2nilzd2envza2zz__evaluatez00,
					BGl_ev_letza2zf3zd2envz83zz__evaluatez00, ((long) 61016008),
					BgL_arg5035z00_3739, BFALSE, BgL_arg5036z00_3740);
			}
			{	/* Eval/evaluate.scm 84 */
				obj_t BgL_arg5039z00_3744;

				obj_t BgL_arg5040z00_3745;

				obj_t BgL_arg5045z00_3750;

				BgL_arg5039z00_3744 = BGl_symbol8309z00zz__evaluatez00;
				BgL_arg5040z00_3745 = BGl_ev_binderz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 84 */
					obj_t BgL_v3218z00_3752;

					BgL_v3218z00_3752 = create_vector((int) (((long) 0)));
					BgL_arg5045z00_3750 = BgL_v3218z00_3752;
				}
				BGl_ev_letrecz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg5039z00_3744,
					BgL_arg5040z00_3745, ((bool_t) 0),
					BGl_makezd2ev_letreczd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_letreczd2envz52zz__evaluatez00,
					BGl_ev_letreczd2nilzd2envz00zz__evaluatez00,
					BGl_ev_letreczf3zd2envz21zz__evaluatez00, ((long) 137892610), BNIL,
					BFALSE, BgL_arg5045z00_3750);
			}
			{	/* Eval/evaluate.scm 85 */
				obj_t BgL_arg5047z00_3753;

				obj_t BgL_arg5048z00_3754;

				obj_t BgL_arg5052z00_3758;

				obj_t BgL_arg5053z00_3759;

				BgL_arg5047z00_3753 = BGl_symbol8311z00zz__evaluatez00;
				BgL_arg5048z00_3754 = BGl_ev_exprz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 85 */
					obj_t BgL_arg5054z00_3760;

					obj_t BgL_arg5055z00_3761;

					obj_t BgL_arg5056z00_3762;

					obj_t BgL_arg5057z00_3763;

					BgL_arg5054z00_3760 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8313z00zz__evaluatez00,
						BGl_ev_appzd2loczd2envz00zz__evaluatez00,
						BGl_ev_appzd2loczd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg5055z00_3761 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8315z00zz__evaluatez00,
						BGl_ev_appzd2funzd2envz00zz__evaluatez00,
						BGl_ev_appzd2funzd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg5056z00_3762 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8260z00zz__evaluatez00,
						BGl_ev_appzd2argszd2envz00zz__evaluatez00,
						BGl_ev_appzd2argszd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg5057z00_3763 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8317z00zz__evaluatez00,
						BGl_ev_appzd2tailzf3zd2envzf3zz__evaluatez00,
						BGl_ev_appzd2tailzf3zd2setz12zd2envz33zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					{	/* Eval/evaluate.scm 85 */
						obj_t BgL_list5058z00_3764;

						{	/* Eval/evaluate.scm 85 */
							obj_t BgL_arg5059z00_3765;

							{	/* Eval/evaluate.scm 85 */
								obj_t BgL_arg5060z00_3766;

								{	/* Eval/evaluate.scm 85 */
									obj_t BgL_arg5061z00_3767;

									BgL_arg5061z00_3767 = MAKE_PAIR(BgL_arg5057z00_3763, BNIL);
									BgL_arg5060z00_3766 =
										MAKE_PAIR(BgL_arg5056z00_3762, BgL_arg5061z00_3767);
								}
								BgL_arg5059z00_3765 =
									MAKE_PAIR(BgL_arg5055z00_3761, BgL_arg5060z00_3766);
							}
							BgL_list5058z00_3764 =
								MAKE_PAIR(BgL_arg5054z00_3760, BgL_arg5059z00_3765);
						}
						BgL_arg5052z00_3758 = BgL_list5058z00_3764;
				}}
				{	/* Eval/evaluate.scm 85 */
					obj_t BgL_v3219z00_3776;

					BgL_v3219z00_3776 = create_vector((int) (((long) 0)));
					BgL_arg5053z00_3759 = BgL_v3219z00_3776;
				}
				BGl_ev_appz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg5047z00_3753,
					BgL_arg5048z00_3754, ((bool_t) 0),
					BGl_makezd2ev_appzd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_appzd2envz52zz__evaluatez00,
					BGl_ev_appzd2nilzd2envz00zz__evaluatez00,
					BGl_ev_appzf3zd2envz21zz__evaluatez00, ((long) 331877704),
					BgL_arg5052z00_3758, BFALSE, BgL_arg5053z00_3759);
			}
			{	/* Eval/evaluate.scm 86 */
				obj_t BgL_arg5070z00_3777;

				obj_t BgL_arg5071z00_3778;

				obj_t BgL_arg5075z00_3782;

				obj_t BgL_arg5076z00_3783;

				BgL_arg5070z00_3777 = BGl_symbol8319z00zz__evaluatez00;
				BgL_arg5071z00_3778 = BGl_ev_exprz00zz__evaluatez00;
				{	/* Eval/evaluate.scm 86 */
					obj_t BgL_arg5077z00_3784;

					obj_t BgL_arg5078z00_3785;

					obj_t BgL_arg5079z00_3786;

					obj_t BgL_arg5080z00_3787;

					obj_t BgL_arg5081z00_3788;

					obj_t BgL_arg5082z00_3789;

					obj_t BgL_arg5083z00_3790;

					obj_t BgL_arg5084z00_3791;

					obj_t BgL_arg5085z00_3792;

					obj_t BgL_arg5086z00_3793;

					BgL_arg5077z00_3784 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8313z00zz__evaluatez00,
						BGl_ev_abszd2loczd2envz00zz__evaluatez00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg5078z00_3785 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8321z00zz__evaluatez00,
						BGl_ev_abszd2wherezd2envz00zz__evaluatez00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg5079z00_3786 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8323z00zz__evaluatez00,
						BGl_ev_abszd2arityzd2envz00zz__evaluatez00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg5080z00_3787 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8298z00zz__evaluatez00,
						BGl_ev_abszd2varszd2envz00zz__evaluatez00,
						BGl_ev_abszd2varszd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg5081z00_3788 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8288z00zz__evaluatez00,
						BGl_ev_abszd2bodyzd2envz00zz__evaluatez00,
						BGl_ev_abszd2bodyzd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg5082z00_3789 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8325z00zz__evaluatez00,
						BGl_ev_abszd2siza7ezd2envza7zz__evaluatez00,
						BGl_ev_abszd2siza7ezd2setz12zd2envz67zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE, BINT(((long) 0)));
					BgL_arg5083z00_3790 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8327z00zz__evaluatez00,
						BGl_ev_abszd2bindzd2envz00zz__evaluatez00,
						BGl_ev_abszd2bindzd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE, BGl_list8306z00zz__evaluatez00);
					BgL_arg5084z00_3791 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8329z00zz__evaluatez00,
						BGl_ev_abszd2freezd2envz00zz__evaluatez00,
						BGl_ev_abszd2freezd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE, BGl_list8306z00zz__evaluatez00);
					BgL_arg5085z00_3792 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8331z00zz__evaluatez00,
						BGl_ev_abszd2innerzd2envz00zz__evaluatez00,
						BGl_ev_abszd2innerzd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE, BGl_list8306z00zz__evaluatez00);
					BgL_arg5086z00_3793 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol8304z00zz__evaluatez00,
						BGl_ev_abszd2boxeszd2envz00zz__evaluatez00,
						BGl_ev_abszd2boxeszd2setz12zd2envzc0zz__evaluatez00, BUNSPEC,
						((bool_t) 0), BFALSE, BGl_list8306z00zz__evaluatez00);
					{	/* Eval/evaluate.scm 86 */
						obj_t BgL_list5087z00_3794;

						{	/* Eval/evaluate.scm 86 */
							obj_t BgL_arg5088z00_3795;

							{	/* Eval/evaluate.scm 86 */
								obj_t BgL_arg5089z00_3796;

								{	/* Eval/evaluate.scm 86 */
									obj_t BgL_arg5090z00_3797;

									{	/* Eval/evaluate.scm 86 */
										obj_t BgL_arg5091z00_3798;

										{	/* Eval/evaluate.scm 86 */
											obj_t BgL_arg5092z00_3799;

											{	/* Eval/evaluate.scm 86 */
												obj_t BgL_arg5093z00_3800;

												{	/* Eval/evaluate.scm 86 */
													obj_t BgL_arg5094z00_3801;

													{	/* Eval/evaluate.scm 86 */
														obj_t BgL_arg5095z00_3802;

														{	/* Eval/evaluate.scm 86 */
															obj_t BgL_arg5096z00_3803;

															BgL_arg5096z00_3803 =
																MAKE_PAIR(BgL_arg5086z00_3793, BNIL);
															BgL_arg5095z00_3802 =
																MAKE_PAIR(BgL_arg5085z00_3792,
																BgL_arg5096z00_3803);
														}
														BgL_arg5094z00_3801 =
															MAKE_PAIR(BgL_arg5084z00_3791,
															BgL_arg5095z00_3802);
													}
													BgL_arg5093z00_3800 =
														MAKE_PAIR(BgL_arg5083z00_3790, BgL_arg5094z00_3801);
												}
												BgL_arg5092z00_3799 =
													MAKE_PAIR(BgL_arg5082z00_3789, BgL_arg5093z00_3800);
											}
											BgL_arg5091z00_3798 =
												MAKE_PAIR(BgL_arg5081z00_3788, BgL_arg5092z00_3799);
										}
										BgL_arg5090z00_3797 =
											MAKE_PAIR(BgL_arg5080z00_3787, BgL_arg5091z00_3798);
									}
									BgL_arg5089z00_3796 =
										MAKE_PAIR(BgL_arg5079z00_3786, BgL_arg5090z00_3797);
								}
								BgL_arg5088z00_3795 =
									MAKE_PAIR(BgL_arg5078z00_3785, BgL_arg5089z00_3796);
							}
							BgL_list5087z00_3794 =
								MAKE_PAIR(BgL_arg5077z00_3784, BgL_arg5088z00_3795);
						}
						BgL_arg5075z00_3782 = BgL_list5087z00_3794;
				}}
				{	/* Eval/evaluate.scm 86 */
					obj_t BgL_v3220z00_3814;

					BgL_v3220z00_3814 = create_vector((int) (((long) 0)));
					BgL_arg5076z00_3783 = BgL_v3220z00_3814;
				}
				BGl_ev_absz00zz__evaluatez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg5070z00_3777,
					BgL_arg5071z00_3778, ((bool_t) 0),
					BGl_makezd2ev_abszd2envz00zz__evaluatez00,
					BGl_z52allocatezd2ev_abszd2envz52zz__evaluatez00,
					BGl_ev_abszd2nilzd2envz00zz__evaluatez00,
					BGl_ev_abszf3zd2envz21zz__evaluatez00, ((long) 116257374),
					BgL_arg5075z00_3782, BFALSE, BgL_arg5076z00_3783);
			}
			BGl_z52thezd2ev_abszd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_appzd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_letreczd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_letza2zd2nilzf0zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_letzd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_binderzd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_withzd2handlerzd2nilz80zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_unwindzd2protectzd2nilz80zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_bindzd2exitzd2nilz80zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_defglobalzd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_setglobalzd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_setlocalzd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_trapzd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_hookzd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_prog2zd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_andzd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_orzd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_listzd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_ifzd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_littzd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_globalzd2nilz52zz__evaluatez00 = BUNSPEC;
			BGl_z52thezd2ev_varzd2nilz52zz__evaluatez00 = BUNSPEC;
			return (BGl_z52thezd2ev_exprzd2nilz52zz__evaluatez00 = BUNSPEC, BUNSPEC);
		}
	}



/* _ev_abs? */
	obj_t BGl__ev_abszf3zf3zz__evaluatez00(obj_t BgL_envz00_24645,
		obj_t BgL_obj2571z00_24646)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 86 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2571z00_24646,
					BGl_ev_absz00zz__evaluatez00));
		}
	}



/* make-ev_abs */
	BgL_ev_absz00_bglt BGl_makezd2ev_abszd2zz__evaluatez00(obj_t
		BgL_loc2494z00_350, obj_t BgL_where2495z00_351, obj_t BgL_arity2496z00_352,
		obj_t BgL_vars2497z00_353, BgL_ev_exprz00_bglt BgL_body2498z00_354,
		obj_t BgL_siza7e2499za7_355, obj_t BgL_bind2500z00_356,
		obj_t BgL_free2501z00_357, obj_t BgL_inner2502z00_358,
		obj_t BgL_boxes2503z00_359)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 86 */
			{	/* Eval/evaluate.scm 86 */
				BgL_ev_absz00_bglt BgL_new2504z00_13884;

				{	/* Eval/evaluate.scm 86 */
					BgL_ev_absz00_bglt BgL_res7322z00_13889;

					{	/* Eval/evaluate.scm 86 */
						BgL_ev_absz00_bglt BgL_new2528z00_13885;

						BgL_new2528z00_13885 =
							((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2528z00_13885),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_absz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 86 */
							BgL_objectz00_bglt BgL_auxz00_32843;

							BgL_auxz00_32843 = (BgL_objectz00_bglt) (BgL_new2528z00_13885);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_32843, BFALSE);
						}
						BgL_res7322z00_13889 = BgL_new2528z00_13885;
					}
					BgL_new2504z00_13884 = BgL_res7322z00_13889;
				}
				{	/* Eval/evaluate.scm 86 */
					BgL_ev_absz00_bglt BgL_res7323z00_13911;

					{	/* Eval/evaluate.scm 86 */
						BgL_ev_absz00_bglt BgL_new2516z00_13890;

						BgL_new2516z00_13890 = BgL_new2504z00_13884;
						{	/* Eval/evaluate.scm 86 */
							obj_t BgL_loc2506z00_13901;

							obj_t BgL_where2507z00_13902;

							obj_t BgL_arity2508z00_13903;

							obj_t BgL_vars2509z00_13904;

							BgL_ev_exprz00_bglt BgL_body2510z00_13905;

							obj_t BgL_siza7e2511za7_13906;

							obj_t BgL_bind2512z00_13907;

							obj_t BgL_free2513z00_13908;

							obj_t BgL_inner2514z00_13909;

							obj_t BgL_boxes2515z00_13910;

							BgL_loc2506z00_13901 = BgL_loc2494z00_350;
							BgL_where2507z00_13902 = BgL_where2495z00_351;
							BgL_arity2508z00_13903 = BgL_arity2496z00_352;
							BgL_vars2509z00_13904 = BgL_vars2497z00_353;
							BgL_body2510z00_13905 = BgL_body2498z00_354;
							BgL_siza7e2511za7_13906 = BgL_siza7e2499za7_355;
							BgL_bind2512z00_13907 = BgL_bind2500z00_356;
							BgL_free2513z00_13908 = BgL_free2501z00_357;
							BgL_inner2514z00_13909 = BgL_inner2502z00_358;
							BgL_boxes2515z00_13910 = BgL_boxes2503z00_359;
							((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13890))->BgL_locz00) =
								((obj_t) BgL_loc2506z00_13901), BUNSPEC);
							((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13890))->
									BgL_wherez00) = ((obj_t) BgL_where2507z00_13902), BUNSPEC);
							((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13890))->
									BgL_arityz00) = ((obj_t) BgL_arity2508z00_13903), BUNSPEC);
							((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13890))->
									BgL_varsz00) = ((obj_t) BgL_vars2509z00_13904), BUNSPEC);
							((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13890))->
									BgL_bodyz00) =
								((BgL_ev_exprz00_bglt) BgL_body2510z00_13905), BUNSPEC);
							((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13890))->
									BgL_siza7eza7) = ((obj_t) BgL_siza7e2511za7_13906), BUNSPEC);
							((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13890))->
									BgL_bindz00) = ((obj_t) BgL_bind2512z00_13907), BUNSPEC);
							((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13890))->
									BgL_freez00) = ((obj_t) BgL_free2513z00_13908), BUNSPEC);
							((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13890))->
									BgL_innerz00) = ((obj_t) BgL_inner2514z00_13909), BUNSPEC);
							((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13890))->
									BgL_boxesz00) = ((obj_t) BgL_boxes2515z00_13910), BUNSPEC);
							BgL_res7323z00_13911 = BgL_new2516z00_13890;
					}} BgL_res7323z00_13911;
				}
				return BgL_new2504z00_13884;
			}
		}
	}



/* _make-ev_abs */
	obj_t BGl__makezd2ev_abszd2zz__evaluatez00(obj_t BgL_envz00_24591,
		obj_t BgL_loc2494z00_24592, obj_t BgL_where2495z00_24593,
		obj_t BgL_arity2496z00_24594, obj_t BgL_vars2497z00_24595,
		obj_t BgL_body2498z00_24596, obj_t BgL_siza7e2499za7_24597,
		obj_t BgL_bind2500z00_24598, obj_t BgL_free2501z00_24599,
		obj_t BgL_inner2502z00_24600, obj_t BgL_boxes2503z00_24601)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 86 */
			{	/* Eval/evaluate.scm 86 */
				BgL_ev_absz00_bglt BgL_auxz00_32856;

				{	/* Eval/evaluate.scm 86 */
					obj_t BgL_auxz00_32865;

					BgL_ev_exprz00_bglt BgL_auxz00_32857;

					if (INTEGERP(BgL_siza7e2499za7_24597))
						{	/* Eval/evaluate.scm 86 */
							BgL_auxz00_32865 = BgL_siza7e2499za7_24597;
						}
					else
						{
							obj_t BgL_auxz00_32868;

							BgL_auxz00_32868 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2766)),
								BGl_string8334z00zz__evaluatez00,
								BGl_string8335z00zz__evaluatez00, BgL_siza7e2499za7_24597);
							FAILURE(BgL_auxz00_32868, BFALSE, BFALSE);
						}
					if (BGl_iszd2azf3z21zz__objectz00(BgL_body2498z00_24596,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 86 */
							BgL_auxz00_32857 = (BgL_ev_exprz00_bglt) (BgL_body2498z00_24596);
						}
					else
						{
							obj_t BgL_auxz00_32861;

							BgL_auxz00_32861 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2766)),
								BGl_string8334z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_body2498z00_24596);
							FAILURE(BgL_auxz00_32861, BFALSE, BFALSE);
						}
					BgL_auxz00_32856 =
						BGl_makezd2ev_abszd2zz__evaluatez00(BgL_loc2494z00_24592,
						BgL_where2495z00_24593, BgL_arity2496z00_24594,
						BgL_vars2497z00_24595, BgL_auxz00_32857, BgL_auxz00_32865,
						BgL_bind2500z00_24598, BgL_free2501z00_24599,
						BgL_inner2502z00_24600, BgL_boxes2503z00_24601);
				}
				return (obj_t) (BgL_auxz00_32856);
			}
		}
	}



/* _%allocate-ev_abs */
	obj_t BGl__z52allocatezd2ev_absz80zz__evaluatez00(obj_t BgL_envz00_24602)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 86 */
			{	/* Eval/evaluate.scm 86 */
				BgL_ev_absz00_bglt BgL_auxz00_32874;

				{	/* Eval/evaluate.scm 86 */
					BgL_ev_absz00_bglt BgL_res8598z00_26771;

					{	/* Eval/evaluate.scm 86 */
						BgL_ev_absz00_bglt BgL_new2528z00_26769;

						BgL_new2528z00_26769 =
							((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2528z00_26769),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_absz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 86 */
							BgL_objectz00_bglt BgL_auxz00_32879;

							BgL_auxz00_32879 = (BgL_objectz00_bglt) (BgL_new2528z00_26769);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_32879, BFALSE);
						}
						BgL_res8598z00_26771 = BgL_new2528z00_26769;
					}
					BgL_auxz00_32874 = BgL_res8598z00_26771;
				}
				return (obj_t) (BgL_auxz00_32874);
			}
		}
	}



/* ev_abs-nil */
	BgL_ev_absz00_bglt BGl_ev_abszd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 86 */
			if ((BGl_z52thezd2ev_abszd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 86 */
					{	/* Eval/evaluate.scm 86 */
						BgL_ev_absz00_bglt BgL_res7324z00_13930;

						{	/* Eval/evaluate.scm 86 */
							BgL_ev_absz00_bglt BgL_new2528z00_13926;

							BgL_new2528z00_13926 =
								((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_absz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new2528z00_13926),
								BGl_classzd2numzd2zz__objectz00(BGl_ev_absz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 86 */
								BgL_objectz00_bglt BgL_auxz00_32889;

								BgL_auxz00_32889 = (BgL_objectz00_bglt) (BgL_new2528z00_13926);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_32889, BFALSE);
							}
							BgL_res7324z00_13930 = BgL_new2528z00_13926;
						}
						BGl_z52thezd2ev_abszd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7324z00_13930);
					}
					{	/* Eval/evaluate.scm 86 */
						BgL_ev_exprz00_bglt BgL_arg5109z00_3829;

						BgL_arg5109z00_3829 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						{	/* Eval/evaluate.scm 86 */
							BgL_ev_absz00_bglt BgL_res7325z00_13952;

							{	/* Eval/evaluate.scm 86 */
								BgL_ev_absz00_bglt BgL_new2516z00_13931;

								obj_t BgL_siza7e2511za7_13937;

								BgL_new2516z00_13931 =
									(BgL_ev_absz00_bglt)
									(BGl_z52thezd2ev_abszd2nilz52zz__evaluatez00);
								BgL_siza7e2511za7_13937 = BINT(((long) 0));
								{	/* Eval/evaluate.scm 86 */
									obj_t BgL_loc2506z00_13942;

									obj_t BgL_where2507z00_13943;

									obj_t BgL_arity2508z00_13944;

									obj_t BgL_vars2509z00_13945;

									BgL_ev_exprz00_bglt BgL_body2510z00_13946;

									obj_t BgL_siza7e2511za7_13947;

									obj_t BgL_bind2512z00_13948;

									obj_t BgL_free2513z00_13949;

									obj_t BgL_inner2514z00_13950;

									obj_t BgL_boxes2515z00_13951;

									BgL_loc2506z00_13942 = BUNSPEC;
									BgL_where2507z00_13943 = BUNSPEC;
									BgL_arity2508z00_13944 = BUNSPEC;
									BgL_vars2509z00_13945 = BUNSPEC;
									BgL_body2510z00_13946 = BgL_arg5109z00_3829;
									BgL_siza7e2511za7_13947 = BgL_siza7e2511za7_13937;
									BgL_bind2512z00_13948 = BUNSPEC;
									BgL_free2513z00_13949 = BUNSPEC;
									BgL_inner2514z00_13950 = BUNSPEC;
									BgL_boxes2515z00_13951 = BUNSPEC;
									((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13931))->
											BgL_locz00) = ((obj_t) BgL_loc2506z00_13942), BUNSPEC);
									((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13931))->
											BgL_wherez00) =
										((obj_t) BgL_where2507z00_13943), BUNSPEC);
									((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13931))->
											BgL_arityz00) =
										((obj_t) BgL_arity2508z00_13944), BUNSPEC);
									((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13931))->
											BgL_varsz00) = ((obj_t) BgL_vars2509z00_13945), BUNSPEC);
									((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13931))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_body2510z00_13946), BUNSPEC);
									((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13931))->
											BgL_siza7eza7) =
										((obj_t) BgL_siza7e2511za7_13947), BUNSPEC);
									((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13931))->
											BgL_bindz00) = ((obj_t) BgL_bind2512z00_13948), BUNSPEC);
									((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13931))->
											BgL_freez00) = ((obj_t) BgL_free2513z00_13949), BUNSPEC);
									((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13931))->
											BgL_innerz00) =
										((obj_t) BgL_inner2514z00_13950), BUNSPEC);
									((((BgL_ev_absz00_bglt) CREF(BgL_new2516z00_13931))->
											BgL_boxesz00) =
										((obj_t) BgL_boxes2515z00_13951), BUNSPEC);
									BgL_res7325z00_13952 = BgL_new2516z00_13931;
							}}
							(obj_t) (BgL_res7325z00_13952);
				}}}
			else
				{	/* Eval/evaluate.scm 86 */
					BFALSE;
				}
			return (BgL_ev_absz00_bglt) (BGl_z52thezd2ev_abszd2nilz52zz__evaluatez00);
		}
	}



/* _ev_abs-nil */
	obj_t BGl__ev_abszd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24644)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 86 */
			return (obj_t) (BGl_ev_abszd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_abs-loc */
	obj_t BGl__ev_abszd2loczd2zz__evaluatez00(obj_t BgL_envz00_24603,
		obj_t BgL_obj2470z00_24604)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 87 */
			{	/* Eval/evaluate.scm 87 */
				BgL_ev_absz00_bglt BgL_obj2470z00_26773;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2470z00_24604,
						BGl_ev_absz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 87 */
						BgL_obj2470z00_26773 = (BgL_ev_absz00_bglt) (BgL_obj2470z00_24604);
					}
				else
					{
						obj_t BgL_auxz00_32913;

						BgL_auxz00_32913 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2796)), BGl_string8336z00zz__evaluatez00,
							BGl_string8320z00zz__evaluatez00, BgL_obj2470z00_24604);
						FAILURE(BgL_auxz00_32913, BFALSE, BFALSE);
					}
				return (((BgL_ev_absz00_bglt) CREF(BgL_obj2470z00_26773))->BgL_locz00);
			}
		}
	}



/* _ev_abs-where */
	obj_t BGl__ev_abszd2wherezd2zz__evaluatez00(obj_t BgL_envz00_24605,
		obj_t BgL_obj2471z00_24606)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 88 */
			{	/* Eval/evaluate.scm 88 */
				BgL_ev_absz00_bglt BgL_obj2471z00_26775;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2471z00_24606,
						BGl_ev_absz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 88 */
						BgL_obj2471z00_26775 = (BgL_ev_absz00_bglt) (BgL_obj2471z00_24606);
					}
				else
					{
						obj_t BgL_auxz00_32921;

						BgL_auxz00_32921 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2819)), BGl_string8337z00zz__evaluatez00,
							BGl_string8320z00zz__evaluatez00, BgL_obj2471z00_24606);
						FAILURE(BgL_auxz00_32921, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_absz00_bglt) CREF(BgL_obj2471z00_26775))->BgL_wherez00);
			}
		}
	}



/* _ev_abs-arity */
	obj_t BGl__ev_abszd2arityzd2zz__evaluatez00(obj_t BgL_envz00_24607,
		obj_t BgL_obj2472z00_24608)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 89 */
			{	/* Eval/evaluate.scm 89 */
				BgL_ev_absz00_bglt BgL_obj2472z00_26777;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2472z00_24608,
						BGl_ev_absz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 89 */
						BgL_obj2472z00_26777 = (BgL_ev_absz00_bglt) (BgL_obj2472z00_24608);
					}
				else
					{
						obj_t BgL_auxz00_32929;

						BgL_auxz00_32929 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2844)), BGl_string8338z00zz__evaluatez00,
							BGl_string8320z00zz__evaluatez00, BgL_obj2472z00_24608);
						FAILURE(BgL_auxz00_32929, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_absz00_bglt) CREF(BgL_obj2472z00_26777))->BgL_arityz00);
			}
		}
	}



/* _ev_abs-vars-set! */
	obj_t BGl__ev_abszd2varszd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24611,
		obj_t BgL_obj2475z00_24612, obj_t BgL_val2474z00_24613)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 86 */
			{	/* Eval/evaluate.scm 86 */
				BgL_ev_absz00_bglt BgL_obj2475z00_26779;

				obj_t BgL_val2474z00_26780;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2475z00_24612,
						BGl_ev_absz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 86 */
						BgL_obj2475z00_26779 = (BgL_ev_absz00_bglt) (BgL_obj2475z00_24612);
					}
				else
					{
						obj_t BgL_auxz00_32937;

						BgL_auxz00_32937 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2766)), BGl_string8339z00zz__evaluatez00,
							BGl_string8320z00zz__evaluatez00, BgL_obj2475z00_24612);
						FAILURE(BgL_auxz00_32937, BFALSE, BFALSE);
					}
				BgL_val2474z00_26780 = BgL_val2474z00_24613;
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_obj2475z00_26779))->BgL_varsz00) =
					((obj_t) BgL_val2474z00_26780), BUNSPEC);
			}
		}
	}



/* _ev_abs-vars */
	obj_t BGl__ev_abszd2varszd2zz__evaluatez00(obj_t BgL_envz00_24609,
		obj_t BgL_obj2473z00_24610)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 86 */
			{	/* Eval/evaluate.scm 86 */
				BgL_ev_absz00_bglt BgL_obj2473z00_26782;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2473z00_24610,
						BGl_ev_absz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 86 */
						BgL_obj2473z00_26782 = (BgL_ev_absz00_bglt) (BgL_obj2473z00_24610);
					}
				else
					{
						obj_t BgL_auxz00_32945;

						BgL_auxz00_32945 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2766)), BGl_string8340z00zz__evaluatez00,
							BGl_string8320z00zz__evaluatez00, BgL_obj2473z00_24610);
						FAILURE(BgL_auxz00_32945, BFALSE, BFALSE);
					}
				return (((BgL_ev_absz00_bglt) CREF(BgL_obj2473z00_26782))->BgL_varsz00);
			}
		}
	}



/* _ev_abs-body-set! */
	obj_t BGl__ev_abszd2bodyzd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24616,
		obj_t BgL_obj2478z00_24617, obj_t BgL_val2477z00_24618)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 86 */
			{	/* Eval/evaluate.scm 86 */
				BgL_ev_absz00_bglt BgL_obj2478z00_26785;

				BgL_ev_exprz00_bglt BgL_val2477z00_26786;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2478z00_24617,
						BGl_ev_absz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 86 */
						BgL_obj2478z00_26785 = (BgL_ev_absz00_bglt) (BgL_obj2478z00_24617);
					}
				else
					{
						obj_t BgL_auxz00_32953;

						BgL_auxz00_32953 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2766)), BGl_string8341z00zz__evaluatez00,
							BGl_string8320z00zz__evaluatez00, BgL_obj2478z00_24617);
						FAILURE(BgL_auxz00_32953, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2477z00_24618,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 86 */
						BgL_val2477z00_26786 = (BgL_ev_exprz00_bglt) (BgL_val2477z00_24618);
					}
				else
					{
						obj_t BgL_auxz00_32960;

						BgL_auxz00_32960 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2766)), BGl_string8341z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_val2477z00_24618);
						FAILURE(BgL_auxz00_32960, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_obj2478z00_26785))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_val2477z00_26786), BUNSPEC);
			}
		}
	}



/* _ev_abs-body */
	obj_t BGl__ev_abszd2bodyzd2zz__evaluatez00(obj_t BgL_envz00_24614,
		obj_t BgL_obj2476z00_24615)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 86 */
			{	/* Eval/evaluate.scm 86 */
				BgL_ev_exprz00_bglt BgL_auxz00_32965;

				{	/* Eval/evaluate.scm 86 */
					BgL_ev_absz00_bglt BgL_obj2476z00_26788;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2476z00_24615,
							BGl_ev_absz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 86 */
							BgL_obj2476z00_26788 =
								(BgL_ev_absz00_bglt) (BgL_obj2476z00_24615);
						}
					else
						{
							obj_t BgL_auxz00_32969;

							BgL_auxz00_32969 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2766)),
								BGl_string8342z00zz__evaluatez00,
								BGl_string8320z00zz__evaluatez00, BgL_obj2476z00_24615);
							FAILURE(BgL_auxz00_32969, BFALSE, BFALSE);
						}
					BgL_auxz00_32965 =
						(((BgL_ev_absz00_bglt) CREF(BgL_obj2476z00_26788))->BgL_bodyz00);
				}
				return (obj_t) (BgL_auxz00_32965);
			}
		}
	}



/* _ev_abs-size-set! */
	obj_t BGl__ev_abszd2siza7ezd2setz12zb5zz__evaluatez00(obj_t BgL_envz00_24621,
		obj_t BgL_obj2481z00_24622, obj_t BgL_val2480z00_24623)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 92 */
			{	/* Eval/evaluate.scm 92 */
				BgL_ev_absz00_bglt BgL_obj2481z00_26790;

				obj_t BgL_val2480z00_26791;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2481z00_24622,
						BGl_ev_absz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 92 */
						BgL_obj2481z00_26790 = (BgL_ev_absz00_bglt) (BgL_obj2481z00_24622);
					}
				else
					{
						obj_t BgL_auxz00_32978;

						BgL_auxz00_32978 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2902)), BGl_string8343z00zz__evaluatez00,
							BGl_string8320z00zz__evaluatez00, BgL_obj2481z00_24622);
						FAILURE(BgL_auxz00_32978, BFALSE, BFALSE);
					}
				if (INTEGERP(BgL_val2480z00_24623))
					{	/* Eval/evaluate.scm 92 */
						BgL_val2480z00_26791 = BgL_val2480z00_24623;
					}
				else
					{
						obj_t BgL_auxz00_32984;

						BgL_auxz00_32984 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2902)), BGl_string8343z00zz__evaluatez00,
							BGl_string8335z00zz__evaluatez00, BgL_val2480z00_24623);
						FAILURE(BgL_auxz00_32984, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_obj2481z00_26790))->BgL_siza7eza7) =
					((obj_t) BgL_val2480z00_26791), BUNSPEC);
			}
		}
	}



/* _ev_abs-size */
	obj_t BGl__ev_abszd2siza7ez75zz__evaluatez00(obj_t BgL_envz00_24619,
		obj_t BgL_obj2479z00_24620)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 92 */
			{	/* Eval/evaluate.scm 92 */
				BgL_ev_absz00_bglt BgL_obj2479z00_26793;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2479z00_24620,
						BGl_ev_absz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 92 */
						BgL_obj2479z00_26793 = (BgL_ev_absz00_bglt) (BgL_obj2479z00_24620);
					}
				else
					{
						obj_t BgL_auxz00_32992;

						BgL_auxz00_32992 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2902)), BGl_string8344z00zz__evaluatez00,
							BGl_string8320z00zz__evaluatez00, BgL_obj2479z00_24620);
						FAILURE(BgL_auxz00_32992, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_absz00_bglt) CREF(BgL_obj2479z00_26793))->BgL_siza7eza7);
			}
		}
	}



/* _ev_abs-bind-set! */
	obj_t BGl__ev_abszd2bindzd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24626,
		obj_t BgL_obj2484z00_24627, obj_t BgL_val2483z00_24628)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 93 */
			{	/* Eval/evaluate.scm 93 */
				BgL_ev_absz00_bglt BgL_obj2484z00_26795;

				obj_t BgL_val2483z00_26796;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2484z00_24627,
						BGl_ev_absz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 93 */
						BgL_obj2484z00_26795 = (BgL_ev_absz00_bglt) (BgL_obj2484z00_24627);
					}
				else
					{
						obj_t BgL_auxz00_33000;

						BgL_auxz00_33000 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2934)), BGl_string8345z00zz__evaluatez00,
							BGl_string8320z00zz__evaluatez00, BgL_obj2484z00_24627);
						FAILURE(BgL_auxz00_33000, BFALSE, BFALSE);
					}
				BgL_val2483z00_26796 = BgL_val2483z00_24628;
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_obj2484z00_26795))->BgL_bindz00) =
					((obj_t) BgL_val2483z00_26796), BUNSPEC);
			}
		}
	}



/* _ev_abs-bind */
	obj_t BGl__ev_abszd2bindzd2zz__evaluatez00(obj_t BgL_envz00_24624,
		obj_t BgL_obj2482z00_24625)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 93 */
			{	/* Eval/evaluate.scm 93 */
				BgL_ev_absz00_bglt BgL_obj2482z00_26798;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2482z00_24625,
						BGl_ev_absz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 93 */
						BgL_obj2482z00_26798 = (BgL_ev_absz00_bglt) (BgL_obj2482z00_24625);
					}
				else
					{
						obj_t BgL_auxz00_33008;

						BgL_auxz00_33008 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2934)), BGl_string8346z00zz__evaluatez00,
							BGl_string8320z00zz__evaluatez00, BgL_obj2482z00_24625);
						FAILURE(BgL_auxz00_33008, BFALSE, BFALSE);
					}
				return (((BgL_ev_absz00_bglt) CREF(BgL_obj2482z00_26798))->BgL_bindz00);
			}
		}
	}



/* _ev_abs-free-set! */
	obj_t BGl__ev_abszd2freezd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24631,
		obj_t BgL_obj2487z00_24632, obj_t BgL_val2486z00_24633)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 94 */
			{	/* Eval/evaluate.scm 94 */
				BgL_ev_absz00_bglt BgL_obj2487z00_26800;

				obj_t BgL_val2486z00_26801;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2487z00_24632,
						BGl_ev_absz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 94 */
						BgL_obj2487z00_26800 = (BgL_ev_absz00_bglt) (BgL_obj2487z00_24632);
					}
				else
					{
						obj_t BgL_auxz00_33016;

						BgL_auxz00_33016 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2962)), BGl_string8347z00zz__evaluatez00,
							BGl_string8320z00zz__evaluatez00, BgL_obj2487z00_24632);
						FAILURE(BgL_auxz00_33016, BFALSE, BFALSE);
					}
				BgL_val2486z00_26801 = BgL_val2486z00_24633;
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_obj2487z00_26800))->BgL_freez00) =
					((obj_t) BgL_val2486z00_26801), BUNSPEC);
			}
		}
	}



/* _ev_abs-free */
	obj_t BGl__ev_abszd2freezd2zz__evaluatez00(obj_t BgL_envz00_24629,
		obj_t BgL_obj2485z00_24630)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 94 */
			{	/* Eval/evaluate.scm 94 */
				BgL_ev_absz00_bglt BgL_obj2485z00_26803;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2485z00_24630,
						BGl_ev_absz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 94 */
						BgL_obj2485z00_26803 = (BgL_ev_absz00_bglt) (BgL_obj2485z00_24630);
					}
				else
					{
						obj_t BgL_auxz00_33024;

						BgL_auxz00_33024 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2962)), BGl_string8348z00zz__evaluatez00,
							BGl_string8320z00zz__evaluatez00, BgL_obj2485z00_24630);
						FAILURE(BgL_auxz00_33024, BFALSE, BFALSE);
					}
				return (((BgL_ev_absz00_bglt) CREF(BgL_obj2485z00_26803))->BgL_freez00);
			}
		}
	}



/* _ev_abs-inner-set! */
	obj_t BGl__ev_abszd2innerzd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24636,
		obj_t BgL_obj2490z00_24637, obj_t BgL_val2489z00_24638)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 95 */
			{	/* Eval/evaluate.scm 95 */
				BgL_ev_absz00_bglt BgL_obj2490z00_26805;

				obj_t BgL_val2489z00_26806;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2490z00_24637,
						BGl_ev_absz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 95 */
						BgL_obj2490z00_26805 = (BgL_ev_absz00_bglt) (BgL_obj2490z00_24637);
					}
				else
					{
						obj_t BgL_auxz00_33032;

						BgL_auxz00_33032 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2990)), BGl_string8349z00zz__evaluatez00,
							BGl_string8320z00zz__evaluatez00, BgL_obj2490z00_24637);
						FAILURE(BgL_auxz00_33032, BFALSE, BFALSE);
					}
				BgL_val2489z00_26806 = BgL_val2489z00_24638;
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_obj2490z00_26805))->BgL_innerz00) =
					((obj_t) BgL_val2489z00_26806), BUNSPEC);
			}
		}
	}



/* _ev_abs-inner */
	obj_t BGl__ev_abszd2innerzd2zz__evaluatez00(obj_t BgL_envz00_24634,
		obj_t BgL_obj2488z00_24635)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 95 */
			{	/* Eval/evaluate.scm 95 */
				BgL_ev_absz00_bglt BgL_obj2488z00_26808;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2488z00_24635,
						BGl_ev_absz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 95 */
						BgL_obj2488z00_26808 = (BgL_ev_absz00_bglt) (BgL_obj2488z00_24635);
					}
				else
					{
						obj_t BgL_auxz00_33040;

						BgL_auxz00_33040 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2990)), BGl_string8350z00zz__evaluatez00,
							BGl_string8320z00zz__evaluatez00, BgL_obj2488z00_24635);
						FAILURE(BgL_auxz00_33040, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_absz00_bglt) CREF(BgL_obj2488z00_26808))->BgL_innerz00);
			}
		}
	}



/* _ev_abs-boxes-set! */
	obj_t BGl__ev_abszd2boxeszd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24641,
		obj_t BgL_obj2493z00_24642, obj_t BgL_val2492z00_24643)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 96 */
			{	/* Eval/evaluate.scm 96 */
				BgL_ev_absz00_bglt BgL_obj2493z00_26810;

				obj_t BgL_val2492z00_26811;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2493z00_24642,
						BGl_ev_absz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 96 */
						BgL_obj2493z00_26810 = (BgL_ev_absz00_bglt) (BgL_obj2493z00_24642);
					}
				else
					{
						obj_t BgL_auxz00_33048;

						BgL_auxz00_33048 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 3019)), BGl_string8351z00zz__evaluatez00,
							BGl_string8320z00zz__evaluatez00, BgL_obj2493z00_24642);
						FAILURE(BgL_auxz00_33048, BFALSE, BFALSE);
					}
				BgL_val2492z00_26811 = BgL_val2492z00_24643;
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_obj2493z00_26810))->BgL_boxesz00) =
					((obj_t) BgL_val2492z00_26811), BUNSPEC);
			}
		}
	}



/* _ev_abs-boxes */
	obj_t BGl__ev_abszd2boxeszd2zz__evaluatez00(obj_t BgL_envz00_24639,
		obj_t BgL_obj2491z00_24640)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 96 */
			{	/* Eval/evaluate.scm 96 */
				BgL_ev_absz00_bglt BgL_obj2491z00_26813;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2491z00_24640,
						BGl_ev_absz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 96 */
						BgL_obj2491z00_26813 = (BgL_ev_absz00_bglt) (BgL_obj2491z00_24640);
					}
				else
					{
						obj_t BgL_auxz00_33056;

						BgL_auxz00_33056 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 3019)), BGl_string8352z00zz__evaluatez00,
							BGl_string8320z00zz__evaluatez00, BgL_obj2491z00_24640);
						FAILURE(BgL_auxz00_33056, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_absz00_bglt) CREF(BgL_obj2491z00_26813))->BgL_boxesz00);
			}
		}
	}



/* _ev_app? */
	obj_t BGl__ev_appzf3zf3zz__evaluatez00(obj_t BgL_envz00_24589,
		obj_t BgL_obj2469z00_24590)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2469z00_24590,
					BGl_ev_appz00zz__evaluatez00));
		}
	}



/* make-ev_app */
	BgL_ev_appz00_bglt BGl_makezd2ev_appzd2zz__evaluatez00(obj_t
		BgL_loc2434z00_399, BgL_ev_exprz00_bglt BgL_fun2435z00_400,
		obj_t BgL_args2436z00_401, obj_t BgL_tailzf32437zf3_402)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			{	/* Eval/evaluate.scm 85 */
				BgL_ev_appz00_bglt BgL_new2438z00_13953;

				{	/* Eval/evaluate.scm 85 */
					BgL_ev_appz00_bglt BgL_res7326z00_13958;

					{	/* Eval/evaluate.scm 85 */
						BgL_ev_appz00_bglt BgL_new2450z00_13954;

						BgL_new2450z00_13954 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2450z00_13954),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_appz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 85 */
							BgL_objectz00_bglt BgL_auxz00_33067;

							BgL_auxz00_33067 = (BgL_objectz00_bglt) (BgL_new2450z00_13954);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33067, BFALSE);
						}
						BgL_res7326z00_13958 = BgL_new2450z00_13954;
					}
					BgL_new2438z00_13953 = BgL_res7326z00_13958;
				}
				{	/* Eval/evaluate.scm 85 */
					BgL_ev_appz00_bglt BgL_res7327z00_13968;

					{	/* Eval/evaluate.scm 85 */
						BgL_ev_appz00_bglt BgL_new2444z00_13959;

						BgL_new2444z00_13959 = BgL_new2438z00_13953;
						{	/* Eval/evaluate.scm 85 */
							obj_t BgL_loc2440z00_13964;

							BgL_ev_exprz00_bglt BgL_fun2441z00_13965;

							obj_t BgL_args2442z00_13966;

							obj_t BgL_tailzf32443zf3_13967;

							BgL_loc2440z00_13964 = BgL_loc2434z00_399;
							BgL_fun2441z00_13965 = BgL_fun2435z00_400;
							BgL_args2442z00_13966 = BgL_args2436z00_401;
							BgL_tailzf32443zf3_13967 = BgL_tailzf32437zf3_402;
							((((BgL_ev_appz00_bglt) CREF(BgL_new2444z00_13959))->BgL_locz00) =
								((obj_t) BgL_loc2440z00_13964), BUNSPEC);
							((((BgL_ev_appz00_bglt) CREF(BgL_new2444z00_13959))->BgL_funz00) =
								((BgL_ev_exprz00_bglt) BgL_fun2441z00_13965), BUNSPEC);
							((((BgL_ev_appz00_bglt) CREF(BgL_new2444z00_13959))->
									BgL_argsz00) = ((obj_t) BgL_args2442z00_13966), BUNSPEC);
							((((BgL_ev_appz00_bglt) CREF(BgL_new2444z00_13959))->
									BgL_tailzf3zf3) =
								((obj_t) BgL_tailzf32443zf3_13967), BUNSPEC);
							BgL_res7327z00_13968 = BgL_new2444z00_13959;
					}} BgL_res7327z00_13968;
				}
				return BgL_new2438z00_13953;
			}
		}
	}



/* _make-ev_app */
	obj_t BGl__makezd2ev_appzd2zz__evaluatez00(obj_t BgL_envz00_24562,
		obj_t BgL_loc2434z00_24563, obj_t BgL_fun2435z00_24564,
		obj_t BgL_args2436z00_24565, obj_t BgL_tailzf32437zf3_24566)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			{	/* Eval/evaluate.scm 85 */
				BgL_ev_appz00_bglt BgL_auxz00_33074;

				{	/* Eval/evaluate.scm 85 */
					BgL_ev_exprz00_bglt BgL_auxz00_33075;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_fun2435z00_24564,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 85 */
							BgL_auxz00_33075 = (BgL_ev_exprz00_bglt) (BgL_fun2435z00_24564);
						}
					else
						{
							obj_t BgL_auxz00_33079;

							BgL_auxz00_33079 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2710)),
								BGl_string8353z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_fun2435z00_24564);
							FAILURE(BgL_auxz00_33079, BFALSE, BFALSE);
						}
					BgL_auxz00_33074 =
						BGl_makezd2ev_appzd2zz__evaluatez00(BgL_loc2434z00_24563,
						BgL_auxz00_33075, BgL_args2436z00_24565, BgL_tailzf32437zf3_24566);
				}
				return (obj_t) (BgL_auxz00_33074);
			}
		}
	}



/* _%allocate-ev_app */
	obj_t BGl__z52allocatezd2ev_appz80zz__evaluatez00(obj_t BgL_envz00_24567)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			{	/* Eval/evaluate.scm 85 */
				BgL_ev_appz00_bglt BgL_auxz00_33085;

				{	/* Eval/evaluate.scm 85 */
					BgL_ev_appz00_bglt BgL_res8599z00_26820;

					{	/* Eval/evaluate.scm 85 */
						BgL_ev_appz00_bglt BgL_new2450z00_26818;

						BgL_new2450z00_26818 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2450z00_26818),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_appz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 85 */
							BgL_objectz00_bglt BgL_auxz00_33090;

							BgL_auxz00_33090 = (BgL_objectz00_bglt) (BgL_new2450z00_26818);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33090, BFALSE);
						}
						BgL_res8599z00_26820 = BgL_new2450z00_26818;
					}
					BgL_auxz00_33085 = BgL_res8599z00_26820;
				}
				return (obj_t) (BgL_auxz00_33085);
			}
		}
	}



/* ev_app-nil */
	BgL_ev_appz00_bglt BGl_ev_appzd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			if ((BGl_z52thezd2ev_appzd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 85 */
					{	/* Eval/evaluate.scm 85 */
						BgL_ev_appz00_bglt BgL_res7328z00_13981;

						{	/* Eval/evaluate.scm 85 */
							BgL_ev_appz00_bglt BgL_new2450z00_13977;

							BgL_new2450z00_13977 =
								((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_appz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new2450z00_13977),
								BGl_classzd2numzd2zz__objectz00(BGl_ev_appz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 85 */
								BgL_objectz00_bglt BgL_auxz00_33100;

								BgL_auxz00_33100 = (BgL_objectz00_bglt) (BgL_new2450z00_13977);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_33100, BFALSE);
							}
							BgL_res7328z00_13981 = BgL_new2450z00_13977;
						}
						BGl_z52thezd2ev_appzd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7328z00_13981);
					}
					{	/* Eval/evaluate.scm 85 */
						BgL_ev_exprz00_bglt BgL_arg5113z00_3839;

						BgL_arg5113z00_3839 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						{	/* Eval/evaluate.scm 85 */
							BgL_ev_appz00_bglt BgL_res7329z00_13991;

							{	/* Eval/evaluate.scm 85 */
								BgL_ev_appz00_bglt BgL_new2444z00_13982;

								BgL_new2444z00_13982 =
									(BgL_ev_appz00_bglt)
									(BGl_z52thezd2ev_appzd2nilz52zz__evaluatez00);
								{	/* Eval/evaluate.scm 85 */
									obj_t BgL_loc2440z00_13987;

									BgL_ev_exprz00_bglt BgL_fun2441z00_13988;

									obj_t BgL_args2442z00_13989;

									obj_t BgL_tailzf32443zf3_13990;

									BgL_loc2440z00_13987 = BUNSPEC;
									BgL_fun2441z00_13988 = BgL_arg5113z00_3839;
									BgL_args2442z00_13989 = BUNSPEC;
									BgL_tailzf32443zf3_13990 = BUNSPEC;
									((((BgL_ev_appz00_bglt) CREF(BgL_new2444z00_13982))->
											BgL_locz00) = ((obj_t) BgL_loc2440z00_13987), BUNSPEC);
									((((BgL_ev_appz00_bglt) CREF(BgL_new2444z00_13982))->
											BgL_funz00) =
										((BgL_ev_exprz00_bglt) BgL_fun2441z00_13988), BUNSPEC);
									((((BgL_ev_appz00_bglt) CREF(BgL_new2444z00_13982))->
											BgL_argsz00) = ((obj_t) BgL_args2442z00_13989), BUNSPEC);
									((((BgL_ev_appz00_bglt) CREF(BgL_new2444z00_13982))->
											BgL_tailzf3zf3) =
										((obj_t) BgL_tailzf32443zf3_13990), BUNSPEC);
									BgL_res7329z00_13991 = BgL_new2444z00_13982;
							}}
							(obj_t) (BgL_res7329z00_13991);
				}}}
			else
				{	/* Eval/evaluate.scm 85 */
					BFALSE;
				}
			return (BgL_ev_appz00_bglt) (BGl_z52thezd2ev_appzd2nilz52zz__evaluatez00);
		}
	}



/* _ev_app-nil */
	obj_t BGl__ev_appzd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24588)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			return (obj_t) (BGl_ev_appzd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_app-loc-set! */
	obj_t BGl__ev_appzd2loczd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24570,
		obj_t BgL_obj2424z00_24571, obj_t BgL_val2423z00_24572)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			{	/* Eval/evaluate.scm 85 */
				BgL_ev_appz00_bglt BgL_obj2424z00_26822;

				obj_t BgL_val2423z00_26823;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2424z00_24571,
						BGl_ev_appz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 85 */
						BgL_obj2424z00_26822 = (BgL_ev_appz00_bglt) (BgL_obj2424z00_24571);
					}
				else
					{
						obj_t BgL_auxz00_33117;

						BgL_auxz00_33117 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2710)), BGl_string8354z00zz__evaluatez00,
							BGl_string8312z00zz__evaluatez00, BgL_obj2424z00_24571);
						FAILURE(BgL_auxz00_33117, BFALSE, BFALSE);
					}
				BgL_val2423z00_26823 = BgL_val2423z00_24572;
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_obj2424z00_26822))->BgL_locz00) =
					((obj_t) BgL_val2423z00_26823), BUNSPEC);
			}
		}
	}



/* _ev_app-loc */
	obj_t BGl__ev_appzd2loczd2zz__evaluatez00(obj_t BgL_envz00_24568,
		obj_t BgL_obj2422z00_24569)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			{	/* Eval/evaluate.scm 85 */
				BgL_ev_appz00_bglt BgL_obj2422z00_26825;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2422z00_24569,
						BGl_ev_appz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 85 */
						BgL_obj2422z00_26825 = (BgL_ev_appz00_bglt) (BgL_obj2422z00_24569);
					}
				else
					{
						obj_t BgL_auxz00_33125;

						BgL_auxz00_33125 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2710)), BGl_string8355z00zz__evaluatez00,
							BGl_string8312z00zz__evaluatez00, BgL_obj2422z00_24569);
						FAILURE(BgL_auxz00_33125, BFALSE, BFALSE);
					}
				return (((BgL_ev_appz00_bglt) CREF(BgL_obj2422z00_26825))->BgL_locz00);
			}
		}
	}



/* _ev_app-fun-set! */
	obj_t BGl__ev_appzd2funzd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24575,
		obj_t BgL_obj2427z00_24576, obj_t BgL_val2426z00_24577)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			{	/* Eval/evaluate.scm 85 */
				BgL_ev_appz00_bglt BgL_obj2427z00_26828;

				BgL_ev_exprz00_bglt BgL_val2426z00_26829;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2427z00_24576,
						BGl_ev_appz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 85 */
						BgL_obj2427z00_26828 = (BgL_ev_appz00_bglt) (BgL_obj2427z00_24576);
					}
				else
					{
						obj_t BgL_auxz00_33133;

						BgL_auxz00_33133 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2710)), BGl_string8356z00zz__evaluatez00,
							BGl_string8312z00zz__evaluatez00, BgL_obj2427z00_24576);
						FAILURE(BgL_auxz00_33133, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2426z00_24577,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 85 */
						BgL_val2426z00_26829 = (BgL_ev_exprz00_bglt) (BgL_val2426z00_24577);
					}
				else
					{
						obj_t BgL_auxz00_33140;

						BgL_auxz00_33140 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2710)), BGl_string8356z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_val2426z00_24577);
						FAILURE(BgL_auxz00_33140, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_obj2427z00_26828))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) BgL_val2426z00_26829), BUNSPEC);
			}
		}
	}



/* _ev_app-fun */
	obj_t BGl__ev_appzd2funzd2zz__evaluatez00(obj_t BgL_envz00_24573,
		obj_t BgL_obj2425z00_24574)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			{	/* Eval/evaluate.scm 85 */
				BgL_ev_exprz00_bglt BgL_auxz00_33145;

				{	/* Eval/evaluate.scm 85 */
					BgL_ev_appz00_bglt BgL_obj2425z00_26831;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2425z00_24574,
							BGl_ev_appz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 85 */
							BgL_obj2425z00_26831 =
								(BgL_ev_appz00_bglt) (BgL_obj2425z00_24574);
						}
					else
						{
							obj_t BgL_auxz00_33149;

							BgL_auxz00_33149 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2710)),
								BGl_string8357z00zz__evaluatez00,
								BGl_string8312z00zz__evaluatez00, BgL_obj2425z00_24574);
							FAILURE(BgL_auxz00_33149, BFALSE, BFALSE);
						}
					BgL_auxz00_33145 =
						(((BgL_ev_appz00_bglt) CREF(BgL_obj2425z00_26831))->BgL_funz00);
				}
				return (obj_t) (BgL_auxz00_33145);
			}
		}
	}



/* _ev_app-args-set! */
	obj_t BGl__ev_appzd2argszd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24580,
		obj_t BgL_obj2430z00_24581, obj_t BgL_val2429z00_24582)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			{	/* Eval/evaluate.scm 85 */
				BgL_ev_appz00_bglt BgL_obj2430z00_26833;

				obj_t BgL_val2429z00_26834;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2430z00_24581,
						BGl_ev_appz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 85 */
						BgL_obj2430z00_26833 = (BgL_ev_appz00_bglt) (BgL_obj2430z00_24581);
					}
				else
					{
						obj_t BgL_auxz00_33158;

						BgL_auxz00_33158 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2710)), BGl_string8358z00zz__evaluatez00,
							BGl_string8312z00zz__evaluatez00, BgL_obj2430z00_24581);
						FAILURE(BgL_auxz00_33158, BFALSE, BFALSE);
					}
				BgL_val2429z00_26834 = BgL_val2429z00_24582;
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_obj2430z00_26833))->BgL_argsz00) =
					((obj_t) BgL_val2429z00_26834), BUNSPEC);
			}
		}
	}



/* _ev_app-args */
	obj_t BGl__ev_appzd2argszd2zz__evaluatez00(obj_t BgL_envz00_24578,
		obj_t BgL_obj2428z00_24579)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			{	/* Eval/evaluate.scm 85 */
				BgL_ev_appz00_bglt BgL_obj2428z00_26836;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2428z00_24579,
						BGl_ev_appz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 85 */
						BgL_obj2428z00_26836 = (BgL_ev_appz00_bglt) (BgL_obj2428z00_24579);
					}
				else
					{
						obj_t BgL_auxz00_33166;

						BgL_auxz00_33166 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2710)), BGl_string8359z00zz__evaluatez00,
							BGl_string8312z00zz__evaluatez00, BgL_obj2428z00_24579);
						FAILURE(BgL_auxz00_33166, BFALSE, BFALSE);
					}
				return (((BgL_ev_appz00_bglt) CREF(BgL_obj2428z00_26836))->BgL_argsz00);
			}
		}
	}



/* _ev_app-tail?-set! */
	obj_t BGl__ev_appzd2tailzf3zd2setz12ze1zz__evaluatez00(obj_t BgL_envz00_24585,
		obj_t BgL_obj2433z00_24586, obj_t BgL_val2432z00_24587)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			{	/* Eval/evaluate.scm 85 */
				BgL_ev_appz00_bglt BgL_obj2433z00_26838;

				obj_t BgL_val2432z00_26839;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2433z00_24586,
						BGl_ev_appz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 85 */
						BgL_obj2433z00_26838 = (BgL_ev_appz00_bglt) (BgL_obj2433z00_24586);
					}
				else
					{
						obj_t BgL_auxz00_33174;

						BgL_auxz00_33174 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2710)), BGl_string8360z00zz__evaluatez00,
							BGl_string8312z00zz__evaluatez00, BgL_obj2433z00_24586);
						FAILURE(BgL_auxz00_33174, BFALSE, BFALSE);
					}
				BgL_val2432z00_26839 = BgL_val2432z00_24587;
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_obj2433z00_26838))->BgL_tailzf3zf3) =
					((obj_t) BgL_val2432z00_26839), BUNSPEC);
			}
		}
	}



/* _ev_app-tail? */
	obj_t BGl__ev_appzd2tailzf3z21zz__evaluatez00(obj_t BgL_envz00_24583,
		obj_t BgL_obj2431z00_24584)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			{	/* Eval/evaluate.scm 85 */
				BgL_ev_appz00_bglt BgL_obj2431z00_26841;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2431z00_24584,
						BGl_ev_appz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 85 */
						BgL_obj2431z00_26841 = (BgL_ev_appz00_bglt) (BgL_obj2431z00_24584);
					}
				else
					{
						obj_t BgL_auxz00_33182;

						BgL_auxz00_33182 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2710)), BGl_string8361z00zz__evaluatez00,
							BGl_string8312z00zz__evaluatez00, BgL_obj2431z00_24584);
						FAILURE(BgL_auxz00_33182, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_appz00_bglt) CREF(BgL_obj2431z00_26841))->BgL_tailzf3zf3);
			}
		}
	}



/* _ev_letrec? */
	obj_t BGl__ev_letreczf3zf3zz__evaluatez00(obj_t BgL_envz00_24560,
		obj_t BgL_obj2421z00_24561)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 84 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2421z00_24561,
					BGl_ev_letrecz00zz__evaluatez00));
		}
	}



/* make-ev_letrec */
	BgL_ev_letrecz00_bglt BGl_makezd2ev_letreczd2zz__evaluatez00(obj_t
		BgL_vars2393z00_424, obj_t BgL_vals2394z00_425,
		BgL_ev_exprz00_bglt BgL_body2395z00_426)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 84 */
			{	/* Eval/evaluate.scm 84 */
				BgL_ev_letrecz00_bglt BgL_new2396z00_13992;

				{	/* Eval/evaluate.scm 84 */
					BgL_ev_letrecz00_bglt BgL_res7330z00_13997;

					{	/* Eval/evaluate.scm 84 */
						BgL_ev_letrecz00_bglt BgL_new2406z00_13993;

						BgL_new2406z00_13993 =
							((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letrecz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2406z00_13993),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_letrecz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 84 */
							BgL_objectz00_bglt BgL_auxz00_33193;

							BgL_auxz00_33193 = (BgL_objectz00_bglt) (BgL_new2406z00_13993);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33193, BFALSE);
						}
						BgL_res7330z00_13997 = BgL_new2406z00_13993;
					}
					BgL_new2396z00_13992 = BgL_res7330z00_13997;
				}
				{	/* Eval/evaluate.scm 84 */
					BgL_ev_letrecz00_bglt BgL_res7331z00_14005;

					{	/* Eval/evaluate.scm 84 */
						BgL_ev_letrecz00_bglt BgL_new2401z00_13998;

						BgL_new2401z00_13998 = BgL_new2396z00_13992;
						{	/* Eval/evaluate.scm 84 */
							obj_t BgL_vars2398z00_14002;

							obj_t BgL_vals2399z00_14003;

							BgL_ev_exprz00_bglt BgL_body2400z00_14004;

							BgL_vars2398z00_14002 = BgL_vars2393z00_424;
							BgL_vals2399z00_14003 = BgL_vals2394z00_425;
							BgL_body2400z00_14004 = BgL_body2395z00_426;
							((((BgL_ev_letrecz00_bglt) CREF(BgL_new2401z00_13998))->
									BgL_varsz00) = ((obj_t) BgL_vars2398z00_14002), BUNSPEC);
							((((BgL_ev_letrecz00_bglt) CREF(BgL_new2401z00_13998))->
									BgL_valsz00) = ((obj_t) BgL_vals2399z00_14003), BUNSPEC);
							((((BgL_ev_letrecz00_bglt) CREF(BgL_new2401z00_13998))->
									BgL_bodyz00) =
								((BgL_ev_exprz00_bglt) BgL_body2400z00_14004), BUNSPEC);
							BgL_res7331z00_14005 = BgL_new2401z00_13998;
					}} BgL_res7331z00_14005;
				}
				return BgL_new2396z00_13992;
			}
		}
	}



/* _make-ev_letrec */
	obj_t BGl__makezd2ev_letreczd2zz__evaluatez00(obj_t BgL_envz00_24554,
		obj_t BgL_vars2393z00_24555, obj_t BgL_vals2394z00_24556,
		obj_t BgL_body2395z00_24557)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 84 */
			{	/* Eval/evaluate.scm 84 */
				BgL_ev_letrecz00_bglt BgL_auxz00_33199;

				{	/* Eval/evaluate.scm 84 */
					BgL_ev_exprz00_bglt BgL_auxz00_33200;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_body2395z00_24557,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 84 */
							BgL_auxz00_33200 = (BgL_ev_exprz00_bglt) (BgL_body2395z00_24557);
						}
					else
						{
							obj_t BgL_auxz00_33204;

							BgL_auxz00_33204 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2677)),
								BGl_string8362z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_body2395z00_24557);
							FAILURE(BgL_auxz00_33204, BFALSE, BFALSE);
						}
					BgL_auxz00_33199 =
						BGl_makezd2ev_letreczd2zz__evaluatez00(BgL_vars2393z00_24555,
						BgL_vals2394z00_24556, BgL_auxz00_33200);
				}
				return (obj_t) (BgL_auxz00_33199);
			}
		}
	}



/* _%allocate-ev_letrec */
	obj_t BGl__z52allocatezd2ev_letrecz80zz__evaluatez00(obj_t BgL_envz00_24558)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 84 */
			{	/* Eval/evaluate.scm 84 */
				BgL_ev_letrecz00_bglt BgL_auxz00_33210;

				{	/* Eval/evaluate.scm 84 */
					BgL_ev_letrecz00_bglt BgL_res8600z00_26848;

					{	/* Eval/evaluate.scm 84 */
						BgL_ev_letrecz00_bglt BgL_new2406z00_26846;

						BgL_new2406z00_26846 =
							((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letrecz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2406z00_26846),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_letrecz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 84 */
							BgL_objectz00_bglt BgL_auxz00_33215;

							BgL_auxz00_33215 = (BgL_objectz00_bglt) (BgL_new2406z00_26846);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33215, BFALSE);
						}
						BgL_res8600z00_26848 = BgL_new2406z00_26846;
					}
					BgL_auxz00_33210 = BgL_res8600z00_26848;
				}
				return (obj_t) (BgL_auxz00_33210);
			}
		}
	}



/* ev_letrec-nil */
	BgL_ev_letrecz00_bglt BGl_ev_letreczd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 84 */
			if ((BGl_z52thezd2ev_letreczd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 84 */
					{	/* Eval/evaluate.scm 84 */
						BgL_ev_letrecz00_bglt BgL_res7332z00_14017;

						{	/* Eval/evaluate.scm 84 */
							BgL_ev_letrecz00_bglt BgL_new2406z00_14013;

							BgL_new2406z00_14013 =
								((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_letrecz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new2406z00_14013),
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_letrecz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 84 */
								BgL_objectz00_bglt BgL_auxz00_33225;

								BgL_auxz00_33225 = (BgL_objectz00_bglt) (BgL_new2406z00_14013);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_33225, BFALSE);
							}
							BgL_res7332z00_14017 = BgL_new2406z00_14013;
						}
						BGl_z52thezd2ev_letreczd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7332z00_14017);
					}
					{	/* Eval/evaluate.scm 84 */
						BgL_ev_exprz00_bglt BgL_arg5116z00_3847;

						BgL_arg5116z00_3847 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						{	/* Eval/evaluate.scm 84 */
							BgL_ev_letrecz00_bglt BgL_res7333z00_14025;

							{	/* Eval/evaluate.scm 84 */
								BgL_ev_letrecz00_bglt BgL_new2401z00_14018;

								BgL_new2401z00_14018 =
									(BgL_ev_letrecz00_bglt)
									(BGl_z52thezd2ev_letreczd2nilz52zz__evaluatez00);
								{	/* Eval/evaluate.scm 84 */
									obj_t BgL_vars2398z00_14022;

									obj_t BgL_vals2399z00_14023;

									BgL_ev_exprz00_bglt BgL_body2400z00_14024;

									BgL_vars2398z00_14022 = BUNSPEC;
									BgL_vals2399z00_14023 = BUNSPEC;
									BgL_body2400z00_14024 = BgL_arg5116z00_3847;
									((((BgL_ev_letrecz00_bglt) CREF(BgL_new2401z00_14018))->
											BgL_varsz00) = ((obj_t) BgL_vars2398z00_14022), BUNSPEC);
									((((BgL_ev_letrecz00_bglt) CREF(BgL_new2401z00_14018))->
											BgL_valsz00) = ((obj_t) BgL_vals2399z00_14023), BUNSPEC);
									((((BgL_ev_letrecz00_bglt) CREF(BgL_new2401z00_14018))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_body2400z00_14024), BUNSPEC);
									BgL_res7333z00_14025 = BgL_new2401z00_14018;
							}}
							(obj_t) (BgL_res7333z00_14025);
				}}}
			else
				{	/* Eval/evaluate.scm 84 */
					BFALSE;
				}
			return
				(BgL_ev_letrecz00_bglt)
				(BGl_z52thezd2ev_letreczd2nilz52zz__evaluatez00);
		}
	}



/* _ev_letrec-nil */
	obj_t BGl__ev_letreczd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24559)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 84 */
			return (obj_t) (BGl_ev_letreczd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_let*? */
	obj_t BGl__ev_letza2zf3z51zz__evaluatez00(obj_t BgL_envz00_24552,
		obj_t BgL_obj2383z00_24553)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 83 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2383z00_24553,
					BGl_ev_letza2za2zz__evaluatez00));
		}
	}



/* make-ev_let* */
	BgL_ev_letza2za2_bglt BGl_makezd2ev_letza2z70zz__evaluatez00(obj_t
		BgL_vars2348z00_435, obj_t BgL_vals2349z00_436,
		BgL_ev_exprz00_bglt BgL_body2350z00_437, obj_t BgL_boxes2351z00_438)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 83 */
			{	/* Eval/evaluate.scm 83 */
				BgL_ev_letza2za2_bglt BgL_new2352z00_14026;

				{	/* Eval/evaluate.scm 83 */
					BgL_ev_letza2za2_bglt BgL_res7334z00_14031;

					{	/* Eval/evaluate.scm 83 */
						BgL_ev_letza2za2_bglt BgL_new2364z00_14027;

						BgL_new2364z00_14027 =
							((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letza2za2_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2364z00_14027),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_letza2za2zz__evaluatez00));
						{	/* Eval/evaluate.scm 83 */
							BgL_objectz00_bglt BgL_auxz00_33244;

							BgL_auxz00_33244 = (BgL_objectz00_bglt) (BgL_new2364z00_14027);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33244, BFALSE);
						}
						BgL_res7334z00_14031 = BgL_new2364z00_14027;
					}
					BgL_new2352z00_14026 = BgL_res7334z00_14031;
				}
				{	/* Eval/evaluate.scm 83 */
					BgL_ev_letza2za2_bglt BgL_res7335z00_14041;

					{	/* Eval/evaluate.scm 83 */
						BgL_ev_letza2za2_bglt BgL_new2358z00_14032;

						BgL_new2358z00_14032 = BgL_new2352z00_14026;
						{	/* Eval/evaluate.scm 83 */
							obj_t BgL_vars2354z00_14037;

							obj_t BgL_vals2355z00_14038;

							BgL_ev_exprz00_bglt BgL_body2356z00_14039;

							obj_t BgL_boxes2357z00_14040;

							BgL_vars2354z00_14037 = BgL_vars2348z00_435;
							BgL_vals2355z00_14038 = BgL_vals2349z00_436;
							BgL_body2356z00_14039 = BgL_body2350z00_437;
							BgL_boxes2357z00_14040 = BgL_boxes2351z00_438;
							((((BgL_ev_letza2za2_bglt) CREF(BgL_new2358z00_14032))->
									BgL_varsz00) = ((obj_t) BgL_vars2354z00_14037), BUNSPEC);
							((((BgL_ev_letza2za2_bglt) CREF(BgL_new2358z00_14032))->
									BgL_valsz00) = ((obj_t) BgL_vals2355z00_14038), BUNSPEC);
							((((BgL_ev_letza2za2_bglt) CREF(BgL_new2358z00_14032))->
									BgL_bodyz00) =
								((BgL_ev_exprz00_bglt) BgL_body2356z00_14039), BUNSPEC);
							((((BgL_ev_letza2za2_bglt) CREF(BgL_new2358z00_14032))->
									BgL_boxesz00) = ((obj_t) BgL_boxes2357z00_14040), BUNSPEC);
							BgL_res7335z00_14041 = BgL_new2358z00_14032;
					}} BgL_res7335z00_14041;
				}
				return BgL_new2352z00_14026;
			}
		}
	}



/* _make-ev_let* */
	obj_t BGl__makezd2ev_letza2z70zz__evaluatez00(obj_t BgL_envz00_24540,
		obj_t BgL_vars2348z00_24541, obj_t BgL_vals2349z00_24542,
		obj_t BgL_body2350z00_24543, obj_t BgL_boxes2351z00_24544)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 83 */
			{	/* Eval/evaluate.scm 83 */
				BgL_ev_letza2za2_bglt BgL_auxz00_33251;

				{	/* Eval/evaluate.scm 83 */
					BgL_ev_exprz00_bglt BgL_auxz00_33252;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_body2350z00_24543,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 83 */
							BgL_auxz00_33252 = (BgL_ev_exprz00_bglt) (BgL_body2350z00_24543);
						}
					else
						{
							obj_t BgL_auxz00_33256;

							BgL_auxz00_33256 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2624)),
								BGl_string8363z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_body2350z00_24543);
							FAILURE(BgL_auxz00_33256, BFALSE, BFALSE);
						}
					BgL_auxz00_33251 =
						BGl_makezd2ev_letza2z70zz__evaluatez00(BgL_vars2348z00_24541,
						BgL_vals2349z00_24542, BgL_auxz00_33252, BgL_boxes2351z00_24544);
				}
				return (obj_t) (BgL_auxz00_33251);
			}
		}
	}



/* _%allocate-ev_let* */
	obj_t BGl__z52allocatezd2ev_letza2z22zz__evaluatez00(obj_t BgL_envz00_24545)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 83 */
			{	/* Eval/evaluate.scm 83 */
				BgL_ev_letza2za2_bglt BgL_auxz00_33262;

				{	/* Eval/evaluate.scm 83 */
					BgL_ev_letza2za2_bglt BgL_res8601z00_26855;

					{	/* Eval/evaluate.scm 83 */
						BgL_ev_letza2za2_bglt BgL_new2364z00_26853;

						BgL_new2364z00_26853 =
							((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letza2za2_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2364z00_26853),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_letza2za2zz__evaluatez00));
						{	/* Eval/evaluate.scm 83 */
							BgL_objectz00_bglt BgL_auxz00_33267;

							BgL_auxz00_33267 = (BgL_objectz00_bglt) (BgL_new2364z00_26853);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33267, BFALSE);
						}
						BgL_res8601z00_26855 = BgL_new2364z00_26853;
					}
					BgL_auxz00_33262 = BgL_res8601z00_26855;
				}
				return (obj_t) (BgL_auxz00_33262);
			}
		}
	}



/* ev_let*-nil */
	BgL_ev_letza2za2_bglt BGl_ev_letza2zd2nilz70zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 83 */
			if ((BGl_z52thezd2ev_letza2zd2nilzf0zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 83 */
					{	/* Eval/evaluate.scm 83 */
						BgL_ev_letza2za2_bglt BgL_res7336z00_14054;

						{	/* Eval/evaluate.scm 83 */
							BgL_ev_letza2za2_bglt BgL_new2364z00_14050;

							BgL_new2364z00_14050 =
								((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_letza2za2_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new2364z00_14050),
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_letza2za2zz__evaluatez00));
							{	/* Eval/evaluate.scm 83 */
								BgL_objectz00_bglt BgL_auxz00_33277;

								BgL_auxz00_33277 = (BgL_objectz00_bglt) (BgL_new2364z00_14050);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_33277, BFALSE);
							}
							BgL_res7336z00_14054 = BgL_new2364z00_14050;
						}
						BGl_z52thezd2ev_letza2zd2nilzf0zz__evaluatez00 =
							(obj_t) (BgL_res7336z00_14054);
					}
					{	/* Eval/evaluate.scm 83 */
						BgL_ev_exprz00_bglt BgL_arg5119z00_3856;

						BgL_arg5119z00_3856 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						{	/* Eval/evaluate.scm 83 */
							BgL_ev_letza2za2_bglt BgL_res7337z00_14064;

							{	/* Eval/evaluate.scm 83 */
								BgL_ev_letza2za2_bglt BgL_new2358z00_14055;

								BgL_new2358z00_14055 =
									(BgL_ev_letza2za2_bglt)
									(BGl_z52thezd2ev_letza2zd2nilzf0zz__evaluatez00);
								{	/* Eval/evaluate.scm 83 */
									obj_t BgL_vars2354z00_14060;

									obj_t BgL_vals2355z00_14061;

									BgL_ev_exprz00_bglt BgL_body2356z00_14062;

									obj_t BgL_boxes2357z00_14063;

									BgL_vars2354z00_14060 = BUNSPEC;
									BgL_vals2355z00_14061 = BUNSPEC;
									BgL_body2356z00_14062 = BgL_arg5119z00_3856;
									BgL_boxes2357z00_14063 = BUNSPEC;
									((((BgL_ev_letza2za2_bglt) CREF(BgL_new2358z00_14055))->
											BgL_varsz00) = ((obj_t) BgL_vars2354z00_14060), BUNSPEC);
									((((BgL_ev_letza2za2_bglt) CREF(BgL_new2358z00_14055))->
											BgL_valsz00) = ((obj_t) BgL_vals2355z00_14061), BUNSPEC);
									((((BgL_ev_letza2za2_bglt) CREF(BgL_new2358z00_14055))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_body2356z00_14062), BUNSPEC);
									((((BgL_ev_letza2za2_bglt) CREF(BgL_new2358z00_14055))->
											BgL_boxesz00) =
										((obj_t) BgL_boxes2357z00_14063), BUNSPEC);
									BgL_res7337z00_14064 = BgL_new2358z00_14055;
							}}
							(obj_t) (BgL_res7337z00_14064);
				}}}
			else
				{	/* Eval/evaluate.scm 83 */
					BFALSE;
				}
			return
				(BgL_ev_letza2za2_bglt)
				(BGl_z52thezd2ev_letza2zd2nilzf0zz__evaluatez00);
		}
	}



/* _ev_let*-nil */
	obj_t BGl__ev_letza2zd2nilz70zz__evaluatez00(obj_t BgL_envz00_24551)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 83 */
			return (obj_t) (BGl_ev_letza2zd2nilz70zz__evaluatez00());
		}
	}



/* _ev_let*-boxes-set! */
	obj_t BGl__ev_letza2zd2boxeszd2setz12zb0zz__evaluatez00(obj_t
		BgL_envz00_24548, obj_t BgL_obj2347z00_24549, obj_t BgL_val2346z00_24550)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 83 */
			{	/* Eval/evaluate.scm 83 */
				BgL_ev_letza2za2_bglt BgL_obj2347z00_26857;

				obj_t BgL_val2346z00_26858;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2347z00_24549,
						BGl_ev_letza2za2zz__evaluatez00))
					{	/* Eval/evaluate.scm 83 */
						BgL_obj2347z00_26857 =
							(BgL_ev_letza2za2_bglt) (BgL_obj2347z00_24549);
					}
				else
					{
						obj_t BgL_auxz00_33294;

						BgL_auxz00_33294 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2650)), BGl_string8364z00zz__evaluatez00,
							BGl_string8308z00zz__evaluatez00, BgL_obj2347z00_24549);
						FAILURE(BgL_auxz00_33294, BFALSE, BFALSE);
					}
				BgL_val2346z00_26858 = BgL_val2346z00_24550;
				return
					((((BgL_ev_letza2za2_bglt) CREF(BgL_obj2347z00_26857))->
						BgL_boxesz00) = ((obj_t) BgL_val2346z00_26858), BUNSPEC);
			}
		}
	}



/* _ev_let*-boxes */
	obj_t BGl__ev_letza2zd2boxesz70zz__evaluatez00(obj_t BgL_envz00_24546,
		obj_t BgL_obj2345z00_24547)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 83 */
			{	/* Eval/evaluate.scm 83 */
				BgL_ev_letza2za2_bglt BgL_obj2345z00_26860;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2345z00_24547,
						BGl_ev_letza2za2zz__evaluatez00))
					{	/* Eval/evaluate.scm 83 */
						BgL_obj2345z00_26860 =
							(BgL_ev_letza2za2_bglt) (BgL_obj2345z00_24547);
					}
				else
					{
						obj_t BgL_auxz00_33302;

						BgL_auxz00_33302 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2650)), BGl_string8365z00zz__evaluatez00,
							BGl_string8308z00zz__evaluatez00, BgL_obj2345z00_24547);
						FAILURE(BgL_auxz00_33302, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_letza2za2_bglt) CREF(BgL_obj2345z00_26860))->BgL_boxesz00);
			}
		}
	}



/* _ev_let? */
	obj_t BGl__ev_letzf3zf3zz__evaluatez00(obj_t BgL_envz00_24538,
		obj_t BgL_obj2335z00_24539)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 82 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2335z00_24539,
					BGl_ev_letz00zz__evaluatez00));
		}
	}



/* make-ev_let */
	BgL_ev_letz00_bglt BGl_makezd2ev_letzd2zz__evaluatez00(obj_t
		BgL_vars2300z00_451, obj_t BgL_vals2301z00_452,
		BgL_ev_exprz00_bglt BgL_body2302z00_453, obj_t BgL_boxes2303z00_454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 82 */
			{	/* Eval/evaluate.scm 82 */
				BgL_ev_letz00_bglt BgL_new2304z00_14065;

				{	/* Eval/evaluate.scm 82 */
					BgL_ev_letz00_bglt BgL_res7338z00_14070;

					{	/* Eval/evaluate.scm 82 */
						BgL_ev_letz00_bglt BgL_new2316z00_14066;

						BgL_new2316z00_14066 =
							((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2316z00_14066),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_letz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 82 */
							BgL_objectz00_bglt BgL_auxz00_33313;

							BgL_auxz00_33313 = (BgL_objectz00_bglt) (BgL_new2316z00_14066);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33313, BFALSE);
						}
						BgL_res7338z00_14070 = BgL_new2316z00_14066;
					}
					BgL_new2304z00_14065 = BgL_res7338z00_14070;
				}
				{	/* Eval/evaluate.scm 82 */
					BgL_ev_letz00_bglt BgL_res7339z00_14080;

					{	/* Eval/evaluate.scm 82 */
						BgL_ev_letz00_bglt BgL_new2310z00_14071;

						BgL_new2310z00_14071 = BgL_new2304z00_14065;
						{	/* Eval/evaluate.scm 82 */
							obj_t BgL_vars2306z00_14076;

							obj_t BgL_vals2307z00_14077;

							BgL_ev_exprz00_bglt BgL_body2308z00_14078;

							obj_t BgL_boxes2309z00_14079;

							BgL_vars2306z00_14076 = BgL_vars2300z00_451;
							BgL_vals2307z00_14077 = BgL_vals2301z00_452;
							BgL_body2308z00_14078 = BgL_body2302z00_453;
							BgL_boxes2309z00_14079 = BgL_boxes2303z00_454;
							((((BgL_ev_letz00_bglt) CREF(BgL_new2310z00_14071))->
									BgL_varsz00) = ((obj_t) BgL_vars2306z00_14076), BUNSPEC);
							((((BgL_ev_letz00_bglt) CREF(BgL_new2310z00_14071))->
									BgL_valsz00) = ((obj_t) BgL_vals2307z00_14077), BUNSPEC);
							((((BgL_ev_letz00_bglt) CREF(BgL_new2310z00_14071))->
									BgL_bodyz00) =
								((BgL_ev_exprz00_bglt) BgL_body2308z00_14078), BUNSPEC);
							((((BgL_ev_letz00_bglt) CREF(BgL_new2310z00_14071))->
									BgL_boxesz00) = ((obj_t) BgL_boxes2309z00_14079), BUNSPEC);
							BgL_res7339z00_14080 = BgL_new2310z00_14071;
					}} BgL_res7339z00_14080;
				}
				return BgL_new2304z00_14065;
			}
		}
	}



/* _make-ev_let */
	obj_t BGl__makezd2ev_letzd2zz__evaluatez00(obj_t BgL_envz00_24526,
		obj_t BgL_vars2300z00_24527, obj_t BgL_vals2301z00_24528,
		obj_t BgL_body2302z00_24529, obj_t BgL_boxes2303z00_24530)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 82 */
			{	/* Eval/evaluate.scm 82 */
				BgL_ev_letz00_bglt BgL_auxz00_33320;

				{	/* Eval/evaluate.scm 82 */
					BgL_ev_exprz00_bglt BgL_auxz00_33321;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_body2302z00_24529,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 82 */
							BgL_auxz00_33321 = (BgL_ev_exprz00_bglt) (BgL_body2302z00_24529);
						}
					else
						{
							obj_t BgL_auxz00_33325;

							BgL_auxz00_33325 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2572)),
								BGl_string8366z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_body2302z00_24529);
							FAILURE(BgL_auxz00_33325, BFALSE, BFALSE);
						}
					BgL_auxz00_33320 =
						BGl_makezd2ev_letzd2zz__evaluatez00(BgL_vars2300z00_24527,
						BgL_vals2301z00_24528, BgL_auxz00_33321, BgL_boxes2303z00_24530);
				}
				return (obj_t) (BgL_auxz00_33320);
			}
		}
	}



/* _%allocate-ev_let */
	obj_t BGl__z52allocatezd2ev_letz80zz__evaluatez00(obj_t BgL_envz00_24531)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 82 */
			{	/* Eval/evaluate.scm 82 */
				BgL_ev_letz00_bglt BgL_auxz00_33331;

				{	/* Eval/evaluate.scm 82 */
					BgL_ev_letz00_bglt BgL_res8602z00_26867;

					{	/* Eval/evaluate.scm 82 */
						BgL_ev_letz00_bglt BgL_new2316z00_26865;

						BgL_new2316z00_26865 =
							((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2316z00_26865),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_letz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 82 */
							BgL_objectz00_bglt BgL_auxz00_33336;

							BgL_auxz00_33336 = (BgL_objectz00_bglt) (BgL_new2316z00_26865);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33336, BFALSE);
						}
						BgL_res8602z00_26867 = BgL_new2316z00_26865;
					}
					BgL_auxz00_33331 = BgL_res8602z00_26867;
				}
				return (obj_t) (BgL_auxz00_33331);
			}
		}
	}



/* ev_let-nil */
	BgL_ev_letz00_bglt BGl_ev_letzd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 82 */
			if ((BGl_z52thezd2ev_letzd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 82 */
					{	/* Eval/evaluate.scm 82 */
						BgL_ev_letz00_bglt BgL_res7340z00_14093;

						{	/* Eval/evaluate.scm 82 */
							BgL_ev_letz00_bglt BgL_new2316z00_14089;

							BgL_new2316z00_14089 =
								((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_letz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new2316z00_14089),
								BGl_classzd2numzd2zz__objectz00(BGl_ev_letz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 82 */
								BgL_objectz00_bglt BgL_auxz00_33346;

								BgL_auxz00_33346 = (BgL_objectz00_bglt) (BgL_new2316z00_14089);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_33346, BFALSE);
							}
							BgL_res7340z00_14093 = BgL_new2316z00_14089;
						}
						BGl_z52thezd2ev_letzd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7340z00_14093);
					}
					{	/* Eval/evaluate.scm 82 */
						BgL_ev_exprz00_bglt BgL_arg5122z00_3865;

						BgL_arg5122z00_3865 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						{	/* Eval/evaluate.scm 82 */
							BgL_ev_letz00_bglt BgL_res7341z00_14103;

							{	/* Eval/evaluate.scm 82 */
								BgL_ev_letz00_bglt BgL_new2310z00_14094;

								BgL_new2310z00_14094 =
									(BgL_ev_letz00_bglt)
									(BGl_z52thezd2ev_letzd2nilz52zz__evaluatez00);
								{	/* Eval/evaluate.scm 82 */
									obj_t BgL_vars2306z00_14099;

									obj_t BgL_vals2307z00_14100;

									BgL_ev_exprz00_bglt BgL_body2308z00_14101;

									obj_t BgL_boxes2309z00_14102;

									BgL_vars2306z00_14099 = BUNSPEC;
									BgL_vals2307z00_14100 = BUNSPEC;
									BgL_body2308z00_14101 = BgL_arg5122z00_3865;
									BgL_boxes2309z00_14102 = BUNSPEC;
									((((BgL_ev_letz00_bglt) CREF(BgL_new2310z00_14094))->
											BgL_varsz00) = ((obj_t) BgL_vars2306z00_14099), BUNSPEC);
									((((BgL_ev_letz00_bglt) CREF(BgL_new2310z00_14094))->
											BgL_valsz00) = ((obj_t) BgL_vals2307z00_14100), BUNSPEC);
									((((BgL_ev_letz00_bglt) CREF(BgL_new2310z00_14094))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_body2308z00_14101), BUNSPEC);
									((((BgL_ev_letz00_bglt) CREF(BgL_new2310z00_14094))->
											BgL_boxesz00) =
										((obj_t) BgL_boxes2309z00_14102), BUNSPEC);
									BgL_res7341z00_14103 = BgL_new2310z00_14094;
							}}
							(obj_t) (BgL_res7341z00_14103);
				}}}
			else
				{	/* Eval/evaluate.scm 82 */
					BFALSE;
				}
			return (BgL_ev_letz00_bglt) (BGl_z52thezd2ev_letzd2nilz52zz__evaluatez00);
		}
	}



/* _ev_let-nil */
	obj_t BGl__ev_letzd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24537)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 82 */
			return (obj_t) (BGl_ev_letzd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_let-boxes-set! */
	obj_t BGl__ev_letzd2boxeszd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24534,
		obj_t BgL_obj2299z00_24535, obj_t BgL_val2298z00_24536)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 82 */
			{	/* Eval/evaluate.scm 82 */
				BgL_ev_letz00_bglt BgL_obj2299z00_26869;

				obj_t BgL_val2298z00_26870;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2299z00_24535,
						BGl_ev_letz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 82 */
						BgL_obj2299z00_26869 = (BgL_ev_letz00_bglt) (BgL_obj2299z00_24535);
					}
				else
					{
						obj_t BgL_auxz00_33363;

						BgL_auxz00_33363 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2597)), BGl_string8367z00zz__evaluatez00,
							BGl_string8303z00zz__evaluatez00, BgL_obj2299z00_24535);
						FAILURE(BgL_auxz00_33363, BFALSE, BFALSE);
					}
				BgL_val2298z00_26870 = BgL_val2298z00_24536;
				return
					((((BgL_ev_letz00_bglt) CREF(BgL_obj2299z00_26869))->BgL_boxesz00) =
					((obj_t) BgL_val2298z00_26870), BUNSPEC);
			}
		}
	}



/* _ev_let-boxes */
	obj_t BGl__ev_letzd2boxeszd2zz__evaluatez00(obj_t BgL_envz00_24532,
		obj_t BgL_obj2297z00_24533)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 82 */
			{	/* Eval/evaluate.scm 82 */
				BgL_ev_letz00_bglt BgL_obj2297z00_26872;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2297z00_24533,
						BGl_ev_letz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 82 */
						BgL_obj2297z00_26872 = (BgL_ev_letz00_bglt) (BgL_obj2297z00_24533);
					}
				else
					{
						obj_t BgL_auxz00_33371;

						BgL_auxz00_33371 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2597)), BGl_string8368z00zz__evaluatez00,
							BGl_string8303z00zz__evaluatez00, BgL_obj2297z00_24533);
						FAILURE(BgL_auxz00_33371, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_letz00_bglt) CREF(BgL_obj2297z00_26872))->BgL_boxesz00);
			}
		}
	}



/* _ev_binder? */
	obj_t BGl__ev_binderzf3zf3zz__evaluatez00(obj_t BgL_envz00_24524,
		obj_t BgL_obj2287z00_24525)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 81 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2287z00_24525,
					BGl_ev_binderz00zz__evaluatez00));
		}
	}



/* make-ev_binder */
	BgL_ev_binderz00_bglt BGl_makezd2ev_binderzd2zz__evaluatez00(obj_t
		BgL_vars2259z00_467, obj_t BgL_vals2260z00_468,
		BgL_ev_exprz00_bglt BgL_body2261z00_469)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 81 */
			{	/* Eval/evaluate.scm 81 */
				BgL_ev_binderz00_bglt BgL_new2262z00_14104;

				{	/* Eval/evaluate.scm 81 */
					BgL_ev_binderz00_bglt BgL_res7342z00_14109;

					{	/* Eval/evaluate.scm 81 */
						BgL_ev_binderz00_bglt BgL_new2272z00_14105;

						BgL_new2272z00_14105 =
							((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_binderz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2272z00_14105),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_binderz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 81 */
							BgL_objectz00_bglt BgL_auxz00_33382;

							BgL_auxz00_33382 = (BgL_objectz00_bglt) (BgL_new2272z00_14105);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33382, BFALSE);
						}
						BgL_res7342z00_14109 = BgL_new2272z00_14105;
					}
					BgL_new2262z00_14104 = BgL_res7342z00_14109;
				}
				{	/* Eval/evaluate.scm 81 */
					BgL_ev_binderz00_bglt BgL_res7343z00_14117;

					{	/* Eval/evaluate.scm 81 */
						BgL_ev_binderz00_bglt BgL_new2267z00_14110;

						BgL_new2267z00_14110 = BgL_new2262z00_14104;
						{	/* Eval/evaluate.scm 81 */
							obj_t BgL_vars2264z00_14114;

							obj_t BgL_vals2265z00_14115;

							BgL_ev_exprz00_bglt BgL_body2266z00_14116;

							BgL_vars2264z00_14114 = BgL_vars2259z00_467;
							BgL_vals2265z00_14115 = BgL_vals2260z00_468;
							BgL_body2266z00_14116 = BgL_body2261z00_469;
							((((BgL_ev_binderz00_bglt) CREF(BgL_new2267z00_14110))->
									BgL_varsz00) = ((obj_t) BgL_vars2264z00_14114), BUNSPEC);
							((((BgL_ev_binderz00_bglt) CREF(BgL_new2267z00_14110))->
									BgL_valsz00) = ((obj_t) BgL_vals2265z00_14115), BUNSPEC);
							((((BgL_ev_binderz00_bglt) CREF(BgL_new2267z00_14110))->
									BgL_bodyz00) =
								((BgL_ev_exprz00_bglt) BgL_body2266z00_14116), BUNSPEC);
							BgL_res7343z00_14117 = BgL_new2267z00_14110;
					}} BgL_res7343z00_14117;
				}
				return BgL_new2262z00_14104;
			}
		}
	}



/* _make-ev_binder */
	obj_t BGl__makezd2ev_binderzd2zz__evaluatez00(obj_t BgL_envz00_24503,
		obj_t BgL_vars2259z00_24504, obj_t BgL_vals2260z00_24505,
		obj_t BgL_body2261z00_24506)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 81 */
			{	/* Eval/evaluate.scm 81 */
				BgL_ev_binderz00_bglt BgL_auxz00_33388;

				{	/* Eval/evaluate.scm 81 */
					BgL_ev_exprz00_bglt BgL_auxz00_33389;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_body2261z00_24506,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 81 */
							BgL_auxz00_33389 = (BgL_ev_exprz00_bglt) (BgL_body2261z00_24506);
						}
					else
						{
							obj_t BgL_auxz00_33393;

							BgL_auxz00_33393 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2517)),
								BGl_string8369z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_body2261z00_24506);
							FAILURE(BgL_auxz00_33393, BFALSE, BFALSE);
						}
					BgL_auxz00_33388 =
						BGl_makezd2ev_binderzd2zz__evaluatez00(BgL_vars2259z00_24504,
						BgL_vals2260z00_24505, BgL_auxz00_33389);
				}
				return (obj_t) (BgL_auxz00_33388);
			}
		}
	}



/* _%allocate-ev_binder */
	obj_t BGl__z52allocatezd2ev_binderz80zz__evaluatez00(obj_t BgL_envz00_24507)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 81 */
			{	/* Eval/evaluate.scm 81 */
				BgL_ev_binderz00_bglt BgL_auxz00_33399;

				{	/* Eval/evaluate.scm 81 */
					BgL_ev_binderz00_bglt BgL_res8603z00_26879;

					{	/* Eval/evaluate.scm 81 */
						BgL_ev_binderz00_bglt BgL_new2272z00_26877;

						BgL_new2272z00_26877 =
							((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_binderz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2272z00_26877),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_binderz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 81 */
							BgL_objectz00_bglt BgL_auxz00_33404;

							BgL_auxz00_33404 = (BgL_objectz00_bglt) (BgL_new2272z00_26877);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33404, BFALSE);
						}
						BgL_res8603z00_26879 = BgL_new2272z00_26877;
					}
					BgL_auxz00_33399 = BgL_res8603z00_26879;
				}
				return (obj_t) (BgL_auxz00_33399);
			}
		}
	}



/* ev_binder-nil */
	BgL_ev_binderz00_bglt BGl_ev_binderzd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 81 */
			if ((BGl_z52thezd2ev_binderzd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 81 */
					{	/* Eval/evaluate.scm 81 */
						BgL_ev_binderz00_bglt BgL_res7344z00_14129;

						{	/* Eval/evaluate.scm 81 */
							BgL_ev_binderz00_bglt BgL_new2272z00_14125;

							BgL_new2272z00_14125 =
								((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_binderz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new2272z00_14125),
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_binderz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 81 */
								BgL_objectz00_bglt BgL_auxz00_33414;

								BgL_auxz00_33414 = (BgL_objectz00_bglt) (BgL_new2272z00_14125);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_33414, BFALSE);
							}
							BgL_res7344z00_14129 = BgL_new2272z00_14125;
						}
						BGl_z52thezd2ev_binderzd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7344z00_14129);
					}
					{	/* Eval/evaluate.scm 81 */
						BgL_ev_exprz00_bglt BgL_arg5125z00_3873;

						BgL_arg5125z00_3873 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						{	/* Eval/evaluate.scm 81 */
							BgL_ev_binderz00_bglt BgL_res7345z00_14137;

							{	/* Eval/evaluate.scm 81 */
								BgL_ev_binderz00_bglt BgL_new2267z00_14130;

								BgL_new2267z00_14130 =
									(BgL_ev_binderz00_bglt)
									(BGl_z52thezd2ev_binderzd2nilz52zz__evaluatez00);
								{	/* Eval/evaluate.scm 81 */
									obj_t BgL_vars2264z00_14134;

									obj_t BgL_vals2265z00_14135;

									BgL_ev_exprz00_bglt BgL_body2266z00_14136;

									BgL_vars2264z00_14134 = BUNSPEC;
									BgL_vals2265z00_14135 = BUNSPEC;
									BgL_body2266z00_14136 = BgL_arg5125z00_3873;
									((((BgL_ev_binderz00_bglt) CREF(BgL_new2267z00_14130))->
											BgL_varsz00) = ((obj_t) BgL_vars2264z00_14134), BUNSPEC);
									((((BgL_ev_binderz00_bglt) CREF(BgL_new2267z00_14130))->
											BgL_valsz00) = ((obj_t) BgL_vals2265z00_14135), BUNSPEC);
									((((BgL_ev_binderz00_bglt) CREF(BgL_new2267z00_14130))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_body2266z00_14136), BUNSPEC);
									BgL_res7345z00_14137 = BgL_new2267z00_14130;
							}}
							(obj_t) (BgL_res7345z00_14137);
				}}}
			else
				{	/* Eval/evaluate.scm 81 */
					BFALSE;
				}
			return
				(BgL_ev_binderz00_bglt)
				(BGl_z52thezd2ev_binderzd2nilz52zz__evaluatez00);
		}
	}



/* _ev_binder-nil */
	obj_t BGl__ev_binderzd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24523)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 81 */
			return (obj_t) (BGl_ev_binderzd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_binder-vars-set! */
	obj_t BGl__ev_binderzd2varszd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24510,
		obj_t BgL_obj2252z00_24511, obj_t BgL_val2251z00_24512)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 81 */
			{	/* Eval/evaluate.scm 81 */
				BgL_ev_binderz00_bglt BgL_obj2252z00_26881;

				obj_t BgL_val2251z00_26882;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2252z00_24511,
						BGl_ev_binderz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 81 */
						BgL_obj2252z00_26881 =
							(BgL_ev_binderz00_bglt) (BgL_obj2252z00_24511);
					}
				else
					{
						obj_t BgL_auxz00_33430;

						BgL_auxz00_33430 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2517)), BGl_string8370z00zz__evaluatez00,
							BGl_string8297z00zz__evaluatez00, BgL_obj2252z00_24511);
						FAILURE(BgL_auxz00_33430, BFALSE, BFALSE);
					}
				BgL_val2251z00_26882 = BgL_val2251z00_24512;
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_obj2252z00_26881))->BgL_varsz00) =
					((obj_t) BgL_val2251z00_26882), BUNSPEC);
			}
		}
	}



/* _ev_binder-vars */
	obj_t BGl__ev_binderzd2varszd2zz__evaluatez00(obj_t BgL_envz00_24508,
		obj_t BgL_obj2250z00_24509)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 81 */
			{	/* Eval/evaluate.scm 81 */
				BgL_ev_binderz00_bglt BgL_obj2250z00_26884;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2250z00_24509,
						BGl_ev_binderz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 81 */
						BgL_obj2250z00_26884 =
							(BgL_ev_binderz00_bglt) (BgL_obj2250z00_24509);
					}
				else
					{
						obj_t BgL_auxz00_33438;

						BgL_auxz00_33438 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2517)), BGl_string8371z00zz__evaluatez00,
							BGl_string8297z00zz__evaluatez00, BgL_obj2250z00_24509);
						FAILURE(BgL_auxz00_33438, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_binderz00_bglt) CREF(BgL_obj2250z00_26884))->BgL_varsz00);
			}
		}
	}



/* _ev_binder-vals-set! */
	obj_t BGl__ev_binderzd2valszd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24515,
		obj_t BgL_obj2255z00_24516, obj_t BgL_val2254z00_24517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 81 */
			{	/* Eval/evaluate.scm 81 */
				BgL_ev_binderz00_bglt BgL_obj2255z00_26886;

				obj_t BgL_val2254z00_26887;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2255z00_24516,
						BGl_ev_binderz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 81 */
						BgL_obj2255z00_26886 =
							(BgL_ev_binderz00_bglt) (BgL_obj2255z00_24516);
					}
				else
					{
						obj_t BgL_auxz00_33446;

						BgL_auxz00_33446 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2517)), BGl_string8372z00zz__evaluatez00,
							BGl_string8297z00zz__evaluatez00, BgL_obj2255z00_24516);
						FAILURE(BgL_auxz00_33446, BFALSE, BFALSE);
					}
				BgL_val2254z00_26887 = BgL_val2254z00_24517;
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_obj2255z00_26886))->BgL_valsz00) =
					((obj_t) BgL_val2254z00_26887), BUNSPEC);
			}
		}
	}



/* _ev_binder-vals */
	obj_t BGl__ev_binderzd2valszd2zz__evaluatez00(obj_t BgL_envz00_24513,
		obj_t BgL_obj2253z00_24514)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 81 */
			{	/* Eval/evaluate.scm 81 */
				BgL_ev_binderz00_bglt BgL_obj2253z00_26889;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2253z00_24514,
						BGl_ev_binderz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 81 */
						BgL_obj2253z00_26889 =
							(BgL_ev_binderz00_bglt) (BgL_obj2253z00_24514);
					}
				else
					{
						obj_t BgL_auxz00_33454;

						BgL_auxz00_33454 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2517)), BGl_string8373z00zz__evaluatez00,
							BGl_string8297z00zz__evaluatez00, BgL_obj2253z00_24514);
						FAILURE(BgL_auxz00_33454, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_binderz00_bglt) CREF(BgL_obj2253z00_26889))->BgL_valsz00);
			}
		}
	}



/* _ev_binder-body-set! */
	obj_t BGl__ev_binderzd2bodyzd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24520,
		obj_t BgL_obj2258z00_24521, obj_t BgL_val2257z00_24522)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 81 */
			{	/* Eval/evaluate.scm 81 */
				BgL_ev_binderz00_bglt BgL_obj2258z00_26892;

				BgL_ev_exprz00_bglt BgL_val2257z00_26893;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2258z00_24521,
						BGl_ev_binderz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 81 */
						BgL_obj2258z00_26892 =
							(BgL_ev_binderz00_bglt) (BgL_obj2258z00_24521);
					}
				else
					{
						obj_t BgL_auxz00_33462;

						BgL_auxz00_33462 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2517)), BGl_string8374z00zz__evaluatez00,
							BGl_string8297z00zz__evaluatez00, BgL_obj2258z00_24521);
						FAILURE(BgL_auxz00_33462, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2257z00_24522,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 81 */
						BgL_val2257z00_26893 = (BgL_ev_exprz00_bglt) (BgL_val2257z00_24522);
					}
				else
					{
						obj_t BgL_auxz00_33469;

						BgL_auxz00_33469 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2517)), BGl_string8374z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_val2257z00_24522);
						FAILURE(BgL_auxz00_33469, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_obj2258z00_26892))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_val2257z00_26893), BUNSPEC);
			}
		}
	}



/* _ev_binder-body */
	obj_t BGl__ev_binderzd2bodyzd2zz__evaluatez00(obj_t BgL_envz00_24518,
		obj_t BgL_obj2256z00_24519)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 81 */
			{	/* Eval/evaluate.scm 81 */
				BgL_ev_exprz00_bglt BgL_auxz00_33474;

				{	/* Eval/evaluate.scm 81 */
					BgL_ev_binderz00_bglt BgL_obj2256z00_26895;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2256z00_24519,
							BGl_ev_binderz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 81 */
							BgL_obj2256z00_26895 =
								(BgL_ev_binderz00_bglt) (BgL_obj2256z00_24519);
						}
					else
						{
							obj_t BgL_auxz00_33478;

							BgL_auxz00_33478 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2517)),
								BGl_string8375z00zz__evaluatez00,
								BGl_string8297z00zz__evaluatez00, BgL_obj2256z00_24519);
							FAILURE(BgL_auxz00_33478, BFALSE, BFALSE);
						}
					BgL_auxz00_33474 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_obj2256z00_26895))->BgL_bodyz00);
				}
				return (obj_t) (BgL_auxz00_33474);
			}
		}
	}



/* _ev_with-handler? */
	obj_t BGl__ev_withzd2handlerzf3z21zz__evaluatez00(obj_t BgL_envz00_24501,
		obj_t BgL_obj2249z00_24502)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 80 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2249z00_24502,
					BGl_ev_withzd2handlerzd2zz__evaluatez00));
		}
	}



/* make-ev_with-handler */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_makezd2ev_withzd2handlerz00zz__evaluatez00(BgL_ev_exprz00_bglt
		BgL_handler2228z00_487, BgL_ev_exprz00_bglt BgL_body2229z00_488)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 80 */
			{	/* Eval/evaluate.scm 80 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new2230z00_14138;

				{	/* Eval/evaluate.scm 80 */
					BgL_ev_withzd2handlerzd2_bglt BgL_res7346z00_14143;

					{	/* Eval/evaluate.scm 80 */
						BgL_ev_withzd2handlerzd2_bglt BgL_new2238z00_14139;

						BgL_new2238z00_14139 =
							((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_withzd2handlerzd2_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2238z00_14139),
							BGl_classzd2numzd2zz__objectz00
							(BGl_ev_withzd2handlerzd2zz__evaluatez00));
						{	/* Eval/evaluate.scm 80 */
							BgL_objectz00_bglt BgL_auxz00_33490;

							BgL_auxz00_33490 = (BgL_objectz00_bglt) (BgL_new2238z00_14139);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33490, BFALSE);
						}
						BgL_res7346z00_14143 = BgL_new2238z00_14139;
					}
					BgL_new2230z00_14138 = BgL_res7346z00_14143;
				}
				{	/* Eval/evaluate.scm 80 */
					BgL_ev_withzd2handlerzd2_bglt BgL_res7347z00_14149;

					{	/* Eval/evaluate.scm 80 */
						BgL_ev_withzd2handlerzd2_bglt BgL_new2234z00_14144;

						BgL_new2234z00_14144 = BgL_new2230z00_14138;
						{	/* Eval/evaluate.scm 80 */
							BgL_ev_exprz00_bglt BgL_handler2232z00_14147;

							BgL_ev_exprz00_bglt BgL_body2233z00_14148;

							BgL_handler2232z00_14147 = BgL_handler2228z00_487;
							BgL_body2233z00_14148 = BgL_body2229z00_488;
							((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new2234z00_14144))->
									BgL_handlerz00) =
								((BgL_ev_exprz00_bglt) BgL_handler2232z00_14147), BUNSPEC);
							((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new2234z00_14144))->
									BgL_bodyz00) =
								((BgL_ev_exprz00_bglt) BgL_body2233z00_14148), BUNSPEC);
							BgL_res7347z00_14149 = BgL_new2234z00_14144;
					}} BgL_res7347z00_14149;
				}
				return BgL_new2230z00_14138;
			}
		}
	}



/* _make-ev_with-handler */
	obj_t BGl__makezd2ev_withzd2handlerz00zz__evaluatez00(obj_t BgL_envz00_24486,
		obj_t BgL_handler2228z00_24487, obj_t BgL_body2229z00_24488)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 80 */
			{	/* Eval/evaluate.scm 80 */
				BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_33495;

				{	/* Eval/evaluate.scm 80 */
					BgL_ev_exprz00_bglt BgL_auxz00_33504;

					BgL_ev_exprz00_bglt BgL_auxz00_33496;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_body2229z00_24488,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 80 */
							BgL_auxz00_33504 = (BgL_ev_exprz00_bglt) (BgL_body2229z00_24488);
						}
					else
						{
							obj_t BgL_auxz00_33508;

							BgL_auxz00_33508 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2449)),
								BGl_string8376z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_body2229z00_24488);
							FAILURE(BgL_auxz00_33508, BFALSE, BFALSE);
						}
					if (BGl_iszd2azf3z21zz__objectz00(BgL_handler2228z00_24487,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 80 */
							BgL_auxz00_33496 =
								(BgL_ev_exprz00_bglt) (BgL_handler2228z00_24487);
						}
					else
						{
							obj_t BgL_auxz00_33500;

							BgL_auxz00_33500 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2449)),
								BGl_string8376z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_handler2228z00_24487);
							FAILURE(BgL_auxz00_33500, BFALSE, BFALSE);
						}
					BgL_auxz00_33495 =
						BGl_makezd2ev_withzd2handlerz00zz__evaluatez00(BgL_auxz00_33496,
						BgL_auxz00_33504);
				}
				return (obj_t) (BgL_auxz00_33495);
			}
		}
	}



/* _%allocate-ev_with-handler */
	obj_t BGl__z52allocatezd2ev_withzd2handlerz52zz__evaluatez00(obj_t
		BgL_envz00_24489)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 80 */
			{	/* Eval/evaluate.scm 80 */
				BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_33514;

				{	/* Eval/evaluate.scm 80 */
					BgL_ev_withzd2handlerzd2_bglt BgL_res8604z00_26903;

					{	/* Eval/evaluate.scm 80 */
						BgL_ev_withzd2handlerzd2_bglt BgL_new2238z00_26901;

						BgL_new2238z00_26901 =
							((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_withzd2handlerzd2_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2238z00_26901),
							BGl_classzd2numzd2zz__objectz00
							(BGl_ev_withzd2handlerzd2zz__evaluatez00));
						{	/* Eval/evaluate.scm 80 */
							BgL_objectz00_bglt BgL_auxz00_33519;

							BgL_auxz00_33519 = (BgL_objectz00_bglt) (BgL_new2238z00_26901);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33519, BFALSE);
						}
						BgL_res8604z00_26903 = BgL_new2238z00_26901;
					}
					BgL_auxz00_33514 = BgL_res8604z00_26903;
				}
				return (obj_t) (BgL_auxz00_33514);
			}
		}
	}



/* ev_with-handler-nil */
	BgL_ev_withzd2handlerzd2_bglt BGl_ev_withzd2handlerzd2nilz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 80 */
			if ((BGl_z52thezd2ev_withzd2handlerzd2nilz80zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 80 */
					{	/* Eval/evaluate.scm 80 */
						BgL_ev_withzd2handlerzd2_bglt BgL_res7348z00_14160;

						{	/* Eval/evaluate.scm 80 */
							BgL_ev_withzd2handlerzd2_bglt BgL_new2238z00_14156;

							BgL_new2238z00_14156 =
								((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_withzd2handlerzd2_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new2238z00_14156),
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_withzd2handlerzd2zz__evaluatez00));
							{	/* Eval/evaluate.scm 80 */
								BgL_objectz00_bglt BgL_auxz00_33529;

								BgL_auxz00_33529 = (BgL_objectz00_bglt) (BgL_new2238z00_14156);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_33529, BFALSE);
							}
							BgL_res7348z00_14160 = BgL_new2238z00_14156;
						}
						BGl_z52thezd2ev_withzd2handlerzd2nilz80zz__evaluatez00 =
							(obj_t) (BgL_res7348z00_14160);
					}
					{	/* Eval/evaluate.scm 80 */
						BgL_ev_exprz00_bglt BgL_arg5128z00_3880;

						BgL_ev_exprz00_bglt BgL_arg5129z00_3881;

						BgL_arg5128z00_3880 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						BgL_arg5129z00_3881 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						{	/* Eval/evaluate.scm 80 */
							BgL_ev_withzd2handlerzd2_bglt BgL_res7349z00_14166;

							{	/* Eval/evaluate.scm 80 */
								BgL_ev_withzd2handlerzd2_bglt BgL_new2234z00_14161;

								BgL_new2234z00_14161 =
									(BgL_ev_withzd2handlerzd2_bglt)
									(BGl_z52thezd2ev_withzd2handlerzd2nilz80zz__evaluatez00);
								{	/* Eval/evaluate.scm 80 */
									BgL_ev_exprz00_bglt BgL_handler2232z00_14164;

									BgL_ev_exprz00_bglt BgL_body2233z00_14165;

									BgL_handler2232z00_14164 = BgL_arg5128z00_3880;
									BgL_body2233z00_14165 = BgL_arg5129z00_3881;
									((((BgL_ev_withzd2handlerzd2_bglt)
												CREF(BgL_new2234z00_14161))->BgL_handlerz00) =
										((BgL_ev_exprz00_bglt) BgL_handler2232z00_14164), BUNSPEC);
									((((BgL_ev_withzd2handlerzd2_bglt)
												CREF(BgL_new2234z00_14161))->BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_body2233z00_14165), BUNSPEC);
									BgL_res7349z00_14166 = BgL_new2234z00_14161;
							}}
							(obj_t) (BgL_res7349z00_14166);
				}}}
			else
				{	/* Eval/evaluate.scm 80 */
					BFALSE;
				}
			return
				(BgL_ev_withzd2handlerzd2_bglt)
				(BGl_z52thezd2ev_withzd2handlerzd2nilz80zz__evaluatez00);
		}
	}



/* _ev_with-handler-nil */
	obj_t BGl__ev_withzd2handlerzd2nilz00zz__evaluatez00(obj_t BgL_envz00_24500)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 80 */
			return (obj_t) (BGl_ev_withzd2handlerzd2nilz00zz__evaluatez00());
		}
	}



/* _ev_with-handler-handler-set! */
	obj_t BGl__ev_withzd2handlerzd2handlerzd2setz12zc0zz__evaluatez00(obj_t
		BgL_envz00_24492, obj_t BgL_obj2224z00_24493, obj_t BgL_val2223z00_24494)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 80 */
			{	/* Eval/evaluate.scm 80 */
				BgL_ev_withzd2handlerzd2_bglt BgL_obj2224z00_26906;

				BgL_ev_exprz00_bglt BgL_val2223z00_26907;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2224z00_24493,
						BGl_ev_withzd2handlerzd2zz__evaluatez00))
					{	/* Eval/evaluate.scm 80 */
						BgL_obj2224z00_26906 =
							(BgL_ev_withzd2handlerzd2_bglt) (BgL_obj2224z00_24493);
					}
				else
					{
						obj_t BgL_auxz00_33545;

						BgL_auxz00_33545 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2449)), BGl_string8377z00zz__evaluatez00,
							BGl_string8293z00zz__evaluatez00, BgL_obj2224z00_24493);
						FAILURE(BgL_auxz00_33545, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2223z00_24494,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 80 */
						BgL_val2223z00_26907 = (BgL_ev_exprz00_bglt) (BgL_val2223z00_24494);
					}
				else
					{
						obj_t BgL_auxz00_33552;

						BgL_auxz00_33552 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2449)), BGl_string8377z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_val2223z00_24494);
						FAILURE(BgL_auxz00_33552, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_obj2224z00_26906))->
						BgL_handlerz00) =
					((BgL_ev_exprz00_bglt) BgL_val2223z00_26907), BUNSPEC);
			}
		}
	}



/* _ev_with-handler-handler */
	obj_t BGl__ev_withzd2handlerzd2handlerz00zz__evaluatez00(obj_t
		BgL_envz00_24490, obj_t BgL_obj2222z00_24491)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 80 */
			{	/* Eval/evaluate.scm 80 */
				BgL_ev_exprz00_bglt BgL_auxz00_33557;

				{	/* Eval/evaluate.scm 80 */
					BgL_ev_withzd2handlerzd2_bglt BgL_obj2222z00_26909;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2222z00_24491,
							BGl_ev_withzd2handlerzd2zz__evaluatez00))
						{	/* Eval/evaluate.scm 80 */
							BgL_obj2222z00_26909 =
								(BgL_ev_withzd2handlerzd2_bglt) (BgL_obj2222z00_24491);
						}
					else
						{
							obj_t BgL_auxz00_33561;

							BgL_auxz00_33561 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2449)),
								BGl_string8378z00zz__evaluatez00,
								BGl_string8293z00zz__evaluatez00, BgL_obj2222z00_24491);
							FAILURE(BgL_auxz00_33561, BFALSE, BFALSE);
						}
					BgL_auxz00_33557 =
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_obj2222z00_26909))->
						BgL_handlerz00);
				}
				return (obj_t) (BgL_auxz00_33557);
			}
		}
	}



/* _ev_with-handler-body-set! */
	obj_t BGl__ev_withzd2handlerzd2bodyzd2setz12zc0zz__evaluatez00(obj_t
		BgL_envz00_24497, obj_t BgL_obj2227z00_24498, obj_t BgL_val2226z00_24499)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 80 */
			{	/* Eval/evaluate.scm 80 */
				BgL_ev_withzd2handlerzd2_bglt BgL_obj2227z00_26912;

				BgL_ev_exprz00_bglt BgL_val2226z00_26913;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2227z00_24498,
						BGl_ev_withzd2handlerzd2zz__evaluatez00))
					{	/* Eval/evaluate.scm 80 */
						BgL_obj2227z00_26912 =
							(BgL_ev_withzd2handlerzd2_bglt) (BgL_obj2227z00_24498);
					}
				else
					{
						obj_t BgL_auxz00_33570;

						BgL_auxz00_33570 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2449)), BGl_string8379z00zz__evaluatez00,
							BGl_string8293z00zz__evaluatez00, BgL_obj2227z00_24498);
						FAILURE(BgL_auxz00_33570, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2226z00_24499,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 80 */
						BgL_val2226z00_26913 = (BgL_ev_exprz00_bglt) (BgL_val2226z00_24499);
					}
				else
					{
						obj_t BgL_auxz00_33577;

						BgL_auxz00_33577 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2449)), BGl_string8379z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_val2226z00_24499);
						FAILURE(BgL_auxz00_33577, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_obj2227z00_26912))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_val2226z00_26913), BUNSPEC);
			}
		}
	}



/* _ev_with-handler-body */
	obj_t BGl__ev_withzd2handlerzd2bodyz00zz__evaluatez00(obj_t BgL_envz00_24495,
		obj_t BgL_obj2225z00_24496)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 80 */
			{	/* Eval/evaluate.scm 80 */
				BgL_ev_exprz00_bglt BgL_auxz00_33582;

				{	/* Eval/evaluate.scm 80 */
					BgL_ev_withzd2handlerzd2_bglt BgL_obj2225z00_26915;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2225z00_24496,
							BGl_ev_withzd2handlerzd2zz__evaluatez00))
						{	/* Eval/evaluate.scm 80 */
							BgL_obj2225z00_26915 =
								(BgL_ev_withzd2handlerzd2_bglt) (BgL_obj2225z00_24496);
						}
					else
						{
							obj_t BgL_auxz00_33586;

							BgL_auxz00_33586 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2449)),
								BGl_string8380z00zz__evaluatez00,
								BGl_string8293z00zz__evaluatez00, BgL_obj2225z00_24496);
							FAILURE(BgL_auxz00_33586, BFALSE, BFALSE);
						}
					BgL_auxz00_33582 =
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_obj2225z00_26915))->
						BgL_bodyz00);
				}
				return (obj_t) (BgL_auxz00_33582);
			}
		}
	}



/* _ev_unwind-protect? */
	obj_t BGl__ev_unwindzd2protectzf3z21zz__evaluatez00(obj_t BgL_envz00_24484,
		obj_t BgL_obj2221z00_24485)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 79 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2221z00_24485,
					BGl_ev_unwindzd2protectzd2zz__evaluatez00));
		}
	}



/* make-ev_unwind-protect */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_makezd2ev_unwindzd2protectz00zz__evaluatez00(BgL_ev_exprz00_bglt
		BgL_e2200z00_502, BgL_ev_exprz00_bglt BgL_body2201z00_503)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 79 */
			{	/* Eval/evaluate.scm 79 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new2202z00_14167;

				{	/* Eval/evaluate.scm 79 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_res7350z00_14172;

					{	/* Eval/evaluate.scm 79 */
						BgL_ev_unwindzd2protectzd2_bglt BgL_new2210z00_14168;

						BgL_new2210z00_14168 =
							((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_unwindzd2protectzd2_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2210z00_14168),
							BGl_classzd2numzd2zz__objectz00
							(BGl_ev_unwindzd2protectzd2zz__evaluatez00));
						{	/* Eval/evaluate.scm 79 */
							BgL_objectz00_bglt BgL_auxz00_33598;

							BgL_auxz00_33598 = (BgL_objectz00_bglt) (BgL_new2210z00_14168);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33598, BFALSE);
						}
						BgL_res7350z00_14172 = BgL_new2210z00_14168;
					}
					BgL_new2202z00_14167 = BgL_res7350z00_14172;
				}
				{	/* Eval/evaluate.scm 79 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_res7351z00_14178;

					{	/* Eval/evaluate.scm 79 */
						BgL_ev_unwindzd2protectzd2_bglt BgL_new2206z00_14173;

						BgL_new2206z00_14173 = BgL_new2202z00_14167;
						{	/* Eval/evaluate.scm 79 */
							BgL_ev_exprz00_bglt BgL_e2204z00_14176;

							BgL_ev_exprz00_bglt BgL_body2205z00_14177;

							BgL_e2204z00_14176 = BgL_e2200z00_502;
							BgL_body2205z00_14177 = BgL_body2201z00_503;
							((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new2206z00_14173))->
									BgL_ez00) =
								((BgL_ev_exprz00_bglt) BgL_e2204z00_14176), BUNSPEC);
							((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new2206z00_14173))->
									BgL_bodyz00) =
								((BgL_ev_exprz00_bglt) BgL_body2205z00_14177), BUNSPEC);
							BgL_res7351z00_14178 = BgL_new2206z00_14173;
					}} BgL_res7351z00_14178;
				}
				return BgL_new2202z00_14167;
			}
		}
	}



/* _make-ev_unwind-protect */
	obj_t BGl__makezd2ev_unwindzd2protectz00zz__evaluatez00(obj_t
		BgL_envz00_24469, obj_t BgL_e2200z00_24470, obj_t BgL_body2201z00_24471)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 79 */
			{	/* Eval/evaluate.scm 79 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_33603;

				{	/* Eval/evaluate.scm 79 */
					BgL_ev_exprz00_bglt BgL_auxz00_33612;

					BgL_ev_exprz00_bglt BgL_auxz00_33604;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_body2201z00_24471,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 79 */
							BgL_auxz00_33612 = (BgL_ev_exprz00_bglt) (BgL_body2201z00_24471);
						}
					else
						{
							obj_t BgL_auxz00_33616;

							BgL_auxz00_33616 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2385)),
								BGl_string8381z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_body2201z00_24471);
							FAILURE(BgL_auxz00_33616, BFALSE, BFALSE);
						}
					if (BGl_iszd2azf3z21zz__objectz00(BgL_e2200z00_24470,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 79 */
							BgL_auxz00_33604 = (BgL_ev_exprz00_bglt) (BgL_e2200z00_24470);
						}
					else
						{
							obj_t BgL_auxz00_33608;

							BgL_auxz00_33608 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2385)),
								BGl_string8381z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_e2200z00_24470);
							FAILURE(BgL_auxz00_33608, BFALSE, BFALSE);
						}
					BgL_auxz00_33603 =
						BGl_makezd2ev_unwindzd2protectz00zz__evaluatez00(BgL_auxz00_33604,
						BgL_auxz00_33612);
				}
				return (obj_t) (BgL_auxz00_33603);
			}
		}
	}



/* _%allocate-ev_unwind-protect */
	obj_t BGl__z52allocatezd2ev_unwindzd2protectz52zz__evaluatez00(obj_t
		BgL_envz00_24472)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 79 */
			{	/* Eval/evaluate.scm 79 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_33622;

				{	/* Eval/evaluate.scm 79 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_res8605z00_26923;

					{	/* Eval/evaluate.scm 79 */
						BgL_ev_unwindzd2protectzd2_bglt BgL_new2210z00_26921;

						BgL_new2210z00_26921 =
							((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_unwindzd2protectzd2_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2210z00_26921),
							BGl_classzd2numzd2zz__objectz00
							(BGl_ev_unwindzd2protectzd2zz__evaluatez00));
						{	/* Eval/evaluate.scm 79 */
							BgL_objectz00_bglt BgL_auxz00_33627;

							BgL_auxz00_33627 = (BgL_objectz00_bglt) (BgL_new2210z00_26921);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33627, BFALSE);
						}
						BgL_res8605z00_26923 = BgL_new2210z00_26921;
					}
					BgL_auxz00_33622 = BgL_res8605z00_26923;
				}
				return (obj_t) (BgL_auxz00_33622);
			}
		}
	}



/* ev_unwind-protect-nil */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_ev_unwindzd2protectzd2nilz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 79 */
			if ((BGl_z52thezd2ev_unwindzd2protectzd2nilz80zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 79 */
					{	/* Eval/evaluate.scm 79 */
						BgL_ev_unwindzd2protectzd2_bglt BgL_res7352z00_14189;

						{	/* Eval/evaluate.scm 79 */
							BgL_ev_unwindzd2protectzd2_bglt BgL_new2210z00_14185;

							BgL_new2210z00_14185 =
								((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_unwindzd2protectzd2_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new2210z00_14185),
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_unwindzd2protectzd2zz__evaluatez00));
							{	/* Eval/evaluate.scm 79 */
								BgL_objectz00_bglt BgL_auxz00_33637;

								BgL_auxz00_33637 = (BgL_objectz00_bglt) (BgL_new2210z00_14185);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_33637, BFALSE);
							}
							BgL_res7352z00_14189 = BgL_new2210z00_14185;
						}
						BGl_z52thezd2ev_unwindzd2protectzd2nilz80zz__evaluatez00 =
							(obj_t) (BgL_res7352z00_14189);
					}
					{	/* Eval/evaluate.scm 79 */
						BgL_ev_exprz00_bglt BgL_arg5132z00_3888;

						BgL_ev_exprz00_bglt BgL_arg5133z00_3889;

						BgL_arg5132z00_3888 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						BgL_arg5133z00_3889 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						{	/* Eval/evaluate.scm 79 */
							BgL_ev_unwindzd2protectzd2_bglt BgL_res7353z00_14195;

							{	/* Eval/evaluate.scm 79 */
								BgL_ev_unwindzd2protectzd2_bglt BgL_new2206z00_14190;

								BgL_new2206z00_14190 =
									(BgL_ev_unwindzd2protectzd2_bglt)
									(BGl_z52thezd2ev_unwindzd2protectzd2nilz80zz__evaluatez00);
								{	/* Eval/evaluate.scm 79 */
									BgL_ev_exprz00_bglt BgL_e2204z00_14193;

									BgL_ev_exprz00_bglt BgL_body2205z00_14194;

									BgL_e2204z00_14193 = BgL_arg5132z00_3888;
									BgL_body2205z00_14194 = BgL_arg5133z00_3889;
									((((BgL_ev_unwindzd2protectzd2_bglt)
												CREF(BgL_new2206z00_14190))->BgL_ez00) =
										((BgL_ev_exprz00_bglt) BgL_e2204z00_14193), BUNSPEC);
									((((BgL_ev_unwindzd2protectzd2_bglt)
												CREF(BgL_new2206z00_14190))->BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_body2205z00_14194), BUNSPEC);
									BgL_res7353z00_14195 = BgL_new2206z00_14190;
							}}
							(obj_t) (BgL_res7353z00_14195);
				}}}
			else
				{	/* Eval/evaluate.scm 79 */
					BFALSE;
				}
			return
				(BgL_ev_unwindzd2protectzd2_bglt)
				(BGl_z52thezd2ev_unwindzd2protectzd2nilz80zz__evaluatez00);
		}
	}



/* _ev_unwind-protect-nil */
	obj_t BGl__ev_unwindzd2protectzd2nilz00zz__evaluatez00(obj_t BgL_envz00_24483)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 79 */
			return (obj_t) (BGl_ev_unwindzd2protectzd2nilz00zz__evaluatez00());
		}
	}



/* _ev_unwind-protect-e-set! */
	obj_t BGl__ev_unwindzd2protectzd2ezd2setz12zc0zz__evaluatez00(obj_t
		BgL_envz00_24475, obj_t BgL_obj2196z00_24476, obj_t BgL_val2195z00_24477)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 79 */
			{	/* Eval/evaluate.scm 79 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_obj2196z00_26926;

				BgL_ev_exprz00_bglt BgL_val2195z00_26927;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2196z00_24476,
						BGl_ev_unwindzd2protectzd2zz__evaluatez00))
					{	/* Eval/evaluate.scm 79 */
						BgL_obj2196z00_26926 =
							(BgL_ev_unwindzd2protectzd2_bglt) (BgL_obj2196z00_24476);
					}
				else
					{
						obj_t BgL_auxz00_33653;

						BgL_auxz00_33653 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2385)), BGl_string8382z00zz__evaluatez00,
							BGl_string8291z00zz__evaluatez00, BgL_obj2196z00_24476);
						FAILURE(BgL_auxz00_33653, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2195z00_24477,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 79 */
						BgL_val2195z00_26927 = (BgL_ev_exprz00_bglt) (BgL_val2195z00_24477);
					}
				else
					{
						obj_t BgL_auxz00_33660;

						BgL_auxz00_33660 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2385)), BGl_string8382z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_val2195z00_24477);
						FAILURE(BgL_auxz00_33660, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_obj2196z00_26926))->
						BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_val2195z00_26927), BUNSPEC);
			}
		}
	}



/* _ev_unwind-protect-e */
	obj_t BGl__ev_unwindzd2protectzd2ez00zz__evaluatez00(obj_t BgL_envz00_24473,
		obj_t BgL_obj2194z00_24474)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 79 */
			{	/* Eval/evaluate.scm 79 */
				BgL_ev_exprz00_bglt BgL_auxz00_33665;

				{	/* Eval/evaluate.scm 79 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_obj2194z00_26929;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2194z00_24474,
							BGl_ev_unwindzd2protectzd2zz__evaluatez00))
						{	/* Eval/evaluate.scm 79 */
							BgL_obj2194z00_26929 =
								(BgL_ev_unwindzd2protectzd2_bglt) (BgL_obj2194z00_24474);
						}
					else
						{
							obj_t BgL_auxz00_33669;

							BgL_auxz00_33669 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2385)),
								BGl_string8383z00zz__evaluatez00,
								BGl_string8291z00zz__evaluatez00, BgL_obj2194z00_24474);
							FAILURE(BgL_auxz00_33669, BFALSE, BFALSE);
						}
					BgL_auxz00_33665 =
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_obj2194z00_26929))->
						BgL_ez00);
				}
				return (obj_t) (BgL_auxz00_33665);
			}
		}
	}



/* _ev_unwind-protect-body-set! */
	obj_t BGl__ev_unwindzd2protectzd2bodyzd2setz12zc0zz__evaluatez00(obj_t
		BgL_envz00_24480, obj_t BgL_obj2199z00_24481, obj_t BgL_val2198z00_24482)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 79 */
			{	/* Eval/evaluate.scm 79 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_obj2199z00_26932;

				BgL_ev_exprz00_bglt BgL_val2198z00_26933;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2199z00_24481,
						BGl_ev_unwindzd2protectzd2zz__evaluatez00))
					{	/* Eval/evaluate.scm 79 */
						BgL_obj2199z00_26932 =
							(BgL_ev_unwindzd2protectzd2_bglt) (BgL_obj2199z00_24481);
					}
				else
					{
						obj_t BgL_auxz00_33678;

						BgL_auxz00_33678 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2385)), BGl_string8384z00zz__evaluatez00,
							BGl_string8291z00zz__evaluatez00, BgL_obj2199z00_24481);
						FAILURE(BgL_auxz00_33678, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2198z00_24482,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 79 */
						BgL_val2198z00_26933 = (BgL_ev_exprz00_bglt) (BgL_val2198z00_24482);
					}
				else
					{
						obj_t BgL_auxz00_33685;

						BgL_auxz00_33685 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2385)), BGl_string8384z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_val2198z00_24482);
						FAILURE(BgL_auxz00_33685, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_obj2199z00_26932))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_val2198z00_26933), BUNSPEC);
			}
		}
	}



/* _ev_unwind-protect-body */
	obj_t BGl__ev_unwindzd2protectzd2bodyz00zz__evaluatez00(obj_t
		BgL_envz00_24478, obj_t BgL_obj2197z00_24479)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 79 */
			{	/* Eval/evaluate.scm 79 */
				BgL_ev_exprz00_bglt BgL_auxz00_33690;

				{	/* Eval/evaluate.scm 79 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_obj2197z00_26935;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2197z00_24479,
							BGl_ev_unwindzd2protectzd2zz__evaluatez00))
						{	/* Eval/evaluate.scm 79 */
							BgL_obj2197z00_26935 =
								(BgL_ev_unwindzd2protectzd2_bglt) (BgL_obj2197z00_24479);
						}
					else
						{
							obj_t BgL_auxz00_33694;

							BgL_auxz00_33694 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2385)),
								BGl_string8385z00zz__evaluatez00,
								BGl_string8291z00zz__evaluatez00, BgL_obj2197z00_24479);
							FAILURE(BgL_auxz00_33694, BFALSE, BFALSE);
						}
					BgL_auxz00_33690 =
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_obj2197z00_26935))->
						BgL_bodyz00);
				}
				return (obj_t) (BgL_auxz00_33690);
			}
		}
	}



/* _ev_bind-exit? */
	obj_t BGl__ev_bindzd2exitzf3z21zz__evaluatez00(obj_t BgL_envz00_24467,
		obj_t BgL_obj2193z00_24468)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 78 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2193z00_24468,
					BGl_ev_bindzd2exitzd2zz__evaluatez00));
		}
	}



/* make-ev_bind-exit */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_makezd2ev_bindzd2exitz00zz__evaluatez00(BgL_ev_varz00_bglt
		BgL_var2172z00_517, BgL_ev_exprz00_bglt BgL_body2173z00_518)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 78 */
			{	/* Eval/evaluate.scm 78 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new2174z00_14196;

				{	/* Eval/evaluate.scm 78 */
					BgL_ev_bindzd2exitzd2_bglt BgL_res7354z00_14201;

					{	/* Eval/evaluate.scm 78 */
						BgL_ev_bindzd2exitzd2_bglt BgL_new2182z00_14197;

						BgL_new2182z00_14197 =
							((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_bindzd2exitzd2_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2182z00_14197),
							BGl_classzd2numzd2zz__objectz00
							(BGl_ev_bindzd2exitzd2zz__evaluatez00));
						{	/* Eval/evaluate.scm 78 */
							BgL_objectz00_bglt BgL_auxz00_33706;

							BgL_auxz00_33706 = (BgL_objectz00_bglt) (BgL_new2182z00_14197);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33706, BFALSE);
						}
						BgL_res7354z00_14201 = BgL_new2182z00_14197;
					}
					BgL_new2174z00_14196 = BgL_res7354z00_14201;
				}
				{	/* Eval/evaluate.scm 78 */
					BgL_ev_bindzd2exitzd2_bglt BgL_res7355z00_14207;

					{	/* Eval/evaluate.scm 78 */
						BgL_ev_bindzd2exitzd2_bglt BgL_new2178z00_14202;

						BgL_new2178z00_14202 = BgL_new2174z00_14196;
						{	/* Eval/evaluate.scm 78 */
							BgL_ev_varz00_bglt BgL_var2176z00_14205;

							BgL_ev_exprz00_bglt BgL_body2177z00_14206;

							BgL_var2176z00_14205 = BgL_var2172z00_517;
							BgL_body2177z00_14206 = BgL_body2173z00_518;
							((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new2178z00_14202))->
									BgL_varz00) =
								((BgL_ev_varz00_bglt) BgL_var2176z00_14205), BUNSPEC);
							((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new2178z00_14202))->
									BgL_bodyz00) =
								((BgL_ev_exprz00_bglt) BgL_body2177z00_14206), BUNSPEC);
							BgL_res7355z00_14207 = BgL_new2178z00_14202;
					}} BgL_res7355z00_14207;
				}
				return BgL_new2174z00_14196;
			}
		}
	}



/* _make-ev_bind-exit */
	obj_t BGl__makezd2ev_bindzd2exitz00zz__evaluatez00(obj_t BgL_envz00_24452,
		obj_t BgL_var2172z00_24453, obj_t BgL_body2173z00_24454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 78 */
			{	/* Eval/evaluate.scm 78 */
				BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_33711;

				{	/* Eval/evaluate.scm 78 */
					BgL_ev_exprz00_bglt BgL_auxz00_33720;

					BgL_ev_varz00_bglt BgL_auxz00_33712;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_body2173z00_24454,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 78 */
							BgL_auxz00_33720 = (BgL_ev_exprz00_bglt) (BgL_body2173z00_24454);
						}
					else
						{
							obj_t BgL_auxz00_33724;

							BgL_auxz00_33724 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2325)),
								BGl_string8386z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_body2173z00_24454);
							FAILURE(BgL_auxz00_33724, BFALSE, BFALSE);
						}
					if (BGl_iszd2azf3z21zz__objectz00(BgL_var2172z00_24453,
							BGl_ev_varz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 78 */
							BgL_auxz00_33712 = (BgL_ev_varz00_bglt) (BgL_var2172z00_24453);
						}
					else
						{
							obj_t BgL_auxz00_33716;

							BgL_auxz00_33716 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2325)),
								BGl_string8386z00zz__evaluatez00,
								BGl_string8237z00zz__evaluatez00, BgL_var2172z00_24453);
							FAILURE(BgL_auxz00_33716, BFALSE, BFALSE);
						}
					BgL_auxz00_33711 =
						BGl_makezd2ev_bindzd2exitz00zz__evaluatez00(BgL_auxz00_33712,
						BgL_auxz00_33720);
				}
				return (obj_t) (BgL_auxz00_33711);
			}
		}
	}



/* _%allocate-ev_bind-exit */
	obj_t BGl__z52allocatezd2ev_bindzd2exitz52zz__evaluatez00(obj_t
		BgL_envz00_24455)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 78 */
			{	/* Eval/evaluate.scm 78 */
				BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_33730;

				{	/* Eval/evaluate.scm 78 */
					BgL_ev_bindzd2exitzd2_bglt BgL_res8606z00_26943;

					{	/* Eval/evaluate.scm 78 */
						BgL_ev_bindzd2exitzd2_bglt BgL_new2182z00_26941;

						BgL_new2182z00_26941 =
							((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_bindzd2exitzd2_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2182z00_26941),
							BGl_classzd2numzd2zz__objectz00
							(BGl_ev_bindzd2exitzd2zz__evaluatez00));
						{	/* Eval/evaluate.scm 78 */
							BgL_objectz00_bglt BgL_auxz00_33735;

							BgL_auxz00_33735 = (BgL_objectz00_bglt) (BgL_new2182z00_26941);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33735, BFALSE);
						}
						BgL_res8606z00_26943 = BgL_new2182z00_26941;
					}
					BgL_auxz00_33730 = BgL_res8606z00_26943;
				}
				return (obj_t) (BgL_auxz00_33730);
			}
		}
	}



/* ev_bind-exit-nil */
	BgL_ev_bindzd2exitzd2_bglt BGl_ev_bindzd2exitzd2nilz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 78 */
			if ((BGl_z52thezd2ev_bindzd2exitzd2nilz80zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 78 */
					{	/* Eval/evaluate.scm 78 */
						BgL_ev_bindzd2exitzd2_bglt BgL_res7356z00_14218;

						{	/* Eval/evaluate.scm 78 */
							BgL_ev_bindzd2exitzd2_bglt BgL_new2182z00_14214;

							BgL_new2182z00_14214 =
								((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_bindzd2exitzd2_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new2182z00_14214),
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_bindzd2exitzd2zz__evaluatez00));
							{	/* Eval/evaluate.scm 78 */
								BgL_objectz00_bglt BgL_auxz00_33745;

								BgL_auxz00_33745 = (BgL_objectz00_bglt) (BgL_new2182z00_14214);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_33745, BFALSE);
							}
							BgL_res7356z00_14218 = BgL_new2182z00_14214;
						}
						BGl_z52thezd2ev_bindzd2exitzd2nilz80zz__evaluatez00 =
							(obj_t) (BgL_res7356z00_14218);
					}
					{	/* Eval/evaluate.scm 78 */
						BgL_ev_varz00_bglt BgL_arg5136z00_3896;

						BgL_ev_exprz00_bglt BgL_arg5137z00_3897;

						BgL_arg5136z00_3896 = BGl_ev_varzd2nilzd2zz__evaluatez00();
						BgL_arg5137z00_3897 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						{	/* Eval/evaluate.scm 78 */
							BgL_ev_bindzd2exitzd2_bglt BgL_res7357z00_14224;

							{	/* Eval/evaluate.scm 78 */
								BgL_ev_bindzd2exitzd2_bglt BgL_new2178z00_14219;

								BgL_new2178z00_14219 =
									(BgL_ev_bindzd2exitzd2_bglt)
									(BGl_z52thezd2ev_bindzd2exitzd2nilz80zz__evaluatez00);
								{	/* Eval/evaluate.scm 78 */
									BgL_ev_varz00_bglt BgL_var2176z00_14222;

									BgL_ev_exprz00_bglt BgL_body2177z00_14223;

									BgL_var2176z00_14222 = BgL_arg5136z00_3896;
									BgL_body2177z00_14223 = BgL_arg5137z00_3897;
									((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new2178z00_14219))->
											BgL_varz00) =
										((BgL_ev_varz00_bglt) BgL_var2176z00_14222), BUNSPEC);
									((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new2178z00_14219))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_body2177z00_14223), BUNSPEC);
									BgL_res7357z00_14224 = BgL_new2178z00_14219;
							}}
							(obj_t) (BgL_res7357z00_14224);
				}}}
			else
				{	/* Eval/evaluate.scm 78 */
					BFALSE;
				}
			return
				(BgL_ev_bindzd2exitzd2_bglt)
				(BGl_z52thezd2ev_bindzd2exitzd2nilz80zz__evaluatez00);
		}
	}



/* _ev_bind-exit-nil */
	obj_t BGl__ev_bindzd2exitzd2nilz00zz__evaluatez00(obj_t BgL_envz00_24466)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 78 */
			return (obj_t) (BGl_ev_bindzd2exitzd2nilz00zz__evaluatez00());
		}
	}



/* _ev_bind-exit-var-set! */
	obj_t BGl__ev_bindzd2exitzd2varzd2setz12zc0zz__evaluatez00(obj_t
		BgL_envz00_24458, obj_t BgL_obj2168z00_24459, obj_t BgL_val2167z00_24460)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 78 */
			{	/* Eval/evaluate.scm 78 */
				BgL_ev_bindzd2exitzd2_bglt BgL_obj2168z00_26946;

				BgL_ev_varz00_bglt BgL_val2167z00_26947;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2168z00_24459,
						BGl_ev_bindzd2exitzd2zz__evaluatez00))
					{	/* Eval/evaluate.scm 78 */
						BgL_obj2168z00_26946 =
							(BgL_ev_bindzd2exitzd2_bglt) (BgL_obj2168z00_24459);
					}
				else
					{
						obj_t BgL_auxz00_33761;

						BgL_auxz00_33761 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2325)), BGl_string8387z00zz__evaluatez00,
							BGl_string8285z00zz__evaluatez00, BgL_obj2168z00_24459);
						FAILURE(BgL_auxz00_33761, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2167z00_24460,
						BGl_ev_varz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 78 */
						BgL_val2167z00_26947 = (BgL_ev_varz00_bglt) (BgL_val2167z00_24460);
					}
				else
					{
						obj_t BgL_auxz00_33768;

						BgL_auxz00_33768 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2325)), BGl_string8387z00zz__evaluatez00,
							BGl_string8237z00zz__evaluatez00, BgL_val2167z00_24460);
						FAILURE(BgL_auxz00_33768, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_obj2168z00_26946))->
						BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_val2167z00_26947), BUNSPEC);
			}
		}
	}



/* _ev_bind-exit-var */
	obj_t BGl__ev_bindzd2exitzd2varz00zz__evaluatez00(obj_t BgL_envz00_24456,
		obj_t BgL_obj2166z00_24457)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 78 */
			{	/* Eval/evaluate.scm 78 */
				BgL_ev_varz00_bglt BgL_auxz00_33773;

				{	/* Eval/evaluate.scm 78 */
					BgL_ev_bindzd2exitzd2_bglt BgL_obj2166z00_26949;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2166z00_24457,
							BGl_ev_bindzd2exitzd2zz__evaluatez00))
						{	/* Eval/evaluate.scm 78 */
							BgL_obj2166z00_26949 =
								(BgL_ev_bindzd2exitzd2_bglt) (BgL_obj2166z00_24457);
						}
					else
						{
							obj_t BgL_auxz00_33777;

							BgL_auxz00_33777 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2325)),
								BGl_string8388z00zz__evaluatez00,
								BGl_string8285z00zz__evaluatez00, BgL_obj2166z00_24457);
							FAILURE(BgL_auxz00_33777, BFALSE, BFALSE);
						}
					BgL_auxz00_33773 =
						(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_obj2166z00_26949))->
						BgL_varz00);
				}
				return (obj_t) (BgL_auxz00_33773);
			}
		}
	}



/* _ev_bind-exit-body-set! */
	obj_t BGl__ev_bindzd2exitzd2bodyzd2setz12zc0zz__evaluatez00(obj_t
		BgL_envz00_24463, obj_t BgL_obj2171z00_24464, obj_t BgL_val2170z00_24465)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 78 */
			{	/* Eval/evaluate.scm 78 */
				BgL_ev_bindzd2exitzd2_bglt BgL_obj2171z00_26952;

				BgL_ev_exprz00_bglt BgL_val2170z00_26953;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2171z00_24464,
						BGl_ev_bindzd2exitzd2zz__evaluatez00))
					{	/* Eval/evaluate.scm 78 */
						BgL_obj2171z00_26952 =
							(BgL_ev_bindzd2exitzd2_bglt) (BgL_obj2171z00_24464);
					}
				else
					{
						obj_t BgL_auxz00_33786;

						BgL_auxz00_33786 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2325)), BGl_string8389z00zz__evaluatez00,
							BGl_string8285z00zz__evaluatez00, BgL_obj2171z00_24464);
						FAILURE(BgL_auxz00_33786, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2170z00_24465,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 78 */
						BgL_val2170z00_26953 = (BgL_ev_exprz00_bglt) (BgL_val2170z00_24465);
					}
				else
					{
						obj_t BgL_auxz00_33793;

						BgL_auxz00_33793 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2325)), BGl_string8389z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_val2170z00_24465);
						FAILURE(BgL_auxz00_33793, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_obj2171z00_26952))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_val2170z00_26953), BUNSPEC);
			}
		}
	}



/* _ev_bind-exit-body */
	obj_t BGl__ev_bindzd2exitzd2bodyz00zz__evaluatez00(obj_t BgL_envz00_24461,
		obj_t BgL_obj2169z00_24462)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 78 */
			{	/* Eval/evaluate.scm 78 */
				BgL_ev_exprz00_bglt BgL_auxz00_33798;

				{	/* Eval/evaluate.scm 78 */
					BgL_ev_bindzd2exitzd2_bglt BgL_obj2169z00_26955;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2169z00_24462,
							BGl_ev_bindzd2exitzd2zz__evaluatez00))
						{	/* Eval/evaluate.scm 78 */
							BgL_obj2169z00_26955 =
								(BgL_ev_bindzd2exitzd2_bglt) (BgL_obj2169z00_24462);
						}
					else
						{
							obj_t BgL_auxz00_33802;

							BgL_auxz00_33802 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2325)),
								BGl_string8390z00zz__evaluatez00,
								BGl_string8285z00zz__evaluatez00, BgL_obj2169z00_24462);
							FAILURE(BgL_auxz00_33802, BFALSE, BFALSE);
						}
					BgL_auxz00_33798 =
						(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_obj2169z00_26955))->
						BgL_bodyz00);
				}
				return (obj_t) (BgL_auxz00_33798);
			}
		}
	}



/* _ev_defglobal? */
	obj_t BGl__ev_defglobalzf3zf3zz__evaluatez00(obj_t BgL_envz00_24450,
		obj_t BgL_obj2165z00_24451)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 77 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2165z00_24451,
					BGl_ev_defglobalz00zz__evaluatez00));
		}
	}



/* make-ev_defglobal */
	BgL_ev_defglobalz00_bglt
		BGl_makezd2ev_defglobalzd2zz__evaluatez00(BgL_ev_exprz00_bglt
		BgL_e2137z00_532, obj_t BgL_name2138z00_533, obj_t BgL_mod2139z00_534)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 77 */
			{	/* Eval/evaluate.scm 77 */
				BgL_ev_defglobalz00_bglt BgL_new2140z00_14225;

				{	/* Eval/evaluate.scm 77 */
					BgL_ev_defglobalz00_bglt BgL_res7358z00_14230;

					{	/* Eval/evaluate.scm 77 */
						BgL_ev_defglobalz00_bglt BgL_new2150z00_14226;

						BgL_new2150z00_14226 =
							((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_defglobalz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2150z00_14226),
							BGl_classzd2numzd2zz__objectz00
							(BGl_ev_defglobalz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 77 */
							BgL_objectz00_bglt BgL_auxz00_33814;

							BgL_auxz00_33814 = (BgL_objectz00_bglt) (BgL_new2150z00_14226);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33814, BFALSE);
						}
						BgL_res7358z00_14230 = BgL_new2150z00_14226;
					}
					BgL_new2140z00_14225 = BgL_res7358z00_14230;
				}
				{	/* Eval/evaluate.scm 77 */
					BgL_ev_defglobalz00_bglt BgL_res7359z00_14238;

					{	/* Eval/evaluate.scm 77 */
						BgL_ev_defglobalz00_bglt BgL_new2145z00_14231;

						BgL_new2145z00_14231 = BgL_new2140z00_14225;
						{	/* Eval/evaluate.scm 77 */
							BgL_ev_exprz00_bglt BgL_e2142z00_14235;

							obj_t BgL_name2143z00_14236;

							obj_t BgL_mod2144z00_14237;

							BgL_e2142z00_14235 = BgL_e2137z00_532;
							BgL_name2143z00_14236 = BgL_name2138z00_533;
							BgL_mod2144z00_14237 = BgL_mod2139z00_534;
							((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_14231))->
									BgL_ez00) =
								((BgL_ev_exprz00_bglt) BgL_e2142z00_14235), BUNSPEC);
							((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_14231))->
									BgL_namez00) = ((obj_t) BgL_name2143z00_14236), BUNSPEC);
							((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_14231))->
									BgL_modz00) = ((obj_t) BgL_mod2144z00_14237), BUNSPEC);
							BgL_res7359z00_14238 = BgL_new2145z00_14231;
					}} BgL_res7359z00_14238;
				}
				return BgL_new2140z00_14225;
			}
		}
	}



/* _make-ev_defglobal */
	obj_t BGl__makezd2ev_defglobalzd2zz__evaluatez00(obj_t BgL_envz00_24444,
		obj_t BgL_e2137z00_24445, obj_t BgL_name2138z00_24446,
		obj_t BgL_mod2139z00_24447)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 77 */
			{	/* Eval/evaluate.scm 77 */
				BgL_ev_defglobalz00_bglt BgL_auxz00_33820;

				{	/* Eval/evaluate.scm 77 */
					obj_t BgL_auxz00_33829;

					BgL_ev_exprz00_bglt BgL_auxz00_33821;

					if (SYMBOLP(BgL_name2138z00_24446))
						{	/* Eval/evaluate.scm 77 */
							BgL_auxz00_33829 = BgL_name2138z00_24446;
						}
					else
						{
							obj_t BgL_auxz00_33832;

							BgL_auxz00_33832 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2286)),
								BGl_string8391z00zz__evaluatez00,
								BGl_string8392z00zz__evaluatez00, BgL_name2138z00_24446);
							FAILURE(BgL_auxz00_33832, BFALSE, BFALSE);
						}
					if (BGl_iszd2azf3z21zz__objectz00(BgL_e2137z00_24445,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 77 */
							BgL_auxz00_33821 = (BgL_ev_exprz00_bglt) (BgL_e2137z00_24445);
						}
					else
						{
							obj_t BgL_auxz00_33825;

							BgL_auxz00_33825 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2286)),
								BGl_string8391z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_e2137z00_24445);
							FAILURE(BgL_auxz00_33825, BFALSE, BFALSE);
						}
					BgL_auxz00_33820 =
						BGl_makezd2ev_defglobalzd2zz__evaluatez00(BgL_auxz00_33821,
						BgL_auxz00_33829, BgL_mod2139z00_24447);
				}
				return (obj_t) (BgL_auxz00_33820);
			}
		}
	}



/* _%allocate-ev_defglobal */
	obj_t BGl__z52allocatezd2ev_defglobalz80zz__evaluatez00(obj_t
		BgL_envz00_24448)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 77 */
			{	/* Eval/evaluate.scm 77 */
				BgL_ev_defglobalz00_bglt BgL_auxz00_33838;

				{	/* Eval/evaluate.scm 77 */
					BgL_ev_defglobalz00_bglt BgL_res8607z00_26962;

					{	/* Eval/evaluate.scm 77 */
						BgL_ev_defglobalz00_bglt BgL_new2150z00_26960;

						BgL_new2150z00_26960 =
							((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_defglobalz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2150z00_26960),
							BGl_classzd2numzd2zz__objectz00
							(BGl_ev_defglobalz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 77 */
							BgL_objectz00_bglt BgL_auxz00_33843;

							BgL_auxz00_33843 = (BgL_objectz00_bglt) (BgL_new2150z00_26960);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33843, BFALSE);
						}
						BgL_res8607z00_26962 = BgL_new2150z00_26960;
					}
					BgL_auxz00_33838 = BgL_res8607z00_26962;
				}
				return (obj_t) (BgL_auxz00_33838);
			}
		}
	}



/* ev_defglobal-nil */
	BgL_ev_defglobalz00_bglt BGl_ev_defglobalzd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 77 */
			if ((BGl_z52thezd2ev_defglobalzd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 77 */
					{	/* Eval/evaluate.scm 77 */
						BgL_ev_defglobalz00_bglt BgL_res7360z00_14250;

						{	/* Eval/evaluate.scm 77 */
							BgL_ev_defglobalz00_bglt BgL_new2150z00_14246;

							BgL_new2150z00_14246 =
								((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_defglobalz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new2150z00_14246),
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_defglobalz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 77 */
								BgL_objectz00_bglt BgL_auxz00_33853;

								BgL_auxz00_33853 = (BgL_objectz00_bglt) (BgL_new2150z00_14246);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_33853, BFALSE);
							}
							BgL_res7360z00_14250 = BgL_new2150z00_14246;
						}
						BGl_z52thezd2ev_defglobalzd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7360z00_14250);
					}
					{	/* Eval/evaluate.scm 77 */
						BgL_ev_exprz00_bglt BgL_arg5140z00_3905;

						obj_t BgL_arg5141z00_3906;

						BgL_arg5140z00_3905 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						BgL_arg5141z00_3906 = BGl_symbol8393z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 77 */
							BgL_ev_defglobalz00_bglt BgL_res7361z00_14258;

							{	/* Eval/evaluate.scm 77 */
								BgL_ev_defglobalz00_bglt BgL_new2145z00_14251;

								BgL_new2145z00_14251 =
									(BgL_ev_defglobalz00_bglt)
									(BGl_z52thezd2ev_defglobalzd2nilz52zz__evaluatez00);
								{	/* Eval/evaluate.scm 77 */
									BgL_ev_exprz00_bglt BgL_e2142z00_14255;

									obj_t BgL_name2143z00_14256;

									obj_t BgL_mod2144z00_14257;

									BgL_e2142z00_14255 = BgL_arg5140z00_3905;
									BgL_name2143z00_14256 = BgL_arg5141z00_3906;
									BgL_mod2144z00_14257 = BUNSPEC;
									((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_14251))->
											BgL_ez00) =
										((BgL_ev_exprz00_bglt) BgL_e2142z00_14255), BUNSPEC);
									((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_14251))->
											BgL_namez00) = ((obj_t) BgL_name2143z00_14256), BUNSPEC);
									((((BgL_ev_defglobalz00_bglt) CREF(BgL_new2145z00_14251))->
											BgL_modz00) = ((obj_t) BgL_mod2144z00_14257), BUNSPEC);
									BgL_res7361z00_14258 = BgL_new2145z00_14251;
							}}
							(obj_t) (BgL_res7361z00_14258);
				}}}
			else
				{	/* Eval/evaluate.scm 77 */
					BFALSE;
				}
			return
				(BgL_ev_defglobalz00_bglt)
				(BGl_z52thezd2ev_defglobalzd2nilz52zz__evaluatez00);
		}
	}



/* _ev_defglobal-nil */
	obj_t BGl__ev_defglobalzd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 77 */
			return (obj_t) (BGl_ev_defglobalzd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_setglobal? */
	obj_t BGl__ev_setglobalzf3zf3zz__evaluatez00(obj_t BgL_envz00_24442,
		obj_t BgL_obj2127z00_24443)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 76 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2127z00_24443,
					BGl_ev_setglobalz00zz__evaluatez00));
		}
	}



/* make-ev_setglobal */
	BgL_ev_setglobalz00_bglt
		BGl_makezd2ev_setglobalzd2zz__evaluatez00(BgL_ev_exprz00_bglt
		BgL_e2099z00_543, obj_t BgL_name2100z00_544, obj_t BgL_mod2101z00_545)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 76 */
			{	/* Eval/evaluate.scm 76 */
				BgL_ev_setglobalz00_bglt BgL_new2102z00_14259;

				{	/* Eval/evaluate.scm 76 */
					BgL_ev_setglobalz00_bglt BgL_res7362z00_14264;

					{	/* Eval/evaluate.scm 76 */
						BgL_ev_setglobalz00_bglt BgL_new2112z00_14260;

						BgL_new2112z00_14260 =
							((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setglobalz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2112z00_14260),
							BGl_classzd2numzd2zz__objectz00
							(BGl_ev_setglobalz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 76 */
							BgL_objectz00_bglt BgL_auxz00_33872;

							BgL_auxz00_33872 = (BgL_objectz00_bglt) (BgL_new2112z00_14260);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33872, BFALSE);
						}
						BgL_res7362z00_14264 = BgL_new2112z00_14260;
					}
					BgL_new2102z00_14259 = BgL_res7362z00_14264;
				}
				{	/* Eval/evaluate.scm 76 */
					BgL_ev_setglobalz00_bglt BgL_res7363z00_14272;

					{	/* Eval/evaluate.scm 76 */
						BgL_ev_setglobalz00_bglt BgL_new2107z00_14265;

						BgL_new2107z00_14265 = BgL_new2102z00_14259;
						{	/* Eval/evaluate.scm 76 */
							BgL_ev_exprz00_bglt BgL_e2104z00_14269;

							obj_t BgL_name2105z00_14270;

							obj_t BgL_mod2106z00_14271;

							BgL_e2104z00_14269 = BgL_e2099z00_543;
							BgL_name2105z00_14270 = BgL_name2100z00_544;
							BgL_mod2106z00_14271 = BgL_mod2101z00_545;
							((((BgL_ev_setglobalz00_bglt) CREF(BgL_new2107z00_14265))->
									BgL_ez00) =
								((BgL_ev_exprz00_bglt) BgL_e2104z00_14269), BUNSPEC);
							((((BgL_ev_setglobalz00_bglt) CREF(BgL_new2107z00_14265))->
									BgL_namez00) = ((obj_t) BgL_name2105z00_14270), BUNSPEC);
							((((BgL_ev_setglobalz00_bglt) CREF(BgL_new2107z00_14265))->
									BgL_modz00) = ((obj_t) BgL_mod2106z00_14271), BUNSPEC);
							BgL_res7363z00_14272 = BgL_new2107z00_14265;
					}} BgL_res7363z00_14272;
				}
				return BgL_new2102z00_14259;
			}
		}
	}



/* _make-ev_setglobal */
	obj_t BGl__makezd2ev_setglobalzd2zz__evaluatez00(obj_t BgL_envz00_24426,
		obj_t BgL_e2099z00_24427, obj_t BgL_name2100z00_24428,
		obj_t BgL_mod2101z00_24429)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 76 */
			{	/* Eval/evaluate.scm 76 */
				BgL_ev_setglobalz00_bglt BgL_auxz00_33878;

				{	/* Eval/evaluate.scm 76 */
					obj_t BgL_auxz00_33887;

					BgL_ev_exprz00_bglt BgL_auxz00_33879;

					if (SYMBOLP(BgL_name2100z00_24428))
						{	/* Eval/evaluate.scm 76 */
							BgL_auxz00_33887 = BgL_name2100z00_24428;
						}
					else
						{
							obj_t BgL_auxz00_33890;

							BgL_auxz00_33890 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2235)),
								BGl_string8395z00zz__evaluatez00,
								BGl_string8392z00zz__evaluatez00, BgL_name2100z00_24428);
							FAILURE(BgL_auxz00_33890, BFALSE, BFALSE);
						}
					if (BGl_iszd2azf3z21zz__objectz00(BgL_e2099z00_24427,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 76 */
							BgL_auxz00_33879 = (BgL_ev_exprz00_bglt) (BgL_e2099z00_24427);
						}
					else
						{
							obj_t BgL_auxz00_33883;

							BgL_auxz00_33883 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2235)),
								BGl_string8395z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_e2099z00_24427);
							FAILURE(BgL_auxz00_33883, BFALSE, BFALSE);
						}
					BgL_auxz00_33878 =
						BGl_makezd2ev_setglobalzd2zz__evaluatez00(BgL_auxz00_33879,
						BgL_auxz00_33887, BgL_mod2101z00_24429);
				}
				return (obj_t) (BgL_auxz00_33878);
			}
		}
	}



/* _%allocate-ev_setglobal */
	obj_t BGl__z52allocatezd2ev_setglobalz80zz__evaluatez00(obj_t
		BgL_envz00_24430)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 76 */
			{	/* Eval/evaluate.scm 76 */
				BgL_ev_setglobalz00_bglt BgL_auxz00_33896;

				{	/* Eval/evaluate.scm 76 */
					BgL_ev_setglobalz00_bglt BgL_res8608z00_26969;

					{	/* Eval/evaluate.scm 76 */
						BgL_ev_setglobalz00_bglt BgL_new2112z00_26967;

						BgL_new2112z00_26967 =
							((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setglobalz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2112z00_26967),
							BGl_classzd2numzd2zz__objectz00
							(BGl_ev_setglobalz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 76 */
							BgL_objectz00_bglt BgL_auxz00_33901;

							BgL_auxz00_33901 = (BgL_objectz00_bglt) (BgL_new2112z00_26967);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33901, BFALSE);
						}
						BgL_res8608z00_26969 = BgL_new2112z00_26967;
					}
					BgL_auxz00_33896 = BgL_res8608z00_26969;
				}
				return (obj_t) (BgL_auxz00_33896);
			}
		}
	}



/* ev_setglobal-nil */
	BgL_ev_setglobalz00_bglt BGl_ev_setglobalzd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 76 */
			if ((BGl_z52thezd2ev_setglobalzd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 76 */
					{	/* Eval/evaluate.scm 76 */
						BgL_ev_setglobalz00_bglt BgL_res7364z00_14284;

						{	/* Eval/evaluate.scm 76 */
							BgL_ev_setglobalz00_bglt BgL_new2112z00_14280;

							BgL_new2112z00_14280 =
								((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_setglobalz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new2112z00_14280),
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_setglobalz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 76 */
								BgL_objectz00_bglt BgL_auxz00_33911;

								BgL_auxz00_33911 = (BgL_objectz00_bglt) (BgL_new2112z00_14280);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_33911, BFALSE);
							}
							BgL_res7364z00_14284 = BgL_new2112z00_14280;
						}
						BGl_z52thezd2ev_setglobalzd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7364z00_14284);
					}
					{	/* Eval/evaluate.scm 76 */
						BgL_ev_exprz00_bglt BgL_arg5144z00_3914;

						obj_t BgL_arg5145z00_3915;

						BgL_arg5144z00_3914 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						BgL_arg5145z00_3915 = BGl_symbol8393z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 76 */
							BgL_ev_setglobalz00_bglt BgL_res7365z00_14292;

							{	/* Eval/evaluate.scm 76 */
								BgL_ev_setglobalz00_bglt BgL_new2107z00_14285;

								BgL_new2107z00_14285 =
									(BgL_ev_setglobalz00_bglt)
									(BGl_z52thezd2ev_setglobalzd2nilz52zz__evaluatez00);
								{	/* Eval/evaluate.scm 76 */
									BgL_ev_exprz00_bglt BgL_e2104z00_14289;

									obj_t BgL_name2105z00_14290;

									obj_t BgL_mod2106z00_14291;

									BgL_e2104z00_14289 = BgL_arg5144z00_3914;
									BgL_name2105z00_14290 = BgL_arg5145z00_3915;
									BgL_mod2106z00_14291 = BUNSPEC;
									((((BgL_ev_setglobalz00_bglt) CREF(BgL_new2107z00_14285))->
											BgL_ez00) =
										((BgL_ev_exprz00_bglt) BgL_e2104z00_14289), BUNSPEC);
									((((BgL_ev_setglobalz00_bglt) CREF(BgL_new2107z00_14285))->
											BgL_namez00) = ((obj_t) BgL_name2105z00_14290), BUNSPEC);
									((((BgL_ev_setglobalz00_bglt) CREF(BgL_new2107z00_14285))->
											BgL_modz00) = ((obj_t) BgL_mod2106z00_14291), BUNSPEC);
									BgL_res7365z00_14292 = BgL_new2107z00_14285;
							}}
							(obj_t) (BgL_res7365z00_14292);
				}}}
			else
				{	/* Eval/evaluate.scm 76 */
					BFALSE;
				}
			return
				(BgL_ev_setglobalz00_bglt)
				(BGl_z52thezd2ev_setglobalzd2nilz52zz__evaluatez00);
		}
	}



/* _ev_setglobal-nil */
	obj_t BGl__ev_setglobalzd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24441)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 76 */
			return (obj_t) (BGl_ev_setglobalzd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_setglobal-name-set! */
	obj_t BGl__ev_setglobalzd2namezd2setz12z12zz__evaluatez00(obj_t
		BgL_envz00_24433, obj_t BgL_obj2095z00_24434, obj_t BgL_val2094z00_24435)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 76 */
			{	/* Eval/evaluate.scm 76 */
				BgL_ev_setglobalz00_bglt BgL_obj2095z00_26971;

				obj_t BgL_val2094z00_26972;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2095z00_24434,
						BGl_ev_setglobalz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 76 */
						BgL_obj2095z00_26971 =
							(BgL_ev_setglobalz00_bglt) (BgL_obj2095z00_24434);
					}
				else
					{
						obj_t BgL_auxz00_33927;

						BgL_auxz00_33927 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2235)), BGl_string8396z00zz__evaluatez00,
							BGl_string8281z00zz__evaluatez00, BgL_obj2095z00_24434);
						FAILURE(BgL_auxz00_33927, BFALSE, BFALSE);
					}
				if (SYMBOLP(BgL_val2094z00_24435))
					{	/* Eval/evaluate.scm 76 */
						BgL_val2094z00_26972 = BgL_val2094z00_24435;
					}
				else
					{
						obj_t BgL_auxz00_33933;

						BgL_auxz00_33933 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2235)), BGl_string8396z00zz__evaluatez00,
							BGl_string8392z00zz__evaluatez00, BgL_val2094z00_24435);
						FAILURE(BgL_auxz00_33933, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_obj2095z00_26971))->
						BgL_namez00) = ((obj_t) BgL_val2094z00_26972), BUNSPEC);
			}
		}
	}



/* _ev_setglobal-name */
	obj_t BGl__ev_setglobalzd2namezd2zz__evaluatez00(obj_t BgL_envz00_24431,
		obj_t BgL_obj2093z00_24432)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 76 */
			{	/* Eval/evaluate.scm 76 */
				BgL_ev_setglobalz00_bglt BgL_obj2093z00_26974;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2093z00_24432,
						BGl_ev_setglobalz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 76 */
						BgL_obj2093z00_26974 =
							(BgL_ev_setglobalz00_bglt) (BgL_obj2093z00_24432);
					}
				else
					{
						obj_t BgL_auxz00_33941;

						BgL_auxz00_33941 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2235)), BGl_string8397z00zz__evaluatez00,
							BGl_string8281z00zz__evaluatez00, BgL_obj2093z00_24432);
						FAILURE(BgL_auxz00_33941, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_setglobalz00_bglt) CREF(BgL_obj2093z00_26974))->
					BgL_namez00);
			}
		}
	}



/* _ev_setglobal-mod-set! */
	obj_t BGl__ev_setglobalzd2modzd2setz12z12zz__evaluatez00(obj_t
		BgL_envz00_24438, obj_t BgL_obj2098z00_24439, obj_t BgL_val2097z00_24440)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 76 */
			{	/* Eval/evaluate.scm 76 */
				BgL_ev_setglobalz00_bglt BgL_obj2098z00_26976;

				obj_t BgL_val2097z00_26977;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2098z00_24439,
						BGl_ev_setglobalz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 76 */
						BgL_obj2098z00_26976 =
							(BgL_ev_setglobalz00_bglt) (BgL_obj2098z00_24439);
					}
				else
					{
						obj_t BgL_auxz00_33949;

						BgL_auxz00_33949 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2235)), BGl_string8398z00zz__evaluatez00,
							BGl_string8281z00zz__evaluatez00, BgL_obj2098z00_24439);
						FAILURE(BgL_auxz00_33949, BFALSE, BFALSE);
					}
				BgL_val2097z00_26977 = BgL_val2097z00_24440;
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_obj2098z00_26976))->
						BgL_modz00) = ((obj_t) BgL_val2097z00_26977), BUNSPEC);
			}
		}
	}



/* _ev_setglobal-mod */
	obj_t BGl__ev_setglobalzd2modzd2zz__evaluatez00(obj_t BgL_envz00_24436,
		obj_t BgL_obj2096z00_24437)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 76 */
			{	/* Eval/evaluate.scm 76 */
				BgL_ev_setglobalz00_bglt BgL_obj2096z00_26979;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2096z00_24437,
						BGl_ev_setglobalz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 76 */
						BgL_obj2096z00_26979 =
							(BgL_ev_setglobalz00_bglt) (BgL_obj2096z00_24437);
					}
				else
					{
						obj_t BgL_auxz00_33957;

						BgL_auxz00_33957 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2235)), BGl_string8399z00zz__evaluatez00,
							BGl_string8281z00zz__evaluatez00, BgL_obj2096z00_24437);
						FAILURE(BgL_auxz00_33957, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_setglobalz00_bglt) CREF(BgL_obj2096z00_26979))->BgL_modz00);
			}
		}
	}



/* _ev_setlocal? */
	obj_t BGl__ev_setlocalzf3zf3zz__evaluatez00(obj_t BgL_envz00_24424,
		obj_t BgL_obj2089z00_24425)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 75 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2089z00_24425,
					BGl_ev_setlocalz00zz__evaluatez00));
		}
	}



/* make-ev_setlocal */
	BgL_ev_setlocalz00_bglt
		BGl_makezd2ev_setlocalzd2zz__evaluatez00(BgL_ev_exprz00_bglt
		BgL_e2068z00_560, BgL_ev_varz00_bglt BgL_v2069z00_561)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 75 */
			{	/* Eval/evaluate.scm 75 */
				BgL_ev_setlocalz00_bglt BgL_new2070z00_14293;

				{	/* Eval/evaluate.scm 75 */
					BgL_ev_setlocalz00_bglt BgL_res7366z00_14298;

					{	/* Eval/evaluate.scm 75 */
						BgL_ev_setlocalz00_bglt BgL_new2078z00_14294;

						BgL_new2078z00_14294 =
							((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setlocalz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2078z00_14294),
							BGl_classzd2numzd2zz__objectz00
							(BGl_ev_setlocalz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 75 */
							BgL_objectz00_bglt BgL_auxz00_33968;

							BgL_auxz00_33968 = (BgL_objectz00_bglt) (BgL_new2078z00_14294);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33968, BFALSE);
						}
						BgL_res7366z00_14298 = BgL_new2078z00_14294;
					}
					BgL_new2070z00_14293 = BgL_res7366z00_14298;
				}
				{	/* Eval/evaluate.scm 75 */
					BgL_ev_setlocalz00_bglt BgL_res7367z00_14304;

					{	/* Eval/evaluate.scm 75 */
						BgL_ev_setlocalz00_bglt BgL_new2074z00_14299;

						BgL_new2074z00_14299 = BgL_new2070z00_14293;
						{	/* Eval/evaluate.scm 75 */
							BgL_ev_exprz00_bglt BgL_e2072z00_14302;

							BgL_ev_varz00_bglt BgL_v2073z00_14303;

							BgL_e2072z00_14302 = BgL_e2068z00_560;
							BgL_v2073z00_14303 = BgL_v2069z00_561;
							((((BgL_ev_setlocalz00_bglt) CREF(BgL_new2074z00_14299))->
									BgL_ez00) =
								((BgL_ev_exprz00_bglt) BgL_e2072z00_14302), BUNSPEC);
							((((BgL_ev_setlocalz00_bglt) CREF(BgL_new2074z00_14299))->
									BgL_vz00) =
								((BgL_ev_varz00_bglt) BgL_v2073z00_14303), BUNSPEC);
							BgL_res7367z00_14304 = BgL_new2074z00_14299;
					}} BgL_res7367z00_14304;
				}
				return BgL_new2070z00_14293;
			}
		}
	}



/* _make-ev_setlocal */
	obj_t BGl__makezd2ev_setlocalzd2zz__evaluatez00(obj_t BgL_envz00_24414,
		obj_t BgL_e2068z00_24415, obj_t BgL_v2069z00_24416)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 75 */
			{	/* Eval/evaluate.scm 75 */
				BgL_ev_setlocalz00_bglt BgL_auxz00_33973;

				{	/* Eval/evaluate.scm 75 */
					BgL_ev_varz00_bglt BgL_auxz00_33982;

					BgL_ev_exprz00_bglt BgL_auxz00_33974;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_v2069z00_24416,
							BGl_ev_varz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 75 */
							BgL_auxz00_33982 = (BgL_ev_varz00_bglt) (BgL_v2069z00_24416);
						}
					else
						{
							obj_t BgL_auxz00_33986;

							BgL_auxz00_33986 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2192)),
								BGl_string8400z00zz__evaluatez00,
								BGl_string8237z00zz__evaluatez00, BgL_v2069z00_24416);
							FAILURE(BgL_auxz00_33986, BFALSE, BFALSE);
						}
					if (BGl_iszd2azf3z21zz__objectz00(BgL_e2068z00_24415,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 75 */
							BgL_auxz00_33974 = (BgL_ev_exprz00_bglt) (BgL_e2068z00_24415);
						}
					else
						{
							obj_t BgL_auxz00_33978;

							BgL_auxz00_33978 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2192)),
								BGl_string8400z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_e2068z00_24415);
							FAILURE(BgL_auxz00_33978, BFALSE, BFALSE);
						}
					BgL_auxz00_33973 =
						BGl_makezd2ev_setlocalzd2zz__evaluatez00(BgL_auxz00_33974,
						BgL_auxz00_33982);
				}
				return (obj_t) (BgL_auxz00_33973);
			}
		}
	}



/* _%allocate-ev_setlocal */
	obj_t BGl__z52allocatezd2ev_setlocalz80zz__evaluatez00(obj_t BgL_envz00_24417)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 75 */
			{	/* Eval/evaluate.scm 75 */
				BgL_ev_setlocalz00_bglt BgL_auxz00_33992;

				{	/* Eval/evaluate.scm 75 */
					BgL_ev_setlocalz00_bglt BgL_res8609z00_26987;

					{	/* Eval/evaluate.scm 75 */
						BgL_ev_setlocalz00_bglt BgL_new2078z00_26985;

						BgL_new2078z00_26985 =
							((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setlocalz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2078z00_26985),
							BGl_classzd2numzd2zz__objectz00
							(BGl_ev_setlocalz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 75 */
							BgL_objectz00_bglt BgL_auxz00_33997;

							BgL_auxz00_33997 = (BgL_objectz00_bglt) (BgL_new2078z00_26985);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_33997, BFALSE);
						}
						BgL_res8609z00_26987 = BgL_new2078z00_26985;
					}
					BgL_auxz00_33992 = BgL_res8609z00_26987;
				}
				return (obj_t) (BgL_auxz00_33992);
			}
		}
	}



/* ev_setlocal-nil */
	BgL_ev_setlocalz00_bglt BGl_ev_setlocalzd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 75 */
			if ((BGl_z52thezd2ev_setlocalzd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 75 */
					{	/* Eval/evaluate.scm 75 */
						BgL_ev_setlocalz00_bglt BgL_res7368z00_14315;

						{	/* Eval/evaluate.scm 75 */
							BgL_ev_setlocalz00_bglt BgL_new2078z00_14311;

							BgL_new2078z00_14311 =
								((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_setlocalz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new2078z00_14311),
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_setlocalz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 75 */
								BgL_objectz00_bglt BgL_auxz00_34007;

								BgL_auxz00_34007 = (BgL_objectz00_bglt) (BgL_new2078z00_14311);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_34007, BFALSE);
							}
							BgL_res7368z00_14315 = BgL_new2078z00_14311;
						}
						BGl_z52thezd2ev_setlocalzd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7368z00_14315);
					}
					{	/* Eval/evaluate.scm 75 */
						BgL_ev_exprz00_bglt BgL_arg5148z00_3922;

						BgL_ev_varz00_bglt BgL_arg5149z00_3923;

						BgL_arg5148z00_3922 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						BgL_arg5149z00_3923 = BGl_ev_varzd2nilzd2zz__evaluatez00();
						{	/* Eval/evaluate.scm 75 */
							BgL_ev_setlocalz00_bglt BgL_res7369z00_14321;

							{	/* Eval/evaluate.scm 75 */
								BgL_ev_setlocalz00_bglt BgL_new2074z00_14316;

								BgL_new2074z00_14316 =
									(BgL_ev_setlocalz00_bglt)
									(BGl_z52thezd2ev_setlocalzd2nilz52zz__evaluatez00);
								{	/* Eval/evaluate.scm 75 */
									BgL_ev_exprz00_bglt BgL_e2072z00_14319;

									BgL_ev_varz00_bglt BgL_v2073z00_14320;

									BgL_e2072z00_14319 = BgL_arg5148z00_3922;
									BgL_v2073z00_14320 = BgL_arg5149z00_3923;
									((((BgL_ev_setlocalz00_bglt) CREF(BgL_new2074z00_14316))->
											BgL_ez00) =
										((BgL_ev_exprz00_bglt) BgL_e2072z00_14319), BUNSPEC);
									((((BgL_ev_setlocalz00_bglt) CREF(BgL_new2074z00_14316))->
											BgL_vz00) =
										((BgL_ev_varz00_bglt) BgL_v2073z00_14320), BUNSPEC);
									BgL_res7369z00_14321 = BgL_new2074z00_14316;
							}}
							(obj_t) (BgL_res7369z00_14321);
				}}}
			else
				{	/* Eval/evaluate.scm 75 */
					BFALSE;
				}
			return
				(BgL_ev_setlocalz00_bglt)
				(BGl_z52thezd2ev_setlocalzd2nilz52zz__evaluatez00);
		}
	}



/* _ev_setlocal-nil */
	obj_t BGl__ev_setlocalzd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24423)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 75 */
			return (obj_t) (BGl_ev_setlocalzd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_setlocal-v-set! */
	obj_t BGl__ev_setlocalzd2vzd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24420,
		obj_t BgL_obj2067z00_24421, obj_t BgL_val2066z00_24422)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 75 */
			{	/* Eval/evaluate.scm 75 */
				BgL_ev_setlocalz00_bglt BgL_obj2067z00_26990;

				BgL_ev_varz00_bglt BgL_val2066z00_26991;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2067z00_24421,
						BGl_ev_setlocalz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 75 */
						BgL_obj2067z00_26990 =
							(BgL_ev_setlocalz00_bglt) (BgL_obj2067z00_24421);
					}
				else
					{
						obj_t BgL_auxz00_34023;

						BgL_auxz00_34023 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2192)), BGl_string8401z00zz__evaluatez00,
							BGl_string8277z00zz__evaluatez00, BgL_obj2067z00_24421);
						FAILURE(BgL_auxz00_34023, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2066z00_24422,
						BGl_ev_varz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 75 */
						BgL_val2066z00_26991 = (BgL_ev_varz00_bglt) (BgL_val2066z00_24422);
					}
				else
					{
						obj_t BgL_auxz00_34030;

						BgL_auxz00_34030 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2192)), BGl_string8401z00zz__evaluatez00,
							BGl_string8237z00zz__evaluatez00, BgL_val2066z00_24422);
						FAILURE(BgL_auxz00_34030, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_obj2067z00_26990))->BgL_vz00) =
					((BgL_ev_varz00_bglt) BgL_val2066z00_26991), BUNSPEC);
			}
		}
	}



/* _ev_setlocal-v */
	obj_t BGl__ev_setlocalzd2vzd2zz__evaluatez00(obj_t BgL_envz00_24418,
		obj_t BgL_obj2065z00_24419)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 75 */
			{	/* Eval/evaluate.scm 75 */
				BgL_ev_varz00_bglt BgL_auxz00_34035;

				{	/* Eval/evaluate.scm 75 */
					BgL_ev_setlocalz00_bglt BgL_obj2065z00_26993;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2065z00_24419,
							BGl_ev_setlocalz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 75 */
							BgL_obj2065z00_26993 =
								(BgL_ev_setlocalz00_bglt) (BgL_obj2065z00_24419);
						}
					else
						{
							obj_t BgL_auxz00_34039;

							BgL_auxz00_34039 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2192)),
								BGl_string8402z00zz__evaluatez00,
								BGl_string8277z00zz__evaluatez00, BgL_obj2065z00_24419);
							FAILURE(BgL_auxz00_34039, BFALSE, BFALSE);
						}
					BgL_auxz00_34035 =
						(((BgL_ev_setlocalz00_bglt) CREF(BgL_obj2065z00_26993))->BgL_vz00);
				}
				return (obj_t) (BgL_auxz00_34035);
			}
		}
	}



/* _ev_trap? */
	obj_t BGl__ev_trapzf3zf3zz__evaluatez00(obj_t BgL_envz00_24412,
		obj_t BgL_obj2061z00_24413)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 74 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2061z00_24413,
					BGl_ev_trapz00zz__evaluatez00));
		}
	}



/* make-ev_trap */
	BgL_ev_trapz00_bglt BGl_makezd2ev_trapzd2zz__evaluatez00(BgL_ev_exprz00_bglt
		BgL_e2047z00_572)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 74 */
			{	/* Eval/evaluate.scm 74 */
				BgL_ev_trapz00_bglt BgL_new2048z00_14322;

				{	/* Eval/evaluate.scm 74 */
					BgL_ev_trapz00_bglt BgL_res7370z00_14327;

					{	/* Eval/evaluate.scm 74 */
						BgL_ev_trapz00_bglt BgL_new2054z00_14323;

						BgL_new2054z00_14323 =
							((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_trapz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2054z00_14323),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_trapz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 74 */
							BgL_objectz00_bglt BgL_auxz00_34051;

							BgL_auxz00_34051 = (BgL_objectz00_bglt) (BgL_new2054z00_14323);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34051, BFALSE);
						}
						BgL_res7370z00_14327 = BgL_new2054z00_14323;
					}
					BgL_new2048z00_14322 = BgL_res7370z00_14327;
				}
				{	/* Eval/evaluate.scm 74 */
					BgL_ev_trapz00_bglt BgL_res7371z00_14331;

					{	/* Eval/evaluate.scm 74 */
						BgL_ev_trapz00_bglt BgL_new2051z00_14328;

						BgL_new2051z00_14328 = BgL_new2048z00_14322;
						{	/* Eval/evaluate.scm 74 */
							BgL_ev_exprz00_bglt BgL_e2050z00_14330;

							BgL_e2050z00_14330 = BgL_e2047z00_572;
							((((BgL_ev_trapz00_bglt) CREF(BgL_new2051z00_14328))->BgL_ez00) =
								((BgL_ev_exprz00_bglt) BgL_e2050z00_14330), BUNSPEC);
							BgL_res7371z00_14331 = BgL_new2051z00_14328;
					}} BgL_res7371z00_14331;
				}
				return BgL_new2048z00_14322;
			}
		}
	}



/* _make-ev_trap */
	obj_t BGl__makezd2ev_trapzd2zz__evaluatez00(obj_t BgL_envz00_24408,
		obj_t BgL_e2047z00_24409)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 74 */
			{	/* Eval/evaluate.scm 74 */
				BgL_ev_trapz00_bglt BgL_auxz00_34055;

				{	/* Eval/evaluate.scm 74 */
					BgL_ev_exprz00_bglt BgL_auxz00_34056;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_e2047z00_24409,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 74 */
							BgL_auxz00_34056 = (BgL_ev_exprz00_bglt) (BgL_e2047z00_24409);
						}
					else
						{
							obj_t BgL_auxz00_34060;

							BgL_auxz00_34060 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2163)),
								BGl_string8403z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_e2047z00_24409);
							FAILURE(BgL_auxz00_34060, BFALSE, BFALSE);
						}
					BgL_auxz00_34055 =
						BGl_makezd2ev_trapzd2zz__evaluatez00(BgL_auxz00_34056);
				}
				return (obj_t) (BgL_auxz00_34055);
			}
		}
	}



/* _%allocate-ev_trap */
	obj_t BGl__z52allocatezd2ev_trapz80zz__evaluatez00(obj_t BgL_envz00_24410)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 74 */
			{	/* Eval/evaluate.scm 74 */
				BgL_ev_trapz00_bglt BgL_auxz00_34066;

				{	/* Eval/evaluate.scm 74 */
					BgL_ev_trapz00_bglt BgL_res8610z00_27000;

					{	/* Eval/evaluate.scm 74 */
						BgL_ev_trapz00_bglt BgL_new2054z00_26998;

						BgL_new2054z00_26998 =
							((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_trapz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2054z00_26998),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_trapz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 74 */
							BgL_objectz00_bglt BgL_auxz00_34071;

							BgL_auxz00_34071 = (BgL_objectz00_bglt) (BgL_new2054z00_26998);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34071, BFALSE);
						}
						BgL_res8610z00_27000 = BgL_new2054z00_26998;
					}
					BgL_auxz00_34066 = BgL_res8610z00_27000;
				}
				return (obj_t) (BgL_auxz00_34066);
			}
		}
	}



/* ev_trap-nil */
	BgL_ev_trapz00_bglt BGl_ev_trapzd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 74 */
			if ((BGl_z52thezd2ev_trapzd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 74 */
					{	/* Eval/evaluate.scm 74 */
						BgL_ev_trapz00_bglt BgL_res7372z00_14341;

						{	/* Eval/evaluate.scm 74 */
							BgL_ev_trapz00_bglt BgL_new2054z00_14337;

							BgL_new2054z00_14337 =
								((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_trapz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new2054z00_14337),
								BGl_classzd2numzd2zz__objectz00(BGl_ev_trapz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 74 */
								BgL_objectz00_bglt BgL_auxz00_34081;

								BgL_auxz00_34081 = (BgL_objectz00_bglt) (BgL_new2054z00_14337);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_34081, BFALSE);
							}
							BgL_res7372z00_14341 = BgL_new2054z00_14337;
						}
						BGl_z52thezd2ev_trapzd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7372z00_14341);
					}
					{	/* Eval/evaluate.scm 74 */
						BgL_ev_exprz00_bglt BgL_arg5152z00_3929;

						BgL_arg5152z00_3929 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						{	/* Eval/evaluate.scm 74 */
							BgL_ev_trapz00_bglt BgL_res7373z00_14345;

							{	/* Eval/evaluate.scm 74 */
								BgL_ev_trapz00_bglt BgL_new2051z00_14342;

								BgL_new2051z00_14342 =
									(BgL_ev_trapz00_bglt)
									(BGl_z52thezd2ev_trapzd2nilz52zz__evaluatez00);
								{	/* Eval/evaluate.scm 74 */
									BgL_ev_exprz00_bglt BgL_e2050z00_14344;

									BgL_e2050z00_14344 = BgL_arg5152z00_3929;
									((((BgL_ev_trapz00_bglt) CREF(BgL_new2051z00_14342))->
											BgL_ez00) =
										((BgL_ev_exprz00_bglt) BgL_e2050z00_14344), BUNSPEC);
									BgL_res7373z00_14345 = BgL_new2051z00_14342;
							}}
							(obj_t) (BgL_res7373z00_14345);
				}}}
			else
				{	/* Eval/evaluate.scm 74 */
					BFALSE;
				}
			return
				(BgL_ev_trapz00_bglt) (BGl_z52thezd2ev_trapzd2nilz52zz__evaluatez00);
		}
	}



/* _ev_trap-nil */
	obj_t BGl__ev_trapzd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24411)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 74 */
			return (obj_t) (BGl_ev_trapzd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_hook? */
	obj_t BGl__ev_hookzf3zf3zz__evaluatez00(obj_t BgL_envz00_24406,
		obj_t BgL_obj2043z00_24407)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 73 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2043z00_24407,
					BGl_ev_hookz00zz__evaluatez00));
		}
	}



/* make-ev_hook */
	BgL_ev_hookz00_bglt BGl_makezd2ev_hookzd2zz__evaluatez00(BgL_ev_exprz00_bglt
		BgL_e2029z00_579)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 73 */
			{	/* Eval/evaluate.scm 73 */
				BgL_ev_hookz00_bglt BgL_new2030z00_14346;

				{	/* Eval/evaluate.scm 73 */
					BgL_ev_hookz00_bglt BgL_res7374z00_14351;

					{	/* Eval/evaluate.scm 73 */
						BgL_ev_hookz00_bglt BgL_new2036z00_14347;

						BgL_new2036z00_14347 =
							((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_hookz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2036z00_14347),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_hookz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 73 */
							BgL_objectz00_bglt BgL_auxz00_34098;

							BgL_auxz00_34098 = (BgL_objectz00_bglt) (BgL_new2036z00_14347);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34098, BFALSE);
						}
						BgL_res7374z00_14351 = BgL_new2036z00_14347;
					}
					BgL_new2030z00_14346 = BgL_res7374z00_14351;
				}
				{	/* Eval/evaluate.scm 73 */
					BgL_ev_hookz00_bglt BgL_res7375z00_14355;

					{	/* Eval/evaluate.scm 73 */
						BgL_ev_hookz00_bglt BgL_new2033z00_14352;

						BgL_new2033z00_14352 = BgL_new2030z00_14346;
						{	/* Eval/evaluate.scm 73 */
							BgL_ev_exprz00_bglt BgL_e2032z00_14354;

							BgL_e2032z00_14354 = BgL_e2029z00_579;
							((((BgL_ev_hookz00_bglt) CREF(BgL_new2033z00_14352))->BgL_ez00) =
								((BgL_ev_exprz00_bglt) BgL_e2032z00_14354), BUNSPEC);
							BgL_res7375z00_14355 = BgL_new2033z00_14352;
					}} BgL_res7375z00_14355;
				}
				return BgL_new2030z00_14346;
			}
		}
	}



/* _make-ev_hook */
	obj_t BGl__makezd2ev_hookzd2zz__evaluatez00(obj_t BgL_envz00_24397,
		obj_t BgL_e2029z00_24398)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 73 */
			{	/* Eval/evaluate.scm 73 */
				BgL_ev_hookz00_bglt BgL_auxz00_34102;

				{	/* Eval/evaluate.scm 73 */
					BgL_ev_exprz00_bglt BgL_auxz00_34103;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_e2029z00_24398,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 73 */
							BgL_auxz00_34103 = (BgL_ev_exprz00_bglt) (BgL_e2029z00_24398);
						}
					else
						{
							obj_t BgL_auxz00_34107;

							BgL_auxz00_34107 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2123)),
								BGl_string8404z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_e2029z00_24398);
							FAILURE(BgL_auxz00_34107, BFALSE, BFALSE);
						}
					BgL_auxz00_34102 =
						BGl_makezd2ev_hookzd2zz__evaluatez00(BgL_auxz00_34103);
				}
				return (obj_t) (BgL_auxz00_34102);
			}
		}
	}



/* _%allocate-ev_hook */
	obj_t BGl__z52allocatezd2ev_hookz80zz__evaluatez00(obj_t BgL_envz00_24399)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 73 */
			{	/* Eval/evaluate.scm 73 */
				BgL_ev_hookz00_bglt BgL_auxz00_34113;

				{	/* Eval/evaluate.scm 73 */
					BgL_ev_hookz00_bglt BgL_res8611z00_27007;

					{	/* Eval/evaluate.scm 73 */
						BgL_ev_hookz00_bglt BgL_new2036z00_27005;

						BgL_new2036z00_27005 =
							((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_hookz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2036z00_27005),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_hookz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 73 */
							BgL_objectz00_bglt BgL_auxz00_34118;

							BgL_auxz00_34118 = (BgL_objectz00_bglt) (BgL_new2036z00_27005);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34118, BFALSE);
						}
						BgL_res8611z00_27007 = BgL_new2036z00_27005;
					}
					BgL_auxz00_34113 = BgL_res8611z00_27007;
				}
				return (obj_t) (BgL_auxz00_34113);
			}
		}
	}



/* ev_hook-nil */
	BgL_ev_hookz00_bglt BGl_ev_hookzd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 73 */
			if ((BGl_z52thezd2ev_hookzd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 73 */
					{	/* Eval/evaluate.scm 73 */
						BgL_ev_hookz00_bglt BgL_res7376z00_14365;

						{	/* Eval/evaluate.scm 73 */
							BgL_ev_hookz00_bglt BgL_new2036z00_14361;

							BgL_new2036z00_14361 =
								((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_hookz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new2036z00_14361),
								BGl_classzd2numzd2zz__objectz00(BGl_ev_hookz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 73 */
								BgL_objectz00_bglt BgL_auxz00_34128;

								BgL_auxz00_34128 = (BgL_objectz00_bglt) (BgL_new2036z00_14361);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_34128, BFALSE);
							}
							BgL_res7376z00_14365 = BgL_new2036z00_14361;
						}
						BGl_z52thezd2ev_hookzd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7376z00_14365);
					}
					{	/* Eval/evaluate.scm 73 */
						BgL_ev_exprz00_bglt BgL_arg5155z00_3935;

						BgL_arg5155z00_3935 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						{	/* Eval/evaluate.scm 73 */
							BgL_ev_hookz00_bglt BgL_res7377z00_14369;

							{	/* Eval/evaluate.scm 73 */
								BgL_ev_hookz00_bglt BgL_new2033z00_14366;

								BgL_new2033z00_14366 =
									(BgL_ev_hookz00_bglt)
									(BGl_z52thezd2ev_hookzd2nilz52zz__evaluatez00);
								{	/* Eval/evaluate.scm 73 */
									BgL_ev_exprz00_bglt BgL_e2032z00_14368;

									BgL_e2032z00_14368 = BgL_arg5155z00_3935;
									((((BgL_ev_hookz00_bglt) CREF(BgL_new2033z00_14366))->
											BgL_ez00) =
										((BgL_ev_exprz00_bglt) BgL_e2032z00_14368), BUNSPEC);
									BgL_res7377z00_14369 = BgL_new2033z00_14366;
							}}
							(obj_t) (BgL_res7377z00_14369);
				}}}
			else
				{	/* Eval/evaluate.scm 73 */
					BFALSE;
				}
			return
				(BgL_ev_hookz00_bglt) (BGl_z52thezd2ev_hookzd2nilz52zz__evaluatez00);
		}
	}



/* _ev_hook-nil */
	obj_t BGl__ev_hookzd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24405)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 73 */
			return (obj_t) (BGl_ev_hookzd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_hook-e-set! */
	obj_t BGl__ev_hookzd2ezd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24402,
		obj_t BgL_obj2028z00_24403, obj_t BgL_val2027z00_24404)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 73 */
			{	/* Eval/evaluate.scm 73 */
				BgL_ev_hookz00_bglt BgL_obj2028z00_27010;

				BgL_ev_exprz00_bglt BgL_val2027z00_27011;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2028z00_24403,
						BGl_ev_hookz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 73 */
						BgL_obj2028z00_27010 = (BgL_ev_hookz00_bglt) (BgL_obj2028z00_24403);
					}
				else
					{
						obj_t BgL_auxz00_34142;

						BgL_auxz00_34142 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2123)), BGl_string8405z00zz__evaluatez00,
							BGl_string8273z00zz__evaluatez00, BgL_obj2028z00_24403);
						FAILURE(BgL_auxz00_34142, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2027z00_24404,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 73 */
						BgL_val2027z00_27011 = (BgL_ev_exprz00_bglt) (BgL_val2027z00_24404);
					}
				else
					{
						obj_t BgL_auxz00_34149;

						BgL_auxz00_34149 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2123)), BGl_string8405z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_val2027z00_24404);
						FAILURE(BgL_auxz00_34149, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_hookz00_bglt) CREF(BgL_obj2028z00_27010))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_val2027z00_27011), BUNSPEC);
			}
		}
	}



/* _ev_hook-e */
	obj_t BGl__ev_hookzd2ezd2zz__evaluatez00(obj_t BgL_envz00_24400,
		obj_t BgL_obj2026z00_24401)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 73 */
			{	/* Eval/evaluate.scm 73 */
				BgL_ev_exprz00_bglt BgL_auxz00_34154;

				{	/* Eval/evaluate.scm 73 */
					BgL_ev_hookz00_bglt BgL_obj2026z00_27013;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2026z00_24401,
							BGl_ev_hookz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 73 */
							BgL_obj2026z00_27013 =
								(BgL_ev_hookz00_bglt) (BgL_obj2026z00_24401);
						}
					else
						{
							obj_t BgL_auxz00_34158;

							BgL_auxz00_34158 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2123)),
								BGl_string8406z00zz__evaluatez00,
								BGl_string8273z00zz__evaluatez00, BgL_obj2026z00_24401);
							FAILURE(BgL_auxz00_34158, BFALSE, BFALSE);
						}
					BgL_auxz00_34154 =
						(((BgL_ev_hookz00_bglt) CREF(BgL_obj2026z00_27013))->BgL_ez00);
				}
				return (obj_t) (BgL_auxz00_34154);
			}
		}
	}



/* _ev_prog2? */
	obj_t BGl__ev_prog2zf3zf3zz__evaluatez00(obj_t BgL_envz00_24395,
		obj_t BgL_obj2025z00_24396)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 72 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2025z00_24396,
					BGl_ev_prog2z00zz__evaluatez00));
		}
	}



/* make-ev_prog2 */
	BgL_ev_prog2z00_bglt BGl_makezd2ev_prog2zd2zz__evaluatez00(BgL_ev_exprz00_bglt
		BgL_e12004z00_589, BgL_ev_exprz00_bglt BgL_e22005z00_590)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 72 */
			{	/* Eval/evaluate.scm 72 */
				BgL_ev_prog2z00_bglt BgL_new2006z00_14370;

				{	/* Eval/evaluate.scm 72 */
					BgL_ev_prog2z00_bglt BgL_res7378z00_14375;

					{	/* Eval/evaluate.scm 72 */
						BgL_ev_prog2z00_bglt BgL_new2014z00_14371;

						BgL_new2014z00_14371 =
							((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_prog2z00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2014z00_14371),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_prog2z00zz__evaluatez00));
						{	/* Eval/evaluate.scm 72 */
							BgL_objectz00_bglt BgL_auxz00_34170;

							BgL_auxz00_34170 = (BgL_objectz00_bglt) (BgL_new2014z00_14371);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34170, BFALSE);
						}
						BgL_res7378z00_14375 = BgL_new2014z00_14371;
					}
					BgL_new2006z00_14370 = BgL_res7378z00_14375;
				}
				{	/* Eval/evaluate.scm 72 */
					BgL_ev_prog2z00_bglt BgL_res7379z00_14381;

					{	/* Eval/evaluate.scm 72 */
						BgL_ev_prog2z00_bglt BgL_new2010z00_14376;

						BgL_new2010z00_14376 = BgL_new2006z00_14370;
						{	/* Eval/evaluate.scm 72 */
							BgL_ev_exprz00_bglt BgL_e12008z00_14379;

							BgL_ev_exprz00_bglt BgL_e22009z00_14380;

							BgL_e12008z00_14379 = BgL_e12004z00_589;
							BgL_e22009z00_14380 = BgL_e22005z00_590;
							((((BgL_ev_prog2z00_bglt) CREF(BgL_new2010z00_14376))->
									BgL_e1z00) =
								((BgL_ev_exprz00_bglt) BgL_e12008z00_14379), BUNSPEC);
							((((BgL_ev_prog2z00_bglt) CREF(BgL_new2010z00_14376))->
									BgL_e2z00) =
								((BgL_ev_exprz00_bglt) BgL_e22009z00_14380), BUNSPEC);
							BgL_res7379z00_14381 = BgL_new2010z00_14376;
					}} BgL_res7379z00_14381;
				}
				return BgL_new2006z00_14370;
			}
		}
	}



/* _make-ev_prog2 */
	obj_t BGl__makezd2ev_prog2zd2zz__evaluatez00(obj_t BgL_envz00_24380,
		obj_t BgL_e12004z00_24381, obj_t BgL_e22005z00_24382)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 72 */
			{	/* Eval/evaluate.scm 72 */
				BgL_ev_prog2z00_bglt BgL_auxz00_34175;

				{	/* Eval/evaluate.scm 72 */
					BgL_ev_exprz00_bglt BgL_auxz00_34184;

					BgL_ev_exprz00_bglt BgL_auxz00_34176;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_e22005z00_24382,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 72 */
							BgL_auxz00_34184 = (BgL_ev_exprz00_bglt) (BgL_e22005z00_24382);
						}
					else
						{
							obj_t BgL_auxz00_34188;

							BgL_auxz00_34188 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2069)),
								BGl_string8407z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_e22005z00_24382);
							FAILURE(BgL_auxz00_34188, BFALSE, BFALSE);
						}
					if (BGl_iszd2azf3z21zz__objectz00(BgL_e12004z00_24381,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 72 */
							BgL_auxz00_34176 = (BgL_ev_exprz00_bglt) (BgL_e12004z00_24381);
						}
					else
						{
							obj_t BgL_auxz00_34180;

							BgL_auxz00_34180 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2069)),
								BGl_string8407z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_e12004z00_24381);
							FAILURE(BgL_auxz00_34180, BFALSE, BFALSE);
						}
					BgL_auxz00_34175 =
						BGl_makezd2ev_prog2zd2zz__evaluatez00(BgL_auxz00_34176,
						BgL_auxz00_34184);
				}
				return (obj_t) (BgL_auxz00_34175);
			}
		}
	}



/* _%allocate-ev_prog2 */
	obj_t BGl__z52allocatezd2ev_prog2z80zz__evaluatez00(obj_t BgL_envz00_24383)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 72 */
			{	/* Eval/evaluate.scm 72 */
				BgL_ev_prog2z00_bglt BgL_auxz00_34194;

				{	/* Eval/evaluate.scm 72 */
					BgL_ev_prog2z00_bglt BgL_res8612z00_27021;

					{	/* Eval/evaluate.scm 72 */
						BgL_ev_prog2z00_bglt BgL_new2014z00_27019;

						BgL_new2014z00_27019 =
							((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_prog2z00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new2014z00_27019),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_prog2z00zz__evaluatez00));
						{	/* Eval/evaluate.scm 72 */
							BgL_objectz00_bglt BgL_auxz00_34199;

							BgL_auxz00_34199 = (BgL_objectz00_bglt) (BgL_new2014z00_27019);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34199, BFALSE);
						}
						BgL_res8612z00_27021 = BgL_new2014z00_27019;
					}
					BgL_auxz00_34194 = BgL_res8612z00_27021;
				}
				return (obj_t) (BgL_auxz00_34194);
			}
		}
	}



/* ev_prog2-nil */
	BgL_ev_prog2z00_bglt BGl_ev_prog2zd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 72 */
			if ((BGl_z52thezd2ev_prog2zd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 72 */
					{	/* Eval/evaluate.scm 72 */
						BgL_ev_prog2z00_bglt BgL_res7380z00_14392;

						{	/* Eval/evaluate.scm 72 */
							BgL_ev_prog2z00_bglt BgL_new2014z00_14388;

							BgL_new2014z00_14388 =
								((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_prog2z00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new2014z00_14388),
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_prog2z00zz__evaluatez00));
							{	/* Eval/evaluate.scm 72 */
								BgL_objectz00_bglt BgL_auxz00_34209;

								BgL_auxz00_34209 = (BgL_objectz00_bglt) (BgL_new2014z00_14388);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_34209, BFALSE);
							}
							BgL_res7380z00_14392 = BgL_new2014z00_14388;
						}
						BGl_z52thezd2ev_prog2zd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7380z00_14392);
					}
					{	/* Eval/evaluate.scm 72 */
						BgL_ev_exprz00_bglt BgL_arg5158z00_3942;

						BgL_ev_exprz00_bglt BgL_arg5159z00_3943;

						BgL_arg5158z00_3942 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						BgL_arg5159z00_3943 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						{	/* Eval/evaluate.scm 72 */
							BgL_ev_prog2z00_bglt BgL_res7381z00_14398;

							{	/* Eval/evaluate.scm 72 */
								BgL_ev_prog2z00_bglt BgL_new2010z00_14393;

								BgL_new2010z00_14393 =
									(BgL_ev_prog2z00_bglt)
									(BGl_z52thezd2ev_prog2zd2nilz52zz__evaluatez00);
								{	/* Eval/evaluate.scm 72 */
									BgL_ev_exprz00_bglt BgL_e12008z00_14396;

									BgL_ev_exprz00_bglt BgL_e22009z00_14397;

									BgL_e12008z00_14396 = BgL_arg5158z00_3942;
									BgL_e22009z00_14397 = BgL_arg5159z00_3943;
									((((BgL_ev_prog2z00_bglt) CREF(BgL_new2010z00_14393))->
											BgL_e1z00) =
										((BgL_ev_exprz00_bglt) BgL_e12008z00_14396), BUNSPEC);
									((((BgL_ev_prog2z00_bglt) CREF(BgL_new2010z00_14393))->
											BgL_e2z00) =
										((BgL_ev_exprz00_bglt) BgL_e22009z00_14397), BUNSPEC);
									BgL_res7381z00_14398 = BgL_new2010z00_14393;
							}}
							(obj_t) (BgL_res7381z00_14398);
				}}}
			else
				{	/* Eval/evaluate.scm 72 */
					BFALSE;
				}
			return
				(BgL_ev_prog2z00_bglt) (BGl_z52thezd2ev_prog2zd2nilz52zz__evaluatez00);
		}
	}



/* _ev_prog2-nil */
	obj_t BGl__ev_prog2zd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24394)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 72 */
			return (obj_t) (BGl_ev_prog2zd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_prog2-e1-set! */
	obj_t BGl__ev_prog2zd2e1zd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24386,
		obj_t BgL_obj2000z00_24387, obj_t BgL_val1999z00_24388)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 72 */
			{	/* Eval/evaluate.scm 72 */
				BgL_ev_prog2z00_bglt BgL_obj2000z00_27024;

				BgL_ev_exprz00_bglt BgL_val1999z00_27025;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2000z00_24387,
						BGl_ev_prog2z00zz__evaluatez00))
					{	/* Eval/evaluate.scm 72 */
						BgL_obj2000z00_27024 =
							(BgL_ev_prog2z00_bglt) (BgL_obj2000z00_24387);
					}
				else
					{
						obj_t BgL_auxz00_34225;

						BgL_auxz00_34225 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2069)), BGl_string8408z00zz__evaluatez00,
							BGl_string8267z00zz__evaluatez00, BgL_obj2000z00_24387);
						FAILURE(BgL_auxz00_34225, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val1999z00_24388,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 72 */
						BgL_val1999z00_27025 = (BgL_ev_exprz00_bglt) (BgL_val1999z00_24388);
					}
				else
					{
						obj_t BgL_auxz00_34232;

						BgL_auxz00_34232 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2069)), BGl_string8408z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_val1999z00_24388);
						FAILURE(BgL_auxz00_34232, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_prog2z00_bglt) CREF(BgL_obj2000z00_27024))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) BgL_val1999z00_27025), BUNSPEC);
			}
		}
	}



/* _ev_prog2-e1 */
	obj_t BGl__ev_prog2zd2e1zd2zz__evaluatez00(obj_t BgL_envz00_24384,
		obj_t BgL_obj1998z00_24385)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 72 */
			{	/* Eval/evaluate.scm 72 */
				BgL_ev_exprz00_bglt BgL_auxz00_34237;

				{	/* Eval/evaluate.scm 72 */
					BgL_ev_prog2z00_bglt BgL_obj1998z00_27027;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1998z00_24385,
							BGl_ev_prog2z00zz__evaluatez00))
						{	/* Eval/evaluate.scm 72 */
							BgL_obj1998z00_27027 =
								(BgL_ev_prog2z00_bglt) (BgL_obj1998z00_24385);
						}
					else
						{
							obj_t BgL_auxz00_34241;

							BgL_auxz00_34241 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2069)),
								BGl_string8409z00zz__evaluatez00,
								BGl_string8267z00zz__evaluatez00, BgL_obj1998z00_24385);
							FAILURE(BgL_auxz00_34241, BFALSE, BFALSE);
						}
					BgL_auxz00_34237 =
						(((BgL_ev_prog2z00_bglt) CREF(BgL_obj1998z00_27027))->BgL_e1z00);
				}
				return (obj_t) (BgL_auxz00_34237);
			}
		}
	}



/* _ev_prog2-e2-set! */
	obj_t BGl__ev_prog2zd2e2zd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24391,
		obj_t BgL_obj2003z00_24392, obj_t BgL_val2002z00_24393)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 72 */
			{	/* Eval/evaluate.scm 72 */
				BgL_ev_prog2z00_bglt BgL_obj2003z00_27030;

				BgL_ev_exprz00_bglt BgL_val2002z00_27031;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2003z00_24392,
						BGl_ev_prog2z00zz__evaluatez00))
					{	/* Eval/evaluate.scm 72 */
						BgL_obj2003z00_27030 =
							(BgL_ev_prog2z00_bglt) (BgL_obj2003z00_24392);
					}
				else
					{
						obj_t BgL_auxz00_34250;

						BgL_auxz00_34250 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2069)), BGl_string8410z00zz__evaluatez00,
							BGl_string8267z00zz__evaluatez00, BgL_obj2003z00_24392);
						FAILURE(BgL_auxz00_34250, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val2002z00_24393,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 72 */
						BgL_val2002z00_27031 = (BgL_ev_exprz00_bglt) (BgL_val2002z00_24393);
					}
				else
					{
						obj_t BgL_auxz00_34257;

						BgL_auxz00_34257 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 2069)), BGl_string8410z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_val2002z00_24393);
						FAILURE(BgL_auxz00_34257, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_prog2z00_bglt) CREF(BgL_obj2003z00_27030))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) BgL_val2002z00_27031), BUNSPEC);
			}
		}
	}



/* _ev_prog2-e2 */
	obj_t BGl__ev_prog2zd2e2zd2zz__evaluatez00(obj_t BgL_envz00_24389,
		obj_t BgL_obj2001z00_24390)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 72 */
			{	/* Eval/evaluate.scm 72 */
				BgL_ev_exprz00_bglt BgL_auxz00_34262;

				{	/* Eval/evaluate.scm 72 */
					BgL_ev_prog2z00_bglt BgL_obj2001z00_27033;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj2001z00_24390,
							BGl_ev_prog2z00zz__evaluatez00))
						{	/* Eval/evaluate.scm 72 */
							BgL_obj2001z00_27033 =
								(BgL_ev_prog2z00_bglt) (BgL_obj2001z00_24390);
						}
					else
						{
							obj_t BgL_auxz00_34266;

							BgL_auxz00_34266 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 2069)),
								BGl_string8411z00zz__evaluatez00,
								BGl_string8267z00zz__evaluatez00, BgL_obj2001z00_24390);
							FAILURE(BgL_auxz00_34266, BFALSE, BFALSE);
						}
					BgL_auxz00_34262 =
						(((BgL_ev_prog2z00_bglt) CREF(BgL_obj2001z00_27033))->BgL_e2z00);
				}
				return (obj_t) (BgL_auxz00_34262);
			}
		}
	}



/* _ev_and? */
	obj_t BGl__ev_andzf3zf3zz__evaluatez00(obj_t BgL_envz00_24378,
		obj_t BgL_obj1997z00_24379)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 71 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1997z00_24379,
					BGl_ev_andz00zz__evaluatez00));
		}
	}



/* make-ev_and */
	BgL_ev_andz00_bglt BGl_makezd2ev_andzd2zz__evaluatez00(obj_t
		BgL_args1983z00_604)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 71 */
			{	/* Eval/evaluate.scm 71 */
				BgL_ev_andz00_bglt BgL_new1984z00_14399;

				{	/* Eval/evaluate.scm 71 */
					BgL_ev_andz00_bglt BgL_res7382z00_14404;

					{	/* Eval/evaluate.scm 71 */
						BgL_ev_andz00_bglt BgL_new1990z00_14400;

						BgL_new1990z00_14400 =
							((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_andz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new1990z00_14400),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_andz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 71 */
							BgL_objectz00_bglt BgL_auxz00_34278;

							BgL_auxz00_34278 = (BgL_objectz00_bglt) (BgL_new1990z00_14400);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34278, BFALSE);
						}
						BgL_res7382z00_14404 = BgL_new1990z00_14400;
					}
					BgL_new1984z00_14399 = BgL_res7382z00_14404;
				}
				{	/* Eval/evaluate.scm 71 */
					BgL_ev_andz00_bglt BgL_res7383z00_14408;

					{	/* Eval/evaluate.scm 71 */
						BgL_ev_andz00_bglt BgL_new1987z00_14405;

						BgL_new1987z00_14405 = BgL_new1984z00_14399;
						{	/* Eval/evaluate.scm 71 */
							obj_t BgL_args1986z00_14407;

							BgL_args1986z00_14407 = BgL_args1983z00_604;
							((((BgL_ev_andz00_bglt) CREF(BgL_new1987z00_14405))->
									BgL_argsz00) = ((obj_t) BgL_args1986z00_14407), BUNSPEC);
							BgL_res7383z00_14408 = BgL_new1987z00_14405;
					}} BgL_res7383z00_14408;
				}
				return BgL_new1984z00_14399;
			}
		}
	}



/* _make-ev_and */
	obj_t BGl__makezd2ev_andzd2zz__evaluatez00(obj_t BgL_envz00_24374,
		obj_t BgL_args1983z00_24375)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 71 */
			return
				(obj_t) (BGl_makezd2ev_andzd2zz__evaluatez00(BgL_args1983z00_24375));
		}
	}



/* _%allocate-ev_and */
	obj_t BGl__z52allocatezd2ev_andz80zz__evaluatez00(obj_t BgL_envz00_24376)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 71 */
			{	/* Eval/evaluate.scm 71 */
				BgL_ev_andz00_bglt BgL_auxz00_34284;

				{	/* Eval/evaluate.scm 71 */
					BgL_ev_andz00_bglt BgL_res8613z00_27039;

					{	/* Eval/evaluate.scm 71 */
						BgL_ev_andz00_bglt BgL_new1990z00_27037;

						BgL_new1990z00_27037 =
							((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_andz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new1990z00_27037),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_andz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 71 */
							BgL_objectz00_bglt BgL_auxz00_34289;

							BgL_auxz00_34289 = (BgL_objectz00_bglt) (BgL_new1990z00_27037);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34289, BFALSE);
						}
						BgL_res8613z00_27039 = BgL_new1990z00_27037;
					}
					BgL_auxz00_34284 = BgL_res8613z00_27039;
				}
				return (obj_t) (BgL_auxz00_34284);
			}
		}
	}



/* ev_and-nil */
	BgL_ev_andz00_bglt BGl_ev_andzd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 71 */
			if ((BGl_z52thezd2ev_andzd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 71 */
					{	/* Eval/evaluate.scm 71 */
						BgL_ev_andz00_bglt BgL_res7384z00_14418;

						{	/* Eval/evaluate.scm 71 */
							BgL_ev_andz00_bglt BgL_new1990z00_14414;

							BgL_new1990z00_14414 =
								((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_andz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new1990z00_14414),
								BGl_classzd2numzd2zz__objectz00(BGl_ev_andz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 71 */
								BgL_objectz00_bglt BgL_auxz00_34299;

								BgL_auxz00_34299 = (BgL_objectz00_bglt) (BgL_new1990z00_14414);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_34299, BFALSE);
							}
							BgL_res7384z00_14418 = BgL_new1990z00_14414;
						}
						BGl_z52thezd2ev_andzd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7384z00_14418);
					}
					{	/* Eval/evaluate.scm 71 */
						BgL_ev_andz00_bglt BgL_res7385z00_14422;

						{	/* Eval/evaluate.scm 71 */
							BgL_ev_andz00_bglt BgL_new1987z00_14419;

							BgL_new1987z00_14419 =
								(BgL_ev_andz00_bglt)
								(BGl_z52thezd2ev_andzd2nilz52zz__evaluatez00);
							{	/* Eval/evaluate.scm 71 */
								obj_t BgL_args1986z00_14421;

								BgL_args1986z00_14421 = BUNSPEC;
								((((BgL_ev_andz00_bglt) CREF(BgL_new1987z00_14419))->
										BgL_argsz00) = ((obj_t) BgL_args1986z00_14421), BUNSPEC);
								BgL_res7385z00_14422 = BgL_new1987z00_14419;
						}}
						(obj_t) (BgL_res7385z00_14422);
				}}
			else
				{	/* Eval/evaluate.scm 71 */
					BFALSE;
				}
			return (BgL_ev_andz00_bglt) (BGl_z52thezd2ev_andzd2nilz52zz__evaluatez00);
		}
	}



/* _ev_and-nil */
	obj_t BGl__ev_andzd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24377)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 71 */
			return (obj_t) (BGl_ev_andzd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_or? */
	obj_t BGl__ev_orzf3zf3zz__evaluatez00(obj_t BgL_envz00_24372,
		obj_t BgL_obj1979z00_24373)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 70 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1979z00_24373,
					BGl_ev_orz00zz__evaluatez00));
		}
	}



/* make-ev_or */
	BgL_ev_orz00_bglt BGl_makezd2ev_orzd2zz__evaluatez00(obj_t
		BgL_args1965z00_611)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 70 */
			{	/* Eval/evaluate.scm 70 */
				BgL_ev_orz00_bglt BgL_new1966z00_14423;

				{	/* Eval/evaluate.scm 70 */
					BgL_ev_orz00_bglt BgL_res7386z00_14428;

					{	/* Eval/evaluate.scm 70 */
						BgL_ev_orz00_bglt BgL_new1972z00_14424;

						BgL_new1972z00_14424 =
							((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_orz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new1972z00_14424),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_orz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 70 */
							BgL_objectz00_bglt BgL_auxz00_34315;

							BgL_auxz00_34315 = (BgL_objectz00_bglt) (BgL_new1972z00_14424);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34315, BFALSE);
						}
						BgL_res7386z00_14428 = BgL_new1972z00_14424;
					}
					BgL_new1966z00_14423 = BgL_res7386z00_14428;
				}
				{	/* Eval/evaluate.scm 70 */
					BgL_ev_orz00_bglt BgL_res7387z00_14432;

					{	/* Eval/evaluate.scm 70 */
						BgL_ev_orz00_bglt BgL_new1969z00_14429;

						BgL_new1969z00_14429 = BgL_new1966z00_14423;
						{	/* Eval/evaluate.scm 70 */
							obj_t BgL_args1968z00_14431;

							BgL_args1968z00_14431 = BgL_args1965z00_611;
							((((BgL_ev_orz00_bglt) CREF(BgL_new1969z00_14429))->BgL_argsz00) =
								((obj_t) BgL_args1968z00_14431), BUNSPEC);
							BgL_res7387z00_14432 = BgL_new1969z00_14429;
					}} BgL_res7387z00_14432;
				}
				return BgL_new1966z00_14423;
			}
		}
	}



/* _make-ev_or */
	obj_t BGl__makezd2ev_orzd2zz__evaluatez00(obj_t BgL_envz00_24368,
		obj_t BgL_args1965z00_24369)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 70 */
			return
				(obj_t) (BGl_makezd2ev_orzd2zz__evaluatez00(BgL_args1965z00_24369));
		}
	}



/* _%allocate-ev_or */
	obj_t BGl__z52allocatezd2ev_orz80zz__evaluatez00(obj_t BgL_envz00_24370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 70 */
			{	/* Eval/evaluate.scm 70 */
				BgL_ev_orz00_bglt BgL_auxz00_34321;

				{	/* Eval/evaluate.scm 70 */
					BgL_ev_orz00_bglt BgL_res8614z00_27045;

					{	/* Eval/evaluate.scm 70 */
						BgL_ev_orz00_bglt BgL_new1972z00_27043;

						BgL_new1972z00_27043 =
							((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_orz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new1972z00_27043),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_orz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 70 */
							BgL_objectz00_bglt BgL_auxz00_34326;

							BgL_auxz00_34326 = (BgL_objectz00_bglt) (BgL_new1972z00_27043);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34326, BFALSE);
						}
						BgL_res8614z00_27045 = BgL_new1972z00_27043;
					}
					BgL_auxz00_34321 = BgL_res8614z00_27045;
				}
				return (obj_t) (BgL_auxz00_34321);
			}
		}
	}



/* ev_or-nil */
	BgL_ev_orz00_bglt BGl_ev_orzd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 70 */
			if ((BGl_z52thezd2ev_orzd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 70 */
					{	/* Eval/evaluate.scm 70 */
						BgL_ev_orz00_bglt BgL_res7388z00_14442;

						{	/* Eval/evaluate.scm 70 */
							BgL_ev_orz00_bglt BgL_new1972z00_14438;

							BgL_new1972z00_14438 =
								((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_orz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new1972z00_14438),
								BGl_classzd2numzd2zz__objectz00(BGl_ev_orz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 70 */
								BgL_objectz00_bglt BgL_auxz00_34336;

								BgL_auxz00_34336 = (BgL_objectz00_bglt) (BgL_new1972z00_14438);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_34336, BFALSE);
							}
							BgL_res7388z00_14442 = BgL_new1972z00_14438;
						}
						BGl_z52thezd2ev_orzd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7388z00_14442);
					}
					{	/* Eval/evaluate.scm 70 */
						BgL_ev_orz00_bglt BgL_res7389z00_14446;

						{	/* Eval/evaluate.scm 70 */
							BgL_ev_orz00_bglt BgL_new1969z00_14443;

							BgL_new1969z00_14443 =
								(BgL_ev_orz00_bglt)
								(BGl_z52thezd2ev_orzd2nilz52zz__evaluatez00);
							{	/* Eval/evaluate.scm 70 */
								obj_t BgL_args1968z00_14445;

								BgL_args1968z00_14445 = BUNSPEC;
								((((BgL_ev_orz00_bglt) CREF(BgL_new1969z00_14443))->
										BgL_argsz00) = ((obj_t) BgL_args1968z00_14445), BUNSPEC);
								BgL_res7389z00_14446 = BgL_new1969z00_14443;
						}}
						(obj_t) (BgL_res7389z00_14446);
				}}
			else
				{	/* Eval/evaluate.scm 70 */
					BFALSE;
				}
			return (BgL_ev_orz00_bglt) (BGl_z52thezd2ev_orzd2nilz52zz__evaluatez00);
		}
	}



/* _ev_or-nil */
	obj_t BGl__ev_orzd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24371)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 70 */
			return (obj_t) (BGl_ev_orzd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_list? */
	obj_t BGl__ev_listzf3zf3zz__evaluatez00(obj_t BgL_envz00_24366,
		obj_t BgL_obj1961z00_24367)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 69 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1961z00_24367,
					BGl_ev_listz00zz__evaluatez00));
		}
	}



/* make-ev_list */
	BgL_ev_listz00_bglt BGl_makezd2ev_listzd2zz__evaluatez00(obj_t
		BgL_args1947z00_618)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 69 */
			{	/* Eval/evaluate.scm 69 */
				BgL_ev_listz00_bglt BgL_new1948z00_14447;

				{	/* Eval/evaluate.scm 69 */
					BgL_ev_listz00_bglt BgL_res7390z00_14452;

					{	/* Eval/evaluate.scm 69 */
						BgL_ev_listz00_bglt BgL_new1954z00_14448;

						BgL_new1954z00_14448 =
							((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_listz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new1954z00_14448),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_listz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 69 */
							BgL_objectz00_bglt BgL_auxz00_34352;

							BgL_auxz00_34352 = (BgL_objectz00_bglt) (BgL_new1954z00_14448);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34352, BFALSE);
						}
						BgL_res7390z00_14452 = BgL_new1954z00_14448;
					}
					BgL_new1948z00_14447 = BgL_res7390z00_14452;
				}
				{	/* Eval/evaluate.scm 69 */
					BgL_ev_listz00_bglt BgL_res7391z00_14456;

					{	/* Eval/evaluate.scm 69 */
						BgL_ev_listz00_bglt BgL_new1951z00_14453;

						BgL_new1951z00_14453 = BgL_new1948z00_14447;
						{	/* Eval/evaluate.scm 69 */
							obj_t BgL_args1950z00_14455;

							BgL_args1950z00_14455 = BgL_args1947z00_618;
							((((BgL_ev_listz00_bglt) CREF(BgL_new1951z00_14453))->
									BgL_argsz00) = ((obj_t) BgL_args1950z00_14455), BUNSPEC);
							BgL_res7391z00_14456 = BgL_new1951z00_14453;
					}} BgL_res7391z00_14456;
				}
				return BgL_new1948z00_14447;
			}
		}
	}



/* _make-ev_list */
	obj_t BGl__makezd2ev_listzd2zz__evaluatez00(obj_t BgL_envz00_24357,
		obj_t BgL_args1947z00_24358)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 69 */
			return
				(obj_t) (BGl_makezd2ev_listzd2zz__evaluatez00(BgL_args1947z00_24358));
		}
	}



/* _%allocate-ev_list */
	obj_t BGl__z52allocatezd2ev_listz80zz__evaluatez00(obj_t BgL_envz00_24359)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 69 */
			{	/* Eval/evaluate.scm 69 */
				BgL_ev_listz00_bglt BgL_auxz00_34358;

				{	/* Eval/evaluate.scm 69 */
					BgL_ev_listz00_bglt BgL_res8615z00_27051;

					{	/* Eval/evaluate.scm 69 */
						BgL_ev_listz00_bglt BgL_new1954z00_27049;

						BgL_new1954z00_27049 =
							((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_listz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new1954z00_27049),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_listz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 69 */
							BgL_objectz00_bglt BgL_auxz00_34363;

							BgL_auxz00_34363 = (BgL_objectz00_bglt) (BgL_new1954z00_27049);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34363, BFALSE);
						}
						BgL_res8615z00_27051 = BgL_new1954z00_27049;
					}
					BgL_auxz00_34358 = BgL_res8615z00_27051;
				}
				return (obj_t) (BgL_auxz00_34358);
			}
		}
	}



/* ev_list-nil */
	BgL_ev_listz00_bglt BGl_ev_listzd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 69 */
			if ((BGl_z52thezd2ev_listzd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 69 */
					{	/* Eval/evaluate.scm 69 */
						BgL_ev_listz00_bglt BgL_res7392z00_14466;

						{	/* Eval/evaluate.scm 69 */
							BgL_ev_listz00_bglt BgL_new1954z00_14462;

							BgL_new1954z00_14462 =
								((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_listz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new1954z00_14462),
								BGl_classzd2numzd2zz__objectz00(BGl_ev_listz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 69 */
								BgL_objectz00_bglt BgL_auxz00_34373;

								BgL_auxz00_34373 = (BgL_objectz00_bglt) (BgL_new1954z00_14462);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_34373, BFALSE);
							}
							BgL_res7392z00_14466 = BgL_new1954z00_14462;
						}
						BGl_z52thezd2ev_listzd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7392z00_14466);
					}
					{	/* Eval/evaluate.scm 69 */
						BgL_ev_listz00_bglt BgL_res7393z00_14470;

						{	/* Eval/evaluate.scm 69 */
							BgL_ev_listz00_bglt BgL_new1951z00_14467;

							BgL_new1951z00_14467 =
								(BgL_ev_listz00_bglt)
								(BGl_z52thezd2ev_listzd2nilz52zz__evaluatez00);
							{	/* Eval/evaluate.scm 69 */
								obj_t BgL_args1950z00_14469;

								BgL_args1950z00_14469 = BUNSPEC;
								((((BgL_ev_listz00_bglt) CREF(BgL_new1951z00_14467))->
										BgL_argsz00) = ((obj_t) BgL_args1950z00_14469), BUNSPEC);
								BgL_res7393z00_14470 = BgL_new1951z00_14467;
						}}
						(obj_t) (BgL_res7393z00_14470);
				}}
			else
				{	/* Eval/evaluate.scm 69 */
					BFALSE;
				}
			return
				(BgL_ev_listz00_bglt) (BGl_z52thezd2ev_listzd2nilz52zz__evaluatez00);
		}
	}



/* _ev_list-nil */
	obj_t BGl__ev_listzd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24365)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 69 */
			return (obj_t) (BGl_ev_listzd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_list-args-set! */
	obj_t BGl__ev_listzd2argszd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24362,
		obj_t BgL_obj1946z00_24363, obj_t BgL_val1945z00_24364)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 69 */
			{	/* Eval/evaluate.scm 69 */
				BgL_ev_listz00_bglt BgL_obj1946z00_27053;

				obj_t BgL_val1945z00_27054;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1946z00_24363,
						BGl_ev_listz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 69 */
						BgL_obj1946z00_27053 = (BgL_ev_listz00_bglt) (BgL_obj1946z00_24363);
					}
				else
					{
						obj_t BgL_auxz00_34386;

						BgL_auxz00_34386 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1980)), BGl_string8412z00zz__evaluatez00,
							BGl_string8259z00zz__evaluatez00, BgL_obj1946z00_24363);
						FAILURE(BgL_auxz00_34386, BFALSE, BFALSE);
					}
				BgL_val1945z00_27054 = BgL_val1945z00_24364;
				return
					((((BgL_ev_listz00_bglt) CREF(BgL_obj1946z00_27053))->BgL_argsz00) =
					((obj_t) BgL_val1945z00_27054), BUNSPEC);
			}
		}
	}



/* _ev_list-args */
	obj_t BGl__ev_listzd2argszd2zz__evaluatez00(obj_t BgL_envz00_24360,
		obj_t BgL_obj1944z00_24361)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 69 */
			{	/* Eval/evaluate.scm 69 */
				BgL_ev_listz00_bglt BgL_obj1944z00_27056;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1944z00_24361,
						BGl_ev_listz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 69 */
						BgL_obj1944z00_27056 = (BgL_ev_listz00_bglt) (BgL_obj1944z00_24361);
					}
				else
					{
						obj_t BgL_auxz00_34394;

						BgL_auxz00_34394 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1980)), BGl_string8413z00zz__evaluatez00,
							BGl_string8259z00zz__evaluatez00, BgL_obj1944z00_24361);
						FAILURE(BgL_auxz00_34394, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_listz00_bglt) CREF(BgL_obj1944z00_27056))->BgL_argsz00);
			}
		}
	}



/* _ev_if? */
	obj_t BGl__ev_ifzf3zf3zz__evaluatez00(obj_t BgL_envz00_24355,
		obj_t BgL_obj1943z00_24356)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 68 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1943z00_24356,
					BGl_ev_ifz00zz__evaluatez00));
		}
	}



/* make-ev_if */
	BgL_ev_ifz00_bglt BGl_makezd2ev_ifzd2zz__evaluatez00(BgL_ev_exprz00_bglt
		BgL_p1915z00_628, BgL_ev_exprz00_bglt BgL_t1916z00_629,
		BgL_ev_exprz00_bglt BgL_e1917z00_630)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 68 */
			{	/* Eval/evaluate.scm 68 */
				BgL_ev_ifz00_bglt BgL_new1918z00_14471;

				{	/* Eval/evaluate.scm 68 */
					BgL_ev_ifz00_bglt BgL_res7394z00_14476;

					{	/* Eval/evaluate.scm 68 */
						BgL_ev_ifz00_bglt BgL_new1928z00_14472;

						BgL_new1928z00_14472 =
							((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_ifz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new1928z00_14472),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_ifz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 68 */
							BgL_objectz00_bglt BgL_auxz00_34405;

							BgL_auxz00_34405 = (BgL_objectz00_bglt) (BgL_new1928z00_14472);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34405, BFALSE);
						}
						BgL_res7394z00_14476 = BgL_new1928z00_14472;
					}
					BgL_new1918z00_14471 = BgL_res7394z00_14476;
				}
				{	/* Eval/evaluate.scm 68 */
					BgL_ev_ifz00_bglt BgL_res7395z00_14484;

					{	/* Eval/evaluate.scm 68 */
						BgL_ev_ifz00_bglt BgL_new1923z00_14477;

						BgL_new1923z00_14477 = BgL_new1918z00_14471;
						{	/* Eval/evaluate.scm 68 */
							BgL_ev_exprz00_bglt BgL_p1920z00_14481;

							BgL_ev_exprz00_bglt BgL_t1921z00_14482;

							BgL_ev_exprz00_bglt BgL_e1922z00_14483;

							BgL_p1920z00_14481 = BgL_p1915z00_628;
							BgL_t1921z00_14482 = BgL_t1916z00_629;
							BgL_e1922z00_14483 = BgL_e1917z00_630;
							((((BgL_ev_ifz00_bglt) CREF(BgL_new1923z00_14477))->BgL_pz00) =
								((BgL_ev_exprz00_bglt) BgL_p1920z00_14481), BUNSPEC);
							((((BgL_ev_ifz00_bglt) CREF(BgL_new1923z00_14477))->BgL_tz00) =
								((BgL_ev_exprz00_bglt) BgL_t1921z00_14482), BUNSPEC);
							((((BgL_ev_ifz00_bglt) CREF(BgL_new1923z00_14477))->BgL_ez00) =
								((BgL_ev_exprz00_bglt) BgL_e1922z00_14483), BUNSPEC);
							BgL_res7395z00_14484 = BgL_new1923z00_14477;
					}} BgL_res7395z00_14484;
				}
				return BgL_new1918z00_14471;
			}
		}
	}



/* _make-ev_if */
	obj_t BGl__makezd2ev_ifzd2zz__evaluatez00(obj_t BgL_envz00_24334,
		obj_t BgL_p1915z00_24335, obj_t BgL_t1916z00_24336,
		obj_t BgL_e1917z00_24337)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 68 */
			{	/* Eval/evaluate.scm 68 */
				BgL_ev_ifz00_bglt BgL_auxz00_34411;

				{	/* Eval/evaluate.scm 68 */
					BgL_ev_exprz00_bglt BgL_auxz00_34428;

					BgL_ev_exprz00_bglt BgL_auxz00_34420;

					BgL_ev_exprz00_bglt BgL_auxz00_34412;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_e1917z00_24337,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 68 */
							BgL_auxz00_34428 = (BgL_ev_exprz00_bglt) (BgL_e1917z00_24337);
						}
					else
						{
							obj_t BgL_auxz00_34432;

							BgL_auxz00_34432 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 1920)),
								BGl_string8414z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_e1917z00_24337);
							FAILURE(BgL_auxz00_34432, BFALSE, BFALSE);
						}
					if (BGl_iszd2azf3z21zz__objectz00(BgL_t1916z00_24336,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 68 */
							BgL_auxz00_34420 = (BgL_ev_exprz00_bglt) (BgL_t1916z00_24336);
						}
					else
						{
							obj_t BgL_auxz00_34424;

							BgL_auxz00_34424 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 1920)),
								BGl_string8414z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_t1916z00_24336);
							FAILURE(BgL_auxz00_34424, BFALSE, BFALSE);
						}
					if (BGl_iszd2azf3z21zz__objectz00(BgL_p1915z00_24335,
							BGl_ev_exprz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 68 */
							BgL_auxz00_34412 = (BgL_ev_exprz00_bglt) (BgL_p1915z00_24335);
						}
					else
						{
							obj_t BgL_auxz00_34416;

							BgL_auxz00_34416 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 1920)),
								BGl_string8414z00zz__evaluatez00,
								BGl_string8235z00zz__evaluatez00, BgL_p1915z00_24335);
							FAILURE(BgL_auxz00_34416, BFALSE, BFALSE);
						}
					BgL_auxz00_34411 =
						BGl_makezd2ev_ifzd2zz__evaluatez00(BgL_auxz00_34412,
						BgL_auxz00_34420, BgL_auxz00_34428);
				}
				return (obj_t) (BgL_auxz00_34411);
			}
		}
	}



/* _%allocate-ev_if */
	obj_t BGl__z52allocatezd2ev_ifz80zz__evaluatez00(obj_t BgL_envz00_24338)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 68 */
			{	/* Eval/evaluate.scm 68 */
				BgL_ev_ifz00_bglt BgL_auxz00_34438;

				{	/* Eval/evaluate.scm 68 */
					BgL_ev_ifz00_bglt BgL_res8616z00_27065;

					{	/* Eval/evaluate.scm 68 */
						BgL_ev_ifz00_bglt BgL_new1928z00_27063;

						BgL_new1928z00_27063 =
							((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_ifz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new1928z00_27063),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_ifz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 68 */
							BgL_objectz00_bglt BgL_auxz00_34443;

							BgL_auxz00_34443 = (BgL_objectz00_bglt) (BgL_new1928z00_27063);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34443, BFALSE);
						}
						BgL_res8616z00_27065 = BgL_new1928z00_27063;
					}
					BgL_auxz00_34438 = BgL_res8616z00_27065;
				}
				return (obj_t) (BgL_auxz00_34438);
			}
		}
	}



/* ev_if-nil */
	BgL_ev_ifz00_bglt BGl_ev_ifzd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 68 */
			if ((BGl_z52thezd2ev_ifzd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 68 */
					{	/* Eval/evaluate.scm 68 */
						BgL_ev_ifz00_bglt BgL_res7396z00_14496;

						{	/* Eval/evaluate.scm 68 */
							BgL_ev_ifz00_bglt BgL_new1928z00_14492;

							BgL_new1928z00_14492 =
								((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_ifz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new1928z00_14492),
								BGl_classzd2numzd2zz__objectz00(BGl_ev_ifz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 68 */
								BgL_objectz00_bglt BgL_auxz00_34453;

								BgL_auxz00_34453 = (BgL_objectz00_bglt) (BgL_new1928z00_14492);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_34453, BFALSE);
							}
							BgL_res7396z00_14496 = BgL_new1928z00_14492;
						}
						BGl_z52thezd2ev_ifzd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7396z00_14496);
					}
					{	/* Eval/evaluate.scm 68 */
						BgL_ev_exprz00_bglt BgL_arg5168z00_3966;

						BgL_ev_exprz00_bglt BgL_arg5169z00_3967;

						BgL_ev_exprz00_bglt BgL_arg5170z00_3968;

						BgL_arg5168z00_3966 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						BgL_arg5169z00_3967 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						BgL_arg5170z00_3968 = BGl_ev_exprzd2nilzd2zz__evaluatez00();
						{	/* Eval/evaluate.scm 68 */
							BgL_ev_ifz00_bglt BgL_res7397z00_14504;

							{	/* Eval/evaluate.scm 68 */
								BgL_ev_ifz00_bglt BgL_new1923z00_14497;

								BgL_new1923z00_14497 =
									(BgL_ev_ifz00_bglt)
									(BGl_z52thezd2ev_ifzd2nilz52zz__evaluatez00);
								{	/* Eval/evaluate.scm 68 */
									BgL_ev_exprz00_bglt BgL_p1920z00_14501;

									BgL_ev_exprz00_bglt BgL_t1921z00_14502;

									BgL_ev_exprz00_bglt BgL_e1922z00_14503;

									BgL_p1920z00_14501 = BgL_arg5168z00_3966;
									BgL_t1921z00_14502 = BgL_arg5169z00_3967;
									BgL_e1922z00_14503 = BgL_arg5170z00_3968;
									((((BgL_ev_ifz00_bglt) CREF(BgL_new1923z00_14497))->
											BgL_pz00) =
										((BgL_ev_exprz00_bglt) BgL_p1920z00_14501), BUNSPEC);
									((((BgL_ev_ifz00_bglt) CREF(BgL_new1923z00_14497))->
											BgL_tz00) =
										((BgL_ev_exprz00_bglt) BgL_t1921z00_14502), BUNSPEC);
									((((BgL_ev_ifz00_bglt) CREF(BgL_new1923z00_14497))->
											BgL_ez00) =
										((BgL_ev_exprz00_bglt) BgL_e1922z00_14503), BUNSPEC);
									BgL_res7397z00_14504 = BgL_new1923z00_14497;
							}}
							(obj_t) (BgL_res7397z00_14504);
				}}}
			else
				{	/* Eval/evaluate.scm 68 */
					BFALSE;
				}
			return (BgL_ev_ifz00_bglt) (BGl_z52thezd2ev_ifzd2nilz52zz__evaluatez00);
		}
	}



/* _ev_if-nil */
	obj_t BGl__ev_ifzd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24354)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 68 */
			return (obj_t) (BGl_ev_ifzd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_if-p-set! */
	obj_t BGl__ev_ifzd2pzd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24341,
		obj_t BgL_obj1908z00_24342, obj_t BgL_val1907z00_24343)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 68 */
			{	/* Eval/evaluate.scm 68 */
				BgL_ev_ifz00_bglt BgL_obj1908z00_27068;

				BgL_ev_exprz00_bglt BgL_val1907z00_27069;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1908z00_24342,
						BGl_ev_ifz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 68 */
						BgL_obj1908z00_27068 = (BgL_ev_ifz00_bglt) (BgL_obj1908z00_24342);
					}
				else
					{
						obj_t BgL_auxz00_34471;

						BgL_auxz00_34471 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1920)), BGl_string8415z00zz__evaluatez00,
							BGl_string8251z00zz__evaluatez00, BgL_obj1908z00_24342);
						FAILURE(BgL_auxz00_34471, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val1907z00_24343,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 68 */
						BgL_val1907z00_27069 = (BgL_ev_exprz00_bglt) (BgL_val1907z00_24343);
					}
				else
					{
						obj_t BgL_auxz00_34478;

						BgL_auxz00_34478 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1920)), BGl_string8415z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_val1907z00_24343);
						FAILURE(BgL_auxz00_34478, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_obj1908z00_27068))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) BgL_val1907z00_27069), BUNSPEC);
			}
		}
	}



/* _ev_if-p */
	obj_t BGl__ev_ifzd2pzd2zz__evaluatez00(obj_t BgL_envz00_24339,
		obj_t BgL_obj1906z00_24340)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 68 */
			{	/* Eval/evaluate.scm 68 */
				BgL_ev_exprz00_bglt BgL_auxz00_34483;

				{	/* Eval/evaluate.scm 68 */
					BgL_ev_ifz00_bglt BgL_obj1906z00_27071;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1906z00_24340,
							BGl_ev_ifz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 68 */
							BgL_obj1906z00_27071 = (BgL_ev_ifz00_bglt) (BgL_obj1906z00_24340);
						}
					else
						{
							obj_t BgL_auxz00_34487;

							BgL_auxz00_34487 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 1920)),
								BGl_string8416z00zz__evaluatez00,
								BGl_string8251z00zz__evaluatez00, BgL_obj1906z00_24340);
							FAILURE(BgL_auxz00_34487, BFALSE, BFALSE);
						}
					BgL_auxz00_34483 =
						(((BgL_ev_ifz00_bglt) CREF(BgL_obj1906z00_27071))->BgL_pz00);
				}
				return (obj_t) (BgL_auxz00_34483);
			}
		}
	}



/* _ev_if-t-set! */
	obj_t BGl__ev_ifzd2tzd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24346,
		obj_t BgL_obj1911z00_24347, obj_t BgL_val1910z00_24348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 68 */
			{	/* Eval/evaluate.scm 68 */
				BgL_ev_ifz00_bglt BgL_obj1911z00_27074;

				BgL_ev_exprz00_bglt BgL_val1910z00_27075;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1911z00_24347,
						BGl_ev_ifz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 68 */
						BgL_obj1911z00_27074 = (BgL_ev_ifz00_bglt) (BgL_obj1911z00_24347);
					}
				else
					{
						obj_t BgL_auxz00_34496;

						BgL_auxz00_34496 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1920)), BGl_string8417z00zz__evaluatez00,
							BGl_string8251z00zz__evaluatez00, BgL_obj1911z00_24347);
						FAILURE(BgL_auxz00_34496, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val1910z00_24348,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 68 */
						BgL_val1910z00_27075 = (BgL_ev_exprz00_bglt) (BgL_val1910z00_24348);
					}
				else
					{
						obj_t BgL_auxz00_34503;

						BgL_auxz00_34503 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1920)), BGl_string8417z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_val1910z00_24348);
						FAILURE(BgL_auxz00_34503, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_obj1911z00_27074))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) BgL_val1910z00_27075), BUNSPEC);
			}
		}
	}



/* _ev_if-t */
	obj_t BGl__ev_ifzd2tzd2zz__evaluatez00(obj_t BgL_envz00_24344,
		obj_t BgL_obj1909z00_24345)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 68 */
			{	/* Eval/evaluate.scm 68 */
				BgL_ev_exprz00_bglt BgL_auxz00_34508;

				{	/* Eval/evaluate.scm 68 */
					BgL_ev_ifz00_bglt BgL_obj1909z00_27077;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1909z00_24345,
							BGl_ev_ifz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 68 */
							BgL_obj1909z00_27077 = (BgL_ev_ifz00_bglt) (BgL_obj1909z00_24345);
						}
					else
						{
							obj_t BgL_auxz00_34512;

							BgL_auxz00_34512 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 1920)),
								BGl_string8418z00zz__evaluatez00,
								BGl_string8251z00zz__evaluatez00, BgL_obj1909z00_24345);
							FAILURE(BgL_auxz00_34512, BFALSE, BFALSE);
						}
					BgL_auxz00_34508 =
						(((BgL_ev_ifz00_bglt) CREF(BgL_obj1909z00_27077))->BgL_tz00);
				}
				return (obj_t) (BgL_auxz00_34508);
			}
		}
	}



/* _ev_if-e-set! */
	obj_t BGl__ev_ifzd2ezd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24351,
		obj_t BgL_obj1914z00_24352, obj_t BgL_val1913z00_24353)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 68 */
			{	/* Eval/evaluate.scm 68 */
				BgL_ev_ifz00_bglt BgL_obj1914z00_27080;

				BgL_ev_exprz00_bglt BgL_val1913z00_27081;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1914z00_24352,
						BGl_ev_ifz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 68 */
						BgL_obj1914z00_27080 = (BgL_ev_ifz00_bglt) (BgL_obj1914z00_24352);
					}
				else
					{
						obj_t BgL_auxz00_34521;

						BgL_auxz00_34521 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1920)), BGl_string8419z00zz__evaluatez00,
							BGl_string8251z00zz__evaluatez00, BgL_obj1914z00_24352);
						FAILURE(BgL_auxz00_34521, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_val1913z00_24353,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 68 */
						BgL_val1913z00_27081 = (BgL_ev_exprz00_bglt) (BgL_val1913z00_24353);
					}
				else
					{
						obj_t BgL_auxz00_34528;

						BgL_auxz00_34528 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1920)), BGl_string8419z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_val1913z00_24353);
						FAILURE(BgL_auxz00_34528, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_obj1914z00_27080))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_val1913z00_27081), BUNSPEC);
			}
		}
	}



/* _ev_if-e */
	obj_t BGl__ev_ifzd2ezd2zz__evaluatez00(obj_t BgL_envz00_24349,
		obj_t BgL_obj1912z00_24350)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 68 */
			{	/* Eval/evaluate.scm 68 */
				BgL_ev_exprz00_bglt BgL_auxz00_34533;

				{	/* Eval/evaluate.scm 68 */
					BgL_ev_ifz00_bglt BgL_obj1912z00_27083;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1912z00_24350,
							BGl_ev_ifz00zz__evaluatez00))
						{	/* Eval/evaluate.scm 68 */
							BgL_obj1912z00_27083 = (BgL_ev_ifz00_bglt) (BgL_obj1912z00_24350);
						}
					else
						{
							obj_t BgL_auxz00_34537;

							BgL_auxz00_34537 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 1920)),
								BGl_string8420z00zz__evaluatez00,
								BGl_string8251z00zz__evaluatez00, BgL_obj1912z00_24350);
							FAILURE(BgL_auxz00_34537, BFALSE, BFALSE);
						}
					BgL_auxz00_34533 =
						(((BgL_ev_ifz00_bglt) CREF(BgL_obj1912z00_27083))->BgL_ez00);
				}
				return (obj_t) (BgL_auxz00_34533);
			}
		}
	}



/* _ev_litt? */
	obj_t BGl__ev_littzf3zf3zz__evaluatez00(obj_t BgL_envz00_24332,
		obj_t BgL_obj1905z00_24333)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 67 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1905z00_24333,
					BGl_ev_littz00zz__evaluatez00));
		}
	}



/* make-ev_litt */
	BgL_ev_littz00_bglt BGl_makezd2ev_littzd2zz__evaluatez00(obj_t
		BgL_value1891z00_648)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 67 */
			{	/* Eval/evaluate.scm 67 */
				BgL_ev_littz00_bglt BgL_new1892z00_14505;

				{	/* Eval/evaluate.scm 67 */
					BgL_ev_littz00_bglt BgL_res7398z00_14510;

					{	/* Eval/evaluate.scm 67 */
						BgL_ev_littz00_bglt BgL_new1898z00_14506;

						BgL_new1898z00_14506 =
							((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_littz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new1898z00_14506),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_littz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 67 */
							BgL_objectz00_bglt BgL_auxz00_34549;

							BgL_auxz00_34549 = (BgL_objectz00_bglt) (BgL_new1898z00_14506);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34549, BFALSE);
						}
						BgL_res7398z00_14510 = BgL_new1898z00_14506;
					}
					BgL_new1892z00_14505 = BgL_res7398z00_14510;
				}
				{	/* Eval/evaluate.scm 67 */
					BgL_ev_littz00_bglt BgL_res7399z00_14514;

					{	/* Eval/evaluate.scm 67 */
						BgL_ev_littz00_bglt BgL_new1895z00_14511;

						BgL_new1895z00_14511 = BgL_new1892z00_14505;
						{	/* Eval/evaluate.scm 67 */
							obj_t BgL_value1894z00_14513;

							BgL_value1894z00_14513 = BgL_value1891z00_648;
							((((BgL_ev_littz00_bglt) CREF(BgL_new1895z00_14511))->
									BgL_valuez00) = ((obj_t) BgL_value1894z00_14513), BUNSPEC);
							BgL_res7399z00_14514 = BgL_new1895z00_14511;
					}} BgL_res7399z00_14514;
				}
				return BgL_new1892z00_14505;
			}
		}
	}



/* _make-ev_litt */
	obj_t BGl__makezd2ev_littzd2zz__evaluatez00(obj_t BgL_envz00_24323,
		obj_t BgL_value1891z00_24324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 67 */
			return
				(obj_t) (BGl_makezd2ev_littzd2zz__evaluatez00(BgL_value1891z00_24324));
		}
	}



/* _%allocate-ev_litt */
	obj_t BGl__z52allocatezd2ev_littz80zz__evaluatez00(obj_t BgL_envz00_24325)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 67 */
			{	/* Eval/evaluate.scm 67 */
				BgL_ev_littz00_bglt BgL_auxz00_34555;

				{	/* Eval/evaluate.scm 67 */
					BgL_ev_littz00_bglt BgL_res8617z00_27089;

					{	/* Eval/evaluate.scm 67 */
						BgL_ev_littz00_bglt BgL_new1898z00_27087;

						BgL_new1898z00_27087 =
							((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_littz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new1898z00_27087),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_littz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 67 */
							BgL_objectz00_bglt BgL_auxz00_34560;

							BgL_auxz00_34560 = (BgL_objectz00_bglt) (BgL_new1898z00_27087);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34560, BFALSE);
						}
						BgL_res8617z00_27089 = BgL_new1898z00_27087;
					}
					BgL_auxz00_34555 = BgL_res8617z00_27089;
				}
				return (obj_t) (BgL_auxz00_34555);
			}
		}
	}



/* ev_litt-nil */
	BgL_ev_littz00_bglt BGl_ev_littzd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 67 */
			if ((BGl_z52thezd2ev_littzd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 67 */
					{	/* Eval/evaluate.scm 67 */
						BgL_ev_littz00_bglt BgL_res7400z00_14524;

						{	/* Eval/evaluate.scm 67 */
							BgL_ev_littz00_bglt BgL_new1898z00_14520;

							BgL_new1898z00_14520 =
								((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_littz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new1898z00_14520),
								BGl_classzd2numzd2zz__objectz00(BGl_ev_littz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 67 */
								BgL_objectz00_bglt BgL_auxz00_34570;

								BgL_auxz00_34570 = (BgL_objectz00_bglt) (BgL_new1898z00_14520);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_34570, BFALSE);
							}
							BgL_res7400z00_14524 = BgL_new1898z00_14520;
						}
						BGl_z52thezd2ev_littzd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7400z00_14524);
					}
					{	/* Eval/evaluate.scm 67 */
						BgL_ev_littz00_bglt BgL_res7401z00_14528;

						{	/* Eval/evaluate.scm 67 */
							BgL_ev_littz00_bglt BgL_new1895z00_14525;

							BgL_new1895z00_14525 =
								(BgL_ev_littz00_bglt)
								(BGl_z52thezd2ev_littzd2nilz52zz__evaluatez00);
							{	/* Eval/evaluate.scm 67 */
								obj_t BgL_value1894z00_14527;

								BgL_value1894z00_14527 = BUNSPEC;
								((((BgL_ev_littz00_bglt) CREF(BgL_new1895z00_14525))->
										BgL_valuez00) = ((obj_t) BgL_value1894z00_14527), BUNSPEC);
								BgL_res7401z00_14528 = BgL_new1895z00_14525;
						}}
						(obj_t) (BgL_res7401z00_14528);
				}}
			else
				{	/* Eval/evaluate.scm 67 */
					BFALSE;
				}
			return
				(BgL_ev_littz00_bglt) (BGl_z52thezd2ev_littzd2nilz52zz__evaluatez00);
		}
	}



/* _ev_litt-nil */
	obj_t BGl__ev_littzd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24331)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 67 */
			return (obj_t) (BGl_ev_littzd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_litt-value-set! */
	obj_t BGl__ev_littzd2valuezd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24328,
		obj_t BgL_obj1890z00_24329, obj_t BgL_val1889z00_24330)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 67 */
			{	/* Eval/evaluate.scm 67 */
				BgL_ev_littz00_bglt BgL_obj1890z00_27091;

				obj_t BgL_val1889z00_27092;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1890z00_24329,
						BGl_ev_littz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 67 */
						BgL_obj1890z00_27091 = (BgL_ev_littz00_bglt) (BgL_obj1890z00_24329);
					}
				else
					{
						obj_t BgL_auxz00_34583;

						BgL_auxz00_34583 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1885)), BGl_string8421z00zz__evaluatez00,
							BGl_string8247z00zz__evaluatez00, BgL_obj1890z00_24329);
						FAILURE(BgL_auxz00_34583, BFALSE, BFALSE);
					}
				BgL_val1889z00_27092 = BgL_val1889z00_24330;
				return
					((((BgL_ev_littz00_bglt) CREF(BgL_obj1890z00_27091))->BgL_valuez00) =
					((obj_t) BgL_val1889z00_27092), BUNSPEC);
			}
		}
	}



/* _ev_litt-value */
	obj_t BGl__ev_littzd2valuezd2zz__evaluatez00(obj_t BgL_envz00_24326,
		obj_t BgL_obj1888z00_24327)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 67 */
			{	/* Eval/evaluate.scm 67 */
				BgL_ev_littz00_bglt BgL_obj1888z00_27094;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1888z00_24327,
						BGl_ev_littz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 67 */
						BgL_obj1888z00_27094 = (BgL_ev_littz00_bglt) (BgL_obj1888z00_24327);
					}
				else
					{
						obj_t BgL_auxz00_34591;

						BgL_auxz00_34591 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1885)), BGl_string8422z00zz__evaluatez00,
							BGl_string8247z00zz__evaluatez00, BgL_obj1888z00_24327);
						FAILURE(BgL_auxz00_34591, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_littz00_bglt) CREF(BgL_obj1888z00_27094))->BgL_valuez00);
			}
		}
	}



/* _ev_global? */
	obj_t BGl__ev_globalzf3zf3zz__evaluatez00(obj_t BgL_envz00_24321,
		obj_t BgL_obj1887z00_24322)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 65 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1887z00_24322,
					BGl_ev_globalz00zz__evaluatez00));
		}
	}



/* make-ev_global */
	BgL_ev_globalz00_bglt BGl_makezd2ev_globalzd2zz__evaluatez00(obj_t
		BgL_name1866z00_658, obj_t BgL_mod1867z00_659)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 65 */
			{	/* Eval/evaluate.scm 65 */
				BgL_ev_globalz00_bglt BgL_new1868z00_14529;

				{	/* Eval/evaluate.scm 65 */
					BgL_ev_globalz00_bglt BgL_res7402z00_14534;

					{	/* Eval/evaluate.scm 65 */
						BgL_ev_globalz00_bglt BgL_new1876z00_14530;

						BgL_new1876z00_14530 =
							((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_globalz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new1876z00_14530),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_globalz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 65 */
							BgL_objectz00_bglt BgL_auxz00_34602;

							BgL_auxz00_34602 = (BgL_objectz00_bglt) (BgL_new1876z00_14530);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34602, BFALSE);
						}
						BgL_res7402z00_14534 = BgL_new1876z00_14530;
					}
					BgL_new1868z00_14529 = BgL_res7402z00_14534;
				}
				{	/* Eval/evaluate.scm 65 */
					BgL_ev_globalz00_bglt BgL_res7403z00_14540;

					{	/* Eval/evaluate.scm 65 */
						BgL_ev_globalz00_bglt BgL_new1872z00_14535;

						BgL_new1872z00_14535 = BgL_new1868z00_14529;
						{	/* Eval/evaluate.scm 65 */
							obj_t BgL_name1870z00_14538;

							obj_t BgL_mod1871z00_14539;

							BgL_name1870z00_14538 = BgL_name1866z00_658;
							BgL_mod1871z00_14539 = BgL_mod1867z00_659;
							((((BgL_ev_globalz00_bglt) CREF(BgL_new1872z00_14535))->
									BgL_namez00) = ((obj_t) BgL_name1870z00_14538), BUNSPEC);
							((((BgL_ev_globalz00_bglt) CREF(BgL_new1872z00_14535))->
									BgL_modz00) = ((obj_t) BgL_mod1871z00_14539), BUNSPEC);
							BgL_res7403z00_14540 = BgL_new1872z00_14535;
					}} BgL_res7403z00_14540;
				}
				return BgL_new1868z00_14529;
			}
		}
	}



/* _make-ev_global */
	obj_t BGl__makezd2ev_globalzd2zz__evaluatez00(obj_t BgL_envz00_24306,
		obj_t BgL_name1866z00_24307, obj_t BgL_mod1867z00_24308)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 65 */
			{	/* Eval/evaluate.scm 65 */
				BgL_ev_globalz00_bglt BgL_auxz00_34607;

				{	/* Eval/evaluate.scm 65 */
					obj_t BgL_auxz00_34608;

					if (SYMBOLP(BgL_name1866z00_24307))
						{	/* Eval/evaluate.scm 65 */
							BgL_auxz00_34608 = BgL_name1866z00_24307;
						}
					else
						{
							obj_t BgL_auxz00_34611;

							BgL_auxz00_34611 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 1832)),
								BGl_string8423z00zz__evaluatez00,
								BGl_string8392z00zz__evaluatez00, BgL_name1866z00_24307);
							FAILURE(BgL_auxz00_34611, BFALSE, BFALSE);
						}
					BgL_auxz00_34607 =
						BGl_makezd2ev_globalzd2zz__evaluatez00(BgL_auxz00_34608,
						BgL_mod1867z00_24308);
				}
				return (obj_t) (BgL_auxz00_34607);
			}
		}
	}



/* _%allocate-ev_global */
	obj_t BGl__z52allocatezd2ev_globalz80zz__evaluatez00(obj_t BgL_envz00_24309)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 65 */
			{	/* Eval/evaluate.scm 65 */
				BgL_ev_globalz00_bglt BgL_auxz00_34617;

				{	/* Eval/evaluate.scm 65 */
					BgL_ev_globalz00_bglt BgL_res8618z00_27100;

					{	/* Eval/evaluate.scm 65 */
						BgL_ev_globalz00_bglt BgL_new1876z00_27098;

						BgL_new1876z00_27098 =
							((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_globalz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new1876z00_27098),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_globalz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 65 */
							BgL_objectz00_bglt BgL_auxz00_34622;

							BgL_auxz00_34622 = (BgL_objectz00_bglt) (BgL_new1876z00_27098);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34622, BFALSE);
						}
						BgL_res8618z00_27100 = BgL_new1876z00_27098;
					}
					BgL_auxz00_34617 = BgL_res8618z00_27100;
				}
				return (obj_t) (BgL_auxz00_34617);
			}
		}
	}



/* ev_global-nil */
	BgL_ev_globalz00_bglt BGl_ev_globalzd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 65 */
			if ((BGl_z52thezd2ev_globalzd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 65 */
					{	/* Eval/evaluate.scm 65 */
						BgL_ev_globalz00_bglt BgL_res7404z00_14551;

						{	/* Eval/evaluate.scm 65 */
							BgL_ev_globalz00_bglt BgL_new1876z00_14547;

							BgL_new1876z00_14547 =
								((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_globalz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new1876z00_14547),
								BGl_classzd2numzd2zz__objectz00
								(BGl_ev_globalz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 65 */
								BgL_objectz00_bglt BgL_auxz00_34632;

								BgL_auxz00_34632 = (BgL_objectz00_bglt) (BgL_new1876z00_14547);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_34632, BFALSE);
							}
							BgL_res7404z00_14551 = BgL_new1876z00_14547;
						}
						BGl_z52thezd2ev_globalzd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7404z00_14551);
					}
					{	/* Eval/evaluate.scm 65 */
						BgL_ev_globalz00_bglt BgL_res7405z00_14557;

						{	/* Eval/evaluate.scm 65 */
							BgL_ev_globalz00_bglt BgL_new1872z00_14552;

							obj_t BgL_name1870z00_14553;

							BgL_new1872z00_14552 =
								(BgL_ev_globalz00_bglt)
								(BGl_z52thezd2ev_globalzd2nilz52zz__evaluatez00);
							BgL_name1870z00_14553 = BGl_symbol8393z00zz__evaluatez00;
							{	/* Eval/evaluate.scm 65 */
								obj_t BgL_name1870z00_14555;

								obj_t BgL_mod1871z00_14556;

								BgL_name1870z00_14555 = BgL_name1870z00_14553;
								BgL_mod1871z00_14556 = BUNSPEC;
								((((BgL_ev_globalz00_bglt) CREF(BgL_new1872z00_14552))->
										BgL_namez00) = ((obj_t) BgL_name1870z00_14555), BUNSPEC);
								((((BgL_ev_globalz00_bglt) CREF(BgL_new1872z00_14552))->
										BgL_modz00) = ((obj_t) BgL_mod1871z00_14556), BUNSPEC);
								BgL_res7405z00_14557 = BgL_new1872z00_14552;
						}}
						(obj_t) (BgL_res7405z00_14557);
				}}
			else
				{	/* Eval/evaluate.scm 65 */
					BFALSE;
				}
			return
				(BgL_ev_globalz00_bglt)
				(BGl_z52thezd2ev_globalzd2nilz52zz__evaluatez00);
		}
	}



/* _ev_global-nil */
	obj_t BGl__ev_globalzd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24320)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 65 */
			return (obj_t) (BGl_ev_globalzd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_global-name-set! */
	obj_t BGl__ev_globalzd2namezd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24312,
		obj_t BgL_obj1862z00_24313, obj_t BgL_val1861z00_24314)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 65 */
			{	/* Eval/evaluate.scm 65 */
				BgL_ev_globalz00_bglt BgL_obj1862z00_27102;

				obj_t BgL_val1861z00_27103;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1862z00_24313,
						BGl_ev_globalz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 65 */
						BgL_obj1862z00_27102 =
							(BgL_ev_globalz00_bglt) (BgL_obj1862z00_24313);
					}
				else
					{
						obj_t BgL_auxz00_34646;

						BgL_auxz00_34646 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1832)), BGl_string8424z00zz__evaluatez00,
							BGl_string8243z00zz__evaluatez00, BgL_obj1862z00_24313);
						FAILURE(BgL_auxz00_34646, BFALSE, BFALSE);
					}
				if (SYMBOLP(BgL_val1861z00_24314))
					{	/* Eval/evaluate.scm 65 */
						BgL_val1861z00_27103 = BgL_val1861z00_24314;
					}
				else
					{
						obj_t BgL_auxz00_34652;

						BgL_auxz00_34652 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1832)), BGl_string8424z00zz__evaluatez00,
							BGl_string8392z00zz__evaluatez00, BgL_val1861z00_24314);
						FAILURE(BgL_auxz00_34652, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_obj1862z00_27102))->BgL_namez00) =
					((obj_t) BgL_val1861z00_27103), BUNSPEC);
			}
		}
	}



/* _ev_global-name */
	obj_t BGl__ev_globalzd2namezd2zz__evaluatez00(obj_t BgL_envz00_24310,
		obj_t BgL_obj1860z00_24311)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 65 */
			{	/* Eval/evaluate.scm 65 */
				BgL_ev_globalz00_bglt BgL_obj1860z00_27105;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1860z00_24311,
						BGl_ev_globalz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 65 */
						BgL_obj1860z00_27105 =
							(BgL_ev_globalz00_bglt) (BgL_obj1860z00_24311);
					}
				else
					{
						obj_t BgL_auxz00_34660;

						BgL_auxz00_34660 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1832)), BGl_string8425z00zz__evaluatez00,
							BGl_string8243z00zz__evaluatez00, BgL_obj1860z00_24311);
						FAILURE(BgL_auxz00_34660, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_globalz00_bglt) CREF(BgL_obj1860z00_27105))->BgL_namez00);
			}
		}
	}



/* _ev_global-mod-set! */
	obj_t BGl__ev_globalzd2modzd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24317,
		obj_t BgL_obj1865z00_24318, obj_t BgL_val1864z00_24319)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 65 */
			{	/* Eval/evaluate.scm 65 */
				BgL_ev_globalz00_bglt BgL_obj1865z00_27107;

				obj_t BgL_val1864z00_27108;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1865z00_24318,
						BGl_ev_globalz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 65 */
						BgL_obj1865z00_27107 =
							(BgL_ev_globalz00_bglt) (BgL_obj1865z00_24318);
					}
				else
					{
						obj_t BgL_auxz00_34668;

						BgL_auxz00_34668 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1832)), BGl_string8426z00zz__evaluatez00,
							BGl_string8243z00zz__evaluatez00, BgL_obj1865z00_24318);
						FAILURE(BgL_auxz00_34668, BFALSE, BFALSE);
					}
				BgL_val1864z00_27108 = BgL_val1864z00_24319;
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_obj1865z00_27107))->BgL_modz00) =
					((obj_t) BgL_val1864z00_27108), BUNSPEC);
			}
		}
	}



/* _ev_global-mod */
	obj_t BGl__ev_globalzd2modzd2zz__evaluatez00(obj_t BgL_envz00_24315,
		obj_t BgL_obj1863z00_24316)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 65 */
			{	/* Eval/evaluate.scm 65 */
				BgL_ev_globalz00_bglt BgL_obj1863z00_27110;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1863z00_24316,
						BGl_ev_globalz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 65 */
						BgL_obj1863z00_27110 =
							(BgL_ev_globalz00_bglt) (BgL_obj1863z00_24316);
					}
				else
					{
						obj_t BgL_auxz00_34676;

						BgL_auxz00_34676 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1832)), BGl_string8427z00zz__evaluatez00,
							BGl_string8243z00zz__evaluatez00, BgL_obj1863z00_24316);
						FAILURE(BgL_auxz00_34676, BFALSE, BFALSE);
					}
				return
					(((BgL_ev_globalz00_bglt) CREF(BgL_obj1863z00_27110))->BgL_modz00);
			}
		}
	}



/* _ev_var? */
	obj_t BGl__ev_varzf3zf3zz__evaluatez00(obj_t BgL_envz00_24304,
		obj_t BgL_obj1859z00_24305)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 64 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1859z00_24305,
					BGl_ev_varz00zz__evaluatez00));
		}
	}



/* make-ev_var */
	BgL_ev_varz00_bglt BGl_makezd2ev_varzd2zz__evaluatez00(obj_t
		BgL_name1838z00_673, obj_t BgL_eff1839z00_674)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 64 */
			{	/* Eval/evaluate.scm 64 */
				BgL_ev_varz00_bglt BgL_new1840z00_14558;

				{	/* Eval/evaluate.scm 64 */
					BgL_ev_varz00_bglt BgL_res7406z00_14563;

					{	/* Eval/evaluate.scm 64 */
						BgL_ev_varz00_bglt BgL_new1848z00_14559;

						BgL_new1848z00_14559 =
							((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_varz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new1848z00_14559),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_varz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 64 */
							BgL_objectz00_bglt BgL_auxz00_34687;

							BgL_auxz00_34687 = (BgL_objectz00_bglt) (BgL_new1848z00_14559);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34687, BFALSE);
						}
						BgL_res7406z00_14563 = BgL_new1848z00_14559;
					}
					BgL_new1840z00_14558 = BgL_res7406z00_14563;
				}
				{	/* Eval/evaluate.scm 64 */
					BgL_ev_varz00_bglt BgL_res7407z00_14569;

					{	/* Eval/evaluate.scm 64 */
						BgL_ev_varz00_bglt BgL_new1844z00_14564;

						BgL_new1844z00_14564 = BgL_new1840z00_14558;
						{	/* Eval/evaluate.scm 64 */
							obj_t BgL_name1842z00_14567;

							obj_t BgL_eff1843z00_14568;

							BgL_name1842z00_14567 = BgL_name1838z00_673;
							BgL_eff1843z00_14568 = BgL_eff1839z00_674;
							((((BgL_ev_varz00_bglt) CREF(BgL_new1844z00_14564))->
									BgL_namez00) = ((obj_t) BgL_name1842z00_14567), BUNSPEC);
							((((BgL_ev_varz00_bglt) CREF(BgL_new1844z00_14564))->BgL_effz00) =
								((obj_t) BgL_eff1843z00_14568), BUNSPEC);
							BgL_res7407z00_14569 = BgL_new1844z00_14564;
					}} BgL_res7407z00_14569;
				}
				return BgL_new1840z00_14558;
			}
		}
	}



/* _make-ev_var */
	obj_t BGl__makezd2ev_varzd2zz__evaluatez00(obj_t BgL_envz00_24289,
		obj_t BgL_name1838z00_24290, obj_t BgL_eff1839z00_24291)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 64 */
			{	/* Eval/evaluate.scm 64 */
				BgL_ev_varz00_bglt BgL_auxz00_34692;

				{	/* Eval/evaluate.scm 64 */
					obj_t BgL_auxz00_34693;

					if (SYMBOLP(BgL_name1838z00_24290))
						{	/* Eval/evaluate.scm 64 */
							BgL_auxz00_34693 = BgL_name1838z00_24290;
						}
					else
						{
							obj_t BgL_auxz00_34696;

							BgL_auxz00_34696 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string8333z00zz__evaluatez00, BINT(((long) 1772)),
								BGl_string8428z00zz__evaluatez00,
								BGl_string8392z00zz__evaluatez00, BgL_name1838z00_24290);
							FAILURE(BgL_auxz00_34696, BFALSE, BFALSE);
						}
					BgL_auxz00_34692 =
						BGl_makezd2ev_varzd2zz__evaluatez00(BgL_auxz00_34693,
						BgL_eff1839z00_24291);
				}
				return (obj_t) (BgL_auxz00_34692);
			}
		}
	}



/* _%allocate-ev_var */
	obj_t BGl__z52allocatezd2ev_varz80zz__evaluatez00(obj_t BgL_envz00_24292)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 64 */
			{	/* Eval/evaluate.scm 64 */
				BgL_ev_varz00_bglt BgL_auxz00_34702;

				{	/* Eval/evaluate.scm 64 */
					BgL_ev_varz00_bglt BgL_res8619z00_27116;

					{	/* Eval/evaluate.scm 64 */
						BgL_ev_varz00_bglt BgL_new1848z00_27114;

						BgL_new1848z00_27114 =
							((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_varz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new1848z00_27114),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_varz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 64 */
							BgL_objectz00_bglt BgL_auxz00_34707;

							BgL_auxz00_34707 = (BgL_objectz00_bglt) (BgL_new1848z00_27114);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34707, BFALSE);
						}
						BgL_res8619z00_27116 = BgL_new1848z00_27114;
					}
					BgL_auxz00_34702 = BgL_res8619z00_27116;
				}
				return (obj_t) (BgL_auxz00_34702);
			}
		}
	}



/* ev_var-nil */
	BgL_ev_varz00_bglt BGl_ev_varzd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 64 */
			if ((BGl_z52thezd2ev_varzd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 64 */
					{	/* Eval/evaluate.scm 64 */
						BgL_ev_varz00_bglt BgL_res7408z00_14580;

						{	/* Eval/evaluate.scm 64 */
							BgL_ev_varz00_bglt BgL_new1848z00_14576;

							BgL_new1848z00_14576 =
								((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_varz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new1848z00_14576),
								BGl_classzd2numzd2zz__objectz00(BGl_ev_varz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 64 */
								BgL_objectz00_bglt BgL_auxz00_34717;

								BgL_auxz00_34717 = (BgL_objectz00_bglt) (BgL_new1848z00_14576);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_34717, BFALSE);
							}
							BgL_res7408z00_14580 = BgL_new1848z00_14576;
						}
						BGl_z52thezd2ev_varzd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7408z00_14580);
					}
					{	/* Eval/evaluate.scm 64 */
						BgL_ev_varz00_bglt BgL_res7409z00_14586;

						{	/* Eval/evaluate.scm 64 */
							BgL_ev_varz00_bglt BgL_new1844z00_14581;

							obj_t BgL_name1842z00_14582;

							BgL_new1844z00_14581 =
								(BgL_ev_varz00_bglt)
								(BGl_z52thezd2ev_varzd2nilz52zz__evaluatez00);
							BgL_name1842z00_14582 = BGl_symbol8393z00zz__evaluatez00;
							{	/* Eval/evaluate.scm 64 */
								obj_t BgL_name1842z00_14584;

								obj_t BgL_eff1843z00_14585;

								BgL_name1842z00_14584 = BgL_name1842z00_14582;
								BgL_eff1843z00_14585 = BUNSPEC;
								((((BgL_ev_varz00_bglt) CREF(BgL_new1844z00_14581))->
										BgL_namez00) = ((obj_t) BgL_name1842z00_14584), BUNSPEC);
								((((BgL_ev_varz00_bglt) CREF(BgL_new1844z00_14581))->
										BgL_effz00) = ((obj_t) BgL_eff1843z00_14585), BUNSPEC);
								BgL_res7409z00_14586 = BgL_new1844z00_14581;
						}}
						(obj_t) (BgL_res7409z00_14586);
				}}
			else
				{	/* Eval/evaluate.scm 64 */
					BFALSE;
				}
			return (BgL_ev_varz00_bglt) (BGl_z52thezd2ev_varzd2nilz52zz__evaluatez00);
		}
	}



/* _ev_var-nil */
	obj_t BGl__ev_varzd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24303)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 64 */
			return (obj_t) (BGl_ev_varzd2nilzd2zz__evaluatez00());
		}
	}



/* _ev_var-name-set! */
	obj_t BGl__ev_varzd2namezd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24295,
		obj_t BgL_obj1834z00_24296, obj_t BgL_val1833z00_24297)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 64 */
			{	/* Eval/evaluate.scm 64 */
				BgL_ev_varz00_bglt BgL_obj1834z00_27118;

				obj_t BgL_val1833z00_27119;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1834z00_24296,
						BGl_ev_varz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 64 */
						BgL_obj1834z00_27118 = (BgL_ev_varz00_bglt) (BgL_obj1834z00_24296);
					}
				else
					{
						obj_t BgL_auxz00_34731;

						BgL_auxz00_34731 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1772)), BGl_string8429z00zz__evaluatez00,
							BGl_string8237z00zz__evaluatez00, BgL_obj1834z00_24296);
						FAILURE(BgL_auxz00_34731, BFALSE, BFALSE);
					}
				if (SYMBOLP(BgL_val1833z00_24297))
					{	/* Eval/evaluate.scm 64 */
						BgL_val1833z00_27119 = BgL_val1833z00_24297;
					}
				else
					{
						obj_t BgL_auxz00_34737;

						BgL_auxz00_34737 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1772)), BGl_string8429z00zz__evaluatez00,
							BGl_string8392z00zz__evaluatez00, BgL_val1833z00_24297);
						FAILURE(BgL_auxz00_34737, BFALSE, BFALSE);
					}
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_obj1834z00_27118))->BgL_namez00) =
					((obj_t) BgL_val1833z00_27119), BUNSPEC);
			}
		}
	}



/* _ev_var-name */
	obj_t BGl__ev_varzd2namezd2zz__evaluatez00(obj_t BgL_envz00_24293,
		obj_t BgL_obj1832z00_24294)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 64 */
			{	/* Eval/evaluate.scm 64 */
				BgL_ev_varz00_bglt BgL_obj1832z00_27121;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1832z00_24294,
						BGl_ev_varz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 64 */
						BgL_obj1832z00_27121 = (BgL_ev_varz00_bglt) (BgL_obj1832z00_24294);
					}
				else
					{
						obj_t BgL_auxz00_34745;

						BgL_auxz00_34745 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1772)), BGl_string8430z00zz__evaluatez00,
							BGl_string8237z00zz__evaluatez00, BgL_obj1832z00_24294);
						FAILURE(BgL_auxz00_34745, BFALSE, BFALSE);
					}
				return (((BgL_ev_varz00_bglt) CREF(BgL_obj1832z00_27121))->BgL_namez00);
			}
		}
	}



/* _ev_var-eff-set! */
	obj_t BGl__ev_varzd2effzd2setz12z12zz__evaluatez00(obj_t BgL_envz00_24300,
		obj_t BgL_obj1837z00_24301, obj_t BgL_val1836z00_24302)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 64 */
			{	/* Eval/evaluate.scm 64 */
				BgL_ev_varz00_bglt BgL_obj1837z00_27123;

				obj_t BgL_val1836z00_27124;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1837z00_24301,
						BGl_ev_varz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 64 */
						BgL_obj1837z00_27123 = (BgL_ev_varz00_bglt) (BgL_obj1837z00_24301);
					}
				else
					{
						obj_t BgL_auxz00_34753;

						BgL_auxz00_34753 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1808)), BGl_string8431z00zz__evaluatez00,
							BGl_string8237z00zz__evaluatez00, BgL_obj1837z00_24301);
						FAILURE(BgL_auxz00_34753, BFALSE, BFALSE);
					}
				BgL_val1836z00_27124 = BgL_val1836z00_24302;
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_obj1837z00_27123))->BgL_effz00) =
					((obj_t) BgL_val1836z00_27124), BUNSPEC);
			}
		}
	}



/* _ev_var-eff */
	obj_t BGl__ev_varzd2effzd2zz__evaluatez00(obj_t BgL_envz00_24298,
		obj_t BgL_obj1835z00_24299)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 64 */
			{	/* Eval/evaluate.scm 64 */
				BgL_ev_varz00_bglt BgL_obj1835z00_27126;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_obj1835z00_24299,
						BGl_ev_varz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 64 */
						BgL_obj1835z00_27126 = (BgL_ev_varz00_bglt) (BgL_obj1835z00_24299);
					}
				else
					{
						obj_t BgL_auxz00_34761;

						BgL_auxz00_34761 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 1808)), BGl_string8432z00zz__evaluatez00,
							BGl_string8237z00zz__evaluatez00, BgL_obj1835z00_24299);
						FAILURE(BgL_auxz00_34761, BFALSE, BFALSE);
					}
				return (((BgL_ev_varz00_bglt) CREF(BgL_obj1835z00_27126))->BgL_effz00);
			}
		}
	}



/* _ev_expr? */
	obj_t BGl__ev_exprzf3zf3zz__evaluatez00(obj_t BgL_envz00_24287,
		obj_t BgL_obj1831z00_24288)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 62 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1831z00_24288,
					BGl_ev_exprz00zz__evaluatez00));
		}
	}



/* make-ev_expr */
	BgL_ev_exprz00_bglt BGl_makezd2ev_exprzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 62 */
			{	/* Eval/evaluate.scm 62 */
				BgL_ev_exprz00_bglt BgL_new1824z00_14587;

				{	/* Eval/evaluate.scm 62 */
					BgL_ev_exprz00_bglt BgL_res7410z00_14592;

					{	/* Eval/evaluate.scm 62 */
						BgL_ev_exprz00_bglt BgL_new1828z00_14588;

						BgL_new1828z00_14588 =
							((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_exprz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new1828z00_14588),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_exprz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 62 */
							BgL_objectz00_bglt BgL_auxz00_34772;

							BgL_auxz00_34772 = (BgL_objectz00_bglt) (BgL_new1828z00_14588);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34772, BFALSE);
						}
						BgL_res7410z00_14592 = BgL_new1828z00_14588;
					}
					BgL_new1824z00_14587 = BgL_res7410z00_14592;
				}
				return BgL_new1824z00_14587;
			}
		}
	}



/* _make-ev_expr */
	obj_t BGl__makezd2ev_exprzd2zz__evaluatez00(obj_t BgL_envz00_24284)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 62 */
			return (obj_t) (BGl_makezd2ev_exprzd2zz__evaluatez00());
		}
	}



/* _%allocate-ev_expr */
	obj_t BGl__z52allocatezd2ev_exprz80zz__evaluatez00(obj_t BgL_envz00_24285)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 62 */
			{	/* Eval/evaluate.scm 62 */
				BgL_ev_exprz00_bglt BgL_auxz00_34777;

				{	/* Eval/evaluate.scm 62 */
					BgL_ev_exprz00_bglt BgL_res8620z00_27132;

					{	/* Eval/evaluate.scm 62 */
						BgL_ev_exprz00_bglt BgL_new1828z00_27130;

						BgL_new1828z00_27130 =
							((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_exprz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BgL_new1828z00_27130),
							BGl_classzd2numzd2zz__objectz00(BGl_ev_exprz00zz__evaluatez00));
						{	/* Eval/evaluate.scm 62 */
							BgL_objectz00_bglt BgL_auxz00_34782;

							BgL_auxz00_34782 = (BgL_objectz00_bglt) (BgL_new1828z00_27130);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_34782, BFALSE);
						}
						BgL_res8620z00_27132 = BgL_new1828z00_27130;
					}
					BgL_auxz00_34777 = BgL_res8620z00_27132;
				}
				return (obj_t) (BgL_auxz00_34777);
			}
		}
	}



/* ev_expr-nil */
	BgL_ev_exprz00_bglt BGl_ev_exprzd2nilzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 62 */
			if ((BGl_z52thezd2ev_exprzd2nilz52zz__evaluatez00 == BUNSPEC))
				{	/* Eval/evaluate.scm 62 */
					{	/* Eval/evaluate.scm 62 */
						BgL_ev_exprz00_bglt BgL_res7411z00_14602;

						{	/* Eval/evaluate.scm 62 */
							BgL_ev_exprz00_bglt BgL_new1828z00_14598;

							BgL_new1828z00_14598 =
								((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_exprz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new1828z00_14598),
								BGl_classzd2numzd2zz__objectz00(BGl_ev_exprz00zz__evaluatez00));
							{	/* Eval/evaluate.scm 62 */
								BgL_objectz00_bglt BgL_auxz00_34792;

								BgL_auxz00_34792 = (BgL_objectz00_bglt) (BgL_new1828z00_14598);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_34792, BFALSE);
							}
							BgL_res7411z00_14602 = BgL_new1828z00_14598;
						}
						BGl_z52thezd2ev_exprzd2nilz52zz__evaluatez00 =
							(obj_t) (BgL_res7411z00_14602);
					}
					{	/* Eval/evaluate.scm 62 */
						BgL_ev_exprz00_bglt BgL_new1826z00_14603;

						BgL_new1826z00_14603 =
							(BgL_ev_exprz00_bglt)
							(BGl_z52thezd2ev_exprzd2nilz52zz__evaluatez00);
						{	/* Eval/evaluate.scm 62 */

							(obj_t) (BgL_new1826z00_14603);
				}}}
			else
				{	/* Eval/evaluate.scm 62 */
					BFALSE;
				}
			return
				(BgL_ev_exprz00_bglt) (BGl_z52thezd2ev_exprzd2nilz52zz__evaluatez00);
		}
	}



/* _ev_expr-nil */
	obj_t BGl__ev_exprzd2nilzd2zz__evaluatez00(obj_t BgL_envz00_24286)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 62 */
			return (obj_t) (BGl_ev_exprzd2nilzd2zz__evaluatez00());
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00,
				BGl_avarzd2default3231zd2envz00zz__evaluatez00,
				BGl_ev_exprz00zz__evaluatez00, BGl_string8433z00zz__evaluatez00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluatez00,
				BGl_fsiza7ezd2default3265zd2envza7zz__evaluatez00,
				BGl_ev_exprz00zz__evaluatez00, BGl_string8434z00zz__evaluatez00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00,
				BGl_uncompzd2default3297zd2envz00zz__evaluatez00,
				BGl_ev_exprz00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_usezd2envzd2zz__evaluatez00,
				BGl_usezd2default3340zd2envz00zz__evaluatez00,
				BGl_ev_exprz00zz__evaluatez00, BGl_string8436z00zz__evaluatez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00,
				BGl_compzd2default3373zd2envz00zz__evaluatez00,
				BGl_ev_exprz00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
		}
	}



/* avar */
	obj_t BGl_avarz00zz__evaluatez00(BgL_ev_exprz00_bglt BgL_ez00_44,
		obj_t BgL_localz00_45, obj_t BgL_absz00_46)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 375 */
			{	/* Eval/evaluate.scm 375 */
				obj_t BgL_method3232z00_14604;

				{	/* Eval/evaluate.scm 375 */
					BgL_objectz00_bglt BgL_objz00_14605;

					BgL_objz00_14605 = (BgL_objectz00_bglt) (BgL_ez00_44);
					{	/* Eval/evaluate.scm 375 */
						long BgL_objzd2classzd2numz00_14606;

						BgL_objzd2classzd2numz00_14606 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_14605);
						{	/* Eval/evaluate.scm 375 */
							obj_t BgL_arg6930z00_14607;

							BgL_arg6930z00_14607 =
								PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
								(int) (((long) 1)));
							{	/* Eval/evaluate.scm 375 */
								obj_t BgL_arrayz00_14609;

								int BgL_offsetz00_14610;

								BgL_arrayz00_14609 = BgL_arg6930z00_14607;
								BgL_offsetz00_14610 = (int) (BgL_objzd2classzd2numz00_14606);
								{	/* Eval/evaluate.scm 375 */
									long BgL_offsetz00_14611;

									BgL_offsetz00_14611 =
										((long) (BgL_offsetz00_14610) - OBJECT_TYPE);
									{	/* Eval/evaluate.scm 375 */
										long BgL_modz00_14612;

										{	/* Eval/evaluate.scm 375 */
											int BgL_arg6932z00_14613;

											BgL_arg6932z00_14613 = (int) (((long) 16));
											{	/* Eval/evaluate.scm 375 */
												long BgL_auxz00_34814;

												BgL_auxz00_34814 = (long) (BgL_arg6932z00_14613);
												BgL_modz00_14612 =
													(BgL_offsetz00_14611 / BgL_auxz00_34814);
										}}
										{	/* Eval/evaluate.scm 375 */
											long BgL_restz00_14614;

											{	/* Eval/evaluate.scm 375 */
												int BgL_arg6931z00_14615;

												BgL_arg6931z00_14615 = (int) (((long) 16));
												{	/* Eval/evaluate.scm 375 */
													long BgL_auxz00_34818;

													BgL_auxz00_34818 = (long) (BgL_arg6931z00_14615);
													BgL_restz00_14614 =
														(BgL_offsetz00_14611 % BgL_auxz00_34818);
											}}
											{	/* Eval/evaluate.scm 375 */

												BgL_method3232z00_14604 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_14609,
														(int) (BgL_modz00_14612)),
													(int) (BgL_restz00_14614));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3232z00_14604) (BgL_method3232z00_14604,
					(obj_t) (BgL_ez00_44), BgL_localz00_45, BgL_absz00_46, BEOA);
			}
		}
	}



/* _avar */
	obj_t BGl__avarz00zz__evaluatez00(obj_t BgL_envz00_23985,
		obj_t BgL_ez00_23986, obj_t BgL_localz00_23987, obj_t BgL_absz00_23988)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 375 */
			{	/* Eval/evaluate.scm 375 */
				BgL_ev_exprz00_bglt BgL_auxz00_34828;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_23986,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 375 */
						BgL_auxz00_34828 = (BgL_ev_exprz00_bglt) (BgL_ez00_23986);
					}
				else
					{
						obj_t BgL_auxz00_34832;

						BgL_auxz00_34832 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 12263)), BGl_string8438z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_ez00_23986);
						FAILURE(BgL_auxz00_34832, BFALSE, BFALSE);
					}
				return
					BGl_avarz00zz__evaluatez00(BgL_auxz00_34828, BgL_localz00_23987,
					BgL_absz00_23988);
			}
		}
	}



/* avar-default3231 */
	obj_t BGl_avarzd2default3231zd2zz__evaluatez00(BgL_ev_exprz00_bglt
		BgL_ez00_47, obj_t BgL_localz00_48, obj_t BgL_absz00_49)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol8439z00zz__evaluatez00,
				BGl_string8441z00zz__evaluatez00, (obj_t) (BgL_ez00_47));
		}
	}



/* _avar-default3231 */
	obj_t BGl__avarzd2default3231zd2zz__evaluatez00(obj_t BgL_envz00_24647,
		obj_t BgL_ez00_24648, obj_t BgL_localz00_24649, obj_t BgL_absz00_24650)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			{	/* Eval/evaluate.scm 376 */
				BgL_ev_exprz00_bglt BgL_auxz00_34839;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_24648,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 376 */
						BgL_auxz00_34839 = (BgL_ev_exprz00_bglt) (BgL_ez00_24648);
					}
				else
					{
						obj_t BgL_auxz00_34843;

						BgL_auxz00_34843 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 12311)), BGl_string8442z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_ez00_24648);
						FAILURE(BgL_auxz00_34843, BFALSE, BFALSE);
					}
				return
					BGl_avarzd2default3231zd2zz__evaluatez00(BgL_auxz00_34839,
					BgL_localz00_24649, BgL_absz00_24650);
			}
		}
	}



/* fsize */
	obj_t BGl_fsiza7eza7zz__evaluatez00(BgL_ev_exprz00_bglt BgL_ez00_101,
		obj_t BgL_nz00_102)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 482 */
			{	/* Eval/evaluate.scm 482 */
				obj_t BgL_method3266z00_14629;

				{	/* Eval/evaluate.scm 482 */
					BgL_objectz00_bglt BgL_objz00_14630;

					BgL_objz00_14630 = (BgL_objectz00_bglt) (BgL_ez00_101);
					{	/* Eval/evaluate.scm 482 */
						long BgL_objzd2classzd2numz00_14631;

						BgL_objzd2classzd2numz00_14631 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_14630);
						{	/* Eval/evaluate.scm 482 */
							obj_t BgL_arg6930z00_14632;

							BgL_arg6930z00_14632 =
								PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluatez00,
								(int) (((long) 1)));
							{	/* Eval/evaluate.scm 482 */
								obj_t BgL_arrayz00_14634;

								int BgL_offsetz00_14635;

								BgL_arrayz00_14634 = BgL_arg6930z00_14632;
								BgL_offsetz00_14635 = (int) (BgL_objzd2classzd2numz00_14631);
								{	/* Eval/evaluate.scm 482 */
									long BgL_offsetz00_14636;

									BgL_offsetz00_14636 =
										((long) (BgL_offsetz00_14635) - OBJECT_TYPE);
									{	/* Eval/evaluate.scm 482 */
										long BgL_modz00_14637;

										{	/* Eval/evaluate.scm 482 */
											int BgL_arg6932z00_14638;

											BgL_arg6932z00_14638 = (int) (((long) 16));
											{	/* Eval/evaluate.scm 482 */
												long BgL_auxz00_34856;

												BgL_auxz00_34856 = (long) (BgL_arg6932z00_14638);
												BgL_modz00_14637 =
													(BgL_offsetz00_14636 / BgL_auxz00_34856);
										}}
										{	/* Eval/evaluate.scm 482 */
											long BgL_restz00_14639;

											{	/* Eval/evaluate.scm 482 */
												int BgL_arg6931z00_14640;

												BgL_arg6931z00_14640 = (int) (((long) 16));
												{	/* Eval/evaluate.scm 482 */
													long BgL_auxz00_34860;

													BgL_auxz00_34860 = (long) (BgL_arg6931z00_14640);
													BgL_restz00_14639 =
														(BgL_offsetz00_14636 % BgL_auxz00_34860);
											}}
											{	/* Eval/evaluate.scm 482 */

												BgL_method3266z00_14629 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_14634,
														(int) (BgL_modz00_14637)),
													(int) (BgL_restz00_14639));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3266z00_14629) (BgL_method3266z00_14629,
					(obj_t) (BgL_ez00_101), BgL_nz00_102, BEOA);
			}
		}
	}



/* _fsize */
	obj_t BGl__fsiza7eza7zz__evaluatez00(obj_t BgL_envz00_23989,
		obj_t BgL_ez00_23990, obj_t BgL_nz00_23991)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 482 */
			{	/* Eval/evaluate.scm 482 */
				obj_t BgL_auxz00_34878;

				BgL_ev_exprz00_bglt BgL_auxz00_34870;

				if (INTEGERP(BgL_nz00_23991))
					{	/* Eval/evaluate.scm 482 */
						BgL_auxz00_34878 = BgL_nz00_23991;
					}
				else
					{
						obj_t BgL_auxz00_34881;

						BgL_auxz00_34881 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 15797)), BGl_string8443z00zz__evaluatez00,
							BGl_string8335z00zz__evaluatez00, BgL_nz00_23991);
						FAILURE(BgL_auxz00_34881, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_23990,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 482 */
						BgL_auxz00_34870 = (BgL_ev_exprz00_bglt) (BgL_ez00_23990);
					}
				else
					{
						obj_t BgL_auxz00_34874;

						BgL_auxz00_34874 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 15797)), BGl_string8443z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_ez00_23990);
						FAILURE(BgL_auxz00_34874, BFALSE, BFALSE);
					}
				return
					BGl_fsiza7eza7zz__evaluatez00(BgL_auxz00_34870, BgL_auxz00_34878);
			}
		}
	}



/* fsize-default3265 */
	obj_t BGl_fsiza7ezd2default3265z75zz__evaluatez00(BgL_ev_exprz00_bglt
		BgL_ez00_103, obj_t BgL_nz00_104)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol8444z00zz__evaluatez00,
				BGl_string8441z00zz__evaluatez00, (obj_t) (BgL_ez00_103));
		}
	}



/* _fsize-default3265 */
	obj_t BGl__fsiza7ezd2default3265z75zz__evaluatez00(obj_t BgL_envz00_24651,
		obj_t BgL_ez00_24652, obj_t BgL_nz00_24653)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			{	/* Eval/evaluate.scm 483 */
				obj_t BgL_auxz00_34896;

				BgL_ev_exprz00_bglt BgL_auxz00_34888;

				if (INTEGERP(BgL_nz00_24653))
					{	/* Eval/evaluate.scm 483 */
						BgL_auxz00_34896 = BgL_nz00_24653;
					}
				else
					{
						obj_t BgL_auxz00_34899;

						BgL_auxz00_34899 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 15850)), BGl_string8445z00zz__evaluatez00,
							BGl_string8335z00zz__evaluatez00, BgL_nz00_24653);
						FAILURE(BgL_auxz00_34899, BFALSE, BFALSE);
					}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_24652,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 483 */
						BgL_auxz00_34888 = (BgL_ev_exprz00_bglt) (BgL_ez00_24652);
					}
				else
					{
						obj_t BgL_auxz00_34892;

						BgL_auxz00_34892 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 15850)), BGl_string8445z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_ez00_24652);
						FAILURE(BgL_auxz00_34892, BFALSE, BFALSE);
					}
				return
					BGl_fsiza7ezd2default3265z75zz__evaluatez00(BgL_auxz00_34888,
					BgL_auxz00_34896);
			}
		}
	}



/* uncomp */
	obj_t BGl_uncompz00zz__evaluatez00(BgL_ev_exprz00_bglt BgL_ez00_150)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 653 */
			{	/* Eval/evaluate.scm 653 */
				obj_t BgL_method3299z00_14654;

				{	/* Eval/evaluate.scm 653 */
					BgL_objectz00_bglt BgL_objz00_14655;

					BgL_objz00_14655 = (BgL_objectz00_bglt) (BgL_ez00_150);
					{	/* Eval/evaluate.scm 653 */
						long BgL_objzd2classzd2numz00_14656;

						BgL_objzd2classzd2numz00_14656 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_14655);
						{	/* Eval/evaluate.scm 653 */
							obj_t BgL_arg6930z00_14657;

							BgL_arg6930z00_14657 =
								PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
								(int) (((long) 1)));
							{	/* Eval/evaluate.scm 653 */
								obj_t BgL_arrayz00_14659;

								int BgL_offsetz00_14660;

								BgL_arrayz00_14659 = BgL_arg6930z00_14657;
								BgL_offsetz00_14660 = (int) (BgL_objzd2classzd2numz00_14656);
								{	/* Eval/evaluate.scm 653 */
									long BgL_offsetz00_14661;

									BgL_offsetz00_14661 =
										((long) (BgL_offsetz00_14660) - OBJECT_TYPE);
									{	/* Eval/evaluate.scm 653 */
										long BgL_modz00_14662;

										{	/* Eval/evaluate.scm 653 */
											int BgL_arg6932z00_14663;

											BgL_arg6932z00_14663 = (int) (((long) 16));
											{	/* Eval/evaluate.scm 653 */
												long BgL_auxz00_34912;

												BgL_auxz00_34912 = (long) (BgL_arg6932z00_14663);
												BgL_modz00_14662 =
													(BgL_offsetz00_14661 / BgL_auxz00_34912);
										}}
										{	/* Eval/evaluate.scm 653 */
											long BgL_restz00_14664;

											{	/* Eval/evaluate.scm 653 */
												int BgL_arg6931z00_14665;

												BgL_arg6931z00_14665 = (int) (((long) 16));
												{	/* Eval/evaluate.scm 653 */
													long BgL_auxz00_34916;

													BgL_auxz00_34916 = (long) (BgL_arg6931z00_14665);
													BgL_restz00_14664 =
														(BgL_offsetz00_14661 % BgL_auxz00_34916);
											}}
											{	/* Eval/evaluate.scm 653 */

												BgL_method3299z00_14654 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_14659,
														(int) (BgL_modz00_14662)),
													(int) (BgL_restz00_14664));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3299z00_14654) (BgL_method3299z00_14654,
					(obj_t) (BgL_ez00_150), BEOA);
			}
		}
	}



/* _uncomp */
	obj_t BGl__uncompz00zz__evaluatez00(obj_t BgL_envz00_24654,
		obj_t BgL_ez00_24655)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 653 */
			{	/* Eval/evaluate.scm 653 */
				BgL_ev_exprz00_bglt BgL_auxz00_34926;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_24655,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 653 */
						BgL_auxz00_34926 = (BgL_ev_exprz00_bglt) (BgL_ez00_24655);
					}
				else
					{
						obj_t BgL_auxz00_34930;

						BgL_auxz00_34930 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 20218)), BGl_string8446z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_ez00_24655);
						FAILURE(BgL_auxz00_34930, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluatez00(BgL_auxz00_34926);
			}
		}
	}



/* uncomp-default3297 */
	obj_t BGl_uncompzd2default3297zd2zz__evaluatez00(BgL_ev_exprz00_bglt
		BgL_ez00_151)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol8447z00zz__evaluatez00,
				BGl_string8441z00zz__evaluatez00, (obj_t) (BgL_ez00_151));
		}
	}



/* _uncomp-default3297 */
	obj_t BGl__uncompzd2default3297zd2zz__evaluatez00(obj_t BgL_envz00_24656,
		obj_t BgL_ez00_24657)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			{	/* Eval/evaluate.scm 654 */
				BgL_ev_exprz00_bglt BgL_auxz00_34937;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_24657,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 654 */
						BgL_auxz00_34937 = (BgL_ev_exprz00_bglt) (BgL_ez00_24657);
					}
				else
					{
						obj_t BgL_auxz00_34941;

						BgL_auxz00_34941 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 20258)), BGl_string8448z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_ez00_24657);
						FAILURE(BgL_auxz00_34941, BFALSE, BFALSE);
					}
				return BGl_uncompzd2default3297zd2zz__evaluatez00(BgL_auxz00_34937);
			}
		}
	}



/* use */
	obj_t BGl_usez00zz__evaluatez00(BgL_ev_exprz00_bglt BgL_ez00_171,
		obj_t BgL_donez00_172)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 742 */
			{	/* Eval/evaluate.scm 742 */
				obj_t BgL_method3341z00_14679;

				{	/* Eval/evaluate.scm 742 */
					BgL_objectz00_bglt BgL_objz00_14680;

					BgL_objz00_14680 = (BgL_objectz00_bglt) (BgL_ez00_171);
					{	/* Eval/evaluate.scm 742 */
						long BgL_objzd2classzd2numz00_14681;

						BgL_objzd2classzd2numz00_14681 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_14680);
						{	/* Eval/evaluate.scm 742 */
							obj_t BgL_arg6930z00_14682;

							BgL_arg6930z00_14682 =
								PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
								(int) (((long) 1)));
							{	/* Eval/evaluate.scm 742 */
								obj_t BgL_arrayz00_14684;

								int BgL_offsetz00_14685;

								BgL_arrayz00_14684 = BgL_arg6930z00_14682;
								BgL_offsetz00_14685 = (int) (BgL_objzd2classzd2numz00_14681);
								{	/* Eval/evaluate.scm 742 */
									long BgL_offsetz00_14686;

									BgL_offsetz00_14686 =
										((long) (BgL_offsetz00_14685) - OBJECT_TYPE);
									{	/* Eval/evaluate.scm 742 */
										long BgL_modz00_14687;

										{	/* Eval/evaluate.scm 742 */
											int BgL_arg6932z00_14688;

											BgL_arg6932z00_14688 = (int) (((long) 16));
											{	/* Eval/evaluate.scm 742 */
												long BgL_auxz00_34954;

												BgL_auxz00_34954 = (long) (BgL_arg6932z00_14688);
												BgL_modz00_14687 =
													(BgL_offsetz00_14686 / BgL_auxz00_34954);
										}}
										{	/* Eval/evaluate.scm 742 */
											long BgL_restz00_14689;

											{	/* Eval/evaluate.scm 742 */
												int BgL_arg6931z00_14690;

												BgL_arg6931z00_14690 = (int) (((long) 16));
												{	/* Eval/evaluate.scm 742 */
													long BgL_auxz00_34958;

													BgL_auxz00_34958 = (long) (BgL_arg6931z00_14690);
													BgL_restz00_14689 =
														(BgL_offsetz00_14686 % BgL_auxz00_34958);
											}}
											{	/* Eval/evaluate.scm 742 */

												BgL_method3341z00_14679 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_14684,
														(int) (BgL_modz00_14687)),
													(int) (BgL_restz00_14689));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3341z00_14679) (BgL_method3341z00_14679,
					(obj_t) (BgL_ez00_171), BgL_donez00_172, BEOA);
			}
		}
	}



/* _use */
	obj_t BGl__usez00zz__evaluatez00(obj_t BgL_envz00_24002, obj_t BgL_ez00_24003,
		obj_t BgL_donez00_24004)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 742 */
			{	/* Eval/evaluate.scm 742 */
				BgL_ev_exprz00_bglt BgL_auxz00_34968;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_24003,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 742 */
						BgL_auxz00_34968 = (BgL_ev_exprz00_bglt) (BgL_ez00_24003);
					}
				else
					{
						obj_t BgL_auxz00_34972;

						BgL_auxz00_34972 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 22946)), BGl_string8449z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_ez00_24003);
						FAILURE(BgL_auxz00_34972, BFALSE, BFALSE);
					}
				return BGl_usez00zz__evaluatez00(BgL_auxz00_34968, BgL_donez00_24004);
			}
		}
	}



/* use-default3340 */
	obj_t BGl_usezd2default3340zd2zz__evaluatez00(BgL_ev_exprz00_bglt
		BgL_ez00_173, obj_t BgL_donez00_174)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol8450z00zz__evaluatez00,
				BGl_string8441z00zz__evaluatez00, (obj_t) (BgL_ez00_173));
		}
	}



/* _use-default3340 */
	obj_t BGl__usezd2default3340zd2zz__evaluatez00(obj_t BgL_envz00_24658,
		obj_t BgL_ez00_24659, obj_t BgL_donez00_24660)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			{	/* Eval/evaluate.scm 743 */
				BgL_ev_exprz00_bglt BgL_auxz00_34979;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_24659,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 743 */
						BgL_auxz00_34979 = (BgL_ev_exprz00_bglt) (BgL_ez00_24659);
					}
				else
					{
						obj_t BgL_auxz00_34983;

						BgL_auxz00_34983 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 22988)), BGl_string8451z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_ez00_24659);
						FAILURE(BgL_auxz00_34983, BFALSE, BFALSE);
					}
				return
					BGl_usezd2default3340zd2zz__evaluatez00(BgL_auxz00_34979,
					BgL_donez00_24660);
			}
		}
	}



/* comp */
	obj_t BGl_compz00zz__evaluatez00(BgL_ev_exprz00_bglt BgL_ez00_206,
		obj_t BgL_stkz00_207)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 811 */
			{	/* Eval/evaluate.scm 811 */
				obj_t BgL_method3374z00_14704;

				{	/* Eval/evaluate.scm 811 */
					BgL_objectz00_bglt BgL_objz00_14705;

					BgL_objz00_14705 = (BgL_objectz00_bglt) (BgL_ez00_206);
					{	/* Eval/evaluate.scm 811 */
						long BgL_objzd2classzd2numz00_14706;

						BgL_objzd2classzd2numz00_14706 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_14705);
						{	/* Eval/evaluate.scm 811 */
							obj_t BgL_arg6930z00_14707;

							BgL_arg6930z00_14707 =
								PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
								(int) (((long) 1)));
							{	/* Eval/evaluate.scm 811 */
								obj_t BgL_arrayz00_14709;

								int BgL_offsetz00_14710;

								BgL_arrayz00_14709 = BgL_arg6930z00_14707;
								BgL_offsetz00_14710 = (int) (BgL_objzd2classzd2numz00_14706);
								{	/* Eval/evaluate.scm 811 */
									long BgL_offsetz00_14711;

									BgL_offsetz00_14711 =
										((long) (BgL_offsetz00_14710) - OBJECT_TYPE);
									{	/* Eval/evaluate.scm 811 */
										long BgL_modz00_14712;

										{	/* Eval/evaluate.scm 811 */
											int BgL_arg6932z00_14713;

											BgL_arg6932z00_14713 = (int) (((long) 16));
											{	/* Eval/evaluate.scm 811 */
												long BgL_auxz00_34996;

												BgL_auxz00_34996 = (long) (BgL_arg6932z00_14713);
												BgL_modz00_14712 =
													(BgL_offsetz00_14711 / BgL_auxz00_34996);
										}}
										{	/* Eval/evaluate.scm 811 */
											long BgL_restz00_14714;

											{	/* Eval/evaluate.scm 811 */
												int BgL_arg6931z00_14715;

												BgL_arg6931z00_14715 = (int) (((long) 16));
												{	/* Eval/evaluate.scm 811 */
													long BgL_auxz00_35000;

													BgL_auxz00_35000 = (long) (BgL_arg6931z00_14715);
													BgL_restz00_14714 =
														(BgL_offsetz00_14711 % BgL_auxz00_35000);
											}}
											{	/* Eval/evaluate.scm 811 */

												BgL_method3374z00_14704 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_14709,
														(int) (BgL_modz00_14712)),
													(int) (BgL_restz00_14714));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3374z00_14704) (BgL_method3374z00_14704,
					(obj_t) (BgL_ez00_206), BgL_stkz00_207, BEOA);
			}
		}
	}



/* _comp */
	obj_t BGl__compz00zz__evaluatez00(obj_t BgL_envz00_23992,
		obj_t BgL_ez00_23993, obj_t BgL_stkz00_23994)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 811 */
			{	/* Eval/evaluate.scm 811 */
				BgL_ev_exprz00_bglt BgL_auxz00_35010;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_23993,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 811 */
						BgL_auxz00_35010 = (BgL_ev_exprz00_bglt) (BgL_ez00_23993);
					}
				else
					{
						obj_t BgL_auxz00_35014;

						BgL_auxz00_35014 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 24689)), BGl_string8452z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_ez00_23993);
						FAILURE(BgL_auxz00_35014, BFALSE, BFALSE);
					}
				return BGl_compz00zz__evaluatez00(BgL_auxz00_35010, BgL_stkz00_23994);
			}
		}
	}



/* comp-default3373 */
	obj_t BGl_compzd2default3373zd2zz__evaluatez00(BgL_ev_exprz00_bglt
		BgL_ez00_208, obj_t BgL_stkz00_209)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol8453z00zz__evaluatez00,
				BGl_string8441z00zz__evaluatez00, (obj_t) (BgL_ez00_208));
		}
	}



/* _comp-default3373 */
	obj_t BGl__compzd2default3373zd2zz__evaluatez00(obj_t BgL_envz00_24661,
		obj_t BgL_ez00_24662, obj_t BgL_stkz00_24663)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			{	/* Eval/evaluate.scm 812 */
				BgL_ev_exprz00_bglt BgL_auxz00_35021;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_ez00_24662,
						BGl_ev_exprz00zz__evaluatez00))
					{	/* Eval/evaluate.scm 812 */
						BgL_auxz00_35021 = (BgL_ev_exprz00_bglt) (BgL_ez00_24662);
					}
				else
					{
						obj_t BgL_auxz00_35025;

						BgL_auxz00_35025 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string8333z00zz__evaluatez00,
							BINT(((long) 24730)), BGl_string8454z00zz__evaluatez00,
							BGl_string8235z00zz__evaluatez00, BgL_ez00_24662);
						FAILURE(BgL_auxz00_35025, BFALSE, BFALSE);
					}
				return
					BGl_compzd2default3373zd2zz__evaluatez00(BgL_auxz00_35021,
					BgL_stkz00_24663);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00, BGl_ev_varz00zz__evaluatez00,
				BGl_proc8455z00zz__evaluatez00, BGl_string8433z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00, BGl_ev_globalz00zz__evaluatez00,
				BGl_proc8456z00zz__evaluatez00, BGl_string8433z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00, BGl_ev_littz00zz__evaluatez00,
				BGl_proc8457z00zz__evaluatez00, BGl_string8433z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00, BGl_ev_ifz00zz__evaluatez00,
				BGl_proc8458z00zz__evaluatez00, BGl_string8433z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00, BGl_ev_listz00zz__evaluatez00,
				BGl_proc8459z00zz__evaluatez00, BGl_string8433z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00, BGl_ev_prog2z00zz__evaluatez00,
				BGl_proc8460z00zz__evaluatez00, BGl_string8433z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00, BGl_ev_hookz00zz__evaluatez00,
				BGl_proc8461z00zz__evaluatez00, BGl_string8433z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00, BGl_ev_setlocalz00zz__evaluatez00,
				BGl_proc8462z00zz__evaluatez00, BGl_string8433z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00, BGl_ev_bindzd2exitzd2zz__evaluatez00,
				BGl_proc8463z00zz__evaluatez00, BGl_string8433z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00,
				BGl_ev_unwindzd2protectzd2zz__evaluatez00,
				BGl_proc8464z00zz__evaluatez00, BGl_string8433z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00,
				BGl_ev_withzd2handlerzd2zz__evaluatez00, BGl_proc8465z00zz__evaluatez00,
				BGl_string8433z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00, BGl_ev_letz00zz__evaluatez00,
				BGl_proc8466z00zz__evaluatez00, BGl_string8433z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00, BGl_ev_letza2za2zz__evaluatez00,
				BGl_proc8467z00zz__evaluatez00, BGl_string8433z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00, BGl_ev_letrecz00zz__evaluatez00,
				BGl_proc8468z00zz__evaluatez00, BGl_string8433z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00, BGl_ev_appz00zz__evaluatez00,
				BGl_proc8469z00zz__evaluatez00, BGl_string8433z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluatez00, BGl_ev_absz00zz__evaluatez00,
				BGl_proc8470z00zz__evaluatez00, BGl_string8433z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluatez00, BGl_ev_varz00zz__evaluatez00,
				BGl_proc8471z00zz__evaluatez00, BGl_string8472z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluatez00, BGl_ev_globalz00zz__evaluatez00,
				BGl_proc8473z00zz__evaluatez00, BGl_string8472z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluatez00, BGl_ev_littz00zz__evaluatez00,
				BGl_proc8474z00zz__evaluatez00, BGl_string8472z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluatez00, BGl_ev_ifz00zz__evaluatez00,
				BGl_proc8475z00zz__evaluatez00, BGl_string8472z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluatez00, BGl_ev_listz00zz__evaluatez00,
				BGl_proc8476z00zz__evaluatez00, BGl_string8472z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluatez00, BGl_ev_prog2z00zz__evaluatez00,
				BGl_proc8477z00zz__evaluatez00, BGl_string8472z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluatez00, BGl_ev_hookz00zz__evaluatez00,
				BGl_proc8478z00zz__evaluatez00, BGl_string8472z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluatez00,
				BGl_ev_bindzd2exitzd2zz__evaluatez00, BGl_proc8479z00zz__evaluatez00,
				BGl_string8472z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluatez00,
				BGl_ev_unwindzd2protectzd2zz__evaluatez00,
				BGl_proc8480z00zz__evaluatez00, BGl_string8472z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluatez00,
				BGl_ev_withzd2handlerzd2zz__evaluatez00, BGl_proc8481z00zz__evaluatez00,
				BGl_string8472z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluatez00, BGl_ev_letz00zz__evaluatez00,
				BGl_proc8482z00zz__evaluatez00, BGl_string8472z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluatez00, BGl_ev_letza2za2zz__evaluatez00,
				BGl_proc8483z00zz__evaluatez00, BGl_string8472z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluatez00, BGl_ev_letrecz00zz__evaluatez00,
				BGl_proc8484z00zz__evaluatez00, BGl_string8472z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluatez00, BGl_ev_appz00zz__evaluatez00,
				BGl_proc8485z00zz__evaluatez00, BGl_string8472z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluatez00, BGl_ev_absz00zz__evaluatez00,
				BGl_proc8486z00zz__evaluatez00, BGl_string8472z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00, BGl_ev_varz00zz__evaluatez00,
				BGl_proc8487z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00, BGl_ev_globalz00zz__evaluatez00,
				BGl_proc8488z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00, BGl_ev_littz00zz__evaluatez00,
				BGl_proc8489z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00, BGl_ev_ifz00zz__evaluatez00,
				BGl_proc8490z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00, BGl_ev_orz00zz__evaluatez00,
				BGl_proc8491z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00, BGl_ev_andz00zz__evaluatez00,
				BGl_proc8492z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00, BGl_ev_prog2z00zz__evaluatez00,
				BGl_proc8493z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00, BGl_ev_trapz00zz__evaluatez00,
				BGl_proc8494z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00, BGl_ev_setglobalz00zz__evaluatez00,
				BGl_proc8495z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00, BGl_ev_defglobalz00zz__evaluatez00,
				BGl_proc8496z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00, BGl_ev_setlocalz00zz__evaluatez00,
				BGl_proc8497z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00,
				BGl_ev_bindzd2exitzd2zz__evaluatez00, BGl_proc8498z00zz__evaluatez00,
				BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00,
				BGl_ev_unwindzd2protectzd2zz__evaluatez00,
				BGl_proc8499z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00,
				BGl_ev_withzd2handlerzd2zz__evaluatez00, BGl_proc8500z00zz__evaluatez00,
				BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00, BGl_ev_letz00zz__evaluatez00,
				BGl_proc8501z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00, BGl_ev_letza2za2zz__evaluatez00,
				BGl_proc8502z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00, BGl_ev_letrecz00zz__evaluatez00,
				BGl_proc8503z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00, BGl_ev_appz00zz__evaluatez00,
				BGl_proc8504z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluatez00, BGl_ev_absz00zz__evaluatez00,
				BGl_proc8505z00zz__evaluatez00, BGl_string8435z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluatez00, BGl_ev_varz00zz__evaluatez00,
				BGl_proc8506z00zz__evaluatez00, BGl_string8436z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluatez00, BGl_ev_globalz00zz__evaluatez00,
				BGl_proc8507z00zz__evaluatez00, BGl_string8436z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluatez00, BGl_ev_littz00zz__evaluatez00,
				BGl_proc8508z00zz__evaluatez00, BGl_string8436z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluatez00, BGl_ev_ifz00zz__evaluatez00,
				BGl_proc8509z00zz__evaluatez00, BGl_string8436z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluatez00, BGl_ev_listz00zz__evaluatez00,
				BGl_proc8510z00zz__evaluatez00, BGl_string8436z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluatez00, BGl_ev_prog2z00zz__evaluatez00,
				BGl_proc8511z00zz__evaluatez00, BGl_string8436z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluatez00, BGl_ev_hookz00zz__evaluatez00,
				BGl_proc8512z00zz__evaluatez00, BGl_string8436z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluatez00, BGl_ev_setlocalz00zz__evaluatez00,
				BGl_proc8513z00zz__evaluatez00, BGl_string8436z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluatez00, BGl_ev_bindzd2exitzd2zz__evaluatez00,
				BGl_proc8514z00zz__evaluatez00, BGl_string8436z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluatez00,
				BGl_ev_unwindzd2protectzd2zz__evaluatez00,
				BGl_proc8515z00zz__evaluatez00, BGl_string8436z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluatez00,
				BGl_ev_withzd2handlerzd2zz__evaluatez00, BGl_proc8516z00zz__evaluatez00,
				BGl_string8436z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluatez00, BGl_ev_binderz00zz__evaluatez00,
				BGl_proc8517z00zz__evaluatez00, BGl_string8436z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluatez00, BGl_ev_appz00zz__evaluatez00,
				BGl_proc8518z00zz__evaluatez00, BGl_string8436z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluatez00, BGl_ev_absz00zz__evaluatez00,
				BGl_proc8519z00zz__evaluatez00, BGl_string8436z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_trapz00zz__evaluatez00,
				BGl_proc8520z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_varz00zz__evaluatez00,
				BGl_proc8521z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_setlocalz00zz__evaluatez00,
				BGl_proc8522z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_globalz00zz__evaluatez00,
				BGl_proc8523z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_setglobalz00zz__evaluatez00,
				BGl_proc8524z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_defglobalz00zz__evaluatez00,
				BGl_proc8525z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_littz00zz__evaluatez00,
				BGl_proc8526z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_ifz00zz__evaluatez00,
				BGl_proc8527z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_orz00zz__evaluatez00,
				BGl_proc8528z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_andz00zz__evaluatez00,
				BGl_proc8529z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_prog2z00zz__evaluatez00,
				BGl_proc8530z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_letz00zz__evaluatez00,
				BGl_proc8531z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_letza2za2zz__evaluatez00,
				BGl_proc8532z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_letrecz00zz__evaluatez00,
				BGl_proc8533z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_bindzd2exitzd2zz__evaluatez00,
				BGl_proc8534z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00,
				BGl_ev_unwindzd2protectzd2zz__evaluatez00,
				BGl_proc8535z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00,
				BGl_ev_withzd2handlerzd2zz__evaluatez00, BGl_proc8536z00zz__evaluatez00,
				BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_appz00zz__evaluatez00,
				BGl_proc8537z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluatez00, BGl_ev_absz00zz__evaluatez00,
				BGl_proc8538z00zz__evaluatez00, BGl_string8437z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_absz00zz__evaluatez00, BGl_proc8539z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_absz00zz__evaluatez00, BGl_proc8541z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_appz00zz__evaluatez00, BGl_proc8543z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_appz00zz__evaluatez00, BGl_proc8544z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_letrecz00zz__evaluatez00, BGl_proc8545z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_letrecz00zz__evaluatez00, BGl_proc8546z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_letza2za2zz__evaluatez00, BGl_proc8547z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_letza2za2zz__evaluatez00, BGl_proc8548z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_letz00zz__evaluatez00, BGl_proc8549z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_letz00zz__evaluatez00, BGl_proc8550z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_binderz00zz__evaluatez00, BGl_proc8551z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_binderz00zz__evaluatez00, BGl_proc8552z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_withzd2handlerzd2zz__evaluatez00, BGl_proc8553z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_withzd2handlerzd2zz__evaluatez00, BGl_proc8554z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_unwindzd2protectzd2zz__evaluatez00,
				BGl_proc8555z00zz__evaluatez00, BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_unwindzd2protectzd2zz__evaluatez00,
				BGl_proc8556z00zz__evaluatez00, BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_bindzd2exitzd2zz__evaluatez00, BGl_proc8557z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_bindzd2exitzd2zz__evaluatez00, BGl_proc8558z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_defglobalz00zz__evaluatez00, BGl_proc8559z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_defglobalz00zz__evaluatez00, BGl_proc8560z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_setglobalz00zz__evaluatez00, BGl_proc8561z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_setglobalz00zz__evaluatez00, BGl_proc8562z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_setlocalz00zz__evaluatez00, BGl_proc8563z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_setlocalz00zz__evaluatez00, BGl_proc8564z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_trapz00zz__evaluatez00, BGl_proc8565z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_trapz00zz__evaluatez00, BGl_proc8566z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_hookz00zz__evaluatez00, BGl_proc8567z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_hookz00zz__evaluatez00, BGl_proc8568z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_prog2z00zz__evaluatez00, BGl_proc8569z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_prog2z00zz__evaluatez00, BGl_proc8570z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_andz00zz__evaluatez00, BGl_proc8571z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_andz00zz__evaluatez00, BGl_proc8572z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_orz00zz__evaluatez00, BGl_proc8573z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_orz00zz__evaluatez00, BGl_proc8574z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_listz00zz__evaluatez00, BGl_proc8575z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_listz00zz__evaluatez00, BGl_proc8576z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_ifz00zz__evaluatez00, BGl_proc8577z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_ifz00zz__evaluatez00, BGl_proc8578z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_littz00zz__evaluatez00, BGl_proc8579z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_littz00zz__evaluatez00, BGl_proc8580z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_globalz00zz__evaluatez00, BGl_proc8581z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_globalz00zz__evaluatez00, BGl_proc8582z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_varz00zz__evaluatez00, BGl_proc8583z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_varz00zz__evaluatez00, BGl_proc8584z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_ev_exprz00zz__evaluatez00, BGl_proc8585z00zz__evaluatez00,
				BGl_string8540z00zz__evaluatez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_ev_exprz00zz__evaluatez00, BGl_proc8586z00zz__evaluatez00,
				BGl_string8542z00zz__evaluatez00);
		}
	}



/* struct+object->objec3508 */
	obj_t BGl_structzb2objectzd2ze3objec3508z83zz__evaluatez00(obj_t
		BgL_envz00_24951, obj_t BgL_oz00_24952, obj_t BgL_sz00_24953)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 62 */
			{
				BgL_ev_exprz00_bglt BgL_oz00_7752;

				obj_t BgL_sz00_7753;

				{	/* Eval/evaluate.scm 62 */
					BgL_ev_exprz00_bglt BgL_auxz00_35159;

					BgL_oz00_7752 = (BgL_ev_exprz00_bglt) (BgL_oz00_24952);
					BgL_sz00_7753 = BgL_sz00_24953;
					{	/* Eval/evaluate.scm 62 */
						obj_t BgL_auxz00_35162;

						BgL_objectz00_bglt BgL_auxz00_35160;

						BgL_auxz00_35162 = STRUCT_REF(BgL_sz00_7753, (int) (((long) 0)));
						BgL_auxz00_35160 = (BgL_objectz00_bglt) (BgL_oz00_7752);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_35160, BgL_auxz00_35162);
					}
					BgL_auxz00_35159 = BgL_oz00_7752;
					return (obj_t) (BgL_auxz00_35159);
				}
			}
		}
	}



/* object->struct-ev_ex3506 */
	obj_t BGl_objectzd2ze3structzd2ev_ex3506ze3zz__evaluatez00(obj_t
		BgL_envz00_24954, obj_t BgL_obj1829z00_24955)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 62 */
			{
				BgL_ev_exprz00_bglt BgL_obj1829z00_7746;

				BgL_obj1829z00_7746 = (BgL_ev_exprz00_bglt) (BgL_obj1829z00_24955);
				{	/* Eval/evaluate.scm 62 */
					obj_t BgL_res1830z00_23728;

					BgL_res1830z00_23728 =
						make_struct(BGl_symbol8234z00zz__evaluatez00,
						(int) (((long) 1)), BUNSPEC);
					{	/* Eval/evaluate.scm 62 */
						int BgL_auxz00_35170;

						BgL_auxz00_35170 = (int) (((long) 0));
						STRUCT_SET(BgL_res1830z00_23728, BgL_auxz00_35170, BFALSE);
					}
					return BgL_res1830z00_23728;
				}
			}
		}
	}



/* struct+object->objec3503 */
	obj_t BGl_structzb2objectzd2ze3objec3503z83zz__evaluatez00(obj_t
		BgL_envz00_24956, obj_t BgL_oz00_24957, obj_t BgL_sz00_24958)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 64 */
			{
				BgL_ev_varz00_bglt BgL_oz00_7737;

				obj_t BgL_sz00_7738;

				{	/* Eval/evaluate.scm 64 */
					BgL_ev_varz00_bglt BgL_auxz00_35174;

					BgL_oz00_7737 = (BgL_ev_varz00_bglt) (BgL_oz00_24957);
					BgL_sz00_7738 = BgL_sz00_24958;
					{	/* Eval/evaluate.scm 64 */
						obj_t BgL_arg6727z00_23719;

						BgL_arg6727z00_23719 =
							STRUCT_REF(BgL_sz00_7738, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 64 */
							BgL_objectz00_bglt BgL_auxz00_35177;

							BgL_auxz00_35177 = (BgL_objectz00_bglt) (BgL_oz00_7737);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35177, BgL_arg6727z00_23719);
					}}
					{
						obj_t BgL_auxz00_35180;

						BgL_auxz00_35180 = STRUCT_REF(BgL_sz00_7738, (int) (((long) 1)));
						((((BgL_ev_varz00_bglt) CREF(BgL_oz00_7737))->BgL_namez00) =
							((obj_t) BgL_auxz00_35180), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35184;

						BgL_auxz00_35184 = STRUCT_REF(BgL_sz00_7738, (int) (((long) 2)));
						((((BgL_ev_varz00_bglt) CREF(BgL_oz00_7737))->BgL_effz00) =
							((obj_t) BgL_auxz00_35184), BUNSPEC);
					}
					BgL_auxz00_35174 = BgL_oz00_7737;
					return (obj_t) (BgL_auxz00_35174);
				}
			}
		}
	}



/* object->struct-ev_va3501 */
	obj_t BGl_objectzd2ze3structzd2ev_va3501ze3zz__evaluatez00(obj_t
		BgL_envz00_24959, obj_t BgL_obj1849z00_24960)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 64 */
			{
				BgL_ev_varz00_bglt BgL_obj1849z00_7727;

				BgL_obj1849z00_7727 = (BgL_ev_varz00_bglt) (BgL_obj1849z00_24960);
				{	/* Eval/evaluate.scm 64 */
					obj_t BgL_res1850z00_7730;

					BgL_res1850z00_7730 =
						make_struct(BGl_symbol8236z00zz__evaluatez00,
						(int) (((long) 3)), BUNSPEC);
					{	/* Eval/evaluate.scm 64 */
						int BgL_auxz00_35192;

						BgL_auxz00_35192 = (int) (((long) 0));
						STRUCT_SET(BgL_res1850z00_7730, BgL_auxz00_35192, BFALSE);
					}
					{	/* Eval/evaluate.scm 64 */
						obj_t BgL_arg6723z00_7732;

						BgL_arg6723z00_7732 =
							(((BgL_ev_varz00_bglt) CREF(BgL_obj1849z00_7727))->BgL_namez00);
						{	/* Eval/evaluate.scm 64 */
							int BgL_auxz00_35196;

							BgL_auxz00_35196 = (int) (((long) 1));
							STRUCT_SET(BgL_res1850z00_7730, BgL_auxz00_35196,
								BgL_arg6723z00_7732);
					}}
					{	/* Eval/evaluate.scm 64 */
						obj_t BgL_arg6725z00_7734;

						BgL_arg6725z00_7734 =
							(((BgL_ev_varz00_bglt) CREF(BgL_obj1849z00_7727))->BgL_effz00);
						{	/* Eval/evaluate.scm 64 */
							int BgL_auxz00_35200;

							BgL_auxz00_35200 = (int) (((long) 2));
							STRUCT_SET(BgL_res1850z00_7730, BgL_auxz00_35200,
								BgL_arg6725z00_7734);
					}}
					return BgL_res1850z00_7730;
				}
			}
		}
	}



/* struct+object->objec3499 */
	obj_t BGl_structzb2objectzd2ze3objec3499z83zz__evaluatez00(obj_t
		BgL_envz00_24961, obj_t BgL_oz00_24962, obj_t BgL_sz00_24963)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 65 */
			{
				BgL_ev_globalz00_bglt BgL_oz00_7718;

				obj_t BgL_sz00_7719;

				{	/* Eval/evaluate.scm 65 */
					BgL_ev_globalz00_bglt BgL_auxz00_35204;

					BgL_oz00_7718 = (BgL_ev_globalz00_bglt) (BgL_oz00_24962);
					BgL_sz00_7719 = BgL_sz00_24963;
					{	/* Eval/evaluate.scm 65 */
						obj_t BgL_arg6720z00_23696;

						BgL_arg6720z00_23696 =
							STRUCT_REF(BgL_sz00_7719, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 65 */
							BgL_objectz00_bglt BgL_auxz00_35207;

							BgL_auxz00_35207 = (BgL_objectz00_bglt) (BgL_oz00_7718);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35207, BgL_arg6720z00_23696);
					}}
					{
						obj_t BgL_auxz00_35210;

						BgL_auxz00_35210 = STRUCT_REF(BgL_sz00_7719, (int) (((long) 1)));
						((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_7718))->BgL_namez00) =
							((obj_t) BgL_auxz00_35210), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35214;

						BgL_auxz00_35214 = STRUCT_REF(BgL_sz00_7719, (int) (((long) 2)));
						((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_7718))->BgL_modz00) =
							((obj_t) BgL_auxz00_35214), BUNSPEC);
					}
					BgL_auxz00_35204 = BgL_oz00_7718;
					return (obj_t) (BgL_auxz00_35204);
				}
			}
		}
	}



/* object->struct-ev_gl3497 */
	obj_t BGl_objectzd2ze3structzd2ev_gl3497ze3zz__evaluatez00(obj_t
		BgL_envz00_24964, obj_t BgL_obj1877z00_24965)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 65 */
			{
				BgL_ev_globalz00_bglt BgL_obj1877z00_7708;

				BgL_obj1877z00_7708 = (BgL_ev_globalz00_bglt) (BgL_obj1877z00_24965);
				{	/* Eval/evaluate.scm 65 */
					obj_t BgL_res1878z00_7711;

					BgL_res1878z00_7711 =
						make_struct(BGl_symbol8242z00zz__evaluatez00,
						(int) (((long) 3)), BUNSPEC);
					{	/* Eval/evaluate.scm 65 */
						int BgL_auxz00_35222;

						BgL_auxz00_35222 = (int) (((long) 0));
						STRUCT_SET(BgL_res1878z00_7711, BgL_auxz00_35222, BFALSE);
					}
					{	/* Eval/evaluate.scm 65 */
						obj_t BgL_arg6716z00_7713;

						BgL_arg6716z00_7713 =
							(((BgL_ev_globalz00_bglt) CREF(BgL_obj1877z00_7708))->
							BgL_namez00);
						{	/* Eval/evaluate.scm 65 */
							int BgL_auxz00_35226;

							BgL_auxz00_35226 = (int) (((long) 1));
							STRUCT_SET(BgL_res1878z00_7711, BgL_auxz00_35226,
								BgL_arg6716z00_7713);
					}}
					{	/* Eval/evaluate.scm 65 */
						obj_t BgL_arg6718z00_7715;

						BgL_arg6718z00_7715 =
							(((BgL_ev_globalz00_bglt) CREF(BgL_obj1877z00_7708))->BgL_modz00);
						{	/* Eval/evaluate.scm 65 */
							int BgL_auxz00_35230;

							BgL_auxz00_35230 = (int) (((long) 2));
							STRUCT_SET(BgL_res1878z00_7711, BgL_auxz00_35230,
								BgL_arg6718z00_7715);
					}}
					return BgL_res1878z00_7711;
				}
			}
		}
	}



/* struct+object->objec3495 */
	obj_t BGl_structzb2objectzd2ze3objec3495z83zz__evaluatez00(obj_t
		BgL_envz00_24966, obj_t BgL_oz00_24967, obj_t BgL_sz00_24968)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 67 */
			{
				BgL_ev_littz00_bglt BgL_oz00_7700;

				obj_t BgL_sz00_7701;

				{	/* Eval/evaluate.scm 67 */
					BgL_ev_littz00_bglt BgL_auxz00_35234;

					BgL_oz00_7700 = (BgL_ev_littz00_bglt) (BgL_oz00_24967);
					BgL_sz00_7701 = BgL_sz00_24968;
					{	/* Eval/evaluate.scm 67 */
						obj_t BgL_arg6713z00_23676;

						BgL_arg6713z00_23676 =
							STRUCT_REF(BgL_sz00_7701, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 67 */
							BgL_objectz00_bglt BgL_auxz00_35237;

							BgL_auxz00_35237 = (BgL_objectz00_bglt) (BgL_oz00_7700);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35237, BgL_arg6713z00_23676);
					}}
					{
						obj_t BgL_auxz00_35240;

						BgL_auxz00_35240 = STRUCT_REF(BgL_sz00_7701, (int) (((long) 1)));
						((((BgL_ev_littz00_bglt) CREF(BgL_oz00_7700))->BgL_valuez00) =
							((obj_t) BgL_auxz00_35240), BUNSPEC);
					}
					BgL_auxz00_35234 = BgL_oz00_7700;
					return (obj_t) (BgL_auxz00_35234);
				}
			}
		}
	}



/* object->struct-ev_li3493 */
	obj_t BGl_objectzd2ze3structzd2ev_li3493ze3zz__evaluatez00(obj_t
		BgL_envz00_24969, obj_t BgL_obj1899z00_24970)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 67 */
			{
				BgL_ev_littz00_bglt BgL_obj1899z00_7692;

				BgL_obj1899z00_7692 = (BgL_ev_littz00_bglt) (BgL_obj1899z00_24970);
				{	/* Eval/evaluate.scm 67 */
					obj_t BgL_res1900z00_7695;

					BgL_res1900z00_7695 =
						make_struct(BGl_symbol8246z00zz__evaluatez00,
						(int) (((long) 2)), BUNSPEC);
					{	/* Eval/evaluate.scm 67 */
						int BgL_auxz00_35248;

						BgL_auxz00_35248 = (int) (((long) 0));
						STRUCT_SET(BgL_res1900z00_7695, BgL_auxz00_35248, BFALSE);
					}
					{	/* Eval/evaluate.scm 67 */
						obj_t BgL_arg6711z00_7697;

						BgL_arg6711z00_7697 =
							(((BgL_ev_littz00_bglt) CREF(BgL_obj1899z00_7692))->BgL_valuez00);
						{	/* Eval/evaluate.scm 67 */
							int BgL_auxz00_35252;

							BgL_auxz00_35252 = (int) (((long) 1));
							STRUCT_SET(BgL_res1900z00_7695, BgL_auxz00_35252,
								BgL_arg6711z00_7697);
					}}
					return BgL_res1900z00_7695;
				}
			}
		}
	}



/* struct+object->objec3491 */
	obj_t BGl_structzb2objectzd2ze3objec3491z83zz__evaluatez00(obj_t
		BgL_envz00_24971, obj_t BgL_oz00_24972, obj_t BgL_sz00_24973)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 68 */
			{
				BgL_ev_ifz00_bglt BgL_oz00_7682;

				obj_t BgL_sz00_7683;

				{	/* Eval/evaluate.scm 68 */
					BgL_ev_ifz00_bglt BgL_auxz00_35256;

					BgL_oz00_7682 = (BgL_ev_ifz00_bglt) (BgL_oz00_24972);
					BgL_sz00_7683 = BgL_sz00_24973;
					{	/* Eval/evaluate.scm 68 */
						obj_t BgL_arg6708z00_7686;

						BgL_arg6708z00_7686 = STRUCT_REF(BgL_sz00_7683, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 68 */
							BgL_objectz00_bglt BgL_auxz00_35259;

							BgL_auxz00_35259 = (BgL_objectz00_bglt) (BgL_oz00_7682);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35259, BgL_arg6708z00_7686);
					}}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35262;

						BgL_auxz00_35262 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7683,
								(int) (((long) 1))));
						((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_7682))->BgL_pz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35262), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35267;

						BgL_auxz00_35267 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7683,
								(int) (((long) 2))));
						((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_7682))->BgL_tz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35267), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35272;

						BgL_auxz00_35272 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7683,
								(int) (((long) 3))));
						((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_7682))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35272), BUNSPEC);
					}
					BgL_auxz00_35256 = BgL_oz00_7682;
					return (obj_t) (BgL_auxz00_35256);
				}
			}
		}
	}



/* object->struct-ev_if3489 */
	obj_t BGl_objectzd2ze3structzd2ev_if3489ze3zz__evaluatez00(obj_t
		BgL_envz00_24974, obj_t BgL_obj1929z00_24975)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 68 */
			{
				BgL_ev_ifz00_bglt BgL_obj1929z00_7670;

				BgL_obj1929z00_7670 = (BgL_ev_ifz00_bglt) (BgL_obj1929z00_24975);
				{	/* Eval/evaluate.scm 68 */
					obj_t BgL_res1930z00_7673;

					BgL_res1930z00_7673 =
						make_struct(BGl_symbol8250z00zz__evaluatez00,
						(int) (((long) 4)), BUNSPEC);
					{	/* Eval/evaluate.scm 68 */
						int BgL_auxz00_35281;

						BgL_auxz00_35281 = (int) (((long) 0));
						STRUCT_SET(BgL_res1930z00_7673, BgL_auxz00_35281, BFALSE);
					}
					{	/* Eval/evaluate.scm 68 */
						BgL_ev_exprz00_bglt BgL_arg6702z00_7675;

						BgL_arg6702z00_7675 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_obj1929z00_7670))->BgL_pz00);
						{	/* Eval/evaluate.scm 68 */
							obj_t BgL_auxz00_35287;

							int BgL_auxz00_35285;

							BgL_auxz00_35287 = (obj_t) (BgL_arg6702z00_7675);
							BgL_auxz00_35285 = (int) (((long) 1));
							STRUCT_SET(BgL_res1930z00_7673, BgL_auxz00_35285,
								BgL_auxz00_35287);
					}}
					{	/* Eval/evaluate.scm 68 */
						BgL_ev_exprz00_bglt BgL_arg6704z00_7677;

						BgL_arg6704z00_7677 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_obj1929z00_7670))->BgL_tz00);
						{	/* Eval/evaluate.scm 68 */
							obj_t BgL_auxz00_35293;

							int BgL_auxz00_35291;

							BgL_auxz00_35293 = (obj_t) (BgL_arg6704z00_7677);
							BgL_auxz00_35291 = (int) (((long) 2));
							STRUCT_SET(BgL_res1930z00_7673, BgL_auxz00_35291,
								BgL_auxz00_35293);
					}}
					{	/* Eval/evaluate.scm 68 */
						BgL_ev_exprz00_bglt BgL_arg6706z00_7679;

						BgL_arg6706z00_7679 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_obj1929z00_7670))->BgL_ez00);
						{	/* Eval/evaluate.scm 68 */
							obj_t BgL_auxz00_35299;

							int BgL_auxz00_35297;

							BgL_auxz00_35299 = (obj_t) (BgL_arg6706z00_7679);
							BgL_auxz00_35297 = (int) (((long) 3));
							STRUCT_SET(BgL_res1930z00_7673, BgL_auxz00_35297,
								BgL_auxz00_35299);
					}}
					return BgL_res1930z00_7673;
				}
			}
		}
	}



/* struct+object->objec3487 */
	obj_t BGl_structzb2objectzd2ze3objec3487z83zz__evaluatez00(obj_t
		BgL_envz00_24976, obj_t BgL_oz00_24977, obj_t BgL_sz00_24978)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 69 */
			{
				BgL_ev_listz00_bglt BgL_oz00_7662;

				obj_t BgL_sz00_7663;

				{	/* Eval/evaluate.scm 69 */
					BgL_ev_listz00_bglt BgL_auxz00_35303;

					BgL_oz00_7662 = (BgL_ev_listz00_bglt) (BgL_oz00_24977);
					BgL_sz00_7663 = BgL_sz00_24978;
					{	/* Eval/evaluate.scm 69 */
						obj_t BgL_arg6699z00_23634;

						BgL_arg6699z00_23634 =
							STRUCT_REF(BgL_sz00_7663, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 69 */
							BgL_objectz00_bglt BgL_auxz00_35306;

							BgL_auxz00_35306 = (BgL_objectz00_bglt) (BgL_oz00_7662);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35306, BgL_arg6699z00_23634);
					}}
					{
						obj_t BgL_auxz00_35309;

						BgL_auxz00_35309 = STRUCT_REF(BgL_sz00_7663, (int) (((long) 1)));
						((((BgL_ev_listz00_bglt) CREF(BgL_oz00_7662))->BgL_argsz00) =
							((obj_t) BgL_auxz00_35309), BUNSPEC);
					}
					BgL_auxz00_35303 = BgL_oz00_7662;
					return (obj_t) (BgL_auxz00_35303);
				}
			}
		}
	}



/* object->struct-ev_li3485 */
	obj_t BGl_objectzd2ze3structzd2ev_li3485ze3zz__evaluatez00(obj_t
		BgL_envz00_24979, obj_t BgL_obj1955z00_24980)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 69 */
			{
				BgL_ev_listz00_bglt BgL_obj1955z00_7654;

				BgL_obj1955z00_7654 = (BgL_ev_listz00_bglt) (BgL_obj1955z00_24980);
				{	/* Eval/evaluate.scm 69 */
					obj_t BgL_res1956z00_7657;

					BgL_res1956z00_7657 =
						make_struct(BGl_symbol8258z00zz__evaluatez00,
						(int) (((long) 2)), BUNSPEC);
					{	/* Eval/evaluate.scm 69 */
						int BgL_auxz00_35317;

						BgL_auxz00_35317 = (int) (((long) 0));
						STRUCT_SET(BgL_res1956z00_7657, BgL_auxz00_35317, BFALSE);
					}
					{	/* Eval/evaluate.scm 69 */
						obj_t BgL_arg6697z00_7659;

						BgL_arg6697z00_7659 =
							(((BgL_ev_listz00_bglt) CREF(BgL_obj1955z00_7654))->BgL_argsz00);
						{	/* Eval/evaluate.scm 69 */
							int BgL_auxz00_35321;

							BgL_auxz00_35321 = (int) (((long) 1));
							STRUCT_SET(BgL_res1956z00_7657, BgL_auxz00_35321,
								BgL_arg6697z00_7659);
					}}
					return BgL_res1956z00_7657;
				}
			}
		}
	}



/* struct+object->objec3483 */
	obj_t BGl_structzb2objectzd2ze3objec3483z83zz__evaluatez00(obj_t
		BgL_envz00_24981, obj_t BgL_oz00_24982, obj_t BgL_sz00_24983)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 70 */
			{
				BgL_ev_orz00_bglt BgL_oz00_7646;

				obj_t BgL_sz00_7647;

				{	/* Eval/evaluate.scm 70 */
					BgL_ev_orz00_bglt BgL_auxz00_35325;

					BgL_oz00_7646 = (BgL_ev_orz00_bglt) (BgL_oz00_24982);
					BgL_sz00_7647 = BgL_sz00_24983;
					{	/* Eval/evaluate.scm 70 */
						obj_t BgL_arg6694z00_23618;

						BgL_arg6694z00_23618 =
							STRUCT_REF(BgL_sz00_7647, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 70 */
							BgL_objectz00_bglt BgL_auxz00_35328;

							BgL_auxz00_35328 = (BgL_objectz00_bglt) (BgL_oz00_7646);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35328, BgL_arg6694z00_23618);
					}}
					{
						obj_t BgL_auxz00_35331;

						BgL_auxz00_35331 = STRUCT_REF(BgL_sz00_7647, (int) (((long) 1)));
						((((BgL_ev_orz00_bglt) CREF(BgL_oz00_7646))->BgL_argsz00) =
							((obj_t) BgL_auxz00_35331), BUNSPEC);
					}
					BgL_auxz00_35325 = BgL_oz00_7646;
					return (obj_t) (BgL_auxz00_35325);
				}
			}
		}
	}



/* object->struct-ev_or3481 */
	obj_t BGl_objectzd2ze3structzd2ev_or3481ze3zz__evaluatez00(obj_t
		BgL_envz00_24984, obj_t BgL_obj1973z00_24985)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 70 */
			{
				BgL_ev_orz00_bglt BgL_obj1973z00_7638;

				BgL_obj1973z00_7638 = (BgL_ev_orz00_bglt) (BgL_obj1973z00_24985);
				{	/* Eval/evaluate.scm 70 */
					obj_t BgL_res1974z00_7641;

					BgL_res1974z00_7641 =
						make_struct(BGl_symbol8262z00zz__evaluatez00,
						(int) (((long) 2)), BUNSPEC);
					{	/* Eval/evaluate.scm 70 */
						int BgL_auxz00_35339;

						BgL_auxz00_35339 = (int) (((long) 0));
						STRUCT_SET(BgL_res1974z00_7641, BgL_auxz00_35339, BFALSE);
					}
					{	/* Eval/evaluate.scm 70 */
						obj_t BgL_arg6692z00_7643;

						{
							BgL_ev_listz00_bglt BgL_auxz00_35342;

							BgL_auxz00_35342 = (BgL_ev_listz00_bglt) (BgL_obj1973z00_7638);
							BgL_arg6692z00_7643 =
								(((BgL_ev_listz00_bglt) CREF(BgL_auxz00_35342))->BgL_argsz00);
						}
						{	/* Eval/evaluate.scm 70 */
							int BgL_auxz00_35345;

							BgL_auxz00_35345 = (int) (((long) 1));
							STRUCT_SET(BgL_res1974z00_7641, BgL_auxz00_35345,
								BgL_arg6692z00_7643);
					}}
					return BgL_res1974z00_7641;
				}
			}
		}
	}



/* struct+object->objec3479 */
	obj_t BGl_structzb2objectzd2ze3objec3479z83zz__evaluatez00(obj_t
		BgL_envz00_24986, obj_t BgL_oz00_24987, obj_t BgL_sz00_24988)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 71 */
			{
				BgL_ev_andz00_bglt BgL_oz00_7630;

				obj_t BgL_sz00_7631;

				{	/* Eval/evaluate.scm 71 */
					BgL_ev_andz00_bglt BgL_auxz00_35349;

					BgL_oz00_7630 = (BgL_ev_andz00_bglt) (BgL_oz00_24987);
					BgL_sz00_7631 = BgL_sz00_24988;
					{	/* Eval/evaluate.scm 71 */
						obj_t BgL_arg6689z00_23602;

						BgL_arg6689z00_23602 =
							STRUCT_REF(BgL_sz00_7631, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 71 */
							BgL_objectz00_bglt BgL_auxz00_35352;

							BgL_auxz00_35352 = (BgL_objectz00_bglt) (BgL_oz00_7630);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35352, BgL_arg6689z00_23602);
					}}
					{
						obj_t BgL_auxz00_35355;

						BgL_auxz00_35355 = STRUCT_REF(BgL_sz00_7631, (int) (((long) 1)));
						((((BgL_ev_andz00_bglt) CREF(BgL_oz00_7630))->BgL_argsz00) =
							((obj_t) BgL_auxz00_35355), BUNSPEC);
					}
					BgL_auxz00_35349 = BgL_oz00_7630;
					return (obj_t) (BgL_auxz00_35349);
				}
			}
		}
	}



/* object->struct-ev_an3477 */
	obj_t BGl_objectzd2ze3structzd2ev_an3477ze3zz__evaluatez00(obj_t
		BgL_envz00_24989, obj_t BgL_obj1991z00_24990)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 71 */
			{
				BgL_ev_andz00_bglt BgL_obj1991z00_7622;

				BgL_obj1991z00_7622 = (BgL_ev_andz00_bglt) (BgL_obj1991z00_24990);
				{	/* Eval/evaluate.scm 71 */
					obj_t BgL_res1992z00_7625;

					BgL_res1992z00_7625 =
						make_struct(BGl_symbol8264z00zz__evaluatez00,
						(int) (((long) 2)), BUNSPEC);
					{	/* Eval/evaluate.scm 71 */
						int BgL_auxz00_35363;

						BgL_auxz00_35363 = (int) (((long) 0));
						STRUCT_SET(BgL_res1992z00_7625, BgL_auxz00_35363, BFALSE);
					}
					{	/* Eval/evaluate.scm 71 */
						obj_t BgL_arg6687z00_7627;

						{
							BgL_ev_listz00_bglt BgL_auxz00_35366;

							BgL_auxz00_35366 = (BgL_ev_listz00_bglt) (BgL_obj1991z00_7622);
							BgL_arg6687z00_7627 =
								(((BgL_ev_listz00_bglt) CREF(BgL_auxz00_35366))->BgL_argsz00);
						}
						{	/* Eval/evaluate.scm 71 */
							int BgL_auxz00_35369;

							BgL_auxz00_35369 = (int) (((long) 1));
							STRUCT_SET(BgL_res1992z00_7625, BgL_auxz00_35369,
								BgL_arg6687z00_7627);
					}}
					return BgL_res1992z00_7625;
				}
			}
		}
	}



/* struct+object->objec3474 */
	obj_t BGl_structzb2objectzd2ze3objec3474z83zz__evaluatez00(obj_t
		BgL_envz00_24991, obj_t BgL_oz00_24992, obj_t BgL_sz00_24993)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 72 */
			{
				BgL_ev_prog2z00_bglt BgL_oz00_7613;

				obj_t BgL_sz00_7614;

				{	/* Eval/evaluate.scm 72 */
					BgL_ev_prog2z00_bglt BgL_auxz00_35373;

					BgL_oz00_7613 = (BgL_ev_prog2z00_bglt) (BgL_oz00_24992);
					BgL_sz00_7614 = BgL_sz00_24993;
					{	/* Eval/evaluate.scm 72 */
						obj_t BgL_arg6684z00_23583;

						BgL_arg6684z00_23583 =
							STRUCT_REF(BgL_sz00_7614, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 72 */
							BgL_objectz00_bglt BgL_auxz00_35376;

							BgL_auxz00_35376 = (BgL_objectz00_bglt) (BgL_oz00_7613);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35376, BgL_arg6684z00_23583);
					}}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35379;

						BgL_auxz00_35379 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7614,
								(int) (((long) 1))));
						((((BgL_ev_prog2z00_bglt) CREF(BgL_oz00_7613))->BgL_e1z00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35379), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35384;

						BgL_auxz00_35384 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7614,
								(int) (((long) 2))));
						((((BgL_ev_prog2z00_bglt) CREF(BgL_oz00_7613))->BgL_e2z00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35384), BUNSPEC);
					}
					BgL_auxz00_35373 = BgL_oz00_7613;
					return (obj_t) (BgL_auxz00_35373);
				}
			}
		}
	}



/* object->struct-ev_pr3471 */
	obj_t BGl_objectzd2ze3structzd2ev_pr3471ze3zz__evaluatez00(obj_t
		BgL_envz00_24994, obj_t BgL_obj2015z00_24995)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 72 */
			{
				BgL_ev_prog2z00_bglt BgL_obj2015z00_7603;

				BgL_obj2015z00_7603 = (BgL_ev_prog2z00_bglt) (BgL_obj2015z00_24995);
				{	/* Eval/evaluate.scm 72 */
					obj_t BgL_res2016z00_7606;

					BgL_res2016z00_7606 =
						make_struct(BGl_symbol8266z00zz__evaluatez00,
						(int) (((long) 3)), BUNSPEC);
					{	/* Eval/evaluate.scm 72 */
						int BgL_auxz00_35393;

						BgL_auxz00_35393 = (int) (((long) 0));
						STRUCT_SET(BgL_res2016z00_7606, BgL_auxz00_35393, BFALSE);
					}
					{	/* Eval/evaluate.scm 72 */
						BgL_ev_exprz00_bglt BgL_arg6680z00_7608;

						BgL_arg6680z00_7608 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_obj2015z00_7603))->BgL_e1z00);
						{	/* Eval/evaluate.scm 72 */
							obj_t BgL_auxz00_35399;

							int BgL_auxz00_35397;

							BgL_auxz00_35399 = (obj_t) (BgL_arg6680z00_7608);
							BgL_auxz00_35397 = (int) (((long) 1));
							STRUCT_SET(BgL_res2016z00_7606, BgL_auxz00_35397,
								BgL_auxz00_35399);
					}}
					{	/* Eval/evaluate.scm 72 */
						BgL_ev_exprz00_bglt BgL_arg6682z00_7610;

						BgL_arg6682z00_7610 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_obj2015z00_7603))->BgL_e2z00);
						{	/* Eval/evaluate.scm 72 */
							obj_t BgL_auxz00_35405;

							int BgL_auxz00_35403;

							BgL_auxz00_35405 = (obj_t) (BgL_arg6682z00_7610);
							BgL_auxz00_35403 = (int) (((long) 2));
							STRUCT_SET(BgL_res2016z00_7606, BgL_auxz00_35403,
								BgL_auxz00_35405);
					}}
					return BgL_res2016z00_7606;
				}
			}
		}
	}



/* struct+object->objec3469 */
	obj_t BGl_structzb2objectzd2ze3objec3469z83zz__evaluatez00(obj_t
		BgL_envz00_24996, obj_t BgL_oz00_24997, obj_t BgL_sz00_24998)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_oz00_7595;

				obj_t BgL_sz00_7596;

				{	/* Eval/evaluate.scm 73 */
					BgL_ev_hookz00_bglt BgL_auxz00_35409;

					BgL_oz00_7595 = (BgL_ev_hookz00_bglt) (BgL_oz00_24997);
					BgL_sz00_7596 = BgL_sz00_24998;
					{	/* Eval/evaluate.scm 73 */
						obj_t BgL_arg6677z00_23563;

						BgL_arg6677z00_23563 =
							STRUCT_REF(BgL_sz00_7596, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 73 */
							BgL_objectz00_bglt BgL_auxz00_35412;

							BgL_auxz00_35412 = (BgL_objectz00_bglt) (BgL_oz00_7595);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35412, BgL_arg6677z00_23563);
					}}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35415;

						BgL_auxz00_35415 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7596,
								(int) (((long) 1))));
						((((BgL_ev_hookz00_bglt) CREF(BgL_oz00_7595))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35415), BUNSPEC);
					}
					BgL_auxz00_35409 = BgL_oz00_7595;
					return (obj_t) (BgL_auxz00_35409);
				}
			}
		}
	}



/* object->struct-ev_ho3467 */
	obj_t BGl_objectzd2ze3structzd2ev_ho3467ze3zz__evaluatez00(obj_t
		BgL_envz00_24999, obj_t BgL_obj2037z00_25000)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_obj2037z00_7587;

				BgL_obj2037z00_7587 = (BgL_ev_hookz00_bglt) (BgL_obj2037z00_25000);
				{	/* Eval/evaluate.scm 73 */
					obj_t BgL_res2038z00_7590;

					BgL_res2038z00_7590 =
						make_struct(BGl_symbol8272z00zz__evaluatez00,
						(int) (((long) 2)), BUNSPEC);
					{	/* Eval/evaluate.scm 73 */
						int BgL_auxz00_35424;

						BgL_auxz00_35424 = (int) (((long) 0));
						STRUCT_SET(BgL_res2038z00_7590, BgL_auxz00_35424, BFALSE);
					}
					{	/* Eval/evaluate.scm 73 */
						BgL_ev_exprz00_bglt BgL_arg6675z00_7592;

						BgL_arg6675z00_7592 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_obj2037z00_7587))->BgL_ez00);
						{	/* Eval/evaluate.scm 73 */
							obj_t BgL_auxz00_35430;

							int BgL_auxz00_35428;

							BgL_auxz00_35430 = (obj_t) (BgL_arg6675z00_7592);
							BgL_auxz00_35428 = (int) (((long) 1));
							STRUCT_SET(BgL_res2038z00_7590, BgL_auxz00_35428,
								BgL_auxz00_35430);
					}}
					return BgL_res2038z00_7590;
				}
			}
		}
	}



/* struct+object->objec3465 */
	obj_t BGl_structzb2objectzd2ze3objec3465z83zz__evaluatez00(obj_t
		BgL_envz00_25001, obj_t BgL_oz00_25002, obj_t BgL_sz00_25003)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 74 */
			{
				BgL_ev_trapz00_bglt BgL_oz00_7579;

				obj_t BgL_sz00_7580;

				{	/* Eval/evaluate.scm 74 */
					BgL_ev_trapz00_bglt BgL_auxz00_35434;

					BgL_oz00_7579 = (BgL_ev_trapz00_bglt) (BgL_oz00_25002);
					BgL_sz00_7580 = BgL_sz00_25003;
					{	/* Eval/evaluate.scm 74 */
						obj_t BgL_arg6672z00_23547;

						BgL_arg6672z00_23547 =
							STRUCT_REF(BgL_sz00_7580, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 74 */
							BgL_objectz00_bglt BgL_auxz00_35437;

							BgL_auxz00_35437 = (BgL_objectz00_bglt) (BgL_oz00_7579);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35437, BgL_arg6672z00_23547);
					}}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35440;

						BgL_auxz00_35440 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7580,
								(int) (((long) 1))));
						((((BgL_ev_trapz00_bglt) CREF(BgL_oz00_7579))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35440), BUNSPEC);
					}
					BgL_auxz00_35434 = BgL_oz00_7579;
					return (obj_t) (BgL_auxz00_35434);
				}
			}
		}
	}



/* object->struct-ev_tr3463 */
	obj_t BGl_objectzd2ze3structzd2ev_tr3463ze3zz__evaluatez00(obj_t
		BgL_envz00_25004, obj_t BgL_obj2055z00_25005)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 74 */
			{
				BgL_ev_trapz00_bglt BgL_obj2055z00_7571;

				BgL_obj2055z00_7571 = (BgL_ev_trapz00_bglt) (BgL_obj2055z00_25005);
				{	/* Eval/evaluate.scm 74 */
					obj_t BgL_res2056z00_7574;

					BgL_res2056z00_7574 =
						make_struct(BGl_symbol8274z00zz__evaluatez00,
						(int) (((long) 2)), BUNSPEC);
					{	/* Eval/evaluate.scm 74 */
						int BgL_auxz00_35449;

						BgL_auxz00_35449 = (int) (((long) 0));
						STRUCT_SET(BgL_res2056z00_7574, BgL_auxz00_35449, BFALSE);
					}
					{	/* Eval/evaluate.scm 74 */
						BgL_ev_exprz00_bglt BgL_arg6670z00_7576;

						{
							BgL_ev_hookz00_bglt BgL_auxz00_35452;

							BgL_auxz00_35452 = (BgL_ev_hookz00_bglt) (BgL_obj2055z00_7571);
							BgL_arg6670z00_7576 =
								(((BgL_ev_hookz00_bglt) CREF(BgL_auxz00_35452))->BgL_ez00);
						}
						{	/* Eval/evaluate.scm 74 */
							obj_t BgL_auxz00_35457;

							int BgL_auxz00_35455;

							BgL_auxz00_35457 = (obj_t) (BgL_arg6670z00_7576);
							BgL_auxz00_35455 = (int) (((long) 1));
							STRUCT_SET(BgL_res2056z00_7574, BgL_auxz00_35455,
								BgL_auxz00_35457);
					}}
					return BgL_res2056z00_7574;
				}
			}
		}
	}



/* struct+object->objec3461 */
	obj_t BGl_structzb2objectzd2ze3objec3461z83zz__evaluatez00(obj_t
		BgL_envz00_25006, obj_t BgL_oz00_25007, obj_t BgL_sz00_25008)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 75 */
			{
				BgL_ev_setlocalz00_bglt BgL_oz00_7562;

				obj_t BgL_sz00_7563;

				{	/* Eval/evaluate.scm 75 */
					BgL_ev_setlocalz00_bglt BgL_auxz00_35461;

					BgL_oz00_7562 = (BgL_ev_setlocalz00_bglt) (BgL_oz00_25007);
					BgL_sz00_7563 = BgL_sz00_25008;
					{	/* Eval/evaluate.scm 75 */
						obj_t BgL_arg6667z00_23528;

						BgL_arg6667z00_23528 =
							STRUCT_REF(BgL_sz00_7563, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 75 */
							BgL_objectz00_bglt BgL_auxz00_35464;

							BgL_auxz00_35464 = (BgL_objectz00_bglt) (BgL_oz00_7562);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35464, BgL_arg6667z00_23528);
					}}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35467;

						BgL_auxz00_35467 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7563,
								(int) (((long) 1))));
						((((BgL_ev_setlocalz00_bglt) CREF(BgL_oz00_7562))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35467), BUNSPEC);
					}
					{
						BgL_ev_varz00_bglt BgL_auxz00_35472;

						BgL_auxz00_35472 =
							(BgL_ev_varz00_bglt) (STRUCT_REF(BgL_sz00_7563,
								(int) (((long) 2))));
						((((BgL_ev_setlocalz00_bglt) CREF(BgL_oz00_7562))->BgL_vz00) =
							((BgL_ev_varz00_bglt) BgL_auxz00_35472), BUNSPEC);
					}
					BgL_auxz00_35461 = BgL_oz00_7562;
					return (obj_t) (BgL_auxz00_35461);
				}
			}
		}
	}



/* object->struct-ev_se3459 */
	obj_t BGl_objectzd2ze3structzd2ev_se3459ze3zz__evaluatez00(obj_t
		BgL_envz00_25009, obj_t BgL_obj2079z00_25010)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 75 */
			{
				BgL_ev_setlocalz00_bglt BgL_obj2079z00_7552;

				BgL_obj2079z00_7552 = (BgL_ev_setlocalz00_bglt) (BgL_obj2079z00_25010);
				{	/* Eval/evaluate.scm 75 */
					obj_t BgL_res2080z00_7555;

					BgL_res2080z00_7555 =
						make_struct(BGl_symbol8276z00zz__evaluatez00,
						(int) (((long) 3)), BUNSPEC);
					{	/* Eval/evaluate.scm 75 */
						int BgL_auxz00_35481;

						BgL_auxz00_35481 = (int) (((long) 0));
						STRUCT_SET(BgL_res2080z00_7555, BgL_auxz00_35481, BFALSE);
					}
					{	/* Eval/evaluate.scm 75 */
						BgL_ev_exprz00_bglt BgL_arg6663z00_7557;

						{
							BgL_ev_hookz00_bglt BgL_auxz00_35484;

							BgL_auxz00_35484 = (BgL_ev_hookz00_bglt) (BgL_obj2079z00_7552);
							BgL_arg6663z00_7557 =
								(((BgL_ev_hookz00_bglt) CREF(BgL_auxz00_35484))->BgL_ez00);
						}
						{	/* Eval/evaluate.scm 75 */
							obj_t BgL_auxz00_35489;

							int BgL_auxz00_35487;

							BgL_auxz00_35489 = (obj_t) (BgL_arg6663z00_7557);
							BgL_auxz00_35487 = (int) (((long) 1));
							STRUCT_SET(BgL_res2080z00_7555, BgL_auxz00_35487,
								BgL_auxz00_35489);
					}}
					{	/* Eval/evaluate.scm 75 */
						BgL_ev_varz00_bglt BgL_arg6665z00_7559;

						BgL_arg6665z00_7559 =
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_obj2079z00_7552))->BgL_vz00);
						{	/* Eval/evaluate.scm 75 */
							obj_t BgL_auxz00_35495;

							int BgL_auxz00_35493;

							BgL_auxz00_35495 = (obj_t) (BgL_arg6665z00_7559);
							BgL_auxz00_35493 = (int) (((long) 2));
							STRUCT_SET(BgL_res2080z00_7555, BgL_auxz00_35493,
								BgL_auxz00_35495);
					}}
					return BgL_res2080z00_7555;
				}
			}
		}
	}



/* struct+object->objec3457 */
	obj_t BGl_structzb2objectzd2ze3objec3457z83zz__evaluatez00(obj_t
		BgL_envz00_25011, obj_t BgL_oz00_25012, obj_t BgL_sz00_25013)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 76 */
			{
				BgL_ev_setglobalz00_bglt BgL_oz00_7542;

				obj_t BgL_sz00_7543;

				{	/* Eval/evaluate.scm 76 */
					BgL_ev_setglobalz00_bglt BgL_auxz00_35499;

					BgL_oz00_7542 = (BgL_ev_setglobalz00_bglt) (BgL_oz00_25012);
					BgL_sz00_7543 = BgL_sz00_25013;
					{	/* Eval/evaluate.scm 76 */
						obj_t BgL_arg6660z00_7546;

						BgL_arg6660z00_7546 = STRUCT_REF(BgL_sz00_7543, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 76 */
							BgL_objectz00_bglt BgL_auxz00_35502;

							BgL_auxz00_35502 = (BgL_objectz00_bglt) (BgL_oz00_7542);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35502, BgL_arg6660z00_7546);
					}}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35505;

						BgL_auxz00_35505 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7543,
								(int) (((long) 1))));
						((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_7542))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35505), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35510;

						BgL_auxz00_35510 = STRUCT_REF(BgL_sz00_7543, (int) (((long) 2)));
						((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_7542))->BgL_namez00) =
							((obj_t) BgL_auxz00_35510), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35514;

						BgL_auxz00_35514 = STRUCT_REF(BgL_sz00_7543, (int) (((long) 3)));
						((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_7542))->BgL_modz00) =
							((obj_t) BgL_auxz00_35514), BUNSPEC);
					}
					BgL_auxz00_35499 = BgL_oz00_7542;
					return (obj_t) (BgL_auxz00_35499);
				}
			}
		}
	}



/* object->struct-ev_se3455 */
	obj_t BGl_objectzd2ze3structzd2ev_se3455ze3zz__evaluatez00(obj_t
		BgL_envz00_25014, obj_t BgL_obj2113z00_25015)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 76 */
			{
				BgL_ev_setglobalz00_bglt BgL_obj2113z00_7530;

				BgL_obj2113z00_7530 = (BgL_ev_setglobalz00_bglt) (BgL_obj2113z00_25015);
				{	/* Eval/evaluate.scm 76 */
					obj_t BgL_res2114z00_7533;

					BgL_res2114z00_7533 =
						make_struct(BGl_symbol8280z00zz__evaluatez00,
						(int) (((long) 4)), BUNSPEC);
					{	/* Eval/evaluate.scm 76 */
						int BgL_auxz00_35522;

						BgL_auxz00_35522 = (int) (((long) 0));
						STRUCT_SET(BgL_res2114z00_7533, BgL_auxz00_35522, BFALSE);
					}
					{	/* Eval/evaluate.scm 76 */
						BgL_ev_exprz00_bglt BgL_arg6654z00_7535;

						{
							BgL_ev_hookz00_bglt BgL_auxz00_35525;

							BgL_auxz00_35525 = (BgL_ev_hookz00_bglt) (BgL_obj2113z00_7530);
							BgL_arg6654z00_7535 =
								(((BgL_ev_hookz00_bglt) CREF(BgL_auxz00_35525))->BgL_ez00);
						}
						{	/* Eval/evaluate.scm 76 */
							obj_t BgL_auxz00_35530;

							int BgL_auxz00_35528;

							BgL_auxz00_35530 = (obj_t) (BgL_arg6654z00_7535);
							BgL_auxz00_35528 = (int) (((long) 1));
							STRUCT_SET(BgL_res2114z00_7533, BgL_auxz00_35528,
								BgL_auxz00_35530);
					}}
					{	/* Eval/evaluate.scm 76 */
						obj_t BgL_arg6656z00_7537;

						BgL_arg6656z00_7537 =
							(((BgL_ev_setglobalz00_bglt) CREF(BgL_obj2113z00_7530))->
							BgL_namez00);
						{	/* Eval/evaluate.scm 76 */
							int BgL_auxz00_35534;

							BgL_auxz00_35534 = (int) (((long) 2));
							STRUCT_SET(BgL_res2114z00_7533, BgL_auxz00_35534,
								BgL_arg6656z00_7537);
					}}
					{	/* Eval/evaluate.scm 76 */
						obj_t BgL_arg6658z00_7539;

						BgL_arg6658z00_7539 =
							(((BgL_ev_setglobalz00_bglt) CREF(BgL_obj2113z00_7530))->
							BgL_modz00);
						{	/* Eval/evaluate.scm 76 */
							int BgL_auxz00_35538;

							BgL_auxz00_35538 = (int) (((long) 3));
							STRUCT_SET(BgL_res2114z00_7533, BgL_auxz00_35538,
								BgL_arg6658z00_7539);
					}}
					return BgL_res2114z00_7533;
				}
			}
		}
	}



/* struct+object->objec3453 */
	obj_t BGl_structzb2objectzd2ze3objec3453z83zz__evaluatez00(obj_t
		BgL_envz00_25016, obj_t BgL_oz00_25017, obj_t BgL_sz00_25018)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 77 */
			{
				BgL_ev_defglobalz00_bglt BgL_oz00_7520;

				obj_t BgL_sz00_7521;

				{	/* Eval/evaluate.scm 77 */
					BgL_ev_defglobalz00_bglt BgL_auxz00_35542;

					BgL_oz00_7520 = (BgL_ev_defglobalz00_bglt) (BgL_oz00_25017);
					BgL_sz00_7521 = BgL_sz00_25018;
					{	/* Eval/evaluate.scm 77 */
						obj_t BgL_arg6651z00_7524;

						BgL_arg6651z00_7524 = STRUCT_REF(BgL_sz00_7521, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 77 */
							BgL_objectz00_bglt BgL_auxz00_35545;

							BgL_auxz00_35545 = (BgL_objectz00_bglt) (BgL_oz00_7520);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35545, BgL_arg6651z00_7524);
					}}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35548;

						BgL_auxz00_35548 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7521,
								(int) (((long) 1))));
						((((BgL_ev_defglobalz00_bglt) CREF(BgL_oz00_7520))->BgL_ez00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35548), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35553;

						BgL_auxz00_35553 = STRUCT_REF(BgL_sz00_7521, (int) (((long) 2)));
						((((BgL_ev_defglobalz00_bglt) CREF(BgL_oz00_7520))->BgL_namez00) =
							((obj_t) BgL_auxz00_35553), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35557;

						BgL_auxz00_35557 = STRUCT_REF(BgL_sz00_7521, (int) (((long) 3)));
						((((BgL_ev_defglobalz00_bglt) CREF(BgL_oz00_7520))->BgL_modz00) =
							((obj_t) BgL_auxz00_35557), BUNSPEC);
					}
					BgL_auxz00_35542 = BgL_oz00_7520;
					return (obj_t) (BgL_auxz00_35542);
				}
			}
		}
	}



/* object->struct-ev_de3451 */
	obj_t BGl_objectzd2ze3structzd2ev_de3451ze3zz__evaluatez00(obj_t
		BgL_envz00_25019, obj_t BgL_obj2151z00_25020)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 77 */
			{
				BgL_ev_defglobalz00_bglt BgL_obj2151z00_7508;

				BgL_obj2151z00_7508 = (BgL_ev_defglobalz00_bglt) (BgL_obj2151z00_25020);
				{	/* Eval/evaluate.scm 77 */
					obj_t BgL_res2152z00_7511;

					BgL_res2152z00_7511 =
						make_struct(BGl_symbol8282z00zz__evaluatez00,
						(int) (((long) 4)), BUNSPEC);
					{	/* Eval/evaluate.scm 77 */
						int BgL_auxz00_35565;

						BgL_auxz00_35565 = (int) (((long) 0));
						STRUCT_SET(BgL_res2152z00_7511, BgL_auxz00_35565, BFALSE);
					}
					{	/* Eval/evaluate.scm 77 */
						BgL_ev_exprz00_bglt BgL_arg6645z00_7513;

						{
							BgL_ev_hookz00_bglt BgL_auxz00_35568;

							BgL_auxz00_35568 = (BgL_ev_hookz00_bglt) (BgL_obj2151z00_7508);
							BgL_arg6645z00_7513 =
								(((BgL_ev_hookz00_bglt) CREF(BgL_auxz00_35568))->BgL_ez00);
						}
						{	/* Eval/evaluate.scm 77 */
							obj_t BgL_auxz00_35573;

							int BgL_auxz00_35571;

							BgL_auxz00_35573 = (obj_t) (BgL_arg6645z00_7513);
							BgL_auxz00_35571 = (int) (((long) 1));
							STRUCT_SET(BgL_res2152z00_7511, BgL_auxz00_35571,
								BgL_auxz00_35573);
					}}
					{	/* Eval/evaluate.scm 77 */
						obj_t BgL_arg6647z00_7515;

						{
							BgL_ev_setglobalz00_bglt BgL_auxz00_35576;

							BgL_auxz00_35576 =
								(BgL_ev_setglobalz00_bglt) (BgL_obj2151z00_7508);
							BgL_arg6647z00_7515 =
								(((BgL_ev_setglobalz00_bglt) CREF(BgL_auxz00_35576))->
								BgL_namez00);
						}
						{	/* Eval/evaluate.scm 77 */
							int BgL_auxz00_35579;

							BgL_auxz00_35579 = (int) (((long) 2));
							STRUCT_SET(BgL_res2152z00_7511, BgL_auxz00_35579,
								BgL_arg6647z00_7515);
					}}
					{	/* Eval/evaluate.scm 77 */
						obj_t BgL_arg6649z00_7517;

						{
							BgL_ev_setglobalz00_bglt BgL_auxz00_35582;

							BgL_auxz00_35582 =
								(BgL_ev_setglobalz00_bglt) (BgL_obj2151z00_7508);
							BgL_arg6649z00_7517 =
								(((BgL_ev_setglobalz00_bglt) CREF(BgL_auxz00_35582))->
								BgL_modz00);
						}
						{	/* Eval/evaluate.scm 77 */
							int BgL_auxz00_35585;

							BgL_auxz00_35585 = (int) (((long) 3));
							STRUCT_SET(BgL_res2152z00_7511, BgL_auxz00_35585,
								BgL_arg6649z00_7517);
					}}
					return BgL_res2152z00_7511;
				}
			}
		}
	}



/* struct+object->objec3449 */
	obj_t BGl_structzb2objectzd2ze3objec3449z83zz__evaluatez00(obj_t
		BgL_envz00_25021, obj_t BgL_oz00_25022, obj_t BgL_sz00_25023)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 78 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_oz00_7499;

				obj_t BgL_sz00_7500;

				{	/* Eval/evaluate.scm 78 */
					BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_35589;

					BgL_oz00_7499 = (BgL_ev_bindzd2exitzd2_bglt) (BgL_oz00_25022);
					BgL_sz00_7500 = BgL_sz00_25023;
					{	/* Eval/evaluate.scm 78 */
						obj_t BgL_arg6642z00_23453;

						BgL_arg6642z00_23453 =
							STRUCT_REF(BgL_sz00_7500, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 78 */
							BgL_objectz00_bglt BgL_auxz00_35592;

							BgL_auxz00_35592 = (BgL_objectz00_bglt) (BgL_oz00_7499);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35592, BgL_arg6642z00_23453);
					}}
					{
						BgL_ev_varz00_bglt BgL_auxz00_35595;

						BgL_auxz00_35595 =
							(BgL_ev_varz00_bglt) (STRUCT_REF(BgL_sz00_7500,
								(int) (((long) 1))));
						((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_oz00_7499))->BgL_varz00) =
							((BgL_ev_varz00_bglt) BgL_auxz00_35595), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35600;

						BgL_auxz00_35600 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7500,
								(int) (((long) 2))));
						((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_oz00_7499))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35600), BUNSPEC);
					}
					BgL_auxz00_35589 = BgL_oz00_7499;
					return (obj_t) (BgL_auxz00_35589);
				}
			}
		}
	}



/* object->struct-ev_bi3447 */
	obj_t BGl_objectzd2ze3structzd2ev_bi3447ze3zz__evaluatez00(obj_t
		BgL_envz00_25024, obj_t BgL_obj2183z00_25025)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 78 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_obj2183z00_7489;

				BgL_obj2183z00_7489 =
					(BgL_ev_bindzd2exitzd2_bglt) (BgL_obj2183z00_25025);
				{	/* Eval/evaluate.scm 78 */
					obj_t BgL_res2184z00_7492;

					BgL_res2184z00_7492 =
						make_struct(BGl_symbol8284z00zz__evaluatez00,
						(int) (((long) 3)), BUNSPEC);
					{	/* Eval/evaluate.scm 78 */
						int BgL_auxz00_35609;

						BgL_auxz00_35609 = (int) (((long) 0));
						STRUCT_SET(BgL_res2184z00_7492, BgL_auxz00_35609, BFALSE);
					}
					{	/* Eval/evaluate.scm 78 */
						BgL_ev_varz00_bglt BgL_arg6638z00_7494;

						BgL_arg6638z00_7494 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_obj2183z00_7489))->
							BgL_varz00);
						{	/* Eval/evaluate.scm 78 */
							obj_t BgL_auxz00_35615;

							int BgL_auxz00_35613;

							BgL_auxz00_35615 = (obj_t) (BgL_arg6638z00_7494);
							BgL_auxz00_35613 = (int) (((long) 1));
							STRUCT_SET(BgL_res2184z00_7492, BgL_auxz00_35613,
								BgL_auxz00_35615);
					}}
					{	/* Eval/evaluate.scm 78 */
						BgL_ev_exprz00_bglt BgL_arg6640z00_7496;

						BgL_arg6640z00_7496 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_obj2183z00_7489))->
							BgL_bodyz00);
						{	/* Eval/evaluate.scm 78 */
							obj_t BgL_auxz00_35621;

							int BgL_auxz00_35619;

							BgL_auxz00_35621 = (obj_t) (BgL_arg6640z00_7496);
							BgL_auxz00_35619 = (int) (((long) 2));
							STRUCT_SET(BgL_res2184z00_7492, BgL_auxz00_35619,
								BgL_auxz00_35621);
					}}
					return BgL_res2184z00_7492;
				}
			}
		}
	}



/* struct+object->objec3445 */
	obj_t BGl_structzb2objectzd2ze3objec3445z83zz__evaluatez00(obj_t
		BgL_envz00_25026, obj_t BgL_oz00_25027, obj_t BgL_sz00_25028)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 79 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_oz00_7480;

				obj_t BgL_sz00_7481;

				{	/* Eval/evaluate.scm 79 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_35625;

					BgL_oz00_7480 = (BgL_ev_unwindzd2protectzd2_bglt) (BgL_oz00_25027);
					BgL_sz00_7481 = BgL_sz00_25028;
					{	/* Eval/evaluate.scm 79 */
						obj_t BgL_arg6635z00_23430;

						BgL_arg6635z00_23430 =
							STRUCT_REF(BgL_sz00_7481, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 79 */
							BgL_objectz00_bglt BgL_auxz00_35628;

							BgL_auxz00_35628 = (BgL_objectz00_bglt) (BgL_oz00_7480);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35628, BgL_arg6635z00_23430);
					}}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35631;

						BgL_auxz00_35631 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7481,
								(int) (((long) 1))));
						((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_oz00_7480))->
								BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_35631), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35636;

						BgL_auxz00_35636 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7481,
								(int) (((long) 2))));
						((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_oz00_7480))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35636), BUNSPEC);
					}
					BgL_auxz00_35625 = BgL_oz00_7480;
					return (obj_t) (BgL_auxz00_35625);
				}
			}
		}
	}



/* object->struct-ev_un3443 */
	obj_t BGl_objectzd2ze3structzd2ev_un3443ze3zz__evaluatez00(obj_t
		BgL_envz00_25029, obj_t BgL_obj2211z00_25030)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 79 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_obj2211z00_7470;

				BgL_obj2211z00_7470 =
					(BgL_ev_unwindzd2protectzd2_bglt) (BgL_obj2211z00_25030);
				{	/* Eval/evaluate.scm 79 */
					obj_t BgL_res2212z00_7473;

					BgL_res2212z00_7473 =
						make_struct(BGl_symbol8290z00zz__evaluatez00,
						(int) (((long) 3)), BUNSPEC);
					{	/* Eval/evaluate.scm 79 */
						int BgL_auxz00_35645;

						BgL_auxz00_35645 = (int) (((long) 0));
						STRUCT_SET(BgL_res2212z00_7473, BgL_auxz00_35645, BFALSE);
					}
					{	/* Eval/evaluate.scm 79 */
						BgL_ev_exprz00_bglt BgL_arg6631z00_7475;

						BgL_arg6631z00_7475 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_obj2211z00_7470))->
							BgL_ez00);
						{	/* Eval/evaluate.scm 79 */
							obj_t BgL_auxz00_35651;

							int BgL_auxz00_35649;

							BgL_auxz00_35651 = (obj_t) (BgL_arg6631z00_7475);
							BgL_auxz00_35649 = (int) (((long) 1));
							STRUCT_SET(BgL_res2212z00_7473, BgL_auxz00_35649,
								BgL_auxz00_35651);
					}}
					{	/* Eval/evaluate.scm 79 */
						BgL_ev_exprz00_bglt BgL_arg6633z00_7477;

						BgL_arg6633z00_7477 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_obj2211z00_7470))->
							BgL_bodyz00);
						{	/* Eval/evaluate.scm 79 */
							obj_t BgL_auxz00_35657;

							int BgL_auxz00_35655;

							BgL_auxz00_35657 = (obj_t) (BgL_arg6633z00_7477);
							BgL_auxz00_35655 = (int) (((long) 2));
							STRUCT_SET(BgL_res2212z00_7473, BgL_auxz00_35655,
								BgL_auxz00_35657);
					}}
					return BgL_res2212z00_7473;
				}
			}
		}
	}



/* struct+object->objec3441 */
	obj_t BGl_structzb2objectzd2ze3objec3441z83zz__evaluatez00(obj_t
		BgL_envz00_25031, obj_t BgL_oz00_25032, obj_t BgL_sz00_25033)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 80 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_oz00_7461;

				obj_t BgL_sz00_7462;

				{	/* Eval/evaluate.scm 80 */
					BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_35661;

					BgL_oz00_7461 = (BgL_ev_withzd2handlerzd2_bglt) (BgL_oz00_25032);
					BgL_sz00_7462 = BgL_sz00_25033;
					{	/* Eval/evaluate.scm 80 */
						obj_t BgL_arg6628z00_23407;

						BgL_arg6628z00_23407 =
							STRUCT_REF(BgL_sz00_7462, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 80 */
							BgL_objectz00_bglt BgL_auxz00_35664;

							BgL_auxz00_35664 = (BgL_objectz00_bglt) (BgL_oz00_7461);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35664, BgL_arg6628z00_23407);
					}}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35667;

						BgL_auxz00_35667 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7462,
								(int) (((long) 1))));
						((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_oz00_7461))->
								BgL_handlerz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35667), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35672;

						BgL_auxz00_35672 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7462,
								(int) (((long) 2))));
						((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_oz00_7461))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35672), BUNSPEC);
					}
					BgL_auxz00_35661 = BgL_oz00_7461;
					return (obj_t) (BgL_auxz00_35661);
				}
			}
		}
	}



/* object->struct-ev_wi3439 */
	obj_t BGl_objectzd2ze3structzd2ev_wi3439ze3zz__evaluatez00(obj_t
		BgL_envz00_25034, obj_t BgL_obj2239z00_25035)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 80 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_obj2239z00_7451;

				BgL_obj2239z00_7451 =
					(BgL_ev_withzd2handlerzd2_bglt) (BgL_obj2239z00_25035);
				{	/* Eval/evaluate.scm 80 */
					obj_t BgL_res2240z00_7454;

					BgL_res2240z00_7454 =
						make_struct(BGl_symbol8292z00zz__evaluatez00,
						(int) (((long) 3)), BUNSPEC);
					{	/* Eval/evaluate.scm 80 */
						int BgL_auxz00_35681;

						BgL_auxz00_35681 = (int) (((long) 0));
						STRUCT_SET(BgL_res2240z00_7454, BgL_auxz00_35681, BFALSE);
					}
					{	/* Eval/evaluate.scm 80 */
						BgL_ev_exprz00_bglt BgL_arg6624z00_7456;

						BgL_arg6624z00_7456 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_obj2239z00_7451))->
							BgL_handlerz00);
						{	/* Eval/evaluate.scm 80 */
							obj_t BgL_auxz00_35687;

							int BgL_auxz00_35685;

							BgL_auxz00_35687 = (obj_t) (BgL_arg6624z00_7456);
							BgL_auxz00_35685 = (int) (((long) 1));
							STRUCT_SET(BgL_res2240z00_7454, BgL_auxz00_35685,
								BgL_auxz00_35687);
					}}
					{	/* Eval/evaluate.scm 80 */
						BgL_ev_exprz00_bglt BgL_arg6626z00_7458;

						BgL_arg6626z00_7458 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_obj2239z00_7451))->
							BgL_bodyz00);
						{	/* Eval/evaluate.scm 80 */
							obj_t BgL_auxz00_35693;

							int BgL_auxz00_35691;

							BgL_auxz00_35693 = (obj_t) (BgL_arg6626z00_7458);
							BgL_auxz00_35691 = (int) (((long) 2));
							STRUCT_SET(BgL_res2240z00_7454, BgL_auxz00_35691,
								BgL_auxz00_35693);
					}}
					return BgL_res2240z00_7454;
				}
			}
		}
	}



/* struct+object->objec3437 */
	obj_t BGl_structzb2objectzd2ze3objec3437z83zz__evaluatez00(obj_t
		BgL_envz00_25036, obj_t BgL_oz00_25037, obj_t BgL_sz00_25038)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 81 */
			{
				BgL_ev_binderz00_bglt BgL_oz00_7441;

				obj_t BgL_sz00_7442;

				{	/* Eval/evaluate.scm 81 */
					BgL_ev_binderz00_bglt BgL_auxz00_35697;

					BgL_oz00_7441 = (BgL_ev_binderz00_bglt) (BgL_oz00_25037);
					BgL_sz00_7442 = BgL_sz00_25038;
					{	/* Eval/evaluate.scm 81 */
						obj_t BgL_arg6621z00_7445;

						BgL_arg6621z00_7445 = STRUCT_REF(BgL_sz00_7442, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 81 */
							BgL_objectz00_bglt BgL_auxz00_35700;

							BgL_auxz00_35700 = (BgL_objectz00_bglt) (BgL_oz00_7441);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35700, BgL_arg6621z00_7445);
					}}
					{
						obj_t BgL_auxz00_35703;

						BgL_auxz00_35703 = STRUCT_REF(BgL_sz00_7442, (int) (((long) 1)));
						((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_7441))->BgL_varsz00) =
							((obj_t) BgL_auxz00_35703), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35707;

						BgL_auxz00_35707 = STRUCT_REF(BgL_sz00_7442, (int) (((long) 2)));
						((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_7441))->BgL_valsz00) =
							((obj_t) BgL_auxz00_35707), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35711;

						BgL_auxz00_35711 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7442,
								(int) (((long) 3))));
						((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_7441))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35711), BUNSPEC);
					}
					BgL_auxz00_35697 = BgL_oz00_7441;
					return (obj_t) (BgL_auxz00_35697);
				}
			}
		}
	}



/* object->struct-ev_bi3435 */
	obj_t BGl_objectzd2ze3structzd2ev_bi3435ze3zz__evaluatez00(obj_t
		BgL_envz00_25039, obj_t BgL_obj2273z00_25040)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 81 */
			{
				BgL_ev_binderz00_bglt BgL_obj2273z00_7429;

				BgL_obj2273z00_7429 = (BgL_ev_binderz00_bglt) (BgL_obj2273z00_25040);
				{	/* Eval/evaluate.scm 81 */
					obj_t BgL_res2274z00_7432;

					BgL_res2274z00_7432 =
						make_struct(BGl_symbol8296z00zz__evaluatez00,
						(int) (((long) 4)), BUNSPEC);
					{	/* Eval/evaluate.scm 81 */
						int BgL_auxz00_35720;

						BgL_auxz00_35720 = (int) (((long) 0));
						STRUCT_SET(BgL_res2274z00_7432, BgL_auxz00_35720, BFALSE);
					}
					{	/* Eval/evaluate.scm 81 */
						obj_t BgL_arg6615z00_7434;

						BgL_arg6615z00_7434 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_obj2273z00_7429))->
							BgL_varsz00);
						{	/* Eval/evaluate.scm 81 */
							int BgL_auxz00_35724;

							BgL_auxz00_35724 = (int) (((long) 1));
							STRUCT_SET(BgL_res2274z00_7432, BgL_auxz00_35724,
								BgL_arg6615z00_7434);
					}}
					{	/* Eval/evaluate.scm 81 */
						obj_t BgL_arg6617z00_7436;

						BgL_arg6617z00_7436 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_obj2273z00_7429))->
							BgL_valsz00);
						{	/* Eval/evaluate.scm 81 */
							int BgL_auxz00_35728;

							BgL_auxz00_35728 = (int) (((long) 2));
							STRUCT_SET(BgL_res2274z00_7432, BgL_auxz00_35728,
								BgL_arg6617z00_7436);
					}}
					{	/* Eval/evaluate.scm 81 */
						BgL_ev_exprz00_bglt BgL_arg6619z00_7438;

						BgL_arg6619z00_7438 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_obj2273z00_7429))->
							BgL_bodyz00);
						{	/* Eval/evaluate.scm 81 */
							obj_t BgL_auxz00_35734;

							int BgL_auxz00_35732;

							BgL_auxz00_35734 = (obj_t) (BgL_arg6619z00_7438);
							BgL_auxz00_35732 = (int) (((long) 3));
							STRUCT_SET(BgL_res2274z00_7432, BgL_auxz00_35732,
								BgL_auxz00_35734);
					}}
					return BgL_res2274z00_7432;
				}
			}
		}
	}



/* struct+object->objec3433 */
	obj_t BGl_structzb2objectzd2ze3objec3433z83zz__evaluatez00(obj_t
		BgL_envz00_25041, obj_t BgL_oz00_25042, obj_t BgL_sz00_25043)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 82 */
			{
				BgL_ev_letz00_bglt BgL_oz00_7418;

				obj_t BgL_sz00_7419;

				{	/* Eval/evaluate.scm 82 */
					BgL_ev_letz00_bglt BgL_auxz00_35738;

					BgL_oz00_7418 = (BgL_ev_letz00_bglt) (BgL_oz00_25042);
					BgL_sz00_7419 = BgL_sz00_25043;
					{	/* Eval/evaluate.scm 82 */
						obj_t BgL_arg6612z00_7422;

						BgL_arg6612z00_7422 = STRUCT_REF(BgL_sz00_7419, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 82 */
							BgL_objectz00_bglt BgL_auxz00_35741;

							BgL_auxz00_35741 = (BgL_objectz00_bglt) (BgL_oz00_7418);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35741, BgL_arg6612z00_7422);
					}}
					{
						obj_t BgL_auxz00_35744;

						BgL_auxz00_35744 = STRUCT_REF(BgL_sz00_7419, (int) (((long) 1)));
						((((BgL_ev_letz00_bglt) CREF(BgL_oz00_7418))->BgL_varsz00) =
							((obj_t) BgL_auxz00_35744), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35748;

						BgL_auxz00_35748 = STRUCT_REF(BgL_sz00_7419, (int) (((long) 2)));
						((((BgL_ev_letz00_bglt) CREF(BgL_oz00_7418))->BgL_valsz00) =
							((obj_t) BgL_auxz00_35748), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35752;

						BgL_auxz00_35752 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7419,
								(int) (((long) 3))));
						((((BgL_ev_letz00_bglt) CREF(BgL_oz00_7418))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35752), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35757;

						BgL_auxz00_35757 = STRUCT_REF(BgL_sz00_7419, (int) (((long) 4)));
						((((BgL_ev_letz00_bglt) CREF(BgL_oz00_7418))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_35757), BUNSPEC);
					}
					BgL_auxz00_35738 = BgL_oz00_7418;
					return (obj_t) (BgL_auxz00_35738);
				}
			}
		}
	}



/* object->struct-ev_le3431 */
	obj_t BGl_objectzd2ze3structzd2ev_le3431ze3zz__evaluatez00(obj_t
		BgL_envz00_25044, obj_t BgL_obj2317z00_25045)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 82 */
			{
				BgL_ev_letz00_bglt BgL_obj2317z00_7404;

				BgL_obj2317z00_7404 = (BgL_ev_letz00_bglt) (BgL_obj2317z00_25045);
				{	/* Eval/evaluate.scm 82 */
					obj_t BgL_res2318z00_7407;

					BgL_res2318z00_7407 =
						make_struct(BGl_symbol8302z00zz__evaluatez00,
						(int) (((long) 5)), BUNSPEC);
					{	/* Eval/evaluate.scm 82 */
						int BgL_auxz00_35765;

						BgL_auxz00_35765 = (int) (((long) 0));
						STRUCT_SET(BgL_res2318z00_7407, BgL_auxz00_35765, BFALSE);
					}
					{	/* Eval/evaluate.scm 82 */
						obj_t BgL_arg6604z00_7409;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_35768;

							BgL_auxz00_35768 = (BgL_ev_binderz00_bglt) (BgL_obj2317z00_7404);
							BgL_arg6604z00_7409 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_35768))->BgL_varsz00);
						}
						{	/* Eval/evaluate.scm 82 */
							int BgL_auxz00_35771;

							BgL_auxz00_35771 = (int) (((long) 1));
							STRUCT_SET(BgL_res2318z00_7407, BgL_auxz00_35771,
								BgL_arg6604z00_7409);
					}}
					{	/* Eval/evaluate.scm 82 */
						obj_t BgL_arg6606z00_7411;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_35774;

							BgL_auxz00_35774 = (BgL_ev_binderz00_bglt) (BgL_obj2317z00_7404);
							BgL_arg6606z00_7411 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_35774))->BgL_valsz00);
						}
						{	/* Eval/evaluate.scm 82 */
							int BgL_auxz00_35777;

							BgL_auxz00_35777 = (int) (((long) 2));
							STRUCT_SET(BgL_res2318z00_7407, BgL_auxz00_35777,
								BgL_arg6606z00_7411);
					}}
					{	/* Eval/evaluate.scm 82 */
						BgL_ev_exprz00_bglt BgL_arg6608z00_7413;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_35780;

							BgL_auxz00_35780 = (BgL_ev_binderz00_bglt) (BgL_obj2317z00_7404);
							BgL_arg6608z00_7413 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_35780))->BgL_bodyz00);
						}
						{	/* Eval/evaluate.scm 82 */
							obj_t BgL_auxz00_35785;

							int BgL_auxz00_35783;

							BgL_auxz00_35785 = (obj_t) (BgL_arg6608z00_7413);
							BgL_auxz00_35783 = (int) (((long) 3));
							STRUCT_SET(BgL_res2318z00_7407, BgL_auxz00_35783,
								BgL_auxz00_35785);
					}}
					{	/* Eval/evaluate.scm 82 */
						obj_t BgL_arg6610z00_7415;

						BgL_arg6610z00_7415 =
							(((BgL_ev_letz00_bglt) CREF(BgL_obj2317z00_7404))->BgL_boxesz00);
						{	/* Eval/evaluate.scm 82 */
							int BgL_auxz00_35789;

							BgL_auxz00_35789 = (int) (((long) 4));
							STRUCT_SET(BgL_res2318z00_7407, BgL_auxz00_35789,
								BgL_arg6610z00_7415);
					}}
					return BgL_res2318z00_7407;
				}
			}
		}
	}



/* struct+object->objec3429 */
	obj_t BGl_structzb2objectzd2ze3objec3429z83zz__evaluatez00(obj_t
		BgL_envz00_25046, obj_t BgL_oz00_25047, obj_t BgL_sz00_25048)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 83 */
			{
				BgL_ev_letza2za2_bglt BgL_oz00_7393;

				obj_t BgL_sz00_7394;

				{	/* Eval/evaluate.scm 83 */
					BgL_ev_letza2za2_bglt BgL_auxz00_35793;

					BgL_oz00_7393 = (BgL_ev_letza2za2_bglt) (BgL_oz00_25047);
					BgL_sz00_7394 = BgL_sz00_25048;
					{	/* Eval/evaluate.scm 83 */
						obj_t BgL_arg6601z00_7397;

						BgL_arg6601z00_7397 = STRUCT_REF(BgL_sz00_7394, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 83 */
							BgL_objectz00_bglt BgL_auxz00_35796;

							BgL_auxz00_35796 = (BgL_objectz00_bglt) (BgL_oz00_7393);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35796, BgL_arg6601z00_7397);
					}}
					{
						obj_t BgL_auxz00_35799;

						BgL_auxz00_35799 = STRUCT_REF(BgL_sz00_7394, (int) (((long) 1)));
						((((BgL_ev_letza2za2_bglt) CREF(BgL_oz00_7393))->BgL_varsz00) =
							((obj_t) BgL_auxz00_35799), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35803;

						BgL_auxz00_35803 = STRUCT_REF(BgL_sz00_7394, (int) (((long) 2)));
						((((BgL_ev_letza2za2_bglt) CREF(BgL_oz00_7393))->BgL_valsz00) =
							((obj_t) BgL_auxz00_35803), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35807;

						BgL_auxz00_35807 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7394,
								(int) (((long) 3))));
						((((BgL_ev_letza2za2_bglt) CREF(BgL_oz00_7393))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35807), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35812;

						BgL_auxz00_35812 = STRUCT_REF(BgL_sz00_7394, (int) (((long) 4)));
						((((BgL_ev_letza2za2_bglt) CREF(BgL_oz00_7393))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_35812), BUNSPEC);
					}
					BgL_auxz00_35793 = BgL_oz00_7393;
					return (obj_t) (BgL_auxz00_35793);
				}
			}
		}
	}



/* object->struct-ev_le3427 */
	obj_t BGl_objectzd2ze3structzd2ev_le3427ze3zz__evaluatez00(obj_t
		BgL_envz00_25049, obj_t BgL_obj2365z00_25050)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 83 */
			{
				BgL_ev_letza2za2_bglt BgL_obj2365z00_7379;

				BgL_obj2365z00_7379 = (BgL_ev_letza2za2_bglt) (BgL_obj2365z00_25050);
				{	/* Eval/evaluate.scm 83 */
					obj_t BgL_res2366z00_7382;

					BgL_res2366z00_7382 =
						make_struct(BGl_symbol8307z00zz__evaluatez00,
						(int) (((long) 5)), BUNSPEC);
					{	/* Eval/evaluate.scm 83 */
						int BgL_auxz00_35820;

						BgL_auxz00_35820 = (int) (((long) 0));
						STRUCT_SET(BgL_res2366z00_7382, BgL_auxz00_35820, BFALSE);
					}
					{	/* Eval/evaluate.scm 83 */
						obj_t BgL_arg6593z00_7384;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_35823;

							BgL_auxz00_35823 = (BgL_ev_binderz00_bglt) (BgL_obj2365z00_7379);
							BgL_arg6593z00_7384 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_35823))->BgL_varsz00);
						}
						{	/* Eval/evaluate.scm 83 */
							int BgL_auxz00_35826;

							BgL_auxz00_35826 = (int) (((long) 1));
							STRUCT_SET(BgL_res2366z00_7382, BgL_auxz00_35826,
								BgL_arg6593z00_7384);
					}}
					{	/* Eval/evaluate.scm 83 */
						obj_t BgL_arg6595z00_7386;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_35829;

							BgL_auxz00_35829 = (BgL_ev_binderz00_bglt) (BgL_obj2365z00_7379);
							BgL_arg6595z00_7386 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_35829))->BgL_valsz00);
						}
						{	/* Eval/evaluate.scm 83 */
							int BgL_auxz00_35832;

							BgL_auxz00_35832 = (int) (((long) 2));
							STRUCT_SET(BgL_res2366z00_7382, BgL_auxz00_35832,
								BgL_arg6595z00_7386);
					}}
					{	/* Eval/evaluate.scm 83 */
						BgL_ev_exprz00_bglt BgL_arg6597z00_7388;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_35835;

							BgL_auxz00_35835 = (BgL_ev_binderz00_bglt) (BgL_obj2365z00_7379);
							BgL_arg6597z00_7388 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_35835))->BgL_bodyz00);
						}
						{	/* Eval/evaluate.scm 83 */
							obj_t BgL_auxz00_35840;

							int BgL_auxz00_35838;

							BgL_auxz00_35840 = (obj_t) (BgL_arg6597z00_7388);
							BgL_auxz00_35838 = (int) (((long) 3));
							STRUCT_SET(BgL_res2366z00_7382, BgL_auxz00_35838,
								BgL_auxz00_35840);
					}}
					{	/* Eval/evaluate.scm 83 */
						obj_t BgL_arg6599z00_7390;

						BgL_arg6599z00_7390 =
							(((BgL_ev_letza2za2_bglt) CREF(BgL_obj2365z00_7379))->
							BgL_boxesz00);
						{	/* Eval/evaluate.scm 83 */
							int BgL_auxz00_35844;

							BgL_auxz00_35844 = (int) (((long) 4));
							STRUCT_SET(BgL_res2366z00_7382, BgL_auxz00_35844,
								BgL_arg6599z00_7390);
					}}
					return BgL_res2366z00_7382;
				}
			}
		}
	}



/* struct+object->objec3425 */
	obj_t BGl_structzb2objectzd2ze3objec3425z83zz__evaluatez00(obj_t
		BgL_envz00_25051, obj_t BgL_oz00_25052, obj_t BgL_sz00_25053)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 84 */
			{
				BgL_ev_letrecz00_bglt BgL_oz00_7369;

				obj_t BgL_sz00_7370;

				{	/* Eval/evaluate.scm 84 */
					BgL_ev_letrecz00_bglt BgL_auxz00_35848;

					BgL_oz00_7369 = (BgL_ev_letrecz00_bglt) (BgL_oz00_25052);
					BgL_sz00_7370 = BgL_sz00_25053;
					{	/* Eval/evaluate.scm 84 */
						obj_t BgL_arg6590z00_7373;

						BgL_arg6590z00_7373 = STRUCT_REF(BgL_sz00_7370, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 84 */
							BgL_objectz00_bglt BgL_auxz00_35851;

							BgL_auxz00_35851 = (BgL_objectz00_bglt) (BgL_oz00_7369);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35851, BgL_arg6590z00_7373);
					}}
					{
						obj_t BgL_auxz00_35854;

						BgL_auxz00_35854 = STRUCT_REF(BgL_sz00_7370, (int) (((long) 1)));
						((((BgL_ev_letrecz00_bglt) CREF(BgL_oz00_7369))->BgL_varsz00) =
							((obj_t) BgL_auxz00_35854), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35858;

						BgL_auxz00_35858 = STRUCT_REF(BgL_sz00_7370, (int) (((long) 2)));
						((((BgL_ev_letrecz00_bglt) CREF(BgL_oz00_7369))->BgL_valsz00) =
							((obj_t) BgL_auxz00_35858), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35862;

						BgL_auxz00_35862 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7370,
								(int) (((long) 3))));
						((((BgL_ev_letrecz00_bglt) CREF(BgL_oz00_7369))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35862), BUNSPEC);
					}
					BgL_auxz00_35848 = BgL_oz00_7369;
					return (obj_t) (BgL_auxz00_35848);
				}
			}
		}
	}



/* object->struct-ev_le3423 */
	obj_t BGl_objectzd2ze3structzd2ev_le3423ze3zz__evaluatez00(obj_t
		BgL_envz00_25054, obj_t BgL_obj2407z00_25055)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 84 */
			{
				BgL_ev_letrecz00_bglt BgL_obj2407z00_7357;

				BgL_obj2407z00_7357 = (BgL_ev_letrecz00_bglt) (BgL_obj2407z00_25055);
				{	/* Eval/evaluate.scm 84 */
					obj_t BgL_res2408z00_7360;

					BgL_res2408z00_7360 =
						make_struct(BGl_symbol8309z00zz__evaluatez00,
						(int) (((long) 4)), BUNSPEC);
					{	/* Eval/evaluate.scm 84 */
						int BgL_auxz00_35871;

						BgL_auxz00_35871 = (int) (((long) 0));
						STRUCT_SET(BgL_res2408z00_7360, BgL_auxz00_35871, BFALSE);
					}
					{	/* Eval/evaluate.scm 84 */
						obj_t BgL_arg6584z00_7362;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_35874;

							BgL_auxz00_35874 = (BgL_ev_binderz00_bglt) (BgL_obj2407z00_7357);
							BgL_arg6584z00_7362 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_35874))->BgL_varsz00);
						}
						{	/* Eval/evaluate.scm 84 */
							int BgL_auxz00_35877;

							BgL_auxz00_35877 = (int) (((long) 1));
							STRUCT_SET(BgL_res2408z00_7360, BgL_auxz00_35877,
								BgL_arg6584z00_7362);
					}}
					{	/* Eval/evaluate.scm 84 */
						obj_t BgL_arg6586z00_7364;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_35880;

							BgL_auxz00_35880 = (BgL_ev_binderz00_bglt) (BgL_obj2407z00_7357);
							BgL_arg6586z00_7364 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_35880))->BgL_valsz00);
						}
						{	/* Eval/evaluate.scm 84 */
							int BgL_auxz00_35883;

							BgL_auxz00_35883 = (int) (((long) 2));
							STRUCT_SET(BgL_res2408z00_7360, BgL_auxz00_35883,
								BgL_arg6586z00_7364);
					}}
					{	/* Eval/evaluate.scm 84 */
						BgL_ev_exprz00_bglt BgL_arg6588z00_7366;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_35886;

							BgL_auxz00_35886 = (BgL_ev_binderz00_bglt) (BgL_obj2407z00_7357);
							BgL_arg6588z00_7366 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_35886))->BgL_bodyz00);
						}
						{	/* Eval/evaluate.scm 84 */
							obj_t BgL_auxz00_35891;

							int BgL_auxz00_35889;

							BgL_auxz00_35891 = (obj_t) (BgL_arg6588z00_7366);
							BgL_auxz00_35889 = (int) (((long) 3));
							STRUCT_SET(BgL_res2408z00_7360, BgL_auxz00_35889,
								BgL_auxz00_35891);
					}}
					return BgL_res2408z00_7360;
				}
			}
		}
	}



/* struct+object->objec3421 */
	obj_t BGl_structzb2objectzd2ze3objec3421z83zz__evaluatez00(obj_t
		BgL_envz00_25056, obj_t BgL_oz00_25057, obj_t BgL_sz00_25058)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			{
				BgL_ev_appz00_bglt BgL_oz00_7346;

				obj_t BgL_sz00_7347;

				{	/* Eval/evaluate.scm 85 */
					BgL_ev_appz00_bglt BgL_auxz00_35895;

					BgL_oz00_7346 = (BgL_ev_appz00_bglt) (BgL_oz00_25057);
					BgL_sz00_7347 = BgL_sz00_25058;
					{	/* Eval/evaluate.scm 85 */
						obj_t BgL_arg6581z00_7350;

						BgL_arg6581z00_7350 = STRUCT_REF(BgL_sz00_7347, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 85 */
							BgL_objectz00_bglt BgL_auxz00_35898;

							BgL_auxz00_35898 = (BgL_objectz00_bglt) (BgL_oz00_7346);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35898, BgL_arg6581z00_7350);
					}}
					{
						obj_t BgL_auxz00_35901;

						BgL_auxz00_35901 = STRUCT_REF(BgL_sz00_7347, (int) (((long) 1)));
						((((BgL_ev_appz00_bglt) CREF(BgL_oz00_7346))->BgL_locz00) =
							((obj_t) BgL_auxz00_35901), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35905;

						BgL_auxz00_35905 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7347,
								(int) (((long) 2))));
						((((BgL_ev_appz00_bglt) CREF(BgL_oz00_7346))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35905), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35910;

						BgL_auxz00_35910 = STRUCT_REF(BgL_sz00_7347, (int) (((long) 3)));
						((((BgL_ev_appz00_bglt) CREF(BgL_oz00_7346))->BgL_argsz00) =
							((obj_t) BgL_auxz00_35910), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35914;

						BgL_auxz00_35914 = STRUCT_REF(BgL_sz00_7347, (int) (((long) 4)));
						((((BgL_ev_appz00_bglt) CREF(BgL_oz00_7346))->BgL_tailzf3zf3) =
							((obj_t) BgL_auxz00_35914), BUNSPEC);
					}
					BgL_auxz00_35895 = BgL_oz00_7346;
					return (obj_t) (BgL_auxz00_35895);
				}
			}
		}
	}



/* object->struct-ev_ap3419 */
	obj_t BGl_objectzd2ze3structzd2ev_ap3419ze3zz__evaluatez00(obj_t
		BgL_envz00_25059, obj_t BgL_obj2451z00_25060)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 85 */
			{
				BgL_ev_appz00_bglt BgL_obj2451z00_7332;

				BgL_obj2451z00_7332 = (BgL_ev_appz00_bglt) (BgL_obj2451z00_25060);
				{	/* Eval/evaluate.scm 85 */
					obj_t BgL_res2452z00_7335;

					BgL_res2452z00_7335 =
						make_struct(BGl_symbol8311z00zz__evaluatez00,
						(int) (((long) 5)), BUNSPEC);
					{	/* Eval/evaluate.scm 85 */
						int BgL_auxz00_35922;

						BgL_auxz00_35922 = (int) (((long) 0));
						STRUCT_SET(BgL_res2452z00_7335, BgL_auxz00_35922, BFALSE);
					}
					{	/* Eval/evaluate.scm 85 */
						obj_t BgL_arg6573z00_7337;

						BgL_arg6573z00_7337 =
							(((BgL_ev_appz00_bglt) CREF(BgL_obj2451z00_7332))->BgL_locz00);
						{	/* Eval/evaluate.scm 85 */
							int BgL_auxz00_35926;

							BgL_auxz00_35926 = (int) (((long) 1));
							STRUCT_SET(BgL_res2452z00_7335, BgL_auxz00_35926,
								BgL_arg6573z00_7337);
					}}
					{	/* Eval/evaluate.scm 85 */
						BgL_ev_exprz00_bglt BgL_arg6575z00_7339;

						BgL_arg6575z00_7339 =
							(((BgL_ev_appz00_bglt) CREF(BgL_obj2451z00_7332))->BgL_funz00);
						{	/* Eval/evaluate.scm 85 */
							obj_t BgL_auxz00_35932;

							int BgL_auxz00_35930;

							BgL_auxz00_35932 = (obj_t) (BgL_arg6575z00_7339);
							BgL_auxz00_35930 = (int) (((long) 2));
							STRUCT_SET(BgL_res2452z00_7335, BgL_auxz00_35930,
								BgL_auxz00_35932);
					}}
					{	/* Eval/evaluate.scm 85 */
						obj_t BgL_arg6577z00_7341;

						BgL_arg6577z00_7341 =
							(((BgL_ev_appz00_bglt) CREF(BgL_obj2451z00_7332))->BgL_argsz00);
						{	/* Eval/evaluate.scm 85 */
							int BgL_auxz00_35936;

							BgL_auxz00_35936 = (int) (((long) 3));
							STRUCT_SET(BgL_res2452z00_7335, BgL_auxz00_35936,
								BgL_arg6577z00_7341);
					}}
					{	/* Eval/evaluate.scm 85 */
						obj_t BgL_arg6579z00_7343;

						BgL_arg6579z00_7343 =
							(((BgL_ev_appz00_bglt) CREF(BgL_obj2451z00_7332))->
							BgL_tailzf3zf3);
						{	/* Eval/evaluate.scm 85 */
							int BgL_auxz00_35940;

							BgL_auxz00_35940 = (int) (((long) 4));
							STRUCT_SET(BgL_res2452z00_7335, BgL_auxz00_35940,
								BgL_arg6579z00_7343);
					}}
					return BgL_res2452z00_7335;
				}
			}
		}
	}



/* struct+object->objec3417 */
	obj_t BGl_structzb2objectzd2ze3objec3417z83zz__evaluatez00(obj_t
		BgL_envz00_25061, obj_t BgL_oz00_25062, obj_t BgL_sz00_25063)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 86 */
			{
				BgL_ev_absz00_bglt BgL_oz00_7315;

				obj_t BgL_sz00_7316;

				{	/* Eval/evaluate.scm 86 */
					BgL_ev_absz00_bglt BgL_auxz00_35944;

					BgL_oz00_7315 = (BgL_ev_absz00_bglt) (BgL_oz00_25062);
					BgL_sz00_7316 = BgL_sz00_25063;
					{	/* Eval/evaluate.scm 86 */
						obj_t BgL_arg6570z00_7319;

						BgL_arg6570z00_7319 = STRUCT_REF(BgL_sz00_7316, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 86 */
							BgL_objectz00_bglt BgL_auxz00_35947;

							BgL_auxz00_35947 = (BgL_objectz00_bglt) (BgL_oz00_7315);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_35947, BgL_arg6570z00_7319);
					}}
					{
						obj_t BgL_auxz00_35950;

						BgL_auxz00_35950 = STRUCT_REF(BgL_sz00_7316, (int) (((long) 1)));
						((((BgL_ev_absz00_bglt) CREF(BgL_oz00_7315))->BgL_locz00) =
							((obj_t) BgL_auxz00_35950), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35954;

						BgL_auxz00_35954 = STRUCT_REF(BgL_sz00_7316, (int) (((long) 2)));
						((((BgL_ev_absz00_bglt) CREF(BgL_oz00_7315))->BgL_wherez00) =
							((obj_t) BgL_auxz00_35954), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35958;

						BgL_auxz00_35958 = STRUCT_REF(BgL_sz00_7316, (int) (((long) 3)));
						((((BgL_ev_absz00_bglt) CREF(BgL_oz00_7315))->BgL_arityz00) =
							((obj_t) BgL_auxz00_35958), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35962;

						BgL_auxz00_35962 = STRUCT_REF(BgL_sz00_7316, (int) (((long) 4)));
						((((BgL_ev_absz00_bglt) CREF(BgL_oz00_7315))->BgL_varsz00) =
							((obj_t) BgL_auxz00_35962), BUNSPEC);
					}
					{
						BgL_ev_exprz00_bglt BgL_auxz00_35966;

						BgL_auxz00_35966 =
							(BgL_ev_exprz00_bglt) (STRUCT_REF(BgL_sz00_7316,
								(int) (((long) 5))));
						((((BgL_ev_absz00_bglt) CREF(BgL_oz00_7315))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_35966), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35971;

						BgL_auxz00_35971 = STRUCT_REF(BgL_sz00_7316, (int) (((long) 6)));
						((((BgL_ev_absz00_bglt) CREF(BgL_oz00_7315))->BgL_siza7eza7) =
							((obj_t) BgL_auxz00_35971), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35975;

						BgL_auxz00_35975 = STRUCT_REF(BgL_sz00_7316, (int) (((long) 7)));
						((((BgL_ev_absz00_bglt) CREF(BgL_oz00_7315))->BgL_bindz00) =
							((obj_t) BgL_auxz00_35975), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35979;

						BgL_auxz00_35979 = STRUCT_REF(BgL_sz00_7316, (int) (((long) 8)));
						((((BgL_ev_absz00_bglt) CREF(BgL_oz00_7315))->BgL_freez00) =
							((obj_t) BgL_auxz00_35979), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35983;

						BgL_auxz00_35983 = STRUCT_REF(BgL_sz00_7316, (int) (((long) 9)));
						((((BgL_ev_absz00_bglt) CREF(BgL_oz00_7315))->BgL_innerz00) =
							((obj_t) BgL_auxz00_35983), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_35987;

						BgL_auxz00_35987 = STRUCT_REF(BgL_sz00_7316, (int) (((long) 10)));
						((((BgL_ev_absz00_bglt) CREF(BgL_oz00_7315))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_35987), BUNSPEC);
					}
					BgL_auxz00_35944 = BgL_oz00_7315;
					return (obj_t) (BgL_auxz00_35944);
				}
			}
		}
	}



/* object->struct-ev_ab3415 */
	obj_t BGl_objectzd2ze3structzd2ev_ab3415ze3zz__evaluatez00(obj_t
		BgL_envz00_25064, obj_t BgL_obj2529z00_25065)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 86 */
			{
				BgL_ev_absz00_bglt BgL_obj2529z00_7289;

				BgL_obj2529z00_7289 = (BgL_ev_absz00_bglt) (BgL_obj2529z00_25065);
				{	/* Eval/evaluate.scm 86 */
					obj_t BgL_res2530z00_7292;

					BgL_res2530z00_7292 =
						make_struct(BGl_symbol8319z00zz__evaluatez00,
						(int) (((long) 11)), BUNSPEC);
					{	/* Eval/evaluate.scm 86 */
						int BgL_auxz00_35995;

						BgL_auxz00_35995 = (int) (((long) 0));
						STRUCT_SET(BgL_res2530z00_7292, BgL_auxz00_35995, BFALSE);
					}
					{	/* Eval/evaluate.scm 86 */
						obj_t BgL_arg6550z00_7294;

						BgL_arg6550z00_7294 =
							(((BgL_ev_absz00_bglt) CREF(BgL_obj2529z00_7289))->BgL_locz00);
						{	/* Eval/evaluate.scm 86 */
							int BgL_auxz00_35999;

							BgL_auxz00_35999 = (int) (((long) 1));
							STRUCT_SET(BgL_res2530z00_7292, BgL_auxz00_35999,
								BgL_arg6550z00_7294);
					}}
					{	/* Eval/evaluate.scm 86 */
						obj_t BgL_arg6552z00_7296;

						BgL_arg6552z00_7296 =
							(((BgL_ev_absz00_bglt) CREF(BgL_obj2529z00_7289))->BgL_wherez00);
						{	/* Eval/evaluate.scm 86 */
							int BgL_auxz00_36003;

							BgL_auxz00_36003 = (int) (((long) 2));
							STRUCT_SET(BgL_res2530z00_7292, BgL_auxz00_36003,
								BgL_arg6552z00_7296);
					}}
					{	/* Eval/evaluate.scm 86 */
						obj_t BgL_arg6554z00_7298;

						BgL_arg6554z00_7298 =
							(((BgL_ev_absz00_bglt) CREF(BgL_obj2529z00_7289))->BgL_arityz00);
						{	/* Eval/evaluate.scm 86 */
							int BgL_auxz00_36007;

							BgL_auxz00_36007 = (int) (((long) 3));
							STRUCT_SET(BgL_res2530z00_7292, BgL_auxz00_36007,
								BgL_arg6554z00_7298);
					}}
					{	/* Eval/evaluate.scm 86 */
						obj_t BgL_arg6556z00_7300;

						BgL_arg6556z00_7300 =
							(((BgL_ev_absz00_bglt) CREF(BgL_obj2529z00_7289))->BgL_varsz00);
						{	/* Eval/evaluate.scm 86 */
							int BgL_auxz00_36011;

							BgL_auxz00_36011 = (int) (((long) 4));
							STRUCT_SET(BgL_res2530z00_7292, BgL_auxz00_36011,
								BgL_arg6556z00_7300);
					}}
					{	/* Eval/evaluate.scm 86 */
						BgL_ev_exprz00_bglt BgL_arg6558z00_7302;

						BgL_arg6558z00_7302 =
							(((BgL_ev_absz00_bglt) CREF(BgL_obj2529z00_7289))->BgL_bodyz00);
						{	/* Eval/evaluate.scm 86 */
							obj_t BgL_auxz00_36017;

							int BgL_auxz00_36015;

							BgL_auxz00_36017 = (obj_t) (BgL_arg6558z00_7302);
							BgL_auxz00_36015 = (int) (((long) 5));
							STRUCT_SET(BgL_res2530z00_7292, BgL_auxz00_36015,
								BgL_auxz00_36017);
					}}
					{	/* Eval/evaluate.scm 86 */
						obj_t BgL_arg6560z00_7304;

						BgL_arg6560z00_7304 =
							(((BgL_ev_absz00_bglt) CREF(BgL_obj2529z00_7289))->BgL_siza7eza7);
						{	/* Eval/evaluate.scm 86 */
							int BgL_auxz00_36021;

							BgL_auxz00_36021 = (int) (((long) 6));
							STRUCT_SET(BgL_res2530z00_7292, BgL_auxz00_36021,
								BgL_arg6560z00_7304);
					}}
					{	/* Eval/evaluate.scm 86 */
						obj_t BgL_arg6562z00_7306;

						BgL_arg6562z00_7306 =
							(((BgL_ev_absz00_bglt) CREF(BgL_obj2529z00_7289))->BgL_bindz00);
						{	/* Eval/evaluate.scm 86 */
							int BgL_auxz00_36025;

							BgL_auxz00_36025 = (int) (((long) 7));
							STRUCT_SET(BgL_res2530z00_7292, BgL_auxz00_36025,
								BgL_arg6562z00_7306);
					}}
					{	/* Eval/evaluate.scm 86 */
						obj_t BgL_arg6564z00_7308;

						BgL_arg6564z00_7308 =
							(((BgL_ev_absz00_bglt) CREF(BgL_obj2529z00_7289))->BgL_freez00);
						{	/* Eval/evaluate.scm 86 */
							int BgL_auxz00_36029;

							BgL_auxz00_36029 = (int) (((long) 8));
							STRUCT_SET(BgL_res2530z00_7292, BgL_auxz00_36029,
								BgL_arg6564z00_7308);
					}}
					{	/* Eval/evaluate.scm 86 */
						obj_t BgL_arg6566z00_7310;

						BgL_arg6566z00_7310 =
							(((BgL_ev_absz00_bglt) CREF(BgL_obj2529z00_7289))->BgL_innerz00);
						{	/* Eval/evaluate.scm 86 */
							int BgL_auxz00_36033;

							BgL_auxz00_36033 = (int) (((long) 9));
							STRUCT_SET(BgL_res2530z00_7292, BgL_auxz00_36033,
								BgL_arg6566z00_7310);
					}}
					{	/* Eval/evaluate.scm 86 */
						obj_t BgL_arg6568z00_7312;

						BgL_arg6568z00_7312 =
							(((BgL_ev_absz00_bglt) CREF(BgL_obj2529z00_7289))->BgL_boxesz00);
						{	/* Eval/evaluate.scm 86 */
							int BgL_auxz00_36037;

							BgL_auxz00_36037 = (int) (((long) 10));
							STRUCT_SET(BgL_res2530z00_7292, BgL_auxz00_36037,
								BgL_arg6568z00_7312);
					}}
					return BgL_res2530z00_7292;
				}
			}
		}
	}



/* comp-ev_abs3412 */
	obj_t BGl_compzd2ev_abs3412zd2zz__evaluatez00(obj_t BgL_envz00_25066,
		obj_t BgL_ez00_25067, obj_t BgL_stkz00_25068)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1385 */
			{
				BgL_ev_absz00_bglt BgL_ez00_5736;

				obj_t BgL_stkz00_5737;

				BgL_ez00_5736 = (BgL_ev_absz00_bglt) (BgL_ez00_25067);
				BgL_stkz00_5737 = BgL_stkz00_25068;
				{	/* Eval/evaluate.scm 1387 */
					obj_t BgL_iza2za2_5741;

					obj_t BgL_iboxesz00_5742;

					long BgL_siza7eza7_5743;

					long BgL_sfz00_5744;

					obj_t BgL_nstkz00_5745;

					{	/* Eval/evaluate.scm 1387 */
						obj_t BgL_arg6527z00_7250;

						{	/* Eval/evaluate.scm 1387 */
							obj_t BgL_l3188z00_7251;

							BgL_l3188z00_7251 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_5736))->BgL_freez00);
							if (NULLP(BgL_l3188z00_7251))
								{	/* Eval/evaluate.scm 1387 */
									BgL_arg6527z00_7250 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 1387 */
									obj_t BgL_head3190z00_7253;

									BgL_head3190z00_7253 = MAKE_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l3188z00_20945;

										obj_t BgL_tail3191z00_20946;

										BgL_l3188z00_20945 = BgL_l3188z00_7251;
										BgL_tail3191z00_20946 = BgL_head3190z00_7253;
									BgL_zc3anonymousza36529ze3z83_20944:
										if (NULLP(BgL_l3188z00_20945))
											{	/* Eval/evaluate.scm 1387 */
												BgL_arg6527z00_7250 = CDR(BgL_head3190z00_7253);
											}
										else
											{	/* Eval/evaluate.scm 1387 */
												obj_t BgL_newtail3192z00_20954;

												BgL_newtail3192z00_20954 =
													MAKE_PAIR(BGl__indexz00zz__evaluatez00(CAR
														(BgL_l3188z00_20945), BgL_stkz00_5737), BNIL);
												SET_CDR(BgL_tail3191z00_20946,
													BgL_newtail3192z00_20954);
												{
													obj_t BgL_tail3191z00_36054;

													obj_t BgL_l3188z00_36052;

													BgL_l3188z00_36052 = CDR(BgL_l3188z00_20945);
													BgL_tail3191z00_36054 = BgL_newtail3192z00_20954;
													BgL_tail3191z00_20946 = BgL_tail3191z00_36054;
													BgL_l3188z00_20945 = BgL_l3188z00_36052;
													goto BgL_zc3anonymousza36529ze3z83_20944;
												}
											}
									}
								}
						}
						BgL_iza2za2_5741 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg6527z00_7250);
					}
					{	/* Eval/evaluate.scm 1388 */
						obj_t BgL_arg6534z00_7265;

						{	/* Eval/evaluate.scm 1388 */
							obj_t BgL_l3193z00_7266;

							BgL_l3193z00_7266 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_5736))->BgL_boxesz00);
							if (NULLP(BgL_l3193z00_7266))
								{	/* Eval/evaluate.scm 1388 */
									BgL_arg6534z00_7265 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 1388 */
									obj_t BgL_head3195z00_7268;

									BgL_head3195z00_7268 = MAKE_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l3193z00_7270;

										obj_t BgL_tail3196z00_7271;

										BgL_l3193z00_7270 = BgL_l3193z00_7266;
										BgL_tail3196z00_7271 = BgL_head3195z00_7268;
									BgL_zc3anonymousza36536ze3z83_7272:
										if (NULLP(BgL_l3193z00_7270))
											{	/* Eval/evaluate.scm 1388 */
												BgL_arg6534z00_7265 = CDR(BgL_head3195z00_7268);
											}
										else
											{	/* Eval/evaluate.scm 1388 */
												obj_t BgL_newtail3197z00_7274;

												{	/* Eval/evaluate.scm 1388 */
													obj_t BgL_arg6539z00_7276;

													{	/* Eval/evaluate.scm 1388 */
														obj_t BgL_vz00_7278;

														BgL_vz00_7278 = CAR(BgL_l3193z00_7270);
														{	/* Eval/evaluate.scm 1388 */
															obj_t BgL_arg6541z00_7279;

															BgL_arg6541z00_7279 =
																(((BgL_ev_absz00_bglt) CREF(BgL_ez00_5736))->
																BgL_varsz00);
															BgL_arg6539z00_7276 =
																BGl__indexz00zz__evaluatez00(BgL_vz00_7278,
																BgL_arg6541z00_7279);
														}
													}
													BgL_newtail3197z00_7274 =
														MAKE_PAIR(BgL_arg6539z00_7276, BNIL);
												}
												SET_CDR(BgL_tail3196z00_7271, BgL_newtail3197z00_7274);
												{
													obj_t BgL_tail3196z00_36070;

													obj_t BgL_l3193z00_36068;

													BgL_l3193z00_36068 = CDR(BgL_l3193z00_7270);
													BgL_tail3196z00_36070 = BgL_newtail3197z00_7274;
													BgL_tail3196z00_7271 = BgL_tail3196z00_36070;
													BgL_l3193z00_7270 = BgL_l3193z00_36068;
													goto BgL_zc3anonymousza36536ze3z83_7272;
												}
											}
									}
								}
						}
						BgL_iboxesz00_5742 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg6534z00_7265);
					}
					BgL_siza7eza7_5743 =
						bgl_list_length(
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_5736))->BgL_varsz00));
					BgL_sfz00_5744 =
						(
						(long) CINT(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_5736))->BgL_siza7eza7)) +
						bgl_list_length(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_5736))->BgL_freez00)));
					BgL_nstkz00_5745 =
						bgl_append2(
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_5736))->BgL_varsz00),
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_5736))->BgL_freez00));
					{	/* Eval/evaluate.scm 1392 */
						obj_t BgL_bodyz00_5746;

						{	/* Eval/evaluate.scm 1392 */
							BgL_ev_exprz00_bglt BgL_arg6526z00_7249;

							BgL_arg6526z00_7249 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_5736))->BgL_bodyz00);
							{	/* Eval/evaluate.scm 1392 */
								obj_t BgL_method3374z00_21020;

								{	/* Eval/evaluate.scm 1392 */
									BgL_objectz00_bglt BgL_objz00_21021;

									BgL_objz00_21021 = (BgL_objectz00_bglt) (BgL_arg6526z00_7249);
									{	/* Eval/evaluate.scm 1392 */
										long BgL_objzd2classzd2numz00_21022;

										BgL_objzd2classzd2numz00_21022 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_21021);
										{	/* Eval/evaluate.scm 1392 */
											obj_t BgL_arg6930z00_21023;

											BgL_arg6930z00_21023 =
												PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 1392 */
												obj_t BgL_arrayz00_21025;

												int BgL_offsetz00_21026;

												BgL_arrayz00_21025 = BgL_arg6930z00_21023;
												BgL_offsetz00_21026 =
													(int) (BgL_objzd2classzd2numz00_21022);
												{	/* Eval/evaluate.scm 1392 */
													long BgL_offsetz00_21027;

													BgL_offsetz00_21027 =
														((long) (BgL_offsetz00_21026) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 1392 */
														long BgL_modz00_21028;

														{	/* Eval/evaluate.scm 1392 */
															int BgL_arg6932z00_21029;

															BgL_arg6932z00_21029 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 1392 */
																long BgL_auxz00_36091;

																BgL_auxz00_36091 =
																	(long) (BgL_arg6932z00_21029);
																BgL_modz00_21028 =
																	(BgL_offsetz00_21027 / BgL_auxz00_36091);
														}}
														{	/* Eval/evaluate.scm 1392 */
															long BgL_restz00_21030;

															{	/* Eval/evaluate.scm 1392 */
																int BgL_arg6931z00_21031;

																BgL_arg6931z00_21031 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 1392 */
																	long BgL_auxz00_36095;

																	BgL_auxz00_36095 =
																		(long) (BgL_arg6931z00_21031);
																	BgL_restz00_21030 =
																		(BgL_offsetz00_21027 % BgL_auxz00_36095);
															}}
															{	/* Eval/evaluate.scm 1392 */

																BgL_method3374z00_21020 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_21025,
																		(int) (BgL_modz00_21028)),
																	(int) (BgL_restz00_21030));
								}}}}}}}}
								BgL_bodyz00_5746 =
									PROCEDURE_ENTRY(BgL_method3374z00_21020)
									(BgL_method3374z00_21020, (obj_t) (BgL_arg6526z00_7249),
									BgL_nstkz00_5745, BEOA);
						}}
						{

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_aux2865z00_5748;

								BgL_aux2865z00_5748 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_5736))->BgL_arityz00);
								if (INTEGERP(BgL_aux2865z00_5748))
									{	/* Eval/evaluate.scm 1393 */
										switch ((long) CINT(BgL_aux2865z00_5748))
											{
											case ((long) 0):

												{	/* Eval/evaluate.scm 1393 */
													bool_t BgL_testz00_36108;

													{	/* Eval/evaluate.scm 1393 */
														int BgL_arg5958z00_5861;

														BgL_arg5958z00_5861 =
															VECTOR_LENGTH(BgL_iza2za2_5741);
														BgL_testz00_36108 =
															((long) (BgL_arg5958z00_5861) == ((long) 0));
													}
													if (BgL_testz00_36108)
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36112;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg5935z00_5802;

																BgL_arg5935z00_5802 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36112 =
																	((long) (BgL_arg5935z00_5802) == ((long) 0));
															}
															if (BgL_testz00_36112)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza35919ze3z83_24721;

																	BgL_zc3anonymousza35919ze3z83_24721 =
																		make_fx_procedure
																		(BGl_zc3anonymousza35919ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35919ze3z83_24721,
																		(int) (((long) 0)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35919ze3z83_24721,
																		(int) (((long) 1)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35919ze3z83_24721,
																		(int) (((long) 2)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza35919ze3z83_24721;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza35927ze3z83_24718;

																	BgL_zc3anonymousza35927ze3z83_24718 =
																		make_fx_procedure
																		(BGl_zc3anonymousza35927ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35927ze3z83_24718,
																		(int) (((long) 0)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35927ze3z83_24718,
																		(int) (((long) 1)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35927ze3z83_24718,
																		(int) (((long) 2)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35927ze3z83_24718,
																		(int) (((long) 3)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza35927ze3z83_24718;
																}
														}
													else
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36140;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg5956z00_5859;

																BgL_arg5956z00_5859 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36140 =
																	((long) (BgL_arg5956z00_5859) == ((long) 0));
															}
															if (BgL_testz00_36140)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza35938ze3z83_24715;

																	BgL_zc3anonymousza35938ze3z83_24715 =
																		make_fx_procedure
																		(BGl_zc3anonymousza35938ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35938ze3z83_24715,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35938ze3z83_24715,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35938ze3z83_24715,
																		(int) (((long) 2)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35938ze3z83_24715,
																		(int) (((long) 3)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35938ze3z83_24715,
																		(int) (((long) 4)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza35938ze3z83_24715;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza35947ze3z83_24712;

																	BgL_zc3anonymousza35947ze3z83_24712 =
																		make_fx_procedure
																		(BGl_zc3anonymousza35947ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35947ze3z83_24712,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35947ze3z83_24712,
																		(int) (((long) 1)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35947ze3z83_24712,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35947ze3z83_24712,
																		(int) (((long) 3)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35947ze3z83_24712,
																		(int) (((long) 4)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35947ze3z83_24712,
																		(int) (((long) 5)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza35947ze3z83_24712;
																}
														}
												}
												break;
											case ((long) -1):

												{	/* Eval/evaluate.scm 1393 */
													bool_t BgL_testz00_36178;

													{	/* Eval/evaluate.scm 1393 */
														int BgL_arg6005z00_5982;

														BgL_arg6005z00_5982 =
															VECTOR_LENGTH(BgL_iza2za2_5741);
														BgL_testz00_36178 =
															((long) (BgL_arg6005z00_5982) == ((long) 0));
													}
													if (BgL_testz00_36178)
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36182;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg5980z00_5919;

																BgL_arg5980z00_5919 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36182 =
																	((long) (BgL_arg5980z00_5919) == ((long) 0));
															}
															if (BgL_testz00_36182)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza35962ze3z83_24733;

																	BgL_zc3anonymousza35962ze3z83_24733 =
																		make_fx_procedure
																		(BGl_zc3anonymousza35962ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35962ze3z83_24733,
																		(int) (((long) 0)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35962ze3z83_24733,
																		(int) (((long) 1)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35962ze3z83_24733,
																		(int) (((long) 2)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza35962ze3z83_24733;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza35971ze3z83_24730;

																	BgL_zc3anonymousza35971ze3z83_24730 =
																		make_fx_procedure
																		(BGl_zc3anonymousza35971ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35971ze3z83_24730,
																		(int) (((long) 0)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35971ze3z83_24730,
																		(int) (((long) 1)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35971ze3z83_24730,
																		(int) (((long) 2)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35971ze3z83_24730,
																		(int) (((long) 3)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza35971ze3z83_24730;
																}
														}
													else
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36210;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6003z00_5980;

																BgL_arg6003z00_5980 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36210 =
																	((long) (BgL_arg6003z00_5980) == ((long) 0));
															}
															if (BgL_testz00_36210)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza35983ze3z83_24727;

																	BgL_zc3anonymousza35983ze3z83_24727 =
																		make_fx_procedure
																		(BGl_zc3anonymousza35983ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35983ze3z83_24727,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35983ze3z83_24727,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35983ze3z83_24727,
																		(int) (((long) 2)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35983ze3z83_24727,
																		(int) (((long) 3)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35983ze3z83_24727,
																		(int) (((long) 4)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza35983ze3z83_24727;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza35993ze3z83_24724;

																	BgL_zc3anonymousza35993ze3z83_24724 =
																		make_fx_procedure
																		(BGl_zc3anonymousza35993ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35993ze3z83_24724,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35993ze3z83_24724,
																		(int) (((long) 1)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35993ze3z83_24724,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35993ze3z83_24724,
																		(int) (((long) 3)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35993ze3z83_24724,
																		(int) (((long) 4)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza35993ze3z83_24724,
																		(int) (((long) 5)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza35993ze3z83_24724;
																}
														}
												}
												break;
											case ((long) 1):

												{	/* Eval/evaluate.scm 1393 */
													bool_t BgL_testz00_36248;

													{	/* Eval/evaluate.scm 1393 */
														int BgL_arg6052z00_6103;

														BgL_arg6052z00_6103 =
															VECTOR_LENGTH(BgL_iza2za2_5741);
														BgL_testz00_36248 =
															((long) (BgL_arg6052z00_6103) == ((long) 0));
													}
													if (BgL_testz00_36248)
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36252;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6027z00_6040;

																BgL_arg6027z00_6040 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36252 =
																	((long) (BgL_arg6027z00_6040) == ((long) 0));
															}
															if (BgL_testz00_36252)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36009ze3z83_24745;

																	BgL_zc3anonymousza36009ze3z83_24745 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36009ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36009ze3z83_24745,
																		(int) (((long) 0)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36009ze3z83_24745,
																		(int) (((long) 1)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36009ze3z83_24745,
																		(int) (((long) 2)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36009ze3z83_24745;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36018ze3z83_24742;

																	BgL_zc3anonymousza36018ze3z83_24742 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36018ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36018ze3z83_24742,
																		(int) (((long) 0)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36018ze3z83_24742,
																		(int) (((long) 1)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36018ze3z83_24742,
																		(int) (((long) 2)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36018ze3z83_24742,
																		(int) (((long) 3)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36018ze3z83_24742;
																}
														}
													else
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36280;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6050z00_6101;

																BgL_arg6050z00_6101 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36280 =
																	((long) (BgL_arg6050z00_6101) == ((long) 0));
															}
															if (BgL_testz00_36280)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36030ze3z83_24739;

																	BgL_zc3anonymousza36030ze3z83_24739 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36030ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36030ze3z83_24739,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36030ze3z83_24739,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36030ze3z83_24739,
																		(int) (((long) 2)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36030ze3z83_24739,
																		(int) (((long) 3)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36030ze3z83_24739,
																		(int) (((long) 4)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36030ze3z83_24739;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36040ze3z83_24736;

																	BgL_zc3anonymousza36040ze3z83_24736 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36040ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36040ze3z83_24736,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36040ze3z83_24736,
																		(int) (((long) 1)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36040ze3z83_24736,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36040ze3z83_24736,
																		(int) (((long) 3)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36040ze3z83_24736,
																		(int) (((long) 4)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36040ze3z83_24736,
																		(int) (((long) 5)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36040ze3z83_24736;
																}
														}
												}
												break;
											case ((long) -2):

												{	/* Eval/evaluate.scm 1393 */
													bool_t BgL_testz00_36318;

													{	/* Eval/evaluate.scm 1393 */
														int BgL_arg6103z00_6232;

														BgL_arg6103z00_6232 =
															VECTOR_LENGTH(BgL_iza2za2_5741);
														BgL_testz00_36318 =
															((long) (BgL_arg6103z00_6232) == ((long) 0));
													}
													if (BgL_testz00_36318)
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36322;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6076z00_6165;

																BgL_arg6076z00_6165 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36322 =
																	((long) (BgL_arg6076z00_6165) == ((long) 0));
															}
															if (BgL_testz00_36322)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36056ze3z83_24757;

																	BgL_zc3anonymousza36056ze3z83_24757 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36056ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36056ze3z83_24757,
																		(int) (((long) 0)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36056ze3z83_24757,
																		(int) (((long) 1)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36056ze3z83_24757,
																		(int) (((long) 2)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36056ze3z83_24757;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36066ze3z83_24754;

																	BgL_zc3anonymousza36066ze3z83_24754 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36066ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36066ze3z83_24754,
																		(int) (((long) 0)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36066ze3z83_24754,
																		(int) (((long) 1)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36066ze3z83_24754,
																		(int) (((long) 2)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36066ze3z83_24754,
																		(int) (((long) 3)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36066ze3z83_24754;
																}
														}
													else
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36350;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6101z00_6230;

																BgL_arg6101z00_6230 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36350 =
																	((long) (BgL_arg6101z00_6230) == ((long) 0));
															}
															if (BgL_testz00_36350)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36079ze3z83_24751;

																	BgL_zc3anonymousza36079ze3z83_24751 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36079ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36079ze3z83_24751,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36079ze3z83_24751,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36079ze3z83_24751,
																		(int) (((long) 2)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36079ze3z83_24751,
																		(int) (((long) 3)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36079ze3z83_24751,
																		(int) (((long) 4)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36079ze3z83_24751;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36090ze3z83_24748;

																	BgL_zc3anonymousza36090ze3z83_24748 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36090ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36090ze3z83_24748,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36090ze3z83_24748,
																		(int) (((long) 1)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36090ze3z83_24748,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36090ze3z83_24748,
																		(int) (((long) 3)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36090ze3z83_24748,
																		(int) (((long) 4)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36090ze3z83_24748,
																		(int) (((long) 5)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36090ze3z83_24748;
																}
														}
												}
												break;
											case ((long) 2):

												{	/* Eval/evaluate.scm 1393 */
													bool_t BgL_testz00_36388;

													{	/* Eval/evaluate.scm 1393 */
														int BgL_arg6154z00_6361;

														BgL_arg6154z00_6361 =
															VECTOR_LENGTH(BgL_iza2za2_5741);
														BgL_testz00_36388 =
															((long) (BgL_arg6154z00_6361) == ((long) 0));
													}
													if (BgL_testz00_36388)
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36392;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6127z00_6294;

																BgL_arg6127z00_6294 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36392 =
																	((long) (BgL_arg6127z00_6294) == ((long) 0));
															}
															if (BgL_testz00_36392)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36107ze3z83_24769;

																	BgL_zc3anonymousza36107ze3z83_24769 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36107ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36107ze3z83_24769,
																		(int) (((long) 0)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36107ze3z83_24769,
																		(int) (((long) 1)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36107ze3z83_24769,
																		(int) (((long) 2)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36107ze3z83_24769;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36117ze3z83_24766;

																	BgL_zc3anonymousza36117ze3z83_24766 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36117ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36117ze3z83_24766,
																		(int) (((long) 0)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36117ze3z83_24766,
																		(int) (((long) 1)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36117ze3z83_24766,
																		(int) (((long) 2)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36117ze3z83_24766,
																		(int) (((long) 3)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36117ze3z83_24766;
																}
														}
													else
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36420;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6152z00_6359;

																BgL_arg6152z00_6359 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36420 =
																	((long) (BgL_arg6152z00_6359) == ((long) 0));
															}
															if (BgL_testz00_36420)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36130ze3z83_24763;

																	BgL_zc3anonymousza36130ze3z83_24763 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36130ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36130ze3z83_24763,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36130ze3z83_24763,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36130ze3z83_24763,
																		(int) (((long) 2)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36130ze3z83_24763,
																		(int) (((long) 3)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36130ze3z83_24763,
																		(int) (((long) 4)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36130ze3z83_24763;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36141ze3z83_24760;

																	BgL_zc3anonymousza36141ze3z83_24760 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36141ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36141ze3z83_24760,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36141ze3z83_24760,
																		(int) (((long) 1)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36141ze3z83_24760,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36141ze3z83_24760,
																		(int) (((long) 3)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36141ze3z83_24760,
																		(int) (((long) 4)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36141ze3z83_24760,
																		(int) (((long) 5)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36141ze3z83_24760;
																}
														}
												}
												break;
											case ((long) -3):

												{	/* Eval/evaluate.scm 1393 */
													bool_t BgL_testz00_36458;

													{	/* Eval/evaluate.scm 1393 */
														int BgL_arg6209z00_6498;

														BgL_arg6209z00_6498 =
															VECTOR_LENGTH(BgL_iza2za2_5741);
														BgL_testz00_36458 =
															((long) (BgL_arg6209z00_6498) == ((long) 0));
													}
													if (BgL_testz00_36458)
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36462;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6180z00_6427;

																BgL_arg6180z00_6427 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36462 =
																	((long) (BgL_arg6180z00_6427) == ((long) 0));
															}
															if (BgL_testz00_36462)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36158ze3z83_24781;

																	BgL_zc3anonymousza36158ze3z83_24781 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36158ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36158ze3z83_24781,
																		(int) (((long) 0)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36158ze3z83_24781,
																		(int) (((long) 1)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36158ze3z83_24781,
																		(int) (((long) 2)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36158ze3z83_24781;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36169ze3z83_24778;

																	BgL_zc3anonymousza36169ze3z83_24778 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36169ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36169ze3z83_24778,
																		(int) (((long) 0)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36169ze3z83_24778,
																		(int) (((long) 1)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36169ze3z83_24778,
																		(int) (((long) 2)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36169ze3z83_24778,
																		(int) (((long) 3)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36169ze3z83_24778;
																}
														}
													else
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36490;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6207z00_6496;

																BgL_arg6207z00_6496 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36490 =
																	((long) (BgL_arg6207z00_6496) == ((long) 0));
															}
															if (BgL_testz00_36490)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36183ze3z83_24775;

																	BgL_zc3anonymousza36183ze3z83_24775 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36183ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36183ze3z83_24775,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36183ze3z83_24775,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36183ze3z83_24775,
																		(int) (((long) 2)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36183ze3z83_24775,
																		(int) (((long) 3)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36183ze3z83_24775,
																		(int) (((long) 4)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36183ze3z83_24775;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36195ze3z83_24772;

																	BgL_zc3anonymousza36195ze3z83_24772 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36195ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36195ze3z83_24772,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36195ze3z83_24772,
																		(int) (((long) 1)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36195ze3z83_24772,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36195ze3z83_24772,
																		(int) (((long) 3)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36195ze3z83_24772,
																		(int) (((long) 4)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36195ze3z83_24772,
																		(int) (((long) 5)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36195ze3z83_24772;
																}
														}
												}
												break;
											case ((long) 3):

												{	/* Eval/evaluate.scm 1393 */
													bool_t BgL_testz00_36528;

													{	/* Eval/evaluate.scm 1393 */
														int BgL_arg6264z00_6635;

														BgL_arg6264z00_6635 =
															VECTOR_LENGTH(BgL_iza2za2_5741);
														BgL_testz00_36528 =
															((long) (BgL_arg6264z00_6635) == ((long) 0));
													}
													if (BgL_testz00_36528)
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36532;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6235z00_6564;

																BgL_arg6235z00_6564 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36532 =
																	((long) (BgL_arg6235z00_6564) == ((long) 0));
															}
															if (BgL_testz00_36532)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36213ze3z83_24793;

																	BgL_zc3anonymousza36213ze3z83_24793 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36213ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36213ze3z83_24793,
																		(int) (((long) 0)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36213ze3z83_24793,
																		(int) (((long) 1)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36213ze3z83_24793,
																		(int) (((long) 2)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36213ze3z83_24793;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36224ze3z83_24790;

																	BgL_zc3anonymousza36224ze3z83_24790 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36224ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36224ze3z83_24790,
																		(int) (((long) 0)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36224ze3z83_24790,
																		(int) (((long) 1)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36224ze3z83_24790,
																		(int) (((long) 2)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36224ze3z83_24790,
																		(int) (((long) 3)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36224ze3z83_24790;
																}
														}
													else
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36560;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6262z00_6633;

																BgL_arg6262z00_6633 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36560 =
																	((long) (BgL_arg6262z00_6633) == ((long) 0));
															}
															if (BgL_testz00_36560)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36238ze3z83_24787;

																	BgL_zc3anonymousza36238ze3z83_24787 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36238ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36238ze3z83_24787,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36238ze3z83_24787,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36238ze3z83_24787,
																		(int) (((long) 2)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36238ze3z83_24787,
																		(int) (((long) 3)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36238ze3z83_24787,
																		(int) (((long) 4)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36238ze3z83_24787;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36250ze3z83_24784;

																	BgL_zc3anonymousza36250ze3z83_24784 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36250ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36250ze3z83_24784,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36250ze3z83_24784,
																		(int) (((long) 1)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36250ze3z83_24784,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36250ze3z83_24784,
																		(int) (((long) 3)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36250ze3z83_24784,
																		(int) (((long) 4)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36250ze3z83_24784,
																		(int) (((long) 5)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36250ze3z83_24784;
																}
														}
												}
												break;
											case ((long) -4):

												{	/* Eval/evaluate.scm 1393 */
													bool_t BgL_testz00_36598;

													{	/* Eval/evaluate.scm 1393 */
														int BgL_arg6323z00_6780;

														BgL_arg6323z00_6780 =
															VECTOR_LENGTH(BgL_iza2za2_5741);
														BgL_testz00_36598 =
															((long) (BgL_arg6323z00_6780) == ((long) 0));
													}
													if (BgL_testz00_36598)
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36602;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6292z00_6705;

																BgL_arg6292z00_6705 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36602 =
																	((long) (BgL_arg6292z00_6705) == ((long) 0));
															}
															if (BgL_testz00_36602)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36268ze3z83_24805;

																	BgL_zc3anonymousza36268ze3z83_24805 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36268ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36268ze3z83_24805,
																		(int) (((long) 0)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36268ze3z83_24805,
																		(int) (((long) 1)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36268ze3z83_24805,
																		(int) (((long) 2)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36268ze3z83_24805;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36280ze3z83_24802;

																	BgL_zc3anonymousza36280ze3z83_24802 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36280ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36280ze3z83_24802,
																		(int) (((long) 0)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36280ze3z83_24802,
																		(int) (((long) 1)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36280ze3z83_24802,
																		(int) (((long) 2)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36280ze3z83_24802,
																		(int) (((long) 3)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36280ze3z83_24802;
																}
														}
													else
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36630;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6321z00_6778;

																BgL_arg6321z00_6778 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36630 =
																	((long) (BgL_arg6321z00_6778) == ((long) 0));
															}
															if (BgL_testz00_36630)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36295ze3z83_24799;

																	BgL_zc3anonymousza36295ze3z83_24799 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36295ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36295ze3z83_24799,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36295ze3z83_24799,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36295ze3z83_24799,
																		(int) (((long) 2)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36295ze3z83_24799,
																		(int) (((long) 3)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36295ze3z83_24799,
																		(int) (((long) 4)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36295ze3z83_24799;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36308ze3z83_24796;

																	BgL_zc3anonymousza36308ze3z83_24796 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36308ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36308ze3z83_24796,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36308ze3z83_24796,
																		(int) (((long) 1)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36308ze3z83_24796,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36308ze3z83_24796,
																		(int) (((long) 3)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36308ze3z83_24796,
																		(int) (((long) 4)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36308ze3z83_24796,
																		(int) (((long) 5)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36308ze3z83_24796;
																}
														}
												}
												break;
											case ((long) 4):

												{	/* Eval/evaluate.scm 1393 */
													bool_t BgL_testz00_36668;

													{	/* Eval/evaluate.scm 1393 */
														int BgL_arg6382z00_6925;

														BgL_arg6382z00_6925 =
															VECTOR_LENGTH(BgL_iza2za2_5741);
														BgL_testz00_36668 =
															((long) (BgL_arg6382z00_6925) == ((long) 0));
													}
													if (BgL_testz00_36668)
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36672;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6351z00_6850;

																BgL_arg6351z00_6850 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36672 =
																	((long) (BgL_arg6351z00_6850) == ((long) 0));
															}
															if (BgL_testz00_36672)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36327ze3z83_24817;

																	BgL_zc3anonymousza36327ze3z83_24817 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36327ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36327ze3z83_24817,
																		(int) (((long) 0)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36327ze3z83_24817,
																		(int) (((long) 1)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36327ze3z83_24817,
																		(int) (((long) 2)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36327ze3z83_24817;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36339ze3z83_24814;

																	BgL_zc3anonymousza36339ze3z83_24814 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36339ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36339ze3z83_24814,
																		(int) (((long) 0)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36339ze3z83_24814,
																		(int) (((long) 1)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36339ze3z83_24814,
																		(int) (((long) 2)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36339ze3z83_24814,
																		(int) (((long) 3)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36339ze3z83_24814;
																}
														}
													else
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36700;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6380z00_6923;

																BgL_arg6380z00_6923 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36700 =
																	((long) (BgL_arg6380z00_6923) == ((long) 0));
															}
															if (BgL_testz00_36700)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36354ze3z83_24811;

																	BgL_zc3anonymousza36354ze3z83_24811 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36354ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36354ze3z83_24811,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36354ze3z83_24811,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36354ze3z83_24811,
																		(int) (((long) 2)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36354ze3z83_24811,
																		(int) (((long) 3)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36354ze3z83_24811,
																		(int) (((long) 4)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36354ze3z83_24811;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36367ze3z83_24808;

																	BgL_zc3anonymousza36367ze3z83_24808 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36367ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36367ze3z83_24808,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36367ze3z83_24808,
																		(int) (((long) 1)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36367ze3z83_24808,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36367ze3z83_24808,
																		(int) (((long) 3)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36367ze3z83_24808,
																		(int) (((long) 4)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36367ze3z83_24808,
																		(int) (((long) 5)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36367ze3z83_24808;
																}
														}
												}
												break;
											case ((long) -5):

												{	/* Eval/evaluate.scm 1393 */
													bool_t BgL_testz00_36738;

													{	/* Eval/evaluate.scm 1393 */
														int BgL_arg6445z00_7078;

														BgL_arg6445z00_7078 =
															VECTOR_LENGTH(BgL_iza2za2_5741);
														BgL_testz00_36738 =
															((long) (BgL_arg6445z00_7078) == ((long) 0));
													}
													if (BgL_testz00_36738)
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36742;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6412z00_6999;

																BgL_arg6412z00_6999 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36742 =
																	((long) (BgL_arg6412z00_6999) == ((long) 0));
															}
															if (BgL_testz00_36742)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36386ze3z83_24829;

																	BgL_zc3anonymousza36386ze3z83_24829 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36386ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36386ze3z83_24829,
																		(int) (((long) 0)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36386ze3z83_24829,
																		(int) (((long) 1)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36386ze3z83_24829,
																		(int) (((long) 2)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36386ze3z83_24829;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36399ze3z83_24826;

																	BgL_zc3anonymousza36399ze3z83_24826 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36399ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36399ze3z83_24826,
																		(int) (((long) 0)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36399ze3z83_24826,
																		(int) (((long) 1)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36399ze3z83_24826,
																		(int) (((long) 2)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36399ze3z83_24826,
																		(int) (((long) 3)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36399ze3z83_24826;
																}
														}
													else
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36770;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6443z00_7076;

																BgL_arg6443z00_7076 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36770 =
																	((long) (BgL_arg6443z00_7076) == ((long) 0));
															}
															if (BgL_testz00_36770)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36415ze3z83_24823;

																	BgL_zc3anonymousza36415ze3z83_24823 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36415ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36415ze3z83_24823,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36415ze3z83_24823,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36415ze3z83_24823,
																		(int) (((long) 2)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36415ze3z83_24823,
																		(int) (((long) 3)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36415ze3z83_24823,
																		(int) (((long) 4)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36415ze3z83_24823;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36429ze3z83_24820;

																	BgL_zc3anonymousza36429ze3z83_24820 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36429ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36429ze3z83_24820,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36429ze3z83_24820,
																		(int) (((long) 1)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36429ze3z83_24820,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36429ze3z83_24820,
																		(int) (((long) 3)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36429ze3z83_24820,
																		(int) (((long) 4)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36429ze3z83_24820,
																		(int) (((long) 5)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36429ze3z83_24820;
																}
														}
												}
												break;
											default:
											BgL_case_else2864z00_5747:
												{	/* Eval/evaluate.scm 1393 */
													bool_t BgL_testz00_36808;

													{	/* Eval/evaluate.scm 1393 */
														int BgL_arg6524z00_7247;

														BgL_arg6524z00_7247 =
															VECTOR_LENGTH(BgL_iza2za2_5741);
														BgL_testz00_36808 =
															((long) (BgL_arg6524z00_7247) == ((long) 0));
													}
													if (BgL_testz00_36808)
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36812;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6483z00_7160;

																BgL_arg6483z00_7160 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36812 =
																	((long) (BgL_arg6483z00_7160) == ((long) 0));
															}
															if (BgL_testz00_36812)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36449ze3z83_24841;

																	BgL_zc3anonymousza36449ze3z83_24841 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36449ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36449ze3z83_24841,
																		(int) (((long) 0)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36449ze3z83_24841,
																		(int) (((long) 1)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36449ze3z83_24841,
																		(int) (((long) 2)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36449ze3z83_24841;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36466ze3z83_24838;

																	BgL_zc3anonymousza36466ze3z83_24838 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36466ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36466ze3z83_24838,
																		(int) (((long) 0)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36466ze3z83_24838,
																		(int) (((long) 1)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36466ze3z83_24838,
																		(int) (((long) 2)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36466ze3z83_24838,
																		(int) (((long) 3)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36466ze3z83_24838;
																}
														}
													else
														{	/* Eval/evaluate.scm 1393 */
															bool_t BgL_testz00_36840;

															{	/* Eval/evaluate.scm 1393 */
																int BgL_arg6522z00_7245;

																BgL_arg6522z00_7245 =
																	VECTOR_LENGTH(BgL_iboxesz00_5742);
																BgL_testz00_36840 =
																	((long) (BgL_arg6522z00_7245) == ((long) 0));
															}
															if (BgL_testz00_36840)
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36486ze3z83_24835;

																	BgL_zc3anonymousza36486ze3z83_24835 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36486ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36486ze3z83_24835,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36486ze3z83_24835,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36486ze3z83_24835,
																		(int) (((long) 2)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36486ze3z83_24835,
																		(int) (((long) 3)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36486ze3z83_24835,
																		(int) (((long) 4)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36486ze3z83_24835;
																}
															else
																{	/* Eval/evaluate.scm 1393 */
																	obj_t BgL_zc3anonymousza36504ze3z83_24832;

																	BgL_zc3anonymousza36504ze3z83_24832 =
																		make_fx_procedure
																		(BGl_zc3anonymousza36504ze3z83zz__evaluatez00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36504ze3z83_24832,
																		(int) (((long) 0)), BgL_iza2za2_5741);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36504ze3z83_24832,
																		(int) (((long) 1)), BgL_iboxesz00_5742);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36504ze3z83_24832,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_5743));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36504ze3z83_24832,
																		(int) (((long) 3)),
																		(obj_t) (BgL_ez00_5736));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36504ze3z83_24832,
																		(int) (((long) 4)), BgL_bodyz00_5746);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza36504ze3z83_24832,
																		(int) (((long) 5)), BINT(BgL_sfz00_5744));
																	return BgL_zc3anonymousza36504ze3z83_24832;
																}
														}
												}
											}
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										goto BgL_case_else2864z00_5747;
									}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6386> */
	obj_t BGl_zc3anonymousza36386ze3z83zz__evaluatez00(obj_t BgL_envz00_25069,
		obj_t BgL_sz00_25073)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25070;

				obj_t BgL_bodyz00_25071;

				obj_t BgL_sfz00_25072;

				BgL_instance2850z00_25070 =
					PROCEDURE_REF(BgL_envz00_25069, (int) (((long) 0)));
				BgL_bodyz00_25071 = PROCEDURE_REF(BgL_envz00_25069, (int) (((long) 1)));
				BgL_sfz00_25072 = PROCEDURE_REF(BgL_envz00_25069, (int) (((long) 2)));
				{
					obj_t BgL_sz00_6929;

					BgL_sz00_6929 = BgL_sz00_25073;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6931;

						BgL_bpz00_6931 = VECTOR_REF(BgL_sz00_6929, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24827;

								BgL_runz00_24827 =
									make_fx_procedure(BGl_runz00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_24827,
									(int) (((long) 0)), BgL_instance2850z00_25070);
								PROCEDURE_SET(BgL_runz00_24827,
									(int) (((long) 1)), BgL_bodyz00_25071);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24828;

									BgL_mainz00_24828 =
										make_va_procedure(BGl_mainz00zz__evaluatez00,
										(int) (((long) -5)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_mainz00_24828,
										(int) (((long) 0)), BgL_instance2850z00_25070);
									PROCEDURE_SET(BgL_mainz00_24828,
										(int) (((long) 1)), BgL_bodyz00_25071);
									PROCEDURE_SET(BgL_mainz00_24828,
										(int) (((long) 2)), BgL_runz00_24827);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22687;

										BgL_objz00_22687 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24827, BgL_objz00_22687);
										BgL_objz00_22687;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6387z00_6934;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22690;

											BgL_newz00_22690 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_36908;

												BgL_auxz00_36908 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22690, BgL_auxz00_36908,
													BgL_sfz00_25072);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_36911;

												BgL_auxz00_36911 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22690, BgL_auxz00_36911,
													BgL_runz00_24827);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_36916;

												int BgL_auxz00_36914;

												BgL_auxz00_36916 = BINT(((long) -5));
												BgL_auxz00_36914 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22690, BgL_auxz00_36914,
													BgL_auxz00_36916);
											}
											BgL_arg6387z00_6934 = BgL_newz00_22690;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24828, BgL_arg6387z00_6934);
										BgL_arg6387z00_6934;
									}
									return BgL_mainz00_24828;
								}
							}
						}
					}
				}
			}
		}
	}



/* main */
	obj_t BGl_mainz00zz__evaluatez00(obj_t BgL_envz00_25074, obj_t BgL_az00_25078,
		obj_t BgL_bz00_25079, obj_t BgL_cz00_25080, obj_t BgL_dz00_25081,
		obj_t BgL_lastz00_25082)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25077;

				BgL_runz00_25077 = PROCEDURE_REF(BgL_envz00_25074, (int) (((long) 2)));
				{
					obj_t BgL_az00_6935;

					obj_t BgL_bz00_6936;

					obj_t BgL_cz00_6937;

					obj_t BgL_dz00_6938;

					obj_t BgL_lastz00_6939;

					BgL_az00_6935 = BgL_az00_25078;
					BgL_bz00_6936 = BgL_bz00_25079;
					BgL_cz00_6937 = BgL_cz00_25080;
					BgL_dz00_6938 = BgL_dz00_25081;
					BgL_lastz00_6939 = BgL_lastz00_25082;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6941;

						BgL_sz00_6941 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6942;

							BgL_bpz00_6942 = VECTOR_REF(BgL_sz00_6941, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6389z00_6943;

								BgL_arg6389z00_6943 =
									((long) CINT(BgL_bpz00_6942) + ((long) 0));
								VECTOR_SET(BgL_sz00_6941,
									(int) (BgL_arg6389z00_6943), BgL_az00_6935);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6390z00_6944;

								BgL_arg6390z00_6944 =
									((long) CINT(BgL_bpz00_6942) + ((long) 1));
								VECTOR_SET(BgL_sz00_6941,
									(int) (BgL_arg6390z00_6944), BgL_bz00_6936);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6391z00_6945;

								BgL_arg6391z00_6945 =
									((long) CINT(BgL_bpz00_6942) + ((long) 2));
								VECTOR_SET(BgL_sz00_6941,
									(int) (BgL_arg6391z00_6945), BgL_cz00_6937);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6392z00_6946;

								BgL_arg6392z00_6946 =
									((long) CINT(BgL_bpz00_6942) + ((long) 3));
								VECTOR_SET(BgL_sz00_6941,
									(int) (BgL_arg6392z00_6946), BgL_dz00_6938);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6393z00_6947;

								BgL_arg6393z00_6947 =
									((long) CINT(BgL_bpz00_6942) + ((long) 4));
								VECTOR_SET(BgL_sz00_6941,
									(int) (BgL_arg6393z00_6947), BgL_lastz00_6939);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2974z00_6948;

								BgL_val2974z00_6948 =
									BGl_zc3exitza36397ze3z83zz__evaluatez00(BgL_bpz00_6942,
									BgL_sz00_6941, BgL_runz00_25077);
								VECTOR_SET(BgL_sz00_6941, (int) (((long) 0)), BgL_bpz00_6942);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2974z00_6948)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2974z00_6948), CDR(BgL_val2974z00_6948));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2974z00_6948;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6397> */
	obj_t BGl_zc3exitza36397ze3z83zz__evaluatez00(obj_t BgL_bpz00_26459,
		obj_t BgL_sz00_26458, obj_t BgL_runz00_26457)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2975z00_6953;

			if (SET_EXIT(BgL_an_exit2975z00_6953))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2975z00_6953 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2975z00_6953, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2976z00_6954;

							BgL_val2976z00_6954 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26457,
								BgL_sz00_26458, BgL_bpz00_26459);
							POP_EXIT();
							return BgL_val2976z00_6954;
						}
					}
				}
		}
	}



/* run */
	obj_t BGl_runz00zz__evaluatez00(obj_t BgL_envz00_25083, obj_t BgL_sz00_25086)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25084;

				obj_t BgL_bodyz00_25085;

				BgL_instance2850z00_25084 =
					PROCEDURE_REF(BgL_envz00_25083, (int) (((long) 0)));
				BgL_bodyz00_25085 = PROCEDURE_REF(BgL_envz00_25083, (int) (((long) 1)));
				{
					obj_t BgL_sz00_6956;

					BgL_sz00_6956 = BgL_sz00_25086;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6958;

						BgL_bpz00_6958 = VECTOR_REF(BgL_sz00_6956, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_6959;

							obj_t BgL_wherez00_6960;

							obj_t BgL_locz00_6961;

							BgL_z12denvz12_6959 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_36965;

								BgL_auxz00_36965 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25084);
								BgL_wherez00_6960 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_36965))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_36968;

								BgL_auxz00_36968 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25084);
								BgL_locz00_6961 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_36968))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6959, BgL_wherez00_6960,
									BgL_locz00_6961);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_6962;

									BgL_za2za2resza2za2z00_6962 =
										PROCEDURE_ENTRY(BgL_bodyz00_25085) (BgL_bodyz00_25085,
										BgL_sz00_6956, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6959);
									return BgL_za2za2resza2za2z00_6962;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6399> */
	obj_t BGl_zc3anonymousza36399ze3z83zz__evaluatez00(obj_t BgL_envz00_25087,
		obj_t BgL_sz00_25092)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25088;

				obj_t BgL_instance2850z00_25089;

				obj_t BgL_bodyz00_25090;

				obj_t BgL_sfz00_25091;

				BgL_iboxesz00_25088 =
					PROCEDURE_REF(BgL_envz00_25087, (int) (((long) 0)));
				BgL_instance2850z00_25089 =
					PROCEDURE_REF(BgL_envz00_25087, (int) (((long) 1)));
				BgL_bodyz00_25090 = PROCEDURE_REF(BgL_envz00_25087, (int) (((long) 2)));
				BgL_sfz00_25091 = PROCEDURE_REF(BgL_envz00_25087, (int) (((long) 3)));
				{
					obj_t BgL_sz00_6964;

					BgL_sz00_6964 = BgL_sz00_25092;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6966;

						BgL_bpz00_6966 = VECTOR_REF(BgL_sz00_6964, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24824;

								BgL_runz00_24824 =
									make_fx_procedure(BGl_run_7807z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_24824,
									(int) (((long) 0)), BgL_iboxesz00_25088);
								PROCEDURE_SET(BgL_runz00_24824,
									(int) (((long) 1)), BgL_instance2850z00_25089);
								PROCEDURE_SET(BgL_runz00_24824,
									(int) (((long) 2)), BgL_bodyz00_25090);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24825;

									BgL_mainz00_24825 =
										make_va_procedure(BGl_main_7806z00zz__evaluatez00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_24825,
										(int) (((long) 0)), BgL_iboxesz00_25088);
									PROCEDURE_SET(BgL_mainz00_24825,
										(int) (((long) 1)), BgL_instance2850z00_25089);
									PROCEDURE_SET(BgL_mainz00_24825,
										(int) (((long) 2)), BgL_bodyz00_25090);
									PROCEDURE_SET(BgL_mainz00_24825,
										(int) (((long) 3)), BgL_runz00_24824);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22743;

										BgL_objz00_22743 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24824, BgL_objz00_22743);
										BgL_objz00_22743;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6400z00_6969;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22746;

											BgL_newz00_22746 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37008;

												BgL_auxz00_37008 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22746, BgL_auxz00_37008,
													BgL_sfz00_25091);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37011;

												BgL_auxz00_37011 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22746, BgL_auxz00_37011,
													BgL_runz00_24824);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_37016;

												int BgL_auxz00_37014;

												BgL_auxz00_37016 = BINT(((long) -5));
												BgL_auxz00_37014 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22746, BgL_auxz00_37014,
													BgL_auxz00_37016);
											}
											BgL_arg6400z00_6969 = BgL_newz00_22746;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24825, BgL_arg6400z00_6969);
										BgL_arg6400z00_6969;
									}
									return BgL_mainz00_24825;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7806 */
	obj_t BGl_main_7806z00zz__evaluatez00(obj_t BgL_envz00_25093,
		obj_t BgL_az00_25098, obj_t BgL_bz00_25099, obj_t BgL_cz00_25100,
		obj_t BgL_dz00_25101, obj_t BgL_lastz00_25102)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25097;

				BgL_runz00_25097 = PROCEDURE_REF(BgL_envz00_25093, (int) (((long) 3)));
				{
					obj_t BgL_az00_6970;

					obj_t BgL_bz00_6971;

					obj_t BgL_cz00_6972;

					obj_t BgL_dz00_6973;

					obj_t BgL_lastz00_6974;

					BgL_az00_6970 = BgL_az00_25098;
					BgL_bz00_6971 = BgL_bz00_25099;
					BgL_cz00_6972 = BgL_cz00_25100;
					BgL_dz00_6973 = BgL_dz00_25101;
					BgL_lastz00_6974 = BgL_lastz00_25102;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6976;

						BgL_sz00_6976 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6977;

							BgL_bpz00_6977 = VECTOR_REF(BgL_sz00_6976, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6402z00_6978;

								BgL_arg6402z00_6978 =
									((long) CINT(BgL_bpz00_6977) + ((long) 0));
								VECTOR_SET(BgL_sz00_6976,
									(int) (BgL_arg6402z00_6978), BgL_az00_6970);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6403z00_6979;

								BgL_arg6403z00_6979 =
									((long) CINT(BgL_bpz00_6977) + ((long) 1));
								VECTOR_SET(BgL_sz00_6976,
									(int) (BgL_arg6403z00_6979), BgL_bz00_6971);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6404z00_6980;

								BgL_arg6404z00_6980 =
									((long) CINT(BgL_bpz00_6977) + ((long) 2));
								VECTOR_SET(BgL_sz00_6976,
									(int) (BgL_arg6404z00_6980), BgL_cz00_6972);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6405z00_6981;

								BgL_arg6405z00_6981 =
									((long) CINT(BgL_bpz00_6977) + ((long) 3));
								VECTOR_SET(BgL_sz00_6976,
									(int) (BgL_arg6405z00_6981), BgL_dz00_6973);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6406z00_6982;

								BgL_arg6406z00_6982 =
									((long) CINT(BgL_bpz00_6977) + ((long) 4));
								VECTOR_SET(BgL_sz00_6976,
									(int) (BgL_arg6406z00_6982), BgL_lastz00_6974);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2977z00_6983;

								BgL_val2977z00_6983 =
									BGl_zc3exitza36410ze3z83zz__evaluatez00(BgL_bpz00_6977,
									BgL_sz00_6976, BgL_runz00_25097);
								VECTOR_SET(BgL_sz00_6976, (int) (((long) 0)), BgL_bpz00_6977);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2977z00_6983)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2977z00_6983), CDR(BgL_val2977z00_6983));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2977z00_6983;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6410> */
	obj_t BGl_zc3exitza36410ze3z83zz__evaluatez00(obj_t BgL_bpz00_26456,
		obj_t BgL_sz00_26455, obj_t BgL_runz00_26454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2978z00_6988;

			if (SET_EXIT(BgL_an_exit2978z00_6988))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2978z00_6988 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2978z00_6988, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2979z00_6989;

							BgL_val2979z00_6989 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26454,
								BgL_sz00_26455, BgL_bpz00_26456);
							POP_EXIT();
							return BgL_val2979z00_6989;
						}
					}
				}
		}
	}



/* run_7807 */
	obj_t BGl_run_7807z00zz__evaluatez00(obj_t BgL_envz00_25103,
		obj_t BgL_sz00_25107)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25104;

				obj_t BgL_instance2850z00_25105;

				obj_t BgL_bodyz00_25106;

				BgL_iboxesz00_25104 =
					PROCEDURE_REF(BgL_envz00_25103, (int) (((long) 0)));
				BgL_instance2850z00_25105 =
					PROCEDURE_REF(BgL_envz00_25103, (int) (((long) 1)));
				BgL_bodyz00_25106 = PROCEDURE_REF(BgL_envz00_25103, (int) (((long) 2)));
				{
					obj_t BgL_sz00_6991;

					BgL_sz00_6991 = BgL_sz00_25107;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6993;

						BgL_bpz00_6993 = VECTOR_REF(BgL_sz00_6991, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_6991,
							BgL_iboxesz00_25104, BgL_bpz00_6993);
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_6994;

							obj_t BgL_wherez00_6995;

							obj_t BgL_locz00_6996;

							BgL_z12denvz12_6994 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_37068;

								BgL_auxz00_37068 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25105);
								BgL_wherez00_6995 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37068))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_37071;

								BgL_auxz00_37071 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25105);
								BgL_locz00_6996 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37071))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6994, BgL_wherez00_6995,
									BgL_locz00_6996);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_6997;

									BgL_za2za2resza2za2z00_6997 =
										PROCEDURE_ENTRY(BgL_bodyz00_25106) (BgL_bodyz00_25106,
										BgL_sz00_6991, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6994);
									return BgL_za2za2resza2za2z00_6997;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6415> */
	obj_t BGl_zc3anonymousza36415ze3z83zz__evaluatez00(obj_t BgL_envz00_25108,
		obj_t BgL_sz00_25114)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25109;

				obj_t BgL_siza7eza7_25110;

				obj_t BgL_instance2850z00_25111;

				obj_t BgL_bodyz00_25112;

				obj_t BgL_sfz00_25113;

				BgL_iza2za2_25109 = PROCEDURE_REF(BgL_envz00_25108, (int) (((long) 0)));
				BgL_siza7eza7_25110 =
					PROCEDURE_REF(BgL_envz00_25108, (int) (((long) 1)));
				BgL_instance2850z00_25111 =
					PROCEDURE_REF(BgL_envz00_25108, (int) (((long) 2)));
				BgL_bodyz00_25112 = PROCEDURE_REF(BgL_envz00_25108, (int) (((long) 3)));
				BgL_sfz00_25113 = PROCEDURE_REF(BgL_envz00_25108, (int) (((long) 4)));
				{
					obj_t BgL_sz00_7002;

					BgL_sz00_7002 = BgL_sz00_25114;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_7004;

						BgL_bpz00_7004 = VECTOR_REF(BgL_sz00_7002, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_7005;

							BgL_valza2za2_7005 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_7002,
								BgL_bpz00_7004, BgL_iza2za2_25109);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24821;

								BgL_runz00_24821 =
									make_fx_procedure(BGl_run_7809z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_24821,
									(int) (((long) 0)), BgL_siza7eza7_25110);
								PROCEDURE_SET(BgL_runz00_24821,
									(int) (((long) 1)), BgL_valza2za2_7005);
								PROCEDURE_SET(BgL_runz00_24821,
									(int) (((long) 2)), BgL_instance2850z00_25111);
								PROCEDURE_SET(BgL_runz00_24821,
									(int) (((long) 3)), BgL_bodyz00_25112);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24822;

									BgL_mainz00_24822 =
										make_va_procedure(BGl_main_7808z00zz__evaluatez00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_24822,
										(int) (((long) 0)), BgL_siza7eza7_25110);
									PROCEDURE_SET(BgL_mainz00_24822,
										(int) (((long) 1)), BgL_valza2za2_7005);
									PROCEDURE_SET(BgL_mainz00_24822,
										(int) (((long) 2)), BgL_instance2850z00_25111);
									PROCEDURE_SET(BgL_mainz00_24822,
										(int) (((long) 3)), BgL_bodyz00_25112);
									PROCEDURE_SET(BgL_mainz00_24822,
										(int) (((long) 4)), BgL_runz00_24821);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22802;

										BgL_objz00_22802 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24821, BgL_objz00_22802);
										BgL_objz00_22802;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6416z00_7008;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22805;

											BgL_newz00_22805 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37118;

												BgL_auxz00_37118 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22805, BgL_auxz00_37118,
													BgL_sfz00_25113);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37121;

												BgL_auxz00_37121 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22805, BgL_auxz00_37121,
													BgL_runz00_24821);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_37126;

												int BgL_auxz00_37124;

												BgL_auxz00_37126 = BINT(((long) -5));
												BgL_auxz00_37124 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22805, BgL_auxz00_37124,
													BgL_auxz00_37126);
											}
											BgL_arg6416z00_7008 = BgL_newz00_22805;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24822, BgL_arg6416z00_7008);
										BgL_arg6416z00_7008;
									}
									return BgL_mainz00_24822;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7808 */
	obj_t BGl_main_7808z00zz__evaluatez00(obj_t BgL_envz00_25115,
		obj_t BgL_az00_25121, obj_t BgL_bz00_25122, obj_t BgL_cz00_25123,
		obj_t BgL_dz00_25124, obj_t BgL_lastz00_25125)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25120;

				BgL_runz00_25120 = PROCEDURE_REF(BgL_envz00_25115, (int) (((long) 4)));
				{
					obj_t BgL_az00_7009;

					obj_t BgL_bz00_7010;

					obj_t BgL_cz00_7011;

					obj_t BgL_dz00_7012;

					obj_t BgL_lastz00_7013;

					BgL_az00_7009 = BgL_az00_25121;
					BgL_bz00_7010 = BgL_bz00_25122;
					BgL_cz00_7011 = BgL_cz00_25123;
					BgL_dz00_7012 = BgL_dz00_25124;
					BgL_lastz00_7013 = BgL_lastz00_25125;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_7015;

						BgL_sz00_7015 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_7016;

							BgL_bpz00_7016 = VECTOR_REF(BgL_sz00_7015, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6418z00_7017;

								BgL_arg6418z00_7017 =
									((long) CINT(BgL_bpz00_7016) + ((long) 0));
								VECTOR_SET(BgL_sz00_7015,
									(int) (BgL_arg6418z00_7017), BgL_az00_7009);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6419z00_7018;

								BgL_arg6419z00_7018 =
									((long) CINT(BgL_bpz00_7016) + ((long) 1));
								VECTOR_SET(BgL_sz00_7015,
									(int) (BgL_arg6419z00_7018), BgL_bz00_7010);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6420z00_7019;

								BgL_arg6420z00_7019 =
									((long) CINT(BgL_bpz00_7016) + ((long) 2));
								VECTOR_SET(BgL_sz00_7015,
									(int) (BgL_arg6420z00_7019), BgL_cz00_7011);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6421z00_7020;

								BgL_arg6421z00_7020 =
									((long) CINT(BgL_bpz00_7016) + ((long) 3));
								VECTOR_SET(BgL_sz00_7015,
									(int) (BgL_arg6421z00_7020), BgL_dz00_7012);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6422z00_7021;

								BgL_arg6422z00_7021 =
									((long) CINT(BgL_bpz00_7016) + ((long) 4));
								VECTOR_SET(BgL_sz00_7015,
									(int) (BgL_arg6422z00_7021), BgL_lastz00_7013);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2980z00_7022;

								BgL_val2980z00_7022 =
									BGl_zc3exitza36426ze3z83zz__evaluatez00(BgL_bpz00_7016,
									BgL_sz00_7015, BgL_runz00_25120);
								VECTOR_SET(BgL_sz00_7015, (int) (((long) 0)), BgL_bpz00_7016);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2980z00_7022)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2980z00_7022), CDR(BgL_val2980z00_7022));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2980z00_7022;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6426> */
	obj_t BGl_zc3exitza36426ze3z83zz__evaluatez00(obj_t BgL_bpz00_26453,
		obj_t BgL_sz00_26452, obj_t BgL_runz00_26451)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2981z00_7027;

			if (SET_EXIT(BgL_an_exit2981z00_7027))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2981z00_7027 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2981z00_7027, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2982z00_7028;

							BgL_val2982z00_7028 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26451,
								BgL_sz00_26452, BgL_bpz00_26453);
							POP_EXIT();
							return BgL_val2982z00_7028;
						}
					}
				}
		}
	}



/* run_7809 */
	obj_t BGl_run_7809z00zz__evaluatez00(obj_t BgL_envz00_25126,
		obj_t BgL_sz00_25131)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_siza7eza7_25127;

				obj_t BgL_valza2za2_25128;

				obj_t BgL_instance2850z00_25129;

				obj_t BgL_bodyz00_25130;

				BgL_siza7eza7_25127 =
					PROCEDURE_REF(BgL_envz00_25126, (int) (((long) 0)));
				BgL_valza2za2_25128 =
					PROCEDURE_REF(BgL_envz00_25126, (int) (((long) 1)));
				BgL_instance2850z00_25129 =
					PROCEDURE_REF(BgL_envz00_25126, (int) (((long) 2)));
				BgL_bodyz00_25130 = PROCEDURE_REF(BgL_envz00_25126, (int) (((long) 3)));
				{
					obj_t BgL_sz00_7030;

					BgL_sz00_7030 = BgL_sz00_25131;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_7032;

						BgL_bpz00_7032 = VECTOR_REF(BgL_sz00_7030, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_7030,
							BgL_valza2za2_25128,
							((long) CINT(BgL_bpz00_7032) + (long) CINT(BgL_siza7eza7_25127)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_7034;

							obj_t BgL_wherez00_7035;

							obj_t BgL_locz00_7036;

							BgL_z12denvz12_7034 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_37183;

								BgL_auxz00_37183 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25129);
								BgL_wherez00_7035 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37183))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_37186;

								BgL_auxz00_37186 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25129);
								BgL_locz00_7036 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37186))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_7034, BgL_wherez00_7035,
									BgL_locz00_7036);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_7037;

									BgL_za2za2resza2za2z00_7037 =
										PROCEDURE_ENTRY(BgL_bodyz00_25130) (BgL_bodyz00_25130,
										BgL_sz00_7030, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_7034);
									return BgL_za2za2resza2za2z00_7037;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6429> */
	obj_t BGl_zc3anonymousza36429ze3z83zz__evaluatez00(obj_t BgL_envz00_25132,
		obj_t BgL_sz00_25139)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25133;

				obj_t BgL_iboxesz00_25134;

				obj_t BgL_siza7eza7_25135;

				obj_t BgL_instance2850z00_25136;

				obj_t BgL_bodyz00_25137;

				obj_t BgL_sfz00_25138;

				BgL_iza2za2_25133 = PROCEDURE_REF(BgL_envz00_25132, (int) (((long) 0)));
				BgL_iboxesz00_25134 =
					PROCEDURE_REF(BgL_envz00_25132, (int) (((long) 1)));
				BgL_siza7eza7_25135 =
					PROCEDURE_REF(BgL_envz00_25132, (int) (((long) 2)));
				BgL_instance2850z00_25136 =
					PROCEDURE_REF(BgL_envz00_25132, (int) (((long) 3)));
				BgL_bodyz00_25137 = PROCEDURE_REF(BgL_envz00_25132, (int) (((long) 4)));
				BgL_sfz00_25138 = PROCEDURE_REF(BgL_envz00_25132, (int) (((long) 5)));
				{
					obj_t BgL_sz00_7039;

					BgL_sz00_7039 = BgL_sz00_25139;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_7041;

						BgL_bpz00_7041 = VECTOR_REF(BgL_sz00_7039, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_7042;

							BgL_valza2za2_7042 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_7039,
								BgL_bpz00_7041, BgL_iza2za2_25133);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24818;

								BgL_runz00_24818 =
									make_fx_procedure(BGl_run_7811z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_24818,
									(int) (((long) 0)), BgL_iboxesz00_25134);
								PROCEDURE_SET(BgL_runz00_24818,
									(int) (((long) 1)), BgL_siza7eza7_25135);
								PROCEDURE_SET(BgL_runz00_24818,
									(int) (((long) 2)), BgL_valza2za2_7042);
								PROCEDURE_SET(BgL_runz00_24818,
									(int) (((long) 3)), BgL_instance2850z00_25136);
								PROCEDURE_SET(BgL_runz00_24818,
									(int) (((long) 4)), BgL_bodyz00_25137);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24819;

									BgL_mainz00_24819 =
										make_va_procedure(BGl_main_7810z00zz__evaluatez00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_24819,
										(int) (((long) 0)), BgL_iboxesz00_25134);
									PROCEDURE_SET(BgL_mainz00_24819,
										(int) (((long) 1)), BgL_siza7eza7_25135);
									PROCEDURE_SET(BgL_mainz00_24819,
										(int) (((long) 2)), BgL_valza2za2_7042);
									PROCEDURE_SET(BgL_mainz00_24819,
										(int) (((long) 3)), BgL_instance2850z00_25136);
									PROCEDURE_SET(BgL_mainz00_24819,
										(int) (((long) 4)), BgL_bodyz00_25137);
									PROCEDURE_SET(BgL_mainz00_24819,
										(int) (((long) 5)), BgL_runz00_24818);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22860;

										BgL_objz00_22860 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24818, BgL_objz00_22860);
										BgL_objz00_22860;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6430z00_7045;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22863;

											BgL_newz00_22863 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37239;

												BgL_auxz00_37239 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22863, BgL_auxz00_37239,
													BgL_sfz00_25138);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37242;

												BgL_auxz00_37242 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22863, BgL_auxz00_37242,
													BgL_runz00_24818);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_37247;

												int BgL_auxz00_37245;

												BgL_auxz00_37247 = BINT(((long) -5));
												BgL_auxz00_37245 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22863, BgL_auxz00_37245,
													BgL_auxz00_37247);
											}
											BgL_arg6430z00_7045 = BgL_newz00_22863;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24819, BgL_arg6430z00_7045);
										BgL_arg6430z00_7045;
									}
									return BgL_mainz00_24819;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7810 */
	obj_t BGl_main_7810z00zz__evaluatez00(obj_t BgL_envz00_25140,
		obj_t BgL_az00_25147, obj_t BgL_bz00_25148, obj_t BgL_cz00_25149,
		obj_t BgL_dz00_25150, obj_t BgL_lastz00_25151)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25146;

				BgL_runz00_25146 = PROCEDURE_REF(BgL_envz00_25140, (int) (((long) 5)));
				{
					obj_t BgL_az00_7046;

					obj_t BgL_bz00_7047;

					obj_t BgL_cz00_7048;

					obj_t BgL_dz00_7049;

					obj_t BgL_lastz00_7050;

					BgL_az00_7046 = BgL_az00_25147;
					BgL_bz00_7047 = BgL_bz00_25148;
					BgL_cz00_7048 = BgL_cz00_25149;
					BgL_dz00_7049 = BgL_dz00_25150;
					BgL_lastz00_7050 = BgL_lastz00_25151;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_7052;

						BgL_sz00_7052 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_7053;

							BgL_bpz00_7053 = VECTOR_REF(BgL_sz00_7052, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6432z00_7054;

								BgL_arg6432z00_7054 =
									((long) CINT(BgL_bpz00_7053) + ((long) 0));
								VECTOR_SET(BgL_sz00_7052,
									(int) (BgL_arg6432z00_7054), BgL_az00_7046);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6433z00_7055;

								BgL_arg6433z00_7055 =
									((long) CINT(BgL_bpz00_7053) + ((long) 1));
								VECTOR_SET(BgL_sz00_7052,
									(int) (BgL_arg6433z00_7055), BgL_bz00_7047);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6434z00_7056;

								BgL_arg6434z00_7056 =
									((long) CINT(BgL_bpz00_7053) + ((long) 2));
								VECTOR_SET(BgL_sz00_7052,
									(int) (BgL_arg6434z00_7056), BgL_cz00_7048);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6435z00_7057;

								BgL_arg6435z00_7057 =
									((long) CINT(BgL_bpz00_7053) + ((long) 3));
								VECTOR_SET(BgL_sz00_7052,
									(int) (BgL_arg6435z00_7057), BgL_dz00_7049);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6436z00_7058;

								BgL_arg6436z00_7058 =
									((long) CINT(BgL_bpz00_7053) + ((long) 4));
								VECTOR_SET(BgL_sz00_7052,
									(int) (BgL_arg6436z00_7058), BgL_lastz00_7050);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2983z00_7059;

								BgL_val2983z00_7059 =
									BGl_zc3exitza36440ze3z83zz__evaluatez00(BgL_bpz00_7053,
									BgL_sz00_7052, BgL_runz00_25146);
								VECTOR_SET(BgL_sz00_7052, (int) (((long) 0)), BgL_bpz00_7053);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2983z00_7059)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2983z00_7059), CDR(BgL_val2983z00_7059));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2983z00_7059;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6440> */
	obj_t BGl_zc3exitza36440ze3z83zz__evaluatez00(obj_t BgL_bpz00_26450,
		obj_t BgL_sz00_26449, obj_t BgL_runz00_26448)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2984z00_7064;

			if (SET_EXIT(BgL_an_exit2984z00_7064))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2984z00_7064 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2984z00_7064, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2985z00_7065;

							BgL_val2985z00_7065 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26448,
								BgL_sz00_26449, BgL_bpz00_26450);
							POP_EXIT();
							return BgL_val2985z00_7065;
						}
					}
				}
		}
	}



/* run_7811 */
	obj_t BGl_run_7811z00zz__evaluatez00(obj_t BgL_envz00_25152,
		obj_t BgL_sz00_25158)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25153;

				obj_t BgL_siza7eza7_25154;

				obj_t BgL_valza2za2_25155;

				obj_t BgL_instance2850z00_25156;

				obj_t BgL_bodyz00_25157;

				BgL_iboxesz00_25153 =
					PROCEDURE_REF(BgL_envz00_25152, (int) (((long) 0)));
				BgL_siza7eza7_25154 =
					PROCEDURE_REF(BgL_envz00_25152, (int) (((long) 1)));
				BgL_valza2za2_25155 =
					PROCEDURE_REF(BgL_envz00_25152, (int) (((long) 2)));
				BgL_instance2850z00_25156 =
					PROCEDURE_REF(BgL_envz00_25152, (int) (((long) 3)));
				BgL_bodyz00_25157 = PROCEDURE_REF(BgL_envz00_25152, (int) (((long) 4)));
				{
					obj_t BgL_sz00_7067;

					BgL_sz00_7067 = BgL_sz00_25158;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_7069;

						BgL_bpz00_7069 = VECTOR_REF(BgL_sz00_7067, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_7067,
							BgL_iboxesz00_25153, BgL_bpz00_7069);
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_7067,
							BgL_valza2za2_25155,
							((long) CINT(BgL_bpz00_7069) + (long) CINT(BgL_siza7eza7_25154)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_7071;

							obj_t BgL_wherez00_7072;

							obj_t BgL_locz00_7073;

							BgL_z12denvz12_7071 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_37307;

								BgL_auxz00_37307 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25156);
								BgL_wherez00_7072 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37307))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_37310;

								BgL_auxz00_37310 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25156);
								BgL_locz00_7073 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37310))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_7071, BgL_wherez00_7072,
									BgL_locz00_7073);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_7074;

									BgL_za2za2resza2za2z00_7074 =
										PROCEDURE_ENTRY(BgL_bodyz00_25157) (BgL_bodyz00_25157,
										BgL_sz00_7067, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_7071);
									return BgL_za2za2resza2za2z00_7074;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6327> */
	obj_t BGl_zc3anonymousza36327ze3z83zz__evaluatez00(obj_t BgL_envz00_25159,
		obj_t BgL_sz00_25163)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25160;

				obj_t BgL_bodyz00_25161;

				obj_t BgL_sfz00_25162;

				BgL_instance2850z00_25160 =
					PROCEDURE_REF(BgL_envz00_25159, (int) (((long) 0)));
				BgL_bodyz00_25161 = PROCEDURE_REF(BgL_envz00_25159, (int) (((long) 1)));
				BgL_sfz00_25162 = PROCEDURE_REF(BgL_envz00_25159, (int) (((long) 2)));
				{
					obj_t BgL_sz00_6784;

					BgL_sz00_6784 = BgL_sz00_25163;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6786;

						BgL_bpz00_6786 = VECTOR_REF(BgL_sz00_6784, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24815;

								BgL_runz00_24815 =
									make_fx_procedure(BGl_run_7813z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_24815,
									(int) (((long) 0)), BgL_instance2850z00_25160);
								PROCEDURE_SET(BgL_runz00_24815,
									(int) (((long) 1)), BgL_bodyz00_25161);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24816;

									BgL_mainz00_24816 =
										make_fx_procedure(BGl_main_7812z00zz__evaluatez00,
										(int) (((long) 4)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_mainz00_24816,
										(int) (((long) 0)), BgL_instance2850z00_25160);
									PROCEDURE_SET(BgL_mainz00_24816,
										(int) (((long) 1)), BgL_bodyz00_25161);
									PROCEDURE_SET(BgL_mainz00_24816,
										(int) (((long) 2)), BgL_runz00_24815);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22470;

										BgL_objz00_22470 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24815, BgL_objz00_22470);
										BgL_objz00_22470;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6328z00_6789;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22473;

											BgL_newz00_22473 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37344;

												BgL_auxz00_37344 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22473, BgL_auxz00_37344,
													BgL_sfz00_25162);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37347;

												BgL_auxz00_37347 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22473, BgL_auxz00_37347,
													BgL_runz00_24815);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_37352;

												int BgL_auxz00_37350;

												BgL_auxz00_37352 = BINT(((long) 4));
												BgL_auxz00_37350 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22473, BgL_auxz00_37350,
													BgL_auxz00_37352);
											}
											BgL_arg6328z00_6789 = BgL_newz00_22473;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24816, BgL_arg6328z00_6789);
										BgL_arg6328z00_6789;
									}
									return BgL_mainz00_24816;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7812 */
	obj_t BGl_main_7812z00zz__evaluatez00(obj_t BgL_envz00_25164,
		obj_t BgL_az00_25168, obj_t BgL_bz00_25169, obj_t BgL_cz00_25170,
		obj_t BgL_dz00_25171)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25167;

				BgL_runz00_25167 = PROCEDURE_REF(BgL_envz00_25164, (int) (((long) 2)));
				{
					obj_t BgL_az00_6790;

					obj_t BgL_bz00_6791;

					obj_t BgL_cz00_6792;

					obj_t BgL_dz00_6793;

					BgL_az00_6790 = BgL_az00_25168;
					BgL_bz00_6791 = BgL_bz00_25169;
					BgL_cz00_6792 = BgL_cz00_25170;
					BgL_dz00_6793 = BgL_dz00_25171;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6795;

						BgL_sz00_6795 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6796;

							BgL_bpz00_6796 = VECTOR_REF(BgL_sz00_6795, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6330z00_6797;

								BgL_arg6330z00_6797 =
									((long) CINT(BgL_bpz00_6796) + ((long) 0));
								VECTOR_SET(BgL_sz00_6795,
									(int) (BgL_arg6330z00_6797), BgL_az00_6790);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6331z00_6798;

								BgL_arg6331z00_6798 =
									((long) CINT(BgL_bpz00_6796) + ((long) 1));
								VECTOR_SET(BgL_sz00_6795,
									(int) (BgL_arg6331z00_6798), BgL_bz00_6791);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6332z00_6799;

								BgL_arg6332z00_6799 =
									((long) CINT(BgL_bpz00_6796) + ((long) 2));
								VECTOR_SET(BgL_sz00_6795,
									(int) (BgL_arg6332z00_6799), BgL_cz00_6792);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6333z00_6800;

								BgL_arg6333z00_6800 =
									((long) CINT(BgL_bpz00_6796) + ((long) 3));
								VECTOR_SET(BgL_sz00_6795,
									(int) (BgL_arg6333z00_6800), BgL_dz00_6793);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2962z00_6801;

								BgL_val2962z00_6801 =
									BGl_zc3exitza36337ze3z83zz__evaluatez00(BgL_bpz00_6796,
									BgL_sz00_6795, BgL_runz00_25167);
								VECTOR_SET(BgL_sz00_6795, (int) (((long) 0)), BgL_bpz00_6796);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2962z00_6801)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2962z00_6801), CDR(BgL_val2962z00_6801));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2962z00_6801;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6337> */
	obj_t BGl_zc3exitza36337ze3z83zz__evaluatez00(obj_t BgL_bpz00_26447,
		obj_t BgL_sz00_26446, obj_t BgL_runz00_26445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2963z00_6806;

			if (SET_EXIT(BgL_an_exit2963z00_6806))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2963z00_6806 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2963z00_6806, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2964z00_6807;

							BgL_val2964z00_6807 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26445,
								BgL_sz00_26446, BgL_bpz00_26447);
							POP_EXIT();
							return BgL_val2964z00_6807;
						}
					}
				}
		}
	}



/* run_7813 */
	obj_t BGl_run_7813z00zz__evaluatez00(obj_t BgL_envz00_25172,
		obj_t BgL_sz00_25175)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25173;

				obj_t BgL_bodyz00_25174;

				BgL_instance2850z00_25173 =
					PROCEDURE_REF(BgL_envz00_25172, (int) (((long) 0)));
				BgL_bodyz00_25174 = PROCEDURE_REF(BgL_envz00_25172, (int) (((long) 1)));
				{
					obj_t BgL_sz00_6809;

					BgL_sz00_6809 = BgL_sz00_25175;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6811;

						BgL_bpz00_6811 = VECTOR_REF(BgL_sz00_6809, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_6812;

							obj_t BgL_wherez00_6813;

							obj_t BgL_locz00_6814;

							BgL_z12denvz12_6812 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_37397;

								BgL_auxz00_37397 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25173);
								BgL_wherez00_6813 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37397))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_37400;

								BgL_auxz00_37400 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25173);
								BgL_locz00_6814 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37400))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6812, BgL_wherez00_6813,
									BgL_locz00_6814);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_6815;

									BgL_za2za2resza2za2z00_6815 =
										PROCEDURE_ENTRY(BgL_bodyz00_25174) (BgL_bodyz00_25174,
										BgL_sz00_6809, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6812);
									return BgL_za2za2resza2za2z00_6815;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6339> */
	obj_t BGl_zc3anonymousza36339ze3z83zz__evaluatez00(obj_t BgL_envz00_25176,
		obj_t BgL_sz00_25181)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25177;

				obj_t BgL_instance2850z00_25178;

				obj_t BgL_bodyz00_25179;

				obj_t BgL_sfz00_25180;

				BgL_iboxesz00_25177 =
					PROCEDURE_REF(BgL_envz00_25176, (int) (((long) 0)));
				BgL_instance2850z00_25178 =
					PROCEDURE_REF(BgL_envz00_25176, (int) (((long) 1)));
				BgL_bodyz00_25179 = PROCEDURE_REF(BgL_envz00_25176, (int) (((long) 2)));
				BgL_sfz00_25180 = PROCEDURE_REF(BgL_envz00_25176, (int) (((long) 3)));
				{
					obj_t BgL_sz00_6817;

					BgL_sz00_6817 = BgL_sz00_25181;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6819;

						BgL_bpz00_6819 = VECTOR_REF(BgL_sz00_6817, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24812;

								BgL_runz00_24812 =
									make_fx_procedure(BGl_run_7815z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_24812,
									(int) (((long) 0)), BgL_iboxesz00_25177);
								PROCEDURE_SET(BgL_runz00_24812,
									(int) (((long) 1)), BgL_instance2850z00_25178);
								PROCEDURE_SET(BgL_runz00_24812,
									(int) (((long) 2)), BgL_bodyz00_25179);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24813;

									BgL_mainz00_24813 =
										make_fx_procedure(BGl_main_7814z00zz__evaluatez00,
										(int) (((long) 4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_24813,
										(int) (((long) 0)), BgL_iboxesz00_25177);
									PROCEDURE_SET(BgL_mainz00_24813,
										(int) (((long) 1)), BgL_instance2850z00_25178);
									PROCEDURE_SET(BgL_mainz00_24813,
										(int) (((long) 2)), BgL_bodyz00_25179);
									PROCEDURE_SET(BgL_mainz00_24813,
										(int) (((long) 3)), BgL_runz00_24812);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22521;

										BgL_objz00_22521 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24812, BgL_objz00_22521);
										BgL_objz00_22521;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6340z00_6822;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22524;

											BgL_newz00_22524 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37440;

												BgL_auxz00_37440 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22524, BgL_auxz00_37440,
													BgL_sfz00_25180);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37443;

												BgL_auxz00_37443 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22524, BgL_auxz00_37443,
													BgL_runz00_24812);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_37448;

												int BgL_auxz00_37446;

												BgL_auxz00_37448 = BINT(((long) 4));
												BgL_auxz00_37446 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22524, BgL_auxz00_37446,
													BgL_auxz00_37448);
											}
											BgL_arg6340z00_6822 = BgL_newz00_22524;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24813, BgL_arg6340z00_6822);
										BgL_arg6340z00_6822;
									}
									return BgL_mainz00_24813;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7814 */
	obj_t BGl_main_7814z00zz__evaluatez00(obj_t BgL_envz00_25182,
		obj_t BgL_az00_25187, obj_t BgL_bz00_25188, obj_t BgL_cz00_25189,
		obj_t BgL_dz00_25190)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25186;

				BgL_runz00_25186 = PROCEDURE_REF(BgL_envz00_25182, (int) (((long) 3)));
				{
					obj_t BgL_az00_6823;

					obj_t BgL_bz00_6824;

					obj_t BgL_cz00_6825;

					obj_t BgL_dz00_6826;

					BgL_az00_6823 = BgL_az00_25187;
					BgL_bz00_6824 = BgL_bz00_25188;
					BgL_cz00_6825 = BgL_cz00_25189;
					BgL_dz00_6826 = BgL_dz00_25190;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6828;

						BgL_sz00_6828 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6829;

							BgL_bpz00_6829 = VECTOR_REF(BgL_sz00_6828, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6342z00_6830;

								BgL_arg6342z00_6830 =
									((long) CINT(BgL_bpz00_6829) + ((long) 0));
								VECTOR_SET(BgL_sz00_6828,
									(int) (BgL_arg6342z00_6830), BgL_az00_6823);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6343z00_6831;

								BgL_arg6343z00_6831 =
									((long) CINT(BgL_bpz00_6829) + ((long) 1));
								VECTOR_SET(BgL_sz00_6828,
									(int) (BgL_arg6343z00_6831), BgL_bz00_6824);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6344z00_6832;

								BgL_arg6344z00_6832 =
									((long) CINT(BgL_bpz00_6829) + ((long) 2));
								VECTOR_SET(BgL_sz00_6828,
									(int) (BgL_arg6344z00_6832), BgL_cz00_6825);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6345z00_6833;

								BgL_arg6345z00_6833 =
									((long) CINT(BgL_bpz00_6829) + ((long) 3));
								VECTOR_SET(BgL_sz00_6828,
									(int) (BgL_arg6345z00_6833), BgL_dz00_6826);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2965z00_6834;

								BgL_val2965z00_6834 =
									BGl_zc3exitza36349ze3z83zz__evaluatez00(BgL_bpz00_6829,
									BgL_sz00_6828, BgL_runz00_25186);
								VECTOR_SET(BgL_sz00_6828, (int) (((long) 0)), BgL_bpz00_6829);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2965z00_6834)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2965z00_6834), CDR(BgL_val2965z00_6834));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2965z00_6834;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6349> */
	obj_t BGl_zc3exitza36349ze3z83zz__evaluatez00(obj_t BgL_bpz00_26444,
		obj_t BgL_sz00_26443, obj_t BgL_runz00_26442)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2966z00_6839;

			if (SET_EXIT(BgL_an_exit2966z00_6839))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2966z00_6839 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2966z00_6839, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2967z00_6840;

							BgL_val2967z00_6840 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26442,
								BgL_sz00_26443, BgL_bpz00_26444);
							POP_EXIT();
							return BgL_val2967z00_6840;
						}
					}
				}
		}
	}



/* run_7815 */
	obj_t BGl_run_7815z00zz__evaluatez00(obj_t BgL_envz00_25191,
		obj_t BgL_sz00_25195)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25192;

				obj_t BgL_instance2850z00_25193;

				obj_t BgL_bodyz00_25194;

				BgL_iboxesz00_25192 =
					PROCEDURE_REF(BgL_envz00_25191, (int) (((long) 0)));
				BgL_instance2850z00_25193 =
					PROCEDURE_REF(BgL_envz00_25191, (int) (((long) 1)));
				BgL_bodyz00_25194 = PROCEDURE_REF(BgL_envz00_25191, (int) (((long) 2)));
				{
					obj_t BgL_sz00_6842;

					BgL_sz00_6842 = BgL_sz00_25195;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6844;

						BgL_bpz00_6844 = VECTOR_REF(BgL_sz00_6842, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_6842,
							BgL_iboxesz00_25192, BgL_bpz00_6844);
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_6845;

							obj_t BgL_wherez00_6846;

							obj_t BgL_locz00_6847;

							BgL_z12denvz12_6845 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_37496;

								BgL_auxz00_37496 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25193);
								BgL_wherez00_6846 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37496))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_37499;

								BgL_auxz00_37499 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25193);
								BgL_locz00_6847 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37499))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6845, BgL_wherez00_6846,
									BgL_locz00_6847);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_6848;

									BgL_za2za2resza2za2z00_6848 =
										PROCEDURE_ENTRY(BgL_bodyz00_25194) (BgL_bodyz00_25194,
										BgL_sz00_6842, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6845);
									return BgL_za2za2resza2za2z00_6848;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6354> */
	obj_t BGl_zc3anonymousza36354ze3z83zz__evaluatez00(obj_t BgL_envz00_25196,
		obj_t BgL_sz00_25202)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25197;

				obj_t BgL_siza7eza7_25198;

				obj_t BgL_instance2850z00_25199;

				obj_t BgL_bodyz00_25200;

				obj_t BgL_sfz00_25201;

				BgL_iza2za2_25197 = PROCEDURE_REF(BgL_envz00_25196, (int) (((long) 0)));
				BgL_siza7eza7_25198 =
					PROCEDURE_REF(BgL_envz00_25196, (int) (((long) 1)));
				BgL_instance2850z00_25199 =
					PROCEDURE_REF(BgL_envz00_25196, (int) (((long) 2)));
				BgL_bodyz00_25200 = PROCEDURE_REF(BgL_envz00_25196, (int) (((long) 3)));
				BgL_sfz00_25201 = PROCEDURE_REF(BgL_envz00_25196, (int) (((long) 4)));
				{
					obj_t BgL_sz00_6853;

					BgL_sz00_6853 = BgL_sz00_25202;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6855;

						BgL_bpz00_6855 = VECTOR_REF(BgL_sz00_6853, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_6856;

							BgL_valza2za2_6856 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_6853,
								BgL_bpz00_6855, BgL_iza2za2_25197);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24809;

								BgL_runz00_24809 =
									make_fx_procedure(BGl_run_7817z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_24809,
									(int) (((long) 0)), BgL_siza7eza7_25198);
								PROCEDURE_SET(BgL_runz00_24809,
									(int) (((long) 1)), BgL_valza2za2_6856);
								PROCEDURE_SET(BgL_runz00_24809,
									(int) (((long) 2)), BgL_instance2850z00_25199);
								PROCEDURE_SET(BgL_runz00_24809,
									(int) (((long) 3)), BgL_bodyz00_25200);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24810;

									BgL_mainz00_24810 =
										make_fx_procedure(BGl_main_7816z00zz__evaluatez00,
										(int) (((long) 4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_24810,
										(int) (((long) 0)), BgL_siza7eza7_25198);
									PROCEDURE_SET(BgL_mainz00_24810,
										(int) (((long) 1)), BgL_valza2za2_6856);
									PROCEDURE_SET(BgL_mainz00_24810,
										(int) (((long) 2)), BgL_instance2850z00_25199);
									PROCEDURE_SET(BgL_mainz00_24810,
										(int) (((long) 3)), BgL_bodyz00_25200);
									PROCEDURE_SET(BgL_mainz00_24810,
										(int) (((long) 4)), BgL_runz00_24809);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22575;

										BgL_objz00_22575 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24809, BgL_objz00_22575);
										BgL_objz00_22575;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6355z00_6859;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22578;

											BgL_newz00_22578 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37546;

												BgL_auxz00_37546 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22578, BgL_auxz00_37546,
													BgL_sfz00_25201);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37549;

												BgL_auxz00_37549 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22578, BgL_auxz00_37549,
													BgL_runz00_24809);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_37554;

												int BgL_auxz00_37552;

												BgL_auxz00_37554 = BINT(((long) 4));
												BgL_auxz00_37552 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22578, BgL_auxz00_37552,
													BgL_auxz00_37554);
											}
											BgL_arg6355z00_6859 = BgL_newz00_22578;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24810, BgL_arg6355z00_6859);
										BgL_arg6355z00_6859;
									}
									return BgL_mainz00_24810;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7816 */
	obj_t BGl_main_7816z00zz__evaluatez00(obj_t BgL_envz00_25203,
		obj_t BgL_az00_25209, obj_t BgL_bz00_25210, obj_t BgL_cz00_25211,
		obj_t BgL_dz00_25212)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25208;

				BgL_runz00_25208 = PROCEDURE_REF(BgL_envz00_25203, (int) (((long) 4)));
				{
					obj_t BgL_az00_6860;

					obj_t BgL_bz00_6861;

					obj_t BgL_cz00_6862;

					obj_t BgL_dz00_6863;

					BgL_az00_6860 = BgL_az00_25209;
					BgL_bz00_6861 = BgL_bz00_25210;
					BgL_cz00_6862 = BgL_cz00_25211;
					BgL_dz00_6863 = BgL_dz00_25212;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6865;

						BgL_sz00_6865 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6866;

							BgL_bpz00_6866 = VECTOR_REF(BgL_sz00_6865, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6357z00_6867;

								BgL_arg6357z00_6867 =
									((long) CINT(BgL_bpz00_6866) + ((long) 0));
								VECTOR_SET(BgL_sz00_6865,
									(int) (BgL_arg6357z00_6867), BgL_az00_6860);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6358z00_6868;

								BgL_arg6358z00_6868 =
									((long) CINT(BgL_bpz00_6866) + ((long) 1));
								VECTOR_SET(BgL_sz00_6865,
									(int) (BgL_arg6358z00_6868), BgL_bz00_6861);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6359z00_6869;

								BgL_arg6359z00_6869 =
									((long) CINT(BgL_bpz00_6866) + ((long) 2));
								VECTOR_SET(BgL_sz00_6865,
									(int) (BgL_arg6359z00_6869), BgL_cz00_6862);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6360z00_6870;

								BgL_arg6360z00_6870 =
									((long) CINT(BgL_bpz00_6866) + ((long) 3));
								VECTOR_SET(BgL_sz00_6865,
									(int) (BgL_arg6360z00_6870), BgL_dz00_6863);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2968z00_6871;

								BgL_val2968z00_6871 =
									BGl_zc3exitza36364ze3z83zz__evaluatez00(BgL_bpz00_6866,
									BgL_sz00_6865, BgL_runz00_25208);
								VECTOR_SET(BgL_sz00_6865, (int) (((long) 0)), BgL_bpz00_6866);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2968z00_6871)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2968z00_6871), CDR(BgL_val2968z00_6871));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2968z00_6871;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6364> */
	obj_t BGl_zc3exitza36364ze3z83zz__evaluatez00(obj_t BgL_bpz00_26441,
		obj_t BgL_sz00_26440, obj_t BgL_runz00_26439)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2969z00_6876;

			if (SET_EXIT(BgL_an_exit2969z00_6876))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2969z00_6876 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2969z00_6876, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2970z00_6877;

							BgL_val2970z00_6877 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26439,
								BgL_sz00_26440, BgL_bpz00_26441);
							POP_EXIT();
							return BgL_val2970z00_6877;
						}
					}
				}
		}
	}



/* run_7817 */
	obj_t BGl_run_7817z00zz__evaluatez00(obj_t BgL_envz00_25213,
		obj_t BgL_sz00_25218)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_siza7eza7_25214;

				obj_t BgL_valza2za2_25215;

				obj_t BgL_instance2850z00_25216;

				obj_t BgL_bodyz00_25217;

				BgL_siza7eza7_25214 =
					PROCEDURE_REF(BgL_envz00_25213, (int) (((long) 0)));
				BgL_valza2za2_25215 =
					PROCEDURE_REF(BgL_envz00_25213, (int) (((long) 1)));
				BgL_instance2850z00_25216 =
					PROCEDURE_REF(BgL_envz00_25213, (int) (((long) 2)));
				BgL_bodyz00_25217 = PROCEDURE_REF(BgL_envz00_25213, (int) (((long) 3)));
				{
					obj_t BgL_sz00_6879;

					BgL_sz00_6879 = BgL_sz00_25218;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6881;

						BgL_bpz00_6881 = VECTOR_REF(BgL_sz00_6879, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_6879,
							BgL_valza2za2_25215,
							((long) CINT(BgL_bpz00_6881) + (long) CINT(BgL_siza7eza7_25214)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_6883;

							obj_t BgL_wherez00_6884;

							obj_t BgL_locz00_6885;

							BgL_z12denvz12_6883 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_37607;

								BgL_auxz00_37607 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25216);
								BgL_wherez00_6884 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37607))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_37610;

								BgL_auxz00_37610 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25216);
								BgL_locz00_6885 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37610))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6883, BgL_wherez00_6884,
									BgL_locz00_6885);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_6886;

									BgL_za2za2resza2za2z00_6886 =
										PROCEDURE_ENTRY(BgL_bodyz00_25217) (BgL_bodyz00_25217,
										BgL_sz00_6879, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6883);
									return BgL_za2za2resza2za2z00_6886;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6367> */
	obj_t BGl_zc3anonymousza36367ze3z83zz__evaluatez00(obj_t BgL_envz00_25219,
		obj_t BgL_sz00_25226)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25220;

				obj_t BgL_iboxesz00_25221;

				obj_t BgL_siza7eza7_25222;

				obj_t BgL_instance2850z00_25223;

				obj_t BgL_bodyz00_25224;

				obj_t BgL_sfz00_25225;

				BgL_iza2za2_25220 = PROCEDURE_REF(BgL_envz00_25219, (int) (((long) 0)));
				BgL_iboxesz00_25221 =
					PROCEDURE_REF(BgL_envz00_25219, (int) (((long) 1)));
				BgL_siza7eza7_25222 =
					PROCEDURE_REF(BgL_envz00_25219, (int) (((long) 2)));
				BgL_instance2850z00_25223 =
					PROCEDURE_REF(BgL_envz00_25219, (int) (((long) 3)));
				BgL_bodyz00_25224 = PROCEDURE_REF(BgL_envz00_25219, (int) (((long) 4)));
				BgL_sfz00_25225 = PROCEDURE_REF(BgL_envz00_25219, (int) (((long) 5)));
				{
					obj_t BgL_sz00_6888;

					BgL_sz00_6888 = BgL_sz00_25226;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6890;

						BgL_bpz00_6890 = VECTOR_REF(BgL_sz00_6888, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_6891;

							BgL_valza2za2_6891 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_6888,
								BgL_bpz00_6890, BgL_iza2za2_25220);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24806;

								BgL_runz00_24806 =
									make_fx_procedure(BGl_run_7819z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_24806,
									(int) (((long) 0)), BgL_iboxesz00_25221);
								PROCEDURE_SET(BgL_runz00_24806,
									(int) (((long) 1)), BgL_siza7eza7_25222);
								PROCEDURE_SET(BgL_runz00_24806,
									(int) (((long) 2)), BgL_valza2za2_6891);
								PROCEDURE_SET(BgL_runz00_24806,
									(int) (((long) 3)), BgL_instance2850z00_25223);
								PROCEDURE_SET(BgL_runz00_24806,
									(int) (((long) 4)), BgL_bodyz00_25224);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24807;

									BgL_mainz00_24807 =
										make_fx_procedure(BGl_main_7818z00zz__evaluatez00,
										(int) (((long) 4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_24807,
										(int) (((long) 0)), BgL_iboxesz00_25221);
									PROCEDURE_SET(BgL_mainz00_24807,
										(int) (((long) 1)), BgL_siza7eza7_25222);
									PROCEDURE_SET(BgL_mainz00_24807,
										(int) (((long) 2)), BgL_valza2za2_6891);
									PROCEDURE_SET(BgL_mainz00_24807,
										(int) (((long) 3)), BgL_instance2850z00_25223);
									PROCEDURE_SET(BgL_mainz00_24807,
										(int) (((long) 4)), BgL_bodyz00_25224);
									PROCEDURE_SET(BgL_mainz00_24807,
										(int) (((long) 5)), BgL_runz00_24806);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22628;

										BgL_objz00_22628 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24806, BgL_objz00_22628);
										BgL_objz00_22628;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6368z00_6894;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22631;

											BgL_newz00_22631 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37663;

												BgL_auxz00_37663 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22631, BgL_auxz00_37663,
													BgL_sfz00_25225);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37666;

												BgL_auxz00_37666 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22631, BgL_auxz00_37666,
													BgL_runz00_24806);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_37671;

												int BgL_auxz00_37669;

												BgL_auxz00_37671 = BINT(((long) 4));
												BgL_auxz00_37669 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22631, BgL_auxz00_37669,
													BgL_auxz00_37671);
											}
											BgL_arg6368z00_6894 = BgL_newz00_22631;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24807, BgL_arg6368z00_6894);
										BgL_arg6368z00_6894;
									}
									return BgL_mainz00_24807;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7818 */
	obj_t BGl_main_7818z00zz__evaluatez00(obj_t BgL_envz00_25227,
		obj_t BgL_az00_25234, obj_t BgL_bz00_25235, obj_t BgL_cz00_25236,
		obj_t BgL_dz00_25237)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25233;

				BgL_runz00_25233 = PROCEDURE_REF(BgL_envz00_25227, (int) (((long) 5)));
				{
					obj_t BgL_az00_6895;

					obj_t BgL_bz00_6896;

					obj_t BgL_cz00_6897;

					obj_t BgL_dz00_6898;

					BgL_az00_6895 = BgL_az00_25234;
					BgL_bz00_6896 = BgL_bz00_25235;
					BgL_cz00_6897 = BgL_cz00_25236;
					BgL_dz00_6898 = BgL_dz00_25237;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6900;

						BgL_sz00_6900 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6901;

							BgL_bpz00_6901 = VECTOR_REF(BgL_sz00_6900, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6370z00_6902;

								BgL_arg6370z00_6902 =
									((long) CINT(BgL_bpz00_6901) + ((long) 0));
								VECTOR_SET(BgL_sz00_6900,
									(int) (BgL_arg6370z00_6902), BgL_az00_6895);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6371z00_6903;

								BgL_arg6371z00_6903 =
									((long) CINT(BgL_bpz00_6901) + ((long) 1));
								VECTOR_SET(BgL_sz00_6900,
									(int) (BgL_arg6371z00_6903), BgL_bz00_6896);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6372z00_6904;

								BgL_arg6372z00_6904 =
									((long) CINT(BgL_bpz00_6901) + ((long) 2));
								VECTOR_SET(BgL_sz00_6900,
									(int) (BgL_arg6372z00_6904), BgL_cz00_6897);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6373z00_6905;

								BgL_arg6373z00_6905 =
									((long) CINT(BgL_bpz00_6901) + ((long) 3));
								VECTOR_SET(BgL_sz00_6900,
									(int) (BgL_arg6373z00_6905), BgL_dz00_6898);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2971z00_6906;

								BgL_val2971z00_6906 =
									BGl_zc3exitza36377ze3z83zz__evaluatez00(BgL_bpz00_6901,
									BgL_sz00_6900, BgL_runz00_25233);
								VECTOR_SET(BgL_sz00_6900, (int) (((long) 0)), BgL_bpz00_6901);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2971z00_6906)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2971z00_6906), CDR(BgL_val2971z00_6906));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2971z00_6906;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6377> */
	obj_t BGl_zc3exitza36377ze3z83zz__evaluatez00(obj_t BgL_bpz00_26438,
		obj_t BgL_sz00_26437, obj_t BgL_runz00_26436)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2972z00_6911;

			if (SET_EXIT(BgL_an_exit2972z00_6911))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2972z00_6911 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2972z00_6911, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2973z00_6912;

							BgL_val2973z00_6912 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26436,
								BgL_sz00_26437, BgL_bpz00_26438);
							POP_EXIT();
							return BgL_val2973z00_6912;
						}
					}
				}
		}
	}



/* run_7819 */
	obj_t BGl_run_7819z00zz__evaluatez00(obj_t BgL_envz00_25238,
		obj_t BgL_sz00_25244)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25239;

				obj_t BgL_siza7eza7_25240;

				obj_t BgL_valza2za2_25241;

				obj_t BgL_instance2850z00_25242;

				obj_t BgL_bodyz00_25243;

				BgL_iboxesz00_25239 =
					PROCEDURE_REF(BgL_envz00_25238, (int) (((long) 0)));
				BgL_siza7eza7_25240 =
					PROCEDURE_REF(BgL_envz00_25238, (int) (((long) 1)));
				BgL_valza2za2_25241 =
					PROCEDURE_REF(BgL_envz00_25238, (int) (((long) 2)));
				BgL_instance2850z00_25242 =
					PROCEDURE_REF(BgL_envz00_25238, (int) (((long) 3)));
				BgL_bodyz00_25243 = PROCEDURE_REF(BgL_envz00_25238, (int) (((long) 4)));
				{
					obj_t BgL_sz00_6914;

					BgL_sz00_6914 = BgL_sz00_25244;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6916;

						BgL_bpz00_6916 = VECTOR_REF(BgL_sz00_6914, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_6914,
							BgL_iboxesz00_25239, BgL_bpz00_6916);
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_6914,
							BgL_valza2za2_25241,
							((long) CINT(BgL_bpz00_6916) + (long) CINT(BgL_siza7eza7_25240)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_6918;

							obj_t BgL_wherez00_6919;

							obj_t BgL_locz00_6920;

							BgL_z12denvz12_6918 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_37727;

								BgL_auxz00_37727 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25242);
								BgL_wherez00_6919 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37727))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_37730;

								BgL_auxz00_37730 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25242);
								BgL_locz00_6920 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37730))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6918, BgL_wherez00_6919,
									BgL_locz00_6920);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_6921;

									BgL_za2za2resza2za2z00_6921 =
										PROCEDURE_ENTRY(BgL_bodyz00_25243) (BgL_bodyz00_25243,
										BgL_sz00_6914, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6918);
									return BgL_za2za2resza2za2z00_6921;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6268> */
	obj_t BGl_zc3anonymousza36268ze3z83zz__evaluatez00(obj_t BgL_envz00_25245,
		obj_t BgL_sz00_25249)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25246;

				obj_t BgL_bodyz00_25247;

				obj_t BgL_sfz00_25248;

				BgL_instance2850z00_25246 =
					PROCEDURE_REF(BgL_envz00_25245, (int) (((long) 0)));
				BgL_bodyz00_25247 = PROCEDURE_REF(BgL_envz00_25245, (int) (((long) 1)));
				BgL_sfz00_25248 = PROCEDURE_REF(BgL_envz00_25245, (int) (((long) 2)));
				{
					obj_t BgL_sz00_6639;

					BgL_sz00_6639 = BgL_sz00_25249;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6641;

						BgL_bpz00_6641 = VECTOR_REF(BgL_sz00_6639, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24803;

								BgL_runz00_24803 =
									make_fx_procedure(BGl_run_7821z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_24803,
									(int) (((long) 0)), BgL_instance2850z00_25246);
								PROCEDURE_SET(BgL_runz00_24803,
									(int) (((long) 1)), BgL_bodyz00_25247);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24804;

									BgL_mainz00_24804 =
										make_va_procedure(BGl_main_7820z00zz__evaluatez00,
										(int) (((long) -4)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_mainz00_24804,
										(int) (((long) 0)), BgL_instance2850z00_25246);
									PROCEDURE_SET(BgL_mainz00_24804,
										(int) (((long) 1)), BgL_bodyz00_25247);
									PROCEDURE_SET(BgL_mainz00_24804,
										(int) (((long) 2)), BgL_runz00_24803);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22253;

										BgL_objz00_22253 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24803, BgL_objz00_22253);
										BgL_objz00_22253;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6269z00_6644;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22256;

											BgL_newz00_22256 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37764;

												BgL_auxz00_37764 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22256, BgL_auxz00_37764,
													BgL_sfz00_25248);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37767;

												BgL_auxz00_37767 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22256, BgL_auxz00_37767,
													BgL_runz00_24803);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_37772;

												int BgL_auxz00_37770;

												BgL_auxz00_37772 = BINT(((long) -4));
												BgL_auxz00_37770 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22256, BgL_auxz00_37770,
													BgL_auxz00_37772);
											}
											BgL_arg6269z00_6644 = BgL_newz00_22256;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24804, BgL_arg6269z00_6644);
										BgL_arg6269z00_6644;
									}
									return BgL_mainz00_24804;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7820 */
	obj_t BGl_main_7820z00zz__evaluatez00(obj_t BgL_envz00_25250,
		obj_t BgL_bz00_25254, obj_t BgL_cz00_25255, obj_t BgL_dz00_25256,
		obj_t BgL_lastz00_25257)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25253;

				BgL_runz00_25253 = PROCEDURE_REF(BgL_envz00_25250, (int) (((long) 2)));
				{
					obj_t BgL_bz00_6645;

					obj_t BgL_cz00_6646;

					obj_t BgL_dz00_6647;

					obj_t BgL_lastz00_6648;

					BgL_bz00_6645 = BgL_bz00_25254;
					BgL_cz00_6646 = BgL_cz00_25255;
					BgL_dz00_6647 = BgL_dz00_25256;
					BgL_lastz00_6648 = BgL_lastz00_25257;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6650;

						BgL_sz00_6650 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6651;

							BgL_bpz00_6651 = VECTOR_REF(BgL_sz00_6650, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6271z00_6652;

								BgL_arg6271z00_6652 =
									((long) CINT(BgL_bpz00_6651) + ((long) 0));
								VECTOR_SET(BgL_sz00_6650,
									(int) (BgL_arg6271z00_6652), BgL_bz00_6645);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6272z00_6653;

								BgL_arg6272z00_6653 =
									((long) CINT(BgL_bpz00_6651) + ((long) 1));
								VECTOR_SET(BgL_sz00_6650,
									(int) (BgL_arg6272z00_6653), BgL_cz00_6646);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6273z00_6654;

								BgL_arg6273z00_6654 =
									((long) CINT(BgL_bpz00_6651) + ((long) 2));
								VECTOR_SET(BgL_sz00_6650,
									(int) (BgL_arg6273z00_6654), BgL_dz00_6647);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6274z00_6655;

								BgL_arg6274z00_6655 =
									((long) CINT(BgL_bpz00_6651) + ((long) 3));
								VECTOR_SET(BgL_sz00_6650,
									(int) (BgL_arg6274z00_6655), BgL_lastz00_6648);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2950z00_6656;

								BgL_val2950z00_6656 =
									BGl_zc3exitza36278ze3z83zz__evaluatez00(BgL_bpz00_6651,
									BgL_sz00_6650, BgL_runz00_25253);
								VECTOR_SET(BgL_sz00_6650, (int) (((long) 0)), BgL_bpz00_6651);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2950z00_6656)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2950z00_6656), CDR(BgL_val2950z00_6656));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2950z00_6656;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6278> */
	obj_t BGl_zc3exitza36278ze3z83zz__evaluatez00(obj_t BgL_bpz00_26435,
		obj_t BgL_sz00_26434, obj_t BgL_runz00_26433)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2951z00_6661;

			if (SET_EXIT(BgL_an_exit2951z00_6661))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2951z00_6661 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2951z00_6661, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2952z00_6662;

							BgL_val2952z00_6662 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26433,
								BgL_sz00_26434, BgL_bpz00_26435);
							POP_EXIT();
							return BgL_val2952z00_6662;
						}
					}
				}
		}
	}



/* run_7821 */
	obj_t BGl_run_7821z00zz__evaluatez00(obj_t BgL_envz00_25258,
		obj_t BgL_sz00_25261)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25259;

				obj_t BgL_bodyz00_25260;

				BgL_instance2850z00_25259 =
					PROCEDURE_REF(BgL_envz00_25258, (int) (((long) 0)));
				BgL_bodyz00_25260 = PROCEDURE_REF(BgL_envz00_25258, (int) (((long) 1)));
				{
					obj_t BgL_sz00_6664;

					BgL_sz00_6664 = BgL_sz00_25261;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6666;

						BgL_bpz00_6666 = VECTOR_REF(BgL_sz00_6664, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_6667;

							obj_t BgL_wherez00_6668;

							obj_t BgL_locz00_6669;

							BgL_z12denvz12_6667 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_37817;

								BgL_auxz00_37817 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25259);
								BgL_wherez00_6668 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37817))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_37820;

								BgL_auxz00_37820 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25259);
								BgL_locz00_6669 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37820))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6667, BgL_wherez00_6668,
									BgL_locz00_6669);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_6670;

									BgL_za2za2resza2za2z00_6670 =
										PROCEDURE_ENTRY(BgL_bodyz00_25260) (BgL_bodyz00_25260,
										BgL_sz00_6664, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6667);
									return BgL_za2za2resza2za2z00_6670;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6280> */
	obj_t BGl_zc3anonymousza36280ze3z83zz__evaluatez00(obj_t BgL_envz00_25262,
		obj_t BgL_sz00_25267)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25263;

				obj_t BgL_instance2850z00_25264;

				obj_t BgL_bodyz00_25265;

				obj_t BgL_sfz00_25266;

				BgL_iboxesz00_25263 =
					PROCEDURE_REF(BgL_envz00_25262, (int) (((long) 0)));
				BgL_instance2850z00_25264 =
					PROCEDURE_REF(BgL_envz00_25262, (int) (((long) 1)));
				BgL_bodyz00_25265 = PROCEDURE_REF(BgL_envz00_25262, (int) (((long) 2)));
				BgL_sfz00_25266 = PROCEDURE_REF(BgL_envz00_25262, (int) (((long) 3)));
				{
					obj_t BgL_sz00_6672;

					BgL_sz00_6672 = BgL_sz00_25267;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6674;

						BgL_bpz00_6674 = VECTOR_REF(BgL_sz00_6672, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24800;

								BgL_runz00_24800 =
									make_fx_procedure(BGl_run_7823z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_24800,
									(int) (((long) 0)), BgL_iboxesz00_25263);
								PROCEDURE_SET(BgL_runz00_24800,
									(int) (((long) 1)), BgL_instance2850z00_25264);
								PROCEDURE_SET(BgL_runz00_24800,
									(int) (((long) 2)), BgL_bodyz00_25265);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24801;

									BgL_mainz00_24801 =
										make_va_procedure(BGl_main_7822z00zz__evaluatez00,
										(int) (((long) -4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_24801,
										(int) (((long) 0)), BgL_iboxesz00_25263);
									PROCEDURE_SET(BgL_mainz00_24801,
										(int) (((long) 1)), BgL_instance2850z00_25264);
									PROCEDURE_SET(BgL_mainz00_24801,
										(int) (((long) 2)), BgL_bodyz00_25265);
									PROCEDURE_SET(BgL_mainz00_24801,
										(int) (((long) 3)), BgL_runz00_24800);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22304;

										BgL_objz00_22304 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24800, BgL_objz00_22304);
										BgL_objz00_22304;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6281z00_6677;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22307;

											BgL_newz00_22307 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37860;

												BgL_auxz00_37860 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22307, BgL_auxz00_37860,
													BgL_sfz00_25266);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37863;

												BgL_auxz00_37863 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22307, BgL_auxz00_37863,
													BgL_runz00_24800);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_37868;

												int BgL_auxz00_37866;

												BgL_auxz00_37868 = BINT(((long) -4));
												BgL_auxz00_37866 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22307, BgL_auxz00_37866,
													BgL_auxz00_37868);
											}
											BgL_arg6281z00_6677 = BgL_newz00_22307;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24801, BgL_arg6281z00_6677);
										BgL_arg6281z00_6677;
									}
									return BgL_mainz00_24801;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7822 */
	obj_t BGl_main_7822z00zz__evaluatez00(obj_t BgL_envz00_25268,
		obj_t BgL_bz00_25273, obj_t BgL_cz00_25274, obj_t BgL_dz00_25275,
		obj_t BgL_lastz00_25276)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25272;

				BgL_runz00_25272 = PROCEDURE_REF(BgL_envz00_25268, (int) (((long) 3)));
				{
					obj_t BgL_bz00_6678;

					obj_t BgL_cz00_6679;

					obj_t BgL_dz00_6680;

					obj_t BgL_lastz00_6681;

					BgL_bz00_6678 = BgL_bz00_25273;
					BgL_cz00_6679 = BgL_cz00_25274;
					BgL_dz00_6680 = BgL_dz00_25275;
					BgL_lastz00_6681 = BgL_lastz00_25276;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6683;

						BgL_sz00_6683 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6684;

							BgL_bpz00_6684 = VECTOR_REF(BgL_sz00_6683, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6283z00_6685;

								BgL_arg6283z00_6685 =
									((long) CINT(BgL_bpz00_6684) + ((long) 0));
								VECTOR_SET(BgL_sz00_6683,
									(int) (BgL_arg6283z00_6685), BgL_bz00_6678);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6284z00_6686;

								BgL_arg6284z00_6686 =
									((long) CINT(BgL_bpz00_6684) + ((long) 1));
								VECTOR_SET(BgL_sz00_6683,
									(int) (BgL_arg6284z00_6686), BgL_cz00_6679);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6285z00_6687;

								BgL_arg6285z00_6687 =
									((long) CINT(BgL_bpz00_6684) + ((long) 2));
								VECTOR_SET(BgL_sz00_6683,
									(int) (BgL_arg6285z00_6687), BgL_dz00_6680);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6286z00_6688;

								BgL_arg6286z00_6688 =
									((long) CINT(BgL_bpz00_6684) + ((long) 3));
								VECTOR_SET(BgL_sz00_6683,
									(int) (BgL_arg6286z00_6688), BgL_lastz00_6681);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2953z00_6689;

								BgL_val2953z00_6689 =
									BGl_zc3exitza36290ze3z83zz__evaluatez00(BgL_bpz00_6684,
									BgL_sz00_6683, BgL_runz00_25272);
								VECTOR_SET(BgL_sz00_6683, (int) (((long) 0)), BgL_bpz00_6684);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2953z00_6689)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2953z00_6689), CDR(BgL_val2953z00_6689));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2953z00_6689;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6290> */
	obj_t BGl_zc3exitza36290ze3z83zz__evaluatez00(obj_t BgL_bpz00_26432,
		obj_t BgL_sz00_26431, obj_t BgL_runz00_26430)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2954z00_6694;

			if (SET_EXIT(BgL_an_exit2954z00_6694))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2954z00_6694 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2954z00_6694, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2955z00_6695;

							BgL_val2955z00_6695 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26430,
								BgL_sz00_26431, BgL_bpz00_26432);
							POP_EXIT();
							return BgL_val2955z00_6695;
						}
					}
				}
		}
	}



/* run_7823 */
	obj_t BGl_run_7823z00zz__evaluatez00(obj_t BgL_envz00_25277,
		obj_t BgL_sz00_25281)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25278;

				obj_t BgL_instance2850z00_25279;

				obj_t BgL_bodyz00_25280;

				BgL_iboxesz00_25278 =
					PROCEDURE_REF(BgL_envz00_25277, (int) (((long) 0)));
				BgL_instance2850z00_25279 =
					PROCEDURE_REF(BgL_envz00_25277, (int) (((long) 1)));
				BgL_bodyz00_25280 = PROCEDURE_REF(BgL_envz00_25277, (int) (((long) 2)));
				{
					obj_t BgL_sz00_6697;

					BgL_sz00_6697 = BgL_sz00_25281;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6699;

						BgL_bpz00_6699 = VECTOR_REF(BgL_sz00_6697, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_6697,
							BgL_iboxesz00_25278, BgL_bpz00_6699);
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_6700;

							obj_t BgL_wherez00_6701;

							obj_t BgL_locz00_6702;

							BgL_z12denvz12_6700 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_37916;

								BgL_auxz00_37916 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25279);
								BgL_wherez00_6701 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37916))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_37919;

								BgL_auxz00_37919 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25279);
								BgL_locz00_6702 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_37919))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6700, BgL_wherez00_6701,
									BgL_locz00_6702);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_6703;

									BgL_za2za2resza2za2z00_6703 =
										PROCEDURE_ENTRY(BgL_bodyz00_25280) (BgL_bodyz00_25280,
										BgL_sz00_6697, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6700);
									return BgL_za2za2resza2za2z00_6703;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6295> */
	obj_t BGl_zc3anonymousza36295ze3z83zz__evaluatez00(obj_t BgL_envz00_25282,
		obj_t BgL_sz00_25288)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25283;

				obj_t BgL_siza7eza7_25284;

				obj_t BgL_instance2850z00_25285;

				obj_t BgL_bodyz00_25286;

				obj_t BgL_sfz00_25287;

				BgL_iza2za2_25283 = PROCEDURE_REF(BgL_envz00_25282, (int) (((long) 0)));
				BgL_siza7eza7_25284 =
					PROCEDURE_REF(BgL_envz00_25282, (int) (((long) 1)));
				BgL_instance2850z00_25285 =
					PROCEDURE_REF(BgL_envz00_25282, (int) (((long) 2)));
				BgL_bodyz00_25286 = PROCEDURE_REF(BgL_envz00_25282, (int) (((long) 3)));
				BgL_sfz00_25287 = PROCEDURE_REF(BgL_envz00_25282, (int) (((long) 4)));
				{
					obj_t BgL_sz00_6708;

					BgL_sz00_6708 = BgL_sz00_25288;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6710;

						BgL_bpz00_6710 = VECTOR_REF(BgL_sz00_6708, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_6711;

							BgL_valza2za2_6711 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_6708,
								BgL_bpz00_6710, BgL_iza2za2_25283);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24797;

								BgL_runz00_24797 =
									make_fx_procedure(BGl_run_7825z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_24797,
									(int) (((long) 0)), BgL_siza7eza7_25284);
								PROCEDURE_SET(BgL_runz00_24797,
									(int) (((long) 1)), BgL_valza2za2_6711);
								PROCEDURE_SET(BgL_runz00_24797,
									(int) (((long) 2)), BgL_instance2850z00_25285);
								PROCEDURE_SET(BgL_runz00_24797,
									(int) (((long) 3)), BgL_bodyz00_25286);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24798;

									BgL_mainz00_24798 =
										make_va_procedure(BGl_main_7824z00zz__evaluatez00,
										(int) (((long) -4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_24798,
										(int) (((long) 0)), BgL_siza7eza7_25284);
									PROCEDURE_SET(BgL_mainz00_24798,
										(int) (((long) 1)), BgL_valza2za2_6711);
									PROCEDURE_SET(BgL_mainz00_24798,
										(int) (((long) 2)), BgL_instance2850z00_25285);
									PROCEDURE_SET(BgL_mainz00_24798,
										(int) (((long) 3)), BgL_bodyz00_25286);
									PROCEDURE_SET(BgL_mainz00_24798,
										(int) (((long) 4)), BgL_runz00_24797);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22358;

										BgL_objz00_22358 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24797, BgL_objz00_22358);
										BgL_objz00_22358;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6296z00_6714;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22361;

											BgL_newz00_22361 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37966;

												BgL_auxz00_37966 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22361, BgL_auxz00_37966,
													BgL_sfz00_25287);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_37969;

												BgL_auxz00_37969 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22361, BgL_auxz00_37969,
													BgL_runz00_24797);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_37974;

												int BgL_auxz00_37972;

												BgL_auxz00_37974 = BINT(((long) -4));
												BgL_auxz00_37972 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22361, BgL_auxz00_37972,
													BgL_auxz00_37974);
											}
											BgL_arg6296z00_6714 = BgL_newz00_22361;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24798, BgL_arg6296z00_6714);
										BgL_arg6296z00_6714;
									}
									return BgL_mainz00_24798;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7824 */
	obj_t BGl_main_7824z00zz__evaluatez00(obj_t BgL_envz00_25289,
		obj_t BgL_bz00_25295, obj_t BgL_cz00_25296, obj_t BgL_dz00_25297,
		obj_t BgL_lastz00_25298)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25294;

				BgL_runz00_25294 = PROCEDURE_REF(BgL_envz00_25289, (int) (((long) 4)));
				{
					obj_t BgL_bz00_6715;

					obj_t BgL_cz00_6716;

					obj_t BgL_dz00_6717;

					obj_t BgL_lastz00_6718;

					BgL_bz00_6715 = BgL_bz00_25295;
					BgL_cz00_6716 = BgL_cz00_25296;
					BgL_dz00_6717 = BgL_dz00_25297;
					BgL_lastz00_6718 = BgL_lastz00_25298;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6720;

						BgL_sz00_6720 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6721;

							BgL_bpz00_6721 = VECTOR_REF(BgL_sz00_6720, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6298z00_6722;

								BgL_arg6298z00_6722 =
									((long) CINT(BgL_bpz00_6721) + ((long) 0));
								VECTOR_SET(BgL_sz00_6720,
									(int) (BgL_arg6298z00_6722), BgL_bz00_6715);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6299z00_6723;

								BgL_arg6299z00_6723 =
									((long) CINT(BgL_bpz00_6721) + ((long) 1));
								VECTOR_SET(BgL_sz00_6720,
									(int) (BgL_arg6299z00_6723), BgL_cz00_6716);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6300z00_6724;

								BgL_arg6300z00_6724 =
									((long) CINT(BgL_bpz00_6721) + ((long) 2));
								VECTOR_SET(BgL_sz00_6720,
									(int) (BgL_arg6300z00_6724), BgL_dz00_6717);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6301z00_6725;

								BgL_arg6301z00_6725 =
									((long) CINT(BgL_bpz00_6721) + ((long) 3));
								VECTOR_SET(BgL_sz00_6720,
									(int) (BgL_arg6301z00_6725), BgL_lastz00_6718);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2956z00_6726;

								BgL_val2956z00_6726 =
									BGl_zc3exitza36305ze3z83zz__evaluatez00(BgL_bpz00_6721,
									BgL_sz00_6720, BgL_runz00_25294);
								VECTOR_SET(BgL_sz00_6720, (int) (((long) 0)), BgL_bpz00_6721);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2956z00_6726)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2956z00_6726), CDR(BgL_val2956z00_6726));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2956z00_6726;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6305> */
	obj_t BGl_zc3exitza36305ze3z83zz__evaluatez00(obj_t BgL_bpz00_26429,
		obj_t BgL_sz00_26428, obj_t BgL_runz00_26427)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2957z00_6731;

			if (SET_EXIT(BgL_an_exit2957z00_6731))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2957z00_6731 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2957z00_6731, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2958z00_6732;

							BgL_val2958z00_6732 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26427,
								BgL_sz00_26428, BgL_bpz00_26429);
							POP_EXIT();
							return BgL_val2958z00_6732;
						}
					}
				}
		}
	}



/* run_7825 */
	obj_t BGl_run_7825z00zz__evaluatez00(obj_t BgL_envz00_25299,
		obj_t BgL_sz00_25304)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_siza7eza7_25300;

				obj_t BgL_valza2za2_25301;

				obj_t BgL_instance2850z00_25302;

				obj_t BgL_bodyz00_25303;

				BgL_siza7eza7_25300 =
					PROCEDURE_REF(BgL_envz00_25299, (int) (((long) 0)));
				BgL_valza2za2_25301 =
					PROCEDURE_REF(BgL_envz00_25299, (int) (((long) 1)));
				BgL_instance2850z00_25302 =
					PROCEDURE_REF(BgL_envz00_25299, (int) (((long) 2)));
				BgL_bodyz00_25303 = PROCEDURE_REF(BgL_envz00_25299, (int) (((long) 3)));
				{
					obj_t BgL_sz00_6734;

					BgL_sz00_6734 = BgL_sz00_25304;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6736;

						BgL_bpz00_6736 = VECTOR_REF(BgL_sz00_6734, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_6734,
							BgL_valza2za2_25301,
							((long) CINT(BgL_bpz00_6736) + (long) CINT(BgL_siza7eza7_25300)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_6738;

							obj_t BgL_wherez00_6739;

							obj_t BgL_locz00_6740;

							BgL_z12denvz12_6738 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_38027;

								BgL_auxz00_38027 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25302);
								BgL_wherez00_6739 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38027))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_38030;

								BgL_auxz00_38030 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25302);
								BgL_locz00_6740 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38030))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6738, BgL_wherez00_6739,
									BgL_locz00_6740);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_6741;

									BgL_za2za2resza2za2z00_6741 =
										PROCEDURE_ENTRY(BgL_bodyz00_25303) (BgL_bodyz00_25303,
										BgL_sz00_6734, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6738);
									return BgL_za2za2resza2za2z00_6741;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6308> */
	obj_t BGl_zc3anonymousza36308ze3z83zz__evaluatez00(obj_t BgL_envz00_25305,
		obj_t BgL_sz00_25312)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25306;

				obj_t BgL_iboxesz00_25307;

				obj_t BgL_siza7eza7_25308;

				obj_t BgL_instance2850z00_25309;

				obj_t BgL_bodyz00_25310;

				obj_t BgL_sfz00_25311;

				BgL_iza2za2_25306 = PROCEDURE_REF(BgL_envz00_25305, (int) (((long) 0)));
				BgL_iboxesz00_25307 =
					PROCEDURE_REF(BgL_envz00_25305, (int) (((long) 1)));
				BgL_siza7eza7_25308 =
					PROCEDURE_REF(BgL_envz00_25305, (int) (((long) 2)));
				BgL_instance2850z00_25309 =
					PROCEDURE_REF(BgL_envz00_25305, (int) (((long) 3)));
				BgL_bodyz00_25310 = PROCEDURE_REF(BgL_envz00_25305, (int) (((long) 4)));
				BgL_sfz00_25311 = PROCEDURE_REF(BgL_envz00_25305, (int) (((long) 5)));
				{
					obj_t BgL_sz00_6743;

					BgL_sz00_6743 = BgL_sz00_25312;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6745;

						BgL_bpz00_6745 = VECTOR_REF(BgL_sz00_6743, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_6746;

							BgL_valza2za2_6746 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_6743,
								BgL_bpz00_6745, BgL_iza2za2_25306);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24794;

								BgL_runz00_24794 =
									make_fx_procedure(BGl_run_7827z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_24794,
									(int) (((long) 0)), BgL_iboxesz00_25307);
								PROCEDURE_SET(BgL_runz00_24794,
									(int) (((long) 1)), BgL_siza7eza7_25308);
								PROCEDURE_SET(BgL_runz00_24794,
									(int) (((long) 2)), BgL_valza2za2_6746);
								PROCEDURE_SET(BgL_runz00_24794,
									(int) (((long) 3)), BgL_instance2850z00_25309);
								PROCEDURE_SET(BgL_runz00_24794,
									(int) (((long) 4)), BgL_bodyz00_25310);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24795;

									BgL_mainz00_24795 =
										make_va_procedure(BGl_main_7826z00zz__evaluatez00,
										(int) (((long) -4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_24795,
										(int) (((long) 0)), BgL_iboxesz00_25307);
									PROCEDURE_SET(BgL_mainz00_24795,
										(int) (((long) 1)), BgL_siza7eza7_25308);
									PROCEDURE_SET(BgL_mainz00_24795,
										(int) (((long) 2)), BgL_valza2za2_6746);
									PROCEDURE_SET(BgL_mainz00_24795,
										(int) (((long) 3)), BgL_instance2850z00_25309);
									PROCEDURE_SET(BgL_mainz00_24795,
										(int) (((long) 4)), BgL_bodyz00_25310);
									PROCEDURE_SET(BgL_mainz00_24795,
										(int) (((long) 5)), BgL_runz00_24794);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22411;

										BgL_objz00_22411 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24794, BgL_objz00_22411);
										BgL_objz00_22411;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6309z00_6749;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22414;

											BgL_newz00_22414 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38083;

												BgL_auxz00_38083 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22414, BgL_auxz00_38083,
													BgL_sfz00_25311);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38086;

												BgL_auxz00_38086 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22414, BgL_auxz00_38086,
													BgL_runz00_24794);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_38091;

												int BgL_auxz00_38089;

												BgL_auxz00_38091 = BINT(((long) -4));
												BgL_auxz00_38089 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22414, BgL_auxz00_38089,
													BgL_auxz00_38091);
											}
											BgL_arg6309z00_6749 = BgL_newz00_22414;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24795, BgL_arg6309z00_6749);
										BgL_arg6309z00_6749;
									}
									return BgL_mainz00_24795;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7826 */
	obj_t BGl_main_7826z00zz__evaluatez00(obj_t BgL_envz00_25313,
		obj_t BgL_bz00_25320, obj_t BgL_cz00_25321, obj_t BgL_dz00_25322,
		obj_t BgL_lastz00_25323)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25319;

				BgL_runz00_25319 = PROCEDURE_REF(BgL_envz00_25313, (int) (((long) 5)));
				{
					obj_t BgL_bz00_6750;

					obj_t BgL_cz00_6751;

					obj_t BgL_dz00_6752;

					obj_t BgL_lastz00_6753;

					BgL_bz00_6750 = BgL_bz00_25320;
					BgL_cz00_6751 = BgL_cz00_25321;
					BgL_dz00_6752 = BgL_dz00_25322;
					BgL_lastz00_6753 = BgL_lastz00_25323;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6755;

						BgL_sz00_6755 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6756;

							BgL_bpz00_6756 = VECTOR_REF(BgL_sz00_6755, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6311z00_6757;

								BgL_arg6311z00_6757 =
									((long) CINT(BgL_bpz00_6756) + ((long) 0));
								VECTOR_SET(BgL_sz00_6755,
									(int) (BgL_arg6311z00_6757), BgL_bz00_6750);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6312z00_6758;

								BgL_arg6312z00_6758 =
									((long) CINT(BgL_bpz00_6756) + ((long) 1));
								VECTOR_SET(BgL_sz00_6755,
									(int) (BgL_arg6312z00_6758), BgL_cz00_6751);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6313z00_6759;

								BgL_arg6313z00_6759 =
									((long) CINT(BgL_bpz00_6756) + ((long) 2));
								VECTOR_SET(BgL_sz00_6755,
									(int) (BgL_arg6313z00_6759), BgL_dz00_6752);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6314z00_6760;

								BgL_arg6314z00_6760 =
									((long) CINT(BgL_bpz00_6756) + ((long) 3));
								VECTOR_SET(BgL_sz00_6755,
									(int) (BgL_arg6314z00_6760), BgL_lastz00_6753);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2959z00_6761;

								BgL_val2959z00_6761 =
									BGl_zc3exitza36318ze3z83zz__evaluatez00(BgL_bpz00_6756,
									BgL_sz00_6755, BgL_runz00_25319);
								VECTOR_SET(BgL_sz00_6755, (int) (((long) 0)), BgL_bpz00_6756);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2959z00_6761)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2959z00_6761), CDR(BgL_val2959z00_6761));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2959z00_6761;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6318> */
	obj_t BGl_zc3exitza36318ze3z83zz__evaluatez00(obj_t BgL_bpz00_26426,
		obj_t BgL_sz00_26425, obj_t BgL_runz00_26424)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2960z00_6766;

			if (SET_EXIT(BgL_an_exit2960z00_6766))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2960z00_6766 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2960z00_6766, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2961z00_6767;

							BgL_val2961z00_6767 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26424,
								BgL_sz00_26425, BgL_bpz00_26426);
							POP_EXIT();
							return BgL_val2961z00_6767;
						}
					}
				}
		}
	}



/* run_7827 */
	obj_t BGl_run_7827z00zz__evaluatez00(obj_t BgL_envz00_25324,
		obj_t BgL_sz00_25330)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25325;

				obj_t BgL_siza7eza7_25326;

				obj_t BgL_valza2za2_25327;

				obj_t BgL_instance2850z00_25328;

				obj_t BgL_bodyz00_25329;

				BgL_iboxesz00_25325 =
					PROCEDURE_REF(BgL_envz00_25324, (int) (((long) 0)));
				BgL_siza7eza7_25326 =
					PROCEDURE_REF(BgL_envz00_25324, (int) (((long) 1)));
				BgL_valza2za2_25327 =
					PROCEDURE_REF(BgL_envz00_25324, (int) (((long) 2)));
				BgL_instance2850z00_25328 =
					PROCEDURE_REF(BgL_envz00_25324, (int) (((long) 3)));
				BgL_bodyz00_25329 = PROCEDURE_REF(BgL_envz00_25324, (int) (((long) 4)));
				{
					obj_t BgL_sz00_6769;

					BgL_sz00_6769 = BgL_sz00_25330;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6771;

						BgL_bpz00_6771 = VECTOR_REF(BgL_sz00_6769, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_6769,
							BgL_iboxesz00_25325, BgL_bpz00_6771);
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_6769,
							BgL_valza2za2_25327,
							((long) CINT(BgL_bpz00_6771) + (long) CINT(BgL_siza7eza7_25326)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_6773;

							obj_t BgL_wherez00_6774;

							obj_t BgL_locz00_6775;

							BgL_z12denvz12_6773 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_38147;

								BgL_auxz00_38147 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25328);
								BgL_wherez00_6774 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38147))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_38150;

								BgL_auxz00_38150 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25328);
								BgL_locz00_6775 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38150))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6773, BgL_wherez00_6774,
									BgL_locz00_6775);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_6776;

									BgL_za2za2resza2za2z00_6776 =
										PROCEDURE_ENTRY(BgL_bodyz00_25329) (BgL_bodyz00_25329,
										BgL_sz00_6769, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6773);
									return BgL_za2za2resza2za2z00_6776;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6213> */
	obj_t BGl_zc3anonymousza36213ze3z83zz__evaluatez00(obj_t BgL_envz00_25331,
		obj_t BgL_sz00_25335)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25332;

				obj_t BgL_bodyz00_25333;

				obj_t BgL_sfz00_25334;

				BgL_instance2850z00_25332 =
					PROCEDURE_REF(BgL_envz00_25331, (int) (((long) 0)));
				BgL_bodyz00_25333 = PROCEDURE_REF(BgL_envz00_25331, (int) (((long) 1)));
				BgL_sfz00_25334 = PROCEDURE_REF(BgL_envz00_25331, (int) (((long) 2)));
				{
					obj_t BgL_sz00_6502;

					BgL_sz00_6502 = BgL_sz00_25335;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6504;

						BgL_bpz00_6504 = VECTOR_REF(BgL_sz00_6502, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24791;

								BgL_runz00_24791 =
									make_fx_procedure(BGl_run_7829z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_24791,
									(int) (((long) 0)), BgL_instance2850z00_25332);
								PROCEDURE_SET(BgL_runz00_24791,
									(int) (((long) 1)), BgL_bodyz00_25333);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24792;

									BgL_mainz00_24792 =
										make_fx_procedure(BGl_main_7828z00zz__evaluatez00,
										(int) (((long) 3)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_mainz00_24792,
										(int) (((long) 0)), BgL_instance2850z00_25332);
									PROCEDURE_SET(BgL_mainz00_24792,
										(int) (((long) 1)), BgL_bodyz00_25333);
									PROCEDURE_SET(BgL_mainz00_24792,
										(int) (((long) 2)), BgL_runz00_24791);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22056;

										BgL_objz00_22056 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24791, BgL_objz00_22056);
										BgL_objz00_22056;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6214z00_6507;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22059;

											BgL_newz00_22059 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38184;

												BgL_auxz00_38184 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22059, BgL_auxz00_38184,
													BgL_sfz00_25334);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38187;

												BgL_auxz00_38187 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22059, BgL_auxz00_38187,
													BgL_runz00_24791);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_38192;

												int BgL_auxz00_38190;

												BgL_auxz00_38192 = BINT(((long) 3));
												BgL_auxz00_38190 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22059, BgL_auxz00_38190,
													BgL_auxz00_38192);
											}
											BgL_arg6214z00_6507 = BgL_newz00_22059;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24792, BgL_arg6214z00_6507);
										BgL_arg6214z00_6507;
									}
									return BgL_mainz00_24792;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7828 */
	obj_t BGl_main_7828z00zz__evaluatez00(obj_t BgL_envz00_25336,
		obj_t BgL_bz00_25340, obj_t BgL_cz00_25341, obj_t BgL_dz00_25342)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25339;

				BgL_runz00_25339 = PROCEDURE_REF(BgL_envz00_25336, (int) (((long) 2)));
				{
					obj_t BgL_bz00_6508;

					obj_t BgL_cz00_6509;

					obj_t BgL_dz00_6510;

					BgL_bz00_6508 = BgL_bz00_25340;
					BgL_cz00_6509 = BgL_cz00_25341;
					BgL_dz00_6510 = BgL_dz00_25342;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6512;

						BgL_sz00_6512 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6513;

							BgL_bpz00_6513 = VECTOR_REF(BgL_sz00_6512, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6216z00_6514;

								BgL_arg6216z00_6514 =
									((long) CINT(BgL_bpz00_6513) + ((long) 0));
								VECTOR_SET(BgL_sz00_6512,
									(int) (BgL_arg6216z00_6514), BgL_bz00_6508);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6217z00_6515;

								BgL_arg6217z00_6515 =
									((long) CINT(BgL_bpz00_6513) + ((long) 1));
								VECTOR_SET(BgL_sz00_6512,
									(int) (BgL_arg6217z00_6515), BgL_cz00_6509);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6218z00_6516;

								BgL_arg6218z00_6516 =
									((long) CINT(BgL_bpz00_6513) + ((long) 2));
								VECTOR_SET(BgL_sz00_6512,
									(int) (BgL_arg6218z00_6516), BgL_dz00_6510);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2938z00_6517;

								BgL_val2938z00_6517 =
									BGl_zc3exitza36222ze3z83zz__evaluatez00(BgL_bpz00_6513,
									BgL_sz00_6512, BgL_runz00_25339);
								VECTOR_SET(BgL_sz00_6512, (int) (((long) 0)), BgL_bpz00_6513);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2938z00_6517)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2938z00_6517), CDR(BgL_val2938z00_6517));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2938z00_6517;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6222> */
	obj_t BGl_zc3exitza36222ze3z83zz__evaluatez00(obj_t BgL_bpz00_26423,
		obj_t BgL_sz00_26422, obj_t BgL_runz00_26421)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2939z00_6522;

			if (SET_EXIT(BgL_an_exit2939z00_6522))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2939z00_6522 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2939z00_6522, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2940z00_6523;

							BgL_val2940z00_6523 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26421,
								BgL_sz00_26422, BgL_bpz00_26423);
							POP_EXIT();
							return BgL_val2940z00_6523;
						}
					}
				}
		}
	}



/* run_7829 */
	obj_t BGl_run_7829z00zz__evaluatez00(obj_t BgL_envz00_25343,
		obj_t BgL_sz00_25346)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25344;

				obj_t BgL_bodyz00_25345;

				BgL_instance2850z00_25344 =
					PROCEDURE_REF(BgL_envz00_25343, (int) (((long) 0)));
				BgL_bodyz00_25345 = PROCEDURE_REF(BgL_envz00_25343, (int) (((long) 1)));
				{
					obj_t BgL_sz00_6525;

					BgL_sz00_6525 = BgL_sz00_25346;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6527;

						BgL_bpz00_6527 = VECTOR_REF(BgL_sz00_6525, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_6528;

							obj_t BgL_wherez00_6529;

							obj_t BgL_locz00_6530;

							BgL_z12denvz12_6528 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_38233;

								BgL_auxz00_38233 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25344);
								BgL_wherez00_6529 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38233))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_38236;

								BgL_auxz00_38236 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25344);
								BgL_locz00_6530 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38236))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6528, BgL_wherez00_6529,
									BgL_locz00_6530);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_6531;

									BgL_za2za2resza2za2z00_6531 =
										PROCEDURE_ENTRY(BgL_bodyz00_25345) (BgL_bodyz00_25345,
										BgL_sz00_6525, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6528);
									return BgL_za2za2resza2za2z00_6531;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6224> */
	obj_t BGl_zc3anonymousza36224ze3z83zz__evaluatez00(obj_t BgL_envz00_25347,
		obj_t BgL_sz00_25352)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25348;

				obj_t BgL_instance2850z00_25349;

				obj_t BgL_bodyz00_25350;

				obj_t BgL_sfz00_25351;

				BgL_iboxesz00_25348 =
					PROCEDURE_REF(BgL_envz00_25347, (int) (((long) 0)));
				BgL_instance2850z00_25349 =
					PROCEDURE_REF(BgL_envz00_25347, (int) (((long) 1)));
				BgL_bodyz00_25350 = PROCEDURE_REF(BgL_envz00_25347, (int) (((long) 2)));
				BgL_sfz00_25351 = PROCEDURE_REF(BgL_envz00_25347, (int) (((long) 3)));
				{
					obj_t BgL_sz00_6533;

					BgL_sz00_6533 = BgL_sz00_25352;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6535;

						BgL_bpz00_6535 = VECTOR_REF(BgL_sz00_6533, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24788;

								BgL_runz00_24788 =
									make_fx_procedure(BGl_run_7831z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_24788,
									(int) (((long) 0)), BgL_iboxesz00_25348);
								PROCEDURE_SET(BgL_runz00_24788,
									(int) (((long) 1)), BgL_instance2850z00_25349);
								PROCEDURE_SET(BgL_runz00_24788,
									(int) (((long) 2)), BgL_bodyz00_25350);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24789;

									BgL_mainz00_24789 =
										make_fx_procedure(BGl_main_7830z00zz__evaluatez00,
										(int) (((long) 3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_24789,
										(int) (((long) 0)), BgL_iboxesz00_25348);
									PROCEDURE_SET(BgL_mainz00_24789,
										(int) (((long) 1)), BgL_instance2850z00_25349);
									PROCEDURE_SET(BgL_mainz00_24789,
										(int) (((long) 2)), BgL_bodyz00_25350);
									PROCEDURE_SET(BgL_mainz00_24789,
										(int) (((long) 3)), BgL_runz00_24788);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22102;

										BgL_objz00_22102 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24788, BgL_objz00_22102);
										BgL_objz00_22102;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6225z00_6538;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22105;

											BgL_newz00_22105 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38276;

												BgL_auxz00_38276 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22105, BgL_auxz00_38276,
													BgL_sfz00_25351);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38279;

												BgL_auxz00_38279 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22105, BgL_auxz00_38279,
													BgL_runz00_24788);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_38284;

												int BgL_auxz00_38282;

												BgL_auxz00_38284 = BINT(((long) 3));
												BgL_auxz00_38282 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22105, BgL_auxz00_38282,
													BgL_auxz00_38284);
											}
											BgL_arg6225z00_6538 = BgL_newz00_22105;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24789, BgL_arg6225z00_6538);
										BgL_arg6225z00_6538;
									}
									return BgL_mainz00_24789;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7830 */
	obj_t BGl_main_7830z00zz__evaluatez00(obj_t BgL_envz00_25353,
		obj_t BgL_bz00_25358, obj_t BgL_cz00_25359, obj_t BgL_dz00_25360)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25357;

				BgL_runz00_25357 = PROCEDURE_REF(BgL_envz00_25353, (int) (((long) 3)));
				{
					obj_t BgL_bz00_6539;

					obj_t BgL_cz00_6540;

					obj_t BgL_dz00_6541;

					BgL_bz00_6539 = BgL_bz00_25358;
					BgL_cz00_6540 = BgL_cz00_25359;
					BgL_dz00_6541 = BgL_dz00_25360;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6543;

						BgL_sz00_6543 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6544;

							BgL_bpz00_6544 = VECTOR_REF(BgL_sz00_6543, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6227z00_6545;

								BgL_arg6227z00_6545 =
									((long) CINT(BgL_bpz00_6544) + ((long) 0));
								VECTOR_SET(BgL_sz00_6543,
									(int) (BgL_arg6227z00_6545), BgL_bz00_6539);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6228z00_6546;

								BgL_arg6228z00_6546 =
									((long) CINT(BgL_bpz00_6544) + ((long) 1));
								VECTOR_SET(BgL_sz00_6543,
									(int) (BgL_arg6228z00_6546), BgL_cz00_6540);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6229z00_6547;

								BgL_arg6229z00_6547 =
									((long) CINT(BgL_bpz00_6544) + ((long) 2));
								VECTOR_SET(BgL_sz00_6543,
									(int) (BgL_arg6229z00_6547), BgL_dz00_6541);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2941z00_6548;

								BgL_val2941z00_6548 =
									BGl_zc3exitza36233ze3z83zz__evaluatez00(BgL_bpz00_6544,
									BgL_sz00_6543, BgL_runz00_25357);
								VECTOR_SET(BgL_sz00_6543, (int) (((long) 0)), BgL_bpz00_6544);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2941z00_6548)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2941z00_6548), CDR(BgL_val2941z00_6548));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2941z00_6548;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6233> */
	obj_t BGl_zc3exitza36233ze3z83zz__evaluatez00(obj_t BgL_bpz00_26420,
		obj_t BgL_sz00_26419, obj_t BgL_runz00_26418)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2942z00_6553;

			if (SET_EXIT(BgL_an_exit2942z00_6553))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2942z00_6553 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2942z00_6553, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2943z00_6554;

							BgL_val2943z00_6554 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26418,
								BgL_sz00_26419, BgL_bpz00_26420);
							POP_EXIT();
							return BgL_val2943z00_6554;
						}
					}
				}
		}
	}



/* run_7831 */
	obj_t BGl_run_7831z00zz__evaluatez00(obj_t BgL_envz00_25361,
		obj_t BgL_sz00_25365)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25362;

				obj_t BgL_instance2850z00_25363;

				obj_t BgL_bodyz00_25364;

				BgL_iboxesz00_25362 =
					PROCEDURE_REF(BgL_envz00_25361, (int) (((long) 0)));
				BgL_instance2850z00_25363 =
					PROCEDURE_REF(BgL_envz00_25361, (int) (((long) 1)));
				BgL_bodyz00_25364 = PROCEDURE_REF(BgL_envz00_25361, (int) (((long) 2)));
				{
					obj_t BgL_sz00_6556;

					BgL_sz00_6556 = BgL_sz00_25365;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6558;

						BgL_bpz00_6558 = VECTOR_REF(BgL_sz00_6556, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_6556,
							BgL_iboxesz00_25362, BgL_bpz00_6558);
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_6559;

							obj_t BgL_wherez00_6560;

							obj_t BgL_locz00_6561;

							BgL_z12denvz12_6559 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_38328;

								BgL_auxz00_38328 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25363);
								BgL_wherez00_6560 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38328))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_38331;

								BgL_auxz00_38331 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25363);
								BgL_locz00_6561 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38331))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6559, BgL_wherez00_6560,
									BgL_locz00_6561);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_6562;

									BgL_za2za2resza2za2z00_6562 =
										PROCEDURE_ENTRY(BgL_bodyz00_25364) (BgL_bodyz00_25364,
										BgL_sz00_6556, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6559);
									return BgL_za2za2resza2za2z00_6562;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6238> */
	obj_t BGl_zc3anonymousza36238ze3z83zz__evaluatez00(obj_t BgL_envz00_25366,
		obj_t BgL_sz00_25372)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25367;

				obj_t BgL_siza7eza7_25368;

				obj_t BgL_instance2850z00_25369;

				obj_t BgL_bodyz00_25370;

				obj_t BgL_sfz00_25371;

				BgL_iza2za2_25367 = PROCEDURE_REF(BgL_envz00_25366, (int) (((long) 0)));
				BgL_siza7eza7_25368 =
					PROCEDURE_REF(BgL_envz00_25366, (int) (((long) 1)));
				BgL_instance2850z00_25369 =
					PROCEDURE_REF(BgL_envz00_25366, (int) (((long) 2)));
				BgL_bodyz00_25370 = PROCEDURE_REF(BgL_envz00_25366, (int) (((long) 3)));
				BgL_sfz00_25371 = PROCEDURE_REF(BgL_envz00_25366, (int) (((long) 4)));
				{
					obj_t BgL_sz00_6567;

					BgL_sz00_6567 = BgL_sz00_25372;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6569;

						BgL_bpz00_6569 = VECTOR_REF(BgL_sz00_6567, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_6570;

							BgL_valza2za2_6570 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_6567,
								BgL_bpz00_6569, BgL_iza2za2_25367);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24785;

								BgL_runz00_24785 =
									make_fx_procedure(BGl_run_7833z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_24785,
									(int) (((long) 0)), BgL_siza7eza7_25368);
								PROCEDURE_SET(BgL_runz00_24785,
									(int) (((long) 1)), BgL_valza2za2_6570);
								PROCEDURE_SET(BgL_runz00_24785,
									(int) (((long) 2)), BgL_instance2850z00_25369);
								PROCEDURE_SET(BgL_runz00_24785,
									(int) (((long) 3)), BgL_bodyz00_25370);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24786;

									BgL_mainz00_24786 =
										make_fx_procedure(BGl_main_7832z00zz__evaluatez00,
										(int) (((long) 3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_24786,
										(int) (((long) 0)), BgL_siza7eza7_25368);
									PROCEDURE_SET(BgL_mainz00_24786,
										(int) (((long) 1)), BgL_valza2za2_6570);
									PROCEDURE_SET(BgL_mainz00_24786,
										(int) (((long) 2)), BgL_instance2850z00_25369);
									PROCEDURE_SET(BgL_mainz00_24786,
										(int) (((long) 3)), BgL_bodyz00_25370);
									PROCEDURE_SET(BgL_mainz00_24786,
										(int) (((long) 4)), BgL_runz00_24785);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22151;

										BgL_objz00_22151 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24785, BgL_objz00_22151);
										BgL_objz00_22151;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6239z00_6573;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22154;

											BgL_newz00_22154 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38378;

												BgL_auxz00_38378 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22154, BgL_auxz00_38378,
													BgL_sfz00_25371);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38381;

												BgL_auxz00_38381 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22154, BgL_auxz00_38381,
													BgL_runz00_24785);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_38386;

												int BgL_auxz00_38384;

												BgL_auxz00_38386 = BINT(((long) 3));
												BgL_auxz00_38384 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22154, BgL_auxz00_38384,
													BgL_auxz00_38386);
											}
											BgL_arg6239z00_6573 = BgL_newz00_22154;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24786, BgL_arg6239z00_6573);
										BgL_arg6239z00_6573;
									}
									return BgL_mainz00_24786;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7832 */
	obj_t BGl_main_7832z00zz__evaluatez00(obj_t BgL_envz00_25373,
		obj_t BgL_bz00_25379, obj_t BgL_cz00_25380, obj_t BgL_dz00_25381)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25378;

				BgL_runz00_25378 = PROCEDURE_REF(BgL_envz00_25373, (int) (((long) 4)));
				{
					obj_t BgL_bz00_6574;

					obj_t BgL_cz00_6575;

					obj_t BgL_dz00_6576;

					BgL_bz00_6574 = BgL_bz00_25379;
					BgL_cz00_6575 = BgL_cz00_25380;
					BgL_dz00_6576 = BgL_dz00_25381;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6578;

						BgL_sz00_6578 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6579;

							BgL_bpz00_6579 = VECTOR_REF(BgL_sz00_6578, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6241z00_6580;

								BgL_arg6241z00_6580 =
									((long) CINT(BgL_bpz00_6579) + ((long) 0));
								VECTOR_SET(BgL_sz00_6578,
									(int) (BgL_arg6241z00_6580), BgL_bz00_6574);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6242z00_6581;

								BgL_arg6242z00_6581 =
									((long) CINT(BgL_bpz00_6579) + ((long) 1));
								VECTOR_SET(BgL_sz00_6578,
									(int) (BgL_arg6242z00_6581), BgL_cz00_6575);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6243z00_6582;

								BgL_arg6243z00_6582 =
									((long) CINT(BgL_bpz00_6579) + ((long) 2));
								VECTOR_SET(BgL_sz00_6578,
									(int) (BgL_arg6243z00_6582), BgL_dz00_6576);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2944z00_6583;

								BgL_val2944z00_6583 =
									BGl_zc3exitza36247ze3z83zz__evaluatez00(BgL_bpz00_6579,
									BgL_sz00_6578, BgL_runz00_25378);
								VECTOR_SET(BgL_sz00_6578, (int) (((long) 0)), BgL_bpz00_6579);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2944z00_6583)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2944z00_6583), CDR(BgL_val2944z00_6583));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2944z00_6583;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6247> */
	obj_t BGl_zc3exitza36247ze3z83zz__evaluatez00(obj_t BgL_bpz00_26417,
		obj_t BgL_sz00_26416, obj_t BgL_runz00_26415)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2945z00_6588;

			if (SET_EXIT(BgL_an_exit2945z00_6588))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2945z00_6588 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2945z00_6588, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2946z00_6589;

							BgL_val2946z00_6589 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26415,
								BgL_sz00_26416, BgL_bpz00_26417);
							POP_EXIT();
							return BgL_val2946z00_6589;
						}
					}
				}
		}
	}



/* run_7833 */
	obj_t BGl_run_7833z00zz__evaluatez00(obj_t BgL_envz00_25382,
		obj_t BgL_sz00_25387)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_siza7eza7_25383;

				obj_t BgL_valza2za2_25384;

				obj_t BgL_instance2850z00_25385;

				obj_t BgL_bodyz00_25386;

				BgL_siza7eza7_25383 =
					PROCEDURE_REF(BgL_envz00_25382, (int) (((long) 0)));
				BgL_valza2za2_25384 =
					PROCEDURE_REF(BgL_envz00_25382, (int) (((long) 1)));
				BgL_instance2850z00_25385 =
					PROCEDURE_REF(BgL_envz00_25382, (int) (((long) 2)));
				BgL_bodyz00_25386 = PROCEDURE_REF(BgL_envz00_25382, (int) (((long) 3)));
				{
					obj_t BgL_sz00_6591;

					BgL_sz00_6591 = BgL_sz00_25387;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6593;

						BgL_bpz00_6593 = VECTOR_REF(BgL_sz00_6591, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_6591,
							BgL_valza2za2_25384,
							((long) CINT(BgL_bpz00_6593) + (long) CINT(BgL_siza7eza7_25383)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_6595;

							obj_t BgL_wherez00_6596;

							obj_t BgL_locz00_6597;

							BgL_z12denvz12_6595 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_38435;

								BgL_auxz00_38435 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25385);
								BgL_wherez00_6596 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38435))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_38438;

								BgL_auxz00_38438 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25385);
								BgL_locz00_6597 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38438))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6595, BgL_wherez00_6596,
									BgL_locz00_6597);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_6598;

									BgL_za2za2resza2za2z00_6598 =
										PROCEDURE_ENTRY(BgL_bodyz00_25386) (BgL_bodyz00_25386,
										BgL_sz00_6591, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6595);
									return BgL_za2za2resza2za2z00_6598;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6250> */
	obj_t BGl_zc3anonymousza36250ze3z83zz__evaluatez00(obj_t BgL_envz00_25388,
		obj_t BgL_sz00_25395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25389;

				obj_t BgL_iboxesz00_25390;

				obj_t BgL_siza7eza7_25391;

				obj_t BgL_instance2850z00_25392;

				obj_t BgL_bodyz00_25393;

				obj_t BgL_sfz00_25394;

				BgL_iza2za2_25389 = PROCEDURE_REF(BgL_envz00_25388, (int) (((long) 0)));
				BgL_iboxesz00_25390 =
					PROCEDURE_REF(BgL_envz00_25388, (int) (((long) 1)));
				BgL_siza7eza7_25391 =
					PROCEDURE_REF(BgL_envz00_25388, (int) (((long) 2)));
				BgL_instance2850z00_25392 =
					PROCEDURE_REF(BgL_envz00_25388, (int) (((long) 3)));
				BgL_bodyz00_25393 = PROCEDURE_REF(BgL_envz00_25388, (int) (((long) 4)));
				BgL_sfz00_25394 = PROCEDURE_REF(BgL_envz00_25388, (int) (((long) 5)));
				{
					obj_t BgL_sz00_6600;

					BgL_sz00_6600 = BgL_sz00_25395;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6602;

						BgL_bpz00_6602 = VECTOR_REF(BgL_sz00_6600, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_6603;

							BgL_valza2za2_6603 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_6600,
								BgL_bpz00_6602, BgL_iza2za2_25389);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24782;

								BgL_runz00_24782 =
									make_fx_procedure(BGl_run_7835z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_24782,
									(int) (((long) 0)), BgL_iboxesz00_25390);
								PROCEDURE_SET(BgL_runz00_24782,
									(int) (((long) 1)), BgL_siza7eza7_25391);
								PROCEDURE_SET(BgL_runz00_24782,
									(int) (((long) 2)), BgL_valza2za2_6603);
								PROCEDURE_SET(BgL_runz00_24782,
									(int) (((long) 3)), BgL_instance2850z00_25392);
								PROCEDURE_SET(BgL_runz00_24782,
									(int) (((long) 4)), BgL_bodyz00_25393);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24783;

									BgL_mainz00_24783 =
										make_fx_procedure(BGl_main_7834z00zz__evaluatez00,
										(int) (((long) 3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_24783,
										(int) (((long) 0)), BgL_iboxesz00_25390);
									PROCEDURE_SET(BgL_mainz00_24783,
										(int) (((long) 1)), BgL_siza7eza7_25391);
									PROCEDURE_SET(BgL_mainz00_24783,
										(int) (((long) 2)), BgL_valza2za2_6603);
									PROCEDURE_SET(BgL_mainz00_24783,
										(int) (((long) 3)), BgL_instance2850z00_25392);
									PROCEDURE_SET(BgL_mainz00_24783,
										(int) (((long) 4)), BgL_bodyz00_25393);
									PROCEDURE_SET(BgL_mainz00_24783,
										(int) (((long) 5)), BgL_runz00_24782);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22199;

										BgL_objz00_22199 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24782, BgL_objz00_22199);
										BgL_objz00_22199;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6251z00_6606;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22202;

											BgL_newz00_22202 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38491;

												BgL_auxz00_38491 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22202, BgL_auxz00_38491,
													BgL_sfz00_25394);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38494;

												BgL_auxz00_38494 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22202, BgL_auxz00_38494,
													BgL_runz00_24782);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_38499;

												int BgL_auxz00_38497;

												BgL_auxz00_38499 = BINT(((long) 3));
												BgL_auxz00_38497 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22202, BgL_auxz00_38497,
													BgL_auxz00_38499);
											}
											BgL_arg6251z00_6606 = BgL_newz00_22202;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24783, BgL_arg6251z00_6606);
										BgL_arg6251z00_6606;
									}
									return BgL_mainz00_24783;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7834 */
	obj_t BGl_main_7834z00zz__evaluatez00(obj_t BgL_envz00_25396,
		obj_t BgL_bz00_25403, obj_t BgL_cz00_25404, obj_t BgL_dz00_25405)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25402;

				BgL_runz00_25402 = PROCEDURE_REF(BgL_envz00_25396, (int) (((long) 5)));
				{
					obj_t BgL_bz00_6607;

					obj_t BgL_cz00_6608;

					obj_t BgL_dz00_6609;

					BgL_bz00_6607 = BgL_bz00_25403;
					BgL_cz00_6608 = BgL_cz00_25404;
					BgL_dz00_6609 = BgL_dz00_25405;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6611;

						BgL_sz00_6611 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6612;

							BgL_bpz00_6612 = VECTOR_REF(BgL_sz00_6611, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6253z00_6613;

								BgL_arg6253z00_6613 =
									((long) CINT(BgL_bpz00_6612) + ((long) 0));
								VECTOR_SET(BgL_sz00_6611,
									(int) (BgL_arg6253z00_6613), BgL_bz00_6607);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6254z00_6614;

								BgL_arg6254z00_6614 =
									((long) CINT(BgL_bpz00_6612) + ((long) 1));
								VECTOR_SET(BgL_sz00_6611,
									(int) (BgL_arg6254z00_6614), BgL_cz00_6608);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6255z00_6615;

								BgL_arg6255z00_6615 =
									((long) CINT(BgL_bpz00_6612) + ((long) 2));
								VECTOR_SET(BgL_sz00_6611,
									(int) (BgL_arg6255z00_6615), BgL_dz00_6609);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2947z00_6616;

								BgL_val2947z00_6616 =
									BGl_zc3exitza36259ze3z83zz__evaluatez00(BgL_bpz00_6612,
									BgL_sz00_6611, BgL_runz00_25402);
								VECTOR_SET(BgL_sz00_6611, (int) (((long) 0)), BgL_bpz00_6612);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2947z00_6616)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2947z00_6616), CDR(BgL_val2947z00_6616));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2947z00_6616;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6259> */
	obj_t BGl_zc3exitza36259ze3z83zz__evaluatez00(obj_t BgL_bpz00_26414,
		obj_t BgL_sz00_26413, obj_t BgL_runz00_26412)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2948z00_6621;

			if (SET_EXIT(BgL_an_exit2948z00_6621))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2948z00_6621 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2948z00_6621, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2949z00_6622;

							BgL_val2949z00_6622 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26412,
								BgL_sz00_26413, BgL_bpz00_26414);
							POP_EXIT();
							return BgL_val2949z00_6622;
						}
					}
				}
		}
	}



/* run_7835 */
	obj_t BGl_run_7835z00zz__evaluatez00(obj_t BgL_envz00_25406,
		obj_t BgL_sz00_25412)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25407;

				obj_t BgL_siza7eza7_25408;

				obj_t BgL_valza2za2_25409;

				obj_t BgL_instance2850z00_25410;

				obj_t BgL_bodyz00_25411;

				BgL_iboxesz00_25407 =
					PROCEDURE_REF(BgL_envz00_25406, (int) (((long) 0)));
				BgL_siza7eza7_25408 =
					PROCEDURE_REF(BgL_envz00_25406, (int) (((long) 1)));
				BgL_valza2za2_25409 =
					PROCEDURE_REF(BgL_envz00_25406, (int) (((long) 2)));
				BgL_instance2850z00_25410 =
					PROCEDURE_REF(BgL_envz00_25406, (int) (((long) 3)));
				BgL_bodyz00_25411 = PROCEDURE_REF(BgL_envz00_25406, (int) (((long) 4)));
				{
					obj_t BgL_sz00_6624;

					BgL_sz00_6624 = BgL_sz00_25412;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6626;

						BgL_bpz00_6626 = VECTOR_REF(BgL_sz00_6624, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_6624,
							BgL_iboxesz00_25407, BgL_bpz00_6626);
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_6624,
							BgL_valza2za2_25409,
							((long) CINT(BgL_bpz00_6626) + (long) CINT(BgL_siza7eza7_25408)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_6628;

							obj_t BgL_wherez00_6629;

							obj_t BgL_locz00_6630;

							BgL_z12denvz12_6628 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_38551;

								BgL_auxz00_38551 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25410);
								BgL_wherez00_6629 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38551))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_38554;

								BgL_auxz00_38554 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25410);
								BgL_locz00_6630 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38554))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6628, BgL_wherez00_6629,
									BgL_locz00_6630);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_6631;

									BgL_za2za2resza2za2z00_6631 =
										PROCEDURE_ENTRY(BgL_bodyz00_25411) (BgL_bodyz00_25411,
										BgL_sz00_6624, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6628);
									return BgL_za2za2resza2za2z00_6631;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6158> */
	obj_t BGl_zc3anonymousza36158ze3z83zz__evaluatez00(obj_t BgL_envz00_25413,
		obj_t BgL_sz00_25417)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25414;

				obj_t BgL_bodyz00_25415;

				obj_t BgL_sfz00_25416;

				BgL_instance2850z00_25414 =
					PROCEDURE_REF(BgL_envz00_25413, (int) (((long) 0)));
				BgL_bodyz00_25415 = PROCEDURE_REF(BgL_envz00_25413, (int) (((long) 1)));
				BgL_sfz00_25416 = PROCEDURE_REF(BgL_envz00_25413, (int) (((long) 2)));
				{
					obj_t BgL_sz00_6365;

					BgL_sz00_6365 = BgL_sz00_25417;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6367;

						BgL_bpz00_6367 = VECTOR_REF(BgL_sz00_6365, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24779;

								BgL_runz00_24779 =
									make_fx_procedure(BGl_run_7837z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_24779,
									(int) (((long) 0)), BgL_instance2850z00_25414);
								PROCEDURE_SET(BgL_runz00_24779,
									(int) (((long) 1)), BgL_bodyz00_25415);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24780;

									BgL_mainz00_24780 =
										make_va_procedure(BGl_main_7836z00zz__evaluatez00,
										(int) (((long) -3)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_mainz00_24780,
										(int) (((long) 0)), BgL_instance2850z00_25414);
									PROCEDURE_SET(BgL_mainz00_24780,
										(int) (((long) 1)), BgL_bodyz00_25415);
									PROCEDURE_SET(BgL_mainz00_24780,
										(int) (((long) 2)), BgL_runz00_24779);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21859;

										BgL_objz00_21859 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24779, BgL_objz00_21859);
										BgL_objz00_21859;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6159z00_6370;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21862;

											BgL_newz00_21862 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38588;

												BgL_auxz00_38588 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21862, BgL_auxz00_38588,
													BgL_sfz00_25416);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38591;

												BgL_auxz00_38591 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21862, BgL_auxz00_38591,
													BgL_runz00_24779);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_38596;

												int BgL_auxz00_38594;

												BgL_auxz00_38596 = BINT(((long) -3));
												BgL_auxz00_38594 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21862, BgL_auxz00_38594,
													BgL_auxz00_38596);
											}
											BgL_arg6159z00_6370 = BgL_newz00_21862;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24780, BgL_arg6159z00_6370);
										BgL_arg6159z00_6370;
									}
									return BgL_mainz00_24780;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7836 */
	obj_t BGl_main_7836z00zz__evaluatez00(obj_t BgL_envz00_25418,
		obj_t BgL_cz00_25422, obj_t BgL_dz00_25423, obj_t BgL_lastz00_25424)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25421;

				BgL_runz00_25421 = PROCEDURE_REF(BgL_envz00_25418, (int) (((long) 2)));
				{
					obj_t BgL_cz00_6371;

					obj_t BgL_dz00_6372;

					obj_t BgL_lastz00_6373;

					BgL_cz00_6371 = BgL_cz00_25422;
					BgL_dz00_6372 = BgL_dz00_25423;
					BgL_lastz00_6373 = BgL_lastz00_25424;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6375;

						BgL_sz00_6375 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6376;

							BgL_bpz00_6376 = VECTOR_REF(BgL_sz00_6375, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6161z00_6377;

								BgL_arg6161z00_6377 =
									((long) CINT(BgL_bpz00_6376) + ((long) 0));
								VECTOR_SET(BgL_sz00_6375,
									(int) (BgL_arg6161z00_6377), BgL_cz00_6371);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6162z00_6378;

								BgL_arg6162z00_6378 =
									((long) CINT(BgL_bpz00_6376) + ((long) 1));
								VECTOR_SET(BgL_sz00_6375,
									(int) (BgL_arg6162z00_6378), BgL_dz00_6372);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6163z00_6379;

								BgL_arg6163z00_6379 =
									((long) CINT(BgL_bpz00_6376) + ((long) 2));
								VECTOR_SET(BgL_sz00_6375,
									(int) (BgL_arg6163z00_6379), BgL_lastz00_6373);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2926z00_6380;

								BgL_val2926z00_6380 =
									BGl_zc3exitza36167ze3z83zz__evaluatez00(BgL_bpz00_6376,
									BgL_sz00_6375, BgL_runz00_25421);
								VECTOR_SET(BgL_sz00_6375, (int) (((long) 0)), BgL_bpz00_6376);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2926z00_6380)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2926z00_6380), CDR(BgL_val2926z00_6380));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2926z00_6380;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6167> */
	obj_t BGl_zc3exitza36167ze3z83zz__evaluatez00(obj_t BgL_bpz00_26411,
		obj_t BgL_sz00_26410, obj_t BgL_runz00_26409)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2927z00_6385;

			if (SET_EXIT(BgL_an_exit2927z00_6385))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2927z00_6385 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2927z00_6385, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2928z00_6386;

							BgL_val2928z00_6386 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26409,
								BgL_sz00_26410, BgL_bpz00_26411);
							POP_EXIT();
							return BgL_val2928z00_6386;
						}
					}
				}
		}
	}



/* run_7837 */
	obj_t BGl_run_7837z00zz__evaluatez00(obj_t BgL_envz00_25425,
		obj_t BgL_sz00_25428)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25426;

				obj_t BgL_bodyz00_25427;

				BgL_instance2850z00_25426 =
					PROCEDURE_REF(BgL_envz00_25425, (int) (((long) 0)));
				BgL_bodyz00_25427 = PROCEDURE_REF(BgL_envz00_25425, (int) (((long) 1)));
				{
					obj_t BgL_sz00_6388;

					BgL_sz00_6388 = BgL_sz00_25428;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6390;

						BgL_bpz00_6390 = VECTOR_REF(BgL_sz00_6388, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_6391;

							obj_t BgL_wherez00_6392;

							obj_t BgL_locz00_6393;

							BgL_z12denvz12_6391 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_38637;

								BgL_auxz00_38637 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25426);
								BgL_wherez00_6392 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38637))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_38640;

								BgL_auxz00_38640 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25426);
								BgL_locz00_6393 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38640))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6391, BgL_wherez00_6392,
									BgL_locz00_6393);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_6394;

									BgL_za2za2resza2za2z00_6394 =
										PROCEDURE_ENTRY(BgL_bodyz00_25427) (BgL_bodyz00_25427,
										BgL_sz00_6388, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6391);
									return BgL_za2za2resza2za2z00_6394;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6169> */
	obj_t BGl_zc3anonymousza36169ze3z83zz__evaluatez00(obj_t BgL_envz00_25429,
		obj_t BgL_sz00_25434)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25430;

				obj_t BgL_instance2850z00_25431;

				obj_t BgL_bodyz00_25432;

				obj_t BgL_sfz00_25433;

				BgL_iboxesz00_25430 =
					PROCEDURE_REF(BgL_envz00_25429, (int) (((long) 0)));
				BgL_instance2850z00_25431 =
					PROCEDURE_REF(BgL_envz00_25429, (int) (((long) 1)));
				BgL_bodyz00_25432 = PROCEDURE_REF(BgL_envz00_25429, (int) (((long) 2)));
				BgL_sfz00_25433 = PROCEDURE_REF(BgL_envz00_25429, (int) (((long) 3)));
				{
					obj_t BgL_sz00_6396;

					BgL_sz00_6396 = BgL_sz00_25434;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6398;

						BgL_bpz00_6398 = VECTOR_REF(BgL_sz00_6396, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24776;

								BgL_runz00_24776 =
									make_fx_procedure(BGl_run_7839z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_24776,
									(int) (((long) 0)), BgL_iboxesz00_25430);
								PROCEDURE_SET(BgL_runz00_24776,
									(int) (((long) 1)), BgL_instance2850z00_25431);
								PROCEDURE_SET(BgL_runz00_24776,
									(int) (((long) 2)), BgL_bodyz00_25432);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24777;

									BgL_mainz00_24777 =
										make_va_procedure(BGl_main_7838z00zz__evaluatez00,
										(int) (((long) -3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_24777,
										(int) (((long) 0)), BgL_iboxesz00_25430);
									PROCEDURE_SET(BgL_mainz00_24777,
										(int) (((long) 1)), BgL_instance2850z00_25431);
									PROCEDURE_SET(BgL_mainz00_24777,
										(int) (((long) 2)), BgL_bodyz00_25432);
									PROCEDURE_SET(BgL_mainz00_24777,
										(int) (((long) 3)), BgL_runz00_24776);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21905;

										BgL_objz00_21905 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24776, BgL_objz00_21905);
										BgL_objz00_21905;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6170z00_6401;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21908;

											BgL_newz00_21908 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38680;

												BgL_auxz00_38680 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21908, BgL_auxz00_38680,
													BgL_sfz00_25433);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38683;

												BgL_auxz00_38683 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21908, BgL_auxz00_38683,
													BgL_runz00_24776);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_38688;

												int BgL_auxz00_38686;

												BgL_auxz00_38688 = BINT(((long) -3));
												BgL_auxz00_38686 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21908, BgL_auxz00_38686,
													BgL_auxz00_38688);
											}
											BgL_arg6170z00_6401 = BgL_newz00_21908;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24777, BgL_arg6170z00_6401);
										BgL_arg6170z00_6401;
									}
									return BgL_mainz00_24777;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7838 */
	obj_t BGl_main_7838z00zz__evaluatez00(obj_t BgL_envz00_25435,
		obj_t BgL_cz00_25440, obj_t BgL_dz00_25441, obj_t BgL_lastz00_25442)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25439;

				BgL_runz00_25439 = PROCEDURE_REF(BgL_envz00_25435, (int) (((long) 3)));
				{
					obj_t BgL_cz00_6402;

					obj_t BgL_dz00_6403;

					obj_t BgL_lastz00_6404;

					BgL_cz00_6402 = BgL_cz00_25440;
					BgL_dz00_6403 = BgL_dz00_25441;
					BgL_lastz00_6404 = BgL_lastz00_25442;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6406;

						BgL_sz00_6406 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6407;

							BgL_bpz00_6407 = VECTOR_REF(BgL_sz00_6406, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6172z00_6408;

								BgL_arg6172z00_6408 =
									((long) CINT(BgL_bpz00_6407) + ((long) 0));
								VECTOR_SET(BgL_sz00_6406,
									(int) (BgL_arg6172z00_6408), BgL_cz00_6402);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6173z00_6409;

								BgL_arg6173z00_6409 =
									((long) CINT(BgL_bpz00_6407) + ((long) 1));
								VECTOR_SET(BgL_sz00_6406,
									(int) (BgL_arg6173z00_6409), BgL_dz00_6403);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6174z00_6410;

								BgL_arg6174z00_6410 =
									((long) CINT(BgL_bpz00_6407) + ((long) 2));
								VECTOR_SET(BgL_sz00_6406,
									(int) (BgL_arg6174z00_6410), BgL_lastz00_6404);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2929z00_6411;

								BgL_val2929z00_6411 =
									BGl_zc3exitza36178ze3z83zz__evaluatez00(BgL_bpz00_6407,
									BgL_sz00_6406, BgL_runz00_25439);
								VECTOR_SET(BgL_sz00_6406, (int) (((long) 0)), BgL_bpz00_6407);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2929z00_6411)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2929z00_6411), CDR(BgL_val2929z00_6411));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2929z00_6411;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6178> */
	obj_t BGl_zc3exitza36178ze3z83zz__evaluatez00(obj_t BgL_bpz00_26408,
		obj_t BgL_sz00_26407, obj_t BgL_runz00_26406)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2930z00_6416;

			if (SET_EXIT(BgL_an_exit2930z00_6416))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2930z00_6416 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2930z00_6416, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2931z00_6417;

							BgL_val2931z00_6417 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26406,
								BgL_sz00_26407, BgL_bpz00_26408);
							POP_EXIT();
							return BgL_val2931z00_6417;
						}
					}
				}
		}
	}



/* run_7839 */
	obj_t BGl_run_7839z00zz__evaluatez00(obj_t BgL_envz00_25443,
		obj_t BgL_sz00_25447)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25444;

				obj_t BgL_instance2850z00_25445;

				obj_t BgL_bodyz00_25446;

				BgL_iboxesz00_25444 =
					PROCEDURE_REF(BgL_envz00_25443, (int) (((long) 0)));
				BgL_instance2850z00_25445 =
					PROCEDURE_REF(BgL_envz00_25443, (int) (((long) 1)));
				BgL_bodyz00_25446 = PROCEDURE_REF(BgL_envz00_25443, (int) (((long) 2)));
				{
					obj_t BgL_sz00_6419;

					BgL_sz00_6419 = BgL_sz00_25447;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6421;

						BgL_bpz00_6421 = VECTOR_REF(BgL_sz00_6419, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_6419,
							BgL_iboxesz00_25444, BgL_bpz00_6421);
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_6422;

							obj_t BgL_wherez00_6423;

							obj_t BgL_locz00_6424;

							BgL_z12denvz12_6422 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_38732;

								BgL_auxz00_38732 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25445);
								BgL_wherez00_6423 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38732))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_38735;

								BgL_auxz00_38735 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25445);
								BgL_locz00_6424 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38735))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6422, BgL_wherez00_6423,
									BgL_locz00_6424);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_6425;

									BgL_za2za2resza2za2z00_6425 =
										PROCEDURE_ENTRY(BgL_bodyz00_25446) (BgL_bodyz00_25446,
										BgL_sz00_6419, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6422);
									return BgL_za2za2resza2za2z00_6425;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6183> */
	obj_t BGl_zc3anonymousza36183ze3z83zz__evaluatez00(obj_t BgL_envz00_25448,
		obj_t BgL_sz00_25454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25449;

				obj_t BgL_siza7eza7_25450;

				obj_t BgL_instance2850z00_25451;

				obj_t BgL_bodyz00_25452;

				obj_t BgL_sfz00_25453;

				BgL_iza2za2_25449 = PROCEDURE_REF(BgL_envz00_25448, (int) (((long) 0)));
				BgL_siza7eza7_25450 =
					PROCEDURE_REF(BgL_envz00_25448, (int) (((long) 1)));
				BgL_instance2850z00_25451 =
					PROCEDURE_REF(BgL_envz00_25448, (int) (((long) 2)));
				BgL_bodyz00_25452 = PROCEDURE_REF(BgL_envz00_25448, (int) (((long) 3)));
				BgL_sfz00_25453 = PROCEDURE_REF(BgL_envz00_25448, (int) (((long) 4)));
				{
					obj_t BgL_sz00_6430;

					BgL_sz00_6430 = BgL_sz00_25454;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6432;

						BgL_bpz00_6432 = VECTOR_REF(BgL_sz00_6430, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_6433;

							BgL_valza2za2_6433 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_6430,
								BgL_bpz00_6432, BgL_iza2za2_25449);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24773;

								BgL_runz00_24773 =
									make_fx_procedure(BGl_run_7841z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_24773,
									(int) (((long) 0)), BgL_siza7eza7_25450);
								PROCEDURE_SET(BgL_runz00_24773,
									(int) (((long) 1)), BgL_valza2za2_6433);
								PROCEDURE_SET(BgL_runz00_24773,
									(int) (((long) 2)), BgL_instance2850z00_25451);
								PROCEDURE_SET(BgL_runz00_24773,
									(int) (((long) 3)), BgL_bodyz00_25452);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24774;

									BgL_mainz00_24774 =
										make_va_procedure(BGl_main_7840z00zz__evaluatez00,
										(int) (((long) -3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_24774,
										(int) (((long) 0)), BgL_siza7eza7_25450);
									PROCEDURE_SET(BgL_mainz00_24774,
										(int) (((long) 1)), BgL_valza2za2_6433);
									PROCEDURE_SET(BgL_mainz00_24774,
										(int) (((long) 2)), BgL_instance2850z00_25451);
									PROCEDURE_SET(BgL_mainz00_24774,
										(int) (((long) 3)), BgL_bodyz00_25452);
									PROCEDURE_SET(BgL_mainz00_24774,
										(int) (((long) 4)), BgL_runz00_24773);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21954;

										BgL_objz00_21954 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24773, BgL_objz00_21954);
										BgL_objz00_21954;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6184z00_6436;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21957;

											BgL_newz00_21957 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38782;

												BgL_auxz00_38782 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21957, BgL_auxz00_38782,
													BgL_sfz00_25453);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38785;

												BgL_auxz00_38785 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21957, BgL_auxz00_38785,
													BgL_runz00_24773);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_38790;

												int BgL_auxz00_38788;

												BgL_auxz00_38790 = BINT(((long) -3));
												BgL_auxz00_38788 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21957, BgL_auxz00_38788,
													BgL_auxz00_38790);
											}
											BgL_arg6184z00_6436 = BgL_newz00_21957;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24774, BgL_arg6184z00_6436);
										BgL_arg6184z00_6436;
									}
									return BgL_mainz00_24774;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7840 */
	obj_t BGl_main_7840z00zz__evaluatez00(obj_t BgL_envz00_25455,
		obj_t BgL_cz00_25461, obj_t BgL_dz00_25462, obj_t BgL_lastz00_25463)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25460;

				BgL_runz00_25460 = PROCEDURE_REF(BgL_envz00_25455, (int) (((long) 4)));
				{
					obj_t BgL_cz00_6437;

					obj_t BgL_dz00_6438;

					obj_t BgL_lastz00_6439;

					BgL_cz00_6437 = BgL_cz00_25461;
					BgL_dz00_6438 = BgL_dz00_25462;
					BgL_lastz00_6439 = BgL_lastz00_25463;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6441;

						BgL_sz00_6441 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6442;

							BgL_bpz00_6442 = VECTOR_REF(BgL_sz00_6441, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6186z00_6443;

								BgL_arg6186z00_6443 =
									((long) CINT(BgL_bpz00_6442) + ((long) 0));
								VECTOR_SET(BgL_sz00_6441,
									(int) (BgL_arg6186z00_6443), BgL_cz00_6437);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6187z00_6444;

								BgL_arg6187z00_6444 =
									((long) CINT(BgL_bpz00_6442) + ((long) 1));
								VECTOR_SET(BgL_sz00_6441,
									(int) (BgL_arg6187z00_6444), BgL_dz00_6438);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6188z00_6445;

								BgL_arg6188z00_6445 =
									((long) CINT(BgL_bpz00_6442) + ((long) 2));
								VECTOR_SET(BgL_sz00_6441,
									(int) (BgL_arg6188z00_6445), BgL_lastz00_6439);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2932z00_6446;

								BgL_val2932z00_6446 =
									BGl_zc3exitza36192ze3z83zz__evaluatez00(BgL_bpz00_6442,
									BgL_sz00_6441, BgL_runz00_25460);
								VECTOR_SET(BgL_sz00_6441, (int) (((long) 0)), BgL_bpz00_6442);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2932z00_6446)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2932z00_6446), CDR(BgL_val2932z00_6446));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2932z00_6446;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6192> */
	obj_t BGl_zc3exitza36192ze3z83zz__evaluatez00(obj_t BgL_bpz00_26405,
		obj_t BgL_sz00_26404, obj_t BgL_runz00_26403)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2933z00_6451;

			if (SET_EXIT(BgL_an_exit2933z00_6451))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2933z00_6451 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2933z00_6451, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2934z00_6452;

							BgL_val2934z00_6452 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26403,
								BgL_sz00_26404, BgL_bpz00_26405);
							POP_EXIT();
							return BgL_val2934z00_6452;
						}
					}
				}
		}
	}



/* run_7841 */
	obj_t BGl_run_7841z00zz__evaluatez00(obj_t BgL_envz00_25464,
		obj_t BgL_sz00_25469)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_siza7eza7_25465;

				obj_t BgL_valza2za2_25466;

				obj_t BgL_instance2850z00_25467;

				obj_t BgL_bodyz00_25468;

				BgL_siza7eza7_25465 =
					PROCEDURE_REF(BgL_envz00_25464, (int) (((long) 0)));
				BgL_valza2za2_25466 =
					PROCEDURE_REF(BgL_envz00_25464, (int) (((long) 1)));
				BgL_instance2850z00_25467 =
					PROCEDURE_REF(BgL_envz00_25464, (int) (((long) 2)));
				BgL_bodyz00_25468 = PROCEDURE_REF(BgL_envz00_25464, (int) (((long) 3)));
				{
					obj_t BgL_sz00_6454;

					BgL_sz00_6454 = BgL_sz00_25469;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6456;

						BgL_bpz00_6456 = VECTOR_REF(BgL_sz00_6454, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_6454,
							BgL_valza2za2_25466,
							((long) CINT(BgL_bpz00_6456) + (long) CINT(BgL_siza7eza7_25465)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_6458;

							obj_t BgL_wherez00_6459;

							obj_t BgL_locz00_6460;

							BgL_z12denvz12_6458 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_38839;

								BgL_auxz00_38839 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25467);
								BgL_wherez00_6459 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38839))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_38842;

								BgL_auxz00_38842 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25467);
								BgL_locz00_6460 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38842))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6458, BgL_wherez00_6459,
									BgL_locz00_6460);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_6461;

									BgL_za2za2resza2za2z00_6461 =
										PROCEDURE_ENTRY(BgL_bodyz00_25468) (BgL_bodyz00_25468,
										BgL_sz00_6454, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6458);
									return BgL_za2za2resza2za2z00_6461;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6195> */
	obj_t BGl_zc3anonymousza36195ze3z83zz__evaluatez00(obj_t BgL_envz00_25470,
		obj_t BgL_sz00_25477)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25471;

				obj_t BgL_iboxesz00_25472;

				obj_t BgL_siza7eza7_25473;

				obj_t BgL_instance2850z00_25474;

				obj_t BgL_bodyz00_25475;

				obj_t BgL_sfz00_25476;

				BgL_iza2za2_25471 = PROCEDURE_REF(BgL_envz00_25470, (int) (((long) 0)));
				BgL_iboxesz00_25472 =
					PROCEDURE_REF(BgL_envz00_25470, (int) (((long) 1)));
				BgL_siza7eza7_25473 =
					PROCEDURE_REF(BgL_envz00_25470, (int) (((long) 2)));
				BgL_instance2850z00_25474 =
					PROCEDURE_REF(BgL_envz00_25470, (int) (((long) 3)));
				BgL_bodyz00_25475 = PROCEDURE_REF(BgL_envz00_25470, (int) (((long) 4)));
				BgL_sfz00_25476 = PROCEDURE_REF(BgL_envz00_25470, (int) (((long) 5)));
				{
					obj_t BgL_sz00_6463;

					BgL_sz00_6463 = BgL_sz00_25477;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6465;

						BgL_bpz00_6465 = VECTOR_REF(BgL_sz00_6463, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_6466;

							BgL_valza2za2_6466 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_6463,
								BgL_bpz00_6465, BgL_iza2za2_25471);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24770;

								BgL_runz00_24770 =
									make_fx_procedure(BGl_run_7843z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_24770,
									(int) (((long) 0)), BgL_iboxesz00_25472);
								PROCEDURE_SET(BgL_runz00_24770,
									(int) (((long) 1)), BgL_siza7eza7_25473);
								PROCEDURE_SET(BgL_runz00_24770,
									(int) (((long) 2)), BgL_valza2za2_6466);
								PROCEDURE_SET(BgL_runz00_24770,
									(int) (((long) 3)), BgL_instance2850z00_25474);
								PROCEDURE_SET(BgL_runz00_24770,
									(int) (((long) 4)), BgL_bodyz00_25475);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24771;

									BgL_mainz00_24771 =
										make_va_procedure(BGl_main_7842z00zz__evaluatez00,
										(int) (((long) -3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_24771,
										(int) (((long) 0)), BgL_iboxesz00_25472);
									PROCEDURE_SET(BgL_mainz00_24771,
										(int) (((long) 1)), BgL_siza7eza7_25473);
									PROCEDURE_SET(BgL_mainz00_24771,
										(int) (((long) 2)), BgL_valza2za2_6466);
									PROCEDURE_SET(BgL_mainz00_24771,
										(int) (((long) 3)), BgL_instance2850z00_25474);
									PROCEDURE_SET(BgL_mainz00_24771,
										(int) (((long) 4)), BgL_bodyz00_25475);
									PROCEDURE_SET(BgL_mainz00_24771,
										(int) (((long) 5)), BgL_runz00_24770);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22002;

										BgL_objz00_22002 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24770, BgL_objz00_22002);
										BgL_objz00_22002;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6196z00_6469;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_22005;

											BgL_newz00_22005 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38895;

												BgL_auxz00_38895 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_22005, BgL_auxz00_38895,
													BgL_sfz00_25476);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38898;

												BgL_auxz00_38898 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_22005, BgL_auxz00_38898,
													BgL_runz00_24770);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_38903;

												int BgL_auxz00_38901;

												BgL_auxz00_38903 = BINT(((long) -3));
												BgL_auxz00_38901 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_22005, BgL_auxz00_38901,
													BgL_auxz00_38903);
											}
											BgL_arg6196z00_6469 = BgL_newz00_22005;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24771, BgL_arg6196z00_6469);
										BgL_arg6196z00_6469;
									}
									return BgL_mainz00_24771;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7842 */
	obj_t BGl_main_7842z00zz__evaluatez00(obj_t BgL_envz00_25478,
		obj_t BgL_cz00_25485, obj_t BgL_dz00_25486, obj_t BgL_lastz00_25487)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25484;

				BgL_runz00_25484 = PROCEDURE_REF(BgL_envz00_25478, (int) (((long) 5)));
				{
					obj_t BgL_cz00_6470;

					obj_t BgL_dz00_6471;

					obj_t BgL_lastz00_6472;

					BgL_cz00_6470 = BgL_cz00_25485;
					BgL_dz00_6471 = BgL_dz00_25486;
					BgL_lastz00_6472 = BgL_lastz00_25487;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6474;

						BgL_sz00_6474 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6475;

							BgL_bpz00_6475 = VECTOR_REF(BgL_sz00_6474, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6198z00_6476;

								BgL_arg6198z00_6476 =
									((long) CINT(BgL_bpz00_6475) + ((long) 0));
								VECTOR_SET(BgL_sz00_6474,
									(int) (BgL_arg6198z00_6476), BgL_cz00_6470);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6199z00_6477;

								BgL_arg6199z00_6477 =
									((long) CINT(BgL_bpz00_6475) + ((long) 1));
								VECTOR_SET(BgL_sz00_6474,
									(int) (BgL_arg6199z00_6477), BgL_dz00_6471);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6200z00_6478;

								BgL_arg6200z00_6478 =
									((long) CINT(BgL_bpz00_6475) + ((long) 2));
								VECTOR_SET(BgL_sz00_6474,
									(int) (BgL_arg6200z00_6478), BgL_lastz00_6472);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2935z00_6479;

								BgL_val2935z00_6479 =
									BGl_zc3exitza36204ze3z83zz__evaluatez00(BgL_bpz00_6475,
									BgL_sz00_6474, BgL_runz00_25484);
								VECTOR_SET(BgL_sz00_6474, (int) (((long) 0)), BgL_bpz00_6475);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2935z00_6479)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2935z00_6479), CDR(BgL_val2935z00_6479));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2935z00_6479;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6204> */
	obj_t BGl_zc3exitza36204ze3z83zz__evaluatez00(obj_t BgL_bpz00_26402,
		obj_t BgL_sz00_26401, obj_t BgL_runz00_26400)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2936z00_6484;

			if (SET_EXIT(BgL_an_exit2936z00_6484))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2936z00_6484 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2936z00_6484, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2937z00_6485;

							BgL_val2937z00_6485 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26400,
								BgL_sz00_26401, BgL_bpz00_26402);
							POP_EXIT();
							return BgL_val2937z00_6485;
						}
					}
				}
		}
	}



/* run_7843 */
	obj_t BGl_run_7843z00zz__evaluatez00(obj_t BgL_envz00_25488,
		obj_t BgL_sz00_25494)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25489;

				obj_t BgL_siza7eza7_25490;

				obj_t BgL_valza2za2_25491;

				obj_t BgL_instance2850z00_25492;

				obj_t BgL_bodyz00_25493;

				BgL_iboxesz00_25489 =
					PROCEDURE_REF(BgL_envz00_25488, (int) (((long) 0)));
				BgL_siza7eza7_25490 =
					PROCEDURE_REF(BgL_envz00_25488, (int) (((long) 1)));
				BgL_valza2za2_25491 =
					PROCEDURE_REF(BgL_envz00_25488, (int) (((long) 2)));
				BgL_instance2850z00_25492 =
					PROCEDURE_REF(BgL_envz00_25488, (int) (((long) 3)));
				BgL_bodyz00_25493 = PROCEDURE_REF(BgL_envz00_25488, (int) (((long) 4)));
				{
					obj_t BgL_sz00_6487;

					BgL_sz00_6487 = BgL_sz00_25494;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6489;

						BgL_bpz00_6489 = VECTOR_REF(BgL_sz00_6487, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_6487,
							BgL_iboxesz00_25489, BgL_bpz00_6489);
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_6487,
							BgL_valza2za2_25491,
							((long) CINT(BgL_bpz00_6489) + (long) CINT(BgL_siza7eza7_25490)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_6491;

							obj_t BgL_wherez00_6492;

							obj_t BgL_locz00_6493;

							BgL_z12denvz12_6491 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_38955;

								BgL_auxz00_38955 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25492);
								BgL_wherez00_6492 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38955))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_38958;

								BgL_auxz00_38958 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25492);
								BgL_locz00_6493 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_38958))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6491, BgL_wherez00_6492,
									BgL_locz00_6493);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_6494;

									BgL_za2za2resza2za2z00_6494 =
										PROCEDURE_ENTRY(BgL_bodyz00_25493) (BgL_bodyz00_25493,
										BgL_sz00_6487, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6491);
									return BgL_za2za2resza2za2z00_6494;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6107> */
	obj_t BGl_zc3anonymousza36107ze3z83zz__evaluatez00(obj_t BgL_envz00_25495,
		obj_t BgL_sz00_25499)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25496;

				obj_t BgL_bodyz00_25497;

				obj_t BgL_sfz00_25498;

				BgL_instance2850z00_25496 =
					PROCEDURE_REF(BgL_envz00_25495, (int) (((long) 0)));
				BgL_bodyz00_25497 = PROCEDURE_REF(BgL_envz00_25495, (int) (((long) 1)));
				BgL_sfz00_25498 = PROCEDURE_REF(BgL_envz00_25495, (int) (((long) 2)));
				{
					obj_t BgL_sz00_6236;

					BgL_sz00_6236 = BgL_sz00_25499;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6238;

						BgL_bpz00_6238 = VECTOR_REF(BgL_sz00_6236, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24767;

								BgL_runz00_24767 =
									make_fx_procedure(BGl_run_7845z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_24767,
									(int) (((long) 0)), BgL_instance2850z00_25496);
								PROCEDURE_SET(BgL_runz00_24767,
									(int) (((long) 1)), BgL_bodyz00_25497);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24768;

									BgL_mainz00_24768 =
										make_fx_procedure(BGl_main_7844z00zz__evaluatez00,
										(int) (((long) 2)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_mainz00_24768,
										(int) (((long) 0)), BgL_instance2850z00_25496);
									PROCEDURE_SET(BgL_mainz00_24768,
										(int) (((long) 1)), BgL_bodyz00_25497);
									PROCEDURE_SET(BgL_mainz00_24768,
										(int) (((long) 2)), BgL_runz00_24767);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21682;

										BgL_objz00_21682 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24767, BgL_objz00_21682);
										BgL_objz00_21682;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6108z00_6241;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21685;

											BgL_newz00_21685 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38992;

												BgL_auxz00_38992 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21685, BgL_auxz00_38992,
													BgL_sfz00_25498);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_38995;

												BgL_auxz00_38995 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21685, BgL_auxz00_38995,
													BgL_runz00_24767);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_39000;

												int BgL_auxz00_38998;

												BgL_auxz00_39000 = BINT(((long) 2));
												BgL_auxz00_38998 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21685, BgL_auxz00_38998,
													BgL_auxz00_39000);
											}
											BgL_arg6108z00_6241 = BgL_newz00_21685;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24768, BgL_arg6108z00_6241);
										BgL_arg6108z00_6241;
									}
									return BgL_mainz00_24768;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7844 */
	obj_t BGl_main_7844z00zz__evaluatez00(obj_t BgL_envz00_25500,
		obj_t BgL_cz00_25504, obj_t BgL_dz00_25505)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25503;

				BgL_runz00_25503 = PROCEDURE_REF(BgL_envz00_25500, (int) (((long) 2)));
				{
					obj_t BgL_cz00_6242;

					obj_t BgL_dz00_6243;

					BgL_cz00_6242 = BgL_cz00_25504;
					BgL_dz00_6243 = BgL_dz00_25505;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6245;

						BgL_sz00_6245 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6246;

							BgL_bpz00_6246 = VECTOR_REF(BgL_sz00_6245, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6110z00_6247;

								BgL_arg6110z00_6247 =
									((long) CINT(BgL_bpz00_6246) + ((long) 0));
								VECTOR_SET(BgL_sz00_6245,
									(int) (BgL_arg6110z00_6247), BgL_cz00_6242);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6111z00_6248;

								BgL_arg6111z00_6248 =
									((long) CINT(BgL_bpz00_6246) + ((long) 1));
								VECTOR_SET(BgL_sz00_6245,
									(int) (BgL_arg6111z00_6248), BgL_dz00_6243);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2914z00_6249;

								BgL_val2914z00_6249 =
									BGl_zc3exitza36115ze3z83zz__evaluatez00(BgL_bpz00_6246,
									BgL_sz00_6245, BgL_runz00_25503);
								VECTOR_SET(BgL_sz00_6245, (int) (((long) 0)), BgL_bpz00_6246);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2914z00_6249)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2914z00_6249), CDR(BgL_val2914z00_6249));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2914z00_6249;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6115> */
	obj_t BGl_zc3exitza36115ze3z83zz__evaluatez00(obj_t BgL_bpz00_26399,
		obj_t BgL_sz00_26398, obj_t BgL_runz00_26397)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2915z00_6254;

			if (SET_EXIT(BgL_an_exit2915z00_6254))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2915z00_6254 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2915z00_6254, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2916z00_6255;

							BgL_val2916z00_6255 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26397,
								BgL_sz00_26398, BgL_bpz00_26399);
							POP_EXIT();
							return BgL_val2916z00_6255;
						}
					}
				}
		}
	}



/* run_7845 */
	obj_t BGl_run_7845z00zz__evaluatez00(obj_t BgL_envz00_25506,
		obj_t BgL_sz00_25509)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25507;

				obj_t BgL_bodyz00_25508;

				BgL_instance2850z00_25507 =
					PROCEDURE_REF(BgL_envz00_25506, (int) (((long) 0)));
				BgL_bodyz00_25508 = PROCEDURE_REF(BgL_envz00_25506, (int) (((long) 1)));
				{
					obj_t BgL_sz00_6257;

					BgL_sz00_6257 = BgL_sz00_25509;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6259;

						BgL_bpz00_6259 = VECTOR_REF(BgL_sz00_6257, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_6260;

							obj_t BgL_wherez00_6261;

							obj_t BgL_locz00_6262;

							BgL_z12denvz12_6260 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_39037;

								BgL_auxz00_39037 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25507);
								BgL_wherez00_6261 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39037))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_39040;

								BgL_auxz00_39040 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25507);
								BgL_locz00_6262 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39040))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6260, BgL_wherez00_6261,
									BgL_locz00_6262);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_6263;

									BgL_za2za2resza2za2z00_6263 =
										PROCEDURE_ENTRY(BgL_bodyz00_25508) (BgL_bodyz00_25508,
										BgL_sz00_6257, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6260);
									return BgL_za2za2resza2za2z00_6263;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6117> */
	obj_t BGl_zc3anonymousza36117ze3z83zz__evaluatez00(obj_t BgL_envz00_25510,
		obj_t BgL_sz00_25515)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25511;

				obj_t BgL_instance2850z00_25512;

				obj_t BgL_bodyz00_25513;

				obj_t BgL_sfz00_25514;

				BgL_iboxesz00_25511 =
					PROCEDURE_REF(BgL_envz00_25510, (int) (((long) 0)));
				BgL_instance2850z00_25512 =
					PROCEDURE_REF(BgL_envz00_25510, (int) (((long) 1)));
				BgL_bodyz00_25513 = PROCEDURE_REF(BgL_envz00_25510, (int) (((long) 2)));
				BgL_sfz00_25514 = PROCEDURE_REF(BgL_envz00_25510, (int) (((long) 3)));
				{
					obj_t BgL_sz00_6265;

					BgL_sz00_6265 = BgL_sz00_25515;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6267;

						BgL_bpz00_6267 = VECTOR_REF(BgL_sz00_6265, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24764;

								BgL_runz00_24764 =
									make_fx_procedure(BGl_run_7847z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_24764,
									(int) (((long) 0)), BgL_iboxesz00_25511);
								PROCEDURE_SET(BgL_runz00_24764,
									(int) (((long) 1)), BgL_instance2850z00_25512);
								PROCEDURE_SET(BgL_runz00_24764,
									(int) (((long) 2)), BgL_bodyz00_25513);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24765;

									BgL_mainz00_24765 =
										make_fx_procedure(BGl_main_7846z00zz__evaluatez00,
										(int) (((long) 2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_24765,
										(int) (((long) 0)), BgL_iboxesz00_25511);
									PROCEDURE_SET(BgL_mainz00_24765,
										(int) (((long) 1)), BgL_instance2850z00_25512);
									PROCEDURE_SET(BgL_mainz00_24765,
										(int) (((long) 2)), BgL_bodyz00_25513);
									PROCEDURE_SET(BgL_mainz00_24765,
										(int) (((long) 3)), BgL_runz00_24764);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21723;

										BgL_objz00_21723 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24764, BgL_objz00_21723);
										BgL_objz00_21723;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6118z00_6270;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21726;

											BgL_newz00_21726 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39080;

												BgL_auxz00_39080 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21726, BgL_auxz00_39080,
													BgL_sfz00_25514);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39083;

												BgL_auxz00_39083 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21726, BgL_auxz00_39083,
													BgL_runz00_24764);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_39088;

												int BgL_auxz00_39086;

												BgL_auxz00_39088 = BINT(((long) 2));
												BgL_auxz00_39086 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21726, BgL_auxz00_39086,
													BgL_auxz00_39088);
											}
											BgL_arg6118z00_6270 = BgL_newz00_21726;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24765, BgL_arg6118z00_6270);
										BgL_arg6118z00_6270;
									}
									return BgL_mainz00_24765;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7846 */
	obj_t BGl_main_7846z00zz__evaluatez00(obj_t BgL_envz00_25516,
		obj_t BgL_cz00_25521, obj_t BgL_dz00_25522)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25520;

				BgL_runz00_25520 = PROCEDURE_REF(BgL_envz00_25516, (int) (((long) 3)));
				{
					obj_t BgL_cz00_6271;

					obj_t BgL_dz00_6272;

					BgL_cz00_6271 = BgL_cz00_25521;
					BgL_dz00_6272 = BgL_dz00_25522;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6274;

						BgL_sz00_6274 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6275;

							BgL_bpz00_6275 = VECTOR_REF(BgL_sz00_6274, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6120z00_6276;

								BgL_arg6120z00_6276 =
									((long) CINT(BgL_bpz00_6275) + ((long) 0));
								VECTOR_SET(BgL_sz00_6274,
									(int) (BgL_arg6120z00_6276), BgL_cz00_6271);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6121z00_6277;

								BgL_arg6121z00_6277 =
									((long) CINT(BgL_bpz00_6275) + ((long) 1));
								VECTOR_SET(BgL_sz00_6274,
									(int) (BgL_arg6121z00_6277), BgL_dz00_6272);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2917z00_6278;

								BgL_val2917z00_6278 =
									BGl_zc3exitza36125ze3z83zz__evaluatez00(BgL_bpz00_6275,
									BgL_sz00_6274, BgL_runz00_25520);
								VECTOR_SET(BgL_sz00_6274, (int) (((long) 0)), BgL_bpz00_6275);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2917z00_6278)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2917z00_6278), CDR(BgL_val2917z00_6278));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2917z00_6278;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6125> */
	obj_t BGl_zc3exitza36125ze3z83zz__evaluatez00(obj_t BgL_bpz00_26396,
		obj_t BgL_sz00_26395, obj_t BgL_runz00_26394)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2918z00_6283;

			if (SET_EXIT(BgL_an_exit2918z00_6283))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2918z00_6283 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2918z00_6283, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2919z00_6284;

							BgL_val2919z00_6284 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26394,
								BgL_sz00_26395, BgL_bpz00_26396);
							POP_EXIT();
							return BgL_val2919z00_6284;
						}
					}
				}
		}
	}



/* run_7847 */
	obj_t BGl_run_7847z00zz__evaluatez00(obj_t BgL_envz00_25523,
		obj_t BgL_sz00_25527)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25524;

				obj_t BgL_instance2850z00_25525;

				obj_t BgL_bodyz00_25526;

				BgL_iboxesz00_25524 =
					PROCEDURE_REF(BgL_envz00_25523, (int) (((long) 0)));
				BgL_instance2850z00_25525 =
					PROCEDURE_REF(BgL_envz00_25523, (int) (((long) 1)));
				BgL_bodyz00_25526 = PROCEDURE_REF(BgL_envz00_25523, (int) (((long) 2)));
				{
					obj_t BgL_sz00_6286;

					BgL_sz00_6286 = BgL_sz00_25527;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6288;

						BgL_bpz00_6288 = VECTOR_REF(BgL_sz00_6286, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_6286,
							BgL_iboxesz00_25524, BgL_bpz00_6288);
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_6289;

							obj_t BgL_wherez00_6290;

							obj_t BgL_locz00_6291;

							BgL_z12denvz12_6289 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_39128;

								BgL_auxz00_39128 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25525);
								BgL_wherez00_6290 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39128))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_39131;

								BgL_auxz00_39131 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25525);
								BgL_locz00_6291 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39131))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6289, BgL_wherez00_6290,
									BgL_locz00_6291);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_6292;

									BgL_za2za2resza2za2z00_6292 =
										PROCEDURE_ENTRY(BgL_bodyz00_25526) (BgL_bodyz00_25526,
										BgL_sz00_6286, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6289);
									return BgL_za2za2resza2za2z00_6292;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6130> */
	obj_t BGl_zc3anonymousza36130ze3z83zz__evaluatez00(obj_t BgL_envz00_25528,
		obj_t BgL_sz00_25534)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25529;

				obj_t BgL_siza7eza7_25530;

				obj_t BgL_instance2850z00_25531;

				obj_t BgL_bodyz00_25532;

				obj_t BgL_sfz00_25533;

				BgL_iza2za2_25529 = PROCEDURE_REF(BgL_envz00_25528, (int) (((long) 0)));
				BgL_siza7eza7_25530 =
					PROCEDURE_REF(BgL_envz00_25528, (int) (((long) 1)));
				BgL_instance2850z00_25531 =
					PROCEDURE_REF(BgL_envz00_25528, (int) (((long) 2)));
				BgL_bodyz00_25532 = PROCEDURE_REF(BgL_envz00_25528, (int) (((long) 3)));
				BgL_sfz00_25533 = PROCEDURE_REF(BgL_envz00_25528, (int) (((long) 4)));
				{
					obj_t BgL_sz00_6297;

					BgL_sz00_6297 = BgL_sz00_25534;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6299;

						BgL_bpz00_6299 = VECTOR_REF(BgL_sz00_6297, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_6300;

							BgL_valza2za2_6300 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_6297,
								BgL_bpz00_6299, BgL_iza2za2_25529);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24761;

								BgL_runz00_24761 =
									make_fx_procedure(BGl_run_7849z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_24761,
									(int) (((long) 0)), BgL_siza7eza7_25530);
								PROCEDURE_SET(BgL_runz00_24761,
									(int) (((long) 1)), BgL_valza2za2_6300);
								PROCEDURE_SET(BgL_runz00_24761,
									(int) (((long) 2)), BgL_instance2850z00_25531);
								PROCEDURE_SET(BgL_runz00_24761,
									(int) (((long) 3)), BgL_bodyz00_25532);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24762;

									BgL_mainz00_24762 =
										make_fx_procedure(BGl_main_7848z00zz__evaluatez00,
										(int) (((long) 2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_24762,
										(int) (((long) 0)), BgL_siza7eza7_25530);
									PROCEDURE_SET(BgL_mainz00_24762,
										(int) (((long) 1)), BgL_valza2za2_6300);
									PROCEDURE_SET(BgL_mainz00_24762,
										(int) (((long) 2)), BgL_instance2850z00_25531);
									PROCEDURE_SET(BgL_mainz00_24762,
										(int) (((long) 3)), BgL_bodyz00_25532);
									PROCEDURE_SET(BgL_mainz00_24762,
										(int) (((long) 4)), BgL_runz00_24761);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21767;

										BgL_objz00_21767 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24761, BgL_objz00_21767);
										BgL_objz00_21767;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6131z00_6303;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21770;

											BgL_newz00_21770 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39178;

												BgL_auxz00_39178 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21770, BgL_auxz00_39178,
													BgL_sfz00_25533);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39181;

												BgL_auxz00_39181 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21770, BgL_auxz00_39181,
													BgL_runz00_24761);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_39186;

												int BgL_auxz00_39184;

												BgL_auxz00_39186 = BINT(((long) 2));
												BgL_auxz00_39184 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21770, BgL_auxz00_39184,
													BgL_auxz00_39186);
											}
											BgL_arg6131z00_6303 = BgL_newz00_21770;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24762, BgL_arg6131z00_6303);
										BgL_arg6131z00_6303;
									}
									return BgL_mainz00_24762;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7848 */
	obj_t BGl_main_7848z00zz__evaluatez00(obj_t BgL_envz00_25535,
		obj_t BgL_cz00_25541, obj_t BgL_dz00_25542)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25540;

				BgL_runz00_25540 = PROCEDURE_REF(BgL_envz00_25535, (int) (((long) 4)));
				{
					obj_t BgL_cz00_6304;

					obj_t BgL_dz00_6305;

					BgL_cz00_6304 = BgL_cz00_25541;
					BgL_dz00_6305 = BgL_dz00_25542;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6307;

						BgL_sz00_6307 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6308;

							BgL_bpz00_6308 = VECTOR_REF(BgL_sz00_6307, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6133z00_6309;

								BgL_arg6133z00_6309 =
									((long) CINT(BgL_bpz00_6308) + ((long) 0));
								VECTOR_SET(BgL_sz00_6307,
									(int) (BgL_arg6133z00_6309), BgL_cz00_6304);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6134z00_6310;

								BgL_arg6134z00_6310 =
									((long) CINT(BgL_bpz00_6308) + ((long) 1));
								VECTOR_SET(BgL_sz00_6307,
									(int) (BgL_arg6134z00_6310), BgL_dz00_6305);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2920z00_6311;

								BgL_val2920z00_6311 =
									BGl_zc3exitza36138ze3z83zz__evaluatez00(BgL_bpz00_6308,
									BgL_sz00_6307, BgL_runz00_25540);
								VECTOR_SET(BgL_sz00_6307, (int) (((long) 0)), BgL_bpz00_6308);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2920z00_6311)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2920z00_6311), CDR(BgL_val2920z00_6311));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2920z00_6311;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6138> */
	obj_t BGl_zc3exitza36138ze3z83zz__evaluatez00(obj_t BgL_bpz00_26393,
		obj_t BgL_sz00_26392, obj_t BgL_runz00_26391)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2921z00_6316;

			if (SET_EXIT(BgL_an_exit2921z00_6316))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2921z00_6316 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2921z00_6316, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2922z00_6317;

							BgL_val2922z00_6317 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26391,
								BgL_sz00_26392, BgL_bpz00_26393);
							POP_EXIT();
							return BgL_val2922z00_6317;
						}
					}
				}
		}
	}



/* run_7849 */
	obj_t BGl_run_7849z00zz__evaluatez00(obj_t BgL_envz00_25543,
		obj_t BgL_sz00_25548)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_siza7eza7_25544;

				obj_t BgL_valza2za2_25545;

				obj_t BgL_instance2850z00_25546;

				obj_t BgL_bodyz00_25547;

				BgL_siza7eza7_25544 =
					PROCEDURE_REF(BgL_envz00_25543, (int) (((long) 0)));
				BgL_valza2za2_25545 =
					PROCEDURE_REF(BgL_envz00_25543, (int) (((long) 1)));
				BgL_instance2850z00_25546 =
					PROCEDURE_REF(BgL_envz00_25543, (int) (((long) 2)));
				BgL_bodyz00_25547 = PROCEDURE_REF(BgL_envz00_25543, (int) (((long) 3)));
				{
					obj_t BgL_sz00_6319;

					BgL_sz00_6319 = BgL_sz00_25548;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6321;

						BgL_bpz00_6321 = VECTOR_REF(BgL_sz00_6319, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_6319,
							BgL_valza2za2_25545,
							((long) CINT(BgL_bpz00_6321) + (long) CINT(BgL_siza7eza7_25544)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_6323;

							obj_t BgL_wherez00_6324;

							obj_t BgL_locz00_6325;

							BgL_z12denvz12_6323 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_39231;

								BgL_auxz00_39231 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25546);
								BgL_wherez00_6324 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39231))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_39234;

								BgL_auxz00_39234 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25546);
								BgL_locz00_6325 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39234))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6323, BgL_wherez00_6324,
									BgL_locz00_6325);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_6326;

									BgL_za2za2resza2za2z00_6326 =
										PROCEDURE_ENTRY(BgL_bodyz00_25547) (BgL_bodyz00_25547,
										BgL_sz00_6319, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6323);
									return BgL_za2za2resza2za2z00_6326;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6141> */
	obj_t BGl_zc3anonymousza36141ze3z83zz__evaluatez00(obj_t BgL_envz00_25549,
		obj_t BgL_sz00_25556)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25550;

				obj_t BgL_iboxesz00_25551;

				obj_t BgL_siza7eza7_25552;

				obj_t BgL_instance2850z00_25553;

				obj_t BgL_bodyz00_25554;

				obj_t BgL_sfz00_25555;

				BgL_iza2za2_25550 = PROCEDURE_REF(BgL_envz00_25549, (int) (((long) 0)));
				BgL_iboxesz00_25551 =
					PROCEDURE_REF(BgL_envz00_25549, (int) (((long) 1)));
				BgL_siza7eza7_25552 =
					PROCEDURE_REF(BgL_envz00_25549, (int) (((long) 2)));
				BgL_instance2850z00_25553 =
					PROCEDURE_REF(BgL_envz00_25549, (int) (((long) 3)));
				BgL_bodyz00_25554 = PROCEDURE_REF(BgL_envz00_25549, (int) (((long) 4)));
				BgL_sfz00_25555 = PROCEDURE_REF(BgL_envz00_25549, (int) (((long) 5)));
				{
					obj_t BgL_sz00_6328;

					BgL_sz00_6328 = BgL_sz00_25556;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6330;

						BgL_bpz00_6330 = VECTOR_REF(BgL_sz00_6328, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_6331;

							BgL_valza2za2_6331 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_6328,
								BgL_bpz00_6330, BgL_iza2za2_25550);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24758;

								BgL_runz00_24758 =
									make_fx_procedure(BGl_run_7851z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_24758,
									(int) (((long) 0)), BgL_iboxesz00_25551);
								PROCEDURE_SET(BgL_runz00_24758,
									(int) (((long) 1)), BgL_siza7eza7_25552);
								PROCEDURE_SET(BgL_runz00_24758,
									(int) (((long) 2)), BgL_valza2za2_6331);
								PROCEDURE_SET(BgL_runz00_24758,
									(int) (((long) 3)), BgL_instance2850z00_25553);
								PROCEDURE_SET(BgL_runz00_24758,
									(int) (((long) 4)), BgL_bodyz00_25554);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24759;

									BgL_mainz00_24759 =
										make_fx_procedure(BGl_main_7850z00zz__evaluatez00,
										(int) (((long) 2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_24759,
										(int) (((long) 0)), BgL_iboxesz00_25551);
									PROCEDURE_SET(BgL_mainz00_24759,
										(int) (((long) 1)), BgL_siza7eza7_25552);
									PROCEDURE_SET(BgL_mainz00_24759,
										(int) (((long) 2)), BgL_valza2za2_6331);
									PROCEDURE_SET(BgL_mainz00_24759,
										(int) (((long) 3)), BgL_instance2850z00_25553);
									PROCEDURE_SET(BgL_mainz00_24759,
										(int) (((long) 4)), BgL_bodyz00_25554);
									PROCEDURE_SET(BgL_mainz00_24759,
										(int) (((long) 5)), BgL_runz00_24758);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21810;

										BgL_objz00_21810 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24758, BgL_objz00_21810);
										BgL_objz00_21810;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6142z00_6334;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21813;

											BgL_newz00_21813 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39287;

												BgL_auxz00_39287 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21813, BgL_auxz00_39287,
													BgL_sfz00_25555);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39290;

												BgL_auxz00_39290 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21813, BgL_auxz00_39290,
													BgL_runz00_24758);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_39295;

												int BgL_auxz00_39293;

												BgL_auxz00_39295 = BINT(((long) 2));
												BgL_auxz00_39293 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21813, BgL_auxz00_39293,
													BgL_auxz00_39295);
											}
											BgL_arg6142z00_6334 = BgL_newz00_21813;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24759, BgL_arg6142z00_6334);
										BgL_arg6142z00_6334;
									}
									return BgL_mainz00_24759;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7850 */
	obj_t BGl_main_7850z00zz__evaluatez00(obj_t BgL_envz00_25557,
		obj_t BgL_cz00_25564, obj_t BgL_dz00_25565)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25563;

				BgL_runz00_25563 = PROCEDURE_REF(BgL_envz00_25557, (int) (((long) 5)));
				{
					obj_t BgL_cz00_6335;

					obj_t BgL_dz00_6336;

					BgL_cz00_6335 = BgL_cz00_25564;
					BgL_dz00_6336 = BgL_dz00_25565;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6338;

						BgL_sz00_6338 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6339;

							BgL_bpz00_6339 = VECTOR_REF(BgL_sz00_6338, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6144z00_6340;

								BgL_arg6144z00_6340 =
									((long) CINT(BgL_bpz00_6339) + ((long) 0));
								VECTOR_SET(BgL_sz00_6338,
									(int) (BgL_arg6144z00_6340), BgL_cz00_6335);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6145z00_6341;

								BgL_arg6145z00_6341 =
									((long) CINT(BgL_bpz00_6339) + ((long) 1));
								VECTOR_SET(BgL_sz00_6338,
									(int) (BgL_arg6145z00_6341), BgL_dz00_6336);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2923z00_6342;

								BgL_val2923z00_6342 =
									BGl_zc3exitza36149ze3z83zz__evaluatez00(BgL_bpz00_6339,
									BgL_sz00_6338, BgL_runz00_25563);
								VECTOR_SET(BgL_sz00_6338, (int) (((long) 0)), BgL_bpz00_6339);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2923z00_6342)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2923z00_6342), CDR(BgL_val2923z00_6342));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2923z00_6342;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6149> */
	obj_t BGl_zc3exitza36149ze3z83zz__evaluatez00(obj_t BgL_bpz00_26390,
		obj_t BgL_sz00_26389, obj_t BgL_runz00_26388)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2924z00_6347;

			if (SET_EXIT(BgL_an_exit2924z00_6347))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2924z00_6347 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2924z00_6347, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2925z00_6348;

							BgL_val2925z00_6348 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26388,
								BgL_sz00_26389, BgL_bpz00_26390);
							POP_EXIT();
							return BgL_val2925z00_6348;
						}
					}
				}
		}
	}



/* run_7851 */
	obj_t BGl_run_7851z00zz__evaluatez00(obj_t BgL_envz00_25566,
		obj_t BgL_sz00_25572)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25567;

				obj_t BgL_siza7eza7_25568;

				obj_t BgL_valza2za2_25569;

				obj_t BgL_instance2850z00_25570;

				obj_t BgL_bodyz00_25571;

				BgL_iboxesz00_25567 =
					PROCEDURE_REF(BgL_envz00_25566, (int) (((long) 0)));
				BgL_siza7eza7_25568 =
					PROCEDURE_REF(BgL_envz00_25566, (int) (((long) 1)));
				BgL_valza2za2_25569 =
					PROCEDURE_REF(BgL_envz00_25566, (int) (((long) 2)));
				BgL_instance2850z00_25570 =
					PROCEDURE_REF(BgL_envz00_25566, (int) (((long) 3)));
				BgL_bodyz00_25571 = PROCEDURE_REF(BgL_envz00_25566, (int) (((long) 4)));
				{
					obj_t BgL_sz00_6350;

					BgL_sz00_6350 = BgL_sz00_25572;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6352;

						BgL_bpz00_6352 = VECTOR_REF(BgL_sz00_6350, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_6350,
							BgL_iboxesz00_25567, BgL_bpz00_6352);
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_6350,
							BgL_valza2za2_25569,
							((long) CINT(BgL_bpz00_6352) + (long) CINT(BgL_siza7eza7_25568)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_6354;

							obj_t BgL_wherez00_6355;

							obj_t BgL_locz00_6356;

							BgL_z12denvz12_6354 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_39343;

								BgL_auxz00_39343 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25570);
								BgL_wherez00_6355 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39343))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_39346;

								BgL_auxz00_39346 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25570);
								BgL_locz00_6356 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39346))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6354, BgL_wherez00_6355,
									BgL_locz00_6356);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_6357;

									BgL_za2za2resza2za2z00_6357 =
										PROCEDURE_ENTRY(BgL_bodyz00_25571) (BgL_bodyz00_25571,
										BgL_sz00_6350, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6354);
									return BgL_za2za2resza2za2z00_6357;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6056> */
	obj_t BGl_zc3anonymousza36056ze3z83zz__evaluatez00(obj_t BgL_envz00_25573,
		obj_t BgL_sz00_25577)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25574;

				obj_t BgL_bodyz00_25575;

				obj_t BgL_sfz00_25576;

				BgL_instance2850z00_25574 =
					PROCEDURE_REF(BgL_envz00_25573, (int) (((long) 0)));
				BgL_bodyz00_25575 = PROCEDURE_REF(BgL_envz00_25573, (int) (((long) 1)));
				BgL_sfz00_25576 = PROCEDURE_REF(BgL_envz00_25573, (int) (((long) 2)));
				{
					obj_t BgL_sz00_6107;

					BgL_sz00_6107 = BgL_sz00_25577;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6109;

						BgL_bpz00_6109 = VECTOR_REF(BgL_sz00_6107, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24755;

								BgL_runz00_24755 =
									make_fx_procedure(BGl_run_7853z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_24755,
									(int) (((long) 0)), BgL_instance2850z00_25574);
								PROCEDURE_SET(BgL_runz00_24755,
									(int) (((long) 1)), BgL_bodyz00_25575);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24756;

									BgL_mainz00_24756 =
										make_va_procedure(BGl_main_7852z00zz__evaluatez00,
										(int) (((long) -2)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_mainz00_24756,
										(int) (((long) 0)), BgL_instance2850z00_25574);
									PROCEDURE_SET(BgL_mainz00_24756,
										(int) (((long) 1)), BgL_bodyz00_25575);
									PROCEDURE_SET(BgL_mainz00_24756,
										(int) (((long) 2)), BgL_runz00_24755);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21505;

										BgL_objz00_21505 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24755, BgL_objz00_21505);
										BgL_objz00_21505;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6057z00_6112;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21508;

											BgL_newz00_21508 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39380;

												BgL_auxz00_39380 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21508, BgL_auxz00_39380,
													BgL_sfz00_25576);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39383;

												BgL_auxz00_39383 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21508, BgL_auxz00_39383,
													BgL_runz00_24755);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_39388;

												int BgL_auxz00_39386;

												BgL_auxz00_39388 = BINT(((long) -2));
												BgL_auxz00_39386 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21508, BgL_auxz00_39386,
													BgL_auxz00_39388);
											}
											BgL_arg6057z00_6112 = BgL_newz00_21508;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24756, BgL_arg6057z00_6112);
										BgL_arg6057z00_6112;
									}
									return BgL_mainz00_24756;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7852 */
	obj_t BGl_main_7852z00zz__evaluatez00(obj_t BgL_envz00_25578,
		obj_t BgL_dz00_25582, obj_t BgL_lastz00_25583)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25581;

				BgL_runz00_25581 = PROCEDURE_REF(BgL_envz00_25578, (int) (((long) 2)));
				{
					obj_t BgL_dz00_6113;

					obj_t BgL_lastz00_6114;

					BgL_dz00_6113 = BgL_dz00_25582;
					BgL_lastz00_6114 = BgL_lastz00_25583;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6116;

						BgL_sz00_6116 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6117;

							BgL_bpz00_6117 = VECTOR_REF(BgL_sz00_6116, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6059z00_6118;

								BgL_arg6059z00_6118 =
									((long) CINT(BgL_bpz00_6117) + ((long) 0));
								VECTOR_SET(BgL_sz00_6116,
									(int) (BgL_arg6059z00_6118), BgL_dz00_6113);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6060z00_6119;

								BgL_arg6060z00_6119 =
									((long) CINT(BgL_bpz00_6117) + ((long) 1));
								VECTOR_SET(BgL_sz00_6116,
									(int) (BgL_arg6060z00_6119), BgL_lastz00_6114);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2902z00_6120;

								BgL_val2902z00_6120 =
									BGl_zc3exitza36064ze3z83zz__evaluatez00(BgL_bpz00_6117,
									BgL_sz00_6116, BgL_runz00_25581);
								VECTOR_SET(BgL_sz00_6116, (int) (((long) 0)), BgL_bpz00_6117);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2902z00_6120)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2902z00_6120), CDR(BgL_val2902z00_6120));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2902z00_6120;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6064> */
	obj_t BGl_zc3exitza36064ze3z83zz__evaluatez00(obj_t BgL_bpz00_26387,
		obj_t BgL_sz00_26386, obj_t BgL_runz00_26385)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2903z00_6125;

			if (SET_EXIT(BgL_an_exit2903z00_6125))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2903z00_6125 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2903z00_6125, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2904z00_6126;

							BgL_val2904z00_6126 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26385,
								BgL_sz00_26386, BgL_bpz00_26387);
							POP_EXIT();
							return BgL_val2904z00_6126;
						}
					}
				}
		}
	}



/* run_7853 */
	obj_t BGl_run_7853z00zz__evaluatez00(obj_t BgL_envz00_25584,
		obj_t BgL_sz00_25587)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25585;

				obj_t BgL_bodyz00_25586;

				BgL_instance2850z00_25585 =
					PROCEDURE_REF(BgL_envz00_25584, (int) (((long) 0)));
				BgL_bodyz00_25586 = PROCEDURE_REF(BgL_envz00_25584, (int) (((long) 1)));
				{
					obj_t BgL_sz00_6128;

					BgL_sz00_6128 = BgL_sz00_25587;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6130;

						BgL_bpz00_6130 = VECTOR_REF(BgL_sz00_6128, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_6131;

							obj_t BgL_wherez00_6132;

							obj_t BgL_locz00_6133;

							BgL_z12denvz12_6131 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_39425;

								BgL_auxz00_39425 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25585);
								BgL_wherez00_6132 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39425))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_39428;

								BgL_auxz00_39428 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25585);
								BgL_locz00_6133 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39428))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6131, BgL_wherez00_6132,
									BgL_locz00_6133);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_6134;

									BgL_za2za2resza2za2z00_6134 =
										PROCEDURE_ENTRY(BgL_bodyz00_25586) (BgL_bodyz00_25586,
										BgL_sz00_6128, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6131);
									return BgL_za2za2resza2za2z00_6134;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6066> */
	obj_t BGl_zc3anonymousza36066ze3z83zz__evaluatez00(obj_t BgL_envz00_25588,
		obj_t BgL_sz00_25593)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25589;

				obj_t BgL_instance2850z00_25590;

				obj_t BgL_bodyz00_25591;

				obj_t BgL_sfz00_25592;

				BgL_iboxesz00_25589 =
					PROCEDURE_REF(BgL_envz00_25588, (int) (((long) 0)));
				BgL_instance2850z00_25590 =
					PROCEDURE_REF(BgL_envz00_25588, (int) (((long) 1)));
				BgL_bodyz00_25591 = PROCEDURE_REF(BgL_envz00_25588, (int) (((long) 2)));
				BgL_sfz00_25592 = PROCEDURE_REF(BgL_envz00_25588, (int) (((long) 3)));
				{
					obj_t BgL_sz00_6136;

					BgL_sz00_6136 = BgL_sz00_25593;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6138;

						BgL_bpz00_6138 = VECTOR_REF(BgL_sz00_6136, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24752;

								BgL_runz00_24752 =
									make_fx_procedure(BGl_run_7855z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_24752,
									(int) (((long) 0)), BgL_iboxesz00_25589);
								PROCEDURE_SET(BgL_runz00_24752,
									(int) (((long) 1)), BgL_instance2850z00_25590);
								PROCEDURE_SET(BgL_runz00_24752,
									(int) (((long) 2)), BgL_bodyz00_25591);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24753;

									BgL_mainz00_24753 =
										make_va_procedure(BGl_main_7854z00zz__evaluatez00,
										(int) (((long) -2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_24753,
										(int) (((long) 0)), BgL_iboxesz00_25589);
									PROCEDURE_SET(BgL_mainz00_24753,
										(int) (((long) 1)), BgL_instance2850z00_25590);
									PROCEDURE_SET(BgL_mainz00_24753,
										(int) (((long) 2)), BgL_bodyz00_25591);
									PROCEDURE_SET(BgL_mainz00_24753,
										(int) (((long) 3)), BgL_runz00_24752);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21546;

										BgL_objz00_21546 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24752, BgL_objz00_21546);
										BgL_objz00_21546;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6067z00_6141;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21549;

											BgL_newz00_21549 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39468;

												BgL_auxz00_39468 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21549, BgL_auxz00_39468,
													BgL_sfz00_25592);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39471;

												BgL_auxz00_39471 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21549, BgL_auxz00_39471,
													BgL_runz00_24752);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_39476;

												int BgL_auxz00_39474;

												BgL_auxz00_39476 = BINT(((long) -2));
												BgL_auxz00_39474 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21549, BgL_auxz00_39474,
													BgL_auxz00_39476);
											}
											BgL_arg6067z00_6141 = BgL_newz00_21549;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24753, BgL_arg6067z00_6141);
										BgL_arg6067z00_6141;
									}
									return BgL_mainz00_24753;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7854 */
	obj_t BGl_main_7854z00zz__evaluatez00(obj_t BgL_envz00_25594,
		obj_t BgL_dz00_25599, obj_t BgL_lastz00_25600)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25598;

				BgL_runz00_25598 = PROCEDURE_REF(BgL_envz00_25594, (int) (((long) 3)));
				{
					obj_t BgL_dz00_6142;

					obj_t BgL_lastz00_6143;

					BgL_dz00_6142 = BgL_dz00_25599;
					BgL_lastz00_6143 = BgL_lastz00_25600;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6145;

						BgL_sz00_6145 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6146;

							BgL_bpz00_6146 = VECTOR_REF(BgL_sz00_6145, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6069z00_6147;

								BgL_arg6069z00_6147 =
									((long) CINT(BgL_bpz00_6146) + ((long) 0));
								VECTOR_SET(BgL_sz00_6145,
									(int) (BgL_arg6069z00_6147), BgL_dz00_6142);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6070z00_6148;

								BgL_arg6070z00_6148 =
									((long) CINT(BgL_bpz00_6146) + ((long) 1));
								VECTOR_SET(BgL_sz00_6145,
									(int) (BgL_arg6070z00_6148), BgL_lastz00_6143);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2905z00_6149;

								BgL_val2905z00_6149 =
									BGl_zc3exitza36074ze3z83zz__evaluatez00(BgL_bpz00_6146,
									BgL_sz00_6145, BgL_runz00_25598);
								VECTOR_SET(BgL_sz00_6145, (int) (((long) 0)), BgL_bpz00_6146);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2905z00_6149)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2905z00_6149), CDR(BgL_val2905z00_6149));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2905z00_6149;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6074> */
	obj_t BGl_zc3exitza36074ze3z83zz__evaluatez00(obj_t BgL_bpz00_26384,
		obj_t BgL_sz00_26383, obj_t BgL_runz00_26382)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2906z00_6154;

			if (SET_EXIT(BgL_an_exit2906z00_6154))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2906z00_6154 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2906z00_6154, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2907z00_6155;

							BgL_val2907z00_6155 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26382,
								BgL_sz00_26383, BgL_bpz00_26384);
							POP_EXIT();
							return BgL_val2907z00_6155;
						}
					}
				}
		}
	}



/* run_7855 */
	obj_t BGl_run_7855z00zz__evaluatez00(obj_t BgL_envz00_25601,
		obj_t BgL_sz00_25605)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25602;

				obj_t BgL_instance2850z00_25603;

				obj_t BgL_bodyz00_25604;

				BgL_iboxesz00_25602 =
					PROCEDURE_REF(BgL_envz00_25601, (int) (((long) 0)));
				BgL_instance2850z00_25603 =
					PROCEDURE_REF(BgL_envz00_25601, (int) (((long) 1)));
				BgL_bodyz00_25604 = PROCEDURE_REF(BgL_envz00_25601, (int) (((long) 2)));
				{
					obj_t BgL_sz00_6157;

					BgL_sz00_6157 = BgL_sz00_25605;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6159;

						BgL_bpz00_6159 = VECTOR_REF(BgL_sz00_6157, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_6157,
							BgL_iboxesz00_25602, BgL_bpz00_6159);
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_6160;

							obj_t BgL_wherez00_6161;

							obj_t BgL_locz00_6162;

							BgL_z12denvz12_6160 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_39516;

								BgL_auxz00_39516 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25603);
								BgL_wherez00_6161 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39516))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_39519;

								BgL_auxz00_39519 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25603);
								BgL_locz00_6162 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39519))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6160, BgL_wherez00_6161,
									BgL_locz00_6162);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_6163;

									BgL_za2za2resza2za2z00_6163 =
										PROCEDURE_ENTRY(BgL_bodyz00_25604) (BgL_bodyz00_25604,
										BgL_sz00_6157, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6160);
									return BgL_za2za2resza2za2z00_6163;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6079> */
	obj_t BGl_zc3anonymousza36079ze3z83zz__evaluatez00(obj_t BgL_envz00_25606,
		obj_t BgL_sz00_25612)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25607;

				obj_t BgL_siza7eza7_25608;

				obj_t BgL_instance2850z00_25609;

				obj_t BgL_bodyz00_25610;

				obj_t BgL_sfz00_25611;

				BgL_iza2za2_25607 = PROCEDURE_REF(BgL_envz00_25606, (int) (((long) 0)));
				BgL_siza7eza7_25608 =
					PROCEDURE_REF(BgL_envz00_25606, (int) (((long) 1)));
				BgL_instance2850z00_25609 =
					PROCEDURE_REF(BgL_envz00_25606, (int) (((long) 2)));
				BgL_bodyz00_25610 = PROCEDURE_REF(BgL_envz00_25606, (int) (((long) 3)));
				BgL_sfz00_25611 = PROCEDURE_REF(BgL_envz00_25606, (int) (((long) 4)));
				{
					obj_t BgL_sz00_6168;

					BgL_sz00_6168 = BgL_sz00_25612;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6170;

						BgL_bpz00_6170 = VECTOR_REF(BgL_sz00_6168, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_6171;

							BgL_valza2za2_6171 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_6168,
								BgL_bpz00_6170, BgL_iza2za2_25607);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24749;

								BgL_runz00_24749 =
									make_fx_procedure(BGl_run_7857z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_24749,
									(int) (((long) 0)), BgL_siza7eza7_25608);
								PROCEDURE_SET(BgL_runz00_24749,
									(int) (((long) 1)), BgL_valza2za2_6171);
								PROCEDURE_SET(BgL_runz00_24749,
									(int) (((long) 2)), BgL_instance2850z00_25609);
								PROCEDURE_SET(BgL_runz00_24749,
									(int) (((long) 3)), BgL_bodyz00_25610);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24750;

									BgL_mainz00_24750 =
										make_va_procedure(BGl_main_7856z00zz__evaluatez00,
										(int) (((long) -2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_24750,
										(int) (((long) 0)), BgL_siza7eza7_25608);
									PROCEDURE_SET(BgL_mainz00_24750,
										(int) (((long) 1)), BgL_valza2za2_6171);
									PROCEDURE_SET(BgL_mainz00_24750,
										(int) (((long) 2)), BgL_instance2850z00_25609);
									PROCEDURE_SET(BgL_mainz00_24750,
										(int) (((long) 3)), BgL_bodyz00_25610);
									PROCEDURE_SET(BgL_mainz00_24750,
										(int) (((long) 4)), BgL_runz00_24749);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21590;

										BgL_objz00_21590 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24749, BgL_objz00_21590);
										BgL_objz00_21590;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6080z00_6174;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21593;

											BgL_newz00_21593 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39566;

												BgL_auxz00_39566 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21593, BgL_auxz00_39566,
													BgL_sfz00_25611);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39569;

												BgL_auxz00_39569 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21593, BgL_auxz00_39569,
													BgL_runz00_24749);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_39574;

												int BgL_auxz00_39572;

												BgL_auxz00_39574 = BINT(((long) -2));
												BgL_auxz00_39572 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21593, BgL_auxz00_39572,
													BgL_auxz00_39574);
											}
											BgL_arg6080z00_6174 = BgL_newz00_21593;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24750, BgL_arg6080z00_6174);
										BgL_arg6080z00_6174;
									}
									return BgL_mainz00_24750;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7856 */
	obj_t BGl_main_7856z00zz__evaluatez00(obj_t BgL_envz00_25613,
		obj_t BgL_dz00_25619, obj_t BgL_lastz00_25620)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25618;

				BgL_runz00_25618 = PROCEDURE_REF(BgL_envz00_25613, (int) (((long) 4)));
				{
					obj_t BgL_dz00_6175;

					obj_t BgL_lastz00_6176;

					BgL_dz00_6175 = BgL_dz00_25619;
					BgL_lastz00_6176 = BgL_lastz00_25620;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6178;

						BgL_sz00_6178 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6179;

							BgL_bpz00_6179 = VECTOR_REF(BgL_sz00_6178, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6082z00_6180;

								BgL_arg6082z00_6180 =
									((long) CINT(BgL_bpz00_6179) + ((long) 0));
								VECTOR_SET(BgL_sz00_6178,
									(int) (BgL_arg6082z00_6180), BgL_dz00_6175);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6083z00_6181;

								BgL_arg6083z00_6181 =
									((long) CINT(BgL_bpz00_6179) + ((long) 1));
								VECTOR_SET(BgL_sz00_6178,
									(int) (BgL_arg6083z00_6181), BgL_lastz00_6176);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2908z00_6182;

								BgL_val2908z00_6182 =
									BGl_zc3exitza36087ze3z83zz__evaluatez00(BgL_bpz00_6179,
									BgL_sz00_6178, BgL_runz00_25618);
								VECTOR_SET(BgL_sz00_6178, (int) (((long) 0)), BgL_bpz00_6179);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2908z00_6182)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2908z00_6182), CDR(BgL_val2908z00_6182));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2908z00_6182;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6087> */
	obj_t BGl_zc3exitza36087ze3z83zz__evaluatez00(obj_t BgL_bpz00_26381,
		obj_t BgL_sz00_26380, obj_t BgL_runz00_26379)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2909z00_6187;

			if (SET_EXIT(BgL_an_exit2909z00_6187))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2909z00_6187 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2909z00_6187, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2910z00_6188;

							BgL_val2910z00_6188 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26379,
								BgL_sz00_26380, BgL_bpz00_26381);
							POP_EXIT();
							return BgL_val2910z00_6188;
						}
					}
				}
		}
	}



/* run_7857 */
	obj_t BGl_run_7857z00zz__evaluatez00(obj_t BgL_envz00_25621,
		obj_t BgL_sz00_25626)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_siza7eza7_25622;

				obj_t BgL_valza2za2_25623;

				obj_t BgL_instance2850z00_25624;

				obj_t BgL_bodyz00_25625;

				BgL_siza7eza7_25622 =
					PROCEDURE_REF(BgL_envz00_25621, (int) (((long) 0)));
				BgL_valza2za2_25623 =
					PROCEDURE_REF(BgL_envz00_25621, (int) (((long) 1)));
				BgL_instance2850z00_25624 =
					PROCEDURE_REF(BgL_envz00_25621, (int) (((long) 2)));
				BgL_bodyz00_25625 = PROCEDURE_REF(BgL_envz00_25621, (int) (((long) 3)));
				{
					obj_t BgL_sz00_6190;

					BgL_sz00_6190 = BgL_sz00_25626;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6192;

						BgL_bpz00_6192 = VECTOR_REF(BgL_sz00_6190, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_6190,
							BgL_valza2za2_25623,
							((long) CINT(BgL_bpz00_6192) + (long) CINT(BgL_siza7eza7_25622)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_6194;

							obj_t BgL_wherez00_6195;

							obj_t BgL_locz00_6196;

							BgL_z12denvz12_6194 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_39619;

								BgL_auxz00_39619 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25624);
								BgL_wherez00_6195 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39619))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_39622;

								BgL_auxz00_39622 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25624);
								BgL_locz00_6196 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39622))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6194, BgL_wherez00_6195,
									BgL_locz00_6196);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_6197;

									BgL_za2za2resza2za2z00_6197 =
										PROCEDURE_ENTRY(BgL_bodyz00_25625) (BgL_bodyz00_25625,
										BgL_sz00_6190, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6194);
									return BgL_za2za2resza2za2z00_6197;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6090> */
	obj_t BGl_zc3anonymousza36090ze3z83zz__evaluatez00(obj_t BgL_envz00_25627,
		obj_t BgL_sz00_25634)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25628;

				obj_t BgL_iboxesz00_25629;

				obj_t BgL_siza7eza7_25630;

				obj_t BgL_instance2850z00_25631;

				obj_t BgL_bodyz00_25632;

				obj_t BgL_sfz00_25633;

				BgL_iza2za2_25628 = PROCEDURE_REF(BgL_envz00_25627, (int) (((long) 0)));
				BgL_iboxesz00_25629 =
					PROCEDURE_REF(BgL_envz00_25627, (int) (((long) 1)));
				BgL_siza7eza7_25630 =
					PROCEDURE_REF(BgL_envz00_25627, (int) (((long) 2)));
				BgL_instance2850z00_25631 =
					PROCEDURE_REF(BgL_envz00_25627, (int) (((long) 3)));
				BgL_bodyz00_25632 = PROCEDURE_REF(BgL_envz00_25627, (int) (((long) 4)));
				BgL_sfz00_25633 = PROCEDURE_REF(BgL_envz00_25627, (int) (((long) 5)));
				{
					obj_t BgL_sz00_6199;

					BgL_sz00_6199 = BgL_sz00_25634;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6201;

						BgL_bpz00_6201 = VECTOR_REF(BgL_sz00_6199, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_6202;

							BgL_valza2za2_6202 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_6199,
								BgL_bpz00_6201, BgL_iza2za2_25628);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24746;

								BgL_runz00_24746 =
									make_fx_procedure(BGl_run_7859z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_24746,
									(int) (((long) 0)), BgL_iboxesz00_25629);
								PROCEDURE_SET(BgL_runz00_24746,
									(int) (((long) 1)), BgL_siza7eza7_25630);
								PROCEDURE_SET(BgL_runz00_24746,
									(int) (((long) 2)), BgL_valza2za2_6202);
								PROCEDURE_SET(BgL_runz00_24746,
									(int) (((long) 3)), BgL_instance2850z00_25631);
								PROCEDURE_SET(BgL_runz00_24746,
									(int) (((long) 4)), BgL_bodyz00_25632);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24747;

									BgL_mainz00_24747 =
										make_va_procedure(BGl_main_7858z00zz__evaluatez00,
										(int) (((long) -2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_24747,
										(int) (((long) 0)), BgL_iboxesz00_25629);
									PROCEDURE_SET(BgL_mainz00_24747,
										(int) (((long) 1)), BgL_siza7eza7_25630);
									PROCEDURE_SET(BgL_mainz00_24747,
										(int) (((long) 2)), BgL_valza2za2_6202);
									PROCEDURE_SET(BgL_mainz00_24747,
										(int) (((long) 3)), BgL_instance2850z00_25631);
									PROCEDURE_SET(BgL_mainz00_24747,
										(int) (((long) 4)), BgL_bodyz00_25632);
									PROCEDURE_SET(BgL_mainz00_24747,
										(int) (((long) 5)), BgL_runz00_24746);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21633;

										BgL_objz00_21633 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24746, BgL_objz00_21633);
										BgL_objz00_21633;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6091z00_6205;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21636;

											BgL_newz00_21636 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39675;

												BgL_auxz00_39675 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21636, BgL_auxz00_39675,
													BgL_sfz00_25633);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39678;

												BgL_auxz00_39678 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21636, BgL_auxz00_39678,
													BgL_runz00_24746);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_39683;

												int BgL_auxz00_39681;

												BgL_auxz00_39683 = BINT(((long) -2));
												BgL_auxz00_39681 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21636, BgL_auxz00_39681,
													BgL_auxz00_39683);
											}
											BgL_arg6091z00_6205 = BgL_newz00_21636;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24747, BgL_arg6091z00_6205);
										BgL_arg6091z00_6205;
									}
									return BgL_mainz00_24747;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7858 */
	obj_t BGl_main_7858z00zz__evaluatez00(obj_t BgL_envz00_25635,
		obj_t BgL_dz00_25642, obj_t BgL_lastz00_25643)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25641;

				BgL_runz00_25641 = PROCEDURE_REF(BgL_envz00_25635, (int) (((long) 5)));
				{
					obj_t BgL_dz00_6206;

					obj_t BgL_lastz00_6207;

					BgL_dz00_6206 = BgL_dz00_25642;
					BgL_lastz00_6207 = BgL_lastz00_25643;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6209;

						BgL_sz00_6209 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6210;

							BgL_bpz00_6210 = VECTOR_REF(BgL_sz00_6209, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6093z00_6211;

								BgL_arg6093z00_6211 =
									((long) CINT(BgL_bpz00_6210) + ((long) 0));
								VECTOR_SET(BgL_sz00_6209,
									(int) (BgL_arg6093z00_6211), BgL_dz00_6206);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6094z00_6212;

								BgL_arg6094z00_6212 =
									((long) CINT(BgL_bpz00_6210) + ((long) 1));
								VECTOR_SET(BgL_sz00_6209,
									(int) (BgL_arg6094z00_6212), BgL_lastz00_6207);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2911z00_6213;

								BgL_val2911z00_6213 =
									BGl_zc3exitza36098ze3z83zz__evaluatez00(BgL_bpz00_6210,
									BgL_sz00_6209, BgL_runz00_25641);
								VECTOR_SET(BgL_sz00_6209, (int) (((long) 0)), BgL_bpz00_6210);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2911z00_6213)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2911z00_6213), CDR(BgL_val2911z00_6213));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2911z00_6213;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6098> */
	obj_t BGl_zc3exitza36098ze3z83zz__evaluatez00(obj_t BgL_bpz00_26378,
		obj_t BgL_sz00_26377, obj_t BgL_runz00_26376)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2912z00_6218;

			if (SET_EXIT(BgL_an_exit2912z00_6218))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2912z00_6218 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2912z00_6218, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2913z00_6219;

							BgL_val2913z00_6219 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26376,
								BgL_sz00_26377, BgL_bpz00_26378);
							POP_EXIT();
							return BgL_val2913z00_6219;
						}
					}
				}
		}
	}



/* run_7859 */
	obj_t BGl_run_7859z00zz__evaluatez00(obj_t BgL_envz00_25644,
		obj_t BgL_sz00_25650)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25645;

				obj_t BgL_siza7eza7_25646;

				obj_t BgL_valza2za2_25647;

				obj_t BgL_instance2850z00_25648;

				obj_t BgL_bodyz00_25649;

				BgL_iboxesz00_25645 =
					PROCEDURE_REF(BgL_envz00_25644, (int) (((long) 0)));
				BgL_siza7eza7_25646 =
					PROCEDURE_REF(BgL_envz00_25644, (int) (((long) 1)));
				BgL_valza2za2_25647 =
					PROCEDURE_REF(BgL_envz00_25644, (int) (((long) 2)));
				BgL_instance2850z00_25648 =
					PROCEDURE_REF(BgL_envz00_25644, (int) (((long) 3)));
				BgL_bodyz00_25649 = PROCEDURE_REF(BgL_envz00_25644, (int) (((long) 4)));
				{
					obj_t BgL_sz00_6221;

					BgL_sz00_6221 = BgL_sz00_25650;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6223;

						BgL_bpz00_6223 = VECTOR_REF(BgL_sz00_6221, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_6221,
							BgL_iboxesz00_25645, BgL_bpz00_6223);
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_6221,
							BgL_valza2za2_25647,
							((long) CINT(BgL_bpz00_6223) + (long) CINT(BgL_siza7eza7_25646)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_6225;

							obj_t BgL_wherez00_6226;

							obj_t BgL_locz00_6227;

							BgL_z12denvz12_6225 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_39731;

								BgL_auxz00_39731 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25648);
								BgL_wherez00_6226 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39731))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_39734;

								BgL_auxz00_39734 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25648);
								BgL_locz00_6227 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39734))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6225, BgL_wherez00_6226,
									BgL_locz00_6227);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_6228;

									BgL_za2za2resza2za2z00_6228 =
										PROCEDURE_ENTRY(BgL_bodyz00_25649) (BgL_bodyz00_25649,
										BgL_sz00_6221, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6225);
									return BgL_za2za2resza2za2z00_6228;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6009> */
	obj_t BGl_zc3anonymousza36009ze3z83zz__evaluatez00(obj_t BgL_envz00_25651,
		obj_t BgL_sz00_25655)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25652;

				obj_t BgL_bodyz00_25653;

				obj_t BgL_sfz00_25654;

				BgL_instance2850z00_25652 =
					PROCEDURE_REF(BgL_envz00_25651, (int) (((long) 0)));
				BgL_bodyz00_25653 = PROCEDURE_REF(BgL_envz00_25651, (int) (((long) 1)));
				BgL_sfz00_25654 = PROCEDURE_REF(BgL_envz00_25651, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5986;

					BgL_sz00_5986 = BgL_sz00_25655;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5988;

						BgL_bpz00_5988 = VECTOR_REF(BgL_sz00_5986, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24743;

								BgL_runz00_24743 =
									make_fx_procedure(BGl_run_7861z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_24743,
									(int) (((long) 0)), BgL_instance2850z00_25652);
								PROCEDURE_SET(BgL_runz00_24743,
									(int) (((long) 1)), BgL_bodyz00_25653);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24744;

									BgL_mainz00_24744 =
										make_fx_procedure(BGl_main_7860z00zz__evaluatez00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_mainz00_24744,
										(int) (((long) 0)), BgL_instance2850z00_25652);
									PROCEDURE_SET(BgL_mainz00_24744,
										(int) (((long) 1)), BgL_bodyz00_25653);
									PROCEDURE_SET(BgL_mainz00_24744,
										(int) (((long) 2)), BgL_runz00_24743);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21348;

										BgL_objz00_21348 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24743, BgL_objz00_21348);
										BgL_objz00_21348;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6010z00_5991;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21351;

											BgL_newz00_21351 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39768;

												BgL_auxz00_39768 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21351, BgL_auxz00_39768,
													BgL_sfz00_25654);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39771;

												BgL_auxz00_39771 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21351, BgL_auxz00_39771,
													BgL_runz00_24743);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_39776;

												int BgL_auxz00_39774;

												BgL_auxz00_39776 = BINT(((long) 1));
												BgL_auxz00_39774 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21351, BgL_auxz00_39774,
													BgL_auxz00_39776);
											}
											BgL_arg6010z00_5991 = BgL_newz00_21351;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24744, BgL_arg6010z00_5991);
										BgL_arg6010z00_5991;
									}
									return BgL_mainz00_24744;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7860 */
	obj_t BGl_main_7860z00zz__evaluatez00(obj_t BgL_envz00_25656,
		obj_t BgL_dz00_25660)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25659;

				BgL_runz00_25659 = PROCEDURE_REF(BgL_envz00_25656, (int) (((long) 2)));
				{
					obj_t BgL_dz00_5992;

					BgL_dz00_5992 = BgL_dz00_25660;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_5994;

						BgL_sz00_5994 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_5995;

							BgL_bpz00_5995 = VECTOR_REF(BgL_sz00_5994, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6012z00_5996;

								BgL_arg6012z00_5996 =
									((long) CINT(BgL_bpz00_5995) + ((long) 0));
								VECTOR_SET(BgL_sz00_5994,
									(int) (BgL_arg6012z00_5996), BgL_dz00_5992);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2890z00_5997;

								BgL_val2890z00_5997 =
									BGl_zc3exitza36016ze3z83zz__evaluatez00(BgL_bpz00_5995,
									BgL_sz00_5994, BgL_runz00_25659);
								VECTOR_SET(BgL_sz00_5994, (int) (((long) 0)), BgL_bpz00_5995);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2890z00_5997)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2890z00_5997), CDR(BgL_val2890z00_5997));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2890z00_5997;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6016> */
	obj_t BGl_zc3exitza36016ze3z83zz__evaluatez00(obj_t BgL_bpz00_26375,
		obj_t BgL_sz00_26374, obj_t BgL_runz00_26373)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2891z00_6002;

			if (SET_EXIT(BgL_an_exit2891z00_6002))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2891z00_6002 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2891z00_6002, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2892z00_6003;

							BgL_val2892z00_6003 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26373,
								BgL_sz00_26374, BgL_bpz00_26375);
							POP_EXIT();
							return BgL_val2892z00_6003;
						}
					}
				}
		}
	}



/* run_7861 */
	obj_t BGl_run_7861z00zz__evaluatez00(obj_t BgL_envz00_25661,
		obj_t BgL_sz00_25664)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25662;

				obj_t BgL_bodyz00_25663;

				BgL_instance2850z00_25662 =
					PROCEDURE_REF(BgL_envz00_25661, (int) (((long) 0)));
				BgL_bodyz00_25663 = PROCEDURE_REF(BgL_envz00_25661, (int) (((long) 1)));
				{
					obj_t BgL_sz00_6005;

					BgL_sz00_6005 = BgL_sz00_25664;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6007;

						BgL_bpz00_6007 = VECTOR_REF(BgL_sz00_6005, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_6008;

							obj_t BgL_wherez00_6009;

							obj_t BgL_locz00_6010;

							BgL_z12denvz12_6008 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_39809;

								BgL_auxz00_39809 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25662);
								BgL_wherez00_6009 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39809))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_39812;

								BgL_auxz00_39812 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25662);
								BgL_locz00_6010 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39812))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6008, BgL_wherez00_6009,
									BgL_locz00_6010);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_6011;

									BgL_za2za2resza2za2z00_6011 =
										PROCEDURE_ENTRY(BgL_bodyz00_25663) (BgL_bodyz00_25663,
										BgL_sz00_6005, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6008);
									return BgL_za2za2resza2za2z00_6011;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6018> */
	obj_t BGl_zc3anonymousza36018ze3z83zz__evaluatez00(obj_t BgL_envz00_25665,
		obj_t BgL_sz00_25670)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25666;

				obj_t BgL_instance2850z00_25667;

				obj_t BgL_bodyz00_25668;

				obj_t BgL_sfz00_25669;

				BgL_iboxesz00_25666 =
					PROCEDURE_REF(BgL_envz00_25665, (int) (((long) 0)));
				BgL_instance2850z00_25667 =
					PROCEDURE_REF(BgL_envz00_25665, (int) (((long) 1)));
				BgL_bodyz00_25668 = PROCEDURE_REF(BgL_envz00_25665, (int) (((long) 2)));
				BgL_sfz00_25669 = PROCEDURE_REF(BgL_envz00_25665, (int) (((long) 3)));
				{
					obj_t BgL_sz00_6013;

					BgL_sz00_6013 = BgL_sz00_25670;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6015;

						BgL_bpz00_6015 = VECTOR_REF(BgL_sz00_6013, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24740;

								BgL_runz00_24740 =
									make_fx_procedure(BGl_run_7863z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_24740,
									(int) (((long) 0)), BgL_iboxesz00_25666);
								PROCEDURE_SET(BgL_runz00_24740,
									(int) (((long) 1)), BgL_instance2850z00_25667);
								PROCEDURE_SET(BgL_runz00_24740,
									(int) (((long) 2)), BgL_bodyz00_25668);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24741;

									BgL_mainz00_24741 =
										make_fx_procedure(BGl_main_7862z00zz__evaluatez00,
										(int) (((long) 1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_24741,
										(int) (((long) 0)), BgL_iboxesz00_25666);
									PROCEDURE_SET(BgL_mainz00_24741,
										(int) (((long) 1)), BgL_instance2850z00_25667);
									PROCEDURE_SET(BgL_mainz00_24741,
										(int) (((long) 2)), BgL_bodyz00_25668);
									PROCEDURE_SET(BgL_mainz00_24741,
										(int) (((long) 3)), BgL_runz00_24740);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21384;

										BgL_objz00_21384 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24740, BgL_objz00_21384);
										BgL_objz00_21384;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6019z00_6018;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21387;

											BgL_newz00_21387 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39852;

												BgL_auxz00_39852 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21387, BgL_auxz00_39852,
													BgL_sfz00_25669);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39855;

												BgL_auxz00_39855 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21387, BgL_auxz00_39855,
													BgL_runz00_24740);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_39860;

												int BgL_auxz00_39858;

												BgL_auxz00_39860 = BINT(((long) 1));
												BgL_auxz00_39858 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21387, BgL_auxz00_39858,
													BgL_auxz00_39860);
											}
											BgL_arg6019z00_6018 = BgL_newz00_21387;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24741, BgL_arg6019z00_6018);
										BgL_arg6019z00_6018;
									}
									return BgL_mainz00_24741;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7862 */
	obj_t BGl_main_7862z00zz__evaluatez00(obj_t BgL_envz00_25671,
		obj_t BgL_dz00_25676)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25675;

				BgL_runz00_25675 = PROCEDURE_REF(BgL_envz00_25671, (int) (((long) 3)));
				{
					obj_t BgL_dz00_6019;

					BgL_dz00_6019 = BgL_dz00_25676;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6021;

						BgL_sz00_6021 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6022;

							BgL_bpz00_6022 = VECTOR_REF(BgL_sz00_6021, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6021z00_6023;

								BgL_arg6021z00_6023 =
									((long) CINT(BgL_bpz00_6022) + ((long) 0));
								VECTOR_SET(BgL_sz00_6021,
									(int) (BgL_arg6021z00_6023), BgL_dz00_6019);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2893z00_6024;

								BgL_val2893z00_6024 =
									BGl_zc3exitza36025ze3z83zz__evaluatez00(BgL_bpz00_6022,
									BgL_sz00_6021, BgL_runz00_25675);
								VECTOR_SET(BgL_sz00_6021, (int) (((long) 0)), BgL_bpz00_6022);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2893z00_6024)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2893z00_6024), CDR(BgL_val2893z00_6024));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2893z00_6024;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6025> */
	obj_t BGl_zc3exitza36025ze3z83zz__evaluatez00(obj_t BgL_bpz00_26372,
		obj_t BgL_sz00_26371, obj_t BgL_runz00_26370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2894z00_6029;

			if (SET_EXIT(BgL_an_exit2894z00_6029))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2894z00_6029 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2894z00_6029, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2895z00_6030;

							BgL_val2895z00_6030 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26370,
								BgL_sz00_26371, BgL_bpz00_26372);
							POP_EXIT();
							return BgL_val2895z00_6030;
						}
					}
				}
		}
	}



/* run_7863 */
	obj_t BGl_run_7863z00zz__evaluatez00(obj_t BgL_envz00_25677,
		obj_t BgL_sz00_25681)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25678;

				obj_t BgL_instance2850z00_25679;

				obj_t BgL_bodyz00_25680;

				BgL_iboxesz00_25678 =
					PROCEDURE_REF(BgL_envz00_25677, (int) (((long) 0)));
				BgL_instance2850z00_25679 =
					PROCEDURE_REF(BgL_envz00_25677, (int) (((long) 1)));
				BgL_bodyz00_25680 = PROCEDURE_REF(BgL_envz00_25677, (int) (((long) 2)));
				{
					obj_t BgL_sz00_6032;

					BgL_sz00_6032 = BgL_sz00_25681;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6034;

						BgL_bpz00_6034 = VECTOR_REF(BgL_sz00_6032, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_6032,
							BgL_iboxesz00_25678, BgL_bpz00_6034);
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_6035;

							obj_t BgL_wherez00_6036;

							obj_t BgL_locz00_6037;

							BgL_z12denvz12_6035 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_39896;

								BgL_auxz00_39896 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25679);
								BgL_wherez00_6036 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39896))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_39899;

								BgL_auxz00_39899 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25679);
								BgL_locz00_6037 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39899))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6035, BgL_wherez00_6036,
									BgL_locz00_6037);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_6038;

									BgL_za2za2resza2za2z00_6038 =
										PROCEDURE_ENTRY(BgL_bodyz00_25680) (BgL_bodyz00_25680,
										BgL_sz00_6032, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6035);
									return BgL_za2za2resza2za2z00_6038;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6030> */
	obj_t BGl_zc3anonymousza36030ze3z83zz__evaluatez00(obj_t BgL_envz00_25682,
		obj_t BgL_sz00_25688)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25683;

				obj_t BgL_siza7eza7_25684;

				obj_t BgL_instance2850z00_25685;

				obj_t BgL_bodyz00_25686;

				obj_t BgL_sfz00_25687;

				BgL_iza2za2_25683 = PROCEDURE_REF(BgL_envz00_25682, (int) (((long) 0)));
				BgL_siza7eza7_25684 =
					PROCEDURE_REF(BgL_envz00_25682, (int) (((long) 1)));
				BgL_instance2850z00_25685 =
					PROCEDURE_REF(BgL_envz00_25682, (int) (((long) 2)));
				BgL_bodyz00_25686 = PROCEDURE_REF(BgL_envz00_25682, (int) (((long) 3)));
				BgL_sfz00_25687 = PROCEDURE_REF(BgL_envz00_25682, (int) (((long) 4)));
				{
					obj_t BgL_sz00_6043;

					BgL_sz00_6043 = BgL_sz00_25688;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6045;

						BgL_bpz00_6045 = VECTOR_REF(BgL_sz00_6043, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_6046;

							BgL_valza2za2_6046 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_6043,
								BgL_bpz00_6045, BgL_iza2za2_25683);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24737;

								BgL_runz00_24737 =
									make_fx_procedure(BGl_run_7865z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_24737,
									(int) (((long) 0)), BgL_siza7eza7_25684);
								PROCEDURE_SET(BgL_runz00_24737,
									(int) (((long) 1)), BgL_valza2za2_6046);
								PROCEDURE_SET(BgL_runz00_24737,
									(int) (((long) 2)), BgL_instance2850z00_25685);
								PROCEDURE_SET(BgL_runz00_24737,
									(int) (((long) 3)), BgL_bodyz00_25686);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24738;

									BgL_mainz00_24738 =
										make_fx_procedure(BGl_main_7864z00zz__evaluatez00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_24738,
										(int) (((long) 0)), BgL_siza7eza7_25684);
									PROCEDURE_SET(BgL_mainz00_24738,
										(int) (((long) 1)), BgL_valza2za2_6046);
									PROCEDURE_SET(BgL_mainz00_24738,
										(int) (((long) 2)), BgL_instance2850z00_25685);
									PROCEDURE_SET(BgL_mainz00_24738,
										(int) (((long) 3)), BgL_bodyz00_25686);
									PROCEDURE_SET(BgL_mainz00_24738,
										(int) (((long) 4)), BgL_runz00_24737);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21423;

										BgL_objz00_21423 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24737, BgL_objz00_21423);
										BgL_objz00_21423;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6031z00_6049;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21426;

											BgL_newz00_21426 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39946;

												BgL_auxz00_39946 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21426, BgL_auxz00_39946,
													BgL_sfz00_25687);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_39949;

												BgL_auxz00_39949 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21426, BgL_auxz00_39949,
													BgL_runz00_24737);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_39954;

												int BgL_auxz00_39952;

												BgL_auxz00_39954 = BINT(((long) 1));
												BgL_auxz00_39952 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21426, BgL_auxz00_39952,
													BgL_auxz00_39954);
											}
											BgL_arg6031z00_6049 = BgL_newz00_21426;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24738, BgL_arg6031z00_6049);
										BgL_arg6031z00_6049;
									}
									return BgL_mainz00_24738;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7864 */
	obj_t BGl_main_7864z00zz__evaluatez00(obj_t BgL_envz00_25689,
		obj_t BgL_dz00_25695)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25694;

				BgL_runz00_25694 = PROCEDURE_REF(BgL_envz00_25689, (int) (((long) 4)));
				{
					obj_t BgL_dz00_6050;

					BgL_dz00_6050 = BgL_dz00_25695;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6052;

						BgL_sz00_6052 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6053;

							BgL_bpz00_6053 = VECTOR_REF(BgL_sz00_6052, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6033z00_6054;

								BgL_arg6033z00_6054 =
									((long) CINT(BgL_bpz00_6053) + ((long) 0));
								VECTOR_SET(BgL_sz00_6052,
									(int) (BgL_arg6033z00_6054), BgL_dz00_6050);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2896z00_6055;

								BgL_val2896z00_6055 =
									BGl_zc3exitza36037ze3z83zz__evaluatez00(BgL_bpz00_6053,
									BgL_sz00_6052, BgL_runz00_25694);
								VECTOR_SET(BgL_sz00_6052, (int) (((long) 0)), BgL_bpz00_6053);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2896z00_6055)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2896z00_6055), CDR(BgL_val2896z00_6055));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2896z00_6055;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6037> */
	obj_t BGl_zc3exitza36037ze3z83zz__evaluatez00(obj_t BgL_bpz00_26369,
		obj_t BgL_sz00_26368, obj_t BgL_runz00_26367)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2897z00_6060;

			if (SET_EXIT(BgL_an_exit2897z00_6060))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2897z00_6060 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2897z00_6060, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2898z00_6061;

							BgL_val2898z00_6061 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26367,
								BgL_sz00_26368, BgL_bpz00_26369);
							POP_EXIT();
							return BgL_val2898z00_6061;
						}
					}
				}
		}
	}



/* run_7865 */
	obj_t BGl_run_7865z00zz__evaluatez00(obj_t BgL_envz00_25696,
		obj_t BgL_sz00_25701)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_siza7eza7_25697;

				obj_t BgL_valza2za2_25698;

				obj_t BgL_instance2850z00_25699;

				obj_t BgL_bodyz00_25700;

				BgL_siza7eza7_25697 =
					PROCEDURE_REF(BgL_envz00_25696, (int) (((long) 0)));
				BgL_valza2za2_25698 =
					PROCEDURE_REF(BgL_envz00_25696, (int) (((long) 1)));
				BgL_instance2850z00_25699 =
					PROCEDURE_REF(BgL_envz00_25696, (int) (((long) 2)));
				BgL_bodyz00_25700 = PROCEDURE_REF(BgL_envz00_25696, (int) (((long) 3)));
				{
					obj_t BgL_sz00_6063;

					BgL_sz00_6063 = BgL_sz00_25701;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6065;

						BgL_bpz00_6065 = VECTOR_REF(BgL_sz00_6063, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_6063,
							BgL_valza2za2_25698,
							((long) CINT(BgL_bpz00_6065) + (long) CINT(BgL_siza7eza7_25697)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_6067;

							obj_t BgL_wherez00_6068;

							obj_t BgL_locz00_6069;

							BgL_z12denvz12_6067 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_39995;

								BgL_auxz00_39995 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25699);
								BgL_wherez00_6068 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39995))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_39998;

								BgL_auxz00_39998 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25699);
								BgL_locz00_6069 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_39998))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6067, BgL_wherez00_6068,
									BgL_locz00_6069);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_6070;

									BgL_za2za2resza2za2z00_6070 =
										PROCEDURE_ENTRY(BgL_bodyz00_25700) (BgL_bodyz00_25700,
										BgL_sz00_6063, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6067);
									return BgL_za2za2resza2za2z00_6070;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6040> */
	obj_t BGl_zc3anonymousza36040ze3z83zz__evaluatez00(obj_t BgL_envz00_25702,
		obj_t BgL_sz00_25709)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25703;

				obj_t BgL_iboxesz00_25704;

				obj_t BgL_siza7eza7_25705;

				obj_t BgL_instance2850z00_25706;

				obj_t BgL_bodyz00_25707;

				obj_t BgL_sfz00_25708;

				BgL_iza2za2_25703 = PROCEDURE_REF(BgL_envz00_25702, (int) (((long) 0)));
				BgL_iboxesz00_25704 =
					PROCEDURE_REF(BgL_envz00_25702, (int) (((long) 1)));
				BgL_siza7eza7_25705 =
					PROCEDURE_REF(BgL_envz00_25702, (int) (((long) 2)));
				BgL_instance2850z00_25706 =
					PROCEDURE_REF(BgL_envz00_25702, (int) (((long) 3)));
				BgL_bodyz00_25707 = PROCEDURE_REF(BgL_envz00_25702, (int) (((long) 4)));
				BgL_sfz00_25708 = PROCEDURE_REF(BgL_envz00_25702, (int) (((long) 5)));
				{
					obj_t BgL_sz00_6072;

					BgL_sz00_6072 = BgL_sz00_25709;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6074;

						BgL_bpz00_6074 = VECTOR_REF(BgL_sz00_6072, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_6075;

							BgL_valza2za2_6075 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_6072,
								BgL_bpz00_6074, BgL_iza2za2_25703);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24734;

								BgL_runz00_24734 =
									make_fx_procedure(BGl_run_7867z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_24734,
									(int) (((long) 0)), BgL_iboxesz00_25704);
								PROCEDURE_SET(BgL_runz00_24734,
									(int) (((long) 1)), BgL_siza7eza7_25705);
								PROCEDURE_SET(BgL_runz00_24734,
									(int) (((long) 2)), BgL_valza2za2_6075);
								PROCEDURE_SET(BgL_runz00_24734,
									(int) (((long) 3)), BgL_instance2850z00_25706);
								PROCEDURE_SET(BgL_runz00_24734,
									(int) (((long) 4)), BgL_bodyz00_25707);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24735;

									BgL_mainz00_24735 =
										make_fx_procedure(BGl_main_7866z00zz__evaluatez00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_24735,
										(int) (((long) 0)), BgL_iboxesz00_25704);
									PROCEDURE_SET(BgL_mainz00_24735,
										(int) (((long) 1)), BgL_siza7eza7_25705);
									PROCEDURE_SET(BgL_mainz00_24735,
										(int) (((long) 2)), BgL_valza2za2_6075);
									PROCEDURE_SET(BgL_mainz00_24735,
										(int) (((long) 3)), BgL_instance2850z00_25706);
									PROCEDURE_SET(BgL_mainz00_24735,
										(int) (((long) 4)), BgL_bodyz00_25707);
									PROCEDURE_SET(BgL_mainz00_24735,
										(int) (((long) 5)), BgL_runz00_24734);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21461;

										BgL_objz00_21461 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24734, BgL_objz00_21461);
										BgL_objz00_21461;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6041z00_6078;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21464;

											BgL_newz00_21464 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40051;

												BgL_auxz00_40051 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21464, BgL_auxz00_40051,
													BgL_sfz00_25708);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40054;

												BgL_auxz00_40054 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21464, BgL_auxz00_40054,
													BgL_runz00_24734);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_40059;

												int BgL_auxz00_40057;

												BgL_auxz00_40059 = BINT(((long) 1));
												BgL_auxz00_40057 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21464, BgL_auxz00_40057,
													BgL_auxz00_40059);
											}
											BgL_arg6041z00_6078 = BgL_newz00_21464;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24735, BgL_arg6041z00_6078);
										BgL_arg6041z00_6078;
									}
									return BgL_mainz00_24735;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7866 */
	obj_t BGl_main_7866z00zz__evaluatez00(obj_t BgL_envz00_25710,
		obj_t BgL_dz00_25717)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25716;

				BgL_runz00_25716 = PROCEDURE_REF(BgL_envz00_25710, (int) (((long) 5)));
				{
					obj_t BgL_dz00_6079;

					BgL_dz00_6079 = BgL_dz00_25717;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_6081;

						BgL_sz00_6081 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_6082;

							BgL_bpz00_6082 = VECTOR_REF(BgL_sz00_6081, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6043z00_6083;

								BgL_arg6043z00_6083 =
									((long) CINT(BgL_bpz00_6082) + ((long) 0));
								VECTOR_SET(BgL_sz00_6081,
									(int) (BgL_arg6043z00_6083), BgL_dz00_6079);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2899z00_6084;

								BgL_val2899z00_6084 =
									BGl_zc3exitza36047ze3z83zz__evaluatez00(BgL_bpz00_6082,
									BgL_sz00_6081, BgL_runz00_25716);
								VECTOR_SET(BgL_sz00_6081, (int) (((long) 0)), BgL_bpz00_6082);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2899z00_6084)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2899z00_6084), CDR(BgL_val2899z00_6084));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2899z00_6084;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6047> */
	obj_t BGl_zc3exitza36047ze3z83zz__evaluatez00(obj_t BgL_bpz00_26366,
		obj_t BgL_sz00_26365, obj_t BgL_runz00_26364)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2900z00_6089;

			if (SET_EXIT(BgL_an_exit2900z00_6089))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2900z00_6089 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2900z00_6089, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2901z00_6090;

							BgL_val2901z00_6090 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26364,
								BgL_sz00_26365, BgL_bpz00_26366);
							POP_EXIT();
							return BgL_val2901z00_6090;
						}
					}
				}
		}
	}



/* run_7867 */
	obj_t BGl_run_7867z00zz__evaluatez00(obj_t BgL_envz00_25718,
		obj_t BgL_sz00_25724)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25719;

				obj_t BgL_siza7eza7_25720;

				obj_t BgL_valza2za2_25721;

				obj_t BgL_instance2850z00_25722;

				obj_t BgL_bodyz00_25723;

				BgL_iboxesz00_25719 =
					PROCEDURE_REF(BgL_envz00_25718, (int) (((long) 0)));
				BgL_siza7eza7_25720 =
					PROCEDURE_REF(BgL_envz00_25718, (int) (((long) 1)));
				BgL_valza2za2_25721 =
					PROCEDURE_REF(BgL_envz00_25718, (int) (((long) 2)));
				BgL_instance2850z00_25722 =
					PROCEDURE_REF(BgL_envz00_25718, (int) (((long) 3)));
				BgL_bodyz00_25723 = PROCEDURE_REF(BgL_envz00_25718, (int) (((long) 4)));
				{
					obj_t BgL_sz00_6092;

					BgL_sz00_6092 = BgL_sz00_25724;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_6094;

						BgL_bpz00_6094 = VECTOR_REF(BgL_sz00_6092, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_6092,
							BgL_iboxesz00_25719, BgL_bpz00_6094);
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_6092,
							BgL_valza2za2_25721,
							((long) CINT(BgL_bpz00_6094) + (long) CINT(BgL_siza7eza7_25720)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_6096;

							obj_t BgL_wherez00_6097;

							obj_t BgL_locz00_6098;

							BgL_z12denvz12_6096 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_40103;

								BgL_auxz00_40103 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25722);
								BgL_wherez00_6097 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40103))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_40106;

								BgL_auxz00_40106 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25722);
								BgL_locz00_6098 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40106))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_6096, BgL_wherez00_6097,
									BgL_locz00_6098);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_6099;

									BgL_za2za2resza2za2z00_6099 =
										PROCEDURE_ENTRY(BgL_bodyz00_25723) (BgL_bodyz00_25723,
										BgL_sz00_6092, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_6096);
									return BgL_za2za2resza2za2z00_6099;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:5962> */
	obj_t BGl_zc3anonymousza35962ze3z83zz__evaluatez00(obj_t BgL_envz00_25725,
		obj_t BgL_sz00_25729)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25726;

				obj_t BgL_bodyz00_25727;

				obj_t BgL_sfz00_25728;

				BgL_instance2850z00_25726 =
					PROCEDURE_REF(BgL_envz00_25725, (int) (((long) 0)));
				BgL_bodyz00_25727 = PROCEDURE_REF(BgL_envz00_25725, (int) (((long) 1)));
				BgL_sfz00_25728 = PROCEDURE_REF(BgL_envz00_25725, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5865;

					BgL_sz00_5865 = BgL_sz00_25729;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5867;

						BgL_bpz00_5867 = VECTOR_REF(BgL_sz00_5865, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24731;

								BgL_runz00_24731 =
									make_fx_procedure(BGl_run_7869z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_24731,
									(int) (((long) 0)), BgL_instance2850z00_25726);
								PROCEDURE_SET(BgL_runz00_24731,
									(int) (((long) 1)), BgL_bodyz00_25727);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24732;

									BgL_mainz00_24732 =
										make_va_procedure(BGl_main_7868z00zz__evaluatez00,
										(int) (((long) -1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_mainz00_24732,
										(int) (((long) 0)), BgL_instance2850z00_25726);
									PROCEDURE_SET(BgL_mainz00_24732,
										(int) (((long) 1)), BgL_bodyz00_25727);
									PROCEDURE_SET(BgL_mainz00_24732,
										(int) (((long) 2)), BgL_runz00_24731);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21191;

										BgL_objz00_21191 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24731, BgL_objz00_21191);
										BgL_objz00_21191;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg5963z00_5870;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21194;

											BgL_newz00_21194 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40140;

												BgL_auxz00_40140 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21194, BgL_auxz00_40140,
													BgL_sfz00_25728);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40143;

												BgL_auxz00_40143 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21194, BgL_auxz00_40143,
													BgL_runz00_24731);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_40148;

												int BgL_auxz00_40146;

												BgL_auxz00_40148 = BINT(((long) -1));
												BgL_auxz00_40146 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21194, BgL_auxz00_40146,
													BgL_auxz00_40148);
											}
											BgL_arg5963z00_5870 = BgL_newz00_21194;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24732, BgL_arg5963z00_5870);
										BgL_arg5963z00_5870;
									}
									return BgL_mainz00_24732;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7868 */
	obj_t BGl_main_7868z00zz__evaluatez00(obj_t BgL_envz00_25730,
		obj_t BgL_lastz00_25734)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25733;

				BgL_runz00_25733 = PROCEDURE_REF(BgL_envz00_25730, (int) (((long) 2)));
				{
					obj_t BgL_lastz00_5871;

					BgL_lastz00_5871 = BgL_lastz00_25734;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_5873;

						BgL_sz00_5873 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_5874;

							BgL_bpz00_5874 = VECTOR_REF(BgL_sz00_5873, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg5965z00_5875;

								BgL_arg5965z00_5875 =
									((long) CINT(BgL_bpz00_5874) + ((long) 0));
								VECTOR_SET(BgL_sz00_5873,
									(int) (BgL_arg5965z00_5875), BgL_lastz00_5871);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2878z00_5876;

								BgL_val2878z00_5876 =
									BGl_zc3exitza35969ze3z83zz__evaluatez00(BgL_bpz00_5874,
									BgL_sz00_5873, BgL_runz00_25733);
								VECTOR_SET(BgL_sz00_5873, (int) (((long) 0)), BgL_bpz00_5874);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2878z00_5876)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2878z00_5876), CDR(BgL_val2878z00_5876));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2878z00_5876;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5969> */
	obj_t BGl_zc3exitza35969ze3z83zz__evaluatez00(obj_t BgL_bpz00_26363,
		obj_t BgL_sz00_26362, obj_t BgL_runz00_26361)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2879z00_5881;

			if (SET_EXIT(BgL_an_exit2879z00_5881))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2879z00_5881 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2879z00_5881, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2880z00_5882;

							BgL_val2880z00_5882 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26361,
								BgL_sz00_26362, BgL_bpz00_26363);
							POP_EXIT();
							return BgL_val2880z00_5882;
						}
					}
				}
		}
	}



/* run_7869 */
	obj_t BGl_run_7869z00zz__evaluatez00(obj_t BgL_envz00_25735,
		obj_t BgL_sz00_25738)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25736;

				obj_t BgL_bodyz00_25737;

				BgL_instance2850z00_25736 =
					PROCEDURE_REF(BgL_envz00_25735, (int) (((long) 0)));
				BgL_bodyz00_25737 = PROCEDURE_REF(BgL_envz00_25735, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5884;

					BgL_sz00_5884 = BgL_sz00_25738;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5886;

						BgL_bpz00_5886 = VECTOR_REF(BgL_sz00_5884, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_5887;

							obj_t BgL_wherez00_5888;

							obj_t BgL_locz00_5889;

							BgL_z12denvz12_5887 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_40181;

								BgL_auxz00_40181 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25736);
								BgL_wherez00_5888 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40181))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_40184;

								BgL_auxz00_40184 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25736);
								BgL_locz00_5889 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40184))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5887, BgL_wherez00_5888,
									BgL_locz00_5889);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_5890;

									BgL_za2za2resza2za2z00_5890 =
										PROCEDURE_ENTRY(BgL_bodyz00_25737) (BgL_bodyz00_25737,
										BgL_sz00_5884, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5887);
									return BgL_za2za2resza2za2z00_5890;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:5971> */
	obj_t BGl_zc3anonymousza35971ze3z83zz__evaluatez00(obj_t BgL_envz00_25739,
		obj_t BgL_sz00_25744)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25740;

				obj_t BgL_instance2850z00_25741;

				obj_t BgL_bodyz00_25742;

				obj_t BgL_sfz00_25743;

				BgL_iboxesz00_25740 =
					PROCEDURE_REF(BgL_envz00_25739, (int) (((long) 0)));
				BgL_instance2850z00_25741 =
					PROCEDURE_REF(BgL_envz00_25739, (int) (((long) 1)));
				BgL_bodyz00_25742 = PROCEDURE_REF(BgL_envz00_25739, (int) (((long) 2)));
				BgL_sfz00_25743 = PROCEDURE_REF(BgL_envz00_25739, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5892;

					BgL_sz00_5892 = BgL_sz00_25744;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5894;

						BgL_bpz00_5894 = VECTOR_REF(BgL_sz00_5892, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24728;

								BgL_runz00_24728 =
									make_fx_procedure(BGl_run_7871z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_24728,
									(int) (((long) 0)), BgL_iboxesz00_25740);
								PROCEDURE_SET(BgL_runz00_24728,
									(int) (((long) 1)), BgL_instance2850z00_25741);
								PROCEDURE_SET(BgL_runz00_24728,
									(int) (((long) 2)), BgL_bodyz00_25742);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24729;

									BgL_mainz00_24729 =
										make_va_procedure(BGl_main_7870z00zz__evaluatez00,
										(int) (((long) -1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_24729,
										(int) (((long) 0)), BgL_iboxesz00_25740);
									PROCEDURE_SET(BgL_mainz00_24729,
										(int) (((long) 1)), BgL_instance2850z00_25741);
									PROCEDURE_SET(BgL_mainz00_24729,
										(int) (((long) 2)), BgL_bodyz00_25742);
									PROCEDURE_SET(BgL_mainz00_24729,
										(int) (((long) 3)), BgL_runz00_24728);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21227;

										BgL_objz00_21227 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24728, BgL_objz00_21227);
										BgL_objz00_21227;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg5972z00_5897;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21230;

											BgL_newz00_21230 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40224;

												BgL_auxz00_40224 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21230, BgL_auxz00_40224,
													BgL_sfz00_25743);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40227;

												BgL_auxz00_40227 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21230, BgL_auxz00_40227,
													BgL_runz00_24728);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_40232;

												int BgL_auxz00_40230;

												BgL_auxz00_40232 = BINT(((long) -1));
												BgL_auxz00_40230 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21230, BgL_auxz00_40230,
													BgL_auxz00_40232);
											}
											BgL_arg5972z00_5897 = BgL_newz00_21230;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24729, BgL_arg5972z00_5897);
										BgL_arg5972z00_5897;
									}
									return BgL_mainz00_24729;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7870 */
	obj_t BGl_main_7870z00zz__evaluatez00(obj_t BgL_envz00_25745,
		obj_t BgL_lastz00_25750)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25749;

				BgL_runz00_25749 = PROCEDURE_REF(BgL_envz00_25745, (int) (((long) 3)));
				{
					obj_t BgL_lastz00_5898;

					BgL_lastz00_5898 = BgL_lastz00_25750;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_5900;

						BgL_sz00_5900 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_5901;

							BgL_bpz00_5901 = VECTOR_REF(BgL_sz00_5900, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg5974z00_5902;

								BgL_arg5974z00_5902 =
									((long) CINT(BgL_bpz00_5901) + ((long) 0));
								VECTOR_SET(BgL_sz00_5900,
									(int) (BgL_arg5974z00_5902), BgL_lastz00_5898);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2881z00_5903;

								BgL_val2881z00_5903 =
									BGl_zc3exitza35978ze3z83zz__evaluatez00(BgL_bpz00_5901,
									BgL_sz00_5900, BgL_runz00_25749);
								VECTOR_SET(BgL_sz00_5900, (int) (((long) 0)), BgL_bpz00_5901);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2881z00_5903)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2881z00_5903), CDR(BgL_val2881z00_5903));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2881z00_5903;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5978> */
	obj_t BGl_zc3exitza35978ze3z83zz__evaluatez00(obj_t BgL_bpz00_26360,
		obj_t BgL_sz00_26359, obj_t BgL_runz00_26358)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2882z00_5908;

			if (SET_EXIT(BgL_an_exit2882z00_5908))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2882z00_5908 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2882z00_5908, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2883z00_5909;

							BgL_val2883z00_5909 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26358,
								BgL_sz00_26359, BgL_bpz00_26360);
							POP_EXIT();
							return BgL_val2883z00_5909;
						}
					}
				}
		}
	}



/* run_7871 */
	obj_t BGl_run_7871z00zz__evaluatez00(obj_t BgL_envz00_25751,
		obj_t BgL_sz00_25755)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25752;

				obj_t BgL_instance2850z00_25753;

				obj_t BgL_bodyz00_25754;

				BgL_iboxesz00_25752 =
					PROCEDURE_REF(BgL_envz00_25751, (int) (((long) 0)));
				BgL_instance2850z00_25753 =
					PROCEDURE_REF(BgL_envz00_25751, (int) (((long) 1)));
				BgL_bodyz00_25754 = PROCEDURE_REF(BgL_envz00_25751, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5911;

					BgL_sz00_5911 = BgL_sz00_25755;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5913;

						BgL_bpz00_5913 = VECTOR_REF(BgL_sz00_5911, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_5911,
							BgL_iboxesz00_25752, BgL_bpz00_5913);
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_5914;

							obj_t BgL_wherez00_5915;

							obj_t BgL_locz00_5916;

							BgL_z12denvz12_5914 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_40268;

								BgL_auxz00_40268 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25753);
								BgL_wherez00_5915 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40268))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_40271;

								BgL_auxz00_40271 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25753);
								BgL_locz00_5916 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40271))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5914, BgL_wherez00_5915,
									BgL_locz00_5916);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_5917;

									BgL_za2za2resza2za2z00_5917 =
										PROCEDURE_ENTRY(BgL_bodyz00_25754) (BgL_bodyz00_25754,
										BgL_sz00_5911, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5914);
									return BgL_za2za2resza2za2z00_5917;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:5983> */
	obj_t BGl_zc3anonymousza35983ze3z83zz__evaluatez00(obj_t BgL_envz00_25756,
		obj_t BgL_sz00_25762)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25757;

				obj_t BgL_siza7eza7_25758;

				obj_t BgL_instance2850z00_25759;

				obj_t BgL_bodyz00_25760;

				obj_t BgL_sfz00_25761;

				BgL_iza2za2_25757 = PROCEDURE_REF(BgL_envz00_25756, (int) (((long) 0)));
				BgL_siza7eza7_25758 =
					PROCEDURE_REF(BgL_envz00_25756, (int) (((long) 1)));
				BgL_instance2850z00_25759 =
					PROCEDURE_REF(BgL_envz00_25756, (int) (((long) 2)));
				BgL_bodyz00_25760 = PROCEDURE_REF(BgL_envz00_25756, (int) (((long) 3)));
				BgL_sfz00_25761 = PROCEDURE_REF(BgL_envz00_25756, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5922;

					BgL_sz00_5922 = BgL_sz00_25762;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5924;

						BgL_bpz00_5924 = VECTOR_REF(BgL_sz00_5922, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_5925;

							BgL_valza2za2_5925 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_5922,
								BgL_bpz00_5924, BgL_iza2za2_25757);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24725;

								BgL_runz00_24725 =
									make_fx_procedure(BGl_run_7873z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_24725,
									(int) (((long) 0)), BgL_siza7eza7_25758);
								PROCEDURE_SET(BgL_runz00_24725,
									(int) (((long) 1)), BgL_valza2za2_5925);
								PROCEDURE_SET(BgL_runz00_24725,
									(int) (((long) 2)), BgL_instance2850z00_25759);
								PROCEDURE_SET(BgL_runz00_24725,
									(int) (((long) 3)), BgL_bodyz00_25760);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24726;

									BgL_mainz00_24726 =
										make_va_procedure(BGl_main_7872z00zz__evaluatez00,
										(int) (((long) -1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_24726,
										(int) (((long) 0)), BgL_siza7eza7_25758);
									PROCEDURE_SET(BgL_mainz00_24726,
										(int) (((long) 1)), BgL_valza2za2_5925);
									PROCEDURE_SET(BgL_mainz00_24726,
										(int) (((long) 2)), BgL_instance2850z00_25759);
									PROCEDURE_SET(BgL_mainz00_24726,
										(int) (((long) 3)), BgL_bodyz00_25760);
									PROCEDURE_SET(BgL_mainz00_24726,
										(int) (((long) 4)), BgL_runz00_24725);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21266;

										BgL_objz00_21266 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24725, BgL_objz00_21266);
										BgL_objz00_21266;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg5984z00_5928;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21269;

											BgL_newz00_21269 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40318;

												BgL_auxz00_40318 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21269, BgL_auxz00_40318,
													BgL_sfz00_25761);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40321;

												BgL_auxz00_40321 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21269, BgL_auxz00_40321,
													BgL_runz00_24725);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_40326;

												int BgL_auxz00_40324;

												BgL_auxz00_40326 = BINT(((long) -1));
												BgL_auxz00_40324 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21269, BgL_auxz00_40324,
													BgL_auxz00_40326);
											}
											BgL_arg5984z00_5928 = BgL_newz00_21269;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24726, BgL_arg5984z00_5928);
										BgL_arg5984z00_5928;
									}
									return BgL_mainz00_24726;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7872 */
	obj_t BGl_main_7872z00zz__evaluatez00(obj_t BgL_envz00_25763,
		obj_t BgL_lastz00_25769)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25768;

				BgL_runz00_25768 = PROCEDURE_REF(BgL_envz00_25763, (int) (((long) 4)));
				{
					obj_t BgL_lastz00_5929;

					BgL_lastz00_5929 = BgL_lastz00_25769;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_5931;

						BgL_sz00_5931 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_5932;

							BgL_bpz00_5932 = VECTOR_REF(BgL_sz00_5931, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg5986z00_5933;

								BgL_arg5986z00_5933 =
									((long) CINT(BgL_bpz00_5932) + ((long) 0));
								VECTOR_SET(BgL_sz00_5931,
									(int) (BgL_arg5986z00_5933), BgL_lastz00_5929);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2884z00_5934;

								BgL_val2884z00_5934 =
									BGl_zc3exitza35990ze3z83zz__evaluatez00(BgL_bpz00_5932,
									BgL_sz00_5931, BgL_runz00_25768);
								VECTOR_SET(BgL_sz00_5931, (int) (((long) 0)), BgL_bpz00_5932);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2884z00_5934)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2884z00_5934), CDR(BgL_val2884z00_5934));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2884z00_5934;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5990> */
	obj_t BGl_zc3exitza35990ze3z83zz__evaluatez00(obj_t BgL_bpz00_26357,
		obj_t BgL_sz00_26356, obj_t BgL_runz00_26355)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2885z00_5939;

			if (SET_EXIT(BgL_an_exit2885z00_5939))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2885z00_5939 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2885z00_5939, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2886z00_5940;

							BgL_val2886z00_5940 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26355,
								BgL_sz00_26356, BgL_bpz00_26357);
							POP_EXIT();
							return BgL_val2886z00_5940;
						}
					}
				}
		}
	}



/* run_7873 */
	obj_t BGl_run_7873z00zz__evaluatez00(obj_t BgL_envz00_25770,
		obj_t BgL_sz00_25775)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_siza7eza7_25771;

				obj_t BgL_valza2za2_25772;

				obj_t BgL_instance2850z00_25773;

				obj_t BgL_bodyz00_25774;

				BgL_siza7eza7_25771 =
					PROCEDURE_REF(BgL_envz00_25770, (int) (((long) 0)));
				BgL_valza2za2_25772 =
					PROCEDURE_REF(BgL_envz00_25770, (int) (((long) 1)));
				BgL_instance2850z00_25773 =
					PROCEDURE_REF(BgL_envz00_25770, (int) (((long) 2)));
				BgL_bodyz00_25774 = PROCEDURE_REF(BgL_envz00_25770, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5942;

					BgL_sz00_5942 = BgL_sz00_25775;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5944;

						BgL_bpz00_5944 = VECTOR_REF(BgL_sz00_5942, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_5942,
							BgL_valza2za2_25772,
							((long) CINT(BgL_bpz00_5944) + (long) CINT(BgL_siza7eza7_25771)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_5946;

							obj_t BgL_wherez00_5947;

							obj_t BgL_locz00_5948;

							BgL_z12denvz12_5946 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_40367;

								BgL_auxz00_40367 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25773);
								BgL_wherez00_5947 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40367))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_40370;

								BgL_auxz00_40370 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25773);
								BgL_locz00_5948 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40370))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5946, BgL_wherez00_5947,
									BgL_locz00_5948);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_5949;

									BgL_za2za2resza2za2z00_5949 =
										PROCEDURE_ENTRY(BgL_bodyz00_25774) (BgL_bodyz00_25774,
										BgL_sz00_5942, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5946);
									return BgL_za2za2resza2za2z00_5949;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:5993> */
	obj_t BGl_zc3anonymousza35993ze3z83zz__evaluatez00(obj_t BgL_envz00_25776,
		obj_t BgL_sz00_25783)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25777;

				obj_t BgL_iboxesz00_25778;

				obj_t BgL_siza7eza7_25779;

				obj_t BgL_instance2850z00_25780;

				obj_t BgL_bodyz00_25781;

				obj_t BgL_sfz00_25782;

				BgL_iza2za2_25777 = PROCEDURE_REF(BgL_envz00_25776, (int) (((long) 0)));
				BgL_iboxesz00_25778 =
					PROCEDURE_REF(BgL_envz00_25776, (int) (((long) 1)));
				BgL_siza7eza7_25779 =
					PROCEDURE_REF(BgL_envz00_25776, (int) (((long) 2)));
				BgL_instance2850z00_25780 =
					PROCEDURE_REF(BgL_envz00_25776, (int) (((long) 3)));
				BgL_bodyz00_25781 = PROCEDURE_REF(BgL_envz00_25776, (int) (((long) 4)));
				BgL_sfz00_25782 = PROCEDURE_REF(BgL_envz00_25776, (int) (((long) 5)));
				{
					obj_t BgL_sz00_5951;

					BgL_sz00_5951 = BgL_sz00_25783;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5953;

						BgL_bpz00_5953 = VECTOR_REF(BgL_sz00_5951, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_5954;

							BgL_valza2za2_5954 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_5951,
								BgL_bpz00_5953, BgL_iza2za2_25777);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24722;

								BgL_runz00_24722 =
									make_fx_procedure(BGl_run_7875z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_24722,
									(int) (((long) 0)), BgL_iboxesz00_25778);
								PROCEDURE_SET(BgL_runz00_24722,
									(int) (((long) 1)), BgL_siza7eza7_25779);
								PROCEDURE_SET(BgL_runz00_24722,
									(int) (((long) 2)), BgL_valza2za2_5954);
								PROCEDURE_SET(BgL_runz00_24722,
									(int) (((long) 3)), BgL_instance2850z00_25780);
								PROCEDURE_SET(BgL_runz00_24722,
									(int) (((long) 4)), BgL_bodyz00_25781);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24723;

									BgL_mainz00_24723 =
										make_va_procedure(BGl_main_7874z00zz__evaluatez00,
										(int) (((long) -1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_24723,
										(int) (((long) 0)), BgL_iboxesz00_25778);
									PROCEDURE_SET(BgL_mainz00_24723,
										(int) (((long) 1)), BgL_siza7eza7_25779);
									PROCEDURE_SET(BgL_mainz00_24723,
										(int) (((long) 2)), BgL_valza2za2_5954);
									PROCEDURE_SET(BgL_mainz00_24723,
										(int) (((long) 3)), BgL_instance2850z00_25780);
									PROCEDURE_SET(BgL_mainz00_24723,
										(int) (((long) 4)), BgL_bodyz00_25781);
									PROCEDURE_SET(BgL_mainz00_24723,
										(int) (((long) 5)), BgL_runz00_24722);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21304;

										BgL_objz00_21304 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24722, BgL_objz00_21304);
										BgL_objz00_21304;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg5994z00_5957;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21307;

											BgL_newz00_21307 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40423;

												BgL_auxz00_40423 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21307, BgL_auxz00_40423,
													BgL_sfz00_25782);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40426;

												BgL_auxz00_40426 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21307, BgL_auxz00_40426,
													BgL_runz00_24722);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_40431;

												int BgL_auxz00_40429;

												BgL_auxz00_40431 = BINT(((long) -1));
												BgL_auxz00_40429 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21307, BgL_auxz00_40429,
													BgL_auxz00_40431);
											}
											BgL_arg5994z00_5957 = BgL_newz00_21307;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24723, BgL_arg5994z00_5957);
										BgL_arg5994z00_5957;
									}
									return BgL_mainz00_24723;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7874 */
	obj_t BGl_main_7874z00zz__evaluatez00(obj_t BgL_envz00_25784,
		obj_t BgL_lastz00_25791)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25790;

				BgL_runz00_25790 = PROCEDURE_REF(BgL_envz00_25784, (int) (((long) 5)));
				{
					obj_t BgL_lastz00_5958;

					BgL_lastz00_5958 = BgL_lastz00_25791;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_5960;

						BgL_sz00_5960 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_5961;

							BgL_bpz00_5961 = VECTOR_REF(BgL_sz00_5960, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg5996z00_5962;

								BgL_arg5996z00_5962 =
									((long) CINT(BgL_bpz00_5961) + ((long) 0));
								VECTOR_SET(BgL_sz00_5960,
									(int) (BgL_arg5996z00_5962), BgL_lastz00_5958);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2887z00_5963;

								BgL_val2887z00_5963 =
									BGl_zc3exitza36000ze3z83zz__evaluatez00(BgL_bpz00_5961,
									BgL_sz00_5960, BgL_runz00_25790);
								VECTOR_SET(BgL_sz00_5960, (int) (((long) 0)), BgL_bpz00_5961);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2887z00_5963)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2887z00_5963), CDR(BgL_val2887z00_5963));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2887z00_5963;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6000> */
	obj_t BGl_zc3exitza36000ze3z83zz__evaluatez00(obj_t BgL_bpz00_26354,
		obj_t BgL_sz00_26353, obj_t BgL_runz00_26352)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2888z00_5968;

			if (SET_EXIT(BgL_an_exit2888z00_5968))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2888z00_5968 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2888z00_5968, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2889z00_5969;

							BgL_val2889z00_5969 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26352,
								BgL_sz00_26353, BgL_bpz00_26354);
							POP_EXIT();
							return BgL_val2889z00_5969;
						}
					}
				}
		}
	}



/* run_7875 */
	obj_t BGl_run_7875z00zz__evaluatez00(obj_t BgL_envz00_25792,
		obj_t BgL_sz00_25798)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25793;

				obj_t BgL_siza7eza7_25794;

				obj_t BgL_valza2za2_25795;

				obj_t BgL_instance2850z00_25796;

				obj_t BgL_bodyz00_25797;

				BgL_iboxesz00_25793 =
					PROCEDURE_REF(BgL_envz00_25792, (int) (((long) 0)));
				BgL_siza7eza7_25794 =
					PROCEDURE_REF(BgL_envz00_25792, (int) (((long) 1)));
				BgL_valza2za2_25795 =
					PROCEDURE_REF(BgL_envz00_25792, (int) (((long) 2)));
				BgL_instance2850z00_25796 =
					PROCEDURE_REF(BgL_envz00_25792, (int) (((long) 3)));
				BgL_bodyz00_25797 = PROCEDURE_REF(BgL_envz00_25792, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5971;

					BgL_sz00_5971 = BgL_sz00_25798;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5973;

						BgL_bpz00_5973 = VECTOR_REF(BgL_sz00_5971, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_5971,
							BgL_iboxesz00_25793, BgL_bpz00_5973);
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_5971,
							BgL_valza2za2_25795,
							((long) CINT(BgL_bpz00_5973) + (long) CINT(BgL_siza7eza7_25794)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_5975;

							obj_t BgL_wherez00_5976;

							obj_t BgL_locz00_5977;

							BgL_z12denvz12_5975 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_40475;

								BgL_auxz00_40475 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25796);
								BgL_wherez00_5976 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40475))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_40478;

								BgL_auxz00_40478 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25796);
								BgL_locz00_5977 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40478))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5975, BgL_wherez00_5976,
									BgL_locz00_5977);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_5978;

									BgL_za2za2resza2za2z00_5978 =
										PROCEDURE_ENTRY(BgL_bodyz00_25797) (BgL_bodyz00_25797,
										BgL_sz00_5971, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5975);
									return BgL_za2za2resza2za2z00_5978;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:5919> */
	obj_t BGl_zc3anonymousza35919ze3z83zz__evaluatez00(obj_t BgL_envz00_25799,
		obj_t BgL_sz00_25803)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25800;

				obj_t BgL_bodyz00_25801;

				obj_t BgL_sfz00_25802;

				BgL_instance2850z00_25800 =
					PROCEDURE_REF(BgL_envz00_25799, (int) (((long) 0)));
				BgL_bodyz00_25801 = PROCEDURE_REF(BgL_envz00_25799, (int) (((long) 1)));
				BgL_sfz00_25802 = PROCEDURE_REF(BgL_envz00_25799, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5752;

					BgL_sz00_5752 = BgL_sz00_25803;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5754;

						BgL_bpz00_5754 = VECTOR_REF(BgL_sz00_5752, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24719;

								BgL_runz00_24719 =
									make_fx_procedure(BGl_run_7877z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_24719,
									(int) (((long) 0)), BgL_instance2850z00_25800);
								PROCEDURE_SET(BgL_runz00_24719,
									(int) (((long) 1)), BgL_bodyz00_25801);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24720;

									BgL_mainz00_24720 =
										make_fx_procedure(BGl_main_7876z00zz__evaluatez00,
										(int) (((long) 0)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_mainz00_24720,
										(int) (((long) 0)), BgL_instance2850z00_25800);
									PROCEDURE_SET(BgL_mainz00_24720,
										(int) (((long) 1)), BgL_bodyz00_25801);
									PROCEDURE_SET(BgL_mainz00_24720,
										(int) (((long) 2)), BgL_runz00_24719);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21054;

										BgL_objz00_21054 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24719, BgL_objz00_21054);
										BgL_objz00_21054;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg5920z00_5757;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21057;

											BgL_newz00_21057 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40512;

												BgL_auxz00_40512 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21057, BgL_auxz00_40512,
													BgL_sfz00_25802);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40515;

												BgL_auxz00_40515 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21057, BgL_auxz00_40515,
													BgL_runz00_24719);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_40520;

												int BgL_auxz00_40518;

												BgL_auxz00_40520 = BINT(((long) 0));
												BgL_auxz00_40518 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21057, BgL_auxz00_40518,
													BgL_auxz00_40520);
											}
											BgL_arg5920z00_5757 = BgL_newz00_21057;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24720, BgL_arg5920z00_5757);
										BgL_arg5920z00_5757;
									}
									return BgL_mainz00_24720;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7876 */
	obj_t BGl_main_7876z00zz__evaluatez00(obj_t BgL_envz00_25804)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25807;

				BgL_runz00_25807 = PROCEDURE_REF(BgL_envz00_25804, (int) (((long) 2)));
				{

					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_5759;

						BgL_sz00_5759 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_5760;

							BgL_bpz00_5760 = VECTOR_REF(BgL_sz00_5759, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2866z00_5761;

								BgL_val2866z00_5761 =
									BGl_zc3exitza35925ze3z83zz__evaluatez00(BgL_bpz00_5760,
									BgL_sz00_5759, BgL_runz00_25807);
								VECTOR_SET(BgL_sz00_5759, (int) (((long) 0)), BgL_bpz00_5760);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2866z00_5761)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2866z00_5761), CDR(BgL_val2866z00_5761));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2866z00_5761;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5925> */
	obj_t BGl_zc3exitza35925ze3z83zz__evaluatez00(obj_t BgL_bpz00_26351,
		obj_t BgL_sz00_26350, obj_t BgL_runz00_26349)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2867z00_5766;

			if (SET_EXIT(BgL_an_exit2867z00_5766))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2867z00_5766 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2867z00_5766, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2868z00_5767;

							BgL_val2868z00_5767 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26349,
								BgL_sz00_26350, BgL_bpz00_26351);
							POP_EXIT();
							return BgL_val2868z00_5767;
						}
					}
				}
		}
	}



/* run_7877 */
	obj_t BGl_run_7877z00zz__evaluatez00(obj_t BgL_envz00_25808,
		obj_t BgL_sz00_25811)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25809;

				obj_t BgL_bodyz00_25810;

				BgL_instance2850z00_25809 =
					PROCEDURE_REF(BgL_envz00_25808, (int) (((long) 0)));
				BgL_bodyz00_25810 = PROCEDURE_REF(BgL_envz00_25808, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5769;

					BgL_sz00_5769 = BgL_sz00_25811;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5771;

						BgL_bpz00_5771 = VECTOR_REF(BgL_sz00_5769, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_5772;

							obj_t BgL_wherez00_5773;

							obj_t BgL_locz00_5774;

							BgL_z12denvz12_5772 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_40549;

								BgL_auxz00_40549 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25809);
								BgL_wherez00_5773 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40549))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_40552;

								BgL_auxz00_40552 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25809);
								BgL_locz00_5774 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40552))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5772, BgL_wherez00_5773,
									BgL_locz00_5774);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_5775;

									BgL_za2za2resza2za2z00_5775 =
										PROCEDURE_ENTRY(BgL_bodyz00_25810) (BgL_bodyz00_25810,
										BgL_sz00_5769, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5772);
									return BgL_za2za2resza2za2z00_5775;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:5927> */
	obj_t BGl_zc3anonymousza35927ze3z83zz__evaluatez00(obj_t BgL_envz00_25812,
		obj_t BgL_sz00_25817)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25813;

				obj_t BgL_instance2850z00_25814;

				obj_t BgL_bodyz00_25815;

				obj_t BgL_sfz00_25816;

				BgL_iboxesz00_25813 =
					PROCEDURE_REF(BgL_envz00_25812, (int) (((long) 0)));
				BgL_instance2850z00_25814 =
					PROCEDURE_REF(BgL_envz00_25812, (int) (((long) 1)));
				BgL_bodyz00_25815 = PROCEDURE_REF(BgL_envz00_25812, (int) (((long) 2)));
				BgL_sfz00_25816 = PROCEDURE_REF(BgL_envz00_25812, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5777;

					BgL_sz00_5777 = BgL_sz00_25817;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5779;

						BgL_bpz00_5779 = VECTOR_REF(BgL_sz00_5777, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24716;

								BgL_runz00_24716 =
									make_fx_procedure(BGl_run_7879z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_24716,
									(int) (((long) 0)), BgL_iboxesz00_25813);
								PROCEDURE_SET(BgL_runz00_24716,
									(int) (((long) 1)), BgL_instance2850z00_25814);
								PROCEDURE_SET(BgL_runz00_24716,
									(int) (((long) 2)), BgL_bodyz00_25815);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24717;

									BgL_mainz00_24717 =
										make_fx_procedure(BGl_main_7878z00zz__evaluatez00,
										(int) (((long) 0)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_24717,
										(int) (((long) 0)), BgL_iboxesz00_25813);
									PROCEDURE_SET(BgL_mainz00_24717,
										(int) (((long) 1)), BgL_instance2850z00_25814);
									PROCEDURE_SET(BgL_mainz00_24717,
										(int) (((long) 2)), BgL_bodyz00_25815);
									PROCEDURE_SET(BgL_mainz00_24717,
										(int) (((long) 3)), BgL_runz00_24716);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21085;

										BgL_objz00_21085 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24716, BgL_objz00_21085);
										BgL_objz00_21085;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg5928z00_5782;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21088;

											BgL_newz00_21088 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40592;

												BgL_auxz00_40592 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21088, BgL_auxz00_40592,
													BgL_sfz00_25816);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40595;

												BgL_auxz00_40595 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21088, BgL_auxz00_40595,
													BgL_runz00_24716);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_40600;

												int BgL_auxz00_40598;

												BgL_auxz00_40600 = BINT(((long) 0));
												BgL_auxz00_40598 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21088, BgL_auxz00_40598,
													BgL_auxz00_40600);
											}
											BgL_arg5928z00_5782 = BgL_newz00_21088;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24717, BgL_arg5928z00_5782);
										BgL_arg5928z00_5782;
									}
									return BgL_mainz00_24717;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7878 */
	obj_t BGl_main_7878z00zz__evaluatez00(obj_t BgL_envz00_25818)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25822;

				BgL_runz00_25822 = PROCEDURE_REF(BgL_envz00_25818, (int) (((long) 3)));
				{

					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_5784;

						BgL_sz00_5784 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_5785;

							BgL_bpz00_5785 = VECTOR_REF(BgL_sz00_5784, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2869z00_5786;

								BgL_val2869z00_5786 =
									BGl_zc3exitza35933ze3z83zz__evaluatez00(BgL_bpz00_5785,
									BgL_sz00_5784, BgL_runz00_25822);
								VECTOR_SET(BgL_sz00_5784, (int) (((long) 0)), BgL_bpz00_5785);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2869z00_5786)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2869z00_5786), CDR(BgL_val2869z00_5786));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2869z00_5786;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5933> */
	obj_t BGl_zc3exitza35933ze3z83zz__evaluatez00(obj_t BgL_bpz00_26348,
		obj_t BgL_sz00_26347, obj_t BgL_runz00_26346)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2870z00_5791;

			if (SET_EXIT(BgL_an_exit2870z00_5791))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2870z00_5791 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2870z00_5791, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2871z00_5792;

							BgL_val2871z00_5792 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26346,
								BgL_sz00_26347, BgL_bpz00_26348);
							POP_EXIT();
							return BgL_val2871z00_5792;
						}
					}
				}
		}
	}



/* run_7879 */
	obj_t BGl_run_7879z00zz__evaluatez00(obj_t BgL_envz00_25823,
		obj_t BgL_sz00_25827)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25824;

				obj_t BgL_instance2850z00_25825;

				obj_t BgL_bodyz00_25826;

				BgL_iboxesz00_25824 =
					PROCEDURE_REF(BgL_envz00_25823, (int) (((long) 0)));
				BgL_instance2850z00_25825 =
					PROCEDURE_REF(BgL_envz00_25823, (int) (((long) 1)));
				BgL_bodyz00_25826 = PROCEDURE_REF(BgL_envz00_25823, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5794;

					BgL_sz00_5794 = BgL_sz00_25827;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5796;

						BgL_bpz00_5796 = VECTOR_REF(BgL_sz00_5794, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_5794,
							BgL_iboxesz00_25824, BgL_bpz00_5796);
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_5797;

							obj_t BgL_wherez00_5798;

							obj_t BgL_locz00_5799;

							BgL_z12denvz12_5797 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_40632;

								BgL_auxz00_40632 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25825);
								BgL_wherez00_5798 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40632))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_40635;

								BgL_auxz00_40635 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25825);
								BgL_locz00_5799 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40635))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5797, BgL_wherez00_5798,
									BgL_locz00_5799);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_5800;

									BgL_za2za2resza2za2z00_5800 =
										PROCEDURE_ENTRY(BgL_bodyz00_25826) (BgL_bodyz00_25826,
										BgL_sz00_5794, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5797);
									return BgL_za2za2resza2za2z00_5800;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:5938> */
	obj_t BGl_zc3anonymousza35938ze3z83zz__evaluatez00(obj_t BgL_envz00_25828,
		obj_t BgL_sz00_25834)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25829;

				obj_t BgL_siza7eza7_25830;

				obj_t BgL_instance2850z00_25831;

				obj_t BgL_bodyz00_25832;

				obj_t BgL_sfz00_25833;

				BgL_iza2za2_25829 = PROCEDURE_REF(BgL_envz00_25828, (int) (((long) 0)));
				BgL_siza7eza7_25830 =
					PROCEDURE_REF(BgL_envz00_25828, (int) (((long) 1)));
				BgL_instance2850z00_25831 =
					PROCEDURE_REF(BgL_envz00_25828, (int) (((long) 2)));
				BgL_bodyz00_25832 = PROCEDURE_REF(BgL_envz00_25828, (int) (((long) 3)));
				BgL_sfz00_25833 = PROCEDURE_REF(BgL_envz00_25828, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5805;

					BgL_sz00_5805 = BgL_sz00_25834;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5807;

						BgL_bpz00_5807 = VECTOR_REF(BgL_sz00_5805, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_5808;

							BgL_valza2za2_5808 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_5805,
								BgL_bpz00_5807, BgL_iza2za2_25829);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24713;

								BgL_runz00_24713 =
									make_fx_procedure(BGl_run_7881z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_24713,
									(int) (((long) 0)), BgL_siza7eza7_25830);
								PROCEDURE_SET(BgL_runz00_24713,
									(int) (((long) 1)), BgL_valza2za2_5808);
								PROCEDURE_SET(BgL_runz00_24713,
									(int) (((long) 2)), BgL_instance2850z00_25831);
								PROCEDURE_SET(BgL_runz00_24713,
									(int) (((long) 3)), BgL_bodyz00_25832);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24714;

									BgL_mainz00_24714 =
										make_fx_procedure(BGl_main_7880z00zz__evaluatez00,
										(int) (((long) 0)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_24714,
										(int) (((long) 0)), BgL_siza7eza7_25830);
									PROCEDURE_SET(BgL_mainz00_24714,
										(int) (((long) 1)), BgL_valza2za2_5808);
									PROCEDURE_SET(BgL_mainz00_24714,
										(int) (((long) 2)), BgL_instance2850z00_25831);
									PROCEDURE_SET(BgL_mainz00_24714,
										(int) (((long) 3)), BgL_bodyz00_25832);
									PROCEDURE_SET(BgL_mainz00_24714,
										(int) (((long) 4)), BgL_runz00_24713);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21119;

										BgL_objz00_21119 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24713, BgL_objz00_21119);
										BgL_objz00_21119;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg5939z00_5811;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21122;

											BgL_newz00_21122 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40682;

												BgL_auxz00_40682 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21122, BgL_auxz00_40682,
													BgL_sfz00_25833);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40685;

												BgL_auxz00_40685 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21122, BgL_auxz00_40685,
													BgL_runz00_24713);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_40690;

												int BgL_auxz00_40688;

												BgL_auxz00_40690 = BINT(((long) 0));
												BgL_auxz00_40688 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21122, BgL_auxz00_40688,
													BgL_auxz00_40690);
											}
											BgL_arg5939z00_5811 = BgL_newz00_21122;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24714, BgL_arg5939z00_5811);
										BgL_arg5939z00_5811;
									}
									return BgL_mainz00_24714;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7880 */
	obj_t BGl_main_7880z00zz__evaluatez00(obj_t BgL_envz00_25835)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25840;

				BgL_runz00_25840 = PROCEDURE_REF(BgL_envz00_25835, (int) (((long) 4)));
				{

					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_5813;

						BgL_sz00_5813 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_5814;

							BgL_bpz00_5814 = VECTOR_REF(BgL_sz00_5813, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2872z00_5815;

								BgL_val2872z00_5815 =
									BGl_zc3exitza35944ze3z83zz__evaluatez00(BgL_bpz00_5814,
									BgL_sz00_5813, BgL_runz00_25840);
								VECTOR_SET(BgL_sz00_5813, (int) (((long) 0)), BgL_bpz00_5814);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2872z00_5815)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2872z00_5815), CDR(BgL_val2872z00_5815));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2872z00_5815;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5944> */
	obj_t BGl_zc3exitza35944ze3z83zz__evaluatez00(obj_t BgL_bpz00_26345,
		obj_t BgL_sz00_26344, obj_t BgL_runz00_26343)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2873z00_5820;

			if (SET_EXIT(BgL_an_exit2873z00_5820))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2873z00_5820 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2873z00_5820, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2874z00_5821;

							BgL_val2874z00_5821 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26343,
								BgL_sz00_26344, BgL_bpz00_26345);
							POP_EXIT();
							return BgL_val2874z00_5821;
						}
					}
				}
		}
	}



/* run_7881 */
	obj_t BGl_run_7881z00zz__evaluatez00(obj_t BgL_envz00_25841,
		obj_t BgL_sz00_25846)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_siza7eza7_25842;

				obj_t BgL_valza2za2_25843;

				obj_t BgL_instance2850z00_25844;

				obj_t BgL_bodyz00_25845;

				BgL_siza7eza7_25842 =
					PROCEDURE_REF(BgL_envz00_25841, (int) (((long) 0)));
				BgL_valza2za2_25843 =
					PROCEDURE_REF(BgL_envz00_25841, (int) (((long) 1)));
				BgL_instance2850z00_25844 =
					PROCEDURE_REF(BgL_envz00_25841, (int) (((long) 2)));
				BgL_bodyz00_25845 = PROCEDURE_REF(BgL_envz00_25841, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5823;

					BgL_sz00_5823 = BgL_sz00_25846;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5825;

						BgL_bpz00_5825 = VECTOR_REF(BgL_sz00_5823, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_5823,
							BgL_valza2za2_25843,
							((long) CINT(BgL_bpz00_5825) + (long) CINT(BgL_siza7eza7_25842)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_5827;

							obj_t BgL_wherez00_5828;

							obj_t BgL_locz00_5829;

							BgL_z12denvz12_5827 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_40727;

								BgL_auxz00_40727 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25844);
								BgL_wherez00_5828 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40727))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_40730;

								BgL_auxz00_40730 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25844);
								BgL_locz00_5829 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40730))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5827, BgL_wherez00_5828,
									BgL_locz00_5829);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_5830;

									BgL_za2za2resza2za2z00_5830 =
										PROCEDURE_ENTRY(BgL_bodyz00_25845) (BgL_bodyz00_25845,
										BgL_sz00_5823, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5827);
									return BgL_za2za2resza2za2z00_5830;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:5947> */
	obj_t BGl_zc3anonymousza35947ze3z83zz__evaluatez00(obj_t BgL_envz00_25847,
		obj_t BgL_sz00_25854)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25848;

				obj_t BgL_iboxesz00_25849;

				obj_t BgL_siza7eza7_25850;

				obj_t BgL_instance2850z00_25851;

				obj_t BgL_bodyz00_25852;

				obj_t BgL_sfz00_25853;

				BgL_iza2za2_25848 = PROCEDURE_REF(BgL_envz00_25847, (int) (((long) 0)));
				BgL_iboxesz00_25849 =
					PROCEDURE_REF(BgL_envz00_25847, (int) (((long) 1)));
				BgL_siza7eza7_25850 =
					PROCEDURE_REF(BgL_envz00_25847, (int) (((long) 2)));
				BgL_instance2850z00_25851 =
					PROCEDURE_REF(BgL_envz00_25847, (int) (((long) 3)));
				BgL_bodyz00_25852 = PROCEDURE_REF(BgL_envz00_25847, (int) (((long) 4)));
				BgL_sfz00_25853 = PROCEDURE_REF(BgL_envz00_25847, (int) (((long) 5)));
				{
					obj_t BgL_sz00_5832;

					BgL_sz00_5832 = BgL_sz00_25854;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5834;

						BgL_bpz00_5834 = VECTOR_REF(BgL_sz00_5832, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_5835;

							BgL_valza2za2_5835 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_5832,
								BgL_bpz00_5834, BgL_iza2za2_25848);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24710;

								BgL_runz00_24710 =
									make_fx_procedure(BGl_run_7883z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_24710,
									(int) (((long) 0)), BgL_iboxesz00_25849);
								PROCEDURE_SET(BgL_runz00_24710,
									(int) (((long) 1)), BgL_siza7eza7_25850);
								PROCEDURE_SET(BgL_runz00_24710,
									(int) (((long) 2)), BgL_valza2za2_5835);
								PROCEDURE_SET(BgL_runz00_24710,
									(int) (((long) 3)), BgL_instance2850z00_25851);
								PROCEDURE_SET(BgL_runz00_24710,
									(int) (((long) 4)), BgL_bodyz00_25852);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24711;

									BgL_mainz00_24711 =
										make_fx_procedure(BGl_main_7882z00zz__evaluatez00,
										(int) (((long) 0)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_24711,
										(int) (((long) 0)), BgL_iboxesz00_25849);
									PROCEDURE_SET(BgL_mainz00_24711,
										(int) (((long) 1)), BgL_siza7eza7_25850);
									PROCEDURE_SET(BgL_mainz00_24711,
										(int) (((long) 2)), BgL_valza2za2_5835);
									PROCEDURE_SET(BgL_mainz00_24711,
										(int) (((long) 3)), BgL_instance2850z00_25851);
									PROCEDURE_SET(BgL_mainz00_24711,
										(int) (((long) 4)), BgL_bodyz00_25852);
									PROCEDURE_SET(BgL_mainz00_24711,
										(int) (((long) 5)), BgL_runz00_24710);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_21152;

										BgL_objz00_21152 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24710, BgL_objz00_21152);
										BgL_objz00_21152;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg5948z00_5838;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_newz00_21155;

											BgL_newz00_21155 =
												create_struct(BGl_symbol8224z00zz__evaluatez00,
												(int) (((long) 3)));
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40783;

												BgL_auxz00_40783 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_21155, BgL_auxz00_40783,
													BgL_sfz00_25853);
											}
											{	/* Eval/evaluate.scm 1393 */
												int BgL_auxz00_40786;

												BgL_auxz00_40786 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_21155, BgL_auxz00_40786,
													BgL_runz00_24710);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_auxz00_40791;

												int BgL_auxz00_40789;

												BgL_auxz00_40791 = BINT(((long) 0));
												BgL_auxz00_40789 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_21155, BgL_auxz00_40789,
													BgL_auxz00_40791);
											}
											BgL_arg5948z00_5838 = BgL_newz00_21155;
										}
										PROCEDURE_ATTR_SET(BgL_mainz00_24711, BgL_arg5948z00_5838);
										BgL_arg5948z00_5838;
									}
									return BgL_mainz00_24711;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7882 */
	obj_t BGl_main_7882z00zz__evaluatez00(obj_t BgL_envz00_25855)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_runz00_25861;

				BgL_runz00_25861 = PROCEDURE_REF(BgL_envz00_25855, (int) (((long) 5)));
				{

					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_5840;

						BgL_sz00_5840 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_5841;

							BgL_bpz00_5841 = VECTOR_REF(BgL_sz00_5840, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2875z00_5842;

								BgL_val2875z00_5842 =
									BGl_zc3exitza35953ze3z83zz__evaluatez00(BgL_bpz00_5841,
									BgL_sz00_5840, BgL_runz00_25861);
								VECTOR_SET(BgL_sz00_5840, (int) (((long) 0)), BgL_bpz00_5841);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2875z00_5842)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2875z00_5842), CDR(BgL_val2875z00_5842));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2875z00_5842;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:5953> */
	obj_t BGl_zc3exitza35953ze3z83zz__evaluatez00(obj_t BgL_bpz00_26342,
		obj_t BgL_sz00_26341, obj_t BgL_runz00_26340)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2876z00_5847;

			if (SET_EXIT(BgL_an_exit2876z00_5847))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2876z00_5847 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2876z00_5847, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2877z00_5848;

							BgL_val2877z00_5848 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26340,
								BgL_sz00_26341, BgL_bpz00_26342);
							POP_EXIT();
							return BgL_val2877z00_5848;
						}
					}
				}
		}
	}



/* run_7883 */
	obj_t BGl_run_7883z00zz__evaluatez00(obj_t BgL_envz00_25862,
		obj_t BgL_sz00_25868)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25863;

				obj_t BgL_siza7eza7_25864;

				obj_t BgL_valza2za2_25865;

				obj_t BgL_instance2850z00_25866;

				obj_t BgL_bodyz00_25867;

				BgL_iboxesz00_25863 =
					PROCEDURE_REF(BgL_envz00_25862, (int) (((long) 0)));
				BgL_siza7eza7_25864 =
					PROCEDURE_REF(BgL_envz00_25862, (int) (((long) 1)));
				BgL_valza2za2_25865 =
					PROCEDURE_REF(BgL_envz00_25862, (int) (((long) 2)));
				BgL_instance2850z00_25866 =
					PROCEDURE_REF(BgL_envz00_25862, (int) (((long) 3)));
				BgL_bodyz00_25867 = PROCEDURE_REF(BgL_envz00_25862, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5850;

					BgL_sz00_5850 = BgL_sz00_25868;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_5852;

						BgL_bpz00_5852 = VECTOR_REF(BgL_sz00_5850, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_5850,
							BgL_iboxesz00_25863, BgL_bpz00_5852);
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_5850,
							BgL_valza2za2_25865,
							((long) CINT(BgL_bpz00_5852) + (long) CINT(BgL_siza7eza7_25864)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_5854;

							obj_t BgL_wherez00_5855;

							obj_t BgL_locz00_5856;

							BgL_z12denvz12_5854 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_40831;

								BgL_auxz00_40831 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25866);
								BgL_wherez00_5855 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40831))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_40834;

								BgL_auxz00_40834 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25866);
								BgL_locz00_5856 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40834))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5854, BgL_wherez00_5855,
									BgL_locz00_5856);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_5857;

									BgL_za2za2resza2za2z00_5857 =
										PROCEDURE_ENTRY(BgL_bodyz00_25867) (BgL_bodyz00_25867,
										BgL_sz00_5850, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5854);
									return BgL_za2za2resza2za2z00_5857;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6449> */
	obj_t BGl_zc3anonymousza36449ze3z83zz__evaluatez00(obj_t BgL_envz00_25869,
		obj_t BgL_sz00_25873)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25870;

				obj_t BgL_bodyz00_25871;

				obj_t BgL_sfz00_25872;

				BgL_instance2850z00_25870 =
					PROCEDURE_REF(BgL_envz00_25869, (int) (((long) 0)));
				BgL_bodyz00_25871 = PROCEDURE_REF(BgL_envz00_25869, (int) (((long) 1)));
				BgL_sfz00_25872 = PROCEDURE_REF(BgL_envz00_25869, (int) (((long) 2)));
				{
					obj_t BgL_sz00_7082;

					BgL_sz00_7082 = BgL_sz00_25873;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_7084;

						BgL_bpz00_7084 = VECTOR_REF(BgL_sz00_7082, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24839;

								BgL_runz00_24839 =
									make_fx_procedure(BGl_run_7885z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_24839,
									(int) (((long) 0)), BgL_instance2850z00_25870);
								PROCEDURE_SET(BgL_runz00_24839,
									(int) (((long) 1)), BgL_bodyz00_25871);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24840;

									BgL_mainz00_24840 =
										make_va_procedure(BGl_main_7884z00zz__evaluatez00,
										(int) (((long) -5)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_mainz00_24840,
										(int) (((long) 0)), BgL_bodyz00_25871);
									PROCEDURE_SET(BgL_mainz00_24840,
										(int) (((long) 1)), BgL_instance2850z00_25870);
									PROCEDURE_SET(BgL_mainz00_24840,
										(int) (((long) 2)), BgL_runz00_24839);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22924;

										BgL_objz00_22924 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24839, BgL_objz00_22924);
										BgL_objz00_22924;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6450z00_7087;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_arg6451z00_7088;

											{
												BgL_ev_absz00_bglt BgL_auxz00_40866;

												BgL_auxz00_40866 =
													(BgL_ev_absz00_bglt) (BgL_instance2850z00_25870);
												BgL_arg6451z00_7088 =
													(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40866))->
													BgL_arityz00);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_newz00_22928;

												BgL_newz00_22928 =
													create_struct(BGl_symbol8224z00zz__evaluatez00,
													(int) (((long) 3)));
												{	/* Eval/evaluate.scm 1393 */
													int BgL_auxz00_40871;

													BgL_auxz00_40871 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_22928, BgL_auxz00_40871,
														BgL_sfz00_25872);
												}
												{	/* Eval/evaluate.scm 1393 */
													int BgL_auxz00_40874;

													BgL_auxz00_40874 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_22928, BgL_auxz00_40874,
														BgL_runz00_24839);
												}
												{	/* Eval/evaluate.scm 1393 */
													int BgL_auxz00_40877;

													BgL_auxz00_40877 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_22928, BgL_auxz00_40877,
														BgL_arg6451z00_7088);
												}
												BgL_arg6450z00_7087 = BgL_newz00_22928;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_24840, BgL_arg6450z00_7087);
										BgL_arg6450z00_7087;
									}
									return BgL_mainz00_24840;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7884 */
	obj_t BGl_main_7884z00zz__evaluatez00(obj_t BgL_envz00_25874,
		obj_t BgL_az00_25878, obj_t BgL_bz00_25879, obj_t BgL_cz00_25880,
		obj_t BgL_dz00_25881, obj_t BgL_restz00_25882)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25876;

				obj_t BgL_runz00_25877;

				BgL_instance2850z00_25876 =
					PROCEDURE_REF(BgL_envz00_25874, (int) (((long) 1)));
				BgL_runz00_25877 = PROCEDURE_REF(BgL_envz00_25874, (int) (((long) 2)));
				{
					obj_t BgL_az00_7089;

					obj_t BgL_bz00_7090;

					obj_t BgL_cz00_7091;

					obj_t BgL_dz00_7092;

					obj_t BgL_restz00_7093;

					BgL_az00_7089 = BgL_az00_25878;
					BgL_bz00_7090 = BgL_bz00_25879;
					BgL_cz00_7091 = BgL_cz00_25880;
					BgL_dz00_7092 = BgL_dz00_25881;
					BgL_restz00_7093 = BgL_restz00_25882;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_7095;

						BgL_sz00_7095 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_7096;

							BgL_bpz00_7096 = VECTOR_REF(BgL_sz00_7095, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6453z00_7097;

								BgL_arg6453z00_7097 =
									((long) CINT(BgL_bpz00_7096) + ((long) 0));
								VECTOR_SET(BgL_sz00_7095,
									(int) (BgL_arg6453z00_7097), BgL_az00_7089);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6454z00_7098;

								BgL_arg6454z00_7098 =
									((long) CINT(BgL_bpz00_7096) + ((long) 1));
								VECTOR_SET(BgL_sz00_7095,
									(int) (BgL_arg6454z00_7098), BgL_bz00_7090);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6455z00_7099;

								BgL_arg6455z00_7099 =
									((long) CINT(BgL_bpz00_7096) + ((long) 2));
								VECTOR_SET(BgL_sz00_7095,
									(int) (BgL_arg6455z00_7099), BgL_cz00_7091);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6456z00_7100;

								BgL_arg6456z00_7100 =
									((long) CINT(BgL_bpz00_7096) + ((long) 3));
								VECTOR_SET(BgL_sz00_7095,
									(int) (BgL_arg6456z00_7100), BgL_dz00_7092);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_arg6457z00_7101;

								long BgL_arg6458z00_7102;

								BgL_arg6457z00_7101 =
									BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_bpz00_7096,
									BINT(((long) 4)));
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_nz00_22966;

									{
										BgL_ev_absz00_bglt BgL_auxz00_40905;

										BgL_auxz00_40905 =
											(BgL_ev_absz00_bglt) (BgL_instance2850z00_25876);
										BgL_nz00_22966 =
											(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40905))->
											BgL_arityz00);
									}
									if (((long) CINT(BgL_nz00_22966) < ((long) 0)))
										{	/* Eval/evaluate.scm 1393 */
											BgL_arg6458z00_7102 =
												((long) CINT(BgL_nz00_22966) + ((long) 4));
										}
									else
										{	/* Eval/evaluate.scm 1393 */
											BgL_arg6458z00_7102 =
												((long) CINT(BgL_nz00_22966) - ((long) 4));
								}}
								BGl_bindzd2framezd2zz__evaluatez00(BgL_sz00_7095,
									BgL_arg6457z00_7101, BgL_arg6458z00_7102, BgL_restz00_7093);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2852z00_7105;

								BgL_val2852z00_7105 =
									BGl_zc3exitza36464ze3z83zz__evaluatez00(BgL_bpz00_7096,
									BgL_sz00_7095, BgL_runz00_25877);
								VECTOR_SET(BgL_sz00_7095, (int) (((long) 0)), BgL_bpz00_7096);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2852z00_7105)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2852z00_7105), CDR(BgL_val2852z00_7105));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2852z00_7105;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6464> */
	obj_t BGl_zc3exitza36464ze3z83zz__evaluatez00(obj_t BgL_bpz00_26339,
		obj_t BgL_sz00_26338, obj_t BgL_runz00_26337)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2853z00_7110;

			if (SET_EXIT(BgL_an_exit2853z00_7110))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2853z00_7110 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2853z00_7110, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2854z00_7111;

							BgL_val2854z00_7111 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26337,
								BgL_sz00_26338, BgL_bpz00_26339);
							POP_EXIT();
							return BgL_val2854z00_7111;
						}
					}
				}
		}
	}



/* run_7885 */
	obj_t BGl_run_7885z00zz__evaluatez00(obj_t BgL_envz00_25883,
		obj_t BgL_sz00_25886)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25884;

				obj_t BgL_bodyz00_25885;

				BgL_instance2850z00_25884 =
					PROCEDURE_REF(BgL_envz00_25883, (int) (((long) 0)));
				BgL_bodyz00_25885 = PROCEDURE_REF(BgL_envz00_25883, (int) (((long) 1)));
				{
					obj_t BgL_sz00_7113;

					BgL_sz00_7113 = BgL_sz00_25886;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_7115;

						BgL_bpz00_7115 = VECTOR_REF(BgL_sz00_7113, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_7116;

							obj_t BgL_wherez00_7117;

							obj_t BgL_locz00_7118;

							BgL_z12denvz12_7116 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_40937;

								BgL_auxz00_40937 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25884);
								BgL_wherez00_7117 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40937))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_40940;

								BgL_auxz00_40940 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25884);
								BgL_locz00_7118 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40940))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_7116, BgL_wherez00_7117,
									BgL_locz00_7118);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_7119;

									BgL_za2za2resza2za2z00_7119 =
										PROCEDURE_ENTRY(BgL_bodyz00_25885) (BgL_bodyz00_25885,
										BgL_sz00_7113, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_7116);
									return BgL_za2za2resza2za2z00_7119;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6466> */
	obj_t BGl_zc3anonymousza36466ze3z83zz__evaluatez00(obj_t BgL_envz00_25887,
		obj_t BgL_sz00_25892)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25888;

				obj_t BgL_instance2850z00_25889;

				obj_t BgL_bodyz00_25890;

				obj_t BgL_sfz00_25891;

				BgL_iboxesz00_25888 =
					PROCEDURE_REF(BgL_envz00_25887, (int) (((long) 0)));
				BgL_instance2850z00_25889 =
					PROCEDURE_REF(BgL_envz00_25887, (int) (((long) 1)));
				BgL_bodyz00_25890 = PROCEDURE_REF(BgL_envz00_25887, (int) (((long) 2)));
				BgL_sfz00_25891 = PROCEDURE_REF(BgL_envz00_25887, (int) (((long) 3)));
				{
					obj_t BgL_sz00_7121;

					BgL_sz00_7121 = BgL_sz00_25892;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_7123;

						BgL_bpz00_7123 = VECTOR_REF(BgL_sz00_7121, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */

							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24836;

								BgL_runz00_24836 =
									make_fx_procedure(BGl_run_7887z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_24836,
									(int) (((long) 0)), BgL_iboxesz00_25888);
								PROCEDURE_SET(BgL_runz00_24836,
									(int) (((long) 1)), BgL_instance2850z00_25889);
								PROCEDURE_SET(BgL_runz00_24836,
									(int) (((long) 2)), BgL_bodyz00_25890);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24837;

									BgL_mainz00_24837 =
										make_va_procedure(BGl_main_7886z00zz__evaluatez00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_24837,
										(int) (((long) 0)), BgL_iboxesz00_25888);
									PROCEDURE_SET(BgL_mainz00_24837,
										(int) (((long) 1)), BgL_bodyz00_25890);
									PROCEDURE_SET(BgL_mainz00_24837,
										(int) (((long) 2)), BgL_instance2850z00_25889);
									PROCEDURE_SET(BgL_mainz00_24837,
										(int) (((long) 3)), BgL_runz00_24836);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_22986;

										BgL_objz00_22986 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24836, BgL_objz00_22986);
										BgL_objz00_22986;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6467z00_7126;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_arg6468z00_7127;

											{
												BgL_ev_absz00_bglt BgL_auxz00_40978;

												BgL_auxz00_40978 =
													(BgL_ev_absz00_bglt) (BgL_instance2850z00_25889);
												BgL_arg6468z00_7127 =
													(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_40978))->
													BgL_arityz00);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_newz00_22990;

												BgL_newz00_22990 =
													create_struct(BGl_symbol8224z00zz__evaluatez00,
													(int) (((long) 3)));
												{	/* Eval/evaluate.scm 1393 */
													int BgL_auxz00_40983;

													BgL_auxz00_40983 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_22990, BgL_auxz00_40983,
														BgL_sfz00_25891);
												}
												{	/* Eval/evaluate.scm 1393 */
													int BgL_auxz00_40986;

													BgL_auxz00_40986 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_22990, BgL_auxz00_40986,
														BgL_runz00_24836);
												}
												{	/* Eval/evaluate.scm 1393 */
													int BgL_auxz00_40989;

													BgL_auxz00_40989 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_22990, BgL_auxz00_40989,
														BgL_arg6468z00_7127);
												}
												BgL_arg6467z00_7126 = BgL_newz00_22990;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_24837, BgL_arg6467z00_7126);
										BgL_arg6467z00_7126;
									}
									return BgL_mainz00_24837;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7886 */
	obj_t BGl_main_7886z00zz__evaluatez00(obj_t BgL_envz00_25893,
		obj_t BgL_az00_25898, obj_t BgL_bz00_25899, obj_t BgL_cz00_25900,
		obj_t BgL_dz00_25901, obj_t BgL_restz00_25902)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25896;

				obj_t BgL_runz00_25897;

				BgL_instance2850z00_25896 =
					PROCEDURE_REF(BgL_envz00_25893, (int) (((long) 2)));
				BgL_runz00_25897 = PROCEDURE_REF(BgL_envz00_25893, (int) (((long) 3)));
				{
					obj_t BgL_az00_7128;

					obj_t BgL_bz00_7129;

					obj_t BgL_cz00_7130;

					obj_t BgL_dz00_7131;

					obj_t BgL_restz00_7132;

					BgL_az00_7128 = BgL_az00_25898;
					BgL_bz00_7129 = BgL_bz00_25899;
					BgL_cz00_7130 = BgL_cz00_25900;
					BgL_dz00_7131 = BgL_dz00_25901;
					BgL_restz00_7132 = BgL_restz00_25902;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_7134;

						BgL_sz00_7134 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_7135;

							BgL_bpz00_7135 = VECTOR_REF(BgL_sz00_7134, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6470z00_7136;

								BgL_arg6470z00_7136 =
									((long) CINT(BgL_bpz00_7135) + ((long) 0));
								VECTOR_SET(BgL_sz00_7134,
									(int) (BgL_arg6470z00_7136), BgL_az00_7128);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6471z00_7137;

								BgL_arg6471z00_7137 =
									((long) CINT(BgL_bpz00_7135) + ((long) 1));
								VECTOR_SET(BgL_sz00_7134,
									(int) (BgL_arg6471z00_7137), BgL_bz00_7129);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6472z00_7138;

								BgL_arg6472z00_7138 =
									((long) CINT(BgL_bpz00_7135) + ((long) 2));
								VECTOR_SET(BgL_sz00_7134,
									(int) (BgL_arg6472z00_7138), BgL_cz00_7130);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6473z00_7139;

								BgL_arg6473z00_7139 =
									((long) CINT(BgL_bpz00_7135) + ((long) 3));
								VECTOR_SET(BgL_sz00_7134,
									(int) (BgL_arg6473z00_7139), BgL_dz00_7131);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_arg6474z00_7140;

								long BgL_arg6475z00_7141;

								BgL_arg6474z00_7140 =
									BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_bpz00_7135,
									BINT(((long) 4)));
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_nz00_23028;

									{
										BgL_ev_absz00_bglt BgL_auxz00_41017;

										BgL_auxz00_41017 =
											(BgL_ev_absz00_bglt) (BgL_instance2850z00_25896);
										BgL_nz00_23028 =
											(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_41017))->
											BgL_arityz00);
									}
									if (((long) CINT(BgL_nz00_23028) < ((long) 0)))
										{	/* Eval/evaluate.scm 1393 */
											BgL_arg6475z00_7141 =
												((long) CINT(BgL_nz00_23028) + ((long) 4));
										}
									else
										{	/* Eval/evaluate.scm 1393 */
											BgL_arg6475z00_7141 =
												((long) CINT(BgL_nz00_23028) - ((long) 4));
								}}
								BGl_bindzd2framezd2zz__evaluatez00(BgL_sz00_7134,
									BgL_arg6474z00_7140, BgL_arg6475z00_7141, BgL_restz00_7132);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2855z00_7144;

								BgL_val2855z00_7144 =
									BGl_zc3exitza36481ze3z83zz__evaluatez00(BgL_bpz00_7135,
									BgL_sz00_7134, BgL_runz00_25897);
								VECTOR_SET(BgL_sz00_7134, (int) (((long) 0)), BgL_bpz00_7135);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2855z00_7144)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2855z00_7144), CDR(BgL_val2855z00_7144));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2855z00_7144;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6481> */
	obj_t BGl_zc3exitza36481ze3z83zz__evaluatez00(obj_t BgL_bpz00_26336,
		obj_t BgL_sz00_26335, obj_t BgL_runz00_26334)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2856z00_7149;

			if (SET_EXIT(BgL_an_exit2856z00_7149))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2856z00_7149 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2856z00_7149, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2857z00_7150;

							BgL_val2857z00_7150 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26334,
								BgL_sz00_26335, BgL_bpz00_26336);
							POP_EXIT();
							return BgL_val2857z00_7150;
						}
					}
				}
		}
	}



/* run_7887 */
	obj_t BGl_run_7887z00zz__evaluatez00(obj_t BgL_envz00_25903,
		obj_t BgL_sz00_25907)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25904;

				obj_t BgL_instance2850z00_25905;

				obj_t BgL_bodyz00_25906;

				BgL_iboxesz00_25904 =
					PROCEDURE_REF(BgL_envz00_25903, (int) (((long) 0)));
				BgL_instance2850z00_25905 =
					PROCEDURE_REF(BgL_envz00_25903, (int) (((long) 1)));
				BgL_bodyz00_25906 = PROCEDURE_REF(BgL_envz00_25903, (int) (((long) 2)));
				{
					obj_t BgL_sz00_7152;

					BgL_sz00_7152 = BgL_sz00_25907;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_7154;

						BgL_bpz00_7154 = VECTOR_REF(BgL_sz00_7152, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_7152,
							BgL_iboxesz00_25904, BgL_bpz00_7154);
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_z12denvz12_7155;

							obj_t BgL_wherez00_7156;

							obj_t BgL_locz00_7157;

							BgL_z12denvz12_7155 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_41052;

								BgL_auxz00_41052 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25905);
								BgL_wherez00_7156 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_41052))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_41055;

								BgL_auxz00_41055 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25905);
								BgL_locz00_7157 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_41055))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1393 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_7155, BgL_wherez00_7156,
									BgL_locz00_7157);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_za2za2resza2za2z00_7158;

									BgL_za2za2resza2za2z00_7158 =
										PROCEDURE_ENTRY(BgL_bodyz00_25906) (BgL_bodyz00_25906,
										BgL_sz00_7152, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_7155);
									return BgL_za2za2resza2za2z00_7158;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6486> */
	obj_t BGl_zc3anonymousza36486ze3z83zz__evaluatez00(obj_t BgL_envz00_25908,
		obj_t BgL_sz00_25914)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25909;

				obj_t BgL_siza7eza7_25910;

				obj_t BgL_instance2850z00_25911;

				obj_t BgL_bodyz00_25912;

				obj_t BgL_sfz00_25913;

				BgL_iza2za2_25909 = PROCEDURE_REF(BgL_envz00_25908, (int) (((long) 0)));
				BgL_siza7eza7_25910 =
					PROCEDURE_REF(BgL_envz00_25908, (int) (((long) 1)));
				BgL_instance2850z00_25911 =
					PROCEDURE_REF(BgL_envz00_25908, (int) (((long) 2)));
				BgL_bodyz00_25912 = PROCEDURE_REF(BgL_envz00_25908, (int) (((long) 3)));
				BgL_sfz00_25913 = PROCEDURE_REF(BgL_envz00_25908, (int) (((long) 4)));
				{
					obj_t BgL_sz00_7163;

					BgL_sz00_7163 = BgL_sz00_25914;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_7165;

						BgL_bpz00_7165 = VECTOR_REF(BgL_sz00_7163, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_7166;

							BgL_valza2za2_7166 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_7163,
								BgL_bpz00_7165, BgL_iza2za2_25909);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24833;

								BgL_runz00_24833 =
									make_fx_procedure(BGl_run_7889z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_24833,
									(int) (((long) 0)), BgL_siza7eza7_25910);
								PROCEDURE_SET(BgL_runz00_24833,
									(int) (((long) 1)), BgL_valza2za2_7166);
								PROCEDURE_SET(BgL_runz00_24833,
									(int) (((long) 2)), BgL_instance2850z00_25911);
								PROCEDURE_SET(BgL_runz00_24833,
									(int) (((long) 3)), BgL_bodyz00_25912);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24834;

									BgL_mainz00_24834 =
										make_va_procedure(BGl_main_7888z00zz__evaluatez00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_24834,
										(int) (((long) 0)), BgL_siza7eza7_25910);
									PROCEDURE_SET(BgL_mainz00_24834,
										(int) (((long) 1)), BgL_valza2za2_7166);
									PROCEDURE_SET(BgL_mainz00_24834,
										(int) (((long) 2)), BgL_bodyz00_25912);
									PROCEDURE_SET(BgL_mainz00_24834,
										(int) (((long) 3)), BgL_instance2850z00_25911);
									PROCEDURE_SET(BgL_mainz00_24834,
										(int) (((long) 4)), BgL_runz00_24833);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_23051;

										BgL_objz00_23051 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24833, BgL_objz00_23051);
										BgL_objz00_23051;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6487z00_7169;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_arg6488z00_7170;

											{
												BgL_ev_absz00_bglt BgL_auxz00_41100;

												BgL_auxz00_41100 =
													(BgL_ev_absz00_bglt) (BgL_instance2850z00_25911);
												BgL_arg6488z00_7170 =
													(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_41100))->
													BgL_arityz00);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_newz00_23055;

												BgL_newz00_23055 =
													create_struct(BGl_symbol8224z00zz__evaluatez00,
													(int) (((long) 3)));
												{	/* Eval/evaluate.scm 1393 */
													int BgL_auxz00_41105;

													BgL_auxz00_41105 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_23055, BgL_auxz00_41105,
														BgL_sfz00_25913);
												}
												{	/* Eval/evaluate.scm 1393 */
													int BgL_auxz00_41108;

													BgL_auxz00_41108 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_23055, BgL_auxz00_41108,
														BgL_runz00_24833);
												}
												{	/* Eval/evaluate.scm 1393 */
													int BgL_auxz00_41111;

													BgL_auxz00_41111 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_23055, BgL_auxz00_41111,
														BgL_arg6488z00_7170);
												}
												BgL_arg6487z00_7169 = BgL_newz00_23055;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_24834, BgL_arg6487z00_7169);
										BgL_arg6487z00_7169;
									}
									return BgL_mainz00_24834;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7888 */
	obj_t BGl_main_7888z00zz__evaluatez00(obj_t BgL_envz00_25915,
		obj_t BgL_az00_25921, obj_t BgL_bz00_25922, obj_t BgL_cz00_25923,
		obj_t BgL_dz00_25924, obj_t BgL_restz00_25925)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25919;

				obj_t BgL_runz00_25920;

				BgL_instance2850z00_25919 =
					PROCEDURE_REF(BgL_envz00_25915, (int) (((long) 3)));
				BgL_runz00_25920 = PROCEDURE_REF(BgL_envz00_25915, (int) (((long) 4)));
				{
					obj_t BgL_az00_7171;

					obj_t BgL_bz00_7172;

					obj_t BgL_cz00_7173;

					obj_t BgL_dz00_7174;

					obj_t BgL_restz00_7175;

					BgL_az00_7171 = BgL_az00_25921;
					BgL_bz00_7172 = BgL_bz00_25922;
					BgL_cz00_7173 = BgL_cz00_25923;
					BgL_dz00_7174 = BgL_dz00_25924;
					BgL_restz00_7175 = BgL_restz00_25925;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_7177;

						BgL_sz00_7177 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_7178;

							BgL_bpz00_7178 = VECTOR_REF(BgL_sz00_7177, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6490z00_7179;

								BgL_arg6490z00_7179 =
									((long) CINT(BgL_bpz00_7178) + ((long) 0));
								VECTOR_SET(BgL_sz00_7177,
									(int) (BgL_arg6490z00_7179), BgL_az00_7171);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6491z00_7180;

								BgL_arg6491z00_7180 =
									((long) CINT(BgL_bpz00_7178) + ((long) 1));
								VECTOR_SET(BgL_sz00_7177,
									(int) (BgL_arg6491z00_7180), BgL_bz00_7172);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6492z00_7181;

								BgL_arg6492z00_7181 =
									((long) CINT(BgL_bpz00_7178) + ((long) 2));
								VECTOR_SET(BgL_sz00_7177,
									(int) (BgL_arg6492z00_7181), BgL_cz00_7173);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6493z00_7182;

								BgL_arg6493z00_7182 =
									((long) CINT(BgL_bpz00_7178) + ((long) 3));
								VECTOR_SET(BgL_sz00_7177,
									(int) (BgL_arg6493z00_7182), BgL_dz00_7174);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_arg6494z00_7183;

								long BgL_arg6495z00_7184;

								BgL_arg6494z00_7183 =
									BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_bpz00_7178,
									BINT(((long) 4)));
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_nz00_23093;

									{
										BgL_ev_absz00_bglt BgL_auxz00_41139;

										BgL_auxz00_41139 =
											(BgL_ev_absz00_bglt) (BgL_instance2850z00_25919);
										BgL_nz00_23093 =
											(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_41139))->
											BgL_arityz00);
									}
									if (((long) CINT(BgL_nz00_23093) < ((long) 0)))
										{	/* Eval/evaluate.scm 1393 */
											BgL_arg6495z00_7184 =
												((long) CINT(BgL_nz00_23093) + ((long) 4));
										}
									else
										{	/* Eval/evaluate.scm 1393 */
											BgL_arg6495z00_7184 =
												((long) CINT(BgL_nz00_23093) - ((long) 4));
								}}
								BGl_bindzd2framezd2zz__evaluatez00(BgL_sz00_7177,
									BgL_arg6494z00_7183, BgL_arg6495z00_7184, BgL_restz00_7175);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2858z00_7187;

								BgL_val2858z00_7187 =
									BGl_zc3exitza36501ze3z83zz__evaluatez00(BgL_bpz00_7178,
									BgL_sz00_7177, BgL_runz00_25920);
								VECTOR_SET(BgL_sz00_7177, (int) (((long) 0)), BgL_bpz00_7178);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2858z00_7187)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2858z00_7187), CDR(BgL_val2858z00_7187));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2858z00_7187;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6501> */
	obj_t BGl_zc3exitza36501ze3z83zz__evaluatez00(obj_t BgL_bpz00_26333,
		obj_t BgL_sz00_26332, obj_t BgL_runz00_26331)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2859z00_7192;

			if (SET_EXIT(BgL_an_exit2859z00_7192))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2859z00_7192 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2859z00_7192, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2860z00_7193;

							BgL_val2860z00_7193 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26331,
								BgL_sz00_26332, BgL_bpz00_26333);
							POP_EXIT();
							return BgL_val2860z00_7193;
						}
					}
				}
		}
	}



/* run_7889 */
	obj_t BGl_run_7889z00zz__evaluatez00(obj_t BgL_envz00_25926,
		obj_t BgL_sz00_25931)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_siza7eza7_25927;

				obj_t BgL_valza2za2_25928;

				obj_t BgL_instance2850z00_25929;

				obj_t BgL_bodyz00_25930;

				BgL_siza7eza7_25927 =
					PROCEDURE_REF(BgL_envz00_25926, (int) (((long) 0)));
				BgL_valza2za2_25928 =
					PROCEDURE_REF(BgL_envz00_25926, (int) (((long) 1)));
				BgL_instance2850z00_25929 =
					PROCEDURE_REF(BgL_envz00_25926, (int) (((long) 2)));
				BgL_bodyz00_25930 = PROCEDURE_REF(BgL_envz00_25926, (int) (((long) 3)));
				{
					obj_t BgL_sz00_7195;

					BgL_sz00_7195 = BgL_sz00_25931;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_7197;

						BgL_bpz00_7197 = VECTOR_REF(BgL_sz00_7195, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_7195,
							BgL_valza2za2_25928,
							((long) CINT(BgL_bpz00_7197) + (long) CINT(BgL_siza7eza7_25927)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_7199;

							obj_t BgL_wherez00_7200;

							obj_t BgL_locz00_7201;

							BgL_z12denvz12_7199 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_41179;

								BgL_auxz00_41179 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25929);
								BgL_wherez00_7200 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_41179))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_41182;

								BgL_auxz00_41182 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25929);
								BgL_locz00_7201 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_41182))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_7199, BgL_wherez00_7200,
									BgL_locz00_7201);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_7202;

									BgL_za2za2resza2za2z00_7202 =
										PROCEDURE_ENTRY(BgL_bodyz00_25930) (BgL_bodyz00_25930,
										BgL_sz00_7195, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_7199);
									return BgL_za2za2resza2za2z00_7202;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:6504> */
	obj_t BGl_zc3anonymousza36504ze3z83zz__evaluatez00(obj_t BgL_envz00_25932,
		obj_t BgL_sz00_25939)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iza2za2_25933;

				obj_t BgL_iboxesz00_25934;

				obj_t BgL_siza7eza7_25935;

				obj_t BgL_instance2850z00_25936;

				obj_t BgL_bodyz00_25937;

				obj_t BgL_sfz00_25938;

				BgL_iza2za2_25933 = PROCEDURE_REF(BgL_envz00_25932, (int) (((long) 0)));
				BgL_iboxesz00_25934 =
					PROCEDURE_REF(BgL_envz00_25932, (int) (((long) 1)));
				BgL_siza7eza7_25935 =
					PROCEDURE_REF(BgL_envz00_25932, (int) (((long) 2)));
				BgL_instance2850z00_25936 =
					PROCEDURE_REF(BgL_envz00_25932, (int) (((long) 3)));
				BgL_bodyz00_25937 = PROCEDURE_REF(BgL_envz00_25932, (int) (((long) 4)));
				BgL_sfz00_25938 = PROCEDURE_REF(BgL_envz00_25932, (int) (((long) 5)));
				{
					obj_t BgL_sz00_7204;

					BgL_sz00_7204 = BgL_sz00_25939;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_7206;

						BgL_bpz00_7206 = VECTOR_REF(BgL_sz00_7204, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_valza2za2_7207;

							BgL_valza2za2_7207 =
								BGl_freezd2collectzd2zz__evaluatez00(BgL_sz00_7204,
								BgL_bpz00_7206, BgL_iza2za2_25933);
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_runz00_24830;

								BgL_runz00_24830 =
									make_fx_procedure(BGl_run_7891z00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_24830,
									(int) (((long) 0)), BgL_iboxesz00_25934);
								PROCEDURE_SET(BgL_runz00_24830,
									(int) (((long) 1)), BgL_siza7eza7_25935);
								PROCEDURE_SET(BgL_runz00_24830,
									(int) (((long) 2)), BgL_valza2za2_7207);
								PROCEDURE_SET(BgL_runz00_24830,
									(int) (((long) 3)), BgL_instance2850z00_25936);
								PROCEDURE_SET(BgL_runz00_24830,
									(int) (((long) 4)), BgL_bodyz00_25937);
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_mainz00_24831;

									BgL_mainz00_24831 =
										make_va_procedure(BGl_main_7890z00zz__evaluatez00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_24831,
										(int) (((long) 0)), BgL_iboxesz00_25934);
									PROCEDURE_SET(BgL_mainz00_24831,
										(int) (((long) 1)), BgL_siza7eza7_25935);
									PROCEDURE_SET(BgL_mainz00_24831,
										(int) (((long) 2)), BgL_valza2za2_7207);
									PROCEDURE_SET(BgL_mainz00_24831,
										(int) (((long) 3)), BgL_bodyz00_25937);
									PROCEDURE_SET(BgL_mainz00_24831,
										(int) (((long) 4)), BgL_instance2850z00_25936);
									PROCEDURE_SET(BgL_mainz00_24831,
										(int) (((long) 5)), BgL_runz00_24830);
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_objz00_23115;

										BgL_objz00_23115 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluatez00;
										PROCEDURE_ATTR_SET(BgL_runz00_24830, BgL_objz00_23115);
										BgL_objz00_23115;
									}
									{	/* Eval/evaluate.scm 1393 */
										obj_t BgL_arg6505z00_7210;

										{	/* Eval/evaluate.scm 1393 */
											obj_t BgL_arg6506z00_7211;

											{
												BgL_ev_absz00_bglt BgL_auxz00_41233;

												BgL_auxz00_41233 =
													(BgL_ev_absz00_bglt) (BgL_instance2850z00_25936);
												BgL_arg6506z00_7211 =
													(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_41233))->
													BgL_arityz00);
											}
											{	/* Eval/evaluate.scm 1393 */
												obj_t BgL_newz00_23119;

												BgL_newz00_23119 =
													create_struct(BGl_symbol8224z00zz__evaluatez00,
													(int) (((long) 3)));
												{	/* Eval/evaluate.scm 1393 */
													int BgL_auxz00_41238;

													BgL_auxz00_41238 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_23119, BgL_auxz00_41238,
														BgL_sfz00_25938);
												}
												{	/* Eval/evaluate.scm 1393 */
													int BgL_auxz00_41241;

													BgL_auxz00_41241 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_23119, BgL_auxz00_41241,
														BgL_runz00_24830);
												}
												{	/* Eval/evaluate.scm 1393 */
													int BgL_auxz00_41244;

													BgL_auxz00_41244 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_23119, BgL_auxz00_41244,
														BgL_arg6506z00_7211);
												}
												BgL_arg6505z00_7210 = BgL_newz00_23119;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_24831, BgL_arg6505z00_7210);
										BgL_arg6505z00_7210;
									}
									return BgL_mainz00_24831;
								}
							}
						}
					}
				}
			}
		}
	}



/* main_7890 */
	obj_t BGl_main_7890z00zz__evaluatez00(obj_t BgL_envz00_25940,
		obj_t BgL_az00_25947, obj_t BgL_bz00_25948, obj_t BgL_cz00_25949,
		obj_t BgL_dz00_25950, obj_t BgL_restz00_25951)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_instance2850z00_25945;

				obj_t BgL_runz00_25946;

				BgL_instance2850z00_25945 =
					PROCEDURE_REF(BgL_envz00_25940, (int) (((long) 4)));
				BgL_runz00_25946 = PROCEDURE_REF(BgL_envz00_25940, (int) (((long) 5)));
				{
					obj_t BgL_az00_7212;

					obj_t BgL_bz00_7213;

					obj_t BgL_cz00_7214;

					obj_t BgL_dz00_7215;

					obj_t BgL_restz00_7216;

					BgL_az00_7212 = BgL_az00_25947;
					BgL_bz00_7213 = BgL_bz00_25948;
					BgL_cz00_7214 = BgL_cz00_25949;
					BgL_dz00_7215 = BgL_dz00_25950;
					BgL_restz00_7216 = BgL_restz00_25951;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_sz00_7218;

						BgL_sz00_7218 =
							BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00;
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_bpz00_7219;

							BgL_bpz00_7219 = VECTOR_REF(BgL_sz00_7218, (int) (((long) 0)));
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6508z00_7220;

								BgL_arg6508z00_7220 =
									((long) CINT(BgL_bpz00_7219) + ((long) 0));
								VECTOR_SET(BgL_sz00_7218,
									(int) (BgL_arg6508z00_7220), BgL_az00_7212);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6509z00_7221;

								BgL_arg6509z00_7221 =
									((long) CINT(BgL_bpz00_7219) + ((long) 1));
								VECTOR_SET(BgL_sz00_7218,
									(int) (BgL_arg6509z00_7221), BgL_bz00_7213);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6510z00_7222;

								BgL_arg6510z00_7222 =
									((long) CINT(BgL_bpz00_7219) + ((long) 2));
								VECTOR_SET(BgL_sz00_7218,
									(int) (BgL_arg6510z00_7222), BgL_cz00_7214);
							}
							{	/* Eval/evaluate.scm 1393 */
								long BgL_arg6511z00_7223;

								BgL_arg6511z00_7223 =
									((long) CINT(BgL_bpz00_7219) + ((long) 3));
								VECTOR_SET(BgL_sz00_7218,
									(int) (BgL_arg6511z00_7223), BgL_dz00_7215);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_arg6512z00_7224;

								long BgL_arg6513z00_7225;

								BgL_arg6512z00_7224 =
									BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_bpz00_7219,
									BINT(((long) 4)));
								{	/* Eval/evaluate.scm 1393 */
									obj_t BgL_nz00_23157;

									{
										BgL_ev_absz00_bglt BgL_auxz00_41272;

										BgL_auxz00_41272 =
											(BgL_ev_absz00_bglt) (BgL_instance2850z00_25945);
										BgL_nz00_23157 =
											(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_41272))->
											BgL_arityz00);
									}
									if (((long) CINT(BgL_nz00_23157) < ((long) 0)))
										{	/* Eval/evaluate.scm 1393 */
											BgL_arg6513z00_7225 =
												((long) CINT(BgL_nz00_23157) + ((long) 4));
										}
									else
										{	/* Eval/evaluate.scm 1393 */
											BgL_arg6513z00_7225 =
												((long) CINT(BgL_nz00_23157) - ((long) 4));
								}}
								BGl_bindzd2framezd2zz__evaluatez00(BgL_sz00_7218,
									BgL_arg6512z00_7224, BgL_arg6513z00_7225, BgL_restz00_7216);
							}
							{	/* Eval/evaluate.scm 1393 */
								obj_t BgL_val2861z00_7228;

								BgL_val2861z00_7228 =
									BGl_zc3exitza36519ze3z83zz__evaluatez00(BgL_bpz00_7219,
									BgL_sz00_7218, BgL_runz00_25946);
								VECTOR_SET(BgL_sz00_7218, (int) (((long) 0)), BgL_bpz00_7219);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2861z00_7228)))
									{	/* Eval/evaluate.scm 1393 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2861z00_7228), CDR(BgL_val2861z00_7228));
									}
								else
									{	/* Eval/evaluate.scm 1393 */
										return BgL_val2861z00_7228;
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:6519> */
	obj_t BGl_zc3exitza36519ze3z83zz__evaluatez00(obj_t BgL_bpz00_26330,
		obj_t BgL_sz00_26329, obj_t BgL_runz00_26328)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2862z00_7233;

			if (SET_EXIT(BgL_an_exit2862z00_7233))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2862z00_7233 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1393 */

						PUSH_EXIT(BgL_an_exit2862z00_7233, ((long) 0));
						{	/* Eval/evaluate.scm 1393 */
							obj_t BgL_val2863z00_7234;

							BgL_val2863z00_7234 =
								BGl_catchzd2trampolinezd2zz__evaluatez00(BgL_runz00_26328,
								BgL_sz00_26329, BgL_bpz00_26330);
							POP_EXIT();
							return BgL_val2863z00_7234;
						}
					}
				}
		}
	}



/* run_7891 */
	obj_t BGl_run_7891z00zz__evaluatez00(obj_t BgL_envz00_25952,
		obj_t BgL_sz00_25958)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1393 */
			{	/* Eval/evaluate.scm 1393 */
				obj_t BgL_iboxesz00_25953;

				obj_t BgL_siza7eza7_25954;

				obj_t BgL_valza2za2_25955;

				obj_t BgL_instance2850z00_25956;

				obj_t BgL_bodyz00_25957;

				BgL_iboxesz00_25953 =
					PROCEDURE_REF(BgL_envz00_25952, (int) (((long) 0)));
				BgL_siza7eza7_25954 =
					PROCEDURE_REF(BgL_envz00_25952, (int) (((long) 1)));
				BgL_valza2za2_25955 =
					PROCEDURE_REF(BgL_envz00_25952, (int) (((long) 2)));
				BgL_instance2850z00_25956 =
					PROCEDURE_REF(BgL_envz00_25952, (int) (((long) 3)));
				BgL_bodyz00_25957 = PROCEDURE_REF(BgL_envz00_25952, (int) (((long) 4)));
				{
					obj_t BgL_sz00_7236;

					BgL_sz00_7236 = BgL_sz00_25958;
					{	/* Eval/evaluate.scm 1393 */
						obj_t BgL_bpz00_7238;

						BgL_bpz00_7238 = VECTOR_REF(BgL_sz00_7236, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluatez00(BgL_sz00_7236,
							BgL_iboxesz00_25953, BgL_bpz00_7238);
						BGl_freezd2restorezd2zz__evaluatez00(BgL_sz00_7236,
							BgL_valza2za2_25955,
							((long) CINT(BgL_bpz00_7238) + (long) CINT(BgL_siza7eza7_25954)));
						{	/* Eval/evaluate.scm 1333 */
							obj_t BgL_z12denvz12_7240;

							obj_t BgL_wherez00_7241;

							obj_t BgL_locz00_7242;

							BgL_z12denvz12_7240 = BGL_CURRENT_DYNAMIC_ENV();
							{
								BgL_ev_absz00_bglt BgL_auxz00_41315;

								BgL_auxz00_41315 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25956);
								BgL_wherez00_7241 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_41315))->BgL_wherez00);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_41318;

								BgL_auxz00_41318 =
									(BgL_ev_absz00_bglt) (BgL_instance2850z00_25956);
								BgL_locz00_7242 =
									(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_41318))->BgL_locz00);
							}
							{	/* Eval/evaluate.scm 1333 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_7240, BgL_wherez00_7241,
									BgL_locz00_7242);
								{	/* Eval/evaluate.scm 1333 */
									obj_t BgL_za2za2resza2za2z00_7243;

									BgL_za2za2resza2za2z00_7243 =
										PROCEDURE_ENTRY(BgL_bodyz00_25957) (BgL_bodyz00_25957,
										BgL_sz00_7236, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_7240);
									return BgL_za2za2resza2za2z00_7243;
								}
							}
						}
					}
				}
			}
		}
	}



/* comp-ev_app3410 */
	obj_t BGl_compzd2ev_app3410zd2zz__evaluatez00(obj_t BgL_envz00_25959,
		obj_t BgL_ez00_25960, obj_t BgL_stkz00_25961)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1284 */
			{
				BgL_ev_appz00_bglt BgL_ez00_5689;

				obj_t BgL_stkz00_5690;

				BgL_ez00_5689 = (BgL_ev_appz00_bglt) (BgL_ez00_25960);
				BgL_stkz00_5690 = BgL_stkz00_25961;
				{	/* Eval/evaluate.scm 1286 */
					obj_t BgL__ortest_2839z00_5694;

					{	/* Eval/evaluate.scm 1286 */
						BgL_ev_exprz00_bglt BgL_arg5913z00_5732;

						obj_t BgL_arg5914z00_5733;

						BgL_arg5913z00_5732 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_5689))->BgL_funz00);
						BgL_arg5914z00_5733 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_5689))->BgL_argsz00);
						BgL__ortest_2839z00_5694 =
							BGl_inlinezd2callzd2zz__evaluatez00(BgL_arg5913z00_5732,
							BgL_arg5914z00_5733, BgL_stkz00_5690);
					}
					if (CBOOL(BgL__ortest_2839z00_5694))
						{	/* Eval/evaluate.scm 1286 */
							return BgL__ortest_2839z00_5694;
						}
					else
						{	/* Eval/evaluate.scm 1286 */
							if (
								(bgl_list_length(
										(((BgL_ev_appz00_bglt) CREF(BgL_ez00_5689))->BgL_argsz00)) >
									((long) 4)))
								{	/* Eval/evaluate.scm 1287 */
									return
										BGl_compzd2oldzd2callz00zz__evaluatez00(BgL_ez00_5689,
										BgL_stkz00_5690);
								}
							else
								{	/* Eval/evaluate.scm 1289 */
									obj_t BgL_fz00_5696;

									long BgL_siza7eza7_5697;

									{	/* Eval/evaluate.scm 1289 */
										BgL_ev_exprz00_bglt BgL_arg5909z00_5728;

										BgL_arg5909z00_5728 =
											(((BgL_ev_appz00_bglt) CREF(BgL_ez00_5689))->BgL_funz00);
										{	/* Eval/evaluate.scm 1289 */
											obj_t BgL_method3374z00_20781;

											{	/* Eval/evaluate.scm 1289 */
												BgL_objectz00_bglt BgL_objz00_20782;

												BgL_objz00_20782 =
													(BgL_objectz00_bglt) (BgL_arg5909z00_5728);
												{	/* Eval/evaluate.scm 1289 */
													long BgL_objzd2classzd2numz00_20783;

													BgL_objzd2classzd2numz00_20783 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_20782);
													{	/* Eval/evaluate.scm 1289 */
														obj_t BgL_arg6930z00_20784;

														BgL_arg6930z00_20784 =
															PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
															(int) (((long) 1)));
														{	/* Eval/evaluate.scm 1289 */
															obj_t BgL_arrayz00_20786;

															int BgL_offsetz00_20787;

															BgL_arrayz00_20786 = BgL_arg6930z00_20784;
															BgL_offsetz00_20787 =
																(int) (BgL_objzd2classzd2numz00_20783);
															{	/* Eval/evaluate.scm 1289 */
																long BgL_offsetz00_20788;

																BgL_offsetz00_20788 =
																	((long) (BgL_offsetz00_20787) - OBJECT_TYPE);
																{	/* Eval/evaluate.scm 1289 */
																	long BgL_modz00_20789;

																	{	/* Eval/evaluate.scm 1289 */
																		int BgL_arg6932z00_20790;

																		BgL_arg6932z00_20790 = (int) (((long) 16));
																		{	/* Eval/evaluate.scm 1289 */
																			long BgL_auxz00_41344;

																			BgL_auxz00_41344 =
																				(long) (BgL_arg6932z00_20790);
																			BgL_modz00_20789 =
																				(BgL_offsetz00_20788 /
																				BgL_auxz00_41344);
																	}}
																	{	/* Eval/evaluate.scm 1289 */
																		long BgL_restz00_20791;

																		{	/* Eval/evaluate.scm 1289 */
																			int BgL_arg6931z00_20792;

																			BgL_arg6931z00_20792 =
																				(int) (((long) 16));
																			{	/* Eval/evaluate.scm 1289 */
																				long BgL_auxz00_41348;

																				BgL_auxz00_41348 =
																					(long) (BgL_arg6931z00_20792);
																				BgL_restz00_20791 =
																					(BgL_offsetz00_20788 %
																					BgL_auxz00_41348);
																		}}
																		{	/* Eval/evaluate.scm 1289 */

																			BgL_method3374z00_20781 =
																				VECTOR_REF(VECTOR_REF
																				(BgL_arrayz00_20786,
																					(int) (BgL_modz00_20789)),
																				(int) (BgL_restz00_20791));
											}}}}}}}}
											BgL_fz00_5696 =
												PROCEDURE_ENTRY(BgL_method3374z00_20781)
												(BgL_method3374z00_20781, (obj_t) (BgL_arg5909z00_5728),
												BgL_stkz00_5690, BEOA);
									}}
									BgL_siza7eza7_5697 = bgl_list_length(BgL_stkz00_5690);
									if (NULLP(
											(((BgL_ev_appz00_bglt) CREF(BgL_ez00_5689))->
												BgL_argsz00)))
										{	/* Eval/evaluate.scm 1290 */
											return
												BGl_compzd2call0zd2zz__evaluatez00(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_5689))->
													BgL_locz00), BgL_fz00_5696,
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_5689))->
													BgL_tailzf3zf3), BgL_stkz00_5690, BgL_siza7eza7_5697);
										}
									else
										{	/* Eval/evaluate.scm 1292 */
											obj_t BgL_a1z00_5701;

											obj_t BgL_argsz00_5702;

											{	/* Eval/evaluate.scm 1292 */
												obj_t BgL_arg5905z00_5724;

												{	/* Eval/evaluate.scm 1292 */
													obj_t BgL_pairz00_20811;

													BgL_pairz00_20811 =
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_5689))->
														BgL_argsz00);
													BgL_arg5905z00_5724 = CAR(BgL_pairz00_20811);
												}
												{	/* Eval/evaluate.scm 1292 */
													BgL_ev_exprz00_bglt BgL_ez00_20812;

													BgL_ez00_20812 =
														(BgL_ev_exprz00_bglt) (BgL_arg5905z00_5724);
													{	/* Eval/evaluate.scm 1292 */
														obj_t BgL_method3374z00_20814;

														{	/* Eval/evaluate.scm 1292 */
															BgL_objectz00_bglt BgL_objz00_20815;

															BgL_objz00_20815 =
																(BgL_objectz00_bglt) (BgL_ez00_20812);
															{	/* Eval/evaluate.scm 1292 */
																long BgL_objzd2classzd2numz00_20816;

																BgL_objzd2classzd2numz00_20816 =
																	BGL_OBJECT_CLASS_NUM(BgL_objz00_20815);
																{	/* Eval/evaluate.scm 1292 */
																	obj_t BgL_arg6930z00_20817;

																	BgL_arg6930z00_20817 =
																		PROCEDURE_REF
																		(BGl_compzd2envzd2zz__evaluatez00,
																		(int) (((long) 1)));
																	{	/* Eval/evaluate.scm 1292 */
																		obj_t BgL_arrayz00_20819;

																		int BgL_offsetz00_20820;

																		BgL_arrayz00_20819 = BgL_arg6930z00_20817;
																		BgL_offsetz00_20820 =
																			(int) (BgL_objzd2classzd2numz00_20816);
																		{	/* Eval/evaluate.scm 1292 */
																			long BgL_offsetz00_20821;

																			BgL_offsetz00_20821 =
																				(
																				(long) (BgL_offsetz00_20820) -
																				OBJECT_TYPE);
																			{	/* Eval/evaluate.scm 1292 */
																				long BgL_modz00_20822;

																				{	/* Eval/evaluate.scm 1292 */
																					int BgL_arg6932z00_20823;

																					BgL_arg6932z00_20823 =
																						(int) (((long) 16));
																					{	/* Eval/evaluate.scm 1292 */
																						long BgL_auxz00_41376;

																						BgL_auxz00_41376 =
																							(long) (BgL_arg6932z00_20823);
																						BgL_modz00_20822 =
																							(BgL_offsetz00_20821 /
																							BgL_auxz00_41376);
																				}}
																				{	/* Eval/evaluate.scm 1292 */
																					long BgL_restz00_20824;

																					{	/* Eval/evaluate.scm 1292 */
																						int BgL_arg6931z00_20825;

																						BgL_arg6931z00_20825 =
																							(int) (((long) 16));
																						{	/* Eval/evaluate.scm 1292 */
																							long BgL_auxz00_41380;

																							BgL_auxz00_41380 =
																								(long) (BgL_arg6931z00_20825);
																							BgL_restz00_20824 =
																								(BgL_offsetz00_20821 %
																								BgL_auxz00_41380);
																					}}
																					{	/* Eval/evaluate.scm 1292 */

																						BgL_method3374z00_20814 =
																							VECTOR_REF(VECTOR_REF
																							(BgL_arrayz00_20819,
																								(int) (BgL_modz00_20822)),
																							(int) (BgL_restz00_20824));
														}}}}}}}}
														BgL_a1z00_5701 =
															PROCEDURE_ENTRY(BgL_method3374z00_20814)
															(BgL_method3374z00_20814,
															(obj_t) (BgL_ez00_20812), BgL_stkz00_5690, BEOA);
											}}}
											{	/* Eval/evaluate.scm 1292 */
												obj_t BgL_pairz00_20840;

												BgL_pairz00_20840 =
													(((BgL_ev_appz00_bglt) CREF(BgL_ez00_5689))->
													BgL_argsz00);
												BgL_argsz00_5702 = CDR(BgL_pairz00_20840);
											}
											if (NULLP(BgL_argsz00_5702))
												{	/* Eval/evaluate.scm 1292 */
													return
														BGl_compzd2call1zd2zz__evaluatez00(
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_5689))->
															BgL_locz00), BgL_fz00_5696,
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_5689))->
															BgL_tailzf3zf3), BgL_stkz00_5690,
														BgL_siza7eza7_5697, BgL_a1z00_5701);
												}
											else
												{	/* Eval/evaluate.scm 1292 */
													obj_t BgL_a2z00_5706;

													obj_t BgL_argsz00_5707;

													{	/* Eval/evaluate.scm 1292 */
														obj_t BgL_arg5904z00_5723;

														BgL_arg5904z00_5723 = CAR(BgL_argsz00_5702);
														{	/* Eval/evaluate.scm 1292 */
															BgL_ev_exprz00_bglt BgL_ez00_20845;

															BgL_ez00_20845 =
																(BgL_ev_exprz00_bglt) (BgL_arg5904z00_5723);
															{	/* Eval/evaluate.scm 1292 */
																obj_t BgL_method3374z00_20847;

																{	/* Eval/evaluate.scm 1292 */
																	BgL_objectz00_bglt BgL_objz00_20848;

																	BgL_objz00_20848 =
																		(BgL_objectz00_bglt) (BgL_ez00_20845);
																	{	/* Eval/evaluate.scm 1292 */
																		long BgL_objzd2classzd2numz00_20849;

																		BgL_objzd2classzd2numz00_20849 =
																			BGL_OBJECT_CLASS_NUM(BgL_objz00_20848);
																		{	/* Eval/evaluate.scm 1292 */
																			obj_t BgL_arg6930z00_20850;

																			BgL_arg6930z00_20850 =
																				PROCEDURE_REF
																				(BGl_compzd2envzd2zz__evaluatez00,
																				(int) (((long) 1)));
																			{	/* Eval/evaluate.scm 1292 */
																				obj_t BgL_arrayz00_20852;

																				int BgL_offsetz00_20853;

																				BgL_arrayz00_20852 =
																					BgL_arg6930z00_20850;
																				BgL_offsetz00_20853 =
																					(int)
																					(BgL_objzd2classzd2numz00_20849);
																				{	/* Eval/evaluate.scm 1292 */
																					long BgL_offsetz00_20854;

																					BgL_offsetz00_20854 =
																						(
																						(long) (BgL_offsetz00_20853) -
																						OBJECT_TYPE);
																					{	/* Eval/evaluate.scm 1292 */
																						long BgL_modz00_20855;

																						{	/* Eval/evaluate.scm 1292 */
																							int BgL_arg6932z00_20856;

																							BgL_arg6932z00_20856 =
																								(int) (((long) 16));
																							{	/* Eval/evaluate.scm 1292 */
																								long BgL_auxz00_41407;

																								BgL_auxz00_41407 =
																									(long) (BgL_arg6932z00_20856);
																								BgL_modz00_20855 =
																									(BgL_offsetz00_20854 /
																									BgL_auxz00_41407);
																						}}
																						{	/* Eval/evaluate.scm 1292 */
																							long BgL_restz00_20857;

																							{	/* Eval/evaluate.scm 1292 */
																								int BgL_arg6931z00_20858;

																								BgL_arg6931z00_20858 =
																									(int) (((long) 16));
																								{	/* Eval/evaluate.scm 1292 */
																									long BgL_auxz00_41411;

																									BgL_auxz00_41411 =
																										(long)
																										(BgL_arg6931z00_20858);
																									BgL_restz00_20857 =
																										(BgL_offsetz00_20854 %
																										BgL_auxz00_41411);
																							}}
																							{	/* Eval/evaluate.scm 1292 */

																								BgL_method3374z00_20847 =
																									VECTOR_REF(VECTOR_REF
																									(BgL_arrayz00_20852,
																										(int) (BgL_modz00_20855)),
																									(int) (BgL_restz00_20857));
																}}}}}}}}
																BgL_a2z00_5706 =
																	PROCEDURE_ENTRY(BgL_method3374z00_20847)
																	(BgL_method3374z00_20847,
																	(obj_t) (BgL_ez00_20845), BgL_stkz00_5690,
																	BEOA);
													}}}
													BgL_argsz00_5707 = CDR(BgL_argsz00_5702);
													if (NULLP(BgL_argsz00_5707))
														{	/* Eval/evaluate.scm 1292 */
															return
																BGl_compzd2call2zd2zz__evaluatez00(
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_5689))->
																	BgL_locz00), BgL_fz00_5696,
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_5689))->
																	BgL_tailzf3zf3), BgL_stkz00_5690,
																BgL_siza7eza7_5697, BgL_a1z00_5701,
																BgL_a2z00_5706);
														}
													else
														{	/* Eval/evaluate.scm 1292 */
															obj_t BgL_a3z00_5711;

															obj_t BgL_argsz00_5712;

															{	/* Eval/evaluate.scm 1292 */
																obj_t BgL_arg5903z00_5722;

																BgL_arg5903z00_5722 = CAR(BgL_argsz00_5707);
																{	/* Eval/evaluate.scm 1292 */
																	BgL_ev_exprz00_bglt BgL_ez00_20877;

																	BgL_ez00_20877 =
																		(BgL_ev_exprz00_bglt) (BgL_arg5903z00_5722);
																	{	/* Eval/evaluate.scm 1292 */
																		obj_t BgL_method3374z00_20879;

																		{	/* Eval/evaluate.scm 1292 */
																			BgL_objectz00_bglt BgL_objz00_20880;

																			BgL_objz00_20880 =
																				(BgL_objectz00_bglt) (BgL_ez00_20877);
																			{	/* Eval/evaluate.scm 1292 */
																				long BgL_objzd2classzd2numz00_20881;

																				BgL_objzd2classzd2numz00_20881 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_objz00_20880);
																				{	/* Eval/evaluate.scm 1292 */
																					obj_t BgL_arg6930z00_20882;

																					BgL_arg6930z00_20882 =
																						PROCEDURE_REF
																						(BGl_compzd2envzd2zz__evaluatez00,
																						(int) (((long) 1)));
																					{	/* Eval/evaluate.scm 1292 */
																						obj_t BgL_arrayz00_20884;

																						int BgL_offsetz00_20885;

																						BgL_arrayz00_20884 =
																							BgL_arg6930z00_20882;
																						BgL_offsetz00_20885 =
																							(int)
																							(BgL_objzd2classzd2numz00_20881);
																						{	/* Eval/evaluate.scm 1292 */
																							long BgL_offsetz00_20886;

																							BgL_offsetz00_20886 =
																								(
																								(long) (BgL_offsetz00_20885) -
																								OBJECT_TYPE);
																							{	/* Eval/evaluate.scm 1292 */
																								long BgL_modz00_20887;

																								{	/* Eval/evaluate.scm 1292 */
																									int BgL_arg6932z00_20888;

																									BgL_arg6932z00_20888 =
																										(int) (((long) 16));
																									{	/* Eval/evaluate.scm 1292 */
																										long BgL_auxz00_41437;

																										BgL_auxz00_41437 =
																											(long)
																											(BgL_arg6932z00_20888);
																										BgL_modz00_20887 =
																											(BgL_offsetz00_20886 /
																											BgL_auxz00_41437);
																								}}
																								{	/* Eval/evaluate.scm 1292 */
																									long BgL_restz00_20889;

																									{	/* Eval/evaluate.scm 1292 */
																										int BgL_arg6931z00_20890;

																										BgL_arg6931z00_20890 =
																											(int) (((long) 16));
																										{	/* Eval/evaluate.scm 1292 */
																											long BgL_auxz00_41441;

																											BgL_auxz00_41441 =
																												(long)
																												(BgL_arg6931z00_20890);
																											BgL_restz00_20889 =
																												(BgL_offsetz00_20886 %
																												BgL_auxz00_41441);
																									}}
																									{	/* Eval/evaluate.scm 1292 */

																										BgL_method3374z00_20879 =
																											VECTOR_REF(VECTOR_REF
																											(BgL_arrayz00_20884,
																												(int)
																												(BgL_modz00_20887)),
																											(int)
																											(BgL_restz00_20889));
																		}}}}}}}}
																		BgL_a3z00_5711 =
																			PROCEDURE_ENTRY(BgL_method3374z00_20879)
																			(BgL_method3374z00_20879,
																			(obj_t) (BgL_ez00_20877), BgL_stkz00_5690,
																			BEOA);
															}}}
															BgL_argsz00_5712 = CDR(BgL_argsz00_5707);
															if (NULLP(BgL_argsz00_5712))
																{	/* Eval/evaluate.scm 1292 */
																	return
																		BGl_compzd2call3zd2zz__evaluatez00(
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_5689))->BgL_locz00),
																		BgL_fz00_5696,
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_5689))->BgL_tailzf3zf3),
																		BgL_stkz00_5690, BgL_siza7eza7_5697,
																		BgL_a1z00_5701, BgL_a2z00_5706,
																		BgL_a3z00_5711);
																}
															else
																{	/* Eval/evaluate.scm 1292 */
																	obj_t BgL_a4z00_5716;

																	obj_t BgL_argsz00_5717;

																	{	/* Eval/evaluate.scm 1292 */
																		obj_t BgL_arg5902z00_5721;

																		BgL_arg5902z00_5721 = CAR(BgL_argsz00_5712);
																		{	/* Eval/evaluate.scm 1292 */
																			BgL_ev_exprz00_bglt BgL_ez00_20909;

																			BgL_ez00_20909 =
																				(BgL_ev_exprz00_bglt)
																				(BgL_arg5902z00_5721);
																			{	/* Eval/evaluate.scm 1292 */
																				obj_t BgL_method3374z00_20911;

																				{	/* Eval/evaluate.scm 1292 */
																					BgL_objectz00_bglt BgL_objz00_20912;

																					BgL_objz00_20912 =
																						(BgL_objectz00_bglt)
																						(BgL_ez00_20909);
																					{	/* Eval/evaluate.scm 1292 */
																						long BgL_objzd2classzd2numz00_20913;

																						BgL_objzd2classzd2numz00_20913 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_objz00_20912);
																						{	/* Eval/evaluate.scm 1292 */
																							obj_t BgL_arg6930z00_20914;

																							BgL_arg6930z00_20914 =
																								PROCEDURE_REF
																								(BGl_compzd2envzd2zz__evaluatez00,
																								(int) (((long) 1)));
																							{	/* Eval/evaluate.scm 1292 */
																								obj_t BgL_arrayz00_20916;

																								int BgL_offsetz00_20917;

																								BgL_arrayz00_20916 =
																									BgL_arg6930z00_20914;
																								BgL_offsetz00_20917 =
																									(int)
																									(BgL_objzd2classzd2numz00_20913);
																								{	/* Eval/evaluate.scm 1292 */
																									long BgL_offsetz00_20918;

																									BgL_offsetz00_20918 =
																										(
																										(long) (BgL_offsetz00_20917)
																										- OBJECT_TYPE);
																									{	/* Eval/evaluate.scm 1292 */
																										long BgL_modz00_20919;

																										{	/* Eval/evaluate.scm 1292 */
																											int BgL_arg6932z00_20920;

																											BgL_arg6932z00_20920 =
																												(int) (((long) 16));
																											{	/* Eval/evaluate.scm 1292 */
																												long BgL_auxz00_41467;

																												BgL_auxz00_41467 =
																													(long)
																													(BgL_arg6932z00_20920);
																												BgL_modz00_20919 =
																													(BgL_offsetz00_20918 /
																													BgL_auxz00_41467);
																										}}
																										{	/* Eval/evaluate.scm 1292 */
																											long BgL_restz00_20921;

																											{	/* Eval/evaluate.scm 1292 */
																												int
																													BgL_arg6931z00_20922;
																												BgL_arg6931z00_20922 =
																													(int) (((long) 16));
																												{	/* Eval/evaluate.scm 1292 */
																													long BgL_auxz00_41471;

																													BgL_auxz00_41471 =
																														(long)
																														(BgL_arg6931z00_20922);
																													BgL_restz00_20921 =
																														(BgL_offsetz00_20918
																														% BgL_auxz00_41471);
																											}}
																											{	/* Eval/evaluate.scm 1292 */

																												BgL_method3374z00_20911
																													=
																													VECTOR_REF(VECTOR_REF
																													(BgL_arrayz00_20916,
																														(int)
																														(BgL_modz00_20919)),
																													(int)
																													(BgL_restz00_20921));
																				}}}}}}}}
																				BgL_a4z00_5716 =
																					PROCEDURE_ENTRY
																					(BgL_method3374z00_20911)
																					(BgL_method3374z00_20911,
																					(obj_t) (BgL_ez00_20909),
																					BgL_stkz00_5690, BEOA);
																	}}}
																	BgL_argsz00_5717 = CDR(BgL_argsz00_5712);
																	if (NULLP(BgL_argsz00_5717))
																		{	/* Eval/evaluate.scm 1292 */
																			return
																				BGl_compzd2call4zd2zz__evaluatez00(
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_5689))->BgL_locz00),
																				BgL_fz00_5696,
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_5689))->
																					BgL_tailzf3zf3), BgL_stkz00_5690,
																				BgL_siza7eza7_5697, BgL_a1z00_5701,
																				BgL_a2z00_5706, BgL_a3z00_5711,
																				BgL_a4z00_5716);
																		}
																	else
																		{	/* Eval/evaluate.scm 1292 */
																			return
																				BGl_errorz00zz__errorz00
																				(BGl_symbol8221z00zz__evaluatez00,
																				BGl_string8587z00zz__evaluatez00,
																				BGl_string8588z00zz__evaluatez00);
																		}
																}
														}
												}
										}
								}
						}
				}
			}
		}
	}



/* comp-ev_with-handler3408 */
	obj_t BGl_compzd2ev_withzd2handler3408z00zz__evaluatez00(obj_t
		BgL_envz00_25962, obj_t BgL_ez00_25963, obj_t BgL_stkz00_25964)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1019 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_5651;

				obj_t BgL_stkz00_5652;

				BgL_ez00_5651 = (BgL_ev_withzd2handlerzd2_bglt) (BgL_ez00_25963);
				BgL_stkz00_5652 = BgL_stkz00_25964;
				{	/* Eval/evaluate.scm 1021 */
					obj_t BgL_handlerz00_5656;

					obj_t BgL_bodyz00_5657;

					{	/* Eval/evaluate.scm 1021 */
						BgL_ev_exprz00_bglt BgL_arg5883z00_5685;

						BgL_arg5883z00_5685 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_5651))->
							BgL_handlerz00);
						{	/* Eval/evaluate.scm 1021 */
							obj_t BgL_method3374z00_20708;

							{	/* Eval/evaluate.scm 1021 */
								BgL_objectz00_bglt BgL_objz00_20709;

								BgL_objz00_20709 = (BgL_objectz00_bglt) (BgL_arg5883z00_5685);
								{	/* Eval/evaluate.scm 1021 */
									long BgL_objzd2classzd2numz00_20710;

									BgL_objzd2classzd2numz00_20710 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_20709);
									{	/* Eval/evaluate.scm 1021 */
										obj_t BgL_arg6930z00_20711;

										BgL_arg6930z00_20711 =
											PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 1021 */
											obj_t BgL_arrayz00_20713;

											int BgL_offsetz00_20714;

											BgL_arrayz00_20713 = BgL_arg6930z00_20711;
											BgL_offsetz00_20714 =
												(int) (BgL_objzd2classzd2numz00_20710);
											{	/* Eval/evaluate.scm 1021 */
												long BgL_offsetz00_20715;

												BgL_offsetz00_20715 =
													((long) (BgL_offsetz00_20714) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 1021 */
													long BgL_modz00_20716;

													{	/* Eval/evaluate.scm 1021 */
														int BgL_arg6932z00_20717;

														BgL_arg6932z00_20717 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 1021 */
															long BgL_auxz00_41498;

															BgL_auxz00_41498 = (long) (BgL_arg6932z00_20717);
															BgL_modz00_20716 =
																(BgL_offsetz00_20715 / BgL_auxz00_41498);
													}}
													{	/* Eval/evaluate.scm 1021 */
														long BgL_restz00_20718;

														{	/* Eval/evaluate.scm 1021 */
															int BgL_arg6931z00_20719;

															BgL_arg6931z00_20719 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 1021 */
																long BgL_auxz00_41502;

																BgL_auxz00_41502 =
																	(long) (BgL_arg6931z00_20719);
																BgL_restz00_20718 =
																	(BgL_offsetz00_20715 % BgL_auxz00_41502);
														}}
														{	/* Eval/evaluate.scm 1021 */

															BgL_method3374z00_20708 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_20713,
																	(int) (BgL_modz00_20716)),
																(int) (BgL_restz00_20718));
							}}}}}}}}
							BgL_handlerz00_5656 =
								PROCEDURE_ENTRY(BgL_method3374z00_20708)
								(BgL_method3374z00_20708, (obj_t) (BgL_arg5883z00_5685),
								BgL_stkz00_5652, BEOA);
					}}
					{	/* Eval/evaluate.scm 1021 */
						BgL_ev_exprz00_bglt BgL_arg5884z00_5686;

						BgL_arg5884z00_5686 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_5651))->
							BgL_bodyz00);
						{	/* Eval/evaluate.scm 1021 */
							obj_t BgL_method3374z00_20736;

							{	/* Eval/evaluate.scm 1021 */
								BgL_objectz00_bglt BgL_objz00_20737;

								BgL_objz00_20737 = (BgL_objectz00_bglt) (BgL_arg5884z00_5686);
								{	/* Eval/evaluate.scm 1021 */
									long BgL_objzd2classzd2numz00_20738;

									BgL_objzd2classzd2numz00_20738 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_20737);
									{	/* Eval/evaluate.scm 1021 */
										obj_t BgL_arg6930z00_20739;

										BgL_arg6930z00_20739 =
											PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 1021 */
											obj_t BgL_arrayz00_20741;

											int BgL_offsetz00_20742;

											BgL_arrayz00_20741 = BgL_arg6930z00_20739;
											BgL_offsetz00_20742 =
												(int) (BgL_objzd2classzd2numz00_20738);
											{	/* Eval/evaluate.scm 1021 */
												long BgL_offsetz00_20743;

												BgL_offsetz00_20743 =
													((long) (BgL_offsetz00_20742) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 1021 */
													long BgL_modz00_20744;

													{	/* Eval/evaluate.scm 1021 */
														int BgL_arg6932z00_20745;

														BgL_arg6932z00_20745 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 1021 */
															long BgL_auxz00_41521;

															BgL_auxz00_41521 = (long) (BgL_arg6932z00_20745);
															BgL_modz00_20744 =
																(BgL_offsetz00_20743 / BgL_auxz00_41521);
													}}
													{	/* Eval/evaluate.scm 1021 */
														long BgL_restz00_20746;

														{	/* Eval/evaluate.scm 1021 */
															int BgL_arg6931z00_20747;

															BgL_arg6931z00_20747 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 1021 */
																long BgL_auxz00_41525;

																BgL_auxz00_41525 =
																	(long) (BgL_arg6931z00_20747);
																BgL_restz00_20746 =
																	(BgL_offsetz00_20743 % BgL_auxz00_41525);
														}}
														{	/* Eval/evaluate.scm 1021 */

															BgL_method3374z00_20736 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_20741,
																	(int) (BgL_modz00_20744)),
																(int) (BgL_restz00_20746));
							}}}}}}}}
							BgL_bodyz00_5657 =
								PROCEDURE_ENTRY(BgL_method3374z00_20736)
								(BgL_method3374z00_20736, (obj_t) (BgL_arg5884z00_5686),
								BgL_stkz00_5652, BEOA);
					}}
					{	/* Eval/evaluate.scm 1022 */
						obj_t BgL_zc3anonymousza35871ze3z83_24845;

						BgL_zc3anonymousza35871ze3z83_24845 =
							make_fx_procedure(BGl_zc3anonymousza35871ze3z83zz__evaluatez00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza35871ze3z83_24845,
							(int) (((long) 0)), BgL_handlerz00_5656);
						PROCEDURE_SET(BgL_zc3anonymousza35871ze3z83_24845,
							(int) (((long) 1)), BgL_bodyz00_5657);
						return BgL_zc3anonymousza35871ze3z83_24845;
					}
				}
			}
		}
	}



/* <anonymous:5871> */
	obj_t BGl_zc3anonymousza35871ze3z83zz__evaluatez00(obj_t BgL_envz00_25965,
		obj_t BgL_sz00_25968)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1022 */
			{	/* Eval/evaluate.scm 1022 */
				obj_t BgL_handlerz00_25966;

				obj_t BgL_bodyz00_25967;

				BgL_handlerz00_25966 =
					PROCEDURE_REF(BgL_envz00_25965, (int) (((long) 0)));
				BgL_bodyz00_25967 = PROCEDURE_REF(BgL_envz00_25965, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5658;

					BgL_sz00_5658 = BgL_sz00_25968;
					{	/* Eval/evaluate.scm 1022 */
						obj_t BgL_bpz00_5660;

						BgL_bpz00_5660 = VECTOR_REF(BgL_sz00_5658, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1023 */
							obj_t BgL_hz00_5661;

							BgL_hz00_5661 =
								PROCEDURE_ENTRY(BgL_handlerz00_25966) (BgL_handlerz00_25966,
								BgL_sz00_5658, BEOA);
							return BGl_zc3exitza35872ze3z83zz__evaluatez00(BgL_hz00_5661,
								BgL_sz00_5658, BgL_bodyz00_25967);
						}
					}
				}
			}
		}
	}



/* <exit:5872> */
	obj_t BGl_zc3exitza35872ze3z83zz__evaluatez00(obj_t BgL_hz00_26322,
		obj_t BgL_sz00_26321, obj_t BgL_bodyz00_26320)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1024 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2784z00_5663;

			if (SET_EXIT(BgL_an_exit2784z00_5663))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2784z00_5663 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1024 */

						PUSH_EXIT(BgL_an_exit2784z00_5663, ((long) 1));
						{	/* Eval/evaluate.scm 1024 */
							obj_t BgL_an_exitd2785z00_5664;

							BgL_an_exitd2785z00_5664 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate.scm 1024 */
								obj_t BgL_res2787z00_5667;

								{	/* Eval/evaluate.scm 1024 */
									obj_t BgL_err2782z00_5668;

									obj_t BgL_ohs2781z00_5669;

									BgL_err2782z00_5668 = MAKE_PAIR(BFALSE, BUNSPEC);
									BgL_ohs2781z00_5669 = BGL_ERROR_HANDLER_GET();
									{	/* Eval/evaluate.scm 1024 */
										obj_t BgL_val2788z00_5670;

										BgL_val2788z00_5670 =
											BGl_zc3exitza35879ze3z83zz__evaluatez00(BgL_sz00_26321,
											BgL_bodyz00_26320, BgL_ohs2781z00_5669,
											BgL_an_exitd2785z00_5664, BgL_err2782z00_5668);
										BGL_ERROR_HANDLER_SET(BgL_ohs2781z00_5669);
										BUNSPEC;
										if (CBOOL(CAR(BgL_err2782z00_5668)))
											{	/* Eval/evaluate.scm 1024 */
												obj_t BgL_arg5874z00_5672;

												{	/* Eval/evaluate.scm 1024 */
													obj_t BgL_arg5875z00_5673;

													BgL_arg5875z00_5673 = CDR(BgL_err2782z00_5668);
													BgL_arg5874z00_5672 =
														PROCEDURE_ENTRY(BgL_hz00_26322) (BgL_hz00_26322,
														BgL_arg5875z00_5673, BEOA);
												}
												BGl_unwindzd2untilz12zc0zz__bexitz00
													(BgL_an_exitd2785z00_5664, BgL_arg5874z00_5672);
											}
										else
											{	/* Eval/evaluate.scm 1024 */
												BFALSE;
											}
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val2788z00_5670)))
											{	/* Eval/evaluate.scm 1024 */
												BgL_res2787z00_5667 =
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val2788z00_5670), CDR(BgL_val2788z00_5670));
											}
										else
											{	/* Eval/evaluate.scm 1024 */
												BgL_res2787z00_5667 = BgL_val2788z00_5670;
											}
									}
								}
								POP_EXIT();
								return BgL_res2787z00_5667;
							}
						}
					}
				}
		}
	}



/* <exit:5879> */
	obj_t BGl_zc3exitza35879ze3z83zz__evaluatez00(obj_t BgL_sz00_26327,
		obj_t BgL_bodyz00_26326, obj_t BgL_ohs2781z00_26325,
		obj_t BgL_an_exitd2785z00_26324, obj_t BgL_err2782z00_26323)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1024 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2789z00_5678;

			if (SET_EXIT(BgL_an_exit2789z00_5678))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2789z00_5678 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1024 */

						PUSH_EXIT(BgL_an_exit2789z00_5678, ((long) 0));
						{	/* Eval/evaluate.scm 1024 */
							obj_t BgL_val2790z00_5679;

							{	/* Eval/evaluate.scm 1024 */
								obj_t BgL_arg5880z00_5680;

								{	/* Eval/evaluate.scm 1024 */
									obj_t BgL_zc3anonymousza35882ze3z83_24844;

									BgL_zc3anonymousza35882ze3z83_24844 =
										make_fx_procedure
										(BGl_zc3anonymousza35882ze3z83zz__evaluatez00,
										(int) (((long) 1)), (int) (((long) 2)));
									PROCEDURE_SET(BgL_zc3anonymousza35882ze3z83_24844,
										(int) (((long) 0)), BgL_err2782z00_26323);
									PROCEDURE_SET(BgL_zc3anonymousza35882ze3z83_24844,
										(int) (((long) 1)), BgL_an_exitd2785z00_26324);
									BgL_arg5880z00_5680 =
										MAKE_PAIR(BgL_zc3anonymousza35882ze3z83_24844,
										BgL_ohs2781z00_26325);
								}
								BGL_ERROR_HANDLER_SET(BgL_arg5880z00_5680);
								BUNSPEC;
							}
							BgL_val2790z00_5679 =
								PROCEDURE_ENTRY(BgL_bodyz00_26326) (BgL_bodyz00_26326,
								BgL_sz00_26327, BEOA);
							POP_EXIT();
							return BgL_val2790z00_5679;
						}
					}
				}
		}
	}



/* <anonymous:5882> */
	obj_t BGl_zc3anonymousza35882ze3z83zz__evaluatez00(obj_t BgL_envz00_25969,
		obj_t BgL_ez00_25972)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1024 */
			{	/* Eval/evaluate.scm 1024 */
				obj_t BgL_err2782z00_25970;

				obj_t BgL_an_exitd2785z00_25971;

				BgL_err2782z00_25970 =
					PROCEDURE_REF(BgL_envz00_25969, (int) (((long) 0)));
				BgL_an_exitd2785z00_25971 =
					PROCEDURE_REF(BgL_envz00_25969, (int) (((long) 1)));
				{
					obj_t BgL_ez00_5682;

					BgL_ez00_5682 = BgL_ez00_25972;
					SET_CAR(BgL_err2782z00_25970, BTRUE);
					SET_CDR(BgL_err2782z00_25970, BgL_ez00_5682);
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd2785z00_25971,
						BgL_ez00_5682);
				}
			}
		}
	}



/* comp-ev_unwind-prote3406 */
	obj_t BGl_compzd2ev_unwindzd2prote3406z00zz__evaluatez00(obj_t
		BgL_envz00_25973, obj_t BgL_ez00_25974, obj_t BgL_stkz00_25975)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1013 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_5630;

				obj_t BgL_stkz00_5631;

				BgL_ez00_5630 = (BgL_ev_unwindzd2protectzd2_bglt) (BgL_ez00_25974);
				BgL_stkz00_5631 = BgL_stkz00_25975;
				{	/* Eval/evaluate.scm 1015 */
					obj_t BgL_ez00_5635;

					obj_t BgL_bodyz00_5636;

					{	/* Eval/evaluate.scm 1015 */
						BgL_ev_exprz00_bglt BgL_arg5868z00_5647;

						BgL_arg5868z00_5647 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_5630))->
							BgL_ez00);
						{	/* Eval/evaluate.scm 1015 */
							obj_t BgL_method3374z00_20648;

							{	/* Eval/evaluate.scm 1015 */
								BgL_objectz00_bglt BgL_objz00_20649;

								BgL_objz00_20649 = (BgL_objectz00_bglt) (BgL_arg5868z00_5647);
								{	/* Eval/evaluate.scm 1015 */
									long BgL_objzd2classzd2numz00_20650;

									BgL_objzd2classzd2numz00_20650 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_20649);
									{	/* Eval/evaluate.scm 1015 */
										obj_t BgL_arg6930z00_20651;

										BgL_arg6930z00_20651 =
											PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 1015 */
											obj_t BgL_arrayz00_20653;

											int BgL_offsetz00_20654;

											BgL_arrayz00_20653 = BgL_arg6930z00_20651;
											BgL_offsetz00_20654 =
												(int) (BgL_objzd2classzd2numz00_20650);
											{	/* Eval/evaluate.scm 1015 */
												long BgL_offsetz00_20655;

												BgL_offsetz00_20655 =
													((long) (BgL_offsetz00_20654) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 1015 */
													long BgL_modz00_20656;

													{	/* Eval/evaluate.scm 1015 */
														int BgL_arg6932z00_20657;

														BgL_arg6932z00_20657 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 1015 */
															long BgL_auxz00_41605;

															BgL_auxz00_41605 = (long) (BgL_arg6932z00_20657);
															BgL_modz00_20656 =
																(BgL_offsetz00_20655 / BgL_auxz00_41605);
													}}
													{	/* Eval/evaluate.scm 1015 */
														long BgL_restz00_20658;

														{	/* Eval/evaluate.scm 1015 */
															int BgL_arg6931z00_20659;

															BgL_arg6931z00_20659 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 1015 */
																long BgL_auxz00_41609;

																BgL_auxz00_41609 =
																	(long) (BgL_arg6931z00_20659);
																BgL_restz00_20658 =
																	(BgL_offsetz00_20655 % BgL_auxz00_41609);
														}}
														{	/* Eval/evaluate.scm 1015 */

															BgL_method3374z00_20648 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_20653,
																	(int) (BgL_modz00_20656)),
																(int) (BgL_restz00_20658));
							}}}}}}}}
							BgL_ez00_5635 =
								PROCEDURE_ENTRY(BgL_method3374z00_20648)
								(BgL_method3374z00_20648, (obj_t) (BgL_arg5868z00_5647),
								BgL_stkz00_5631, BEOA);
					}}
					{	/* Eval/evaluate.scm 1015 */
						BgL_ev_exprz00_bglt BgL_arg5869z00_5648;

						BgL_arg5869z00_5648 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_5630))->
							BgL_bodyz00);
						{	/* Eval/evaluate.scm 1015 */
							obj_t BgL_method3374z00_20676;

							{	/* Eval/evaluate.scm 1015 */
								BgL_objectz00_bglt BgL_objz00_20677;

								BgL_objz00_20677 = (BgL_objectz00_bglt) (BgL_arg5869z00_5648);
								{	/* Eval/evaluate.scm 1015 */
									long BgL_objzd2classzd2numz00_20678;

									BgL_objzd2classzd2numz00_20678 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_20677);
									{	/* Eval/evaluate.scm 1015 */
										obj_t BgL_arg6930z00_20679;

										BgL_arg6930z00_20679 =
											PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 1015 */
											obj_t BgL_arrayz00_20681;

											int BgL_offsetz00_20682;

											BgL_arrayz00_20681 = BgL_arg6930z00_20679;
											BgL_offsetz00_20682 =
												(int) (BgL_objzd2classzd2numz00_20678);
											{	/* Eval/evaluate.scm 1015 */
												long BgL_offsetz00_20683;

												BgL_offsetz00_20683 =
													((long) (BgL_offsetz00_20682) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 1015 */
													long BgL_modz00_20684;

													{	/* Eval/evaluate.scm 1015 */
														int BgL_arg6932z00_20685;

														BgL_arg6932z00_20685 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 1015 */
															long BgL_auxz00_41628;

															BgL_auxz00_41628 = (long) (BgL_arg6932z00_20685);
															BgL_modz00_20684 =
																(BgL_offsetz00_20683 / BgL_auxz00_41628);
													}}
													{	/* Eval/evaluate.scm 1015 */
														long BgL_restz00_20686;

														{	/* Eval/evaluate.scm 1015 */
															int BgL_arg6931z00_20687;

															BgL_arg6931z00_20687 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 1015 */
																long BgL_auxz00_41632;

																BgL_auxz00_41632 =
																	(long) (BgL_arg6931z00_20687);
																BgL_restz00_20686 =
																	(BgL_offsetz00_20683 % BgL_auxz00_41632);
														}}
														{	/* Eval/evaluate.scm 1015 */

															BgL_method3374z00_20676 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_20681,
																	(int) (BgL_modz00_20684)),
																(int) (BgL_restz00_20686));
							}}}}}}}}
							BgL_bodyz00_5636 =
								PROCEDURE_ENTRY(BgL_method3374z00_20676)
								(BgL_method3374z00_20676, (obj_t) (BgL_arg5869z00_5648),
								BgL_stkz00_5631, BEOA);
					}}
					{	/* Eval/evaluate.scm 1016 */
						obj_t BgL_zc3anonymousza35863ze3z83_24847;

						BgL_zc3anonymousza35863ze3z83_24847 =
							make_fx_procedure(BGl_zc3anonymousza35863ze3z83zz__evaluatez00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza35863ze3z83_24847,
							(int) (((long) 0)), BgL_ez00_5635);
						PROCEDURE_SET(BgL_zc3anonymousza35863ze3z83_24847,
							(int) (((long) 1)), BgL_bodyz00_5636);
						return BgL_zc3anonymousza35863ze3z83_24847;
					}
				}
			}
		}
	}



/* <anonymous:5863> */
	obj_t BGl_zc3anonymousza35863ze3z83zz__evaluatez00(obj_t BgL_envz00_25976,
		obj_t BgL_sz00_25979)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1016 */
			{	/* Eval/evaluate.scm 1016 */
				obj_t BgL_ez00_25977;

				obj_t BgL_bodyz00_25978;

				BgL_ez00_25977 = PROCEDURE_REF(BgL_envz00_25976, (int) (((long) 0)));
				BgL_bodyz00_25978 = PROCEDURE_REF(BgL_envz00_25976, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5637;

					BgL_sz00_5637 = BgL_sz00_25979;
					{	/* Eval/evaluate.scm 1016 */
						obj_t BgL_bpz00_5639;

						BgL_bpz00_5639 = VECTOR_REF(BgL_sz00_5637, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 1017 */
							obj_t BgL_val2776z00_5640;

							BgL_val2776z00_5640 =
								BGl_zc3exitza35867ze3z83zz__evaluatez00(BgL_sz00_5637,
								BgL_ez00_25977);
							PROCEDURE_ENTRY(BgL_bodyz00_25978) (BgL_bodyz00_25978,
								BgL_sz00_5637, BEOA);
							if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
									(BgL_val2776z00_5640)))
								{	/* Eval/evaluate.scm 1017 */
									return
										BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
										(BgL_val2776z00_5640), CDR(BgL_val2776z00_5640));
								}
							else
								{	/* Eval/evaluate.scm 1017 */
									return BgL_val2776z00_5640;
								}
						}
					}
				}
			}
		}
	}



/* <exit:5867> */
	obj_t BGl_zc3exitza35867ze3z83zz__evaluatez00(obj_t BgL_sz00_26319,
		obj_t BgL_ez00_26318)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1017 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2777z00_5645;

			if (SET_EXIT(BgL_an_exit2777z00_5645))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2777z00_5645 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1017 */

						PUSH_EXIT(BgL_an_exit2777z00_5645, ((long) 0));
						{	/* Eval/evaluate.scm 1017 */
							obj_t BgL_val2778z00_5646;

							BgL_val2778z00_5646 =
								PROCEDURE_ENTRY(BgL_ez00_26318) (BgL_ez00_26318, BgL_sz00_26319,
								BEOA);
							POP_EXIT();
							return BgL_val2778z00_5646;
						}
					}
				}
		}
	}



/* comp-ev_bind-exit3404 */
	obj_t BGl_compzd2ev_bindzd2exit3404z00zz__evaluatez00(obj_t BgL_envz00_25980,
		obj_t BgL_ez00_25981, obj_t BgL_stkz00_25982)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1004 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_5603;

				obj_t BgL_stkz00_5604;

				BgL_ez00_5603 = (BgL_ev_bindzd2exitzd2_bglt) (BgL_ez00_25981);
				BgL_stkz00_5604 = BgL_stkz00_25982;
				{	/* Eval/evaluate.scm 1006 */
					long BgL_siza7eza7_5608;

					obj_t BgL_nstkz00_5609;

					BgL_siza7eza7_5608 = bgl_list_length(BgL_stkz00_5604);
					{	/* Eval/evaluate.scm 1006 */
						obj_t BgL_arg5859z00_5625;

						{	/* Eval/evaluate.scm 1006 */
							BgL_ev_varz00_bglt BgL_arg5860z00_5626;

							BgL_arg5860z00_5626 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_5603))->
								BgL_varz00);
							BgL_arg5859z00_5625 =
								MAKE_PAIR((obj_t) (BgL_arg5860z00_5626), BNIL);
						}
						BgL_nstkz00_5609 =
							bgl_append2(BgL_stkz00_5604, BgL_arg5859z00_5625);
					}
					{	/* Eval/evaluate.scm 1007 */
						obj_t BgL_bodyz00_5610;

						obj_t BgL_effzf3zf3_5611;

						{	/* Eval/evaluate.scm 1007 */
							BgL_ev_exprz00_bglt BgL_arg5857z00_5623;

							BgL_arg5857z00_5623 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_5603))->
								BgL_bodyz00);
							{	/* Eval/evaluate.scm 1007 */
								obj_t BgL_method3374z00_20607;

								{	/* Eval/evaluate.scm 1007 */
									BgL_objectz00_bglt BgL_objz00_20608;

									BgL_objz00_20608 = (BgL_objectz00_bglt) (BgL_arg5857z00_5623);
									{	/* Eval/evaluate.scm 1007 */
										long BgL_objzd2classzd2numz00_20609;

										BgL_objzd2classzd2numz00_20609 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_20608);
										{	/* Eval/evaluate.scm 1007 */
											obj_t BgL_arg6930z00_20610;

											BgL_arg6930z00_20610 =
												PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 1007 */
												obj_t BgL_arrayz00_20612;

												int BgL_offsetz00_20613;

												BgL_arrayz00_20612 = BgL_arg6930z00_20610;
												BgL_offsetz00_20613 =
													(int) (BgL_objzd2classzd2numz00_20609);
												{	/* Eval/evaluate.scm 1007 */
													long BgL_offsetz00_20614;

													BgL_offsetz00_20614 =
														((long) (BgL_offsetz00_20613) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 1007 */
														long BgL_modz00_20615;

														{	/* Eval/evaluate.scm 1007 */
															int BgL_arg6932z00_20616;

															BgL_arg6932z00_20616 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 1007 */
																long BgL_auxz00_41685;

																BgL_auxz00_41685 =
																	(long) (BgL_arg6932z00_20616);
																BgL_modz00_20615 =
																	(BgL_offsetz00_20614 / BgL_auxz00_41685);
														}}
														{	/* Eval/evaluate.scm 1007 */
															long BgL_restz00_20617;

															{	/* Eval/evaluate.scm 1007 */
																int BgL_arg6931z00_20618;

																BgL_arg6931z00_20618 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 1007 */
																	long BgL_auxz00_41689;

																	BgL_auxz00_41689 =
																		(long) (BgL_arg6931z00_20618);
																	BgL_restz00_20617 =
																		(BgL_offsetz00_20614 % BgL_auxz00_41689);
															}}
															{	/* Eval/evaluate.scm 1007 */

																BgL_method3374z00_20607 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_20612,
																		(int) (BgL_modz00_20615)),
																	(int) (BgL_restz00_20617));
								}}}}}}}}
								BgL_bodyz00_5610 =
									PROCEDURE_ENTRY(BgL_method3374z00_20607)
									(BgL_method3374z00_20607, (obj_t) (BgL_arg5857z00_5623),
									BgL_nstkz00_5609, BEOA);
						}}
						{	/* Eval/evaluate.scm 1007 */
							BgL_ev_varz00_bglt BgL_obj1835z00_20633;

							BgL_obj1835z00_20633 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_5603))->
								BgL_varz00);
							BgL_effzf3zf3_5611 =
								(((BgL_ev_varz00_bglt) CREF(BgL_obj1835z00_20633))->BgL_effz00);
						}
						{	/* Eval/evaluate.scm 1008 */
							obj_t BgL_zc3anonymousza35853ze3z83_24850;

							BgL_zc3anonymousza35853ze3z83_24850 =
								make_fx_procedure(BGl_zc3anonymousza35853ze3z83zz__evaluatez00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3anonymousza35853ze3z83_24850,
								(int) (((long) 0)), BINT(BgL_siza7eza7_5608));
							PROCEDURE_SET(BgL_zc3anonymousza35853ze3z83_24850,
								(int) (((long) 1)), BgL_effzf3zf3_5611);
							PROCEDURE_SET(BgL_zc3anonymousza35853ze3z83_24850,
								(int) (((long) 2)), BgL_bodyz00_5610);
							return BgL_zc3anonymousza35853ze3z83_24850;
						}
					}
				}
			}
		}
	}



/* <anonymous:5853> */
	obj_t BGl_zc3anonymousza35853ze3z83zz__evaluatez00(obj_t BgL_envz00_25983,
		obj_t BgL_sz00_25987)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1008 */
			{	/* Eval/evaluate.scm 1008 */
				obj_t BgL_siza7eza7_25984;

				obj_t BgL_effzf3zf3_25985;

				obj_t BgL_bodyz00_25986;

				BgL_siza7eza7_25984 =
					PROCEDURE_REF(BgL_envz00_25983, (int) (((long) 0)));
				BgL_effzf3zf3_25985 =
					PROCEDURE_REF(BgL_envz00_25983, (int) (((long) 1)));
				BgL_bodyz00_25986 = PROCEDURE_REF(BgL_envz00_25983, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5612;

					BgL_sz00_5612 = BgL_sz00_25987;
					return
						BGl_zc3exitza35854ze3z83zz__evaluatez00(BgL_bodyz00_25986,
						BgL_sz00_5612, BgL_effzf3zf3_25985, BgL_siza7eza7_25984,
						VECTOR_REF(BgL_sz00_5612, (int) (((long) 0))));
		}}}
	}



/* <exit:5854> */
	obj_t BGl_zc3exitza35854ze3z83zz__evaluatez00(obj_t BgL_bodyz00_26317,
		obj_t BgL_sz00_26316, obj_t BgL_effzf3zf3_26315, obj_t BgL_siza7eza7_26314,
		obj_t BgL_bpz00_26313)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1009 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2770z00_5616;

			if (SET_EXIT(BgL_an_exit2770z00_5616))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
					BgL_an_exit2770z00_5616 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 1009 */

						PUSH_EXIT(BgL_an_exit2770z00_5616, ((long) 1));
						{	/* Eval/evaluate.scm 1009 */
							obj_t BgL_an_exitd2771z00_5617;

							BgL_an_exitd2771z00_5617 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate.scm 1009 */
								obj_t BgL_exitz00_24849;

								BgL_exitz00_24849 =
									make_fx_procedure(BGl_exitz00zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_exitz00_24849,
									(int) (((long) 0)), BgL_an_exitd2771z00_5617);
								{	/* Eval/evaluate.scm 1011 */
									obj_t BgL_res2773z00_5620;

									{	/* Eval/evaluate.scm 1010 */
										long BgL_arg5855z00_5621;

										obj_t BgL_arg5856z00_5622;

										BgL_arg5855z00_5621 =
											(
											(long) CINT(BgL_bpz00_26313) +
											(long) CINT(BgL_siza7eza7_26314));
										if (CBOOL(BgL_effzf3zf3_26315))
											{	/* Eval/evaluate.scm 1010 */
												obj_t BgL_newz00_20638;

												BgL_newz00_20638 =
													create_struct(BGl_symbol8232z00zz__evaluatez00,
													(int) (((long) 1)));
												{	/* Eval/evaluate.scm 1010 */
													int BgL_auxz00_41737;

													BgL_auxz00_41737 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_20638, BgL_auxz00_41737,
														BgL_exitz00_24849);
												}
												BgL_arg5856z00_5622 = BgL_newz00_20638;
											}
										else
											{	/* Eval/evaluate.scm 1010 */
												BgL_arg5856z00_5622 = BgL_exitz00_24849;
											}
										VECTOR_SET(BgL_sz00_26316,
											(int) (BgL_arg5855z00_5621), BgL_arg5856z00_5622);
									}
									BgL_res2773z00_5620 =
										PROCEDURE_ENTRY(BgL_bodyz00_26317) (BgL_bodyz00_26317,
										BgL_sz00_26316, BEOA);
									POP_EXIT();
									return BgL_res2773z00_5620;
								}
							}
						}
					}
				}
		}
	}



/* exit */
	obj_t BGl_exitz00zz__evaluatez00(obj_t BgL_envz00_25988,
		obj_t BgL_val2772z00_25990)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 1009 */
			{	/* Eval/evaluate.scm 1009 */
				obj_t BgL_an_exitd2771z00_25989;

				BgL_an_exitd2771z00_25989 =
					PROCEDURE_REF(BgL_envz00_25988, (int) (((long) 0)));
				{
					obj_t BgL_val2772z00_5618;

					BgL_val2772z00_5618 = BgL_val2772z00_25990;
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd2771z00_25989,
						BgL_val2772z00_5618);
				}
			}
		}
	}



/* comp-ev_letrec3402 */
	obj_t BGl_compzd2ev_letrec3402zd2zz__evaluatez00(obj_t BgL_envz00_25991,
		obj_t BgL_ez00_25992, obj_t BgL_stkz00_25993)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 976 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_5502;

				obj_t BgL_stkz00_5503;

				BgL_ez00_5502 = (BgL_ev_letrecz00_bglt) (BgL_ez00_25992);
				BgL_stkz00_5503 = BgL_stkz00_25993;
				{	/* Eval/evaluate.scm 978 */
					long BgL_siza7eza7_5507;

					obj_t BgL_nstkz00_5508;

					BgL_siza7eza7_5507 = bgl_list_length(BgL_stkz00_5503);
					{	/* Eval/evaluate.scm 978 */
						obj_t BgL_auxz00_41749;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_41750;

							BgL_auxz00_41750 = (BgL_ev_binderz00_bglt) (BgL_ez00_5502);
							BgL_auxz00_41749 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_41750))->BgL_varsz00);
						}
						BgL_nstkz00_5508 = bgl_append2(BgL_stkz00_5503, BgL_auxz00_41749);
					}
					{	/* Eval/evaluate.scm 979 */
						obj_t BgL_cvalsz00_5509;

						obj_t BgL_bodyz00_5510;

						{	/* Eval/evaluate.scm 979 */
							obj_t BgL_l3167z00_5585;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_41754;

								BgL_auxz00_41754 = (BgL_ev_binderz00_bglt) (BgL_ez00_5502);
								BgL_l3167z00_5585 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_41754))->
									BgL_valsz00);
							}
							if (NULLP(BgL_l3167z00_5585))
								{	/* Eval/evaluate.scm 979 */
									BgL_cvalsz00_5509 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 979 */
									obj_t BgL_head3169z00_5587;

									BgL_head3169z00_5587 = MAKE_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l3167z00_20170;

										obj_t BgL_tail3170z00_20171;

										BgL_l3167z00_20170 = BgL_l3167z00_5585;
										BgL_tail3170z00_20171 = BgL_head3169z00_5587;
									BgL_zc3anonymousza35845ze3z83_20169:
										if (NULLP(BgL_l3167z00_20170))
											{	/* Eval/evaluate.scm 979 */
												BgL_cvalsz00_5509 = CDR(BgL_head3169z00_5587);
											}
										else
											{	/* Eval/evaluate.scm 979 */
												obj_t BgL_newtail3171z00_20179;

												{	/* Eval/evaluate.scm 979 */
													obj_t BgL_arg5848z00_20180;

													{	/* Eval/evaluate.scm 979 */
														obj_t BgL_vz00_20182;

														BgL_vz00_20182 = CAR(BgL_l3167z00_20170);
														{	/* Eval/evaluate.scm 979 */
															BgL_ev_exprz00_bglt BgL_ez00_20187;

															BgL_ez00_20187 =
																(BgL_ev_exprz00_bglt) (BgL_vz00_20182);
															{	/* Eval/evaluate.scm 979 */
																obj_t BgL_method3374z00_20189;

																{	/* Eval/evaluate.scm 979 */
																	BgL_objectz00_bglt BgL_objz00_20190;

																	BgL_objz00_20190 =
																		(BgL_objectz00_bglt) (BgL_ez00_20187);
																	{	/* Eval/evaluate.scm 979 */
																		long BgL_objzd2classzd2numz00_20191;

																		BgL_objzd2classzd2numz00_20191 =
																			BGL_OBJECT_CLASS_NUM(BgL_objz00_20190);
																		{	/* Eval/evaluate.scm 979 */
																			obj_t BgL_arg6930z00_20192;

																			BgL_arg6930z00_20192 =
																				PROCEDURE_REF
																				(BGl_compzd2envzd2zz__evaluatez00,
																				(int) (((long) 1)));
																			{	/* Eval/evaluate.scm 979 */
																				obj_t BgL_arrayz00_20194;

																				int BgL_offsetz00_20195;

																				BgL_arrayz00_20194 =
																					BgL_arg6930z00_20192;
																				BgL_offsetz00_20195 =
																					(int)
																					(BgL_objzd2classzd2numz00_20191);
																				{	/* Eval/evaluate.scm 979 */
																					long BgL_offsetz00_20196;

																					BgL_offsetz00_20196 =
																						(
																						(long) (BgL_offsetz00_20195) -
																						OBJECT_TYPE);
																					{	/* Eval/evaluate.scm 979 */
																						long BgL_modz00_20197;

																						{	/* Eval/evaluate.scm 979 */
																							int BgL_arg6932z00_20198;

																							BgL_arg6932z00_20198 =
																								(int) (((long) 16));
																							{	/* Eval/evaluate.scm 979 */
																								long BgL_auxz00_41773;

																								BgL_auxz00_41773 =
																									(long) (BgL_arg6932z00_20198);
																								BgL_modz00_20197 =
																									(BgL_offsetz00_20196 /
																									BgL_auxz00_41773);
																						}}
																						{	/* Eval/evaluate.scm 979 */
																							long BgL_restz00_20199;

																							{	/* Eval/evaluate.scm 979 */
																								int BgL_arg6931z00_20200;

																								BgL_arg6931z00_20200 =
																									(int) (((long) 16));
																								{	/* Eval/evaluate.scm 979 */
																									long BgL_auxz00_41777;

																									BgL_auxz00_41777 =
																										(long)
																										(BgL_arg6931z00_20200);
																									BgL_restz00_20199 =
																										(BgL_offsetz00_20196 %
																										BgL_auxz00_41777);
																							}}
																							{	/* Eval/evaluate.scm 979 */

																								BgL_method3374z00_20189 =
																									VECTOR_REF(VECTOR_REF
																									(BgL_arrayz00_20194,
																										(int) (BgL_modz00_20197)),
																									(int) (BgL_restz00_20199));
																}}}}}}}}
																BgL_arg5848z00_20180 =
																	PROCEDURE_ENTRY(BgL_method3374z00_20189)
																	(BgL_method3374z00_20189,
																	(obj_t) (BgL_ez00_20187), BgL_nstkz00_5508,
																	BEOA);
													}}}
													BgL_newtail3171z00_20179 =
														MAKE_PAIR(BgL_arg5848z00_20180, BNIL);
												}
												SET_CDR(BgL_tail3170z00_20171,
													BgL_newtail3171z00_20179);
												{
													obj_t BgL_tail3170z00_41791;

													obj_t BgL_l3167z00_41789;

													BgL_l3167z00_41789 = CDR(BgL_l3167z00_20170);
													BgL_tail3170z00_41791 = BgL_newtail3171z00_20179;
													BgL_tail3170z00_20171 = BgL_tail3170z00_41791;
													BgL_l3167z00_20170 = BgL_l3167z00_41789;
													goto BgL_zc3anonymousza35845ze3z83_20169;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate.scm 980 */
							BgL_ev_exprz00_bglt BgL_arg5850z00_5599;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_41792;

								BgL_auxz00_41792 = (BgL_ev_binderz00_bglt) (BgL_ez00_5502);
								BgL_arg5850z00_5599 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_41792))->
									BgL_bodyz00);
							}
							{	/* Eval/evaluate.scm 980 */
								obj_t BgL_method3374z00_20306;

								{	/* Eval/evaluate.scm 980 */
									BgL_objectz00_bglt BgL_objz00_20307;

									BgL_objz00_20307 = (BgL_objectz00_bglt) (BgL_arg5850z00_5599);
									{	/* Eval/evaluate.scm 980 */
										long BgL_objzd2classzd2numz00_20308;

										BgL_objzd2classzd2numz00_20308 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_20307);
										{	/* Eval/evaluate.scm 980 */
											obj_t BgL_arg6930z00_20309;

											BgL_arg6930z00_20309 =
												PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 980 */
												obj_t BgL_arrayz00_20311;

												int BgL_offsetz00_20312;

												BgL_arrayz00_20311 = BgL_arg6930z00_20309;
												BgL_offsetz00_20312 =
													(int) (BgL_objzd2classzd2numz00_20308);
												{	/* Eval/evaluate.scm 980 */
													long BgL_offsetz00_20313;

													BgL_offsetz00_20313 =
														((long) (BgL_offsetz00_20312) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 980 */
														long BgL_modz00_20314;

														{	/* Eval/evaluate.scm 980 */
															int BgL_arg6932z00_20315;

															BgL_arg6932z00_20315 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 980 */
																long BgL_auxz00_41803;

																BgL_auxz00_41803 =
																	(long) (BgL_arg6932z00_20315);
																BgL_modz00_20314 =
																	(BgL_offsetz00_20313 / BgL_auxz00_41803);
														}}
														{	/* Eval/evaluate.scm 980 */
															long BgL_restz00_20316;

															{	/* Eval/evaluate.scm 980 */
																int BgL_arg6931z00_20317;

																BgL_arg6931z00_20317 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 980 */
																	long BgL_auxz00_41807;

																	BgL_auxz00_41807 =
																		(long) (BgL_arg6931z00_20317);
																	BgL_restz00_20316 =
																		(BgL_offsetz00_20313 % BgL_auxz00_41807);
															}}
															{	/* Eval/evaluate.scm 980 */

																BgL_method3374z00_20306 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_20311,
																		(int) (BgL_modz00_20314)),
																	(int) (BgL_restz00_20316));
								}}}}}}}}
								BgL_bodyz00_5510 =
									PROCEDURE_ENTRY(BgL_method3374z00_20306)
									(BgL_method3374z00_20306, (obj_t) (BgL_arg5850z00_5599),
									BgL_nstkz00_5508, BEOA);
						}}
						{	/* Eval/evaluate.scm 981 */
							bool_t BgL_testz00_41817;

							{
								obj_t BgL_l3172z00_5578;

								{
									BgL_ev_binderz00_bglt BgL_auxz00_41825;

									BgL_auxz00_41825 = (BgL_ev_binderz00_bglt) (BgL_ez00_5502);
									BgL_l3172z00_5578 =
										(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_41825))->
										BgL_valsz00);
								}
							BgL_zc3anonymousza35839ze3z83_5579:
								if (NULLP(BgL_l3172z00_5578))
									{	/* Eval/evaluate.scm 981 */
										BgL_testz00_41817 = ((bool_t) 1);
									}
								else
									{	/* Eval/evaluate.scm 981 */
										bool_t BgL_testz00_41820;

										{	/* Eval/evaluate.scm 981 */
											obj_t BgL_arg5843z00_5583;

											BgL_arg5843z00_5583 = CAR(BgL_l3172z00_5578);
											BgL_testz00_41820 =
												BGl_iszd2azf3z21zz__objectz00(BgL_arg5843z00_5583,
												BGl_ev_absz00zz__evaluatez00);
										}
										if (BgL_testz00_41820)
											{
												obj_t BgL_l3172z00_41823;

												BgL_l3172z00_41823 = CDR(BgL_l3172z00_5578);
												BgL_l3172z00_5578 = BgL_l3172z00_41823;
												goto BgL_zc3anonymousza35839ze3z83_5579;
											}
										else
											{	/* Eval/evaluate.scm 981 */
												BgL_testz00_41817 = ((bool_t) 0);
											}
									}
							}
							if (BgL_testz00_41817)
								{	/* Eval/evaluate.scm 982 */
									obj_t BgL_zc3anonymousza35808ze3z83_24853;

									BgL_zc3anonymousza35808ze3z83_24853 =
										make_fx_procedure
										(BGl_zc3anonymousza35808ze3z83zz__evaluatez00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza35808ze3z83_24853,
										(int) (((long) 0)), BINT(BgL_siza7eza7_5507));
									PROCEDURE_SET(BgL_zc3anonymousza35808ze3z83_24853,
										(int) (((long) 1)), BgL_cvalsz00_5509);
									PROCEDURE_SET(BgL_zc3anonymousza35808ze3z83_24853,
										(int) (((long) 2)), BgL_bodyz00_5510);
									return BgL_zc3anonymousza35808ze3z83_24853;
								}
							else
								{	/* Eval/evaluate.scm 992 */
									obj_t BgL_zc3anonymousza35821ze3z83_24852;

									BgL_zc3anonymousza35821ze3z83_24852 =
										make_fx_procedure
										(BGl_zc3anonymousza35821ze3z83zz__evaluatez00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza35821ze3z83_24852,
										(int) (((long) 0)), BINT(BgL_siza7eza7_5507));
									PROCEDURE_SET(BgL_zc3anonymousza35821ze3z83_24852,
										(int) (((long) 1)), BgL_cvalsz00_5509);
									PROCEDURE_SET(BgL_zc3anonymousza35821ze3z83_24852,
										(int) (((long) 2)), BgL_bodyz00_5510);
									return BgL_zc3anonymousza35821ze3z83_24852;
								}
						}
					}
				}
			}
		}
	}



/* <anonymous:5808> */
	obj_t BGl_zc3anonymousza35808ze3z83zz__evaluatez00(obj_t BgL_envz00_25994,
		obj_t BgL_sz00_25998)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 982 */
			{	/* Eval/evaluate.scm 982 */
				obj_t BgL_siza7eza7_25995;

				obj_t BgL_cvalsz00_25996;

				obj_t BgL_bodyz00_25997;

				BgL_siza7eza7_25995 =
					PROCEDURE_REF(BgL_envz00_25994, (int) (((long) 0)));
				BgL_cvalsz00_25996 =
					PROCEDURE_REF(BgL_envz00_25994, (int) (((long) 1)));
				BgL_bodyz00_25997 = PROCEDURE_REF(BgL_envz00_25994, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5512;

					BgL_sz00_5512 = BgL_sz00_25998;
					{	/* Eval/evaluate.scm 982 */
						obj_t BgL_bpz00_5514;

						BgL_bpz00_5514 = VECTOR_REF(BgL_sz00_5512, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 983 */
							long BgL_g2764z00_5515;

							BgL_g2764z00_5515 =
								(
								(long) CINT(BgL_bpz00_5514) + (long) CINT(BgL_siza7eza7_25995));
							{
								obj_t BgL_lz00_20341;

								long BgL_iz00_20342;

								BgL_lz00_20341 = BgL_cvalsz00_25996;
								BgL_iz00_20342 = BgL_g2764z00_5515;
							BgL_recz00_20340:
								if (NULLP(BgL_lz00_20341))
									{	/* Eval/evaluate.scm 983 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate.scm 983 */
										{	/* Eval/evaluate.scm 983 */
											obj_t BgL_arg5811z00_20348;

											{	/* Eval/evaluate.scm 983 */
												obj_t BgL_newz00_20353;

												BgL_newz00_20353 =
													create_struct(BGl_symbol8232z00zz__evaluatez00,
													(int) (((long) 1)));
												{	/* Eval/evaluate.scm 983 */
													int BgL_auxz00_41864;

													BgL_auxz00_41864 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_20353, BgL_auxz00_41864,
														BUNSPEC);
												}
												BgL_arg5811z00_20348 = BgL_newz00_20353;
											}
											VECTOR_SET(BgL_sz00_5512,
												(int) (BgL_iz00_20342), BgL_arg5811z00_20348);
										}
										{
											long BgL_iz00_41871;

											obj_t BgL_lz00_41869;

											BgL_lz00_41869 = CDR(BgL_lz00_20341);
											BgL_iz00_41871 = (BgL_iz00_20342 + ((long) 1));
											BgL_iz00_20342 = BgL_iz00_41871;
											BgL_lz00_20341 = BgL_lz00_41869;
											goto BgL_recz00_20340;
										}
									}
							}
						}
						{	/* Eval/evaluate.scm 987 */
							long BgL_g2765z00_5525;

							BgL_g2765z00_5525 =
								(
								(long) CINT(BgL_bpz00_5514) + (long) CINT(BgL_siza7eza7_25995));
							{
								obj_t BgL_lz00_5527;

								long BgL_iz00_5528;

								BgL_lz00_5527 = BgL_cvalsz00_25996;
								BgL_iz00_5528 = BgL_g2765z00_5525;
							BgL_zc3anonymousza35814ze3z83_5529:
								if (NULLP(BgL_lz00_5527))
									{	/* Eval/evaluate.scm 988 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate.scm 988 */
										{	/* Eval/evaluate.scm 989 */
											obj_t BgL_arg5816z00_5531;

											obj_t BgL_arg5817z00_5532;

											BgL_arg5816z00_5531 =
												VECTOR_REF(BgL_sz00_5512, (int) (BgL_iz00_5528));
											{	/* Eval/evaluate.scm 989 */
												obj_t BgL_fun5818z00_5533;

												BgL_fun5818z00_5533 = CAR(BgL_lz00_5527);
												BgL_arg5817z00_5532 =
													PROCEDURE_ENTRY(BgL_fun5818z00_5533)
													(BgL_fun5818z00_5533, BgL_sz00_5512, BEOA);
											}
											{	/* Eval/evaluate.scm 989 */
												int BgL_auxz00_41883;

												BgL_auxz00_41883 = (int) (((long) 0));
												STRUCT_SET(BgL_arg5816z00_5531, BgL_auxz00_41883,
													BgL_arg5817z00_5532);
										}}
										{
											long BgL_iz00_41888;

											obj_t BgL_lz00_41886;

											BgL_lz00_41886 = CDR(BgL_lz00_5527);
											BgL_iz00_41888 = (BgL_iz00_5528 + ((long) 1));
											BgL_iz00_5528 = BgL_iz00_41888;
											BgL_lz00_5527 = BgL_lz00_41886;
											goto BgL_zc3anonymousza35814ze3z83_5529;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_25997) (BgL_bodyz00_25997,
							BgL_sz00_5512, BEOA);
					}
				}
			}
		}
	}



/* <anonymous:5821> */
	obj_t BGl_zc3anonymousza35821ze3z83zz__evaluatez00(obj_t BgL_envz00_25999,
		obj_t BgL_sz00_26003)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 992 */
			{	/* Eval/evaluate.scm 992 */
				obj_t BgL_siza7eza7_26000;

				obj_t BgL_cvalsz00_26001;

				obj_t BgL_bodyz00_26002;

				BgL_siza7eza7_26000 =
					PROCEDURE_REF(BgL_envz00_25999, (int) (((long) 0)));
				BgL_cvalsz00_26001 =
					PROCEDURE_REF(BgL_envz00_25999, (int) (((long) 1)));
				BgL_bodyz00_26002 = PROCEDURE_REF(BgL_envz00_25999, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5537;

					BgL_sz00_5537 = BgL_sz00_26003;
					{	/* Eval/evaluate.scm 992 */
						obj_t BgL_bpz00_5539;

						BgL_bpz00_5539 = VECTOR_REF(BgL_sz00_5537, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 993 */
							long BgL_g2766z00_5540;

							BgL_g2766z00_5540 =
								(
								(long) CINT(BgL_bpz00_5539) + (long) CINT(BgL_siza7eza7_26000));
							{
								obj_t BgL_lz00_20422;

								long BgL_iz00_20423;

								BgL_lz00_20422 = BgL_cvalsz00_26001;
								BgL_iz00_20423 = BgL_g2766z00_5540;
							BgL_recz00_20421:
								if (NULLP(BgL_lz00_20422))
									{	/* Eval/evaluate.scm 993 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate.scm 993 */
										{	/* Eval/evaluate.scm 993 */
											obj_t BgL_arg5824z00_20429;

											{	/* Eval/evaluate.scm 993 */
												obj_t BgL_newz00_20434;

												BgL_newz00_20434 =
													create_struct(BGl_symbol8232z00zz__evaluatez00,
													(int) (((long) 1)));
												{	/* Eval/evaluate.scm 993 */
													int BgL_auxz00_41907;

													BgL_auxz00_41907 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_20434, BgL_auxz00_41907,
														BUNSPEC);
												}
												BgL_arg5824z00_20429 = BgL_newz00_20434;
											}
											VECTOR_SET(BgL_sz00_5537,
												(int) (BgL_iz00_20423), BgL_arg5824z00_20429);
										}
										{
											long BgL_iz00_41914;

											obj_t BgL_lz00_41912;

											BgL_lz00_41912 = CDR(BgL_lz00_20422);
											BgL_iz00_41914 = (BgL_iz00_20423 + ((long) 1));
											BgL_iz00_20423 = BgL_iz00_41914;
											BgL_lz00_20422 = BgL_lz00_41912;
											goto BgL_recz00_20421;
										}
									}
							}
						}
						{	/* Eval/evaluate.scm 997 */
							obj_t BgL_rvalsz00_5550;

							if (NULLP(BgL_cvalsz00_26001))
								{	/* Eval/evaluate.scm 997 */
									BgL_rvalsz00_5550 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 997 */
									obj_t BgL_head3177z00_5564;

									BgL_head3177z00_5564 = MAKE_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l3175z00_20488;

										obj_t BgL_tail3178z00_20489;

										BgL_l3175z00_20488 = BgL_cvalsz00_26001;
										BgL_tail3178z00_20489 = BgL_head3177z00_5564;
									BgL_zc3anonymousza35834ze3z83_20487:
										if (NULLP(BgL_l3175z00_20488))
											{	/* Eval/evaluate.scm 997 */
												BgL_rvalsz00_5550 = CDR(BgL_head3177z00_5564);
											}
										else
											{	/* Eval/evaluate.scm 997 */
												obj_t BgL_newtail3179z00_20497;

												{	/* Eval/evaluate.scm 997 */
													obj_t BgL_arg5837z00_20498;

													{	/* Eval/evaluate.scm 997 */
														obj_t BgL_vz00_20500;

														BgL_vz00_20500 = CAR(BgL_l3175z00_20488);
														BgL_arg5837z00_20498 =
															PROCEDURE_ENTRY(BgL_vz00_20500) (BgL_vz00_20500,
															BgL_sz00_5537, BEOA);
													}
													BgL_newtail3179z00_20497 =
														MAKE_PAIR(BgL_arg5837z00_20498, BNIL);
												}
												SET_CDR(BgL_tail3178z00_20489,
													BgL_newtail3179z00_20497);
												{
													obj_t BgL_tail3178z00_41929;

													obj_t BgL_l3175z00_41927;

													BgL_l3175z00_41927 = CDR(BgL_l3175z00_20488);
													BgL_tail3178z00_41929 = BgL_newtail3179z00_20497;
													BgL_tail3178z00_20489 = BgL_tail3178z00_41929;
													BgL_l3175z00_20488 = BgL_l3175z00_41927;
													goto BgL_zc3anonymousza35834ze3z83_20487;
												}
											}
									}
								}
							{	/* Eval/evaluate.scm 998 */
								long BgL_g2767z00_5551;

								BgL_g2767z00_5551 =
									(
									(long) CINT(BgL_bpz00_5539) +
									(long) CINT(BgL_siza7eza7_26000));
								{
									obj_t BgL_lz00_20543;

									long BgL_iz00_20544;

									BgL_lz00_20543 = BgL_rvalsz00_5550;
									BgL_iz00_20544 = BgL_g2767z00_5551;
								BgL_recz00_20542:
									if (NULLP(BgL_lz00_20543))
										{	/* Eval/evaluate.scm 998 */
											((bool_t) 0);
										}
									else
										{	/* Eval/evaluate.scm 998 */
											{	/* Eval/evaluate.scm 998 */
												obj_t BgL_auxz00_41940;

												int BgL_auxz00_41938;

												obj_t BgL_auxz00_41935;

												BgL_auxz00_41940 = CAR(BgL_lz00_20543);
												BgL_auxz00_41938 = (int) (((long) 0));
												BgL_auxz00_41935 =
													VECTOR_REF(BgL_sz00_5537, (int) (BgL_iz00_20544));
												STRUCT_SET(BgL_auxz00_41935, BgL_auxz00_41938,
													BgL_auxz00_41940);
											}
											{
												long BgL_iz00_41945;

												obj_t BgL_lz00_41943;

												BgL_lz00_41943 = CDR(BgL_lz00_20543);
												BgL_iz00_41945 = (BgL_iz00_20544 + ((long) 1));
												BgL_iz00_20544 = BgL_iz00_41945;
												BgL_lz00_20543 = BgL_lz00_41943;
												goto BgL_recz00_20542;
											}
										}
								}
							}
							return
								PROCEDURE_ENTRY(BgL_bodyz00_26002) (BgL_bodyz00_26002,
								BgL_sz00_5537, BEOA);
						}
					}
				}
			}
		}
	}



/* comp-ev_let*3400 */
	obj_t BGl_compzd2ev_letza23400z70zz__evaluatez00(obj_t BgL_envz00_26004,
		obj_t BgL_ez00_26005, obj_t BgL_stkz00_26006)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 963 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_5456;

				obj_t BgL_stkz00_5457;

				BgL_ez00_5456 = (BgL_ev_letza2za2_bglt) (BgL_ez00_26005);
				BgL_stkz00_5457 = BgL_stkz00_26006;
				{	/* Eval/evaluate.scm 965 */
					long BgL_siza7eza7_5461;

					obj_t BgL_nstkz00_5462;

					BgL_siza7eza7_5461 = bgl_list_length(BgL_stkz00_5457);
					{	/* Eval/evaluate.scm 965 */
						obj_t BgL_auxz00_41950;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_41951;

							BgL_auxz00_41951 = (BgL_ev_binderz00_bglt) (BgL_ez00_5456);
							BgL_auxz00_41950 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_41951))->BgL_varsz00);
						}
						BgL_nstkz00_5462 = bgl_append2(BgL_stkz00_5457, BgL_auxz00_41950);
					}
					{	/* Eval/evaluate.scm 966 */
						obj_t BgL_valsz00_5463;

						obj_t BgL_bodyz00_5464;

						{	/* Eval/evaluate.scm 966 */
							obj_t BgL_l3162z00_5484;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_41955;

								BgL_auxz00_41955 = (BgL_ev_binderz00_bglt) (BgL_ez00_5456);
								BgL_l3162z00_5484 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_41955))->
									BgL_valsz00);
							}
							if (NULLP(BgL_l3162z00_5484))
								{	/* Eval/evaluate.scm 966 */
									BgL_valsz00_5463 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 966 */
									obj_t BgL_head3164z00_5486;

									BgL_head3164z00_5486 = MAKE_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l3162z00_19981;

										obj_t BgL_tail3165z00_19982;

										BgL_l3162z00_19981 = BgL_l3162z00_5484;
										BgL_tail3165z00_19982 = BgL_head3164z00_5486;
									BgL_zc3anonymousza35799ze3z83_19980:
										if (NULLP(BgL_l3162z00_19981))
											{	/* Eval/evaluate.scm 966 */
												BgL_valsz00_5463 = CDR(BgL_head3164z00_5486);
											}
										else
											{	/* Eval/evaluate.scm 966 */
												obj_t BgL_newtail3166z00_19990;

												{	/* Eval/evaluate.scm 966 */
													obj_t BgL_arg5802z00_19991;

													{	/* Eval/evaluate.scm 966 */
														obj_t BgL_vz00_19993;

														BgL_vz00_19993 = CAR(BgL_l3162z00_19981);
														{	/* Eval/evaluate.scm 966 */
															BgL_ev_exprz00_bglt BgL_ez00_19998;

															BgL_ez00_19998 =
																(BgL_ev_exprz00_bglt) (BgL_vz00_19993);
															{	/* Eval/evaluate.scm 966 */
																obj_t BgL_method3374z00_20000;

																{	/* Eval/evaluate.scm 966 */
																	BgL_objectz00_bglt BgL_objz00_20001;

																	BgL_objz00_20001 =
																		(BgL_objectz00_bglt) (BgL_ez00_19998);
																	{	/* Eval/evaluate.scm 966 */
																		long BgL_objzd2classzd2numz00_20002;

																		BgL_objzd2classzd2numz00_20002 =
																			BGL_OBJECT_CLASS_NUM(BgL_objz00_20001);
																		{	/* Eval/evaluate.scm 966 */
																			obj_t BgL_arg6930z00_20003;

																			BgL_arg6930z00_20003 =
																				PROCEDURE_REF
																				(BGl_compzd2envzd2zz__evaluatez00,
																				(int) (((long) 1)));
																			{	/* Eval/evaluate.scm 966 */
																				obj_t BgL_arrayz00_20005;

																				int BgL_offsetz00_20006;

																				BgL_arrayz00_20005 =
																					BgL_arg6930z00_20003;
																				BgL_offsetz00_20006 =
																					(int)
																					(BgL_objzd2classzd2numz00_20002);
																				{	/* Eval/evaluate.scm 966 */
																					long BgL_offsetz00_20007;

																					BgL_offsetz00_20007 =
																						(
																						(long) (BgL_offsetz00_20006) -
																						OBJECT_TYPE);
																					{	/* Eval/evaluate.scm 966 */
																						long BgL_modz00_20008;

																						{	/* Eval/evaluate.scm 966 */
																							int BgL_arg6932z00_20009;

																							BgL_arg6932z00_20009 =
																								(int) (((long) 16));
																							{	/* Eval/evaluate.scm 966 */
																								long BgL_auxz00_41974;

																								BgL_auxz00_41974 =
																									(long) (BgL_arg6932z00_20009);
																								BgL_modz00_20008 =
																									(BgL_offsetz00_20007 /
																									BgL_auxz00_41974);
																						}}
																						{	/* Eval/evaluate.scm 966 */
																							long BgL_restz00_20010;

																							{	/* Eval/evaluate.scm 966 */
																								int BgL_arg6931z00_20011;

																								BgL_arg6931z00_20011 =
																									(int) (((long) 16));
																								{	/* Eval/evaluate.scm 966 */
																									long BgL_auxz00_41978;

																									BgL_auxz00_41978 =
																										(long)
																										(BgL_arg6931z00_20011);
																									BgL_restz00_20010 =
																										(BgL_offsetz00_20007 %
																										BgL_auxz00_41978);
																							}}
																							{	/* Eval/evaluate.scm 966 */

																								BgL_method3374z00_20000 =
																									VECTOR_REF(VECTOR_REF
																									(BgL_arrayz00_20005,
																										(int) (BgL_modz00_20008)),
																									(int) (BgL_restz00_20010));
																}}}}}}}}
																BgL_arg5802z00_19991 =
																	PROCEDURE_ENTRY(BgL_method3374z00_20000)
																	(BgL_method3374z00_20000,
																	(obj_t) (BgL_ez00_19998), BgL_nstkz00_5462,
																	BEOA);
													}}}
													BgL_newtail3166z00_19990 =
														MAKE_PAIR(BgL_arg5802z00_19991, BNIL);
												}
												SET_CDR(BgL_tail3165z00_19982,
													BgL_newtail3166z00_19990);
												{
													obj_t BgL_tail3165z00_41992;

													obj_t BgL_l3162z00_41990;

													BgL_l3162z00_41990 = CDR(BgL_l3162z00_19981);
													BgL_tail3165z00_41992 = BgL_newtail3166z00_19990;
													BgL_tail3165z00_19982 = BgL_tail3165z00_41992;
													BgL_l3162z00_19981 = BgL_l3162z00_41990;
													goto BgL_zc3anonymousza35799ze3z83_19980;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate.scm 967 */
							BgL_ev_exprz00_bglt BgL_arg5804z00_5498;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_41993;

								BgL_auxz00_41993 = (BgL_ev_binderz00_bglt) (BgL_ez00_5456);
								BgL_arg5804z00_5498 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_41993))->
									BgL_bodyz00);
							}
							{	/* Eval/evaluate.scm 967 */
								obj_t BgL_method3374z00_20117;

								{	/* Eval/evaluate.scm 967 */
									BgL_objectz00_bglt BgL_objz00_20118;

									BgL_objz00_20118 = (BgL_objectz00_bglt) (BgL_arg5804z00_5498);
									{	/* Eval/evaluate.scm 967 */
										long BgL_objzd2classzd2numz00_20119;

										BgL_objzd2classzd2numz00_20119 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_20118);
										{	/* Eval/evaluate.scm 967 */
											obj_t BgL_arg6930z00_20120;

											BgL_arg6930z00_20120 =
												PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 967 */
												obj_t BgL_arrayz00_20122;

												int BgL_offsetz00_20123;

												BgL_arrayz00_20122 = BgL_arg6930z00_20120;
												BgL_offsetz00_20123 =
													(int) (BgL_objzd2classzd2numz00_20119);
												{	/* Eval/evaluate.scm 967 */
													long BgL_offsetz00_20124;

													BgL_offsetz00_20124 =
														((long) (BgL_offsetz00_20123) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 967 */
														long BgL_modz00_20125;

														{	/* Eval/evaluate.scm 967 */
															int BgL_arg6932z00_20126;

															BgL_arg6932z00_20126 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 967 */
																long BgL_auxz00_42004;

																BgL_auxz00_42004 =
																	(long) (BgL_arg6932z00_20126);
																BgL_modz00_20125 =
																	(BgL_offsetz00_20124 / BgL_auxz00_42004);
														}}
														{	/* Eval/evaluate.scm 967 */
															long BgL_restz00_20127;

															{	/* Eval/evaluate.scm 967 */
																int BgL_arg6931z00_20128;

																BgL_arg6931z00_20128 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 967 */
																	long BgL_auxz00_42008;

																	BgL_auxz00_42008 =
																		(long) (BgL_arg6931z00_20128);
																	BgL_restz00_20127 =
																		(BgL_offsetz00_20124 % BgL_auxz00_42008);
															}}
															{	/* Eval/evaluate.scm 967 */

																BgL_method3374z00_20117 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_20122,
																		(int) (BgL_modz00_20125)),
																	(int) (BgL_restz00_20127));
								}}}}}}}}
								BgL_bodyz00_5464 =
									PROCEDURE_ENTRY(BgL_method3374z00_20117)
									(BgL_method3374z00_20117, (obj_t) (BgL_arg5804z00_5498),
									BgL_nstkz00_5462, BEOA);
						}}
						{	/* Eval/evaluate.scm 968 */
							obj_t BgL_zc3anonymousza35788ze3z83_24855;

							BgL_zc3anonymousza35788ze3z83_24855 =
								make_fx_procedure(BGl_zc3anonymousza35788ze3z83zz__evaluatez00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza35788ze3z83_24855,
								(int) (((long) 0)), BINT(BgL_siza7eza7_5461));
							PROCEDURE_SET(BgL_zc3anonymousza35788ze3z83_24855,
								(int) (((long) 1)), (obj_t) (BgL_ez00_5456));
							PROCEDURE_SET(BgL_zc3anonymousza35788ze3z83_24855,
								(int) (((long) 2)), BgL_valsz00_5463);
							PROCEDURE_SET(BgL_zc3anonymousza35788ze3z83_24855,
								(int) (((long) 3)), BgL_bodyz00_5464);
							return BgL_zc3anonymousza35788ze3z83_24855;
						}
					}
				}
			}
		}
	}



/* <anonymous:5788> */
	obj_t BGl_zc3anonymousza35788ze3z83zz__evaluatez00(obj_t BgL_envz00_26007,
		obj_t BgL_sz00_26012)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 968 */
			{	/* Eval/evaluate.scm 968 */
				obj_t BgL_siza7eza7_26008;

				obj_t BgL_instance2755z00_26009;

				obj_t BgL_valsz00_26010;

				obj_t BgL_bodyz00_26011;

				BgL_siza7eza7_26008 =
					PROCEDURE_REF(BgL_envz00_26007, (int) (((long) 0)));
				BgL_instance2755z00_26009 =
					PROCEDURE_REF(BgL_envz00_26007, (int) (((long) 1)));
				BgL_valsz00_26010 = PROCEDURE_REF(BgL_envz00_26007, (int) (((long) 2)));
				BgL_bodyz00_26011 = PROCEDURE_REF(BgL_envz00_26007, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5465;

					BgL_sz00_5465 = BgL_sz00_26012;
					{	/* Eval/evaluate.scm 968 */
						obj_t BgL_bpz00_5467;

						BgL_bpz00_5467 = VECTOR_REF(BgL_sz00_5465, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 969 */
							long BgL_g2761z00_5468;

							BgL_g2761z00_5468 =
								(
								(long) CINT(BgL_bpz00_5467) + (long) CINT(BgL_siza7eza7_26008));
							{
								obj_t BgL_lz00_5471;

								long BgL_iz00_5472;

								obj_t BgL_bza2za2_5473;

								{	/* Eval/evaluate.scm 969 */
									obj_t BgL_arg5789z00_5470;

									{
										BgL_ev_letza2za2_bglt BgL_auxz00_42045;

										BgL_auxz00_42045 =
											(BgL_ev_letza2za2_bglt) (BgL_instance2755z00_26009);
										BgL_arg5789z00_5470 =
											(((BgL_ev_letza2za2_bglt) CREF(BgL_auxz00_42045))->
											BgL_boxesz00);
									}
									BgL_lz00_5471 = BgL_valsz00_26010;
									BgL_iz00_5472 = BgL_g2761z00_5468;
									BgL_bza2za2_5473 = BgL_arg5789z00_5470;
								BgL_zc3anonymousza35790ze3z83_5474:
									if (NULLP(BgL_lz00_5471))
										{	/* Eval/evaluate.scm 970 */
											((bool_t) 0);
										}
									else
										{	/* Eval/evaluate.scm 970 */
											{	/* Eval/evaluate.scm 971 */
												obj_t BgL_valz00_5476;

												{	/* Eval/evaluate.scm 971 */
													obj_t BgL_fun5794z00_5479;

													BgL_fun5794z00_5479 = CAR(BgL_lz00_5471);
													BgL_valz00_5476 =
														PROCEDURE_ENTRY(BgL_fun5794z00_5479)
														(BgL_fun5794z00_5479, BgL_sz00_5465, BEOA);
												}
												{	/* Eval/evaluate.scm 972 */
													obj_t BgL_arg5792z00_5477;

													{	/* Eval/evaluate.scm 972 */
														bool_t BgL_testz00_42053;

														{	/* Eval/evaluate.scm 972 */
															obj_t BgL_pairz00_20149;

															BgL_pairz00_20149 = BgL_bza2za2_5473;
															BgL_testz00_42053 = CBOOL(CAR(BgL_pairz00_20149));
														}
														if (BgL_testz00_42053)
															{	/* Eval/evaluate.scm 972 */
																obj_t BgL_newz00_20151;

																BgL_newz00_20151 =
																	create_struct
																	(BGl_symbol8232z00zz__evaluatez00,
																	(int) (((long) 1)));
																{	/* Eval/evaluate.scm 972 */
																	int BgL_auxz00_42058;

																	BgL_auxz00_42058 = (int) (((long) 0));
																	STRUCT_SET(BgL_newz00_20151, BgL_auxz00_42058,
																		BgL_valz00_5476);
																}
																BgL_arg5792z00_5477 = BgL_newz00_20151;
															}
														else
															{	/* Eval/evaluate.scm 972 */
																BgL_arg5792z00_5477 = BgL_valz00_5476;
															}
													}
													VECTOR_SET(BgL_sz00_5465,
														(int) (BgL_iz00_5472), BgL_arg5792z00_5477);
											}}
											{
												obj_t BgL_bza2za2_42067;

												long BgL_iz00_42065;

												obj_t BgL_lz00_42063;

												BgL_lz00_42063 = CDR(BgL_lz00_5471);
												BgL_iz00_42065 = (BgL_iz00_5472 + ((long) 1));
												BgL_bza2za2_42067 = CDR(BgL_bza2za2_5473);
												BgL_bza2za2_5473 = BgL_bza2za2_42067;
												BgL_iz00_5472 = BgL_iz00_42065;
												BgL_lz00_5471 = BgL_lz00_42063;
												goto BgL_zc3anonymousza35790ze3z83_5474;
											}
										}
								}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_26011) (BgL_bodyz00_26011,
							BgL_sz00_5465, BEOA);
					}
				}
			}
		}
	}



/* comp-ev_let3398 */
	obj_t BGl_compzd2ev_let3398zd2zz__evaluatez00(obj_t BgL_envz00_26013,
		obj_t BgL_ez00_26014, obj_t BgL_stkz00_26015)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 944 */
			{
				BgL_ev_letz00_bglt BgL_ez00_5403;

				obj_t BgL_stkz00_5404;

				BgL_ez00_5403 = (BgL_ev_letz00_bglt) (BgL_ez00_26014);
				BgL_stkz00_5404 = BgL_stkz00_26015;
				{	/* Eval/evaluate.scm 946 */
					long BgL_siza7eza7_5408;

					obj_t BgL_nstkz00_5409;

					BgL_siza7eza7_5408 = bgl_list_length(BgL_stkz00_5404);
					{	/* Eval/evaluate.scm 946 */
						obj_t BgL_auxz00_42072;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_42073;

							BgL_auxz00_42073 = (BgL_ev_binderz00_bglt) (BgL_ez00_5403);
							BgL_auxz00_42072 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_42073))->BgL_varsz00);
						}
						BgL_nstkz00_5409 = bgl_append2(BgL_stkz00_5404, BgL_auxz00_42072);
					}
					{	/* Eval/evaluate.scm 947 */
						obj_t BgL_valsz00_5410;

						obj_t BgL_iboxesz00_5411;

						obj_t BgL_bodyz00_5412;

						{	/* Eval/evaluate.scm 948 */
							obj_t BgL_arg5778z00_5437;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_42077;

								BgL_auxz00_42077 = (BgL_ev_binderz00_bglt) (BgL_ez00_5403);
								BgL_arg5778z00_5437 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_42077))->
									BgL_valsz00);
							}
							BgL_valsz00_5410 =
								BGl_compzd2withzd2pushz00zz__evaluatez00(BgL_arg5778z00_5437,
								BgL_stkz00_5404);
						}
						{	/* Eval/evaluate.scm 949 */
							obj_t BgL_l3157z00_5438;

							BgL_l3157z00_5438 =
								(((BgL_ev_letz00_bglt) CREF(BgL_ez00_5403))->BgL_boxesz00);
							if (NULLP(BgL_l3157z00_5438))
								{	/* Eval/evaluate.scm 949 */
									BgL_iboxesz00_5411 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 949 */
									obj_t BgL_head3159z00_5440;

									BgL_head3159z00_5440 = MAKE_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l3157z00_19825;

										obj_t BgL_tail3160z00_19826;

										BgL_l3157z00_19825 = BgL_l3157z00_5438;
										BgL_tail3160z00_19826 = BgL_head3159z00_5440;
									BgL_zc3anonymousza35780ze3z83_19824:
										if (NULLP(BgL_l3157z00_19825))
											{	/* Eval/evaluate.scm 949 */
												BgL_iboxesz00_5411 = CDR(BgL_head3159z00_5440);
											}
										else
											{	/* Eval/evaluate.scm 949 */
												obj_t BgL_newtail3161z00_19834;

												BgL_newtail3161z00_19834 =
													MAKE_PAIR(BGl__indexz00zz__evaluatez00(CAR
														(BgL_l3157z00_19825), BgL_nstkz00_5409), BNIL);
												SET_CDR(BgL_tail3160z00_19826,
													BgL_newtail3161z00_19834);
												{
													obj_t BgL_tail3160z00_42094;

													obj_t BgL_l3157z00_42092;

													BgL_l3157z00_42092 = CDR(BgL_l3157z00_19825);
													BgL_tail3160z00_42094 = BgL_newtail3161z00_19834;
													BgL_tail3160z00_19826 = BgL_tail3160z00_42094;
													BgL_l3157z00_19825 = BgL_l3157z00_42092;
													goto BgL_zc3anonymousza35780ze3z83_19824;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate.scm 950 */
							BgL_ev_exprz00_bglt BgL_arg5785z00_5452;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_42095;

								BgL_auxz00_42095 = (BgL_ev_binderz00_bglt) (BgL_ez00_5403);
								BgL_arg5785z00_5452 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_42095))->
									BgL_bodyz00);
							}
							{	/* Eval/evaluate.scm 950 */
								obj_t BgL_method3374z00_19880;

								{	/* Eval/evaluate.scm 950 */
									BgL_objectz00_bglt BgL_objz00_19881;

									BgL_objz00_19881 = (BgL_objectz00_bglt) (BgL_arg5785z00_5452);
									{	/* Eval/evaluate.scm 950 */
										long BgL_objzd2classzd2numz00_19882;

										BgL_objzd2classzd2numz00_19882 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_19881);
										{	/* Eval/evaluate.scm 950 */
											obj_t BgL_arg6930z00_19883;

											BgL_arg6930z00_19883 =
												PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 950 */
												obj_t BgL_arrayz00_19885;

												int BgL_offsetz00_19886;

												BgL_arrayz00_19885 = BgL_arg6930z00_19883;
												BgL_offsetz00_19886 =
													(int) (BgL_objzd2classzd2numz00_19882);
												{	/* Eval/evaluate.scm 950 */
													long BgL_offsetz00_19887;

													BgL_offsetz00_19887 =
														((long) (BgL_offsetz00_19886) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 950 */
														long BgL_modz00_19888;

														{	/* Eval/evaluate.scm 950 */
															int BgL_arg6932z00_19889;

															BgL_arg6932z00_19889 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 950 */
																long BgL_auxz00_42106;

																BgL_auxz00_42106 =
																	(long) (BgL_arg6932z00_19889);
																BgL_modz00_19888 =
																	(BgL_offsetz00_19887 / BgL_auxz00_42106);
														}}
														{	/* Eval/evaluate.scm 950 */
															long BgL_restz00_19890;

															{	/* Eval/evaluate.scm 950 */
																int BgL_arg6931z00_19891;

																BgL_arg6931z00_19891 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 950 */
																	long BgL_auxz00_42110;

																	BgL_auxz00_42110 =
																		(long) (BgL_arg6931z00_19891);
																	BgL_restz00_19890 =
																		(BgL_offsetz00_19887 % BgL_auxz00_42110);
															}}
															{	/* Eval/evaluate.scm 950 */

																BgL_method3374z00_19880 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_19885,
																		(int) (BgL_modz00_19888)),
																	(int) (BgL_restz00_19890));
								}}}}}}}}
								BgL_bodyz00_5412 =
									PROCEDURE_ENTRY(BgL_method3374z00_19880)
									(BgL_method3374z00_19880, (obj_t) (BgL_arg5785z00_5452),
									BgL_nstkz00_5409, BEOA);
						}}
						{	/* Eval/evaluate.scm 951 */
							obj_t BgL_zc3anonymousza35765ze3z83_24857;

							BgL_zc3anonymousza35765ze3z83_24857 =
								make_fx_procedure(BGl_zc3anonymousza35765ze3z83zz__evaluatez00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza35765ze3z83_24857,
								(int) (((long) 0)), BINT(BgL_siza7eza7_5408));
							PROCEDURE_SET(BgL_zc3anonymousza35765ze3z83_24857,
								(int) (((long) 1)), BgL_valsz00_5410);
							PROCEDURE_SET(BgL_zc3anonymousza35765ze3z83_24857,
								(int) (((long) 2)), BgL_iboxesz00_5411);
							PROCEDURE_SET(BgL_zc3anonymousza35765ze3z83_24857,
								(int) (((long) 3)), BgL_bodyz00_5412);
							return BgL_zc3anonymousza35765ze3z83_24857;
						}
					}
				}
			}
		}
	}



/* <anonymous:5765> */
	obj_t BGl_zc3anonymousza35765ze3z83zz__evaluatez00(obj_t BgL_envz00_26016,
		obj_t BgL_sz00_26021)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 951 */
			{	/* Eval/evaluate.scm 951 */
				obj_t BgL_siza7eza7_26017;

				obj_t BgL_valsz00_26018;

				obj_t BgL_iboxesz00_26019;

				obj_t BgL_bodyz00_26020;

				BgL_siza7eza7_26017 =
					PROCEDURE_REF(BgL_envz00_26016, (int) (((long) 0)));
				BgL_valsz00_26018 = PROCEDURE_REF(BgL_envz00_26016, (int) (((long) 1)));
				BgL_iboxesz00_26019 =
					PROCEDURE_REF(BgL_envz00_26016, (int) (((long) 2)));
				BgL_bodyz00_26020 = PROCEDURE_REF(BgL_envz00_26016, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5413;

					BgL_sz00_5413 = BgL_sz00_26021;
					{	/* Eval/evaluate.scm 951 */
						obj_t BgL_bpz00_5415;

						BgL_bpz00_5415 = VECTOR_REF(BgL_sz00_5413, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 952 */
							long BgL_g2754z00_5416;

							BgL_g2754z00_5416 =
								(
								(long) CINT(BgL_bpz00_5415) + (long) CINT(BgL_siza7eza7_26017));
							{
								obj_t BgL_lz00_19910;

								long BgL_iz00_19911;

								BgL_lz00_19910 = BgL_valsz00_26018;
								BgL_iz00_19911 = BgL_g2754z00_5416;
							BgL_recz00_19909:
								if (NULLP(BgL_lz00_19910))
									{	/* Eval/evaluate.scm 952 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate.scm 952 */
										{	/* Eval/evaluate.scm 952 */
											obj_t BgL_arg5768z00_19918;

											{	/* Eval/evaluate.scm 952 */
												obj_t BgL_fun5769z00_19919;

												BgL_fun5769z00_19919 = CAR(BgL_lz00_19910);
												BgL_arg5768z00_19918 =
													PROCEDURE_ENTRY(BgL_fun5769z00_19919)
													(BgL_fun5769z00_19919, BgL_sz00_5413, BEOA);
											}
											VECTOR_SET(BgL_sz00_5413,
												(int) (BgL_iz00_19911), BgL_arg5768z00_19918);
										}
										{
											long BgL_iz00_42155;

											obj_t BgL_lz00_42153;

											BgL_lz00_42153 = CDR(BgL_lz00_19910);
											BgL_iz00_42155 = (BgL_iz00_19911 + ((long) 1));
											BgL_iz00_19911 = BgL_iz00_42155;
											BgL_lz00_19910 = BgL_lz00_42153;
											goto BgL_recz00_19909;
										}
									}
							}
						}
						{
							obj_t BgL_lz00_5428;

							BgL_lz00_5428 = BgL_iboxesz00_26019;
						BgL_zc3anonymousza35772ze3z83_5429:
							if (NULLP(BgL_lz00_5428))
								{	/* Eval/evaluate.scm 957 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate.scm 957 */
									{	/* Eval/evaluate.scm 958 */
										long BgL_iz00_5431;

										{	/* Eval/evaluate.scm 958 */
											long BgL_auxz00_42159;

											{	/* Eval/evaluate.scm 958 */
												obj_t BgL_pairz00_19959;

												BgL_pairz00_19959 = BgL_lz00_5428;
												BgL_auxz00_42159 = (long) CINT(CAR(BgL_pairz00_19959));
											}
											BgL_iz00_5431 =
												((long) CINT(BgL_bpz00_5415) + BgL_auxz00_42159);
										}
										{	/* Eval/evaluate.scm 959 */
											obj_t BgL_arg5774z00_5432;

											{	/* Eval/evaluate.scm 959 */
												obj_t BgL_arg5775z00_5433;

												BgL_arg5775z00_5433 =
													VECTOR_REF(BgL_sz00_5413, (int) (BgL_iz00_5431));
												{	/* Eval/evaluate.scm 959 */
													obj_t BgL_newz00_19965;

													BgL_newz00_19965 =
														create_struct(BGl_symbol8232z00zz__evaluatez00,
														(int) (((long) 1)));
													{	/* Eval/evaluate.scm 959 */
														int BgL_auxz00_42168;

														BgL_auxz00_42168 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_19965, BgL_auxz00_42168,
															BgL_arg5775z00_5433);
													}
													BgL_arg5774z00_5432 = BgL_newz00_19965;
											}}
											VECTOR_SET(BgL_sz00_5413,
												(int) (BgL_iz00_5431), BgL_arg5774z00_5432);
									}}
									{
										obj_t BgL_lz00_42173;

										BgL_lz00_42173 = CDR(BgL_lz00_5428);
										BgL_lz00_5428 = BgL_lz00_42173;
										goto BgL_zc3anonymousza35772ze3z83_5429;
									}
								}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_26020) (BgL_bodyz00_26020,
							BgL_sz00_5413, BEOA);
					}
				}
			}
		}
	}



/* comp-ev_prog23396 */
	obj_t BGl_compzd2ev_prog23396zd2zz__evaluatez00(obj_t BgL_envz00_26022,
		obj_t BgL_ez00_26023, obj_t BgL_stkz00_26024)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 938 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_5389;

				obj_t BgL_stkz00_5390;

				BgL_ez00_5389 = (BgL_ev_prog2z00_bglt) (BgL_ez00_26023);
				BgL_stkz00_5390 = BgL_stkz00_26024;
				{	/* Eval/evaluate.scm 940 */
					obj_t BgL_e1z00_5394;

					obj_t BgL_e2z00_5395;

					{	/* Eval/evaluate.scm 940 */
						BgL_ev_exprz00_bglt BgL_arg5762z00_5399;

						BgL_arg5762z00_5399 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_5389))->BgL_e1z00);
						{	/* Eval/evaluate.scm 940 */
							obj_t BgL_method3374z00_19762;

							{	/* Eval/evaluate.scm 940 */
								BgL_objectz00_bglt BgL_objz00_19763;

								BgL_objz00_19763 = (BgL_objectz00_bglt) (BgL_arg5762z00_5399);
								{	/* Eval/evaluate.scm 940 */
									long BgL_objzd2classzd2numz00_19764;

									BgL_objzd2classzd2numz00_19764 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_19763);
									{	/* Eval/evaluate.scm 940 */
										obj_t BgL_arg6930z00_19765;

										BgL_arg6930z00_19765 =
											PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 940 */
											obj_t BgL_arrayz00_19767;

											int BgL_offsetz00_19768;

											BgL_arrayz00_19767 = BgL_arg6930z00_19765;
											BgL_offsetz00_19768 =
												(int) (BgL_objzd2classzd2numz00_19764);
											{	/* Eval/evaluate.scm 940 */
												long BgL_offsetz00_19769;

												BgL_offsetz00_19769 =
													((long) (BgL_offsetz00_19768) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 940 */
													long BgL_modz00_19770;

													{	/* Eval/evaluate.scm 940 */
														int BgL_arg6932z00_19771;

														BgL_arg6932z00_19771 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 940 */
															long BgL_auxz00_42186;

															BgL_auxz00_42186 = (long) (BgL_arg6932z00_19771);
															BgL_modz00_19770 =
																(BgL_offsetz00_19769 / BgL_auxz00_42186);
													}}
													{	/* Eval/evaluate.scm 940 */
														long BgL_restz00_19772;

														{	/* Eval/evaluate.scm 940 */
															int BgL_arg6931z00_19773;

															BgL_arg6931z00_19773 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 940 */
																long BgL_auxz00_42190;

																BgL_auxz00_42190 =
																	(long) (BgL_arg6931z00_19773);
																BgL_restz00_19772 =
																	(BgL_offsetz00_19769 % BgL_auxz00_42190);
														}}
														{	/* Eval/evaluate.scm 940 */

															BgL_method3374z00_19762 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_19767,
																	(int) (BgL_modz00_19770)),
																(int) (BgL_restz00_19772));
							}}}}}}}}
							BgL_e1z00_5394 =
								PROCEDURE_ENTRY(BgL_method3374z00_19762)
								(BgL_method3374z00_19762, (obj_t) (BgL_arg5762z00_5399),
								BgL_stkz00_5390, BEOA);
					}}
					{	/* Eval/evaluate.scm 940 */
						BgL_ev_exprz00_bglt BgL_arg5763z00_5400;

						BgL_arg5763z00_5400 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_5389))->BgL_e2z00);
						{	/* Eval/evaluate.scm 940 */
							obj_t BgL_method3374z00_19790;

							{	/* Eval/evaluate.scm 940 */
								BgL_objectz00_bglt BgL_objz00_19791;

								BgL_objz00_19791 = (BgL_objectz00_bglt) (BgL_arg5763z00_5400);
								{	/* Eval/evaluate.scm 940 */
									long BgL_objzd2classzd2numz00_19792;

									BgL_objzd2classzd2numz00_19792 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_19791);
									{	/* Eval/evaluate.scm 940 */
										obj_t BgL_arg6930z00_19793;

										BgL_arg6930z00_19793 =
											PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 940 */
											obj_t BgL_arrayz00_19795;

											int BgL_offsetz00_19796;

											BgL_arrayz00_19795 = BgL_arg6930z00_19793;
											BgL_offsetz00_19796 =
												(int) (BgL_objzd2classzd2numz00_19792);
											{	/* Eval/evaluate.scm 940 */
												long BgL_offsetz00_19797;

												BgL_offsetz00_19797 =
													((long) (BgL_offsetz00_19796) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 940 */
													long BgL_modz00_19798;

													{	/* Eval/evaluate.scm 940 */
														int BgL_arg6932z00_19799;

														BgL_arg6932z00_19799 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 940 */
															long BgL_auxz00_42209;

															BgL_auxz00_42209 = (long) (BgL_arg6932z00_19799);
															BgL_modz00_19798 =
																(BgL_offsetz00_19797 / BgL_auxz00_42209);
													}}
													{	/* Eval/evaluate.scm 940 */
														long BgL_restz00_19800;

														{	/* Eval/evaluate.scm 940 */
															int BgL_arg6931z00_19801;

															BgL_arg6931z00_19801 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 940 */
																long BgL_auxz00_42213;

																BgL_auxz00_42213 =
																	(long) (BgL_arg6931z00_19801);
																BgL_restz00_19800 =
																	(BgL_offsetz00_19797 % BgL_auxz00_42213);
														}}
														{	/* Eval/evaluate.scm 940 */

															BgL_method3374z00_19790 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_19795,
																	(int) (BgL_modz00_19798)),
																(int) (BgL_restz00_19800));
							}}}}}}}}
							BgL_e2z00_5395 =
								PROCEDURE_ENTRY(BgL_method3374z00_19790)
								(BgL_method3374z00_19790, (obj_t) (BgL_arg5763z00_5400),
								BgL_stkz00_5390, BEOA);
					}}
					{	/* Eval/evaluate.scm 941 */
						obj_t BgL_zc3anonymousza35761ze3z83_24859;

						BgL_zc3anonymousza35761ze3z83_24859 =
							make_fx_procedure(BGl_zc3anonymousza35761ze3z83zz__evaluatez00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza35761ze3z83_24859,
							(int) (((long) 0)), BgL_e1z00_5394);
						PROCEDURE_SET(BgL_zc3anonymousza35761ze3z83_24859,
							(int) (((long) 1)), BgL_e2z00_5395);
						return BgL_zc3anonymousza35761ze3z83_24859;
					}
				}
			}
		}
	}



/* <anonymous:5761> */
	obj_t BGl_zc3anonymousza35761ze3z83zz__evaluatez00(obj_t BgL_envz00_26025,
		obj_t BgL_sz00_26028)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 941 */
			{	/* Eval/evaluate.scm 941 */
				obj_t BgL_e1z00_26026;

				obj_t BgL_e2z00_26027;

				BgL_e1z00_26026 = PROCEDURE_REF(BgL_envz00_26025, (int) (((long) 0)));
				BgL_e2z00_26027 = PROCEDURE_REF(BgL_envz00_26025, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5396;

					BgL_sz00_5396 = BgL_sz00_26028;
					{	/* Eval/evaluate.scm 941 */
						obj_t BgL_bpz00_19815;

						BgL_bpz00_19815 = VECTOR_REF(BgL_sz00_5396, (int) (((long) 0)));
						PROCEDURE_ENTRY(BgL_e1z00_26026) (BgL_e1z00_26026, BgL_sz00_5396,
							BEOA);
						return PROCEDURE_ENTRY(BgL_e2z00_26027) (BgL_e2z00_26027,
							BgL_sz00_5396, BEOA);
					}
				}
			}
		}
	}



/* comp-ev_and3394 */
	obj_t BGl_compzd2ev_and3394zd2zz__evaluatez00(obj_t BgL_envz00_26029,
		obj_t BgL_ez00_26030, obj_t BgL_stkz00_26031)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 928 */
			{
				BgL_ev_andz00_bglt BgL_ez00_5354;

				obj_t BgL_stkz00_5355;

				BgL_ez00_5354 = (BgL_ev_andz00_bglt) (BgL_ez00_26030);
				BgL_stkz00_5355 = BgL_stkz00_26031;
				{	/* Eval/evaluate.scm 930 */
					obj_t BgL_argsz00_5359;

					{	/* Eval/evaluate.scm 930 */
						obj_t BgL_l3152z00_5373;

						{
							BgL_ev_listz00_bglt BgL_auxz00_42241;

							BgL_auxz00_42241 = (BgL_ev_listz00_bglt) (BgL_ez00_5354);
							BgL_l3152z00_5373 =
								(((BgL_ev_listz00_bglt) CREF(BgL_auxz00_42241))->BgL_argsz00);
						}
						if (NULLP(BgL_l3152z00_5373))
							{	/* Eval/evaluate.scm 930 */
								BgL_argsz00_5359 = BNIL;
							}
						else
							{	/* Eval/evaluate.scm 930 */
								obj_t BgL_head3154z00_5375;

								BgL_head3154z00_5375 = MAKE_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l3152z00_19590;

									obj_t BgL_tail3155z00_19591;

									BgL_l3152z00_19590 = BgL_l3152z00_5373;
									BgL_tail3155z00_19591 = BgL_head3154z00_5375;
								BgL_zc3anonymousza35755ze3z83_19589:
									if (NULLP(BgL_l3152z00_19590))
										{	/* Eval/evaluate.scm 930 */
											BgL_argsz00_5359 = CDR(BgL_head3154z00_5375);
										}
									else
										{	/* Eval/evaluate.scm 930 */
											obj_t BgL_newtail3156z00_19599;

											{	/* Eval/evaluate.scm 930 */
												obj_t BgL_arg5758z00_19600;

												{	/* Eval/evaluate.scm 930 */
													obj_t BgL_ez00_19602;

													BgL_ez00_19602 = CAR(BgL_l3152z00_19590);
													{	/* Eval/evaluate.scm 930 */
														BgL_ev_exprz00_bglt BgL_ez00_19607;

														BgL_ez00_19607 =
															(BgL_ev_exprz00_bglt) (BgL_ez00_19602);
														{	/* Eval/evaluate.scm 930 */
															obj_t BgL_method3374z00_19609;

															{	/* Eval/evaluate.scm 930 */
																BgL_objectz00_bglt BgL_objz00_19610;

																BgL_objz00_19610 =
																	(BgL_objectz00_bglt) (BgL_ez00_19607);
																{	/* Eval/evaluate.scm 930 */
																	long BgL_objzd2classzd2numz00_19611;

																	BgL_objzd2classzd2numz00_19611 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_19610);
																	{	/* Eval/evaluate.scm 930 */
																		obj_t BgL_arg6930z00_19612;

																		BgL_arg6930z00_19612 =
																			PROCEDURE_REF
																			(BGl_compzd2envzd2zz__evaluatez00,
																			(int) (((long) 1)));
																		{	/* Eval/evaluate.scm 930 */
																			obj_t BgL_arrayz00_19614;

																			int BgL_offsetz00_19615;

																			BgL_arrayz00_19614 = BgL_arg6930z00_19612;
																			BgL_offsetz00_19615 =
																				(int) (BgL_objzd2classzd2numz00_19611);
																			{	/* Eval/evaluate.scm 930 */
																				long BgL_offsetz00_19616;

																				BgL_offsetz00_19616 =
																					(
																					(long) (BgL_offsetz00_19615) -
																					OBJECT_TYPE);
																				{	/* Eval/evaluate.scm 930 */
																					long BgL_modz00_19617;

																					{	/* Eval/evaluate.scm 930 */
																						int BgL_arg6932z00_19618;

																						BgL_arg6932z00_19618 =
																							(int) (((long) 16));
																						{	/* Eval/evaluate.scm 930 */
																							long BgL_auxz00_42260;

																							BgL_auxz00_42260 =
																								(long) (BgL_arg6932z00_19618);
																							BgL_modz00_19617 =
																								(BgL_offsetz00_19616 /
																								BgL_auxz00_42260);
																					}}
																					{	/* Eval/evaluate.scm 930 */
																						long BgL_restz00_19619;

																						{	/* Eval/evaluate.scm 930 */
																							int BgL_arg6931z00_19620;

																							BgL_arg6931z00_19620 =
																								(int) (((long) 16));
																							{	/* Eval/evaluate.scm 930 */
																								long BgL_auxz00_42264;

																								BgL_auxz00_42264 =
																									(long) (BgL_arg6931z00_19620);
																								BgL_restz00_19619 =
																									(BgL_offsetz00_19616 %
																									BgL_auxz00_42264);
																						}}
																						{	/* Eval/evaluate.scm 930 */

																							BgL_method3374z00_19609 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_19614,
																									(int) (BgL_modz00_19617)),
																								(int) (BgL_restz00_19619));
															}}}}}}}}
															BgL_arg5758z00_19600 =
																PROCEDURE_ENTRY(BgL_method3374z00_19609)
																(BgL_method3374z00_19609,
																(obj_t) (BgL_ez00_19607), BgL_stkz00_5355,
																BEOA);
												}}}
												BgL_newtail3156z00_19599 =
													MAKE_PAIR(BgL_arg5758z00_19600, BNIL);
											}
											SET_CDR(BgL_tail3155z00_19591, BgL_newtail3156z00_19599);
											{
												obj_t BgL_tail3155z00_42278;

												obj_t BgL_l3152z00_42276;

												BgL_l3152z00_42276 = CDR(BgL_l3152z00_19590);
												BgL_tail3155z00_42278 = BgL_newtail3156z00_19599;
												BgL_tail3155z00_19591 = BgL_tail3155z00_42278;
												BgL_l3152z00_19590 = BgL_l3152z00_42276;
												goto BgL_zc3anonymousza35755ze3z83_19589;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate.scm 931 */
						obj_t BgL_zc3anonymousza35749ze3z83_24861;

						BgL_zc3anonymousza35749ze3z83_24861 =
							make_fx_procedure(BGl_zc3anonymousza35749ze3z83zz__evaluatez00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza35749ze3z83_24861,
							(int) (((long) 0)), BgL_argsz00_5359);
						return BgL_zc3anonymousza35749ze3z83_24861;
					}
				}
			}
		}
	}



/* <anonymous:5749> */
	obj_t BGl_zc3anonymousza35749ze3z83zz__evaluatez00(obj_t BgL_envz00_26032,
		obj_t BgL_sz00_26034)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 931 */
			{	/* Eval/evaluate.scm 931 */
				obj_t BgL_argsz00_26033;

				BgL_argsz00_26033 = PROCEDURE_REF(BgL_envz00_26032, (int) (((long) 0)));
				{
					obj_t BgL_sz00_5360;

					BgL_sz00_5360 = BgL_sz00_26034;
					{	/* Eval/evaluate.scm 931 */
						obj_t BgL_bpz00_5362;

						BgL_bpz00_5362 = VECTOR_REF(BgL_sz00_5360, (int) (((long) 0)));
						{
							obj_t BgL_lz00_19726;

							obj_t BgL_rz00_19727;

							BgL_lz00_19726 = BgL_argsz00_26033;
							BgL_rz00_19727 = BTRUE;
						BgL_recz00_19725:
							if (NULLP(BgL_lz00_19726))
								{	/* Eval/evaluate.scm 932 */
									return BgL_rz00_19727;
								}
							else
								{	/* Eval/evaluate.scm 932 */
									obj_t BgL_vz00_19734;

									{	/* Eval/evaluate.scm 932 */
										obj_t BgL_fun5753z00_19735;

										BgL_fun5753z00_19735 = CAR(BgL_lz00_19726);
										BgL_vz00_19734 =
											PROCEDURE_ENTRY(BgL_fun5753z00_19735)
											(BgL_fun5753z00_19735, BgL_sz00_5360, BEOA);
									}
									if (CBOOL(BgL_vz00_19734))
										{
											obj_t BgL_rz00_42298;

											obj_t BgL_lz00_42296;

											BgL_lz00_42296 = CDR(BgL_lz00_19726);
											BgL_rz00_42298 = BgL_vz00_19734;
											BgL_rz00_19727 = BgL_rz00_42298;
											BgL_lz00_19726 = BgL_lz00_42296;
											goto BgL_recz00_19725;
										}
									else
										{	/* Eval/evaluate.scm 932 */
											return BFALSE;
										}
								}
						}
					}
				}
			}
		}
	}



/* comp-ev_or3392 */
	obj_t BGl_compzd2ev_or3392zd2zz__evaluatez00(obj_t BgL_envz00_26035,
		obj_t BgL_ez00_26036, obj_t BgL_stkz00_26037)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 919 */
			{
				BgL_ev_orz00_bglt BgL_ez00_5321;

				obj_t BgL_stkz00_5322;

				BgL_ez00_5321 = (BgL_ev_orz00_bglt) (BgL_ez00_26036);
				BgL_stkz00_5322 = BgL_stkz00_26037;
				{	/* Eval/evaluate.scm 921 */
					obj_t BgL_argsz00_5326;

					{	/* Eval/evaluate.scm 921 */
						obj_t BgL_l3147z00_5338;

						{
							BgL_ev_listz00_bglt BgL_auxz00_42299;

							BgL_auxz00_42299 = (BgL_ev_listz00_bglt) (BgL_ez00_5321);
							BgL_l3147z00_5338 =
								(((BgL_ev_listz00_bglt) CREF(BgL_auxz00_42299))->BgL_argsz00);
						}
						if (NULLP(BgL_l3147z00_5338))
							{	/* Eval/evaluate.scm 921 */
								BgL_argsz00_5326 = BNIL;
							}
						else
							{	/* Eval/evaluate.scm 921 */
								obj_t BgL_head3149z00_5340;

								BgL_head3149z00_5340 = MAKE_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l3147z00_19447;

									obj_t BgL_tail3150z00_19448;

									BgL_l3147z00_19447 = BgL_l3147z00_5338;
									BgL_tail3150z00_19448 = BgL_head3149z00_5340;
								BgL_zc3anonymousza35743ze3z83_19446:
									if (NULLP(BgL_l3147z00_19447))
										{	/* Eval/evaluate.scm 921 */
											BgL_argsz00_5326 = CDR(BgL_head3149z00_5340);
										}
									else
										{	/* Eval/evaluate.scm 921 */
											obj_t BgL_newtail3151z00_19456;

											{	/* Eval/evaluate.scm 921 */
												obj_t BgL_arg5746z00_19457;

												{	/* Eval/evaluate.scm 921 */
													obj_t BgL_ez00_19459;

													BgL_ez00_19459 = CAR(BgL_l3147z00_19447);
													{	/* Eval/evaluate.scm 921 */
														BgL_ev_exprz00_bglt BgL_ez00_19464;

														BgL_ez00_19464 =
															(BgL_ev_exprz00_bglt) (BgL_ez00_19459);
														{	/* Eval/evaluate.scm 921 */
															obj_t BgL_method3374z00_19466;

															{	/* Eval/evaluate.scm 921 */
																BgL_objectz00_bglt BgL_objz00_19467;

																BgL_objz00_19467 =
																	(BgL_objectz00_bglt) (BgL_ez00_19464);
																{	/* Eval/evaluate.scm 921 */
																	long BgL_objzd2classzd2numz00_19468;

																	BgL_objzd2classzd2numz00_19468 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_19467);
																	{	/* Eval/evaluate.scm 921 */
																		obj_t BgL_arg6930z00_19469;

																		BgL_arg6930z00_19469 =
																			PROCEDURE_REF
																			(BGl_compzd2envzd2zz__evaluatez00,
																			(int) (((long) 1)));
																		{	/* Eval/evaluate.scm 921 */
																			obj_t BgL_arrayz00_19471;

																			int BgL_offsetz00_19472;

																			BgL_arrayz00_19471 = BgL_arg6930z00_19469;
																			BgL_offsetz00_19472 =
																				(int) (BgL_objzd2classzd2numz00_19468);
																			{	/* Eval/evaluate.scm 921 */
																				long BgL_offsetz00_19473;

																				BgL_offsetz00_19473 =
																					(
																					(long) (BgL_offsetz00_19472) -
																					OBJECT_TYPE);
																				{	/* Eval/evaluate.scm 921 */
																					long BgL_modz00_19474;

																					{	/* Eval/evaluate.scm 921 */
																						int BgL_arg6932z00_19475;

																						BgL_arg6932z00_19475 =
																							(int) (((long) 16));
																						{	/* Eval/evaluate.scm 921 */
																							long BgL_auxz00_42318;

																							BgL_auxz00_42318 =
																								(long) (BgL_arg6932z00_19475);
																							BgL_modz00_19474 =
																								(BgL_offsetz00_19473 /
																								BgL_auxz00_42318);
																					}}
																					{	/* Eval/evaluate.scm 921 */
																						long BgL_restz00_19476;

																						{	/* Eval/evaluate.scm 921 */
																							int BgL_arg6931z00_19477;

																							BgL_arg6931z00_19477 =
																								(int) (((long) 16));
																							{	/* Eval/evaluate.scm 921 */
																								long BgL_auxz00_42322;

																								BgL_auxz00_42322 =
																									(long) (BgL_arg6931z00_19477);
																								BgL_restz00_19476 =
																									(BgL_offsetz00_19473 %
																									BgL_auxz00_42322);
																						}}
																						{	/* Eval/evaluate.scm 921 */

																							BgL_method3374z00_19466 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_19471,
																									(int) (BgL_modz00_19474)),
																								(int) (BgL_restz00_19476));
															}}}}}}}}
															BgL_arg5746z00_19457 =
																PROCEDURE_ENTRY(BgL_method3374z00_19466)
																(BgL_method3374z00_19466,
																(obj_t) (BgL_ez00_19464), BgL_stkz00_5322,
																BEOA);
												}}}
												BgL_newtail3151z00_19456 =
													MAKE_PAIR(BgL_arg5746z00_19457, BNIL);
											}
											SET_CDR(BgL_tail3150z00_19448, BgL_newtail3151z00_19456);
											{
												obj_t BgL_tail3150z00_42336;

												obj_t BgL_l3147z00_42334;

												BgL_l3147z00_42334 = CDR(BgL_l3147z00_19447);
												BgL_tail3150z00_42336 = BgL_newtail3151z00_19456;
												BgL_tail3150z00_19448 = BgL_tail3150z00_42336;
												BgL_l3147z00_19447 = BgL_l3147z00_42334;
												goto BgL_zc3anonymousza35743ze3z83_19446;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate.scm 922 */
						obj_t BgL_zc3anonymousza35737ze3z83_24863;

						BgL_zc3anonymousza35737ze3z83_24863 =
							make_fx_procedure(BGl_zc3anonymousza35737ze3z83zz__evaluatez00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza35737ze3z83_24863,
							(int) (((long) 0)), BgL_argsz00_5326);
						return BgL_zc3anonymousza35737ze3z83_24863;
					}
				}
			}
		}
	}



/* <anonymous:5737> */
	obj_t BGl_zc3anonymousza35737ze3z83zz__evaluatez00(obj_t BgL_envz00_26038,
		obj_t BgL_sz00_26040)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 922 */
			{	/* Eval/evaluate.scm 922 */
				obj_t BgL_argsz00_26039;

				BgL_argsz00_26039 = PROCEDURE_REF(BgL_envz00_26038, (int) (((long) 0)));
				{
					obj_t BgL_sz00_5327;

					BgL_sz00_5327 = BgL_sz00_26040;
					{	/* Eval/evaluate.scm 922 */
						obj_t BgL_bpz00_5329;

						BgL_bpz00_5329 = VECTOR_REF(BgL_sz00_5327, (int) (((long) 0)));
						{
							obj_t BgL_lz00_5331;

							BgL_lz00_5331 = BgL_argsz00_26039;
						BgL_zc3anonymousza35738ze3z83_5332:
							if (NULLP(BgL_lz00_5331))
								{	/* Eval/evaluate.scm 924 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 926 */
									obj_t BgL__ortest_2746z00_5334;

									{	/* Eval/evaluate.scm 926 */
										obj_t BgL_fun5741z00_5336;

										BgL_fun5741z00_5336 = CAR(BgL_lz00_5331);
										BgL__ortest_2746z00_5334 =
											PROCEDURE_ENTRY(BgL_fun5741z00_5336) (BgL_fun5741z00_5336,
											BgL_sz00_5327, BEOA);
									}
									if (CBOOL(BgL__ortest_2746z00_5334))
										{	/* Eval/evaluate.scm 926 */
											return BgL__ortest_2746z00_5334;
										}
									else
										{
											obj_t BgL_lz00_42354;

											BgL_lz00_42354 = CDR(BgL_lz00_5331);
											BgL_lz00_5331 = BgL_lz00_42354;
											goto BgL_zc3anonymousza35738ze3z83_5332;
										}
								}
						}
					}
				}
			}
		}
	}



/* comp-ev_if3390 */
	obj_t BGl_compzd2ev_if3390zd2zz__evaluatez00(obj_t BgL_envz00_26041,
		obj_t BgL_ez00_26042, obj_t BgL_stkz00_26043)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 913 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_5304;

				obj_t BgL_stkz00_5305;

				BgL_ez00_5304 = (BgL_ev_ifz00_bglt) (BgL_ez00_26042);
				BgL_stkz00_5305 = BgL_stkz00_26043;
				{	/* Eval/evaluate.scm 915 */
					obj_t BgL_pz00_5309;

					obj_t BgL_tz00_5310;

					obj_t BgL_ez00_5311;

					{	/* Eval/evaluate.scm 915 */
						BgL_ev_exprz00_bglt BgL_arg5733z00_5316;

						BgL_arg5733z00_5316 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_5304))->BgL_pz00);
						{	/* Eval/evaluate.scm 915 */
							obj_t BgL_method3374z00_19357;

							{	/* Eval/evaluate.scm 915 */
								BgL_objectz00_bglt BgL_objz00_19358;

								BgL_objz00_19358 = (BgL_objectz00_bglt) (BgL_arg5733z00_5316);
								{	/* Eval/evaluate.scm 915 */
									long BgL_objzd2classzd2numz00_19359;

									BgL_objzd2classzd2numz00_19359 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_19358);
									{	/* Eval/evaluate.scm 915 */
										obj_t BgL_arg6930z00_19360;

										BgL_arg6930z00_19360 =
											PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 915 */
											obj_t BgL_arrayz00_19362;

											int BgL_offsetz00_19363;

											BgL_arrayz00_19362 = BgL_arg6930z00_19360;
											BgL_offsetz00_19363 =
												(int) (BgL_objzd2classzd2numz00_19359);
											{	/* Eval/evaluate.scm 915 */
												long BgL_offsetz00_19364;

												BgL_offsetz00_19364 =
													((long) (BgL_offsetz00_19363) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 915 */
													long BgL_modz00_19365;

													{	/* Eval/evaluate.scm 915 */
														int BgL_arg6932z00_19366;

														BgL_arg6932z00_19366 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 915 */
															long BgL_auxz00_42365;

															BgL_auxz00_42365 = (long) (BgL_arg6932z00_19366);
															BgL_modz00_19365 =
																(BgL_offsetz00_19364 / BgL_auxz00_42365);
													}}
													{	/* Eval/evaluate.scm 915 */
														long BgL_restz00_19367;

														{	/* Eval/evaluate.scm 915 */
															int BgL_arg6931z00_19368;

															BgL_arg6931z00_19368 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 915 */
																long BgL_auxz00_42369;

																BgL_auxz00_42369 =
																	(long) (BgL_arg6931z00_19368);
																BgL_restz00_19367 =
																	(BgL_offsetz00_19364 % BgL_auxz00_42369);
														}}
														{	/* Eval/evaluate.scm 915 */

															BgL_method3374z00_19357 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_19362,
																	(int) (BgL_modz00_19365)),
																(int) (BgL_restz00_19367));
							}}}}}}}}
							BgL_pz00_5309 =
								PROCEDURE_ENTRY(BgL_method3374z00_19357)
								(BgL_method3374z00_19357, (obj_t) (BgL_arg5733z00_5316),
								BgL_stkz00_5305, BEOA);
					}}
					{	/* Eval/evaluate.scm 915 */
						BgL_ev_exprz00_bglt BgL_arg5734z00_5317;

						BgL_arg5734z00_5317 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_5304))->BgL_tz00);
						{	/* Eval/evaluate.scm 915 */
							obj_t BgL_method3374z00_19385;

							{	/* Eval/evaluate.scm 915 */
								BgL_objectz00_bglt BgL_objz00_19386;

								BgL_objz00_19386 = (BgL_objectz00_bglt) (BgL_arg5734z00_5317);
								{	/* Eval/evaluate.scm 915 */
									long BgL_objzd2classzd2numz00_19387;

									BgL_objzd2classzd2numz00_19387 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_19386);
									{	/* Eval/evaluate.scm 915 */
										obj_t BgL_arg6930z00_19388;

										BgL_arg6930z00_19388 =
											PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 915 */
											obj_t BgL_arrayz00_19390;

											int BgL_offsetz00_19391;

											BgL_arrayz00_19390 = BgL_arg6930z00_19388;
											BgL_offsetz00_19391 =
												(int) (BgL_objzd2classzd2numz00_19387);
											{	/* Eval/evaluate.scm 915 */
												long BgL_offsetz00_19392;

												BgL_offsetz00_19392 =
													((long) (BgL_offsetz00_19391) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 915 */
													long BgL_modz00_19393;

													{	/* Eval/evaluate.scm 915 */
														int BgL_arg6932z00_19394;

														BgL_arg6932z00_19394 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 915 */
															long BgL_auxz00_42388;

															BgL_auxz00_42388 = (long) (BgL_arg6932z00_19394);
															BgL_modz00_19393 =
																(BgL_offsetz00_19392 / BgL_auxz00_42388);
													}}
													{	/* Eval/evaluate.scm 915 */
														long BgL_restz00_19395;

														{	/* Eval/evaluate.scm 915 */
															int BgL_arg6931z00_19396;

															BgL_arg6931z00_19396 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 915 */
																long BgL_auxz00_42392;

																BgL_auxz00_42392 =
																	(long) (BgL_arg6931z00_19396);
																BgL_restz00_19395 =
																	(BgL_offsetz00_19392 % BgL_auxz00_42392);
														}}
														{	/* Eval/evaluate.scm 915 */

															BgL_method3374z00_19385 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_19390,
																	(int) (BgL_modz00_19393)),
																(int) (BgL_restz00_19395));
							}}}}}}}}
							BgL_tz00_5310 =
								PROCEDURE_ENTRY(BgL_method3374z00_19385)
								(BgL_method3374z00_19385, (obj_t) (BgL_arg5734z00_5317),
								BgL_stkz00_5305, BEOA);
					}}
					{	/* Eval/evaluate.scm 915 */
						BgL_ev_exprz00_bglt BgL_arg5735z00_5318;

						BgL_arg5735z00_5318 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_5304))->BgL_ez00);
						{	/* Eval/evaluate.scm 915 */
							obj_t BgL_method3374z00_19413;

							{	/* Eval/evaluate.scm 915 */
								BgL_objectz00_bglt BgL_objz00_19414;

								BgL_objz00_19414 = (BgL_objectz00_bglt) (BgL_arg5735z00_5318);
								{	/* Eval/evaluate.scm 915 */
									long BgL_objzd2classzd2numz00_19415;

									BgL_objzd2classzd2numz00_19415 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_19414);
									{	/* Eval/evaluate.scm 915 */
										obj_t BgL_arg6930z00_19416;

										BgL_arg6930z00_19416 =
											PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 915 */
											obj_t BgL_arrayz00_19418;

											int BgL_offsetz00_19419;

											BgL_arrayz00_19418 = BgL_arg6930z00_19416;
											BgL_offsetz00_19419 =
												(int) (BgL_objzd2classzd2numz00_19415);
											{	/* Eval/evaluate.scm 915 */
												long BgL_offsetz00_19420;

												BgL_offsetz00_19420 =
													((long) (BgL_offsetz00_19419) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 915 */
													long BgL_modz00_19421;

													{	/* Eval/evaluate.scm 915 */
														int BgL_arg6932z00_19422;

														BgL_arg6932z00_19422 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 915 */
															long BgL_auxz00_42411;

															BgL_auxz00_42411 = (long) (BgL_arg6932z00_19422);
															BgL_modz00_19421 =
																(BgL_offsetz00_19420 / BgL_auxz00_42411);
													}}
													{	/* Eval/evaluate.scm 915 */
														long BgL_restz00_19423;

														{	/* Eval/evaluate.scm 915 */
															int BgL_arg6931z00_19424;

															BgL_arg6931z00_19424 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 915 */
																long BgL_auxz00_42415;

																BgL_auxz00_42415 =
																	(long) (BgL_arg6931z00_19424);
																BgL_restz00_19423 =
																	(BgL_offsetz00_19420 % BgL_auxz00_42415);
														}}
														{	/* Eval/evaluate.scm 915 */

															BgL_method3374z00_19413 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_19418,
																	(int) (BgL_modz00_19421)),
																(int) (BgL_restz00_19423));
							}}}}}}}}
							BgL_ez00_5311 =
								PROCEDURE_ENTRY(BgL_method3374z00_19413)
								(BgL_method3374z00_19413, (obj_t) (BgL_arg5735z00_5318),
								BgL_stkz00_5305, BEOA);
					}}
					{	/* Eval/evaluate.scm 916 */
						obj_t BgL_zc3anonymousza35731ze3z83_24865;

						BgL_zc3anonymousza35731ze3z83_24865 =
							make_fx_procedure(BGl_zc3anonymousza35731ze3z83zz__evaluatez00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza35731ze3z83_24865,
							(int) (((long) 0)), BgL_ez00_5311);
						PROCEDURE_SET(BgL_zc3anonymousza35731ze3z83_24865,
							(int) (((long) 1)), BgL_tz00_5310);
						PROCEDURE_SET(BgL_zc3anonymousza35731ze3z83_24865,
							(int) (((long) 2)), BgL_pz00_5309);
						return BgL_zc3anonymousza35731ze3z83_24865;
					}
				}
			}
		}
	}



/* <anonymous:5731> */
	obj_t BGl_zc3anonymousza35731ze3z83zz__evaluatez00(obj_t BgL_envz00_26044,
		obj_t BgL_sz00_26048)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 916 */
			{	/* Eval/evaluate.scm 916 */
				obj_t BgL_ez00_26045;

				obj_t BgL_tz00_26046;

				obj_t BgL_pz00_26047;

				BgL_ez00_26045 = PROCEDURE_REF(BgL_envz00_26044, (int) (((long) 0)));
				BgL_tz00_26046 = PROCEDURE_REF(BgL_envz00_26044, (int) (((long) 1)));
				BgL_pz00_26047 = PROCEDURE_REF(BgL_envz00_26044, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5312;

					BgL_sz00_5312 = BgL_sz00_26048;
					{	/* Eval/evaluate.scm 916 */
						obj_t BgL_bpz00_19438;

						BgL_bpz00_19438 = VECTOR_REF(BgL_sz00_5312, (int) (((long) 0)));
						if (CBOOL(PROCEDURE_ENTRY(BgL_pz00_26047) (BgL_pz00_26047,
									BgL_sz00_5312, BEOA)))
							{	/* Eval/evaluate.scm 916 */
								return
									PROCEDURE_ENTRY(BgL_tz00_26046) (BgL_tz00_26046,
									BgL_sz00_5312, BEOA);
							}
						else
							{	/* Eval/evaluate.scm 916 */
								return
									PROCEDURE_ENTRY(BgL_ez00_26045) (BgL_ez00_26045,
									BgL_sz00_5312, BEOA);
							}
					}
				}
			}
		}
	}



/* comp-ev_litt3388 */
	obj_t BGl_compzd2ev_litt3388zd2zz__evaluatez00(obj_t BgL_envz00_26049,
		obj_t BgL_ez00_26050, obj_t BgL_stkz00_26051)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 908 */
			{
				BgL_ev_littz00_bglt BgL_ez00_5294;

				obj_t BgL_stkz00_5295;

				BgL_ez00_5294 = (BgL_ev_littz00_bglt) (BgL_ez00_26050);
				BgL_stkz00_5295 = BgL_stkz00_26051;
				{	/* Eval/evaluate.scm 909 */
					obj_t BgL_zc3anonymousza35729ze3z83_24867;

					BgL_zc3anonymousza35729ze3z83_24867 =
						make_fx_procedure(BGl_zc3anonymousza35729ze3z83zz__evaluatez00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza35729ze3z83_24867,
						(int) (((long) 0)), (obj_t) (BgL_ez00_5294));
					return BgL_zc3anonymousza35729ze3z83_24867;
				}
			}
		}
	}



/* <anonymous:5729> */
	obj_t BGl_zc3anonymousza35729ze3z83zz__evaluatez00(obj_t BgL_envz00_26052,
		obj_t BgL_sz00_26054)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 910 */
			{	/* Eval/evaluate.scm 909 */
				obj_t BgL_instance2740z00_26053;

				BgL_instance2740z00_26053 =
					PROCEDURE_REF(BgL_envz00_26052, (int) (((long) 0)));
				{
					obj_t BgL_sz00_19348;

					BgL_sz00_19348 = BgL_sz00_26054;
					{	/* Eval/evaluate.scm 909 */
						obj_t BgL_bpz00_19350;

						BgL_bpz00_19350 = VECTOR_REF(BgL_sz00_19348, (int) (((long) 0)));
						{
							BgL_ev_littz00_bglt BgL_auxz00_42462;

							BgL_auxz00_42462 =
								(BgL_ev_littz00_bglt) (BgL_instance2740z00_26053);
							return
								(((BgL_ev_littz00_bglt) CREF(BgL_auxz00_42462))->BgL_valuez00);
						}
					}
				}
			}
		}
	}



/* comp-ev_defglobal3386 */
	obj_t BGl_compzd2ev_defglobal3386zd2zz__evaluatez00(obj_t BgL_envz00_26055,
		obj_t BgL_ez00_26056, obj_t BgL_stkz00_26057)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 896 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_5270;

				obj_t BgL_stkz00_5271;

				BgL_ez00_5270 = (BgL_ev_defglobalz00_bglt) (BgL_ez00_26056);
				BgL_stkz00_5271 = BgL_stkz00_26057;
				{	/* Eval/evaluate.scm 898 */
					obj_t BgL_ez00_5275;

					{	/* Eval/evaluate.scm 898 */
						BgL_ev_exprz00_bglt BgL_arg5727z00_5291;

						{
							BgL_ev_hookz00_bglt BgL_auxz00_42465;

							BgL_auxz00_42465 = (BgL_ev_hookz00_bglt) (BgL_ez00_5270);
							BgL_arg5727z00_5291 =
								(((BgL_ev_hookz00_bglt) CREF(BgL_auxz00_42465))->BgL_ez00);
						}
						{	/* Eval/evaluate.scm 898 */
							obj_t BgL_method3374z00_19298;

							{	/* Eval/evaluate.scm 898 */
								BgL_objectz00_bglt BgL_objz00_19299;

								BgL_objz00_19299 = (BgL_objectz00_bglt) (BgL_arg5727z00_5291);
								{	/* Eval/evaluate.scm 898 */
									long BgL_objzd2classzd2numz00_19300;

									BgL_objzd2classzd2numz00_19300 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_19299);
									{	/* Eval/evaluate.scm 898 */
										obj_t BgL_arg6930z00_19301;

										BgL_arg6930z00_19301 =
											PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 898 */
											obj_t BgL_arrayz00_19303;

											int BgL_offsetz00_19304;

											BgL_arrayz00_19303 = BgL_arg6930z00_19301;
											BgL_offsetz00_19304 =
												(int) (BgL_objzd2classzd2numz00_19300);
											{	/* Eval/evaluate.scm 898 */
												long BgL_offsetz00_19305;

												BgL_offsetz00_19305 =
													((long) (BgL_offsetz00_19304) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 898 */
													long BgL_modz00_19306;

													{	/* Eval/evaluate.scm 898 */
														int BgL_arg6932z00_19307;

														BgL_arg6932z00_19307 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 898 */
															long BgL_auxz00_42476;

															BgL_auxz00_42476 = (long) (BgL_arg6932z00_19307);
															BgL_modz00_19306 =
																(BgL_offsetz00_19305 / BgL_auxz00_42476);
													}}
													{	/* Eval/evaluate.scm 898 */
														long BgL_restz00_19308;

														{	/* Eval/evaluate.scm 898 */
															int BgL_arg6931z00_19309;

															BgL_arg6931z00_19309 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 898 */
																long BgL_auxz00_42480;

																BgL_auxz00_42480 =
																	(long) (BgL_arg6931z00_19309);
																BgL_restz00_19308 =
																	(BgL_offsetz00_19305 % BgL_auxz00_42480);
														}}
														{	/* Eval/evaluate.scm 898 */

															BgL_method3374z00_19298 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_19303,
																	(int) (BgL_modz00_19306)),
																(int) (BgL_restz00_19308));
							}}}}}}}}
							BgL_ez00_5275 =
								PROCEDURE_ENTRY(BgL_method3374z00_19298)
								(BgL_method3374z00_19298, (obj_t) (BgL_arg5727z00_5291),
								BgL_stkz00_5271, BEOA);
					}}
					{	/* Eval/evaluate.scm 899 */
						obj_t BgL_zc3anonymousza35715ze3z83_24869;

						BgL_zc3anonymousza35715ze3z83_24869 =
							make_fx_procedure(BGl_zc3anonymousza35715ze3z83zz__evaluatez00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza35715ze3z83_24869,
							(int) (((long) 0)), (obj_t) (BgL_ez00_5270));
						PROCEDURE_SET(BgL_zc3anonymousza35715ze3z83_24869,
							(int) (((long) 1)), BgL_ez00_5275);
						return BgL_zc3anonymousza35715ze3z83_24869;
					}
				}
			}
		}
	}



/* <anonymous:5715> */
	obj_t BGl_zc3anonymousza35715ze3z83zz__evaluatez00(obj_t BgL_envz00_26058,
		obj_t BgL_sz00_26061)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 899 */
			{	/* Eval/evaluate.scm 899 */
				obj_t BgL_instance2738z00_26059;

				obj_t BgL_ez00_26060;

				BgL_instance2738z00_26059 =
					PROCEDURE_REF(BgL_envz00_26058, (int) (((long) 0)));
				BgL_ez00_26060 = PROCEDURE_REF(BgL_envz00_26058, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5276;

					BgL_sz00_5276 = BgL_sz00_26061;
					{	/* Eval/evaluate.scm 899 */
						obj_t BgL_bpz00_5278;

						BgL_bpz00_5278 = VECTOR_REF(BgL_sz00_5276, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 900 */
							obj_t BgL_gz00_5279;

							{	/* Eval/evaluate.scm 900 */
								obj_t BgL_arg5725z00_5289;

								obj_t BgL_arg5726z00_5290;

								{
									BgL_ev_setglobalz00_bglt BgL_auxz00_42505;

									BgL_auxz00_42505 =
										(BgL_ev_setglobalz00_bglt) (BgL_instance2738z00_26059);
									BgL_arg5725z00_5289 =
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_auxz00_42505))->
										BgL_modz00);
								}
								{
									BgL_ev_setglobalz00_bglt BgL_auxz00_42508;

									BgL_auxz00_42508 =
										(BgL_ev_setglobalz00_bglt) (BgL_instance2738z00_26059);
									BgL_arg5726z00_5290 =
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_auxz00_42508))->
										BgL_namez00);
								}
								BgL_gz00_5279 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00
									(BgL_arg5725z00_5289, BgL_arg5726z00_5290);
							}
							if (CBOOL(BgL_gz00_5279))
								{	/* Eval/evaluate.scm 901 */
									{	/* Eval/evaluate.scm 902 */
										obj_t BgL_arg5716z00_5280;

										BgL_arg5716z00_5280 =
											PROCEDURE_ENTRY(BgL_ez00_26060) (BgL_ez00_26060,
											BgL_sz00_5276, BEOA);
										VECTOR_SET(BgL_gz00_5279, (int) (((long) 2)),
											BgL_arg5716z00_5280);
									}
									{
										BgL_ev_setglobalz00_bglt BgL_auxz00_42518;

										BgL_auxz00_42518 =
											(BgL_ev_setglobalz00_bglt) (BgL_instance2738z00_26059);
										return
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_auxz00_42518))->
											BgL_namez00);
									}
								}
							else
								{	/* Eval/evaluate.scm 904 */
									obj_t BgL_gz00_5281;

									{	/* Eval/evaluate.scm 904 */
										obj_t BgL_v3146z00_5284;

										BgL_v3146z00_5284 = create_vector((int) (((long) 3)));
										{	/* Eval/evaluate.scm 904 */
											obj_t BgL_arg5722z00_5286;

											BgL_arg5722z00_5286 =
												PROCEDURE_ENTRY(BgL_ez00_26060) (BgL_ez00_26060,
												BgL_sz00_5276, BEOA);
											VECTOR_SET(BgL_v3146z00_5284, (int) (((long) 2)),
												BgL_arg5722z00_5286);
										}
										{	/* Eval/evaluate.scm 904 */
											obj_t BgL_arg5724z00_5288;

											{
												BgL_ev_setglobalz00_bglt BgL_auxz00_42527;

												BgL_auxz00_42527 =
													(BgL_ev_setglobalz00_bglt)
													(BgL_instance2738z00_26059);
												BgL_arg5724z00_5288 =
													(((BgL_ev_setglobalz00_bglt) CREF(BgL_auxz00_42527))->
													BgL_namez00);
											}
											VECTOR_SET(BgL_v3146z00_5284,
												(int) (((long) 1)), BgL_arg5724z00_5288);
										}
										VECTOR_SET(BgL_v3146z00_5284,
											(int) (((long) 0)), BINT(((long) 2)));
										BgL_gz00_5281 = BgL_v3146z00_5284;
									}
									{	/* Eval/evaluate.scm 905 */
										obj_t BgL_arg5717z00_5282;

										obj_t BgL_arg5720z00_5283;

										{
											BgL_ev_setglobalz00_bglt BgL_auxz00_42535;

											BgL_auxz00_42535 =
												(BgL_ev_setglobalz00_bglt) (BgL_instance2738z00_26059);
											BgL_arg5717z00_5282 =
												(((BgL_ev_setglobalz00_bglt) CREF(BgL_auxz00_42535))->
												BgL_modz00);
										}
										{
											BgL_ev_setglobalz00_bglt BgL_auxz00_42538;

											BgL_auxz00_42538 =
												(BgL_ev_setglobalz00_bglt) (BgL_instance2738z00_26059);
											BgL_arg5720z00_5283 =
												(((BgL_ev_setglobalz00_bglt) CREF(BgL_auxz00_42538))->
												BgL_namez00);
										}
										BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
											(BgL_arg5717z00_5282, BgL_arg5720z00_5283, BgL_gz00_5281);
									}
									{
										BgL_ev_setglobalz00_bglt BgL_auxz00_42542;

										BgL_auxz00_42542 =
											(BgL_ev_setglobalz00_bglt) (BgL_instance2738z00_26059);
										return
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_auxz00_42542))->
											BgL_namez00);
									}
								}
						}
					}
				}
			}
		}
	}



/* comp-ev_setglobal3384 */
	obj_t BGl_compzd2ev_setglobal3384zd2zz__evaluatez00(obj_t BgL_envz00_26062,
		obj_t BgL_ez00_26063, obj_t BgL_stkz00_26064)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 880 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_5237;

				obj_t BgL_stkz00_5238;

				BgL_ez00_5237 = (BgL_ev_setglobalz00_bglt) (BgL_ez00_26063);
				BgL_stkz00_5238 = BgL_stkz00_26064;
				{	/* Eval/evaluate.scm 882 */
					obj_t BgL_gz00_5242;

					obj_t BgL_ez00_5243;

					{	/* Eval/evaluate.scm 882 */
						obj_t BgL_arg5711z00_5265;

						obj_t BgL_arg5712z00_5266;

						BgL_arg5711z00_5265 =
							(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_5237))->BgL_modz00);
						BgL_arg5712z00_5266 =
							(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_5237))->BgL_namez00);
						BgL_gz00_5242 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00
							(BgL_arg5711z00_5265, BgL_arg5712z00_5266);
					}
					{	/* Eval/evaluate.scm 882 */
						BgL_ev_exprz00_bglt BgL_arg5713z00_5267;

						{
							BgL_ev_hookz00_bglt BgL_auxz00_42548;

							BgL_auxz00_42548 = (BgL_ev_hookz00_bglt) (BgL_ez00_5237);
							BgL_arg5713z00_5267 =
								(((BgL_ev_hookz00_bglt) CREF(BgL_auxz00_42548))->BgL_ez00);
						}
						{	/* Eval/evaluate.scm 882 */
							obj_t BgL_method3374z00_19238;

							{	/* Eval/evaluate.scm 882 */
								BgL_objectz00_bglt BgL_objz00_19239;

								BgL_objz00_19239 = (BgL_objectz00_bglt) (BgL_arg5713z00_5267);
								{	/* Eval/evaluate.scm 882 */
									long BgL_objzd2classzd2numz00_19240;

									BgL_objzd2classzd2numz00_19240 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_19239);
									{	/* Eval/evaluate.scm 882 */
										obj_t BgL_arg6930z00_19241;

										BgL_arg6930z00_19241 =
											PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 882 */
											obj_t BgL_arrayz00_19243;

											int BgL_offsetz00_19244;

											BgL_arrayz00_19243 = BgL_arg6930z00_19241;
											BgL_offsetz00_19244 =
												(int) (BgL_objzd2classzd2numz00_19240);
											{	/* Eval/evaluate.scm 882 */
												long BgL_offsetz00_19245;

												BgL_offsetz00_19245 =
													((long) (BgL_offsetz00_19244) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 882 */
													long BgL_modz00_19246;

													{	/* Eval/evaluate.scm 882 */
														int BgL_arg6932z00_19247;

														BgL_arg6932z00_19247 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 882 */
															long BgL_auxz00_42559;

															BgL_auxz00_42559 = (long) (BgL_arg6932z00_19247);
															BgL_modz00_19246 =
																(BgL_offsetz00_19245 / BgL_auxz00_42559);
													}}
													{	/* Eval/evaluate.scm 882 */
														long BgL_restz00_19248;

														{	/* Eval/evaluate.scm 882 */
															int BgL_arg6931z00_19249;

															BgL_arg6931z00_19249 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 882 */
																long BgL_auxz00_42563;

																BgL_auxz00_42563 =
																	(long) (BgL_arg6931z00_19249);
																BgL_restz00_19248 =
																	(BgL_offsetz00_19245 % BgL_auxz00_42563);
														}}
														{	/* Eval/evaluate.scm 882 */

															BgL_method3374z00_19238 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_19243,
																	(int) (BgL_modz00_19246)),
																(int) (BgL_restz00_19248));
							}}}}}}}}
							BgL_ez00_5243 =
								PROCEDURE_ENTRY(BgL_method3374z00_19238)
								(BgL_method3374z00_19238, (obj_t) (BgL_arg5713z00_5267),
								BgL_stkz00_5238, BEOA);
					}}
					if (CBOOL(BgL_gz00_5242))
						{	/* Eval/evaluate.scm 883 */
							if (
								(VECTOR_REF(BgL_gz00_5242,
										(int) (((long) 0))) == BINT(((long) 1))))
								{	/* Eval/evaluate.scm 885 */
									obj_t BgL_zc3anonymousza35698ze3z83_24871;

									BgL_zc3anonymousza35698ze3z83_24871 =
										make_fx_procedure
										(BGl_zc3anonymousza35698ze3z83zz__evaluatez00,
										(int) (((long) 1)), (int) (((long) 2)));
									PROCEDURE_SET(BgL_zc3anonymousza35698ze3z83_24871,
										(int) (((long) 0)), BgL_gz00_5242);
									PROCEDURE_SET(BgL_zc3anonymousza35698ze3z83_24871,
										(int) (((long) 1)), BgL_ez00_5243);
									return BgL_zc3anonymousza35698ze3z83_24871;
								}
							else
								{	/* Eval/evaluate.scm 887 */
									obj_t BgL_zc3anonymousza35701ze3z83_24872;

									BgL_zc3anonymousza35701ze3z83_24872 =
										make_fx_procedure
										(BGl_zc3anonymousza35701ze3z83zz__evaluatez00,
										(int) (((long) 1)), (int) (((long) 2)));
									PROCEDURE_SET(BgL_zc3anonymousza35701ze3z83_24872,
										(int) (((long) 0)), BgL_ez00_5243);
									PROCEDURE_SET(BgL_zc3anonymousza35701ze3z83_24872,
										(int) (((long) 1)), BgL_gz00_5242);
									return BgL_zc3anonymousza35701ze3z83_24872;
								}
						}
					else
						{	/* Eval/evaluate.scm 889 */
							obj_t BgL_slotz00_5256;

							BgL_slotz00_5256 = MAKE_CELL(BFALSE);
							{	/* Eval/evaluate.scm 890 */
								obj_t BgL_zc3anonymousza35705ze3z83_24873;

								BgL_zc3anonymousza35705ze3z83_24873 =
									make_fx_procedure
									(BGl_zc3anonymousza35705ze3z83zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza35705ze3z83_24873,
									(int) (((long) 0)), (obj_t) (BgL_ez00_5237));
								PROCEDURE_SET(BgL_zc3anonymousza35705ze3z83_24873,
									(int) (((long) 1)), BgL_slotz00_5256);
								PROCEDURE_SET(BgL_zc3anonymousza35705ze3z83_24873,
									(int) (((long) 2)), BgL_ez00_5243);
								return BgL_zc3anonymousza35705ze3z83_24873;
							}
						}
				}
			}
		}
	}



/* <anonymous:5698> */
	obj_t BGl_zc3anonymousza35698ze3z83zz__evaluatez00(obj_t BgL_envz00_26065,
		obj_t BgL_sz00_26068)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 885 */
			{	/* Eval/evaluate.scm 885 */
				obj_t BgL_gz00_26066;

				obj_t BgL_ez00_26067;

				BgL_gz00_26066 = PROCEDURE_REF(BgL_envz00_26065, (int) (((long) 0)));
				BgL_ez00_26067 = PROCEDURE_REF(BgL_envz00_26065, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5245;

					BgL_sz00_5245 = BgL_sz00_26068;
					{	/* Eval/evaluate.scm 885 */
						obj_t BgL_bpz00_19266;

						BgL_bpz00_19266 = VECTOR_REF(BgL_sz00_5245, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 885 */
							obj_t BgL_arg5699z00_19267;

							obj_t BgL_arg5700z00_19268;

							BgL_arg5699z00_19267 =
								VECTOR_REF(BgL_gz00_26066, (int) (((long) 2)));
							BgL_arg5700z00_19268 =
								PROCEDURE_ENTRY(BgL_ez00_26067) (BgL_ez00_26067, BgL_sz00_5245,
								BEOA);
							return __EVMEANING_ADDRESS_SET(BgL_arg5699z00_19267,
								BgL_arg5700z00_19268);
						}
					}
				}
			}
		}
	}



/* <anonymous:5701> */
	obj_t BGl_zc3anonymousza35701ze3z83zz__evaluatez00(obj_t BgL_envz00_26069,
		obj_t BgL_sz00_26072)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 887 */
			{	/* Eval/evaluate.scm 887 */
				obj_t BgL_ez00_26070;

				obj_t BgL_gz00_26071;

				BgL_ez00_26070 = PROCEDURE_REF(BgL_envz00_26069, (int) (((long) 0)));
				BgL_gz00_26071 = PROCEDURE_REF(BgL_envz00_26069, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5250;

					BgL_sz00_5250 = BgL_sz00_26072;
					{	/* Eval/evaluate.scm 887 */
						obj_t BgL_bpz00_19274;

						BgL_bpz00_19274 = VECTOR_REF(BgL_sz00_5250, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 887 */
							obj_t BgL_arg5702z00_19275;

							BgL_arg5702z00_19275 =
								PROCEDURE_ENTRY(BgL_ez00_26070) (BgL_ez00_26070, BgL_sz00_5250,
								BEOA);
							{	/* Eval/evaluate.scm 887 */
								obj_t BgL_vectorz00_19280;

								int BgL_kz00_19281;

								BgL_vectorz00_19280 = BgL_gz00_26071;
								BgL_kz00_19281 = (int) (((long) 2));
								{	/* Eval/evaluate.scm 887 */
									obj_t BgL_xz00_26758;

									BgL_xz00_26758 =
										VECTOR_SET(BgL_vectorz00_19280, BgL_kz00_19281,
										BgL_arg5702z00_19275);
									return BUNSPEC;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:5705> */
	obj_t BGl_zc3anonymousza35705ze3z83zz__evaluatez00(obj_t BgL_envz00_26073,
		obj_t BgL_sz00_26077)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 890 */
			{	/* Eval/evaluate.scm 890 */
				obj_t BgL_instance2736z00_26074;

				obj_t BgL_slotz00_26075;

				obj_t BgL_ez00_26076;

				BgL_instance2736z00_26074 =
					PROCEDURE_REF(BgL_envz00_26073, (int) (((long) 0)));
				BgL_slotz00_26075 = PROCEDURE_REF(BgL_envz00_26073, (int) (((long) 1)));
				BgL_ez00_26076 = PROCEDURE_REF(BgL_envz00_26073, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5257;

					BgL_sz00_5257 = BgL_sz00_26077;
					{	/* Eval/evaluate.scm 890 */
						obj_t BgL_bpz00_5259;

						BgL_bpz00_5259 = VECTOR_REF(BgL_sz00_5257, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_26075)))
							{	/* Eval/evaluate.scm 891 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate.scm 891 */
								{	/* Eval/evaluate.scm 892 */
									obj_t BgL_auxz00_26078;

									{	/* Eval/evaluate.scm 892 */
										obj_t BgL_arg5706z00_5260;

										obj_t BgL_arg5707z00_5261;

										{
											BgL_ev_setglobalz00_bglt BgL_auxz00_42636;

											BgL_auxz00_42636 =
												(BgL_ev_setglobalz00_bglt) (BgL_instance2736z00_26074);
											BgL_arg5706z00_5260 =
												(((BgL_ev_setglobalz00_bglt) CREF(BgL_auxz00_42636))->
												BgL_modz00);
										}
										{
											BgL_ev_setglobalz00_bglt BgL_auxz00_42639;

											BgL_auxz00_42639 =
												(BgL_ev_setglobalz00_bglt) (BgL_instance2736z00_26074);
											BgL_arg5707z00_5261 =
												(((BgL_ev_setglobalz00_bglt) CREF(BgL_auxz00_42639))->
												BgL_namez00);
										}
										BgL_auxz00_26078 =
											BGl_evmodulezd2findzd2globalz00zz__evmodulez00
											(BgL_arg5706z00_5260, BgL_arg5707z00_5261);
									}
									CELL_SET(BgL_slotz00_26075, BgL_auxz00_26078);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_26075)))
									{	/* Eval/evaluate.scm 893 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 893 */
										obj_t BgL_arg5709z00_5263;

										{
											BgL_ev_setglobalz00_bglt BgL_auxz00_42645;

											BgL_auxz00_42645 =
												(BgL_ev_setglobalz00_bglt) (BgL_instance2736z00_26074);
											BgL_arg5709z00_5263 =
												(((BgL_ev_setglobalz00_bglt) CREF(BgL_auxz00_42645))->
												BgL_namez00);
										}
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8589z00zz__evaluatez00, BgL_arg5709z00_5263);
									}
							}
						{	/* Eval/evaluate.scm 894 */
							obj_t BgL_arg5710z00_5264;

							BgL_arg5710z00_5264 =
								PROCEDURE_ENTRY(BgL_ez00_26076) (BgL_ez00_26076, BgL_sz00_5257,
								BEOA);
							{	/* Eval/evaluate.scm 894 */
								obj_t BgL_evalzd2globalzd2_19290;

								BgL_evalzd2globalzd2_19290 = CELL_REF(BgL_slotz00_26075);
								{	/* Eval/evaluate.scm 894 */
									obj_t BgL_vectorz00_19292;

									int BgL_kz00_19293;

									BgL_vectorz00_19292 = BgL_evalzd2globalzd2_19290;
									BgL_kz00_19293 = (int) (((long) 2));
									{	/* Eval/evaluate.scm 894 */
										obj_t BgL_xz00_26759;

										BgL_xz00_26759 =
											VECTOR_SET(BgL_vectorz00_19292, BgL_kz00_19293,
											BgL_arg5710z00_5264);
										return BUNSPEC;
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* comp-ev_global3382 */
	obj_t BGl_compzd2ev_global3382zd2zz__evaluatez00(obj_t BgL_envz00_26079,
		obj_t BgL_varz00_26080, obj_t BgL_stkz00_26081)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 864 */
			{
				BgL_ev_globalz00_bglt BgL_varz00_5209;

				obj_t BgL_stkz00_5210;

				BgL_varz00_5209 = (BgL_ev_globalz00_bglt) (BgL_varz00_26080);
				BgL_stkz00_5210 = BgL_stkz00_26081;
				{	/* Eval/evaluate.scm 866 */
					obj_t BgL_gz00_5214;

					{	/* Eval/evaluate.scm 866 */
						obj_t BgL_arg5694z00_5233;

						obj_t BgL_arg5695z00_5234;

						BgL_arg5694z00_5233 =
							(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_5209))->BgL_modz00);
						BgL_arg5695z00_5234 =
							(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_5209))->BgL_namez00);
						BgL_gz00_5214 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00
							(BgL_arg5694z00_5233, BgL_arg5695z00_5234);
					}
					if (CBOOL(BgL_gz00_5214))
						{	/* Eval/evaluate.scm 867 */
							if (
								(VECTOR_REF(BgL_gz00_5214,
										(int) (((long) 0))) == BINT(((long) 1))))
								{	/* Eval/evaluate.scm 869 */
									obj_t BgL_zc3anonymousza35684ze3z83_24875;

									BgL_zc3anonymousza35684ze3z83_24875 =
										make_fx_procedure
										(BGl_zc3anonymousza35684ze3z83zz__evaluatez00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza35684ze3z83_24875,
										(int) (((long) 0)), BgL_gz00_5214);
									return BgL_zc3anonymousza35684ze3z83_24875;
								}
							else
								{	/* Eval/evaluate.scm 871 */
									obj_t BgL_zc3anonymousza35686ze3z83_24876;

									BgL_zc3anonymousza35686ze3z83_24876 =
										make_fx_procedure
										(BGl_zc3anonymousza35686ze3z83zz__evaluatez00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza35686ze3z83_24876,
										(int) (((long) 0)), BgL_gz00_5214);
									return BgL_zc3anonymousza35686ze3z83_24876;
								}
						}
					else
						{	/* Eval/evaluate.scm 873 */
							obj_t BgL_slotz00_5225;

							BgL_slotz00_5225 = MAKE_CELL(BFALSE);
							{	/* Eval/evaluate.scm 874 */
								obj_t BgL_zc3anonymousza35689ze3z83_24877;

								BgL_zc3anonymousza35689ze3z83_24877 =
									make_fx_procedure
									(BGl_zc3anonymousza35689ze3z83zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza35689ze3z83_24877,
									(int) (((long) 0)), (obj_t) (BgL_varz00_5209));
								PROCEDURE_SET(BgL_zc3anonymousza35689ze3z83_24877,
									(int) (((long) 1)), BgL_slotz00_5225);
								return BgL_zc3anonymousza35689ze3z83_24877;
							}
						}
				}
			}
		}
	}



/* <anonymous:5684> */
	obj_t BGl_zc3anonymousza35684ze3z83zz__evaluatez00(obj_t BgL_envz00_26082,
		obj_t BgL_sz00_26084)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 869 */
			{	/* Eval/evaluate.scm 869 */
				obj_t BgL_gz00_26083;

				BgL_gz00_26083 = PROCEDURE_REF(BgL_envz00_26082, (int) (((long) 0)));
				{
					obj_t BgL_sz00_5216;

					BgL_sz00_5216 = BgL_sz00_26084;
					{	/* Eval/evaluate.scm 869 */
						obj_t BgL_bpz00_19210;

						BgL_bpz00_19210 = VECTOR_REF(BgL_sz00_5216, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 869 */
							obj_t BgL_auxz00_42686;

							BgL_auxz00_42686 = VECTOR_REF(BgL_gz00_26083, (int) (((long) 2)));
							return __EVMEANING_ADDRESS_REF(BgL_auxz00_42686);
						}
					}
				}
			}
		}
	}



/* <anonymous:5686> */
	obj_t BGl_zc3anonymousza35686ze3z83zz__evaluatez00(obj_t BgL_envz00_26085,
		obj_t BgL_sz00_26087)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 871 */
			{	/* Eval/evaluate.scm 871 */
				obj_t BgL_gz00_26086;

				BgL_gz00_26086 = PROCEDURE_REF(BgL_envz00_26085, (int) (((long) 0)));
				{
					obj_t BgL_sz00_5220;

					BgL_sz00_5220 = BgL_sz00_26087;
					{	/* Eval/evaluate.scm 871 */
						obj_t BgL_bpz00_19217;

						BgL_bpz00_19217 = VECTOR_REF(BgL_sz00_5220, (int) (((long) 0)));
						return VECTOR_REF(BgL_gz00_26086, (int) (((long) 2)));
		}}}}
	}



/* <anonymous:5689> */
	obj_t BGl_zc3anonymousza35689ze3z83zz__evaluatez00(obj_t BgL_envz00_26088,
		obj_t BgL_sz00_26091)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 874 */
			{	/* Eval/evaluate.scm 874 */
				obj_t BgL_instance2734z00_26089;

				obj_t BgL_slotz00_26090;

				BgL_instance2734z00_26089 =
					PROCEDURE_REF(BgL_envz00_26088, (int) (((long) 0)));
				BgL_slotz00_26090 = PROCEDURE_REF(BgL_envz00_26088, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5226;

					BgL_sz00_5226 = BgL_sz00_26091;
					{	/* Eval/evaluate.scm 874 */
						obj_t BgL_bpz00_5228;

						BgL_bpz00_5228 = VECTOR_REF(BgL_sz00_5226, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_26090)))
							{	/* Eval/evaluate.scm 875 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate.scm 875 */
								{	/* Eval/evaluate.scm 876 */
									obj_t BgL_auxz00_26092;

									{	/* Eval/evaluate.scm 876 */
										obj_t BgL_arg5690z00_5229;

										obj_t BgL_arg5691z00_5230;

										{
											BgL_ev_globalz00_bglt BgL_auxz00_42704;

											BgL_auxz00_42704 =
												(BgL_ev_globalz00_bglt) (BgL_instance2734z00_26089);
											BgL_arg5690z00_5229 =
												(((BgL_ev_globalz00_bglt) CREF(BgL_auxz00_42704))->
												BgL_modz00);
										}
										{
											BgL_ev_globalz00_bglt BgL_auxz00_42707;

											BgL_auxz00_42707 =
												(BgL_ev_globalz00_bglt) (BgL_instance2734z00_26089);
											BgL_arg5691z00_5230 =
												(((BgL_ev_globalz00_bglt) CREF(BgL_auxz00_42707))->
												BgL_namez00);
										}
										BgL_auxz00_26092 =
											BGl_evmodulezd2findzd2globalz00zz__evmodulez00
											(BgL_arg5690z00_5229, BgL_arg5691z00_5230);
									}
									CELL_SET(BgL_slotz00_26090, BgL_auxz00_26092);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_26090)))
									{	/* Eval/evaluate.scm 877 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 877 */
										obj_t BgL_arg5693z00_5232;

										{
											BgL_ev_globalz00_bglt BgL_auxz00_42713;

											BgL_auxz00_42713 =
												(BgL_ev_globalz00_bglt) (BgL_instance2734z00_26089);
											BgL_arg5693z00_5232 =
												(((BgL_ev_globalz00_bglt) CREF(BgL_auxz00_42713))->
												BgL_namez00);
										}
										BGl_errorz00zz__errorz00(BGl_symbol8221z00zz__evaluatez00,
											BGl_string8589z00zz__evaluatez00, BgL_arg5693z00_5232);
									}
							}
						{	/* Eval/evaluate.scm 878 */
							obj_t BgL_evalzd2globalzd2_19230;

							BgL_evalzd2globalzd2_19230 = CELL_REF(BgL_slotz00_26090);
							return VECTOR_REF(BgL_evalzd2globalzd2_19230, (int) (((long) 2)));
		}}}}}
	}



/* comp-ev_setlocal3380 */
	obj_t BGl_compzd2ev_setlocal3380zd2zz__evaluatez00(obj_t BgL_envz00_26093,
		obj_t BgL_ez00_26094, obj_t BgL_stkz00_26095)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 854 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_5185;

				obj_t BgL_stkz00_5186;

				BgL_ez00_5185 = (BgL_ev_setlocalz00_bglt) (BgL_ez00_26094);
				BgL_stkz00_5186 = BgL_stkz00_26095;
				{	/* Eval/evaluate.scm 856 */
					obj_t BgL_iz00_5190;

					obj_t BgL_ez00_5191;

					{	/* Eval/evaluate.scm 856 */
						BgL_ev_varz00_bglt BgL_arg5680z00_5205;

						BgL_arg5680z00_5205 =
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_5185))->BgL_vz00);
						BgL_iz00_5190 =
							BGl__indexz00zz__evaluatez00(
							(obj_t) (BgL_arg5680z00_5205), BgL_stkz00_5186);
					}
					{	/* Eval/evaluate.scm 856 */
						BgL_ev_exprz00_bglt BgL_arg5681z00_5206;

						{
							BgL_ev_hookz00_bglt BgL_auxz00_42722;

							BgL_auxz00_42722 = (BgL_ev_hookz00_bglt) (BgL_ez00_5185);
							BgL_arg5681z00_5206 =
								(((BgL_ev_hookz00_bglt) CREF(BgL_auxz00_42722))->BgL_ez00);
						}
						{	/* Eval/evaluate.scm 856 */
							obj_t BgL_method3374z00_19153;

							{	/* Eval/evaluate.scm 856 */
								BgL_objectz00_bglt BgL_objz00_19154;

								BgL_objz00_19154 = (BgL_objectz00_bglt) (BgL_arg5681z00_5206);
								{	/* Eval/evaluate.scm 856 */
									long BgL_objzd2classzd2numz00_19155;

									BgL_objzd2classzd2numz00_19155 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_19154);
									{	/* Eval/evaluate.scm 856 */
										obj_t BgL_arg6930z00_19156;

										BgL_arg6930z00_19156 =
											PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 856 */
											obj_t BgL_arrayz00_19158;

											int BgL_offsetz00_19159;

											BgL_arrayz00_19158 = BgL_arg6930z00_19156;
											BgL_offsetz00_19159 =
												(int) (BgL_objzd2classzd2numz00_19155);
											{	/* Eval/evaluate.scm 856 */
												long BgL_offsetz00_19160;

												BgL_offsetz00_19160 =
													((long) (BgL_offsetz00_19159) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 856 */
													long BgL_modz00_19161;

													{	/* Eval/evaluate.scm 856 */
														int BgL_arg6932z00_19162;

														BgL_arg6932z00_19162 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 856 */
															long BgL_auxz00_42733;

															BgL_auxz00_42733 = (long) (BgL_arg6932z00_19162);
															BgL_modz00_19161 =
																(BgL_offsetz00_19160 / BgL_auxz00_42733);
													}}
													{	/* Eval/evaluate.scm 856 */
														long BgL_restz00_19163;

														{	/* Eval/evaluate.scm 856 */
															int BgL_arg6931z00_19164;

															BgL_arg6931z00_19164 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 856 */
																long BgL_auxz00_42737;

																BgL_auxz00_42737 =
																	(long) (BgL_arg6931z00_19164);
																BgL_restz00_19163 =
																	(BgL_offsetz00_19160 % BgL_auxz00_42737);
														}}
														{	/* Eval/evaluate.scm 856 */

															BgL_method3374z00_19153 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_19158,
																	(int) (BgL_modz00_19161)),
																(int) (BgL_restz00_19163));
							}}}}}}}}
							BgL_ez00_5191 =
								PROCEDURE_ENTRY(BgL_method3374z00_19153)
								(BgL_method3374z00_19153, (obj_t) (BgL_arg5681z00_5206),
								BgL_stkz00_5186, BEOA);
					}}
					{	/* Eval/evaluate.scm 858 */
						bool_t BgL_testz00_42747;

						{	/* Eval/evaluate.scm 858 */
							BgL_ev_varz00_bglt BgL_obj1835z00_19179;

							BgL_obj1835z00_19179 =
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_5185))->BgL_vz00);
							BgL_testz00_42747 =
								CBOOL(
								(((BgL_ev_varz00_bglt) CREF(BgL_obj1835z00_19179))->
									BgL_effz00));
						}
						if (BgL_testz00_42747)
							{	/* Eval/evaluate.scm 859 */
								obj_t BgL_zc3anonymousza35673ze3z83_24879;

								BgL_zc3anonymousza35673ze3z83_24879 =
									make_fx_procedure
									(BGl_zc3anonymousza35673ze3z83zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza35673ze3z83_24879,
									(int) (((long) 0)), BgL_iz00_5190);
								PROCEDURE_SET(BgL_zc3anonymousza35673ze3z83_24879,
									(int) (((long) 1)), BgL_ez00_5191);
								return BgL_zc3anonymousza35673ze3z83_24879;
							}
						else
							{	/* Eval/evaluate.scm 861 */
								obj_t BgL_zc3anonymousza35677ze3z83_24880;

								BgL_zc3anonymousza35677ze3z83_24880 =
									make_fx_procedure
									(BGl_zc3anonymousza35677ze3z83zz__evaluatez00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza35677ze3z83_24880,
									(int) (((long) 0)), BgL_iz00_5190);
								PROCEDURE_SET(BgL_zc3anonymousza35677ze3z83_24880,
									(int) (((long) 1)), BgL_ez00_5191);
								return BgL_zc3anonymousza35677ze3z83_24880;
							}
					}
				}
			}
		}
	}



/* <anonymous:5673> */
	obj_t BGl_zc3anonymousza35673ze3z83zz__evaluatez00(obj_t BgL_envz00_26096,
		obj_t BgL_sz00_26099)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 859 */
			{	/* Eval/evaluate.scm 859 */
				obj_t BgL_iz00_26097;

				obj_t BgL_ez00_26098;

				BgL_iz00_26097 = PROCEDURE_REF(BgL_envz00_26096, (int) (((long) 0)));
				BgL_ez00_26098 = PROCEDURE_REF(BgL_envz00_26096, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5194;

					BgL_sz00_5194 = BgL_sz00_26099;
					{	/* Eval/evaluate.scm 859 */
						obj_t BgL_bpz00_19180;

						BgL_bpz00_19180 = VECTOR_REF(BgL_sz00_5194, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 859 */
							obj_t BgL_arg5674z00_19181;

							obj_t BgL_arg5675z00_19182;

							{	/* Eval/evaluate.scm 859 */
								long BgL_arg5676z00_19183;

								BgL_arg5676z00_19183 =
									((long) CINT(BgL_bpz00_19180) + (long) CINT(BgL_iz00_26097));
								BgL_arg5674z00_19181 =
									VECTOR_REF(BgL_sz00_5194, (int) (BgL_arg5676z00_19183));
							}
							BgL_arg5675z00_19182 =
								PROCEDURE_ENTRY(BgL_ez00_26098) (BgL_ez00_26098, BgL_sz00_5194,
								BEOA);
							{	/* Eval/evaluate.scm 859 */
								obj_t BgL_sz00_19192;

								BgL_sz00_19192 = BgL_arg5674z00_19181;
								{	/* Eval/evaluate.scm 859 */
									obj_t BgL_xz00_26760;

									{	/* Eval/evaluate.scm 859 */
										int BgL_auxz00_42779;

										BgL_auxz00_42779 = (int) (((long) 0));
										BgL_xz00_26760 =
											STRUCT_SET(BgL_sz00_19192, BgL_auxz00_42779,
											BgL_arg5675z00_19182);
									}
									return BUNSPEC;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:5677> */
	obj_t BGl_zc3anonymousza35677ze3z83zz__evaluatez00(obj_t BgL_envz00_26100,
		obj_t BgL_sz00_26103)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 861 */
			{	/* Eval/evaluate.scm 861 */
				obj_t BgL_iz00_26101;

				obj_t BgL_ez00_26102;

				BgL_iz00_26101 = PROCEDURE_REF(BgL_envz00_26100, (int) (((long) 0)));
				BgL_ez00_26102 = PROCEDURE_REF(BgL_envz00_26100, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5200;

					BgL_sz00_5200 = BgL_sz00_26103;
					{	/* Eval/evaluate.scm 861 */
						obj_t BgL_bpz00_19195;

						BgL_bpz00_19195 = VECTOR_REF(BgL_sz00_5200, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 861 */
							long BgL_arg5678z00_19196;

							obj_t BgL_arg5679z00_19197;

							BgL_arg5678z00_19196 =
								((long) CINT(BgL_bpz00_19195) + (long) CINT(BgL_iz00_26101));
							BgL_arg5679z00_19197 =
								PROCEDURE_ENTRY(BgL_ez00_26102) (BgL_ez00_26102, BgL_sz00_5200,
								BEOA);
							{	/* Eval/evaluate.scm 861 */
								obj_t BgL_vectorz00_19202;

								int BgL_kz00_19203;

								BgL_vectorz00_19202 = BgL_sz00_5200;
								BgL_kz00_19203 = (int) (BgL_arg5678z00_19196);
								{	/* Eval/evaluate.scm 861 */
									obj_t BgL_xz00_26761;

									BgL_xz00_26761 =
										VECTOR_SET(BgL_vectorz00_19202, BgL_kz00_19203,
										BgL_arg5679z00_19197);
									return BUNSPEC;
								}
							}
						}
					}
				}
			}
		}
	}



/* comp-ev_var3378 */
	obj_t BGl_compzd2ev_var3378zd2zz__evaluatez00(obj_t BgL_envz00_26104,
		obj_t BgL_varz00_26105, obj_t BgL_stkz00_26106)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 849 */
			{
				BgL_ev_varz00_bglt BgL_varz00_5166;

				obj_t BgL_stkz00_5167;

				BgL_varz00_5166 = (BgL_ev_varz00_bglt) (BgL_varz00_26105);
				BgL_stkz00_5167 = BgL_stkz00_26106;
				{	/* Eval/evaluate.scm 850 */
					obj_t BgL_iz00_5170;

					BgL_iz00_5170 =
						BGl__indexz00zz__evaluatez00(
						(obj_t) (BgL_varz00_5166), BgL_stkz00_5167);
					if (CBOOL((((BgL_ev_varz00_bglt) CREF(BgL_varz00_5166))->BgL_effz00)))
						{	/* Eval/evaluate.scm 852 */
							obj_t BgL_zc3anonymousza35666ze3z83_24882;

							BgL_zc3anonymousza35666ze3z83_24882 =
								make_fx_procedure(BGl_zc3anonymousza35666ze3z83zz__evaluatez00,
								(int) (((long) 1)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza35666ze3z83_24882,
								(int) (((long) 0)), BgL_iz00_5170);
							return BgL_zc3anonymousza35666ze3z83_24882;
						}
					else
						{	/* Eval/evaluate.scm 852 */
							obj_t BgL_zc3anonymousza35669ze3z83_24883;

							BgL_zc3anonymousza35669ze3z83_24883 =
								make_fx_procedure(BGl_zc3anonymousza35669ze3z83zz__evaluatez00,
								(int) (((long) 1)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza35669ze3z83_24883,
								(int) (((long) 0)), BgL_iz00_5170);
							return BgL_zc3anonymousza35669ze3z83_24883;
						}
				}
			}
		}
	}



/* <anonymous:5666> */
	obj_t BGl_zc3anonymousza35666ze3z83zz__evaluatez00(obj_t BgL_envz00_26107,
		obj_t BgL_sz00_26109)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 852 */
			{	/* Eval/evaluate.scm 852 */
				obj_t BgL_iz00_26108;

				BgL_iz00_26108 = PROCEDURE_REF(BgL_envz00_26107, (int) (((long) 0)));
				{
					obj_t BgL_sz00_5174;

					BgL_sz00_5174 = BgL_sz00_26109;
					{	/* Eval/evaluate.scm 852 */
						obj_t BgL_bpz00_19129;

						BgL_bpz00_19129 = VECTOR_REF(BgL_sz00_5174, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 852 */
							obj_t BgL_arg5667z00_19130;

							{	/* Eval/evaluate.scm 852 */
								long BgL_arg5668z00_19131;

								BgL_arg5668z00_19131 =
									((long) CINT(BgL_bpz00_19129) + (long) CINT(BgL_iz00_26108));
								BgL_arg5667z00_19130 =
									VECTOR_REF(BgL_sz00_5174, (int) (BgL_arg5668z00_19131));
							}
							return STRUCT_REF(BgL_arg5667z00_19130, (int) (((long) 0)));
		}}}}}
	}



/* <anonymous:5669> */
	obj_t BGl_zc3anonymousza35669ze3z83zz__evaluatez00(obj_t BgL_envz00_26110,
		obj_t BgL_sz00_26112)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 852 */
			{	/* Eval/evaluate.scm 852 */
				obj_t BgL_iz00_26111;

				BgL_iz00_26111 = PROCEDURE_REF(BgL_envz00_26110, (int) (((long) 0)));
				{
					obj_t BgL_sz00_5179;

					BgL_sz00_5179 = BgL_sz00_26112;
					{	/* Eval/evaluate.scm 852 */
						obj_t BgL_bpz00_19141;

						BgL_bpz00_19141 = VECTOR_REF(BgL_sz00_5179, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 852 */
							long BgL_arg5670z00_19142;

							BgL_arg5670z00_19142 =
								((long) CINT(BgL_bpz00_19141) + (long) CINT(BgL_iz00_26111));
							return VECTOR_REF(BgL_sz00_5179, (int) (BgL_arg5670z00_19142));
		}}}}}
	}



/* comp-ev_trap3376 */
	obj_t BGl_compzd2ev_trap3376zd2zz__evaluatez00(obj_t BgL_envz00_26113,
		obj_t BgL_ez00_26114, obj_t BgL_stkz00_26115)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 824 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_5146;

				obj_t BgL_stkz00_5147;

				BgL_ez00_5146 = (BgL_ev_trapz00_bglt) (BgL_ez00_26114);
				BgL_stkz00_5147 = BgL_stkz00_26115;
				{	/* Eval/evaluate.scm 826 */
					obj_t BgL_ez00_5151;

					{	/* Eval/evaluate.scm 826 */
						BgL_ev_exprz00_bglt BgL_arg5663z00_5163;

						{
							BgL_ev_hookz00_bglt BgL_auxz00_42831;

							BgL_auxz00_42831 = (BgL_ev_hookz00_bglt) (BgL_ez00_5146);
							BgL_arg5663z00_5163 =
								(((BgL_ev_hookz00_bglt) CREF(BgL_auxz00_42831))->BgL_ez00);
						}
						{	/* Eval/evaluate.scm 826 */
							obj_t BgL_method3374z00_19092;

							{	/* Eval/evaluate.scm 826 */
								BgL_objectz00_bglt BgL_objz00_19093;

								BgL_objz00_19093 = (BgL_objectz00_bglt) (BgL_arg5663z00_5163);
								{	/* Eval/evaluate.scm 826 */
									long BgL_objzd2classzd2numz00_19094;

									BgL_objzd2classzd2numz00_19094 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_19093);
									{	/* Eval/evaluate.scm 826 */
										obj_t BgL_arg6930z00_19095;

										BgL_arg6930z00_19095 =
											PROCEDURE_REF(BGl_compzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 826 */
											obj_t BgL_arrayz00_19097;

											int BgL_offsetz00_19098;

											BgL_arrayz00_19097 = BgL_arg6930z00_19095;
											BgL_offsetz00_19098 =
												(int) (BgL_objzd2classzd2numz00_19094);
											{	/* Eval/evaluate.scm 826 */
												long BgL_offsetz00_19099;

												BgL_offsetz00_19099 =
													((long) (BgL_offsetz00_19098) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 826 */
													long BgL_modz00_19100;

													{	/* Eval/evaluate.scm 826 */
														int BgL_arg6932z00_19101;

														BgL_arg6932z00_19101 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 826 */
															long BgL_auxz00_42842;

															BgL_auxz00_42842 = (long) (BgL_arg6932z00_19101);
															BgL_modz00_19100 =
																(BgL_offsetz00_19099 / BgL_auxz00_42842);
													}}
													{	/* Eval/evaluate.scm 826 */
														long BgL_restz00_19102;

														{	/* Eval/evaluate.scm 826 */
															int BgL_arg6931z00_19103;

															BgL_arg6931z00_19103 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 826 */
																long BgL_auxz00_42846;

																BgL_auxz00_42846 =
																	(long) (BgL_arg6931z00_19103);
																BgL_restz00_19102 =
																	(BgL_offsetz00_19099 % BgL_auxz00_42846);
														}}
														{	/* Eval/evaluate.scm 826 */

															BgL_method3374z00_19092 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_19097,
																	(int) (BgL_modz00_19100)),
																(int) (BgL_restz00_19102));
							}}}}}}}}
							BgL_ez00_5151 =
								PROCEDURE_ENTRY(BgL_method3374z00_19092)
								(BgL_method3374z00_19092, (obj_t) (BgL_arg5663z00_5163),
								BgL_stkz00_5147, BEOA);
					}}
					{	/* Eval/evaluate.scm 827 */
						obj_t BgL_zc3anonymousza35656ze3z83_24885;

						BgL_zc3anonymousza35656ze3z83_24885 =
							make_fx_procedure(BGl_zc3anonymousza35656ze3z83zz__evaluatez00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza35656ze3z83_24885,
							(int) (((long) 0)), BgL_ez00_5151);
						return BgL_zc3anonymousza35656ze3z83_24885;
					}
				}
			}
		}
	}



/* <anonymous:5656> */
	obj_t BGl_zc3anonymousza35656ze3z83zz__evaluatez00(obj_t BgL_envz00_26116,
		obj_t BgL_sz00_26118)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 827 */
			{	/* Eval/evaluate.scm 827 */
				obj_t BgL_ez00_26117;

				BgL_ez00_26117 = PROCEDURE_REF(BgL_envz00_26116, (int) (((long) 0)));
				{
					obj_t BgL_sz00_5152;

					BgL_sz00_5152 = BgL_sz00_26118;
					{	/* Eval/evaluate.scm 827 */
						obj_t BgL_bpz00_5154;

						BgL_bpz00_5154 = VECTOR_REF(BgL_sz00_5152, (int) (((long) 0)));
						{	/* Eval/evaluate.scm 828 */
							obj_t BgL_cmdz00_5155;

							BgL_cmdz00_5155 =
								PROCEDURE_ENTRY(BgL_ez00_26117) (BgL_ez00_26117, BgL_sz00_5152,
								BEOA);
							if ((BgL_cmdz00_5155 == BGl_symbol8590z00zz__evaluatez00))
								{	/* Eval/evaluate.scm 829 */
									return BGl_reset_profilez00zz__evaluatez00();
								}
							else
								{	/* Eval/evaluate.scm 829 */
									if ((BgL_cmdz00_5155 == BGl_symbol8592z00zz__evaluatez00))
										{	/* Eval/evaluate.scm 829 */
											return BGl_get_profilez00zz__evaluatez00();
										}
									else
										{	/* Eval/evaluate.scm 829 */
											if ((BgL_cmdz00_5155 == BGl_symbol8594z00zz__evaluatez00))
												{	/* Eval/evaluate.scm 829 */
													return
														VECTOR_SET
														(BGl_za2za2thezd2stackzd2thatzd2eachzd2processzd2mustzd2haveza2za2z00zz__evaluatez00,
														(int) (((long) 0)), BINT(((long) 2)));
												}
											else
												{	/* Eval/evaluate.scm 829 */
													return
														BGl_errorz00zz__errorz00
														(BGl_symbol8191z00zz__evaluatez00,
														BGl_string8596z00zz__evaluatez00, BgL_cmdz00_5155);
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* use-ev_abs3372 */
	obj_t BGl_usezd2ev_abs3372zd2zz__evaluatez00(obj_t BgL_envz00_26119,
		obj_t BgL_ez00_26120, obj_t BgL_donez00_26121)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 801 */
			{
				BgL_ev_absz00_bglt BgL_ez00_5138;

				obj_t BgL_donez00_5139;

				BgL_ez00_5138 = (BgL_ev_absz00_bglt) (BgL_ez00_26120);
				BgL_donez00_5139 = BgL_donez00_26121;
				{	/* Eval/evaluate.scm 802 */
					BgL_ev_exprz00_bglt BgL_arg5654z00_19060;

					BgL_arg5654z00_19060 =
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_5138))->BgL_bodyz00);
					{	/* Eval/evaluate.scm 802 */
						obj_t BgL_method3341z00_19064;

						{	/* Eval/evaluate.scm 802 */
							BgL_objectz00_bglt BgL_objz00_19065;

							BgL_objz00_19065 = (BgL_objectz00_bglt) (BgL_arg5654z00_19060);
							{	/* Eval/evaluate.scm 802 */
								long BgL_objzd2classzd2numz00_19066;

								BgL_objzd2classzd2numz00_19066 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_19065);
								{	/* Eval/evaluate.scm 802 */
									obj_t BgL_arg6930z00_19067;

									BgL_arg6930z00_19067 =
										PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 802 */
										obj_t BgL_arrayz00_19069;

										int BgL_offsetz00_19070;

										BgL_arrayz00_19069 = BgL_arg6930z00_19067;
										BgL_offsetz00_19070 =
											(int) (BgL_objzd2classzd2numz00_19066);
										{	/* Eval/evaluate.scm 802 */
											long BgL_offsetz00_19071;

											BgL_offsetz00_19071 =
												((long) (BgL_offsetz00_19070) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 802 */
												long BgL_modz00_19072;

												{	/* Eval/evaluate.scm 802 */
													int BgL_arg6932z00_19073;

													BgL_arg6932z00_19073 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 802 */
														long BgL_auxz00_42889;

														BgL_auxz00_42889 = (long) (BgL_arg6932z00_19073);
														BgL_modz00_19072 =
															(BgL_offsetz00_19071 / BgL_auxz00_42889);
												}}
												{	/* Eval/evaluate.scm 802 */
													long BgL_restz00_19074;

													{	/* Eval/evaluate.scm 802 */
														int BgL_arg6931z00_19075;

														BgL_arg6931z00_19075 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 802 */
															long BgL_auxz00_42893;

															BgL_auxz00_42893 = (long) (BgL_arg6931z00_19075);
															BgL_restz00_19074 =
																(BgL_offsetz00_19071 % BgL_auxz00_42893);
													}}
													{	/* Eval/evaluate.scm 802 */

														BgL_method3341z00_19064 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_19069,
																(int) (BgL_modz00_19072)),
															(int) (BgL_restz00_19074));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3341z00_19064) (BgL_method3341z00_19064,
							(obj_t) (BgL_arg5654z00_19060), BgL_donez00_5139, BEOA);
					}
				}
			}
		}
	}



/* use-ev_app3370 */
	obj_t BGl_usezd2ev_app3370zd2zz__evaluatez00(obj_t BgL_envz00_26122,
		obj_t BgL_ez00_26123, obj_t BgL_donez00_26124)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 797 */
			{
				BgL_ev_appz00_bglt BgL_ez00_5128;

				obj_t BgL_donez00_5129;

				BgL_ez00_5128 = (BgL_ev_appz00_bglt) (BgL_ez00_26123);
				BgL_donez00_5129 = BgL_donez00_26124;
				{	/* Eval/evaluate.scm 798 */
					BgL_ev_exprz00_bglt BgL_arg5650z00_18986;

					obj_t BgL_arg5651z00_18987;

					BgL_arg5650z00_18986 =
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_5128))->BgL_funz00);
					{	/* Eval/evaluate.scm 798 */
						obj_t BgL_arg5652z00_18988;

						BgL_arg5652z00_18988 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_5128))->BgL_argsz00);
						{
							obj_t BgL_lz00_18992;

							obj_t BgL_donez00_18993;

							BgL_lz00_18992 = BgL_arg5652z00_18988;
							BgL_donez00_18993 = BgL_donez00_5129;
						BgL_useza2za2_18991:
							if (NULLP(BgL_lz00_18992))
								{	/* Eval/evaluate.scm 798 */
									BgL_arg5651z00_18987 = BgL_donez00_18993;
								}
							else
								{	/* Eval/evaluate.scm 798 */
									obj_t BgL_arg4267z00_18999;

									obj_t BgL_arg4268z00_19000;

									BgL_arg4267z00_18999 = CDR(BgL_lz00_18992);
									{	/* Eval/evaluate.scm 798 */
										obj_t BgL_arg4269z00_19001;

										BgL_arg4269z00_19001 = CAR(BgL_lz00_18992);
										{	/* Eval/evaluate.scm 798 */
											BgL_ev_exprz00_bglt BgL_ez00_19005;

											BgL_ez00_19005 =
												(BgL_ev_exprz00_bglt) (BgL_arg4269z00_19001);
											{	/* Eval/evaluate.scm 798 */
												obj_t BgL_method3341z00_19007;

												{	/* Eval/evaluate.scm 798 */
													BgL_objectz00_bglt BgL_objz00_19008;

													BgL_objz00_19008 =
														(BgL_objectz00_bglt) (BgL_ez00_19005);
													{	/* Eval/evaluate.scm 798 */
														long BgL_objzd2classzd2numz00_19009;

														BgL_objzd2classzd2numz00_19009 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_19008);
														{	/* Eval/evaluate.scm 798 */
															obj_t BgL_arg6930z00_19010;

															BgL_arg6930z00_19010 =
																PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
																(int) (((long) 1)));
															{	/* Eval/evaluate.scm 798 */
																obj_t BgL_arrayz00_19012;

																int BgL_offsetz00_19013;

																BgL_arrayz00_19012 = BgL_arg6930z00_19010;
																BgL_offsetz00_19013 =
																	(int) (BgL_objzd2classzd2numz00_19009);
																{	/* Eval/evaluate.scm 798 */
																	long BgL_offsetz00_19014;

																	BgL_offsetz00_19014 =
																		(
																		(long) (BgL_offsetz00_19013) - OBJECT_TYPE);
																	{	/* Eval/evaluate.scm 798 */
																		long BgL_modz00_19015;

																		{	/* Eval/evaluate.scm 798 */
																			int BgL_arg6932z00_19016;

																			BgL_arg6932z00_19016 =
																				(int) (((long) 16));
																			{	/* Eval/evaluate.scm 798 */
																				long BgL_auxz00_42919;

																				BgL_auxz00_42919 =
																					(long) (BgL_arg6932z00_19016);
																				BgL_modz00_19015 =
																					(BgL_offsetz00_19014 /
																					BgL_auxz00_42919);
																		}}
																		{	/* Eval/evaluate.scm 798 */
																			long BgL_restz00_19017;

																			{	/* Eval/evaluate.scm 798 */
																				int BgL_arg6931z00_19018;

																				BgL_arg6931z00_19018 =
																					(int) (((long) 16));
																				{	/* Eval/evaluate.scm 798 */
																					long BgL_auxz00_42923;

																					BgL_auxz00_42923 =
																						(long) (BgL_arg6931z00_19018);
																					BgL_restz00_19017 =
																						(BgL_offsetz00_19014 %
																						BgL_auxz00_42923);
																			}}
																			{	/* Eval/evaluate.scm 798 */

																				BgL_method3341z00_19007 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_19012,
																						(int) (BgL_modz00_19015)),
																					(int) (BgL_restz00_19017));
												}}}}}}}}
												BgL_arg4268z00_19000 =
													PROCEDURE_ENTRY(BgL_method3341z00_19007)
													(BgL_method3341z00_19007, (obj_t) (BgL_ez00_19005),
													BgL_donez00_18993, BEOA);
									}}}
									{
										obj_t BgL_donez00_42934;

										obj_t BgL_lz00_42933;

										BgL_lz00_42933 = BgL_arg4267z00_18999;
										BgL_donez00_42934 = BgL_arg4268z00_19000;
										BgL_donez00_18993 = BgL_donez00_42934;
										BgL_lz00_18992 = BgL_lz00_42933;
										goto BgL_useza2za2_18991;
									}
								}
						}
					}
					{	/* Eval/evaluate.scm 798 */
						obj_t BgL_method3341z00_19034;

						{	/* Eval/evaluate.scm 798 */
							BgL_objectz00_bglt BgL_objz00_19035;

							BgL_objz00_19035 = (BgL_objectz00_bglt) (BgL_arg5650z00_18986);
							{	/* Eval/evaluate.scm 798 */
								long BgL_objzd2classzd2numz00_19036;

								BgL_objzd2classzd2numz00_19036 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_19035);
								{	/* Eval/evaluate.scm 798 */
									obj_t BgL_arg6930z00_19037;

									BgL_arg6930z00_19037 =
										PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 798 */
										obj_t BgL_arrayz00_19039;

										int BgL_offsetz00_19040;

										BgL_arrayz00_19039 = BgL_arg6930z00_19037;
										BgL_offsetz00_19040 =
											(int) (BgL_objzd2classzd2numz00_19036);
										{	/* Eval/evaluate.scm 798 */
											long BgL_offsetz00_19041;

											BgL_offsetz00_19041 =
												((long) (BgL_offsetz00_19040) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 798 */
												long BgL_modz00_19042;

												{	/* Eval/evaluate.scm 798 */
													int BgL_arg6932z00_19043;

													BgL_arg6932z00_19043 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 798 */
														long BgL_auxz00_42943;

														BgL_auxz00_42943 = (long) (BgL_arg6932z00_19043);
														BgL_modz00_19042 =
															(BgL_offsetz00_19041 / BgL_auxz00_42943);
												}}
												{	/* Eval/evaluate.scm 798 */
													long BgL_restz00_19044;

													{	/* Eval/evaluate.scm 798 */
														int BgL_arg6931z00_19045;

														BgL_arg6931z00_19045 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 798 */
															long BgL_auxz00_42947;

															BgL_auxz00_42947 = (long) (BgL_arg6931z00_19045);
															BgL_restz00_19044 =
																(BgL_offsetz00_19041 % BgL_auxz00_42947);
													}}
													{	/* Eval/evaluate.scm 798 */

														BgL_method3341z00_19034 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_19039,
																(int) (BgL_modz00_19042)),
															(int) (BgL_restz00_19044));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3341z00_19034) (BgL_method3341z00_19034,
							(obj_t) (BgL_arg5650z00_18986), BgL_arg5651z00_18987, BEOA);
					}
				}
			}
		}
	}



/* use-ev_binder3367 */
	obj_t BGl_usezd2ev_binder3367zd2zz__evaluatez00(obj_t BgL_envz00_26125,
		obj_t BgL_ez00_26126, obj_t BgL_donez00_26127)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 793 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_5118;

				obj_t BgL_donez00_5119;

				BgL_ez00_5118 = (BgL_ev_binderz00_bglt) (BgL_ez00_26126);
				BgL_donez00_5119 = BgL_donez00_26127;
				{	/* Eval/evaluate.scm 794 */
					BgL_ev_exprz00_bglt BgL_arg5646z00_18912;

					obj_t BgL_arg5647z00_18913;

					BgL_arg5646z00_18912 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_5118))->BgL_bodyz00);
					{	/* Eval/evaluate.scm 794 */
						obj_t BgL_arg5648z00_18914;

						BgL_arg5648z00_18914 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_5118))->BgL_valsz00);
						{
							obj_t BgL_lz00_18918;

							obj_t BgL_donez00_18919;

							BgL_lz00_18918 = BgL_arg5648z00_18914;
							BgL_donez00_18919 = BgL_donez00_5119;
						BgL_useza2za2_18917:
							if (NULLP(BgL_lz00_18918))
								{	/* Eval/evaluate.scm 794 */
									BgL_arg5647z00_18913 = BgL_donez00_18919;
								}
							else
								{	/* Eval/evaluate.scm 794 */
									obj_t BgL_arg4267z00_18925;

									obj_t BgL_arg4268z00_18926;

									BgL_arg4267z00_18925 = CDR(BgL_lz00_18918);
									{	/* Eval/evaluate.scm 794 */
										obj_t BgL_arg4269z00_18927;

										BgL_arg4269z00_18927 = CAR(BgL_lz00_18918);
										{	/* Eval/evaluate.scm 794 */
											BgL_ev_exprz00_bglt BgL_ez00_18931;

											BgL_ez00_18931 =
												(BgL_ev_exprz00_bglt) (BgL_arg4269z00_18927);
											{	/* Eval/evaluate.scm 794 */
												obj_t BgL_method3341z00_18933;

												{	/* Eval/evaluate.scm 794 */
													BgL_objectz00_bglt BgL_objz00_18934;

													BgL_objz00_18934 =
														(BgL_objectz00_bglt) (BgL_ez00_18931);
													{	/* Eval/evaluate.scm 794 */
														long BgL_objzd2classzd2numz00_18935;

														BgL_objzd2classzd2numz00_18935 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_18934);
														{	/* Eval/evaluate.scm 794 */
															obj_t BgL_arg6930z00_18936;

															BgL_arg6930z00_18936 =
																PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
																(int) (((long) 1)));
															{	/* Eval/evaluate.scm 794 */
																obj_t BgL_arrayz00_18938;

																int BgL_offsetz00_18939;

																BgL_arrayz00_18938 = BgL_arg6930z00_18936;
																BgL_offsetz00_18939 =
																	(int) (BgL_objzd2classzd2numz00_18935);
																{	/* Eval/evaluate.scm 794 */
																	long BgL_offsetz00_18940;

																	BgL_offsetz00_18940 =
																		(
																		(long) (BgL_offsetz00_18939) - OBJECT_TYPE);
																	{	/* Eval/evaluate.scm 794 */
																		long BgL_modz00_18941;

																		{	/* Eval/evaluate.scm 794 */
																			int BgL_arg6932z00_18942;

																			BgL_arg6932z00_18942 =
																				(int) (((long) 16));
																			{	/* Eval/evaluate.scm 794 */
																				long BgL_auxz00_42973;

																				BgL_auxz00_42973 =
																					(long) (BgL_arg6932z00_18942);
																				BgL_modz00_18941 =
																					(BgL_offsetz00_18940 /
																					BgL_auxz00_42973);
																		}}
																		{	/* Eval/evaluate.scm 794 */
																			long BgL_restz00_18943;

																			{	/* Eval/evaluate.scm 794 */
																				int BgL_arg6931z00_18944;

																				BgL_arg6931z00_18944 =
																					(int) (((long) 16));
																				{	/* Eval/evaluate.scm 794 */
																					long BgL_auxz00_42977;

																					BgL_auxz00_42977 =
																						(long) (BgL_arg6931z00_18944);
																					BgL_restz00_18943 =
																						(BgL_offsetz00_18940 %
																						BgL_auxz00_42977);
																			}}
																			{	/* Eval/evaluate.scm 794 */

																				BgL_method3341z00_18933 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_18938,
																						(int) (BgL_modz00_18941)),
																					(int) (BgL_restz00_18943));
												}}}}}}}}
												BgL_arg4268z00_18926 =
													PROCEDURE_ENTRY(BgL_method3341z00_18933)
													(BgL_method3341z00_18933, (obj_t) (BgL_ez00_18931),
													BgL_donez00_18919, BEOA);
									}}}
									{
										obj_t BgL_donez00_42988;

										obj_t BgL_lz00_42987;

										BgL_lz00_42987 = BgL_arg4267z00_18925;
										BgL_donez00_42988 = BgL_arg4268z00_18926;
										BgL_donez00_18919 = BgL_donez00_42988;
										BgL_lz00_18918 = BgL_lz00_42987;
										goto BgL_useza2za2_18917;
									}
								}
						}
					}
					{	/* Eval/evaluate.scm 794 */
						obj_t BgL_method3341z00_18960;

						{	/* Eval/evaluate.scm 794 */
							BgL_objectz00_bglt BgL_objz00_18961;

							BgL_objz00_18961 = (BgL_objectz00_bglt) (BgL_arg5646z00_18912);
							{	/* Eval/evaluate.scm 794 */
								long BgL_objzd2classzd2numz00_18962;

								BgL_objzd2classzd2numz00_18962 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_18961);
								{	/* Eval/evaluate.scm 794 */
									obj_t BgL_arg6930z00_18963;

									BgL_arg6930z00_18963 =
										PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 794 */
										obj_t BgL_arrayz00_18965;

										int BgL_offsetz00_18966;

										BgL_arrayz00_18965 = BgL_arg6930z00_18963;
										BgL_offsetz00_18966 =
											(int) (BgL_objzd2classzd2numz00_18962);
										{	/* Eval/evaluate.scm 794 */
											long BgL_offsetz00_18967;

											BgL_offsetz00_18967 =
												((long) (BgL_offsetz00_18966) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 794 */
												long BgL_modz00_18968;

												{	/* Eval/evaluate.scm 794 */
													int BgL_arg6932z00_18969;

													BgL_arg6932z00_18969 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 794 */
														long BgL_auxz00_42997;

														BgL_auxz00_42997 = (long) (BgL_arg6932z00_18969);
														BgL_modz00_18968 =
															(BgL_offsetz00_18967 / BgL_auxz00_42997);
												}}
												{	/* Eval/evaluate.scm 794 */
													long BgL_restz00_18970;

													{	/* Eval/evaluate.scm 794 */
														int BgL_arg6931z00_18971;

														BgL_arg6931z00_18971 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 794 */
															long BgL_auxz00_43001;

															BgL_auxz00_43001 = (long) (BgL_arg6931z00_18971);
															BgL_restz00_18970 =
																(BgL_offsetz00_18967 % BgL_auxz00_43001);
													}}
													{	/* Eval/evaluate.scm 794 */

														BgL_method3341z00_18960 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_18965,
																(int) (BgL_modz00_18968)),
															(int) (BgL_restz00_18970));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3341z00_18960) (BgL_method3341z00_18960,
							(obj_t) (BgL_arg5646z00_18912), BgL_arg5647z00_18913, BEOA);
					}
				}
			}
		}
	}



/* use-ev_with-handler3365 */
	obj_t BGl_usezd2ev_withzd2handler3365z00zz__evaluatez00(obj_t
		BgL_envz00_26128, obj_t BgL_ez00_26129, obj_t BgL_donez00_26130)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 789 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_5108;

				obj_t BgL_donez00_5109;

				BgL_ez00_5108 = (BgL_ev_withzd2handlerzd2_bglt) (BgL_ez00_26129);
				BgL_donez00_5109 = BgL_donez00_26130;
				{	/* Eval/evaluate.scm 790 */
					BgL_ev_exprz00_bglt BgL_arg5642z00_18852;

					obj_t BgL_arg5643z00_18853;

					BgL_arg5642z00_18852 =
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_5108))->
						BgL_handlerz00);
					{	/* Eval/evaluate.scm 790 */
						BgL_ev_exprz00_bglt BgL_arg5644z00_18854;

						BgL_arg5644z00_18854 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_5108))->
							BgL_bodyz00);
						{	/* Eval/evaluate.scm 790 */
							obj_t BgL_method3341z00_18859;

							{	/* Eval/evaluate.scm 790 */
								BgL_objectz00_bglt BgL_objz00_18860;

								BgL_objz00_18860 = (BgL_objectz00_bglt) (BgL_arg5644z00_18854);
								{	/* Eval/evaluate.scm 790 */
									long BgL_objzd2classzd2numz00_18861;

									BgL_objzd2classzd2numz00_18861 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_18860);
									{	/* Eval/evaluate.scm 790 */
										obj_t BgL_arg6930z00_18862;

										BgL_arg6930z00_18862 =
											PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 790 */
											obj_t BgL_arrayz00_18864;

											int BgL_offsetz00_18865;

											BgL_arrayz00_18864 = BgL_arg6930z00_18862;
											BgL_offsetz00_18865 =
												(int) (BgL_objzd2classzd2numz00_18861);
											{	/* Eval/evaluate.scm 790 */
												long BgL_offsetz00_18866;

												BgL_offsetz00_18866 =
													((long) (BgL_offsetz00_18865) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 790 */
													long BgL_modz00_18867;

													{	/* Eval/evaluate.scm 790 */
														int BgL_arg6932z00_18868;

														BgL_arg6932z00_18868 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 790 */
															long BgL_auxz00_43022;

															BgL_auxz00_43022 = (long) (BgL_arg6932z00_18868);
															BgL_modz00_18867 =
																(BgL_offsetz00_18866 / BgL_auxz00_43022);
													}}
													{	/* Eval/evaluate.scm 790 */
														long BgL_restz00_18869;

														{	/* Eval/evaluate.scm 790 */
															int BgL_arg6931z00_18870;

															BgL_arg6931z00_18870 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 790 */
																long BgL_auxz00_43026;

																BgL_auxz00_43026 =
																	(long) (BgL_arg6931z00_18870);
																BgL_restz00_18869 =
																	(BgL_offsetz00_18866 % BgL_auxz00_43026);
														}}
														{	/* Eval/evaluate.scm 790 */

															BgL_method3341z00_18859 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_18864,
																	(int) (BgL_modz00_18867)),
																(int) (BgL_restz00_18869));
							}}}}}}}}
							BgL_arg5643z00_18853 =
								PROCEDURE_ENTRY(BgL_method3341z00_18859)
								(BgL_method3341z00_18859, (obj_t) (BgL_arg5644z00_18854),
								BgL_donez00_5109, BEOA);
					}}
					{	/* Eval/evaluate.scm 790 */
						obj_t BgL_method3341z00_18886;

						{	/* Eval/evaluate.scm 790 */
							BgL_objectz00_bglt BgL_objz00_18887;

							BgL_objz00_18887 = (BgL_objectz00_bglt) (BgL_arg5642z00_18852);
							{	/* Eval/evaluate.scm 790 */
								long BgL_objzd2classzd2numz00_18888;

								BgL_objzd2classzd2numz00_18888 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_18887);
								{	/* Eval/evaluate.scm 790 */
									obj_t BgL_arg6930z00_18889;

									BgL_arg6930z00_18889 =
										PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 790 */
										obj_t BgL_arrayz00_18891;

										int BgL_offsetz00_18892;

										BgL_arrayz00_18891 = BgL_arg6930z00_18889;
										BgL_offsetz00_18892 =
											(int) (BgL_objzd2classzd2numz00_18888);
										{	/* Eval/evaluate.scm 790 */
											long BgL_offsetz00_18893;

											BgL_offsetz00_18893 =
												((long) (BgL_offsetz00_18892) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 790 */
												long BgL_modz00_18894;

												{	/* Eval/evaluate.scm 790 */
													int BgL_arg6932z00_18895;

													BgL_arg6932z00_18895 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 790 */
														long BgL_auxz00_43044;

														BgL_auxz00_43044 = (long) (BgL_arg6932z00_18895);
														BgL_modz00_18894 =
															(BgL_offsetz00_18893 / BgL_auxz00_43044);
												}}
												{	/* Eval/evaluate.scm 790 */
													long BgL_restz00_18896;

													{	/* Eval/evaluate.scm 790 */
														int BgL_arg6931z00_18897;

														BgL_arg6931z00_18897 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 790 */
															long BgL_auxz00_43048;

															BgL_auxz00_43048 = (long) (BgL_arg6931z00_18897);
															BgL_restz00_18896 =
																(BgL_offsetz00_18893 % BgL_auxz00_43048);
													}}
													{	/* Eval/evaluate.scm 790 */

														BgL_method3341z00_18886 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_18891,
																(int) (BgL_modz00_18894)),
															(int) (BgL_restz00_18896));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3341z00_18886) (BgL_method3341z00_18886,
							(obj_t) (BgL_arg5642z00_18852), BgL_arg5643z00_18853, BEOA);
					}
				}
			}
		}
	}



/* use-ev_unwind-protec3363 */
	obj_t BGl_usezd2ev_unwindzd2protec3363z00zz__evaluatez00(obj_t
		BgL_envz00_26131, obj_t BgL_ez00_26132, obj_t BgL_donez00_26133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 785 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_5098;

				obj_t BgL_donez00_5099;

				BgL_ez00_5098 = (BgL_ev_unwindzd2protectzd2_bglt) (BgL_ez00_26132);
				BgL_donez00_5099 = BgL_donez00_26133;
				{	/* Eval/evaluate.scm 786 */
					BgL_ev_exprz00_bglt BgL_arg5636z00_18792;

					obj_t BgL_arg5637z00_18793;

					BgL_arg5636z00_18792 =
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_5098))->BgL_ez00);
					{	/* Eval/evaluate.scm 786 */
						BgL_ev_exprz00_bglt BgL_arg5640z00_18794;

						BgL_arg5640z00_18794 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_5098))->
							BgL_bodyz00);
						{	/* Eval/evaluate.scm 786 */
							obj_t BgL_method3341z00_18799;

							{	/* Eval/evaluate.scm 786 */
								BgL_objectz00_bglt BgL_objz00_18800;

								BgL_objz00_18800 = (BgL_objectz00_bglt) (BgL_arg5640z00_18794);
								{	/* Eval/evaluate.scm 786 */
									long BgL_objzd2classzd2numz00_18801;

									BgL_objzd2classzd2numz00_18801 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_18800);
									{	/* Eval/evaluate.scm 786 */
										obj_t BgL_arg6930z00_18802;

										BgL_arg6930z00_18802 =
											PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 786 */
											obj_t BgL_arrayz00_18804;

											int BgL_offsetz00_18805;

											BgL_arrayz00_18804 = BgL_arg6930z00_18802;
											BgL_offsetz00_18805 =
												(int) (BgL_objzd2classzd2numz00_18801);
											{	/* Eval/evaluate.scm 786 */
												long BgL_offsetz00_18806;

												BgL_offsetz00_18806 =
													((long) (BgL_offsetz00_18805) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 786 */
													long BgL_modz00_18807;

													{	/* Eval/evaluate.scm 786 */
														int BgL_arg6932z00_18808;

														BgL_arg6932z00_18808 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 786 */
															long BgL_auxz00_43069;

															BgL_auxz00_43069 = (long) (BgL_arg6932z00_18808);
															BgL_modz00_18807 =
																(BgL_offsetz00_18806 / BgL_auxz00_43069);
													}}
													{	/* Eval/evaluate.scm 786 */
														long BgL_restz00_18809;

														{	/* Eval/evaluate.scm 786 */
															int BgL_arg6931z00_18810;

															BgL_arg6931z00_18810 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 786 */
																long BgL_auxz00_43073;

																BgL_auxz00_43073 =
																	(long) (BgL_arg6931z00_18810);
																BgL_restz00_18809 =
																	(BgL_offsetz00_18806 % BgL_auxz00_43073);
														}}
														{	/* Eval/evaluate.scm 786 */

															BgL_method3341z00_18799 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_18804,
																	(int) (BgL_modz00_18807)),
																(int) (BgL_restz00_18809));
							}}}}}}}}
							BgL_arg5637z00_18793 =
								PROCEDURE_ENTRY(BgL_method3341z00_18799)
								(BgL_method3341z00_18799, (obj_t) (BgL_arg5640z00_18794),
								BgL_donez00_5099, BEOA);
					}}
					{	/* Eval/evaluate.scm 786 */
						obj_t BgL_method3341z00_18826;

						{	/* Eval/evaluate.scm 786 */
							BgL_objectz00_bglt BgL_objz00_18827;

							BgL_objz00_18827 = (BgL_objectz00_bglt) (BgL_arg5636z00_18792);
							{	/* Eval/evaluate.scm 786 */
								long BgL_objzd2classzd2numz00_18828;

								BgL_objzd2classzd2numz00_18828 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_18827);
								{	/* Eval/evaluate.scm 786 */
									obj_t BgL_arg6930z00_18829;

									BgL_arg6930z00_18829 =
										PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 786 */
										obj_t BgL_arrayz00_18831;

										int BgL_offsetz00_18832;

										BgL_arrayz00_18831 = BgL_arg6930z00_18829;
										BgL_offsetz00_18832 =
											(int) (BgL_objzd2classzd2numz00_18828);
										{	/* Eval/evaluate.scm 786 */
											long BgL_offsetz00_18833;

											BgL_offsetz00_18833 =
												((long) (BgL_offsetz00_18832) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 786 */
												long BgL_modz00_18834;

												{	/* Eval/evaluate.scm 786 */
													int BgL_arg6932z00_18835;

													BgL_arg6932z00_18835 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 786 */
														long BgL_auxz00_43091;

														BgL_auxz00_43091 = (long) (BgL_arg6932z00_18835);
														BgL_modz00_18834 =
															(BgL_offsetz00_18833 / BgL_auxz00_43091);
												}}
												{	/* Eval/evaluate.scm 786 */
													long BgL_restz00_18836;

													{	/* Eval/evaluate.scm 786 */
														int BgL_arg6931z00_18837;

														BgL_arg6931z00_18837 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 786 */
															long BgL_auxz00_43095;

															BgL_auxz00_43095 = (long) (BgL_arg6931z00_18837);
															BgL_restz00_18836 =
																(BgL_offsetz00_18833 % BgL_auxz00_43095);
													}}
													{	/* Eval/evaluate.scm 786 */

														BgL_method3341z00_18826 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_18831,
																(int) (BgL_modz00_18834)),
															(int) (BgL_restz00_18836));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3341z00_18826) (BgL_method3341z00_18826,
							(obj_t) (BgL_arg5636z00_18792), BgL_arg5637z00_18793, BEOA);
					}
				}
			}
		}
	}



/* use-ev_bind-exit3361 */
	obj_t BGl_usezd2ev_bindzd2exit3361z00zz__evaluatez00(obj_t BgL_envz00_26134,
		obj_t BgL_ez00_26135, obj_t BgL_donez00_26136)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 781 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_5090;

				obj_t BgL_donez00_5091;

				BgL_ez00_5090 = (BgL_ev_bindzd2exitzd2_bglt) (BgL_ez00_26135);
				BgL_donez00_5091 = BgL_donez00_26136;
				{	/* Eval/evaluate.scm 782 */
					BgL_ev_exprz00_bglt BgL_arg5634z00_18762;

					BgL_arg5634z00_18762 =
						(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_5090))->BgL_bodyz00);
					{	/* Eval/evaluate.scm 782 */
						obj_t BgL_method3341z00_18766;

						{	/* Eval/evaluate.scm 782 */
							BgL_objectz00_bglt BgL_objz00_18767;

							BgL_objz00_18767 = (BgL_objectz00_bglt) (BgL_arg5634z00_18762);
							{	/* Eval/evaluate.scm 782 */
								long BgL_objzd2classzd2numz00_18768;

								BgL_objzd2classzd2numz00_18768 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_18767);
								{	/* Eval/evaluate.scm 782 */
									obj_t BgL_arg6930z00_18769;

									BgL_arg6930z00_18769 =
										PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 782 */
										obj_t BgL_arrayz00_18771;

										int BgL_offsetz00_18772;

										BgL_arrayz00_18771 = BgL_arg6930z00_18769;
										BgL_offsetz00_18772 =
											(int) (BgL_objzd2classzd2numz00_18768);
										{	/* Eval/evaluate.scm 782 */
											long BgL_offsetz00_18773;

											BgL_offsetz00_18773 =
												((long) (BgL_offsetz00_18772) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 782 */
												long BgL_modz00_18774;

												{	/* Eval/evaluate.scm 782 */
													int BgL_arg6932z00_18775;

													BgL_arg6932z00_18775 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 782 */
														long BgL_auxz00_43115;

														BgL_auxz00_43115 = (long) (BgL_arg6932z00_18775);
														BgL_modz00_18774 =
															(BgL_offsetz00_18773 / BgL_auxz00_43115);
												}}
												{	/* Eval/evaluate.scm 782 */
													long BgL_restz00_18776;

													{	/* Eval/evaluate.scm 782 */
														int BgL_arg6931z00_18777;

														BgL_arg6931z00_18777 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 782 */
															long BgL_auxz00_43119;

															BgL_auxz00_43119 = (long) (BgL_arg6931z00_18777);
															BgL_restz00_18776 =
																(BgL_offsetz00_18773 % BgL_auxz00_43119);
													}}
													{	/* Eval/evaluate.scm 782 */

														BgL_method3341z00_18766 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_18771,
																(int) (BgL_modz00_18774)),
															(int) (BgL_restz00_18776));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3341z00_18766) (BgL_method3341z00_18766,
							(obj_t) (BgL_arg5634z00_18762), BgL_donez00_5091, BEOA);
					}
				}
			}
		}
	}



/* use-ev_setlocal3359 */
	obj_t BGl_usezd2ev_setlocal3359zd2zz__evaluatez00(obj_t BgL_envz00_26137,
		obj_t BgL_ez00_26138, obj_t BgL_donez00_26139)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 776 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_5079;

				obj_t BgL_donez00_5080;

				BgL_ez00_5079 = (BgL_ev_setlocalz00_bglt) (BgL_ez00_26138);
				BgL_donez00_5080 = BgL_donez00_26139;
				{	/* Eval/evaluate.scm 777 */
					bool_t BgL_testz00_43130;

					{	/* Eval/evaluate.scm 777 */
						BgL_ev_varz00_bglt BgL_arg5631z00_18728;

						BgL_arg5631z00_18728 =
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_5079))->BgL_vz00);
						BgL_testz00_43130 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								(obj_t) (BgL_arg5631z00_18728), BgL_donez00_5080));
					}
					if (BgL_testz00_43130)
						{	/* Eval/evaluate.scm 777 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate.scm 777 */
							BgL_ev_varz00_bglt BgL_arg5630z00_18729;

							BgL_arg5630z00_18729 =
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_5079))->BgL_vz00);
							BgL_donez00_5080 =
								MAKE_PAIR((obj_t) (BgL_arg5630z00_18729), BgL_donez00_5080);
						}
				}
				{	/* Eval/evaluate.scm 777 */
					BgL_ev_exprz00_bglt BgL_arg5632z00_18730;

					{
						BgL_ev_hookz00_bglt BgL_auxz00_43138;

						BgL_auxz00_43138 = (BgL_ev_hookz00_bglt) (BgL_ez00_5079);
						BgL_arg5632z00_18730 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_auxz00_43138))->BgL_ez00);
					}
					{	/* Eval/evaluate.scm 777 */
						obj_t BgL_donez00_18735;

						BgL_donez00_18735 = BgL_donez00_5080;
						{	/* Eval/evaluate.scm 777 */
							obj_t BgL_method3341z00_18736;

							{	/* Eval/evaluate.scm 777 */
								BgL_objectz00_bglt BgL_objz00_18737;

								BgL_objz00_18737 = (BgL_objectz00_bglt) (BgL_arg5632z00_18730);
								{	/* Eval/evaluate.scm 777 */
									long BgL_objzd2classzd2numz00_18738;

									BgL_objzd2classzd2numz00_18738 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_18737);
									{	/* Eval/evaluate.scm 777 */
										obj_t BgL_arg6930z00_18739;

										BgL_arg6930z00_18739 =
											PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 777 */
											obj_t BgL_arrayz00_18741;

											int BgL_offsetz00_18742;

											BgL_arrayz00_18741 = BgL_arg6930z00_18739;
											BgL_offsetz00_18742 =
												(int) (BgL_objzd2classzd2numz00_18738);
											{	/* Eval/evaluate.scm 777 */
												long BgL_offsetz00_18743;

												BgL_offsetz00_18743 =
													((long) (BgL_offsetz00_18742) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 777 */
													long BgL_modz00_18744;

													{	/* Eval/evaluate.scm 777 */
														int BgL_arg6932z00_18745;

														BgL_arg6932z00_18745 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 777 */
															long BgL_auxz00_43149;

															BgL_auxz00_43149 = (long) (BgL_arg6932z00_18745);
															BgL_modz00_18744 =
																(BgL_offsetz00_18743 / BgL_auxz00_43149);
													}}
													{	/* Eval/evaluate.scm 777 */
														long BgL_restz00_18746;

														{	/* Eval/evaluate.scm 777 */
															int BgL_arg6931z00_18747;

															BgL_arg6931z00_18747 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 777 */
																long BgL_auxz00_43153;

																BgL_auxz00_43153 =
																	(long) (BgL_arg6931z00_18747);
																BgL_restz00_18746 =
																	(BgL_offsetz00_18743 % BgL_auxz00_43153);
														}}
														{	/* Eval/evaluate.scm 777 */

															BgL_method3341z00_18736 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_18741,
																	(int) (BgL_modz00_18744)),
																(int) (BgL_restz00_18746));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3341z00_18736)
								(BgL_method3341z00_18736, (obj_t) (BgL_arg5632z00_18730),
								BgL_donez00_18735, BEOA);
						}
					}
				}
			}
		}
	}



/* use-ev_hook3357 */
	obj_t BGl_usezd2ev_hook3357zd2zz__evaluatez00(obj_t BgL_envz00_26140,
		obj_t BgL_ez00_26141, obj_t BgL_donez00_26142)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 772 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_5071;

				obj_t BgL_donez00_5072;

				BgL_ez00_5071 = (BgL_ev_hookz00_bglt) (BgL_ez00_26141);
				BgL_donez00_5072 = BgL_donez00_26142;
				{	/* Eval/evaluate.scm 773 */
					BgL_ev_exprz00_bglt BgL_arg5627z00_18697;

					BgL_arg5627z00_18697 =
						(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_5071))->BgL_ez00);
					{	/* Eval/evaluate.scm 773 */
						obj_t BgL_method3341z00_18701;

						{	/* Eval/evaluate.scm 773 */
							BgL_objectz00_bglt BgL_objz00_18702;

							BgL_objz00_18702 = (BgL_objectz00_bglt) (BgL_arg5627z00_18697);
							{	/* Eval/evaluate.scm 773 */
								long BgL_objzd2classzd2numz00_18703;

								BgL_objzd2classzd2numz00_18703 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_18702);
								{	/* Eval/evaluate.scm 773 */
									obj_t BgL_arg6930z00_18704;

									BgL_arg6930z00_18704 =
										PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 773 */
										obj_t BgL_arrayz00_18706;

										int BgL_offsetz00_18707;

										BgL_arrayz00_18706 = BgL_arg6930z00_18704;
										BgL_offsetz00_18707 =
											(int) (BgL_objzd2classzd2numz00_18703);
										{	/* Eval/evaluate.scm 773 */
											long BgL_offsetz00_18708;

											BgL_offsetz00_18708 =
												((long) (BgL_offsetz00_18707) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 773 */
												long BgL_modz00_18709;

												{	/* Eval/evaluate.scm 773 */
													int BgL_arg6932z00_18710;

													BgL_arg6932z00_18710 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 773 */
														long BgL_auxz00_43173;

														BgL_auxz00_43173 = (long) (BgL_arg6932z00_18710);
														BgL_modz00_18709 =
															(BgL_offsetz00_18708 / BgL_auxz00_43173);
												}}
												{	/* Eval/evaluate.scm 773 */
													long BgL_restz00_18711;

													{	/* Eval/evaluate.scm 773 */
														int BgL_arg6931z00_18712;

														BgL_arg6931z00_18712 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 773 */
															long BgL_auxz00_43177;

															BgL_auxz00_43177 = (long) (BgL_arg6931z00_18712);
															BgL_restz00_18711 =
																(BgL_offsetz00_18708 % BgL_auxz00_43177);
													}}
													{	/* Eval/evaluate.scm 773 */

														BgL_method3341z00_18701 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_18706,
																(int) (BgL_modz00_18709)),
															(int) (BgL_restz00_18711));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3341z00_18701) (BgL_method3341z00_18701,
							(obj_t) (BgL_arg5627z00_18697), BgL_donez00_5072, BEOA);
					}
				}
			}
		}
	}



/* use-ev_prog23355 */
	obj_t BGl_usezd2ev_prog23355zd2zz__evaluatez00(obj_t BgL_envz00_26143,
		obj_t BgL_ez00_26144, obj_t BgL_donez00_26145)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 768 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_5061;

				obj_t BgL_donez00_5062;

				BgL_ez00_5061 = (BgL_ev_prog2z00_bglt) (BgL_ez00_26144);
				BgL_donez00_5062 = BgL_donez00_26145;
				{	/* Eval/evaluate.scm 769 */
					BgL_ev_exprz00_bglt BgL_arg5623z00_18637;

					obj_t BgL_arg5624z00_18638;

					BgL_arg5623z00_18637 =
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_5061))->BgL_e1z00);
					{	/* Eval/evaluate.scm 769 */
						BgL_ev_exprz00_bglt BgL_arg5625z00_18639;

						BgL_arg5625z00_18639 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_5061))->BgL_e2z00);
						{	/* Eval/evaluate.scm 769 */
							obj_t BgL_method3341z00_18644;

							{	/* Eval/evaluate.scm 769 */
								BgL_objectz00_bglt BgL_objz00_18645;

								BgL_objz00_18645 = (BgL_objectz00_bglt) (BgL_arg5625z00_18639);
								{	/* Eval/evaluate.scm 769 */
									long BgL_objzd2classzd2numz00_18646;

									BgL_objzd2classzd2numz00_18646 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_18645);
									{	/* Eval/evaluate.scm 769 */
										obj_t BgL_arg6930z00_18647;

										BgL_arg6930z00_18647 =
											PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 769 */
											obj_t BgL_arrayz00_18649;

											int BgL_offsetz00_18650;

											BgL_arrayz00_18649 = BgL_arg6930z00_18647;
											BgL_offsetz00_18650 =
												(int) (BgL_objzd2classzd2numz00_18646);
											{	/* Eval/evaluate.scm 769 */
												long BgL_offsetz00_18651;

												BgL_offsetz00_18651 =
													((long) (BgL_offsetz00_18650) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 769 */
													long BgL_modz00_18652;

													{	/* Eval/evaluate.scm 769 */
														int BgL_arg6932z00_18653;

														BgL_arg6932z00_18653 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 769 */
															long BgL_auxz00_43198;

															BgL_auxz00_43198 = (long) (BgL_arg6932z00_18653);
															BgL_modz00_18652 =
																(BgL_offsetz00_18651 / BgL_auxz00_43198);
													}}
													{	/* Eval/evaluate.scm 769 */
														long BgL_restz00_18654;

														{	/* Eval/evaluate.scm 769 */
															int BgL_arg6931z00_18655;

															BgL_arg6931z00_18655 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 769 */
																long BgL_auxz00_43202;

																BgL_auxz00_43202 =
																	(long) (BgL_arg6931z00_18655);
																BgL_restz00_18654 =
																	(BgL_offsetz00_18651 % BgL_auxz00_43202);
														}}
														{	/* Eval/evaluate.scm 769 */

															BgL_method3341z00_18644 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_18649,
																	(int) (BgL_modz00_18652)),
																(int) (BgL_restz00_18654));
							}}}}}}}}
							BgL_arg5624z00_18638 =
								PROCEDURE_ENTRY(BgL_method3341z00_18644)
								(BgL_method3341z00_18644, (obj_t) (BgL_arg5625z00_18639),
								BgL_donez00_5062, BEOA);
					}}
					{	/* Eval/evaluate.scm 769 */
						obj_t BgL_method3341z00_18671;

						{	/* Eval/evaluate.scm 769 */
							BgL_objectz00_bglt BgL_objz00_18672;

							BgL_objz00_18672 = (BgL_objectz00_bglt) (BgL_arg5623z00_18637);
							{	/* Eval/evaluate.scm 769 */
								long BgL_objzd2classzd2numz00_18673;

								BgL_objzd2classzd2numz00_18673 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_18672);
								{	/* Eval/evaluate.scm 769 */
									obj_t BgL_arg6930z00_18674;

									BgL_arg6930z00_18674 =
										PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 769 */
										obj_t BgL_arrayz00_18676;

										int BgL_offsetz00_18677;

										BgL_arrayz00_18676 = BgL_arg6930z00_18674;
										BgL_offsetz00_18677 =
											(int) (BgL_objzd2classzd2numz00_18673);
										{	/* Eval/evaluate.scm 769 */
											long BgL_offsetz00_18678;

											BgL_offsetz00_18678 =
												((long) (BgL_offsetz00_18677) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 769 */
												long BgL_modz00_18679;

												{	/* Eval/evaluate.scm 769 */
													int BgL_arg6932z00_18680;

													BgL_arg6932z00_18680 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 769 */
														long BgL_auxz00_43220;

														BgL_auxz00_43220 = (long) (BgL_arg6932z00_18680);
														BgL_modz00_18679 =
															(BgL_offsetz00_18678 / BgL_auxz00_43220);
												}}
												{	/* Eval/evaluate.scm 769 */
													long BgL_restz00_18681;

													{	/* Eval/evaluate.scm 769 */
														int BgL_arg6931z00_18682;

														BgL_arg6931z00_18682 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 769 */
															long BgL_auxz00_43224;

															BgL_auxz00_43224 = (long) (BgL_arg6931z00_18682);
															BgL_restz00_18681 =
																(BgL_offsetz00_18678 % BgL_auxz00_43224);
													}}
													{	/* Eval/evaluate.scm 769 */

														BgL_method3341z00_18671 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_18676,
																(int) (BgL_modz00_18679)),
															(int) (BgL_restz00_18681));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3341z00_18671) (BgL_method3341z00_18671,
							(obj_t) (BgL_arg5623z00_18637), BgL_arg5624z00_18638, BEOA);
					}
				}
			}
		}
	}



/* use-ev_list3353 */
	obj_t BGl_usezd2ev_list3353zd2zz__evaluatez00(obj_t BgL_envz00_26146,
		obj_t BgL_ez00_26147, obj_t BgL_donez00_26148)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 764 */
			{
				BgL_ev_listz00_bglt BgL_ez00_5053;

				obj_t BgL_donez00_5054;

				BgL_ez00_5053 = (BgL_ev_listz00_bglt) (BgL_ez00_26147);
				BgL_donez00_5054 = BgL_donez00_26148;
				{	/* Eval/evaluate.scm 765 */
					obj_t BgL_arg5621z00_18593;

					BgL_arg5621z00_18593 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_5053))->BgL_argsz00);
					{
						obj_t BgL_lz00_18596;

						obj_t BgL_donez00_18597;

						BgL_lz00_18596 = BgL_arg5621z00_18593;
						BgL_donez00_18597 = BgL_donez00_5054;
					BgL_useza2za2_18595:
						if (NULLP(BgL_lz00_18596))
							{	/* Eval/evaluate.scm 765 */
								return BgL_donez00_18597;
							}
						else
							{	/* Eval/evaluate.scm 765 */
								obj_t BgL_arg4267z00_18603;

								obj_t BgL_arg4268z00_18604;

								BgL_arg4267z00_18603 = CDR(BgL_lz00_18596);
								{	/* Eval/evaluate.scm 765 */
									obj_t BgL_arg4269z00_18605;

									BgL_arg4269z00_18605 = CAR(BgL_lz00_18596);
									{	/* Eval/evaluate.scm 765 */
										BgL_ev_exprz00_bglt BgL_ez00_18609;

										BgL_ez00_18609 =
											(BgL_ev_exprz00_bglt) (BgL_arg4269z00_18605);
										{	/* Eval/evaluate.scm 765 */
											obj_t BgL_method3341z00_18611;

											{	/* Eval/evaluate.scm 765 */
												BgL_objectz00_bglt BgL_objz00_18612;

												BgL_objz00_18612 =
													(BgL_objectz00_bglt) (BgL_ez00_18609);
												{	/* Eval/evaluate.scm 765 */
													long BgL_objzd2classzd2numz00_18613;

													BgL_objzd2classzd2numz00_18613 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_18612);
													{	/* Eval/evaluate.scm 765 */
														obj_t BgL_arg6930z00_18614;

														BgL_arg6930z00_18614 =
															PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
															(int) (((long) 1)));
														{	/* Eval/evaluate.scm 765 */
															obj_t BgL_arrayz00_18616;

															int BgL_offsetz00_18617;

															BgL_arrayz00_18616 = BgL_arg6930z00_18614;
															BgL_offsetz00_18617 =
																(int) (BgL_objzd2classzd2numz00_18613);
															{	/* Eval/evaluate.scm 765 */
																long BgL_offsetz00_18618;

																BgL_offsetz00_18618 =
																	((long) (BgL_offsetz00_18617) - OBJECT_TYPE);
																{	/* Eval/evaluate.scm 765 */
																	long BgL_modz00_18619;

																	{	/* Eval/evaluate.scm 765 */
																		int BgL_arg6932z00_18620;

																		BgL_arg6932z00_18620 = (int) (((long) 16));
																		{	/* Eval/evaluate.scm 765 */
																			long BgL_auxz00_43249;

																			BgL_auxz00_43249 =
																				(long) (BgL_arg6932z00_18620);
																			BgL_modz00_18619 =
																				(BgL_offsetz00_18618 /
																				BgL_auxz00_43249);
																	}}
																	{	/* Eval/evaluate.scm 765 */
																		long BgL_restz00_18621;

																		{	/* Eval/evaluate.scm 765 */
																			int BgL_arg6931z00_18622;

																			BgL_arg6931z00_18622 =
																				(int) (((long) 16));
																			{	/* Eval/evaluate.scm 765 */
																				long BgL_auxz00_43253;

																				BgL_auxz00_43253 =
																					(long) (BgL_arg6931z00_18622);
																				BgL_restz00_18621 =
																					(BgL_offsetz00_18618 %
																					BgL_auxz00_43253);
																		}}
																		{	/* Eval/evaluate.scm 765 */

																			BgL_method3341z00_18611 =
																				VECTOR_REF(VECTOR_REF
																				(BgL_arrayz00_18616,
																					(int) (BgL_modz00_18619)),
																				(int) (BgL_restz00_18621));
											}}}}}}}}
											BgL_arg4268z00_18604 =
												PROCEDURE_ENTRY(BgL_method3341z00_18611)
												(BgL_method3341z00_18611, (obj_t) (BgL_ez00_18609),
												BgL_donez00_18597, BEOA);
								}}}
								{
									obj_t BgL_donez00_43264;

									obj_t BgL_lz00_43263;

									BgL_lz00_43263 = BgL_arg4267z00_18603;
									BgL_donez00_43264 = BgL_arg4268z00_18604;
									BgL_donez00_18597 = BgL_donez00_43264;
									BgL_lz00_18596 = BgL_lz00_43263;
									goto BgL_useza2za2_18595;
								}
							}
					}
				}
			}
		}
	}



/* use-ev_if3351 */
	obj_t BGl_usezd2ev_if3351zd2zz__evaluatez00(obj_t BgL_envz00_26149,
		obj_t BgL_ez00_26150, obj_t BgL_donez00_26151)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 760 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_5041;

				obj_t BgL_donez00_5042;

				BgL_ez00_5041 = (BgL_ev_ifz00_bglt) (BgL_ez00_26150);
				BgL_donez00_5042 = BgL_donez00_26151;
				{	/* Eval/evaluate.scm 761 */
					BgL_ev_exprz00_bglt BgL_arg5615z00_18503;

					obj_t BgL_arg5616z00_18504;

					BgL_arg5615z00_18503 =
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_5041))->BgL_pz00);
					{	/* Eval/evaluate.scm 761 */
						BgL_ev_exprz00_bglt BgL_arg5617z00_18505;

						obj_t BgL_arg5618z00_18506;

						BgL_arg5617z00_18505 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_5041))->BgL_tz00);
						{	/* Eval/evaluate.scm 761 */
							BgL_ev_exprz00_bglt BgL_arg5619z00_18507;

							BgL_arg5619z00_18507 =
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_5041))->BgL_ez00);
							{	/* Eval/evaluate.scm 761 */
								obj_t BgL_method3341z00_18513;

								{	/* Eval/evaluate.scm 761 */
									BgL_objectz00_bglt BgL_objz00_18514;

									BgL_objz00_18514 =
										(BgL_objectz00_bglt) (BgL_arg5619z00_18507);
									{	/* Eval/evaluate.scm 761 */
										long BgL_objzd2classzd2numz00_18515;

										BgL_objzd2classzd2numz00_18515 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_18514);
										{	/* Eval/evaluate.scm 761 */
											obj_t BgL_arg6930z00_18516;

											BgL_arg6930z00_18516 =
												PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 761 */
												obj_t BgL_arrayz00_18518;

												int BgL_offsetz00_18519;

												BgL_arrayz00_18518 = BgL_arg6930z00_18516;
												BgL_offsetz00_18519 =
													(int) (BgL_objzd2classzd2numz00_18515);
												{	/* Eval/evaluate.scm 761 */
													long BgL_offsetz00_18520;

													BgL_offsetz00_18520 =
														((long) (BgL_offsetz00_18519) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 761 */
														long BgL_modz00_18521;

														{	/* Eval/evaluate.scm 761 */
															int BgL_arg6932z00_18522;

															BgL_arg6932z00_18522 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 761 */
																long BgL_auxz00_43277;

																BgL_auxz00_43277 =
																	(long) (BgL_arg6932z00_18522);
																BgL_modz00_18521 =
																	(BgL_offsetz00_18520 / BgL_auxz00_43277);
														}}
														{	/* Eval/evaluate.scm 761 */
															long BgL_restz00_18523;

															{	/* Eval/evaluate.scm 761 */
																int BgL_arg6931z00_18524;

																BgL_arg6931z00_18524 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 761 */
																	long BgL_auxz00_43281;

																	BgL_auxz00_43281 =
																		(long) (BgL_arg6931z00_18524);
																	BgL_restz00_18523 =
																		(BgL_offsetz00_18520 % BgL_auxz00_43281);
															}}
															{	/* Eval/evaluate.scm 761 */

																BgL_method3341z00_18513 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_18518,
																		(int) (BgL_modz00_18521)),
																	(int) (BgL_restz00_18523));
								}}}}}}}}
								BgL_arg5618z00_18506 =
									PROCEDURE_ENTRY(BgL_method3341z00_18513)
									(BgL_method3341z00_18513, (obj_t) (BgL_arg5619z00_18507),
									BgL_donez00_5042, BEOA);
						}}
						{	/* Eval/evaluate.scm 761 */
							obj_t BgL_method3341z00_18540;

							{	/* Eval/evaluate.scm 761 */
								BgL_objectz00_bglt BgL_objz00_18541;

								BgL_objz00_18541 = (BgL_objectz00_bglt) (BgL_arg5617z00_18505);
								{	/* Eval/evaluate.scm 761 */
									long BgL_objzd2classzd2numz00_18542;

									BgL_objzd2classzd2numz00_18542 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_18541);
									{	/* Eval/evaluate.scm 761 */
										obj_t BgL_arg6930z00_18543;

										BgL_arg6930z00_18543 =
											PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 761 */
											obj_t BgL_arrayz00_18545;

											int BgL_offsetz00_18546;

											BgL_arrayz00_18545 = BgL_arg6930z00_18543;
											BgL_offsetz00_18546 =
												(int) (BgL_objzd2classzd2numz00_18542);
											{	/* Eval/evaluate.scm 761 */
												long BgL_offsetz00_18547;

												BgL_offsetz00_18547 =
													((long) (BgL_offsetz00_18546) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 761 */
													long BgL_modz00_18548;

													{	/* Eval/evaluate.scm 761 */
														int BgL_arg6932z00_18549;

														BgL_arg6932z00_18549 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 761 */
															long BgL_auxz00_43299;

															BgL_auxz00_43299 = (long) (BgL_arg6932z00_18549);
															BgL_modz00_18548 =
																(BgL_offsetz00_18547 / BgL_auxz00_43299);
													}}
													{	/* Eval/evaluate.scm 761 */
														long BgL_restz00_18550;

														{	/* Eval/evaluate.scm 761 */
															int BgL_arg6931z00_18551;

															BgL_arg6931z00_18551 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 761 */
																long BgL_auxz00_43303;

																BgL_auxz00_43303 =
																	(long) (BgL_arg6931z00_18551);
																BgL_restz00_18550 =
																	(BgL_offsetz00_18547 % BgL_auxz00_43303);
														}}
														{	/* Eval/evaluate.scm 761 */

															BgL_method3341z00_18540 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_18545,
																	(int) (BgL_modz00_18548)),
																(int) (BgL_restz00_18550));
							}}}}}}}}
							BgL_arg5616z00_18504 =
								PROCEDURE_ENTRY(BgL_method3341z00_18540)
								(BgL_method3341z00_18540, (obj_t) (BgL_arg5617z00_18505),
								BgL_arg5618z00_18506, BEOA);
					}}
					{	/* Eval/evaluate.scm 761 */
						obj_t BgL_method3341z00_18567;

						{	/* Eval/evaluate.scm 761 */
							BgL_objectz00_bglt BgL_objz00_18568;

							BgL_objz00_18568 = (BgL_objectz00_bglt) (BgL_arg5615z00_18503);
							{	/* Eval/evaluate.scm 761 */
								long BgL_objzd2classzd2numz00_18569;

								BgL_objzd2classzd2numz00_18569 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_18568);
								{	/* Eval/evaluate.scm 761 */
									obj_t BgL_arg6930z00_18570;

									BgL_arg6930z00_18570 =
										PROCEDURE_REF(BGl_usezd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 761 */
										obj_t BgL_arrayz00_18572;

										int BgL_offsetz00_18573;

										BgL_arrayz00_18572 = BgL_arg6930z00_18570;
										BgL_offsetz00_18573 =
											(int) (BgL_objzd2classzd2numz00_18569);
										{	/* Eval/evaluate.scm 761 */
											long BgL_offsetz00_18574;

											BgL_offsetz00_18574 =
												((long) (BgL_offsetz00_18573) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 761 */
												long BgL_modz00_18575;

												{	/* Eval/evaluate.scm 761 */
													int BgL_arg6932z00_18576;

													BgL_arg6932z00_18576 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 761 */
														long BgL_auxz00_43321;

														BgL_auxz00_43321 = (long) (BgL_arg6932z00_18576);
														BgL_modz00_18575 =
															(BgL_offsetz00_18574 / BgL_auxz00_43321);
												}}
												{	/* Eval/evaluate.scm 761 */
													long BgL_restz00_18577;

													{	/* Eval/evaluate.scm 761 */
														int BgL_arg6931z00_18578;

														BgL_arg6931z00_18578 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 761 */
															long BgL_auxz00_43325;

															BgL_auxz00_43325 = (long) (BgL_arg6931z00_18578);
															BgL_restz00_18577 =
																(BgL_offsetz00_18574 % BgL_auxz00_43325);
													}}
													{	/* Eval/evaluate.scm 761 */

														BgL_method3341z00_18567 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_18572,
																(int) (BgL_modz00_18575)),
															(int) (BgL_restz00_18577));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3341z00_18567) (BgL_method3341z00_18567,
							(obj_t) (BgL_arg5615z00_18503), BgL_arg5616z00_18504, BEOA);
					}
				}
			}
		}
	}



/* use-ev_litt3348 */
	obj_t BGl_usezd2ev_litt3348zd2zz__evaluatez00(obj_t BgL_envz00_26152,
		obj_t BgL_ez00_26153, obj_t BgL_donez00_26154)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 757 */
			return BgL_donez00_26154;
		}
	}



/* use-ev_global3345 */
	obj_t BGl_usezd2ev_global3345zd2zz__evaluatez00(obj_t BgL_envz00_26155,
		obj_t BgL_varz00_26156, obj_t BgL_donez00_26157)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 754 */
			return BgL_donez00_26157;
		}
	}



/* use-ev_var3343 */
	obj_t BGl_usezd2ev_var3343zd2zz__evaluatez00(obj_t BgL_envz00_26158,
		obj_t BgL_varz00_26159, obj_t BgL_donez00_26160)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 750 */
			{
				BgL_ev_varz00_bglt BgL_varz00_5022;

				obj_t BgL_donez00_5023;

				BgL_varz00_5022 = (BgL_ev_varz00_bglt) (BgL_varz00_26159);
				BgL_donez00_5023 = BgL_donez00_26160;
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							(obj_t) (BgL_varz00_5022), BgL_donez00_5023)))
					{	/* Eval/evaluate.scm 751 */
						BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 751 */
						BgL_donez00_5023 =
							MAKE_PAIR((obj_t) (BgL_varz00_5022), BgL_donez00_5023);
					}
				return BgL_donez00_5023;
			}
		}
	}



/* uncomp-ev_abs3339 */
	obj_t BGl_uncompzd2ev_abs3339zd2zz__evaluatez00(obj_t BgL_envz00_26161,
		obj_t BgL_ez00_26162)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 728 */
			{
				BgL_ev_absz00_bglt BgL_ez00_4973;

				BgL_ez00_4973 = (BgL_ev_absz00_bglt) (BgL_ez00_26162);
				{	/* Eval/evaluate.scm 737 */
					obj_t BgL_arg5582z00_4978;

					obj_t BgL_arg5583z00_4979;

					BgL_arg5582z00_4978 = BGl_symbol8213z00zz__evaluatez00;
					{	/* Eval/evaluate.scm 737 */
						obj_t BgL_arg5584z00_4980;

						obj_t BgL_arg5585z00_4981;

						{	/* Eval/evaluate.scm 737 */
							obj_t BgL_arg5589z00_4985;

							obj_t BgL_arg5590z00_4986;

							BgL_arg5589z00_4985 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_4973))->BgL_arityz00);
							{	/* Eval/evaluate.scm 737 */
								obj_t BgL_l3140z00_4987;

								BgL_l3140z00_4987 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_4973))->BgL_varsz00);
								if (NULLP(BgL_l3140z00_4987))
									{	/* Eval/evaluate.scm 737 */
										BgL_arg5590z00_4986 = BNIL;
									}
								else
									{	/* Eval/evaluate.scm 737 */
										obj_t BgL_head3142z00_4989;

										{	/* Eval/evaluate.scm 737 */
											obj_t BgL_arg5598z00_5002;

											{	/* Eval/evaluate.scm 737 */
												BgL_ev_varz00_bglt BgL_obj1832z00_18410;

												{	/* Eval/evaluate.scm 737 */
													obj_t BgL_pairz00_18409;

													BgL_pairz00_18409 = BgL_l3140z00_4987;
													BgL_obj1832z00_18410 =
														(BgL_ev_varz00_bglt) (CAR(BgL_pairz00_18409));
												}
												BgL_arg5598z00_5002 =
													(((BgL_ev_varz00_bglt) CREF(BgL_obj1832z00_18410))->
													BgL_namez00);
											}
											BgL_head3142z00_4989 =
												MAKE_PAIR(BgL_arg5598z00_5002, BNIL);
										}
										{	/* Eval/evaluate.scm 737 */
											obj_t BgL_g3145z00_4990;

											BgL_g3145z00_4990 = CDR(BgL_l3140z00_4987);
											{
												obj_t BgL_l3140z00_18415;

												obj_t BgL_tail3143z00_18416;

												BgL_l3140z00_18415 = BgL_g3145z00_4990;
												BgL_tail3143z00_18416 = BgL_head3142z00_4989;
											BgL_zc3anonymousza35592ze3z83_18414:
												if (NULLP(BgL_l3140z00_18415))
													{	/* Eval/evaluate.scm 737 */
														BgL_arg5590z00_4986 = BgL_head3142z00_4989;
													}
												else
													{	/* Eval/evaluate.scm 737 */
														obj_t BgL_newtail3144z00_18424;

														{	/* Eval/evaluate.scm 737 */
															obj_t BgL_arg5595z00_18425;

															{	/* Eval/evaluate.scm 737 */
																BgL_ev_varz00_bglt BgL_obj1832z00_18431;

																{	/* Eval/evaluate.scm 737 */
																	obj_t BgL_pairz00_18430;

																	BgL_pairz00_18430 = BgL_l3140z00_18415;
																	BgL_obj1832z00_18431 =
																		(BgL_ev_varz00_bglt) (CAR
																		(BgL_pairz00_18430));
																}
																BgL_arg5595z00_18425 =
																	(((BgL_ev_varz00_bglt)
																		CREF(BgL_obj1832z00_18431))->BgL_namez00);
															}
															BgL_newtail3144z00_18424 =
																MAKE_PAIR(BgL_arg5595z00_18425, BNIL);
														}
														SET_CDR(BgL_tail3143z00_18416,
															BgL_newtail3144z00_18424);
														{
															obj_t BgL_tail3143z00_43361;

															obj_t BgL_l3140z00_43359;

															BgL_l3140z00_43359 = CDR(BgL_l3140z00_18415);
															BgL_tail3143z00_43361 = BgL_newtail3144z00_18424;
															BgL_tail3143z00_18416 = BgL_tail3143z00_43361;
															BgL_l3140z00_18415 = BgL_l3140z00_43359;
															goto BgL_zc3anonymousza35592ze3z83_18414;
														}
													}
											}
										}
									}
							}
							BgL_arg5584z00_4980 =
								BGl_redovarsz00zz__evaluatez00(BgL_arg5589z00_4985,
								BgL_arg5590z00_4986);
						}
						{	/* Eval/evaluate.scm 737 */
							BgL_ev_exprz00_bglt BgL_arg5601z00_5005;

							BgL_arg5601z00_5005 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_4973))->BgL_bodyz00);
							{	/* Eval/evaluate.scm 737 */
								obj_t BgL_method3299z00_18469;

								{	/* Eval/evaluate.scm 737 */
									BgL_objectz00_bglt BgL_objz00_18470;

									BgL_objz00_18470 = (BgL_objectz00_bglt) (BgL_arg5601z00_5005);
									{	/* Eval/evaluate.scm 737 */
										long BgL_objzd2classzd2numz00_18471;

										BgL_objzd2classzd2numz00_18471 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_18470);
										{	/* Eval/evaluate.scm 737 */
											obj_t BgL_arg6930z00_18472;

											BgL_arg6930z00_18472 =
												PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 737 */
												obj_t BgL_arrayz00_18474;

												int BgL_offsetz00_18475;

												BgL_arrayz00_18474 = BgL_arg6930z00_18472;
												BgL_offsetz00_18475 =
													(int) (BgL_objzd2classzd2numz00_18471);
												{	/* Eval/evaluate.scm 737 */
													long BgL_offsetz00_18476;

													BgL_offsetz00_18476 =
														((long) (BgL_offsetz00_18475) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 737 */
														long BgL_modz00_18477;

														{	/* Eval/evaluate.scm 737 */
															int BgL_arg6932z00_18478;

															BgL_arg6932z00_18478 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 737 */
																long BgL_auxz00_43372;

																BgL_auxz00_43372 =
																	(long) (BgL_arg6932z00_18478);
																BgL_modz00_18477 =
																	(BgL_offsetz00_18476 / BgL_auxz00_43372);
														}}
														{	/* Eval/evaluate.scm 737 */
															long BgL_restz00_18479;

															{	/* Eval/evaluate.scm 737 */
																int BgL_arg6931z00_18480;

																BgL_arg6931z00_18480 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 737 */
																	long BgL_auxz00_43376;

																	BgL_auxz00_43376 =
																		(long) (BgL_arg6931z00_18480);
																	BgL_restz00_18479 =
																		(BgL_offsetz00_18476 % BgL_auxz00_43376);
															}}
															{	/* Eval/evaluate.scm 737 */

																BgL_method3299z00_18469 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_18474,
																		(int) (BgL_modz00_18477)),
																	(int) (BgL_restz00_18479));
								}}}}}}}}
								BgL_arg5585z00_4981 =
									PROCEDURE_ENTRY(BgL_method3299z00_18469)
									(BgL_method3299z00_18469, (obj_t) (BgL_arg5601z00_5005),
									BEOA);
						}}
						{	/* Eval/evaluate.scm 737 */
							obj_t BgL_list5587z00_4983;

							{	/* Eval/evaluate.scm 737 */
								obj_t BgL_arg5588z00_4984;

								BgL_arg5588z00_4984 = MAKE_PAIR(BNIL, BNIL);
								BgL_list5587z00_4983 =
									MAKE_PAIR(BgL_arg5585z00_4981, BgL_arg5588z00_4984);
							}
							BgL_arg5583z00_4979 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg5584z00_4980,
								BgL_list5587z00_4983);
					}}
					return MAKE_PAIR(BgL_arg5582z00_4978, BgL_arg5583z00_4979);
				}
			}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluatez00(obj_t BgL_lz00_5011)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 733 */
			if (NULLP(CDR(BgL_lz00_5011)))
				{	/* Eval/evaluate.scm 734 */
					return CAR(BgL_lz00_5011);
				}
			else
				{	/* Eval/evaluate.scm 734 */
					return
						MAKE_PAIR(CAR(BgL_lz00_5011),
						BGl_recz00zz__evaluatez00(CDR(BgL_lz00_5011)));
				}
		}
	}



/* redovars */
	obj_t BGl_redovarsz00zz__evaluatez00(obj_t BgL_nz00_5006, obj_t BgL_lz00_5007)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 736 */
			if (((long) CINT(BgL_nz00_5006) >= ((long) 0)))
				{	/* Eval/evaluate.scm 731 */
					return BgL_lz00_5007;
				}
			else
				{	/* Eval/evaluate.scm 731 */
					return BGl_recz00zz__evaluatez00(BgL_lz00_5007);
				}
		}
	}



/* uncomp-ev_app3337 */
	obj_t BGl_uncompzd2ev_app3337zd2zz__evaluatez00(obj_t BgL_envz00_26163,
		obj_t BgL_ez00_26164)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 724 */
			{
				BgL_ev_appz00_bglt BgL_ez00_4944;

				BgL_ez00_4944 = (BgL_ev_appz00_bglt) (BgL_ez00_26164);
				{	/* Eval/evaluate.scm 726 */
					obj_t BgL_arg5566z00_4948;

					obj_t BgL_arg5567z00_4949;

					{	/* Eval/evaluate.scm 726 */
						BgL_ev_exprz00_bglt BgL_arg5568z00_4950;

						BgL_arg5568z00_4950 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_4944))->BgL_funz00);
						{	/* Eval/evaluate.scm 726 */
							obj_t BgL_method3299z00_18221;

							{	/* Eval/evaluate.scm 726 */
								BgL_objectz00_bglt BgL_objz00_18222;

								BgL_objz00_18222 = (BgL_objectz00_bglt) (BgL_arg5568z00_4950);
								{	/* Eval/evaluate.scm 726 */
									long BgL_objzd2classzd2numz00_18223;

									BgL_objzd2classzd2numz00_18223 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_18222);
									{	/* Eval/evaluate.scm 726 */
										obj_t BgL_arg6930z00_18224;

										BgL_arg6930z00_18224 =
											PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 726 */
											obj_t BgL_arrayz00_18226;

											int BgL_offsetz00_18227;

											BgL_arrayz00_18226 = BgL_arg6930z00_18224;
											BgL_offsetz00_18227 =
												(int) (BgL_objzd2classzd2numz00_18223);
											{	/* Eval/evaluate.scm 726 */
												long BgL_offsetz00_18228;

												BgL_offsetz00_18228 =
													((long) (BgL_offsetz00_18227) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 726 */
													long BgL_modz00_18229;

													{	/* Eval/evaluate.scm 726 */
														int BgL_arg6932z00_18230;

														BgL_arg6932z00_18230 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 726 */
															long BgL_auxz00_43412;

															BgL_auxz00_43412 = (long) (BgL_arg6932z00_18230);
															BgL_modz00_18229 =
																(BgL_offsetz00_18228 / BgL_auxz00_43412);
													}}
													{	/* Eval/evaluate.scm 726 */
														long BgL_restz00_18231;

														{	/* Eval/evaluate.scm 726 */
															int BgL_arg6931z00_18232;

															BgL_arg6931z00_18232 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 726 */
																long BgL_auxz00_43416;

																BgL_auxz00_43416 =
																	(long) (BgL_arg6931z00_18232);
																BgL_restz00_18231 =
																	(BgL_offsetz00_18228 % BgL_auxz00_43416);
														}}
														{	/* Eval/evaluate.scm 726 */

															BgL_method3299z00_18221 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_18226,
																	(int) (BgL_modz00_18229)),
																(int) (BgL_restz00_18231));
							}}}}}}}}
							BgL_arg5566z00_4948 =
								PROCEDURE_ENTRY(BgL_method3299z00_18221)
								(BgL_method3299z00_18221, (obj_t) (BgL_arg5568z00_4950), BEOA);
					}}
					{	/* Eval/evaluate.scm 726 */
						obj_t BgL_arg5569z00_4951;

						{	/* Eval/evaluate.scm 726 */
							obj_t BgL_l3134z00_4953;

							BgL_l3134z00_4953 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_4944))->BgL_argsz00);
							if (NULLP(BgL_l3134z00_4953))
								{	/* Eval/evaluate.scm 726 */
									BgL_arg5569z00_4951 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 726 */
									obj_t BgL_head3136z00_4955;

									{	/* Eval/evaluate.scm 726 */
										obj_t BgL_arg5578z00_4968;

										{	/* Eval/evaluate.scm 726 */
											obj_t BgL_arg5580z00_4970;

											BgL_arg5580z00_4970 = CAR(BgL_l3134z00_4953);
											{	/* Eval/evaluate.scm 726 */
												BgL_ev_exprz00_bglt BgL_ez00_18249;

												BgL_ez00_18249 =
													(BgL_ev_exprz00_bglt) (BgL_arg5580z00_4970);
												{	/* Eval/evaluate.scm 726 */
													obj_t BgL_method3299z00_18250;

													{	/* Eval/evaluate.scm 726 */
														BgL_objectz00_bglt BgL_objz00_18251;

														BgL_objz00_18251 =
															(BgL_objectz00_bglt) (BgL_ez00_18249);
														{	/* Eval/evaluate.scm 726 */
															long BgL_objzd2classzd2numz00_18252;

															BgL_objzd2classzd2numz00_18252 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_18251);
															{	/* Eval/evaluate.scm 726 */
																obj_t BgL_arg6930z00_18253;

																BgL_arg6930z00_18253 =
																	PROCEDURE_REF
																	(BGl_uncompzd2envzd2zz__evaluatez00,
																	(int) (((long) 1)));
																{	/* Eval/evaluate.scm 726 */
																	obj_t BgL_arrayz00_18255;

																	int BgL_offsetz00_18256;

																	BgL_arrayz00_18255 = BgL_arg6930z00_18253;
																	BgL_offsetz00_18256 =
																		(int) (BgL_objzd2classzd2numz00_18252);
																	{	/* Eval/evaluate.scm 726 */
																		long BgL_offsetz00_18257;

																		BgL_offsetz00_18257 =
																			(
																			(long) (BgL_offsetz00_18256) -
																			OBJECT_TYPE);
																		{	/* Eval/evaluate.scm 726 */
																			long BgL_modz00_18258;

																			{	/* Eval/evaluate.scm 726 */
																				int BgL_arg6932z00_18259;

																				BgL_arg6932z00_18259 =
																					(int) (((long) 16));
																				{	/* Eval/evaluate.scm 726 */
																					long BgL_auxz00_43439;

																					BgL_auxz00_43439 =
																						(long) (BgL_arg6932z00_18259);
																					BgL_modz00_18258 =
																						(BgL_offsetz00_18257 /
																						BgL_auxz00_43439);
																			}}
																			{	/* Eval/evaluate.scm 726 */
																				long BgL_restz00_18260;

																				{	/* Eval/evaluate.scm 726 */
																					int BgL_arg6931z00_18261;

																					BgL_arg6931z00_18261 =
																						(int) (((long) 16));
																					{	/* Eval/evaluate.scm 726 */
																						long BgL_auxz00_43443;

																						BgL_auxz00_43443 =
																							(long) (BgL_arg6931z00_18261);
																						BgL_restz00_18260 =
																							(BgL_offsetz00_18257 %
																							BgL_auxz00_43443);
																				}}
																				{	/* Eval/evaluate.scm 726 */

																					BgL_method3299z00_18250 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_18255,
																							(int) (BgL_modz00_18258)),
																						(int) (BgL_restz00_18260));
													}}}}}}}}
													BgL_arg5578z00_4968 =
														PROCEDURE_ENTRY(BgL_method3299z00_18250)
														(BgL_method3299z00_18250, (obj_t) (BgL_ez00_18249),
														BEOA);
										}}}
										BgL_head3136z00_4955 = MAKE_PAIR(BgL_arg5578z00_4968, BNIL);
									}
									{	/* Eval/evaluate.scm 726 */
										obj_t BgL_g3139z00_4956;

										BgL_g3139z00_4956 = CDR(BgL_l3134z00_4953);
										{
											obj_t BgL_l3134z00_18279;

											obj_t BgL_tail3137z00_18280;

											BgL_l3134z00_18279 = BgL_g3139z00_4956;
											BgL_tail3137z00_18280 = BgL_head3136z00_4955;
										BgL_zc3anonymousza35572ze3z83_18278:
											if (NULLP(BgL_l3134z00_18279))
												{	/* Eval/evaluate.scm 726 */
													BgL_arg5569z00_4951 = BgL_head3136z00_4955;
												}
											else
												{	/* Eval/evaluate.scm 726 */
													obj_t BgL_newtail3138z00_18288;

													{	/* Eval/evaluate.scm 726 */
														obj_t BgL_arg5575z00_18289;

														{	/* Eval/evaluate.scm 726 */
															obj_t BgL_arg5577z00_18291;

															BgL_arg5577z00_18291 = CAR(BgL_l3134z00_18279);
															{	/* Eval/evaluate.scm 726 */
																BgL_ev_exprz00_bglt BgL_ez00_18295;

																BgL_ez00_18295 =
																	(BgL_ev_exprz00_bglt) (BgL_arg5577z00_18291);
																{	/* Eval/evaluate.scm 726 */
																	obj_t BgL_method3299z00_18296;

																	{	/* Eval/evaluate.scm 726 */
																		BgL_objectz00_bglt BgL_objz00_18297;

																		BgL_objz00_18297 =
																			(BgL_objectz00_bglt) (BgL_ez00_18295);
																		{	/* Eval/evaluate.scm 726 */
																			long BgL_objzd2classzd2numz00_18298;

																			BgL_objzd2classzd2numz00_18298 =
																				BGL_OBJECT_CLASS_NUM(BgL_objz00_18297);
																			{	/* Eval/evaluate.scm 726 */
																				obj_t BgL_arg6930z00_18299;

																				BgL_arg6930z00_18299 =
																					PROCEDURE_REF
																					(BGl_uncompzd2envzd2zz__evaluatez00,
																					(int) (((long) 1)));
																				{	/* Eval/evaluate.scm 726 */
																					obj_t BgL_arrayz00_18301;

																					int BgL_offsetz00_18302;

																					BgL_arrayz00_18301 =
																						BgL_arg6930z00_18299;
																					BgL_offsetz00_18302 =
																						(int)
																						(BgL_objzd2classzd2numz00_18298);
																					{	/* Eval/evaluate.scm 726 */
																						long BgL_offsetz00_18303;

																						BgL_offsetz00_18303 =
																							(
																							(long) (BgL_offsetz00_18302) -
																							OBJECT_TYPE);
																						{	/* Eval/evaluate.scm 726 */
																							long BgL_modz00_18304;

																							{	/* Eval/evaluate.scm 726 */
																								int BgL_arg6932z00_18305;

																								BgL_arg6932z00_18305 =
																									(int) (((long) 16));
																								{	/* Eval/evaluate.scm 726 */
																									long BgL_auxz00_43467;

																									BgL_auxz00_43467 =
																										(long)
																										(BgL_arg6932z00_18305);
																									BgL_modz00_18304 =
																										(BgL_offsetz00_18303 /
																										BgL_auxz00_43467);
																							}}
																							{	/* Eval/evaluate.scm 726 */
																								long BgL_restz00_18306;

																								{	/* Eval/evaluate.scm 726 */
																									int BgL_arg6931z00_18307;

																									BgL_arg6931z00_18307 =
																										(int) (((long) 16));
																									{	/* Eval/evaluate.scm 726 */
																										long BgL_auxz00_43471;

																										BgL_auxz00_43471 =
																											(long)
																											(BgL_arg6931z00_18307);
																										BgL_restz00_18306 =
																											(BgL_offsetz00_18303 %
																											BgL_auxz00_43471);
																								}}
																								{	/* Eval/evaluate.scm 726 */

																									BgL_method3299z00_18296 =
																										VECTOR_REF(VECTOR_REF
																										(BgL_arrayz00_18301,
																											(int) (BgL_modz00_18304)),
																										(int) (BgL_restz00_18306));
																	}}}}}}}}
																	BgL_arg5575z00_18289 =
																		PROCEDURE_ENTRY(BgL_method3299z00_18296)
																		(BgL_method3299z00_18296,
																		(obj_t) (BgL_ez00_18295), BEOA);
														}}}
														BgL_newtail3138z00_18288 =
															MAKE_PAIR(BgL_arg5575z00_18289, BNIL);
													}
													SET_CDR(BgL_tail3137z00_18280,
														BgL_newtail3138z00_18288);
													{
														obj_t BgL_tail3137z00_43485;

														obj_t BgL_l3134z00_43483;

														BgL_l3134z00_43483 = CDR(BgL_l3134z00_18279);
														BgL_tail3137z00_43485 = BgL_newtail3138z00_18288;
														BgL_tail3137z00_18280 = BgL_tail3137z00_43485;
														BgL_l3134z00_18279 = BgL_l3134z00_43483;
														goto BgL_zc3anonymousza35572ze3z83_18278;
													}
												}
										}
									}
								}
						}
						BgL_arg5567z00_4949 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg5569z00_4951, BNIL);
					}
					return MAKE_PAIR(BgL_arg5566z00_4948, BgL_arg5567z00_4949);
				}
			}
		}
	}



/* uncomp-ev_letrec3335 */
	obj_t BGl_uncompzd2ev_letrec3335zd2zz__evaluatez00(obj_t BgL_envz00_26165,
		obj_t BgL_ez00_26166)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 720 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_4907;

				BgL_ez00_4907 = (BgL_ev_letrecz00_bglt) (BgL_ez00_26166);
				{	/* Eval/evaluate.scm 722 */
					obj_t BgL_arg5545z00_4911;

					obj_t BgL_arg5546z00_4912;

					BgL_arg5545z00_4911 = BGl_symbol8207z00zz__evaluatez00;
					{	/* Eval/evaluate.scm 722 */
						obj_t BgL_arg5547z00_4913;

						obj_t BgL_arg5548z00_4914;

						{	/* Eval/evaluate.scm 722 */
							obj_t BgL_ll3128z00_4918;

							obj_t BgL_ll3129z00_4919;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_43489;

								BgL_auxz00_43489 = (BgL_ev_binderz00_bglt) (BgL_ez00_4907);
								BgL_ll3128z00_4918 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_43489))->
									BgL_varsz00);
							}
							{
								BgL_ev_binderz00_bglt BgL_auxz00_43492;

								BgL_auxz00_43492 = (BgL_ev_binderz00_bglt) (BgL_ez00_4907);
								BgL_ll3129z00_4919 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_43492))->
									BgL_valsz00);
							}
							if (NULLP(BgL_ll3128z00_4918))
								{	/* Eval/evaluate.scm 722 */
									BgL_arg5547z00_4913 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 722 */
									obj_t BgL_head3130z00_4921;

									BgL_head3130z00_4921 = MAKE_PAIR(BNIL, BNIL);
									{
										obj_t BgL_ll3128z00_4923;

										obj_t BgL_ll3129z00_4924;

										obj_t BgL_tail3131z00_4925;

										BgL_ll3128z00_4923 = BgL_ll3128z00_4918;
										BgL_ll3129z00_4924 = BgL_ll3129z00_4919;
										BgL_tail3131z00_4925 = BgL_head3130z00_4921;
									BgL_zc3anonymousza35553ze3z83_4926:
										if (NULLP(BgL_ll3128z00_4923))
											{	/* Eval/evaluate.scm 722 */
												BgL_arg5547z00_4913 = CDR(BgL_head3130z00_4921);
											}
										else
											{	/* Eval/evaluate.scm 722 */
												obj_t BgL_newtail3132z00_4928;

												{	/* Eval/evaluate.scm 722 */
													obj_t BgL_arg5557z00_4931;

													{	/* Eval/evaluate.scm 722 */
														obj_t BgL_vz00_4933;

														obj_t BgL_az00_4934;

														BgL_vz00_4933 = CAR(BgL_ll3128z00_4923);
														BgL_az00_4934 = CAR(BgL_ll3129z00_4924);
														{	/* Eval/evaluate.scm 722 */
															obj_t BgL_arg5559z00_4935;

															obj_t BgL_arg5560z00_4936;

															{	/* Eval/evaluate.scm 722 */
																BgL_ev_exprz00_bglt BgL_ez00_18134;

																BgL_ez00_18134 =
																	(BgL_ev_exprz00_bglt) (BgL_vz00_4933);
																{	/* Eval/evaluate.scm 722 */
																	obj_t BgL_method3299z00_18135;

																	{	/* Eval/evaluate.scm 722 */
																		BgL_objectz00_bglt BgL_objz00_18136;

																		BgL_objz00_18136 =
																			(BgL_objectz00_bglt) (BgL_ez00_18134);
																		{	/* Eval/evaluate.scm 722 */
																			long BgL_objzd2classzd2numz00_18137;

																			BgL_objzd2classzd2numz00_18137 =
																				BGL_OBJECT_CLASS_NUM(BgL_objz00_18136);
																			{	/* Eval/evaluate.scm 722 */
																				obj_t BgL_arg6930z00_18138;

																				BgL_arg6930z00_18138 =
																					PROCEDURE_REF
																					(BGl_uncompzd2envzd2zz__evaluatez00,
																					(int) (((long) 1)));
																				{	/* Eval/evaluate.scm 722 */
																					obj_t BgL_arrayz00_18140;

																					int BgL_offsetz00_18141;

																					BgL_arrayz00_18140 =
																						BgL_arg6930z00_18138;
																					BgL_offsetz00_18141 =
																						(int)
																						(BgL_objzd2classzd2numz00_18137);
																					{	/* Eval/evaluate.scm 722 */
																						long BgL_offsetz00_18142;

																						BgL_offsetz00_18142 =
																							(
																							(long) (BgL_offsetz00_18141) -
																							OBJECT_TYPE);
																						{	/* Eval/evaluate.scm 722 */
																							long BgL_modz00_18143;

																							{	/* Eval/evaluate.scm 722 */
																								int BgL_arg6932z00_18144;

																								BgL_arg6932z00_18144 =
																									(int) (((long) 16));
																								{	/* Eval/evaluate.scm 722 */
																									long BgL_auxz00_43512;

																									BgL_auxz00_43512 =
																										(long)
																										(BgL_arg6932z00_18144);
																									BgL_modz00_18143 =
																										(BgL_offsetz00_18142 /
																										BgL_auxz00_43512);
																							}}
																							{	/* Eval/evaluate.scm 722 */
																								long BgL_restz00_18145;

																								{	/* Eval/evaluate.scm 722 */
																									int BgL_arg6931z00_18146;

																									BgL_arg6931z00_18146 =
																										(int) (((long) 16));
																									{	/* Eval/evaluate.scm 722 */
																										long BgL_auxz00_43516;

																										BgL_auxz00_43516 =
																											(long)
																											(BgL_arg6931z00_18146);
																										BgL_restz00_18145 =
																											(BgL_offsetz00_18142 %
																											BgL_auxz00_43516);
																								}}
																								{	/* Eval/evaluate.scm 722 */

																									BgL_method3299z00_18135 =
																										VECTOR_REF(VECTOR_REF
																										(BgL_arrayz00_18140,
																											(int) (BgL_modz00_18143)),
																										(int) (BgL_restz00_18145));
																	}}}}}}}}
																	BgL_arg5559z00_4935 =
																		PROCEDURE_ENTRY(BgL_method3299z00_18135)
																		(BgL_method3299z00_18135,
																		(obj_t) (BgL_ez00_18134), BEOA);
															}}
															{	/* Eval/evaluate.scm 722 */
																obj_t BgL_arg5561z00_4937;

																{	/* Eval/evaluate.scm 722 */
																	BgL_ev_exprz00_bglt BgL_ez00_18160;

																	BgL_ez00_18160 =
																		(BgL_ev_exprz00_bglt) (BgL_az00_4934);
																	{	/* Eval/evaluate.scm 722 */
																		obj_t BgL_method3299z00_18161;

																		{	/* Eval/evaluate.scm 722 */
																			BgL_objectz00_bglt BgL_objz00_18162;

																			BgL_objz00_18162 =
																				(BgL_objectz00_bglt) (BgL_ez00_18160);
																			{	/* Eval/evaluate.scm 722 */
																				long BgL_objzd2classzd2numz00_18163;

																				BgL_objzd2classzd2numz00_18163 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_objz00_18162);
																				{	/* Eval/evaluate.scm 722 */
																					obj_t BgL_arg6930z00_18164;

																					BgL_arg6930z00_18164 =
																						PROCEDURE_REF
																						(BGl_uncompzd2envzd2zz__evaluatez00,
																						(int) (((long) 1)));
																					{	/* Eval/evaluate.scm 722 */
																						obj_t BgL_arrayz00_18166;

																						int BgL_offsetz00_18167;

																						BgL_arrayz00_18166 =
																							BgL_arg6930z00_18164;
																						BgL_offsetz00_18167 =
																							(int)
																							(BgL_objzd2classzd2numz00_18163);
																						{	/* Eval/evaluate.scm 722 */
																							long BgL_offsetz00_18168;

																							BgL_offsetz00_18168 =
																								(
																								(long) (BgL_offsetz00_18167) -
																								OBJECT_TYPE);
																							{	/* Eval/evaluate.scm 722 */
																								long BgL_modz00_18169;

																								{	/* Eval/evaluate.scm 722 */
																									int BgL_arg6932z00_18170;

																									BgL_arg6932z00_18170 =
																										(int) (((long) 16));
																									{	/* Eval/evaluate.scm 722 */
																										long BgL_auxz00_43535;

																										BgL_auxz00_43535 =
																											(long)
																											(BgL_arg6932z00_18170);
																										BgL_modz00_18169 =
																											(BgL_offsetz00_18168 /
																											BgL_auxz00_43535);
																								}}
																								{	/* Eval/evaluate.scm 722 */
																									long BgL_restz00_18171;

																									{	/* Eval/evaluate.scm 722 */
																										int BgL_arg6931z00_18172;

																										BgL_arg6931z00_18172 =
																											(int) (((long) 16));
																										{	/* Eval/evaluate.scm 722 */
																											long BgL_auxz00_43539;

																											BgL_auxz00_43539 =
																												(long)
																												(BgL_arg6931z00_18172);
																											BgL_restz00_18171 =
																												(BgL_offsetz00_18168 %
																												BgL_auxz00_43539);
																									}}
																									{	/* Eval/evaluate.scm 722 */

																										BgL_method3299z00_18161 =
																											VECTOR_REF(VECTOR_REF
																											(BgL_arrayz00_18166,
																												(int)
																												(BgL_modz00_18169)),
																											(int)
																											(BgL_restz00_18171));
																		}}}}}}}}
																		BgL_arg5561z00_4937 =
																			PROCEDURE_ENTRY(BgL_method3299z00_18161)
																			(BgL_method3299z00_18161,
																			(obj_t) (BgL_ez00_18160), BEOA);
																}}
																{	/* Eval/evaluate.scm 722 */
																	obj_t BgL_list5563z00_4939;

																	BgL_list5563z00_4939 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg5560z00_4936 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg5561z00_4937, BgL_list5563z00_4939);
															}}
															BgL_arg5557z00_4931 =
																MAKE_PAIR(BgL_arg5559z00_4935,
																BgL_arg5560z00_4936);
													}}
													BgL_newtail3132z00_4928 =
														MAKE_PAIR(BgL_arg5557z00_4931, BNIL);
												}
												SET_CDR(BgL_tail3131z00_4925, BgL_newtail3132z00_4928);
												{
													obj_t BgL_tail3131z00_43558;

													obj_t BgL_ll3129z00_43556;

													obj_t BgL_ll3128z00_43554;

													BgL_ll3128z00_43554 = CDR(BgL_ll3128z00_4923);
													BgL_ll3129z00_43556 = CDR(BgL_ll3129z00_4924);
													BgL_tail3131z00_43558 = BgL_newtail3132z00_4928;
													BgL_tail3131z00_4925 = BgL_tail3131z00_43558;
													BgL_ll3129z00_4924 = BgL_ll3129z00_43556;
													BgL_ll3128z00_4923 = BgL_ll3128z00_43554;
													goto BgL_zc3anonymousza35553ze3z83_4926;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate.scm 722 */
							BgL_ev_exprz00_bglt BgL_arg5564z00_4941;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_43559;

								BgL_auxz00_43559 = (BgL_ev_binderz00_bglt) (BgL_ez00_4907);
								BgL_arg5564z00_4941 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_43559))->
									BgL_bodyz00);
							}
							{	/* Eval/evaluate.scm 722 */
								obj_t BgL_method3299z00_18194;

								{	/* Eval/evaluate.scm 722 */
									BgL_objectz00_bglt BgL_objz00_18195;

									BgL_objz00_18195 = (BgL_objectz00_bglt) (BgL_arg5564z00_4941);
									{	/* Eval/evaluate.scm 722 */
										long BgL_objzd2classzd2numz00_18196;

										BgL_objzd2classzd2numz00_18196 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_18195);
										{	/* Eval/evaluate.scm 722 */
											obj_t BgL_arg6930z00_18197;

											BgL_arg6930z00_18197 =
												PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 722 */
												obj_t BgL_arrayz00_18199;

												int BgL_offsetz00_18200;

												BgL_arrayz00_18199 = BgL_arg6930z00_18197;
												BgL_offsetz00_18200 =
													(int) (BgL_objzd2classzd2numz00_18196);
												{	/* Eval/evaluate.scm 722 */
													long BgL_offsetz00_18201;

													BgL_offsetz00_18201 =
														((long) (BgL_offsetz00_18200) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 722 */
														long BgL_modz00_18202;

														{	/* Eval/evaluate.scm 722 */
															int BgL_arg6932z00_18203;

															BgL_arg6932z00_18203 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 722 */
																long BgL_auxz00_43570;

																BgL_auxz00_43570 =
																	(long) (BgL_arg6932z00_18203);
																BgL_modz00_18202 =
																	(BgL_offsetz00_18201 / BgL_auxz00_43570);
														}}
														{	/* Eval/evaluate.scm 722 */
															long BgL_restz00_18204;

															{	/* Eval/evaluate.scm 722 */
																int BgL_arg6931z00_18205;

																BgL_arg6931z00_18205 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 722 */
																	long BgL_auxz00_43574;

																	BgL_auxz00_43574 =
																		(long) (BgL_arg6931z00_18205);
																	BgL_restz00_18204 =
																		(BgL_offsetz00_18201 % BgL_auxz00_43574);
															}}
															{	/* Eval/evaluate.scm 722 */

																BgL_method3299z00_18194 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_18199,
																		(int) (BgL_modz00_18202)),
																	(int) (BgL_restz00_18204));
								}}}}}}}}
								BgL_arg5548z00_4914 =
									PROCEDURE_ENTRY(BgL_method3299z00_18194)
									(BgL_method3299z00_18194, (obj_t) (BgL_arg5564z00_4941),
									BEOA);
						}}
						{	/* Eval/evaluate.scm 722 */
							obj_t BgL_list5550z00_4916;

							{	/* Eval/evaluate.scm 722 */
								obj_t BgL_arg5551z00_4917;

								BgL_arg5551z00_4917 = MAKE_PAIR(BNIL, BNIL);
								BgL_list5550z00_4916 =
									MAKE_PAIR(BgL_arg5548z00_4914, BgL_arg5551z00_4917);
							}
							BgL_arg5546z00_4912 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg5547z00_4913,
								BgL_list5550z00_4916);
					}}
					return MAKE_PAIR(BgL_arg5545z00_4911, BgL_arg5546z00_4912);
				}
			}
		}
	}



/* uncomp-ev_let*3333 */
	obj_t BGl_uncompzd2ev_letza23333z70zz__evaluatez00(obj_t BgL_envz00_26167,
		obj_t BgL_ez00_26168)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 716 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_4870;

				BgL_ez00_4870 = (BgL_ev_letza2za2_bglt) (BgL_ez00_26168);
				{	/* Eval/evaluate.scm 718 */
					obj_t BgL_arg5524z00_4874;

					obj_t BgL_arg5525z00_4875;

					BgL_arg5524z00_4874 = BGl_symbol8205z00zz__evaluatez00;
					{	/* Eval/evaluate.scm 718 */
						obj_t BgL_arg5526z00_4876;

						obj_t BgL_arg5527z00_4877;

						{	/* Eval/evaluate.scm 718 */
							obj_t BgL_ll3122z00_4881;

							obj_t BgL_ll3123z00_4882;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_43589;

								BgL_auxz00_43589 = (BgL_ev_binderz00_bglt) (BgL_ez00_4870);
								BgL_ll3122z00_4881 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_43589))->
									BgL_varsz00);
							}
							{
								BgL_ev_binderz00_bglt BgL_auxz00_43592;

								BgL_auxz00_43592 = (BgL_ev_binderz00_bglt) (BgL_ez00_4870);
								BgL_ll3123z00_4882 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_43592))->
									BgL_valsz00);
							}
							if (NULLP(BgL_ll3122z00_4881))
								{	/* Eval/evaluate.scm 718 */
									BgL_arg5526z00_4876 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 718 */
									obj_t BgL_head3124z00_4884;

									BgL_head3124z00_4884 = MAKE_PAIR(BNIL, BNIL);
									{
										obj_t BgL_ll3122z00_4886;

										obj_t BgL_ll3123z00_4887;

										obj_t BgL_tail3125z00_4888;

										BgL_ll3122z00_4886 = BgL_ll3122z00_4881;
										BgL_ll3123z00_4887 = BgL_ll3123z00_4882;
										BgL_tail3125z00_4888 = BgL_head3124z00_4884;
									BgL_zc3anonymousza35532ze3z83_4889:
										if (NULLP(BgL_ll3122z00_4886))
											{	/* Eval/evaluate.scm 718 */
												BgL_arg5526z00_4876 = CDR(BgL_head3124z00_4884);
											}
										else
											{	/* Eval/evaluate.scm 718 */
												obj_t BgL_newtail3126z00_4891;

												{	/* Eval/evaluate.scm 718 */
													obj_t BgL_arg5536z00_4894;

													{	/* Eval/evaluate.scm 718 */
														obj_t BgL_vz00_4896;

														obj_t BgL_az00_4897;

														BgL_vz00_4896 = CAR(BgL_ll3122z00_4886);
														BgL_az00_4897 = CAR(BgL_ll3123z00_4887);
														{	/* Eval/evaluate.scm 718 */
															obj_t BgL_arg5538z00_4898;

															obj_t BgL_arg5539z00_4899;

															{	/* Eval/evaluate.scm 718 */
																BgL_ev_exprz00_bglt BgL_ez00_18040;

																BgL_ez00_18040 =
																	(BgL_ev_exprz00_bglt) (BgL_vz00_4896);
																{	/* Eval/evaluate.scm 718 */
																	obj_t BgL_method3299z00_18041;

																	{	/* Eval/evaluate.scm 718 */
																		BgL_objectz00_bglt BgL_objz00_18042;

																		BgL_objz00_18042 =
																			(BgL_objectz00_bglt) (BgL_ez00_18040);
																		{	/* Eval/evaluate.scm 718 */
																			long BgL_objzd2classzd2numz00_18043;

																			BgL_objzd2classzd2numz00_18043 =
																				BGL_OBJECT_CLASS_NUM(BgL_objz00_18042);
																			{	/* Eval/evaluate.scm 718 */
																				obj_t BgL_arg6930z00_18044;

																				BgL_arg6930z00_18044 =
																					PROCEDURE_REF
																					(BGl_uncompzd2envzd2zz__evaluatez00,
																					(int) (((long) 1)));
																				{	/* Eval/evaluate.scm 718 */
																					obj_t BgL_arrayz00_18046;

																					int BgL_offsetz00_18047;

																					BgL_arrayz00_18046 =
																						BgL_arg6930z00_18044;
																					BgL_offsetz00_18047 =
																						(int)
																						(BgL_objzd2classzd2numz00_18043);
																					{	/* Eval/evaluate.scm 718 */
																						long BgL_offsetz00_18048;

																						BgL_offsetz00_18048 =
																							(
																							(long) (BgL_offsetz00_18047) -
																							OBJECT_TYPE);
																						{	/* Eval/evaluate.scm 718 */
																							long BgL_modz00_18049;

																							{	/* Eval/evaluate.scm 718 */
																								int BgL_arg6932z00_18050;

																								BgL_arg6932z00_18050 =
																									(int) (((long) 16));
																								{	/* Eval/evaluate.scm 718 */
																									long BgL_auxz00_43612;

																									BgL_auxz00_43612 =
																										(long)
																										(BgL_arg6932z00_18050);
																									BgL_modz00_18049 =
																										(BgL_offsetz00_18048 /
																										BgL_auxz00_43612);
																							}}
																							{	/* Eval/evaluate.scm 718 */
																								long BgL_restz00_18051;

																								{	/* Eval/evaluate.scm 718 */
																									int BgL_arg6931z00_18052;

																									BgL_arg6931z00_18052 =
																										(int) (((long) 16));
																									{	/* Eval/evaluate.scm 718 */
																										long BgL_auxz00_43616;

																										BgL_auxz00_43616 =
																											(long)
																											(BgL_arg6931z00_18052);
																										BgL_restz00_18051 =
																											(BgL_offsetz00_18048 %
																											BgL_auxz00_43616);
																								}}
																								{	/* Eval/evaluate.scm 718 */

																									BgL_method3299z00_18041 =
																										VECTOR_REF(VECTOR_REF
																										(BgL_arrayz00_18046,
																											(int) (BgL_modz00_18049)),
																										(int) (BgL_restz00_18051));
																	}}}}}}}}
																	BgL_arg5538z00_4898 =
																		PROCEDURE_ENTRY(BgL_method3299z00_18041)
																		(BgL_method3299z00_18041,
																		(obj_t) (BgL_ez00_18040), BEOA);
															}}
															{	/* Eval/evaluate.scm 718 */
																obj_t BgL_arg5540z00_4900;

																{	/* Eval/evaluate.scm 718 */
																	BgL_ev_exprz00_bglt BgL_ez00_18066;

																	BgL_ez00_18066 =
																		(BgL_ev_exprz00_bglt) (BgL_az00_4897);
																	{	/* Eval/evaluate.scm 718 */
																		obj_t BgL_method3299z00_18067;

																		{	/* Eval/evaluate.scm 718 */
																			BgL_objectz00_bglt BgL_objz00_18068;

																			BgL_objz00_18068 =
																				(BgL_objectz00_bglt) (BgL_ez00_18066);
																			{	/* Eval/evaluate.scm 718 */
																				long BgL_objzd2classzd2numz00_18069;

																				BgL_objzd2classzd2numz00_18069 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_objz00_18068);
																				{	/* Eval/evaluate.scm 718 */
																					obj_t BgL_arg6930z00_18070;

																					BgL_arg6930z00_18070 =
																						PROCEDURE_REF
																						(BGl_uncompzd2envzd2zz__evaluatez00,
																						(int) (((long) 1)));
																					{	/* Eval/evaluate.scm 718 */
																						obj_t BgL_arrayz00_18072;

																						int BgL_offsetz00_18073;

																						BgL_arrayz00_18072 =
																							BgL_arg6930z00_18070;
																						BgL_offsetz00_18073 =
																							(int)
																							(BgL_objzd2classzd2numz00_18069);
																						{	/* Eval/evaluate.scm 718 */
																							long BgL_offsetz00_18074;

																							BgL_offsetz00_18074 =
																								(
																								(long) (BgL_offsetz00_18073) -
																								OBJECT_TYPE);
																							{	/* Eval/evaluate.scm 718 */
																								long BgL_modz00_18075;

																								{	/* Eval/evaluate.scm 718 */
																									int BgL_arg6932z00_18076;

																									BgL_arg6932z00_18076 =
																										(int) (((long) 16));
																									{	/* Eval/evaluate.scm 718 */
																										long BgL_auxz00_43635;

																										BgL_auxz00_43635 =
																											(long)
																											(BgL_arg6932z00_18076);
																										BgL_modz00_18075 =
																											(BgL_offsetz00_18074 /
																											BgL_auxz00_43635);
																								}}
																								{	/* Eval/evaluate.scm 718 */
																									long BgL_restz00_18077;

																									{	/* Eval/evaluate.scm 718 */
																										int BgL_arg6931z00_18078;

																										BgL_arg6931z00_18078 =
																											(int) (((long) 16));
																										{	/* Eval/evaluate.scm 718 */
																											long BgL_auxz00_43639;

																											BgL_auxz00_43639 =
																												(long)
																												(BgL_arg6931z00_18078);
																											BgL_restz00_18077 =
																												(BgL_offsetz00_18074 %
																												BgL_auxz00_43639);
																									}}
																									{	/* Eval/evaluate.scm 718 */

																										BgL_method3299z00_18067 =
																											VECTOR_REF(VECTOR_REF
																											(BgL_arrayz00_18072,
																												(int)
																												(BgL_modz00_18075)),
																											(int)
																											(BgL_restz00_18077));
																		}}}}}}}}
																		BgL_arg5540z00_4900 =
																			PROCEDURE_ENTRY(BgL_method3299z00_18067)
																			(BgL_method3299z00_18067,
																			(obj_t) (BgL_ez00_18066), BEOA);
																}}
																{	/* Eval/evaluate.scm 718 */
																	obj_t BgL_list5542z00_4902;

																	BgL_list5542z00_4902 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg5539z00_4899 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg5540z00_4900, BgL_list5542z00_4902);
															}}
															BgL_arg5536z00_4894 =
																MAKE_PAIR(BgL_arg5538z00_4898,
																BgL_arg5539z00_4899);
													}}
													BgL_newtail3126z00_4891 =
														MAKE_PAIR(BgL_arg5536z00_4894, BNIL);
												}
												SET_CDR(BgL_tail3125z00_4888, BgL_newtail3126z00_4891);
												{
													obj_t BgL_tail3125z00_43658;

													obj_t BgL_ll3123z00_43656;

													obj_t BgL_ll3122z00_43654;

													BgL_ll3122z00_43654 = CDR(BgL_ll3122z00_4886);
													BgL_ll3123z00_43656 = CDR(BgL_ll3123z00_4887);
													BgL_tail3125z00_43658 = BgL_newtail3126z00_4891;
													BgL_tail3125z00_4888 = BgL_tail3125z00_43658;
													BgL_ll3123z00_4887 = BgL_ll3123z00_43656;
													BgL_ll3122z00_4886 = BgL_ll3122z00_43654;
													goto BgL_zc3anonymousza35532ze3z83_4889;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate.scm 718 */
							BgL_ev_exprz00_bglt BgL_arg5543z00_4904;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_43659;

								BgL_auxz00_43659 = (BgL_ev_binderz00_bglt) (BgL_ez00_4870);
								BgL_arg5543z00_4904 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_43659))->
									BgL_bodyz00);
							}
							{	/* Eval/evaluate.scm 718 */
								obj_t BgL_method3299z00_18100;

								{	/* Eval/evaluate.scm 718 */
									BgL_objectz00_bglt BgL_objz00_18101;

									BgL_objz00_18101 = (BgL_objectz00_bglt) (BgL_arg5543z00_4904);
									{	/* Eval/evaluate.scm 718 */
										long BgL_objzd2classzd2numz00_18102;

										BgL_objzd2classzd2numz00_18102 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_18101);
										{	/* Eval/evaluate.scm 718 */
											obj_t BgL_arg6930z00_18103;

											BgL_arg6930z00_18103 =
												PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 718 */
												obj_t BgL_arrayz00_18105;

												int BgL_offsetz00_18106;

												BgL_arrayz00_18105 = BgL_arg6930z00_18103;
												BgL_offsetz00_18106 =
													(int) (BgL_objzd2classzd2numz00_18102);
												{	/* Eval/evaluate.scm 718 */
													long BgL_offsetz00_18107;

													BgL_offsetz00_18107 =
														((long) (BgL_offsetz00_18106) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 718 */
														long BgL_modz00_18108;

														{	/* Eval/evaluate.scm 718 */
															int BgL_arg6932z00_18109;

															BgL_arg6932z00_18109 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 718 */
																long BgL_auxz00_43670;

																BgL_auxz00_43670 =
																	(long) (BgL_arg6932z00_18109);
																BgL_modz00_18108 =
																	(BgL_offsetz00_18107 / BgL_auxz00_43670);
														}}
														{	/* Eval/evaluate.scm 718 */
															long BgL_restz00_18110;

															{	/* Eval/evaluate.scm 718 */
																int BgL_arg6931z00_18111;

																BgL_arg6931z00_18111 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 718 */
																	long BgL_auxz00_43674;

																	BgL_auxz00_43674 =
																		(long) (BgL_arg6931z00_18111);
																	BgL_restz00_18110 =
																		(BgL_offsetz00_18107 % BgL_auxz00_43674);
															}}
															{	/* Eval/evaluate.scm 718 */

																BgL_method3299z00_18100 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_18105,
																		(int) (BgL_modz00_18108)),
																	(int) (BgL_restz00_18110));
								}}}}}}}}
								BgL_arg5527z00_4877 =
									PROCEDURE_ENTRY(BgL_method3299z00_18100)
									(BgL_method3299z00_18100, (obj_t) (BgL_arg5543z00_4904),
									BEOA);
						}}
						{	/* Eval/evaluate.scm 718 */
							obj_t BgL_list5529z00_4879;

							{	/* Eval/evaluate.scm 718 */
								obj_t BgL_arg5530z00_4880;

								BgL_arg5530z00_4880 = MAKE_PAIR(BNIL, BNIL);
								BgL_list5529z00_4879 =
									MAKE_PAIR(BgL_arg5527z00_4877, BgL_arg5530z00_4880);
							}
							BgL_arg5525z00_4875 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg5526z00_4876,
								BgL_list5529z00_4879);
					}}
					return MAKE_PAIR(BgL_arg5524z00_4874, BgL_arg5525z00_4875);
				}
			}
		}
	}



/* uncomp-ev_let3331 */
	obj_t BGl_uncompzd2ev_let3331zd2zz__evaluatez00(obj_t BgL_envz00_26169,
		obj_t BgL_ez00_26170)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 712 */
			{
				BgL_ev_letz00_bglt BgL_ez00_4833;

				BgL_ez00_4833 = (BgL_ev_letz00_bglt) (BgL_ez00_26170);
				{	/* Eval/evaluate.scm 714 */
					obj_t BgL_arg5503z00_4837;

					obj_t BgL_arg5504z00_4838;

					BgL_arg5503z00_4837 = BGl_symbol8203z00zz__evaluatez00;
					{	/* Eval/evaluate.scm 714 */
						obj_t BgL_arg5505z00_4839;

						obj_t BgL_arg5506z00_4840;

						{	/* Eval/evaluate.scm 714 */
							obj_t BgL_ll3116z00_4844;

							obj_t BgL_ll3117z00_4845;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_43689;

								BgL_auxz00_43689 = (BgL_ev_binderz00_bglt) (BgL_ez00_4833);
								BgL_ll3116z00_4844 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_43689))->
									BgL_varsz00);
							}
							{
								BgL_ev_binderz00_bglt BgL_auxz00_43692;

								BgL_auxz00_43692 = (BgL_ev_binderz00_bglt) (BgL_ez00_4833);
								BgL_ll3117z00_4845 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_43692))->
									BgL_valsz00);
							}
							if (NULLP(BgL_ll3116z00_4844))
								{	/* Eval/evaluate.scm 714 */
									BgL_arg5505z00_4839 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 714 */
									obj_t BgL_head3118z00_4847;

									BgL_head3118z00_4847 = MAKE_PAIR(BNIL, BNIL);
									{
										obj_t BgL_ll3116z00_4849;

										obj_t BgL_ll3117z00_4850;

										obj_t BgL_tail3119z00_4851;

										BgL_ll3116z00_4849 = BgL_ll3116z00_4844;
										BgL_ll3117z00_4850 = BgL_ll3117z00_4845;
										BgL_tail3119z00_4851 = BgL_head3118z00_4847;
									BgL_zc3anonymousza35511ze3z83_4852:
										if (NULLP(BgL_ll3116z00_4849))
											{	/* Eval/evaluate.scm 714 */
												BgL_arg5505z00_4839 = CDR(BgL_head3118z00_4847);
											}
										else
											{	/* Eval/evaluate.scm 714 */
												obj_t BgL_newtail3120z00_4854;

												{	/* Eval/evaluate.scm 714 */
													obj_t BgL_arg5515z00_4857;

													{	/* Eval/evaluate.scm 714 */
														obj_t BgL_vz00_4859;

														obj_t BgL_az00_4860;

														BgL_vz00_4859 = CAR(BgL_ll3116z00_4849);
														BgL_az00_4860 = CAR(BgL_ll3117z00_4850);
														{	/* Eval/evaluate.scm 714 */
															obj_t BgL_arg5517z00_4861;

															obj_t BgL_arg5518z00_4862;

															{	/* Eval/evaluate.scm 714 */
																BgL_ev_exprz00_bglt BgL_ez00_17946;

																BgL_ez00_17946 =
																	(BgL_ev_exprz00_bglt) (BgL_vz00_4859);
																{	/* Eval/evaluate.scm 714 */
																	obj_t BgL_method3299z00_17947;

																	{	/* Eval/evaluate.scm 714 */
																		BgL_objectz00_bglt BgL_objz00_17948;

																		BgL_objz00_17948 =
																			(BgL_objectz00_bglt) (BgL_ez00_17946);
																		{	/* Eval/evaluate.scm 714 */
																			long BgL_objzd2classzd2numz00_17949;

																			BgL_objzd2classzd2numz00_17949 =
																				BGL_OBJECT_CLASS_NUM(BgL_objz00_17948);
																			{	/* Eval/evaluate.scm 714 */
																				obj_t BgL_arg6930z00_17950;

																				BgL_arg6930z00_17950 =
																					PROCEDURE_REF
																					(BGl_uncompzd2envzd2zz__evaluatez00,
																					(int) (((long) 1)));
																				{	/* Eval/evaluate.scm 714 */
																					obj_t BgL_arrayz00_17952;

																					int BgL_offsetz00_17953;

																					BgL_arrayz00_17952 =
																						BgL_arg6930z00_17950;
																					BgL_offsetz00_17953 =
																						(int)
																						(BgL_objzd2classzd2numz00_17949);
																					{	/* Eval/evaluate.scm 714 */
																						long BgL_offsetz00_17954;

																						BgL_offsetz00_17954 =
																							(
																							(long) (BgL_offsetz00_17953) -
																							OBJECT_TYPE);
																						{	/* Eval/evaluate.scm 714 */
																							long BgL_modz00_17955;

																							{	/* Eval/evaluate.scm 714 */
																								int BgL_arg6932z00_17956;

																								BgL_arg6932z00_17956 =
																									(int) (((long) 16));
																								{	/* Eval/evaluate.scm 714 */
																									long BgL_auxz00_43712;

																									BgL_auxz00_43712 =
																										(long)
																										(BgL_arg6932z00_17956);
																									BgL_modz00_17955 =
																										(BgL_offsetz00_17954 /
																										BgL_auxz00_43712);
																							}}
																							{	/* Eval/evaluate.scm 714 */
																								long BgL_restz00_17957;

																								{	/* Eval/evaluate.scm 714 */
																									int BgL_arg6931z00_17958;

																									BgL_arg6931z00_17958 =
																										(int) (((long) 16));
																									{	/* Eval/evaluate.scm 714 */
																										long BgL_auxz00_43716;

																										BgL_auxz00_43716 =
																											(long)
																											(BgL_arg6931z00_17958);
																										BgL_restz00_17957 =
																											(BgL_offsetz00_17954 %
																											BgL_auxz00_43716);
																								}}
																								{	/* Eval/evaluate.scm 714 */

																									BgL_method3299z00_17947 =
																										VECTOR_REF(VECTOR_REF
																										(BgL_arrayz00_17952,
																											(int) (BgL_modz00_17955)),
																										(int) (BgL_restz00_17957));
																	}}}}}}}}
																	BgL_arg5517z00_4861 =
																		PROCEDURE_ENTRY(BgL_method3299z00_17947)
																		(BgL_method3299z00_17947,
																		(obj_t) (BgL_ez00_17946), BEOA);
															}}
															{	/* Eval/evaluate.scm 714 */
																obj_t BgL_arg5519z00_4863;

																{	/* Eval/evaluate.scm 714 */
																	BgL_ev_exprz00_bglt BgL_ez00_17972;

																	BgL_ez00_17972 =
																		(BgL_ev_exprz00_bglt) (BgL_az00_4860);
																	{	/* Eval/evaluate.scm 714 */
																		obj_t BgL_method3299z00_17973;

																		{	/* Eval/evaluate.scm 714 */
																			BgL_objectz00_bglt BgL_objz00_17974;

																			BgL_objz00_17974 =
																				(BgL_objectz00_bglt) (BgL_ez00_17972);
																			{	/* Eval/evaluate.scm 714 */
																				long BgL_objzd2classzd2numz00_17975;

																				BgL_objzd2classzd2numz00_17975 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_objz00_17974);
																				{	/* Eval/evaluate.scm 714 */
																					obj_t BgL_arg6930z00_17976;

																					BgL_arg6930z00_17976 =
																						PROCEDURE_REF
																						(BGl_uncompzd2envzd2zz__evaluatez00,
																						(int) (((long) 1)));
																					{	/* Eval/evaluate.scm 714 */
																						obj_t BgL_arrayz00_17978;

																						int BgL_offsetz00_17979;

																						BgL_arrayz00_17978 =
																							BgL_arg6930z00_17976;
																						BgL_offsetz00_17979 =
																							(int)
																							(BgL_objzd2classzd2numz00_17975);
																						{	/* Eval/evaluate.scm 714 */
																							long BgL_offsetz00_17980;

																							BgL_offsetz00_17980 =
																								(
																								(long) (BgL_offsetz00_17979) -
																								OBJECT_TYPE);
																							{	/* Eval/evaluate.scm 714 */
																								long BgL_modz00_17981;

																								{	/* Eval/evaluate.scm 714 */
																									int BgL_arg6932z00_17982;

																									BgL_arg6932z00_17982 =
																										(int) (((long) 16));
																									{	/* Eval/evaluate.scm 714 */
																										long BgL_auxz00_43735;

																										BgL_auxz00_43735 =
																											(long)
																											(BgL_arg6932z00_17982);
																										BgL_modz00_17981 =
																											(BgL_offsetz00_17980 /
																											BgL_auxz00_43735);
																								}}
																								{	/* Eval/evaluate.scm 714 */
																									long BgL_restz00_17983;

																									{	/* Eval/evaluate.scm 714 */
																										int BgL_arg6931z00_17984;

																										BgL_arg6931z00_17984 =
																											(int) (((long) 16));
																										{	/* Eval/evaluate.scm 714 */
																											long BgL_auxz00_43739;

																											BgL_auxz00_43739 =
																												(long)
																												(BgL_arg6931z00_17984);
																											BgL_restz00_17983 =
																												(BgL_offsetz00_17980 %
																												BgL_auxz00_43739);
																									}}
																									{	/* Eval/evaluate.scm 714 */

																										BgL_method3299z00_17973 =
																											VECTOR_REF(VECTOR_REF
																											(BgL_arrayz00_17978,
																												(int)
																												(BgL_modz00_17981)),
																											(int)
																											(BgL_restz00_17983));
																		}}}}}}}}
																		BgL_arg5519z00_4863 =
																			PROCEDURE_ENTRY(BgL_method3299z00_17973)
																			(BgL_method3299z00_17973,
																			(obj_t) (BgL_ez00_17972), BEOA);
																}}
																{	/* Eval/evaluate.scm 714 */
																	obj_t BgL_list5521z00_4865;

																	BgL_list5521z00_4865 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg5518z00_4862 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg5519z00_4863, BgL_list5521z00_4865);
															}}
															BgL_arg5515z00_4857 =
																MAKE_PAIR(BgL_arg5517z00_4861,
																BgL_arg5518z00_4862);
													}}
													BgL_newtail3120z00_4854 =
														MAKE_PAIR(BgL_arg5515z00_4857, BNIL);
												}
												SET_CDR(BgL_tail3119z00_4851, BgL_newtail3120z00_4854);
												{
													obj_t BgL_tail3119z00_43758;

													obj_t BgL_ll3117z00_43756;

													obj_t BgL_ll3116z00_43754;

													BgL_ll3116z00_43754 = CDR(BgL_ll3116z00_4849);
													BgL_ll3117z00_43756 = CDR(BgL_ll3117z00_4850);
													BgL_tail3119z00_43758 = BgL_newtail3120z00_4854;
													BgL_tail3119z00_4851 = BgL_tail3119z00_43758;
													BgL_ll3117z00_4850 = BgL_ll3117z00_43756;
													BgL_ll3116z00_4849 = BgL_ll3116z00_43754;
													goto BgL_zc3anonymousza35511ze3z83_4852;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate.scm 714 */
							BgL_ev_exprz00_bglt BgL_arg5522z00_4867;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_43759;

								BgL_auxz00_43759 = (BgL_ev_binderz00_bglt) (BgL_ez00_4833);
								BgL_arg5522z00_4867 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_43759))->
									BgL_bodyz00);
							}
							{	/* Eval/evaluate.scm 714 */
								obj_t BgL_method3299z00_18006;

								{	/* Eval/evaluate.scm 714 */
									BgL_objectz00_bglt BgL_objz00_18007;

									BgL_objz00_18007 = (BgL_objectz00_bglt) (BgL_arg5522z00_4867);
									{	/* Eval/evaluate.scm 714 */
										long BgL_objzd2classzd2numz00_18008;

										BgL_objzd2classzd2numz00_18008 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_18007);
										{	/* Eval/evaluate.scm 714 */
											obj_t BgL_arg6930z00_18009;

											BgL_arg6930z00_18009 =
												PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 714 */
												obj_t BgL_arrayz00_18011;

												int BgL_offsetz00_18012;

												BgL_arrayz00_18011 = BgL_arg6930z00_18009;
												BgL_offsetz00_18012 =
													(int) (BgL_objzd2classzd2numz00_18008);
												{	/* Eval/evaluate.scm 714 */
													long BgL_offsetz00_18013;

													BgL_offsetz00_18013 =
														((long) (BgL_offsetz00_18012) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 714 */
														long BgL_modz00_18014;

														{	/* Eval/evaluate.scm 714 */
															int BgL_arg6932z00_18015;

															BgL_arg6932z00_18015 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 714 */
																long BgL_auxz00_43770;

																BgL_auxz00_43770 =
																	(long) (BgL_arg6932z00_18015);
																BgL_modz00_18014 =
																	(BgL_offsetz00_18013 / BgL_auxz00_43770);
														}}
														{	/* Eval/evaluate.scm 714 */
															long BgL_restz00_18016;

															{	/* Eval/evaluate.scm 714 */
																int BgL_arg6931z00_18017;

																BgL_arg6931z00_18017 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 714 */
																	long BgL_auxz00_43774;

																	BgL_auxz00_43774 =
																		(long) (BgL_arg6931z00_18017);
																	BgL_restz00_18016 =
																		(BgL_offsetz00_18013 % BgL_auxz00_43774);
															}}
															{	/* Eval/evaluate.scm 714 */

																BgL_method3299z00_18006 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_18011,
																		(int) (BgL_modz00_18014)),
																	(int) (BgL_restz00_18016));
								}}}}}}}}
								BgL_arg5506z00_4840 =
									PROCEDURE_ENTRY(BgL_method3299z00_18006)
									(BgL_method3299z00_18006, (obj_t) (BgL_arg5522z00_4867),
									BEOA);
						}}
						{	/* Eval/evaluate.scm 714 */
							obj_t BgL_list5508z00_4842;

							{	/* Eval/evaluate.scm 714 */
								obj_t BgL_arg5509z00_4843;

								BgL_arg5509z00_4843 = MAKE_PAIR(BNIL, BNIL);
								BgL_list5508z00_4842 =
									MAKE_PAIR(BgL_arg5506z00_4840, BgL_arg5509z00_4843);
							}
							BgL_arg5504z00_4838 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg5505z00_4839,
								BgL_list5508z00_4842);
					}}
					return MAKE_PAIR(BgL_arg5503z00_4837, BgL_arg5504z00_4838);
				}
			}
		}
	}



/* uncomp-ev_with-handl3328 */
	obj_t BGl_uncompzd2ev_withzd2handl3328z00zz__evaluatez00(obj_t
		BgL_envz00_26171, obj_t BgL_ez00_26172)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 708 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_4818;

				BgL_ez00_4818 = (BgL_ev_withzd2handlerzd2_bglt) (BgL_ez00_26172);
				{	/* Eval/evaluate.scm 710 */
					obj_t BgL_arg5493z00_4822;

					obj_t BgL_arg5494z00_4823;

					BgL_arg5493z00_4822 = BGl_symbol8219z00zz__evaluatez00;
					{	/* Eval/evaluate.scm 710 */
						obj_t BgL_arg5495z00_4824;

						obj_t BgL_arg5496z00_4825;

						{	/* Eval/evaluate.scm 710 */
							BgL_ev_exprz00_bglt BgL_arg5500z00_4829;

							BgL_arg5500z00_4829 =
								(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_4818))->
								BgL_handlerz00);
							{	/* Eval/evaluate.scm 710 */
								obj_t BgL_method3299z00_17885;

								{	/* Eval/evaluate.scm 710 */
									BgL_objectz00_bglt BgL_objz00_17886;

									BgL_objz00_17886 = (BgL_objectz00_bglt) (BgL_arg5500z00_4829);
									{	/* Eval/evaluate.scm 710 */
										long BgL_objzd2classzd2numz00_17887;

										BgL_objzd2classzd2numz00_17887 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_17886);
										{	/* Eval/evaluate.scm 710 */
											obj_t BgL_arg6930z00_17888;

											BgL_arg6930z00_17888 =
												PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 710 */
												obj_t BgL_arrayz00_17890;

												int BgL_offsetz00_17891;

												BgL_arrayz00_17890 = BgL_arg6930z00_17888;
												BgL_offsetz00_17891 =
													(int) (BgL_objzd2classzd2numz00_17887);
												{	/* Eval/evaluate.scm 710 */
													long BgL_offsetz00_17892;

													BgL_offsetz00_17892 =
														((long) (BgL_offsetz00_17891) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 710 */
														long BgL_modz00_17893;

														{	/* Eval/evaluate.scm 710 */
															int BgL_arg6932z00_17894;

															BgL_arg6932z00_17894 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 710 */
																long BgL_auxz00_43798;

																BgL_auxz00_43798 =
																	(long) (BgL_arg6932z00_17894);
																BgL_modz00_17893 =
																	(BgL_offsetz00_17892 / BgL_auxz00_43798);
														}}
														{	/* Eval/evaluate.scm 710 */
															long BgL_restz00_17895;

															{	/* Eval/evaluate.scm 710 */
																int BgL_arg6931z00_17896;

																BgL_arg6931z00_17896 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 710 */
																	long BgL_auxz00_43802;

																	BgL_auxz00_43802 =
																		(long) (BgL_arg6931z00_17896);
																	BgL_restz00_17895 =
																		(BgL_offsetz00_17892 % BgL_auxz00_43802);
															}}
															{	/* Eval/evaluate.scm 710 */

																BgL_method3299z00_17885 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_17890,
																		(int) (BgL_modz00_17893)),
																	(int) (BgL_restz00_17895));
								}}}}}}}}
								BgL_arg5495z00_4824 =
									PROCEDURE_ENTRY(BgL_method3299z00_17885)
									(BgL_method3299z00_17885, (obj_t) (BgL_arg5500z00_4829),
									BEOA);
						}}
						{	/* Eval/evaluate.scm 710 */
							BgL_ev_exprz00_bglt BgL_arg5501z00_4830;

							BgL_arg5501z00_4830 =
								(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_4818))->
								BgL_bodyz00);
							{	/* Eval/evaluate.scm 710 */
								obj_t BgL_method3299z00_17912;

								{	/* Eval/evaluate.scm 710 */
									BgL_objectz00_bglt BgL_objz00_17913;

									BgL_objz00_17913 = (BgL_objectz00_bglt) (BgL_arg5501z00_4830);
									{	/* Eval/evaluate.scm 710 */
										long BgL_objzd2classzd2numz00_17914;

										BgL_objzd2classzd2numz00_17914 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_17913);
										{	/* Eval/evaluate.scm 710 */
											obj_t BgL_arg6930z00_17915;

											BgL_arg6930z00_17915 =
												PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 710 */
												obj_t BgL_arrayz00_17917;

												int BgL_offsetz00_17918;

												BgL_arrayz00_17917 = BgL_arg6930z00_17915;
												BgL_offsetz00_17918 =
													(int) (BgL_objzd2classzd2numz00_17914);
												{	/* Eval/evaluate.scm 710 */
													long BgL_offsetz00_17919;

													BgL_offsetz00_17919 =
														((long) (BgL_offsetz00_17918) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 710 */
														long BgL_modz00_17920;

														{	/* Eval/evaluate.scm 710 */
															int BgL_arg6932z00_17921;

															BgL_arg6932z00_17921 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 710 */
																long BgL_auxz00_43821;

																BgL_auxz00_43821 =
																	(long) (BgL_arg6932z00_17921);
																BgL_modz00_17920 =
																	(BgL_offsetz00_17919 / BgL_auxz00_43821);
														}}
														{	/* Eval/evaluate.scm 710 */
															long BgL_restz00_17922;

															{	/* Eval/evaluate.scm 710 */
																int BgL_arg6931z00_17923;

																BgL_arg6931z00_17923 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 710 */
																	long BgL_auxz00_43825;

																	BgL_auxz00_43825 =
																		(long) (BgL_arg6931z00_17923);
																	BgL_restz00_17922 =
																		(BgL_offsetz00_17919 % BgL_auxz00_43825);
															}}
															{	/* Eval/evaluate.scm 710 */

																BgL_method3299z00_17912 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_17917,
																		(int) (BgL_modz00_17920)),
																	(int) (BgL_restz00_17922));
								}}}}}}}}
								BgL_arg5496z00_4825 =
									PROCEDURE_ENTRY(BgL_method3299z00_17912)
									(BgL_method3299z00_17912, (obj_t) (BgL_arg5501z00_4830),
									BEOA);
						}}
						{	/* Eval/evaluate.scm 710 */
							obj_t BgL_list5498z00_4827;

							{	/* Eval/evaluate.scm 710 */
								obj_t BgL_arg5499z00_4828;

								BgL_arg5499z00_4828 = MAKE_PAIR(BNIL, BNIL);
								BgL_list5498z00_4827 =
									MAKE_PAIR(BgL_arg5496z00_4825, BgL_arg5499z00_4828);
							}
							BgL_arg5494z00_4823 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg5495z00_4824,
								BgL_list5498z00_4827);
					}}
					return MAKE_PAIR(BgL_arg5493z00_4822, BgL_arg5494z00_4823);
				}
			}
		}
	}



/* uncomp-ev_unwind-pro3325 */
	obj_t BGl_uncompzd2ev_unwindzd2pro3325z00zz__evaluatez00(obj_t
		BgL_envz00_26173, obj_t BgL_ez00_26174)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 704 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_4803;

				BgL_ez00_4803 = (BgL_ev_unwindzd2protectzd2_bglt) (BgL_ez00_26174);
				{	/* Eval/evaluate.scm 706 */
					obj_t BgL_arg5483z00_4807;

					obj_t BgL_arg5484z00_4808;

					BgL_arg5483z00_4807 = BGl_symbol8217z00zz__evaluatez00;
					{	/* Eval/evaluate.scm 706 */
						obj_t BgL_arg5485z00_4809;

						obj_t BgL_arg5486z00_4810;

						{	/* Eval/evaluate.scm 706 */
							BgL_ev_exprz00_bglt BgL_arg5490z00_4814;

							BgL_arg5490z00_4814 =
								(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_4803))->
								BgL_ez00);
							{	/* Eval/evaluate.scm 706 */
								obj_t BgL_method3299z00_17831;

								{	/* Eval/evaluate.scm 706 */
									BgL_objectz00_bglt BgL_objz00_17832;

									BgL_objz00_17832 = (BgL_objectz00_bglt) (BgL_arg5490z00_4814);
									{	/* Eval/evaluate.scm 706 */
										long BgL_objzd2classzd2numz00_17833;

										BgL_objzd2classzd2numz00_17833 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_17832);
										{	/* Eval/evaluate.scm 706 */
											obj_t BgL_arg6930z00_17834;

											BgL_arg6930z00_17834 =
												PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 706 */
												obj_t BgL_arrayz00_17836;

												int BgL_offsetz00_17837;

												BgL_arrayz00_17836 = BgL_arg6930z00_17834;
												BgL_offsetz00_17837 =
													(int) (BgL_objzd2classzd2numz00_17833);
												{	/* Eval/evaluate.scm 706 */
													long BgL_offsetz00_17838;

													BgL_offsetz00_17838 =
														((long) (BgL_offsetz00_17837) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 706 */
														long BgL_modz00_17839;

														{	/* Eval/evaluate.scm 706 */
															int BgL_arg6932z00_17840;

															BgL_arg6932z00_17840 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 706 */
																long BgL_auxz00_43849;

																BgL_auxz00_43849 =
																	(long) (BgL_arg6932z00_17840);
																BgL_modz00_17839 =
																	(BgL_offsetz00_17838 / BgL_auxz00_43849);
														}}
														{	/* Eval/evaluate.scm 706 */
															long BgL_restz00_17841;

															{	/* Eval/evaluate.scm 706 */
																int BgL_arg6931z00_17842;

																BgL_arg6931z00_17842 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 706 */
																	long BgL_auxz00_43853;

																	BgL_auxz00_43853 =
																		(long) (BgL_arg6931z00_17842);
																	BgL_restz00_17841 =
																		(BgL_offsetz00_17838 % BgL_auxz00_43853);
															}}
															{	/* Eval/evaluate.scm 706 */

																BgL_method3299z00_17831 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_17836,
																		(int) (BgL_modz00_17839)),
																	(int) (BgL_restz00_17841));
								}}}}}}}}
								BgL_arg5485z00_4809 =
									PROCEDURE_ENTRY(BgL_method3299z00_17831)
									(BgL_method3299z00_17831, (obj_t) (BgL_arg5490z00_4814),
									BEOA);
						}}
						{	/* Eval/evaluate.scm 706 */
							BgL_ev_exprz00_bglt BgL_arg5491z00_4815;

							BgL_arg5491z00_4815 =
								(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_4803))->
								BgL_bodyz00);
							{	/* Eval/evaluate.scm 706 */
								obj_t BgL_method3299z00_17858;

								{	/* Eval/evaluate.scm 706 */
									BgL_objectz00_bglt BgL_objz00_17859;

									BgL_objz00_17859 = (BgL_objectz00_bglt) (BgL_arg5491z00_4815);
									{	/* Eval/evaluate.scm 706 */
										long BgL_objzd2classzd2numz00_17860;

										BgL_objzd2classzd2numz00_17860 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_17859);
										{	/* Eval/evaluate.scm 706 */
											obj_t BgL_arg6930z00_17861;

											BgL_arg6930z00_17861 =
												PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 706 */
												obj_t BgL_arrayz00_17863;

												int BgL_offsetz00_17864;

												BgL_arrayz00_17863 = BgL_arg6930z00_17861;
												BgL_offsetz00_17864 =
													(int) (BgL_objzd2classzd2numz00_17860);
												{	/* Eval/evaluate.scm 706 */
													long BgL_offsetz00_17865;

													BgL_offsetz00_17865 =
														((long) (BgL_offsetz00_17864) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 706 */
														long BgL_modz00_17866;

														{	/* Eval/evaluate.scm 706 */
															int BgL_arg6932z00_17867;

															BgL_arg6932z00_17867 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 706 */
																long BgL_auxz00_43872;

																BgL_auxz00_43872 =
																	(long) (BgL_arg6932z00_17867);
																BgL_modz00_17866 =
																	(BgL_offsetz00_17865 / BgL_auxz00_43872);
														}}
														{	/* Eval/evaluate.scm 706 */
															long BgL_restz00_17868;

															{	/* Eval/evaluate.scm 706 */
																int BgL_arg6931z00_17869;

																BgL_arg6931z00_17869 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 706 */
																	long BgL_auxz00_43876;

																	BgL_auxz00_43876 =
																		(long) (BgL_arg6931z00_17869);
																	BgL_restz00_17868 =
																		(BgL_offsetz00_17865 % BgL_auxz00_43876);
															}}
															{	/* Eval/evaluate.scm 706 */

																BgL_method3299z00_17858 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_17863,
																		(int) (BgL_modz00_17866)),
																	(int) (BgL_restz00_17868));
								}}}}}}}}
								BgL_arg5486z00_4810 =
									PROCEDURE_ENTRY(BgL_method3299z00_17858)
									(BgL_method3299z00_17858, (obj_t) (BgL_arg5491z00_4815),
									BEOA);
						}}
						{	/* Eval/evaluate.scm 706 */
							obj_t BgL_list5488z00_4812;

							{	/* Eval/evaluate.scm 706 */
								obj_t BgL_arg5489z00_4813;

								BgL_arg5489z00_4813 = MAKE_PAIR(BNIL, BNIL);
								BgL_list5488z00_4812 =
									MAKE_PAIR(BgL_arg5486z00_4810, BgL_arg5489z00_4813);
							}
							BgL_arg5484z00_4808 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg5485z00_4809,
								BgL_list5488z00_4812);
					}}
					return MAKE_PAIR(BgL_arg5483z00_4807, BgL_arg5484z00_4808);
				}
			}
		}
	}



/* uncomp-ev_bind-exit3323 */
	obj_t BGl_uncompzd2ev_bindzd2exit3323z00zz__evaluatez00(obj_t
		BgL_envz00_26175, obj_t BgL_ez00_26176)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 700 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_4786;

				BgL_ez00_4786 = (BgL_ev_bindzd2exitzd2_bglt) (BgL_ez00_26176);
				{	/* Eval/evaluate.scm 702 */
					obj_t BgL_arg5471z00_4790;

					obj_t BgL_arg5472z00_4791;

					BgL_arg5471z00_4790 = BGl_symbol8215z00zz__evaluatez00;
					{	/* Eval/evaluate.scm 702 */
						obj_t BgL_arg5473z00_4792;

						obj_t BgL_arg5474z00_4793;

						{	/* Eval/evaluate.scm 702 */
							obj_t BgL_arg5478z00_4797;

							{	/* Eval/evaluate.scm 702 */
								BgL_ev_varz00_bglt BgL_arg5480z00_4799;

								BgL_arg5480z00_4799 =
									(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_4786))->
									BgL_varz00);
								{	/* Eval/evaluate.scm 702 */
									BgL_ev_exprz00_bglt BgL_ez00_17776;

									BgL_ez00_17776 = (BgL_ev_exprz00_bglt) (BgL_arg5480z00_4799);
									{	/* Eval/evaluate.scm 702 */
										obj_t BgL_method3299z00_17777;

										{	/* Eval/evaluate.scm 702 */
											BgL_objectz00_bglt BgL_objz00_17778;

											BgL_objz00_17778 = (BgL_objectz00_bglt) (BgL_ez00_17776);
											{	/* Eval/evaluate.scm 702 */
												long BgL_objzd2classzd2numz00_17779;

												BgL_objzd2classzd2numz00_17779 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_17778);
												{	/* Eval/evaluate.scm 702 */
													obj_t BgL_arg6930z00_17780;

													BgL_arg6930z00_17780 =
														PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
														(int) (((long) 1)));
													{	/* Eval/evaluate.scm 702 */
														obj_t BgL_arrayz00_17782;

														int BgL_offsetz00_17783;

														BgL_arrayz00_17782 = BgL_arg6930z00_17780;
														BgL_offsetz00_17783 =
															(int) (BgL_objzd2classzd2numz00_17779);
														{	/* Eval/evaluate.scm 702 */
															long BgL_offsetz00_17784;

															BgL_offsetz00_17784 =
																((long) (BgL_offsetz00_17783) - OBJECT_TYPE);
															{	/* Eval/evaluate.scm 702 */
																long BgL_modz00_17785;

																{	/* Eval/evaluate.scm 702 */
																	int BgL_arg6932z00_17786;

																	BgL_arg6932z00_17786 = (int) (((long) 16));
																	{	/* Eval/evaluate.scm 702 */
																		long BgL_auxz00_43901;

																		BgL_auxz00_43901 =
																			(long) (BgL_arg6932z00_17786);
																		BgL_modz00_17785 =
																			(BgL_offsetz00_17784 / BgL_auxz00_43901);
																}}
																{	/* Eval/evaluate.scm 702 */
																	long BgL_restz00_17787;

																	{	/* Eval/evaluate.scm 702 */
																		int BgL_arg6931z00_17788;

																		BgL_arg6931z00_17788 = (int) (((long) 16));
																		{	/* Eval/evaluate.scm 702 */
																			long BgL_auxz00_43905;

																			BgL_auxz00_43905 =
																				(long) (BgL_arg6931z00_17788);
																			BgL_restz00_17787 =
																				(BgL_offsetz00_17784 %
																				BgL_auxz00_43905);
																	}}
																	{	/* Eval/evaluate.scm 702 */

																		BgL_method3299z00_17777 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_17782,
																				(int) (BgL_modz00_17785)),
																			(int) (BgL_restz00_17787));
										}}}}}}}}
										BgL_arg5478z00_4797 =
											PROCEDURE_ENTRY(BgL_method3299z00_17777)
											(BgL_method3299z00_17777, (obj_t) (BgL_ez00_17776), BEOA);
							}}}
							BgL_arg5473z00_4792 = MAKE_PAIR(BgL_arg5478z00_4797, BNIL);
						}
						{	/* Eval/evaluate.scm 702 */
							BgL_ev_exprz00_bglt BgL_arg5481z00_4800;

							BgL_arg5481z00_4800 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_4786))->
								BgL_bodyz00);
							{	/* Eval/evaluate.scm 702 */
								obj_t BgL_method3299z00_17804;

								{	/* Eval/evaluate.scm 702 */
									BgL_objectz00_bglt BgL_objz00_17805;

									BgL_objz00_17805 = (BgL_objectz00_bglt) (BgL_arg5481z00_4800);
									{	/* Eval/evaluate.scm 702 */
										long BgL_objzd2classzd2numz00_17806;

										BgL_objzd2classzd2numz00_17806 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_17805);
										{	/* Eval/evaluate.scm 702 */
											obj_t BgL_arg6930z00_17807;

											BgL_arg6930z00_17807 =
												PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 702 */
												obj_t BgL_arrayz00_17809;

												int BgL_offsetz00_17810;

												BgL_arrayz00_17809 = BgL_arg6930z00_17807;
												BgL_offsetz00_17810 =
													(int) (BgL_objzd2classzd2numz00_17806);
												{	/* Eval/evaluate.scm 702 */
													long BgL_offsetz00_17811;

													BgL_offsetz00_17811 =
														((long) (BgL_offsetz00_17810) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 702 */
														long BgL_modz00_17812;

														{	/* Eval/evaluate.scm 702 */
															int BgL_arg6932z00_17813;

															BgL_arg6932z00_17813 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 702 */
																long BgL_auxz00_43925;

																BgL_auxz00_43925 =
																	(long) (BgL_arg6932z00_17813);
																BgL_modz00_17812 =
																	(BgL_offsetz00_17811 / BgL_auxz00_43925);
														}}
														{	/* Eval/evaluate.scm 702 */
															long BgL_restz00_17814;

															{	/* Eval/evaluate.scm 702 */
																int BgL_arg6931z00_17815;

																BgL_arg6931z00_17815 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 702 */
																	long BgL_auxz00_43929;

																	BgL_auxz00_43929 =
																		(long) (BgL_arg6931z00_17815);
																	BgL_restz00_17814 =
																		(BgL_offsetz00_17811 % BgL_auxz00_43929);
															}}
															{	/* Eval/evaluate.scm 702 */

																BgL_method3299z00_17804 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_17809,
																		(int) (BgL_modz00_17812)),
																	(int) (BgL_restz00_17814));
								}}}}}}}}
								BgL_arg5474z00_4793 =
									PROCEDURE_ENTRY(BgL_method3299z00_17804)
									(BgL_method3299z00_17804, (obj_t) (BgL_arg5481z00_4800),
									BEOA);
						}}
						{	/* Eval/evaluate.scm 702 */
							obj_t BgL_list5476z00_4795;

							{	/* Eval/evaluate.scm 702 */
								obj_t BgL_arg5477z00_4796;

								BgL_arg5477z00_4796 = MAKE_PAIR(BNIL, BNIL);
								BgL_list5476z00_4795 =
									MAKE_PAIR(BgL_arg5474z00_4793, BgL_arg5477z00_4796);
							}
							BgL_arg5472z00_4791 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg5473z00_4792,
								BgL_list5476z00_4795);
					}}
					return MAKE_PAIR(BgL_arg5471z00_4790, BgL_arg5472z00_4791);
				}
			}
		}
	}



/* uncomp-ev_setlocal3321 */
	obj_t BGl_uncompzd2ev_setlocal3321zd2zz__evaluatez00(obj_t BgL_envz00_26177,
		obj_t BgL_ez00_26178)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 696 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_4771;

				BgL_ez00_4771 = (BgL_ev_setlocalz00_bglt) (BgL_ez00_26178);
				{	/* Eval/evaluate.scm 698 */
					obj_t BgL_arg5461z00_4775;

					obj_t BgL_arg5462z00_4776;

					BgL_arg5461z00_4775 = BGl_symbol8209z00zz__evaluatez00;
					{	/* Eval/evaluate.scm 698 */
						obj_t BgL_arg5463z00_4777;

						obj_t BgL_arg5464z00_4778;

						{	/* Eval/evaluate.scm 698 */
							BgL_ev_varz00_bglt BgL_arg5468z00_4782;

							BgL_arg5468z00_4782 =
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_4771))->BgL_vz00);
							{	/* Eval/evaluate.scm 698 */
								BgL_ev_exprz00_bglt BgL_ez00_17722;

								BgL_ez00_17722 = (BgL_ev_exprz00_bglt) (BgL_arg5468z00_4782);
								{	/* Eval/evaluate.scm 698 */
									obj_t BgL_method3299z00_17723;

									{	/* Eval/evaluate.scm 698 */
										BgL_objectz00_bglt BgL_objz00_17724;

										BgL_objz00_17724 = (BgL_objectz00_bglt) (BgL_ez00_17722);
										{	/* Eval/evaluate.scm 698 */
											long BgL_objzd2classzd2numz00_17725;

											BgL_objzd2classzd2numz00_17725 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_17724);
											{	/* Eval/evaluate.scm 698 */
												obj_t BgL_arg6930z00_17726;

												BgL_arg6930z00_17726 =
													PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
													(int) (((long) 1)));
												{	/* Eval/evaluate.scm 698 */
													obj_t BgL_arrayz00_17728;

													int BgL_offsetz00_17729;

													BgL_arrayz00_17728 = BgL_arg6930z00_17726;
													BgL_offsetz00_17729 =
														(int) (BgL_objzd2classzd2numz00_17725);
													{	/* Eval/evaluate.scm 698 */
														long BgL_offsetz00_17730;

														BgL_offsetz00_17730 =
															((long) (BgL_offsetz00_17729) - OBJECT_TYPE);
														{	/* Eval/evaluate.scm 698 */
															long BgL_modz00_17731;

															{	/* Eval/evaluate.scm 698 */
																int BgL_arg6932z00_17732;

																BgL_arg6932z00_17732 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 698 */
																	long BgL_auxz00_43954;

																	BgL_auxz00_43954 =
																		(long) (BgL_arg6932z00_17732);
																	BgL_modz00_17731 =
																		(BgL_offsetz00_17730 / BgL_auxz00_43954);
															}}
															{	/* Eval/evaluate.scm 698 */
																long BgL_restz00_17733;

																{	/* Eval/evaluate.scm 698 */
																	int BgL_arg6931z00_17734;

																	BgL_arg6931z00_17734 = (int) (((long) 16));
																	{	/* Eval/evaluate.scm 698 */
																		long BgL_auxz00_43958;

																		BgL_auxz00_43958 =
																			(long) (BgL_arg6931z00_17734);
																		BgL_restz00_17733 =
																			(BgL_offsetz00_17730 % BgL_auxz00_43958);
																}}
																{	/* Eval/evaluate.scm 698 */

																	BgL_method3299z00_17723 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_17728,
																			(int) (BgL_modz00_17731)),
																		(int) (BgL_restz00_17733));
									}}}}}}}}
									BgL_arg5463z00_4777 =
										PROCEDURE_ENTRY(BgL_method3299z00_17723)
										(BgL_method3299z00_17723, (obj_t) (BgL_ez00_17722), BEOA);
						}}}
						{	/* Eval/evaluate.scm 698 */
							BgL_ev_exprz00_bglt BgL_arg5469z00_4783;

							{
								BgL_ev_hookz00_bglt BgL_auxz00_43968;

								BgL_auxz00_43968 = (BgL_ev_hookz00_bglt) (BgL_ez00_4771);
								BgL_arg5469z00_4783 =
									(((BgL_ev_hookz00_bglt) CREF(BgL_auxz00_43968))->BgL_ez00);
							}
							{	/* Eval/evaluate.scm 698 */
								obj_t BgL_method3299z00_17750;

								{	/* Eval/evaluate.scm 698 */
									BgL_objectz00_bglt BgL_objz00_17751;

									BgL_objz00_17751 = (BgL_objectz00_bglt) (BgL_arg5469z00_4783);
									{	/* Eval/evaluate.scm 698 */
										long BgL_objzd2classzd2numz00_17752;

										BgL_objzd2classzd2numz00_17752 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_17751);
										{	/* Eval/evaluate.scm 698 */
											obj_t BgL_arg6930z00_17753;

											BgL_arg6930z00_17753 =
												PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 698 */
												obj_t BgL_arrayz00_17755;

												int BgL_offsetz00_17756;

												BgL_arrayz00_17755 = BgL_arg6930z00_17753;
												BgL_offsetz00_17756 =
													(int) (BgL_objzd2classzd2numz00_17752);
												{	/* Eval/evaluate.scm 698 */
													long BgL_offsetz00_17757;

													BgL_offsetz00_17757 =
														((long) (BgL_offsetz00_17756) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 698 */
														long BgL_modz00_17758;

														{	/* Eval/evaluate.scm 698 */
															int BgL_arg6932z00_17759;

															BgL_arg6932z00_17759 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 698 */
																long BgL_auxz00_43979;

																BgL_auxz00_43979 =
																	(long) (BgL_arg6932z00_17759);
																BgL_modz00_17758 =
																	(BgL_offsetz00_17757 / BgL_auxz00_43979);
														}}
														{	/* Eval/evaluate.scm 698 */
															long BgL_restz00_17760;

															{	/* Eval/evaluate.scm 698 */
																int BgL_arg6931z00_17761;

																BgL_arg6931z00_17761 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 698 */
																	long BgL_auxz00_43983;

																	BgL_auxz00_43983 =
																		(long) (BgL_arg6931z00_17761);
																	BgL_restz00_17760 =
																		(BgL_offsetz00_17757 % BgL_auxz00_43983);
															}}
															{	/* Eval/evaluate.scm 698 */

																BgL_method3299z00_17750 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_17755,
																		(int) (BgL_modz00_17758)),
																	(int) (BgL_restz00_17760));
								}}}}}}}}
								BgL_arg5464z00_4778 =
									PROCEDURE_ENTRY(BgL_method3299z00_17750)
									(BgL_method3299z00_17750, (obj_t) (BgL_arg5469z00_4783),
									BEOA);
						}}
						{	/* Eval/evaluate.scm 698 */
							obj_t BgL_list5466z00_4780;

							{	/* Eval/evaluate.scm 698 */
								obj_t BgL_arg5467z00_4781;

								BgL_arg5467z00_4781 = MAKE_PAIR(BNIL, BNIL);
								BgL_list5466z00_4780 =
									MAKE_PAIR(BgL_arg5464z00_4778, BgL_arg5467z00_4781);
							}
							BgL_arg5462z00_4776 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg5463z00_4777,
								BgL_list5466z00_4780);
					}}
					return MAKE_PAIR(BgL_arg5461z00_4775, BgL_arg5462z00_4776);
				}
			}
		}
	}



/* uncomp-ev_defglobal3319 */
	obj_t BGl_uncompzd2ev_defglobal3319zd2zz__evaluatez00(obj_t BgL_envz00_26179,
		obj_t BgL_ez00_26180)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 692 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_4757;

				BgL_ez00_4757 = (BgL_ev_defglobalz00_bglt) (BgL_ez00_26180);
				{	/* Eval/evaluate.scm 694 */
					obj_t BgL_arg5452z00_4761;

					obj_t BgL_arg5453z00_4762;

					BgL_arg5452z00_4761 = BGl_symbol8211z00zz__evaluatez00;
					{	/* Eval/evaluate.scm 694 */
						obj_t BgL_arg5454z00_4763;

						obj_t BgL_arg5455z00_4764;

						{
							BgL_ev_setglobalz00_bglt BgL_auxz00_43998;

							BgL_auxz00_43998 = (BgL_ev_setglobalz00_bglt) (BgL_ez00_4757);
							BgL_arg5454z00_4763 =
								(((BgL_ev_setglobalz00_bglt) CREF(BgL_auxz00_43998))->
								BgL_namez00);
						}
						{	/* Eval/evaluate.scm 694 */
							BgL_ev_exprz00_bglt BgL_arg5459z00_4768;

							{
								BgL_ev_hookz00_bglt BgL_auxz00_44001;

								BgL_auxz00_44001 = (BgL_ev_hookz00_bglt) (BgL_ez00_4757);
								BgL_arg5459z00_4768 =
									(((BgL_ev_hookz00_bglt) CREF(BgL_auxz00_44001))->BgL_ez00);
							}
							{	/* Eval/evaluate.scm 694 */
								obj_t BgL_method3299z00_17696;

								{	/* Eval/evaluate.scm 694 */
									BgL_objectz00_bglt BgL_objz00_17697;

									BgL_objz00_17697 = (BgL_objectz00_bglt) (BgL_arg5459z00_4768);
									{	/* Eval/evaluate.scm 694 */
										long BgL_objzd2classzd2numz00_17698;

										BgL_objzd2classzd2numz00_17698 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_17697);
										{	/* Eval/evaluate.scm 694 */
											obj_t BgL_arg6930z00_17699;

											BgL_arg6930z00_17699 =
												PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 694 */
												obj_t BgL_arrayz00_17701;

												int BgL_offsetz00_17702;

												BgL_arrayz00_17701 = BgL_arg6930z00_17699;
												BgL_offsetz00_17702 =
													(int) (BgL_objzd2classzd2numz00_17698);
												{	/* Eval/evaluate.scm 694 */
													long BgL_offsetz00_17703;

													BgL_offsetz00_17703 =
														((long) (BgL_offsetz00_17702) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 694 */
														long BgL_modz00_17704;

														{	/* Eval/evaluate.scm 694 */
															int BgL_arg6932z00_17705;

															BgL_arg6932z00_17705 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 694 */
																long BgL_auxz00_44012;

																BgL_auxz00_44012 =
																	(long) (BgL_arg6932z00_17705);
																BgL_modz00_17704 =
																	(BgL_offsetz00_17703 / BgL_auxz00_44012);
														}}
														{	/* Eval/evaluate.scm 694 */
															long BgL_restz00_17706;

															{	/* Eval/evaluate.scm 694 */
																int BgL_arg6931z00_17707;

																BgL_arg6931z00_17707 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 694 */
																	long BgL_auxz00_44016;

																	BgL_auxz00_44016 =
																		(long) (BgL_arg6931z00_17707);
																	BgL_restz00_17706 =
																		(BgL_offsetz00_17703 % BgL_auxz00_44016);
															}}
															{	/* Eval/evaluate.scm 694 */

																BgL_method3299z00_17696 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_17701,
																		(int) (BgL_modz00_17704)),
																	(int) (BgL_restz00_17706));
								}}}}}}}}
								BgL_arg5455z00_4764 =
									PROCEDURE_ENTRY(BgL_method3299z00_17696)
									(BgL_method3299z00_17696, (obj_t) (BgL_arg5459z00_4768),
									BEOA);
						}}
						{	/* Eval/evaluate.scm 694 */
							obj_t BgL_list5457z00_4766;

							{	/* Eval/evaluate.scm 694 */
								obj_t BgL_arg5458z00_4767;

								BgL_arg5458z00_4767 = MAKE_PAIR(BNIL, BNIL);
								BgL_list5457z00_4766 =
									MAKE_PAIR(BgL_arg5455z00_4764, BgL_arg5458z00_4767);
							}
							BgL_arg5453z00_4762 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg5454z00_4763,
								BgL_list5457z00_4766);
					}}
					return MAKE_PAIR(BgL_arg5452z00_4761, BgL_arg5453z00_4762);
				}
			}
		}
	}



/* uncomp-ev_setglobal3317 */
	obj_t BGl_uncompzd2ev_setglobal3317zd2zz__evaluatez00(obj_t BgL_envz00_26181,
		obj_t BgL_ez00_26182)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 688 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_4743;

				BgL_ez00_4743 = (BgL_ev_setglobalz00_bglt) (BgL_ez00_26182);
				{	/* Eval/evaluate.scm 690 */
					obj_t BgL_arg5443z00_4747;

					obj_t BgL_arg5444z00_4748;

					BgL_arg5443z00_4747 = BGl_symbol8209z00zz__evaluatez00;
					{	/* Eval/evaluate.scm 690 */
						obj_t BgL_arg5445z00_4749;

						obj_t BgL_arg5446z00_4750;

						BgL_arg5445z00_4749 =
							(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_4743))->BgL_namez00);
						{	/* Eval/evaluate.scm 690 */
							BgL_ev_exprz00_bglt BgL_arg5450z00_4754;

							{
								BgL_ev_hookz00_bglt BgL_auxz00_44032;

								BgL_auxz00_44032 = (BgL_ev_hookz00_bglt) (BgL_ez00_4743);
								BgL_arg5450z00_4754 =
									(((BgL_ev_hookz00_bglt) CREF(BgL_auxz00_44032))->BgL_ez00);
							}
							{	/* Eval/evaluate.scm 690 */
								obj_t BgL_method3299z00_17668;

								{	/* Eval/evaluate.scm 690 */
									BgL_objectz00_bglt BgL_objz00_17669;

									BgL_objz00_17669 = (BgL_objectz00_bglt) (BgL_arg5450z00_4754);
									{	/* Eval/evaluate.scm 690 */
										long BgL_objzd2classzd2numz00_17670;

										BgL_objzd2classzd2numz00_17670 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_17669);
										{	/* Eval/evaluate.scm 690 */
											obj_t BgL_arg6930z00_17671;

											BgL_arg6930z00_17671 =
												PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 690 */
												obj_t BgL_arrayz00_17673;

												int BgL_offsetz00_17674;

												BgL_arrayz00_17673 = BgL_arg6930z00_17671;
												BgL_offsetz00_17674 =
													(int) (BgL_objzd2classzd2numz00_17670);
												{	/* Eval/evaluate.scm 690 */
													long BgL_offsetz00_17675;

													BgL_offsetz00_17675 =
														((long) (BgL_offsetz00_17674) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 690 */
														long BgL_modz00_17676;

														{	/* Eval/evaluate.scm 690 */
															int BgL_arg6932z00_17677;

															BgL_arg6932z00_17677 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 690 */
																long BgL_auxz00_44043;

																BgL_auxz00_44043 =
																	(long) (BgL_arg6932z00_17677);
																BgL_modz00_17676 =
																	(BgL_offsetz00_17675 / BgL_auxz00_44043);
														}}
														{	/* Eval/evaluate.scm 690 */
															long BgL_restz00_17678;

															{	/* Eval/evaluate.scm 690 */
																int BgL_arg6931z00_17679;

																BgL_arg6931z00_17679 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 690 */
																	long BgL_auxz00_44047;

																	BgL_auxz00_44047 =
																		(long) (BgL_arg6931z00_17679);
																	BgL_restz00_17678 =
																		(BgL_offsetz00_17675 % BgL_auxz00_44047);
															}}
															{	/* Eval/evaluate.scm 690 */

																BgL_method3299z00_17668 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_17673,
																		(int) (BgL_modz00_17676)),
																	(int) (BgL_restz00_17678));
								}}}}}}}}
								BgL_arg5446z00_4750 =
									PROCEDURE_ENTRY(BgL_method3299z00_17668)
									(BgL_method3299z00_17668, (obj_t) (BgL_arg5450z00_4754),
									BEOA);
						}}
						{	/* Eval/evaluate.scm 690 */
							obj_t BgL_list5448z00_4752;

							{	/* Eval/evaluate.scm 690 */
								obj_t BgL_arg5449z00_4753;

								BgL_arg5449z00_4753 = MAKE_PAIR(BNIL, BNIL);
								BgL_list5448z00_4752 =
									MAKE_PAIR(BgL_arg5446z00_4750, BgL_arg5449z00_4753);
							}
							BgL_arg5444z00_4748 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg5445z00_4749,
								BgL_list5448z00_4752);
					}}
					return MAKE_PAIR(BgL_arg5443z00_4747, BgL_arg5444z00_4748);
				}
			}
		}
	}



/* uncomp-ev_trap3315 */
	obj_t BGl_uncompzd2ev_trap3315zd2zz__evaluatez00(obj_t BgL_envz00_26183,
		obj_t BgL_ez00_26184)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 684 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_4731;

				BgL_ez00_4731 = (BgL_ev_trapz00_bglt) (BgL_ez00_26184);
				{	/* Eval/evaluate.scm 686 */
					obj_t BgL_arg5435z00_4735;

					obj_t BgL_arg5436z00_4736;

					BgL_arg5435z00_4735 = BGl_symbol8191z00zz__evaluatez00;
					{	/* Eval/evaluate.scm 686 */
						obj_t BgL_arg5438z00_4737;

						{	/* Eval/evaluate.scm 686 */
							BgL_ev_exprz00_bglt BgL_arg5441z00_4740;

							{
								BgL_ev_hookz00_bglt BgL_auxz00_44062;

								BgL_auxz00_44062 = (BgL_ev_hookz00_bglt) (BgL_ez00_4731);
								BgL_arg5441z00_4740 =
									(((BgL_ev_hookz00_bglt) CREF(BgL_auxz00_44062))->BgL_ez00);
							}
							{	/* Eval/evaluate.scm 686 */
								obj_t BgL_method3299z00_17640;

								{	/* Eval/evaluate.scm 686 */
									BgL_objectz00_bglt BgL_objz00_17641;

									BgL_objz00_17641 = (BgL_objectz00_bglt) (BgL_arg5441z00_4740);
									{	/* Eval/evaluate.scm 686 */
										long BgL_objzd2classzd2numz00_17642;

										BgL_objzd2classzd2numz00_17642 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_17641);
										{	/* Eval/evaluate.scm 686 */
											obj_t BgL_arg6930z00_17643;

											BgL_arg6930z00_17643 =
												PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 686 */
												obj_t BgL_arrayz00_17645;

												int BgL_offsetz00_17646;

												BgL_arrayz00_17645 = BgL_arg6930z00_17643;
												BgL_offsetz00_17646 =
													(int) (BgL_objzd2classzd2numz00_17642);
												{	/* Eval/evaluate.scm 686 */
													long BgL_offsetz00_17647;

													BgL_offsetz00_17647 =
														((long) (BgL_offsetz00_17646) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 686 */
														long BgL_modz00_17648;

														{	/* Eval/evaluate.scm 686 */
															int BgL_arg6932z00_17649;

															BgL_arg6932z00_17649 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 686 */
																long BgL_auxz00_44073;

																BgL_auxz00_44073 =
																	(long) (BgL_arg6932z00_17649);
																BgL_modz00_17648 =
																	(BgL_offsetz00_17647 / BgL_auxz00_44073);
														}}
														{	/* Eval/evaluate.scm 686 */
															long BgL_restz00_17650;

															{	/* Eval/evaluate.scm 686 */
																int BgL_arg6931z00_17651;

																BgL_arg6931z00_17651 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 686 */
																	long BgL_auxz00_44077;

																	BgL_auxz00_44077 =
																		(long) (BgL_arg6931z00_17651);
																	BgL_restz00_17650 =
																		(BgL_offsetz00_17647 % BgL_auxz00_44077);
															}}
															{	/* Eval/evaluate.scm 686 */

																BgL_method3299z00_17640 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_17645,
																		(int) (BgL_modz00_17648)),
																	(int) (BgL_restz00_17650));
								}}}}}}}}
								BgL_arg5438z00_4737 =
									PROCEDURE_ENTRY(BgL_method3299z00_17640)
									(BgL_method3299z00_17640, (obj_t) (BgL_arg5441z00_4740),
									BEOA);
						}}
						{	/* Eval/evaluate.scm 686 */
							obj_t BgL_list5440z00_4739;

							BgL_list5440z00_4739 = MAKE_PAIR(BNIL, BNIL);
							BgL_arg5436z00_4736 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg5438z00_4737,
								BgL_list5440z00_4739);
					}}
					return MAKE_PAIR(BgL_arg5435z00_4735, BgL_arg5436z00_4736);
				}
			}
		}
	}



/* uncomp-ev_prog23313 */
	obj_t BGl_uncompzd2ev_prog23313zd2zz__evaluatez00(obj_t BgL_envz00_26185,
		obj_t BgL_ez00_26186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 677 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_4707;

				BgL_ez00_4707 = (BgL_ev_prog2z00_bglt) (BgL_ez00_26186);
				{	/* Eval/evaluate.scm 679 */
					obj_t BgL_e1z00_4711;

					obj_t BgL_e2z00_4712;

					{	/* Eval/evaluate.scm 679 */
						BgL_ev_exprz00_bglt BgL_arg5432z00_4727;

						BgL_arg5432z00_4727 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_4707))->BgL_e1z00);
						{	/* Eval/evaluate.scm 679 */
							obj_t BgL_method3299z00_17583;

							{	/* Eval/evaluate.scm 679 */
								BgL_objectz00_bglt BgL_objz00_17584;

								BgL_objz00_17584 = (BgL_objectz00_bglt) (BgL_arg5432z00_4727);
								{	/* Eval/evaluate.scm 679 */
									long BgL_objzd2classzd2numz00_17585;

									BgL_objzd2classzd2numz00_17585 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_17584);
									{	/* Eval/evaluate.scm 679 */
										obj_t BgL_arg6930z00_17586;

										BgL_arg6930z00_17586 =
											PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 679 */
											obj_t BgL_arrayz00_17588;

											int BgL_offsetz00_17589;

											BgL_arrayz00_17588 = BgL_arg6930z00_17586;
											BgL_offsetz00_17589 =
												(int) (BgL_objzd2classzd2numz00_17585);
											{	/* Eval/evaluate.scm 679 */
												long BgL_offsetz00_17590;

												BgL_offsetz00_17590 =
													((long) (BgL_offsetz00_17589) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 679 */
													long BgL_modz00_17591;

													{	/* Eval/evaluate.scm 679 */
														int BgL_arg6932z00_17592;

														BgL_arg6932z00_17592 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 679 */
															long BgL_auxz00_44100;

															BgL_auxz00_44100 = (long) (BgL_arg6932z00_17592);
															BgL_modz00_17591 =
																(BgL_offsetz00_17590 / BgL_auxz00_44100);
													}}
													{	/* Eval/evaluate.scm 679 */
														long BgL_restz00_17593;

														{	/* Eval/evaluate.scm 679 */
															int BgL_arg6931z00_17594;

															BgL_arg6931z00_17594 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 679 */
																long BgL_auxz00_44104;

																BgL_auxz00_44104 =
																	(long) (BgL_arg6931z00_17594);
																BgL_restz00_17593 =
																	(BgL_offsetz00_17590 % BgL_auxz00_44104);
														}}
														{	/* Eval/evaluate.scm 679 */

															BgL_method3299z00_17583 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_17588,
																	(int) (BgL_modz00_17591)),
																(int) (BgL_restz00_17593));
							}}}}}}}}
							BgL_e1z00_4711 =
								PROCEDURE_ENTRY(BgL_method3299z00_17583)
								(BgL_method3299z00_17583, (obj_t) (BgL_arg5432z00_4727), BEOA);
					}}
					{	/* Eval/evaluate.scm 679 */
						BgL_ev_exprz00_bglt BgL_arg5433z00_4728;

						BgL_arg5433z00_4728 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_4707))->BgL_e2z00);
						{	/* Eval/evaluate.scm 679 */
							obj_t BgL_method3299z00_17610;

							{	/* Eval/evaluate.scm 679 */
								BgL_objectz00_bglt BgL_objz00_17611;

								BgL_objz00_17611 = (BgL_objectz00_bglt) (BgL_arg5433z00_4728);
								{	/* Eval/evaluate.scm 679 */
									long BgL_objzd2classzd2numz00_17612;

									BgL_objzd2classzd2numz00_17612 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_17611);
									{	/* Eval/evaluate.scm 679 */
										obj_t BgL_arg6930z00_17613;

										BgL_arg6930z00_17613 =
											PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 679 */
											obj_t BgL_arrayz00_17615;

											int BgL_offsetz00_17616;

											BgL_arrayz00_17615 = BgL_arg6930z00_17613;
											BgL_offsetz00_17616 =
												(int) (BgL_objzd2classzd2numz00_17612);
											{	/* Eval/evaluate.scm 679 */
												long BgL_offsetz00_17617;

												BgL_offsetz00_17617 =
													((long) (BgL_offsetz00_17616) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 679 */
													long BgL_modz00_17618;

													{	/* Eval/evaluate.scm 679 */
														int BgL_arg6932z00_17619;

														BgL_arg6932z00_17619 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 679 */
															long BgL_auxz00_44123;

															BgL_auxz00_44123 = (long) (BgL_arg6932z00_17619);
															BgL_modz00_17618 =
																(BgL_offsetz00_17617 / BgL_auxz00_44123);
													}}
													{	/* Eval/evaluate.scm 679 */
														long BgL_restz00_17620;

														{	/* Eval/evaluate.scm 679 */
															int BgL_arg6931z00_17621;

															BgL_arg6931z00_17621 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 679 */
																long BgL_auxz00_44127;

																BgL_auxz00_44127 =
																	(long) (BgL_arg6931z00_17621);
																BgL_restz00_17620 =
																	(BgL_offsetz00_17617 % BgL_auxz00_44127);
														}}
														{	/* Eval/evaluate.scm 679 */

															BgL_method3299z00_17610 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_17615,
																	(int) (BgL_modz00_17618)),
																(int) (BgL_restz00_17620));
							}}}}}}}}
							BgL_e2z00_4712 =
								PROCEDURE_ENTRY(BgL_method3299z00_17610)
								(BgL_method3299z00_17610, (obj_t) (BgL_arg5433z00_4728), BEOA);
					}}
					{	/* Eval/evaluate.scm 680 */
						bool_t BgL_testz00_44137;

						if (PAIRP(BgL_e2z00_4712))
							{	/* Eval/evaluate.scm 680 */
								BgL_testz00_44137 =
									(CAR(BgL_e2z00_4712) == BGl_symbol8201z00zz__evaluatez00);
							}
						else
							{	/* Eval/evaluate.scm 680 */
								BgL_testz00_44137 = ((bool_t) 0);
							}
						if (BgL_testz00_44137)
							{	/* Eval/evaluate.scm 681 */
								obj_t BgL_arg5419z00_4714;

								obj_t BgL_arg5420z00_4715;

								BgL_arg5419z00_4714 = BGl_symbol8201z00zz__evaluatez00;
								{	/* Eval/evaluate.scm 681 */
									obj_t BgL_arg5421z00_4716;

									BgL_arg5421z00_4716 =
										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(CDR
										(BgL_e2z00_4712), BNIL);
									{	/* Eval/evaluate.scm 681 */
										obj_t BgL_list5422z00_4717;

										BgL_list5422z00_4717 = MAKE_PAIR(BgL_arg5421z00_4716, BNIL);
										BgL_arg5420z00_4715 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_e1z00_4711, BgL_list5422z00_4717);
									}
								}
								return MAKE_PAIR(BgL_arg5419z00_4714, BgL_arg5420z00_4715);
							}
						else
							{	/* Eval/evaluate.scm 682 */
								obj_t BgL_arg5425z00_4720;

								obj_t BgL_arg5426z00_4721;

								BgL_arg5425z00_4720 = BGl_symbol8201z00zz__evaluatez00;
								{	/* Eval/evaluate.scm 682 */
									obj_t BgL_list5427z00_4722;

									{	/* Eval/evaluate.scm 682 */
										obj_t BgL_arg5428z00_4723;

										BgL_arg5428z00_4723 = MAKE_PAIR(BNIL, BNIL);
										BgL_list5427z00_4722 =
											MAKE_PAIR(BgL_e2z00_4712, BgL_arg5428z00_4723);
									}
									BgL_arg5426z00_4721 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_e1z00_4711,
										BgL_list5427z00_4722);
								}
								return MAKE_PAIR(BgL_arg5425z00_4720, BgL_arg5426z00_4721);
							}
					}
				}
			}
		}
	}



/* uncomp-ev_and3311 */
	obj_t BGl_uncompzd2ev_and3311zd2zz__evaluatez00(obj_t BgL_envz00_26187,
		obj_t BgL_ez00_26188)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 673 */
			{
				BgL_ev_andz00_bglt BgL_ez00_4679;

				BgL_ez00_4679 = (BgL_ev_andz00_bglt) (BgL_ez00_26188);
				{	/* Eval/evaluate.scm 675 */
					obj_t BgL_arg5403z00_4683;

					obj_t BgL_arg5404z00_4684;

					BgL_arg5403z00_4683 = BGl_symbol8199z00zz__evaluatez00;
					{	/* Eval/evaluate.scm 675 */
						obj_t BgL_arg5405z00_4685;

						{	/* Eval/evaluate.scm 675 */
							obj_t BgL_l3110z00_4687;

							{
								BgL_ev_listz00_bglt BgL_auxz00_44152;

								BgL_auxz00_44152 = (BgL_ev_listz00_bglt) (BgL_ez00_4679);
								BgL_l3110z00_4687 =
									(((BgL_ev_listz00_bglt) CREF(BgL_auxz00_44152))->BgL_argsz00);
							}
							if (NULLP(BgL_l3110z00_4687))
								{	/* Eval/evaluate.scm 675 */
									BgL_arg5405z00_4685 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 675 */
									obj_t BgL_head3112z00_4689;

									{	/* Eval/evaluate.scm 675 */
										obj_t BgL_arg5414z00_4702;

										{	/* Eval/evaluate.scm 675 */
											obj_t BgL_arg5416z00_4704;

											BgL_arg5416z00_4704 = CAR(BgL_l3110z00_4687);
											{	/* Eval/evaluate.scm 675 */
												BgL_ev_exprz00_bglt BgL_ez00_17424;

												BgL_ez00_17424 =
													(BgL_ev_exprz00_bglt) (BgL_arg5416z00_4704);
												{	/* Eval/evaluate.scm 675 */
													obj_t BgL_method3299z00_17425;

													{	/* Eval/evaluate.scm 675 */
														BgL_objectz00_bglt BgL_objz00_17426;

														BgL_objz00_17426 =
															(BgL_objectz00_bglt) (BgL_ez00_17424);
														{	/* Eval/evaluate.scm 675 */
															long BgL_objzd2classzd2numz00_17427;

															BgL_objzd2classzd2numz00_17427 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_17426);
															{	/* Eval/evaluate.scm 675 */
																obj_t BgL_arg6930z00_17428;

																BgL_arg6930z00_17428 =
																	PROCEDURE_REF
																	(BGl_uncompzd2envzd2zz__evaluatez00,
																	(int) (((long) 1)));
																{	/* Eval/evaluate.scm 675 */
																	obj_t BgL_arrayz00_17430;

																	int BgL_offsetz00_17431;

																	BgL_arrayz00_17430 = BgL_arg6930z00_17428;
																	BgL_offsetz00_17431 =
																		(int) (BgL_objzd2classzd2numz00_17427);
																	{	/* Eval/evaluate.scm 675 */
																		long BgL_offsetz00_17432;

																		BgL_offsetz00_17432 =
																			(
																			(long) (BgL_offsetz00_17431) -
																			OBJECT_TYPE);
																		{	/* Eval/evaluate.scm 675 */
																			long BgL_modz00_17433;

																			{	/* Eval/evaluate.scm 675 */
																				int BgL_arg6932z00_17434;

																				BgL_arg6932z00_17434 =
																					(int) (((long) 16));
																				{	/* Eval/evaluate.scm 675 */
																					long BgL_auxz00_44167;

																					BgL_auxz00_44167 =
																						(long) (BgL_arg6932z00_17434);
																					BgL_modz00_17433 =
																						(BgL_offsetz00_17432 /
																						BgL_auxz00_44167);
																			}}
																			{	/* Eval/evaluate.scm 675 */
																				long BgL_restz00_17435;

																				{	/* Eval/evaluate.scm 675 */
																					int BgL_arg6931z00_17436;

																					BgL_arg6931z00_17436 =
																						(int) (((long) 16));
																					{	/* Eval/evaluate.scm 675 */
																						long BgL_auxz00_44171;

																						BgL_auxz00_44171 =
																							(long) (BgL_arg6931z00_17436);
																						BgL_restz00_17435 =
																							(BgL_offsetz00_17432 %
																							BgL_auxz00_44171);
																				}}
																				{	/* Eval/evaluate.scm 675 */

																					BgL_method3299z00_17425 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_17430,
																							(int) (BgL_modz00_17433)),
																						(int) (BgL_restz00_17435));
													}}}}}}}}
													BgL_arg5414z00_4702 =
														PROCEDURE_ENTRY(BgL_method3299z00_17425)
														(BgL_method3299z00_17425, (obj_t) (BgL_ez00_17424),
														BEOA);
										}}}
										BgL_head3112z00_4689 = MAKE_PAIR(BgL_arg5414z00_4702, BNIL);
									}
									{	/* Eval/evaluate.scm 675 */
										obj_t BgL_g3115z00_4690;

										BgL_g3115z00_4690 = CDR(BgL_l3110z00_4687);
										{
											obj_t BgL_l3110z00_17454;

											obj_t BgL_tail3113z00_17455;

											BgL_l3110z00_17454 = BgL_g3115z00_4690;
											BgL_tail3113z00_17455 = BgL_head3112z00_4689;
										BgL_zc3anonymousza35408ze3z83_17453:
											if (NULLP(BgL_l3110z00_17454))
												{	/* Eval/evaluate.scm 675 */
													BgL_arg5405z00_4685 = BgL_head3112z00_4689;
												}
											else
												{	/* Eval/evaluate.scm 675 */
													obj_t BgL_newtail3114z00_17463;

													{	/* Eval/evaluate.scm 675 */
														obj_t BgL_arg5411z00_17464;

														{	/* Eval/evaluate.scm 675 */
															obj_t BgL_arg5413z00_17466;

															BgL_arg5413z00_17466 = CAR(BgL_l3110z00_17454);
															{	/* Eval/evaluate.scm 675 */
																BgL_ev_exprz00_bglt BgL_ez00_17470;

																BgL_ez00_17470 =
																	(BgL_ev_exprz00_bglt) (BgL_arg5413z00_17466);
																{	/* Eval/evaluate.scm 675 */
																	obj_t BgL_method3299z00_17471;

																	{	/* Eval/evaluate.scm 675 */
																		BgL_objectz00_bglt BgL_objz00_17472;

																		BgL_objz00_17472 =
																			(BgL_objectz00_bglt) (BgL_ez00_17470);
																		{	/* Eval/evaluate.scm 675 */
																			long BgL_objzd2classzd2numz00_17473;

																			BgL_objzd2classzd2numz00_17473 =
																				BGL_OBJECT_CLASS_NUM(BgL_objz00_17472);
																			{	/* Eval/evaluate.scm 675 */
																				obj_t BgL_arg6930z00_17474;

																				BgL_arg6930z00_17474 =
																					PROCEDURE_REF
																					(BGl_uncompzd2envzd2zz__evaluatez00,
																					(int) (((long) 1)));
																				{	/* Eval/evaluate.scm 675 */
																					obj_t BgL_arrayz00_17476;

																					int BgL_offsetz00_17477;

																					BgL_arrayz00_17476 =
																						BgL_arg6930z00_17474;
																					BgL_offsetz00_17477 =
																						(int)
																						(BgL_objzd2classzd2numz00_17473);
																					{	/* Eval/evaluate.scm 675 */
																						long BgL_offsetz00_17478;

																						BgL_offsetz00_17478 =
																							(
																							(long) (BgL_offsetz00_17477) -
																							OBJECT_TYPE);
																						{	/* Eval/evaluate.scm 675 */
																							long BgL_modz00_17479;

																							{	/* Eval/evaluate.scm 675 */
																								int BgL_arg6932z00_17480;

																								BgL_arg6932z00_17480 =
																									(int) (((long) 16));
																								{	/* Eval/evaluate.scm 675 */
																									long BgL_auxz00_44195;

																									BgL_auxz00_44195 =
																										(long)
																										(BgL_arg6932z00_17480);
																									BgL_modz00_17479 =
																										(BgL_offsetz00_17478 /
																										BgL_auxz00_44195);
																							}}
																							{	/* Eval/evaluate.scm 675 */
																								long BgL_restz00_17481;

																								{	/* Eval/evaluate.scm 675 */
																									int BgL_arg6931z00_17482;

																									BgL_arg6931z00_17482 =
																										(int) (((long) 16));
																									{	/* Eval/evaluate.scm 675 */
																										long BgL_auxz00_44199;

																										BgL_auxz00_44199 =
																											(long)
																											(BgL_arg6931z00_17482);
																										BgL_restz00_17481 =
																											(BgL_offsetz00_17478 %
																											BgL_auxz00_44199);
																								}}
																								{	/* Eval/evaluate.scm 675 */

																									BgL_method3299z00_17471 =
																										VECTOR_REF(VECTOR_REF
																										(BgL_arrayz00_17476,
																											(int) (BgL_modz00_17479)),
																										(int) (BgL_restz00_17481));
																	}}}}}}}}
																	BgL_arg5411z00_17464 =
																		PROCEDURE_ENTRY(BgL_method3299z00_17471)
																		(BgL_method3299z00_17471,
																		(obj_t) (BgL_ez00_17470), BEOA);
														}}}
														BgL_newtail3114z00_17463 =
															MAKE_PAIR(BgL_arg5411z00_17464, BNIL);
													}
													SET_CDR(BgL_tail3113z00_17455,
														BgL_newtail3114z00_17463);
													{
														obj_t BgL_tail3113z00_44213;

														obj_t BgL_l3110z00_44211;

														BgL_l3110z00_44211 = CDR(BgL_l3110z00_17454);
														BgL_tail3113z00_44213 = BgL_newtail3114z00_17463;
														BgL_tail3113z00_17455 = BgL_tail3113z00_44213;
														BgL_l3110z00_17454 = BgL_l3110z00_44211;
														goto BgL_zc3anonymousza35408ze3z83_17453;
													}
												}
										}
									}
								}
						}
						BgL_arg5404z00_4684 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg5405z00_4685, BNIL);
					}
					return MAKE_PAIR(BgL_arg5403z00_4683, BgL_arg5404z00_4684);
				}
			}
		}
	}



/* uncomp-ev_or3309 */
	obj_t BGl_uncompzd2ev_or3309zd2zz__evaluatez00(obj_t BgL_envz00_26189,
		obj_t BgL_ez00_26190)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 669 */
			{
				BgL_ev_orz00_bglt BgL_ez00_4651;

				BgL_ez00_4651 = (BgL_ev_orz00_bglt) (BgL_ez00_26190);
				{	/* Eval/evaluate.scm 671 */
					obj_t BgL_arg5387z00_4655;

					obj_t BgL_arg5388z00_4656;

					BgL_arg5387z00_4655 = BGl_symbol8197z00zz__evaluatez00;
					{	/* Eval/evaluate.scm 671 */
						obj_t BgL_arg5389z00_4657;

						{	/* Eval/evaluate.scm 671 */
							obj_t BgL_l3104z00_4659;

							{
								BgL_ev_listz00_bglt BgL_auxz00_44217;

								BgL_auxz00_44217 = (BgL_ev_listz00_bglt) (BgL_ez00_4651);
								BgL_l3104z00_4659 =
									(((BgL_ev_listz00_bglt) CREF(BgL_auxz00_44217))->BgL_argsz00);
							}
							if (NULLP(BgL_l3104z00_4659))
								{	/* Eval/evaluate.scm 671 */
									BgL_arg5389z00_4657 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 671 */
									obj_t BgL_head3106z00_4661;

									{	/* Eval/evaluate.scm 671 */
										obj_t BgL_arg5399z00_4674;

										{	/* Eval/evaluate.scm 671 */
											obj_t BgL_arg5401z00_4676;

											BgL_arg5401z00_4676 = CAR(BgL_l3104z00_4659);
											{	/* Eval/evaluate.scm 671 */
												BgL_ev_exprz00_bglt BgL_ez00_17264;

												BgL_ez00_17264 =
													(BgL_ev_exprz00_bglt) (BgL_arg5401z00_4676);
												{	/* Eval/evaluate.scm 671 */
													obj_t BgL_method3299z00_17265;

													{	/* Eval/evaluate.scm 671 */
														BgL_objectz00_bglt BgL_objz00_17266;

														BgL_objz00_17266 =
															(BgL_objectz00_bglt) (BgL_ez00_17264);
														{	/* Eval/evaluate.scm 671 */
															long BgL_objzd2classzd2numz00_17267;

															BgL_objzd2classzd2numz00_17267 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_17266);
															{	/* Eval/evaluate.scm 671 */
																obj_t BgL_arg6930z00_17268;

																BgL_arg6930z00_17268 =
																	PROCEDURE_REF
																	(BGl_uncompzd2envzd2zz__evaluatez00,
																	(int) (((long) 1)));
																{	/* Eval/evaluate.scm 671 */
																	obj_t BgL_arrayz00_17270;

																	int BgL_offsetz00_17271;

																	BgL_arrayz00_17270 = BgL_arg6930z00_17268;
																	BgL_offsetz00_17271 =
																		(int) (BgL_objzd2classzd2numz00_17267);
																	{	/* Eval/evaluate.scm 671 */
																		long BgL_offsetz00_17272;

																		BgL_offsetz00_17272 =
																			(
																			(long) (BgL_offsetz00_17271) -
																			OBJECT_TYPE);
																		{	/* Eval/evaluate.scm 671 */
																			long BgL_modz00_17273;

																			{	/* Eval/evaluate.scm 671 */
																				int BgL_arg6932z00_17274;

																				BgL_arg6932z00_17274 =
																					(int) (((long) 16));
																				{	/* Eval/evaluate.scm 671 */
																					long BgL_auxz00_44232;

																					BgL_auxz00_44232 =
																						(long) (BgL_arg6932z00_17274);
																					BgL_modz00_17273 =
																						(BgL_offsetz00_17272 /
																						BgL_auxz00_44232);
																			}}
																			{	/* Eval/evaluate.scm 671 */
																				long BgL_restz00_17275;

																				{	/* Eval/evaluate.scm 671 */
																					int BgL_arg6931z00_17276;

																					BgL_arg6931z00_17276 =
																						(int) (((long) 16));
																					{	/* Eval/evaluate.scm 671 */
																						long BgL_auxz00_44236;

																						BgL_auxz00_44236 =
																							(long) (BgL_arg6931z00_17276);
																						BgL_restz00_17275 =
																							(BgL_offsetz00_17272 %
																							BgL_auxz00_44236);
																				}}
																				{	/* Eval/evaluate.scm 671 */

																					BgL_method3299z00_17265 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_17270,
																							(int) (BgL_modz00_17273)),
																						(int) (BgL_restz00_17275));
													}}}}}}}}
													BgL_arg5399z00_4674 =
														PROCEDURE_ENTRY(BgL_method3299z00_17265)
														(BgL_method3299z00_17265, (obj_t) (BgL_ez00_17264),
														BEOA);
										}}}
										BgL_head3106z00_4661 = MAKE_PAIR(BgL_arg5399z00_4674, BNIL);
									}
									{	/* Eval/evaluate.scm 671 */
										obj_t BgL_g3109z00_4662;

										BgL_g3109z00_4662 = CDR(BgL_l3104z00_4659);
										{
											obj_t BgL_l3104z00_17294;

											obj_t BgL_tail3107z00_17295;

											BgL_l3104z00_17294 = BgL_g3109z00_4662;
											BgL_tail3107z00_17295 = BgL_head3106z00_4661;
										BgL_zc3anonymousza35392ze3z83_17293:
											if (NULLP(BgL_l3104z00_17294))
												{	/* Eval/evaluate.scm 671 */
													BgL_arg5389z00_4657 = BgL_head3106z00_4661;
												}
											else
												{	/* Eval/evaluate.scm 671 */
													obj_t BgL_newtail3108z00_17303;

													{	/* Eval/evaluate.scm 671 */
														obj_t BgL_arg5396z00_17304;

														{	/* Eval/evaluate.scm 671 */
															obj_t BgL_arg5398z00_17306;

															BgL_arg5398z00_17306 = CAR(BgL_l3104z00_17294);
															{	/* Eval/evaluate.scm 671 */
																BgL_ev_exprz00_bglt BgL_ez00_17310;

																BgL_ez00_17310 =
																	(BgL_ev_exprz00_bglt) (BgL_arg5398z00_17306);
																{	/* Eval/evaluate.scm 671 */
																	obj_t BgL_method3299z00_17311;

																	{	/* Eval/evaluate.scm 671 */
																		BgL_objectz00_bglt BgL_objz00_17312;

																		BgL_objz00_17312 =
																			(BgL_objectz00_bglt) (BgL_ez00_17310);
																		{	/* Eval/evaluate.scm 671 */
																			long BgL_objzd2classzd2numz00_17313;

																			BgL_objzd2classzd2numz00_17313 =
																				BGL_OBJECT_CLASS_NUM(BgL_objz00_17312);
																			{	/* Eval/evaluate.scm 671 */
																				obj_t BgL_arg6930z00_17314;

																				BgL_arg6930z00_17314 =
																					PROCEDURE_REF
																					(BGl_uncompzd2envzd2zz__evaluatez00,
																					(int) (((long) 1)));
																				{	/* Eval/evaluate.scm 671 */
																					obj_t BgL_arrayz00_17316;

																					int BgL_offsetz00_17317;

																					BgL_arrayz00_17316 =
																						BgL_arg6930z00_17314;
																					BgL_offsetz00_17317 =
																						(int)
																						(BgL_objzd2classzd2numz00_17313);
																					{	/* Eval/evaluate.scm 671 */
																						long BgL_offsetz00_17318;

																						BgL_offsetz00_17318 =
																							(
																							(long) (BgL_offsetz00_17317) -
																							OBJECT_TYPE);
																						{	/* Eval/evaluate.scm 671 */
																							long BgL_modz00_17319;

																							{	/* Eval/evaluate.scm 671 */
																								int BgL_arg6932z00_17320;

																								BgL_arg6932z00_17320 =
																									(int) (((long) 16));
																								{	/* Eval/evaluate.scm 671 */
																									long BgL_auxz00_44260;

																									BgL_auxz00_44260 =
																										(long)
																										(BgL_arg6932z00_17320);
																									BgL_modz00_17319 =
																										(BgL_offsetz00_17318 /
																										BgL_auxz00_44260);
																							}}
																							{	/* Eval/evaluate.scm 671 */
																								long BgL_restz00_17321;

																								{	/* Eval/evaluate.scm 671 */
																									int BgL_arg6931z00_17322;

																									BgL_arg6931z00_17322 =
																										(int) (((long) 16));
																									{	/* Eval/evaluate.scm 671 */
																										long BgL_auxz00_44264;

																										BgL_auxz00_44264 =
																											(long)
																											(BgL_arg6931z00_17322);
																										BgL_restz00_17321 =
																											(BgL_offsetz00_17318 %
																											BgL_auxz00_44264);
																								}}
																								{	/* Eval/evaluate.scm 671 */

																									BgL_method3299z00_17311 =
																										VECTOR_REF(VECTOR_REF
																										(BgL_arrayz00_17316,
																											(int) (BgL_modz00_17319)),
																										(int) (BgL_restz00_17321));
																	}}}}}}}}
																	BgL_arg5396z00_17304 =
																		PROCEDURE_ENTRY(BgL_method3299z00_17311)
																		(BgL_method3299z00_17311,
																		(obj_t) (BgL_ez00_17310), BEOA);
														}}}
														BgL_newtail3108z00_17303 =
															MAKE_PAIR(BgL_arg5396z00_17304, BNIL);
													}
													SET_CDR(BgL_tail3107z00_17295,
														BgL_newtail3108z00_17303);
													{
														obj_t BgL_tail3107z00_44278;

														obj_t BgL_l3104z00_44276;

														BgL_l3104z00_44276 = CDR(BgL_l3104z00_17294);
														BgL_tail3107z00_44278 = BgL_newtail3108z00_17303;
														BgL_tail3107z00_17295 = BgL_tail3107z00_44278;
														BgL_l3104z00_17294 = BgL_l3104z00_44276;
														goto BgL_zc3anonymousza35392ze3z83_17293;
													}
												}
										}
									}
								}
						}
						BgL_arg5388z00_4656 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg5389z00_4657, BNIL);
					}
					return MAKE_PAIR(BgL_arg5387z00_4655, BgL_arg5388z00_4656);
				}
			}
		}
	}



/* uncomp-ev_if3307 */
	obj_t BGl_uncompzd2ev_if3307zd2zz__evaluatez00(obj_t BgL_envz00_26191,
		obj_t BgL_ez00_26192)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 665 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_4633;

				BgL_ez00_4633 = (BgL_ev_ifz00_bglt) (BgL_ez00_26192);
				{	/* Eval/evaluate.scm 667 */
					obj_t BgL_arg5374z00_4637;

					obj_t BgL_arg5375z00_4638;

					BgL_arg5374z00_4637 = BGl_symbol8195z00zz__evaluatez00;
					{	/* Eval/evaluate.scm 667 */
						obj_t BgL_arg5376z00_4639;

						obj_t BgL_arg5377z00_4640;

						obj_t BgL_arg5378z00_4641;

						{	/* Eval/evaluate.scm 667 */
							BgL_ev_exprz00_bglt BgL_arg5383z00_4646;

							BgL_arg5383z00_4646 =
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_4633))->BgL_pz00);
							{	/* Eval/evaluate.scm 667 */
								obj_t BgL_method3299z00_17182;

								{	/* Eval/evaluate.scm 667 */
									BgL_objectz00_bglt BgL_objz00_17183;

									BgL_objz00_17183 = (BgL_objectz00_bglt) (BgL_arg5383z00_4646);
									{	/* Eval/evaluate.scm 667 */
										long BgL_objzd2classzd2numz00_17184;

										BgL_objzd2classzd2numz00_17184 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_17183);
										{	/* Eval/evaluate.scm 667 */
											obj_t BgL_arg6930z00_17185;

											BgL_arg6930z00_17185 =
												PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 667 */
												obj_t BgL_arrayz00_17187;

												int BgL_offsetz00_17188;

												BgL_arrayz00_17187 = BgL_arg6930z00_17185;
												BgL_offsetz00_17188 =
													(int) (BgL_objzd2classzd2numz00_17184);
												{	/* Eval/evaluate.scm 667 */
													long BgL_offsetz00_17189;

													BgL_offsetz00_17189 =
														((long) (BgL_offsetz00_17188) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 667 */
														long BgL_modz00_17190;

														{	/* Eval/evaluate.scm 667 */
															int BgL_arg6932z00_17191;

															BgL_arg6932z00_17191 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 667 */
																long BgL_auxz00_44291;

																BgL_auxz00_44291 =
																	(long) (BgL_arg6932z00_17191);
																BgL_modz00_17190 =
																	(BgL_offsetz00_17189 / BgL_auxz00_44291);
														}}
														{	/* Eval/evaluate.scm 667 */
															long BgL_restz00_17192;

															{	/* Eval/evaluate.scm 667 */
																int BgL_arg6931z00_17193;

																BgL_arg6931z00_17193 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 667 */
																	long BgL_auxz00_44295;

																	BgL_auxz00_44295 =
																		(long) (BgL_arg6931z00_17193);
																	BgL_restz00_17192 =
																		(BgL_offsetz00_17189 % BgL_auxz00_44295);
															}}
															{	/* Eval/evaluate.scm 667 */

																BgL_method3299z00_17182 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_17187,
																		(int) (BgL_modz00_17190)),
																	(int) (BgL_restz00_17192));
								}}}}}}}}
								BgL_arg5376z00_4639 =
									PROCEDURE_ENTRY(BgL_method3299z00_17182)
									(BgL_method3299z00_17182, (obj_t) (BgL_arg5383z00_4646),
									BEOA);
						}}
						{	/* Eval/evaluate.scm 667 */
							BgL_ev_exprz00_bglt BgL_arg5384z00_4647;

							BgL_arg5384z00_4647 =
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_4633))->BgL_tz00);
							{	/* Eval/evaluate.scm 667 */
								obj_t BgL_method3299z00_17209;

								{	/* Eval/evaluate.scm 667 */
									BgL_objectz00_bglt BgL_objz00_17210;

									BgL_objz00_17210 = (BgL_objectz00_bglt) (BgL_arg5384z00_4647);
									{	/* Eval/evaluate.scm 667 */
										long BgL_objzd2classzd2numz00_17211;

										BgL_objzd2classzd2numz00_17211 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_17210);
										{	/* Eval/evaluate.scm 667 */
											obj_t BgL_arg6930z00_17212;

											BgL_arg6930z00_17212 =
												PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 667 */
												obj_t BgL_arrayz00_17214;

												int BgL_offsetz00_17215;

												BgL_arrayz00_17214 = BgL_arg6930z00_17212;
												BgL_offsetz00_17215 =
													(int) (BgL_objzd2classzd2numz00_17211);
												{	/* Eval/evaluate.scm 667 */
													long BgL_offsetz00_17216;

													BgL_offsetz00_17216 =
														((long) (BgL_offsetz00_17215) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 667 */
														long BgL_modz00_17217;

														{	/* Eval/evaluate.scm 667 */
															int BgL_arg6932z00_17218;

															BgL_arg6932z00_17218 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 667 */
																long BgL_auxz00_44314;

																BgL_auxz00_44314 =
																	(long) (BgL_arg6932z00_17218);
																BgL_modz00_17217 =
																	(BgL_offsetz00_17216 / BgL_auxz00_44314);
														}}
														{	/* Eval/evaluate.scm 667 */
															long BgL_restz00_17219;

															{	/* Eval/evaluate.scm 667 */
																int BgL_arg6931z00_17220;

																BgL_arg6931z00_17220 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 667 */
																	long BgL_auxz00_44318;

																	BgL_auxz00_44318 =
																		(long) (BgL_arg6931z00_17220);
																	BgL_restz00_17219 =
																		(BgL_offsetz00_17216 % BgL_auxz00_44318);
															}}
															{	/* Eval/evaluate.scm 667 */

																BgL_method3299z00_17209 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_17214,
																		(int) (BgL_modz00_17217)),
																	(int) (BgL_restz00_17219));
								}}}}}}}}
								BgL_arg5377z00_4640 =
									PROCEDURE_ENTRY(BgL_method3299z00_17209)
									(BgL_method3299z00_17209, (obj_t) (BgL_arg5384z00_4647),
									BEOA);
						}}
						{	/* Eval/evaluate.scm 667 */
							BgL_ev_exprz00_bglt BgL_arg5385z00_4648;

							BgL_arg5385z00_4648 =
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_4633))->BgL_ez00);
							{	/* Eval/evaluate.scm 667 */
								obj_t BgL_method3299z00_17236;

								{	/* Eval/evaluate.scm 667 */
									BgL_objectz00_bglt BgL_objz00_17237;

									BgL_objz00_17237 = (BgL_objectz00_bglt) (BgL_arg5385z00_4648);
									{	/* Eval/evaluate.scm 667 */
										long BgL_objzd2classzd2numz00_17238;

										BgL_objzd2classzd2numz00_17238 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_17237);
										{	/* Eval/evaluate.scm 667 */
											obj_t BgL_arg6930z00_17239;

											BgL_arg6930z00_17239 =
												PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 667 */
												obj_t BgL_arrayz00_17241;

												int BgL_offsetz00_17242;

												BgL_arrayz00_17241 = BgL_arg6930z00_17239;
												BgL_offsetz00_17242 =
													(int) (BgL_objzd2classzd2numz00_17238);
												{	/* Eval/evaluate.scm 667 */
													long BgL_offsetz00_17243;

													BgL_offsetz00_17243 =
														((long) (BgL_offsetz00_17242) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 667 */
														long BgL_modz00_17244;

														{	/* Eval/evaluate.scm 667 */
															int BgL_arg6932z00_17245;

															BgL_arg6932z00_17245 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 667 */
																long BgL_auxz00_44337;

																BgL_auxz00_44337 =
																	(long) (BgL_arg6932z00_17245);
																BgL_modz00_17244 =
																	(BgL_offsetz00_17243 / BgL_auxz00_44337);
														}}
														{	/* Eval/evaluate.scm 667 */
															long BgL_restz00_17246;

															{	/* Eval/evaluate.scm 667 */
																int BgL_arg6931z00_17247;

																BgL_arg6931z00_17247 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 667 */
																	long BgL_auxz00_44341;

																	BgL_auxz00_44341 =
																		(long) (BgL_arg6931z00_17247);
																	BgL_restz00_17246 =
																		(BgL_offsetz00_17243 % BgL_auxz00_44341);
															}}
															{	/* Eval/evaluate.scm 667 */

																BgL_method3299z00_17236 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_17241,
																		(int) (BgL_modz00_17244)),
																	(int) (BgL_restz00_17246));
								}}}}}}}}
								BgL_arg5378z00_4641 =
									PROCEDURE_ENTRY(BgL_method3299z00_17236)
									(BgL_method3299z00_17236, (obj_t) (BgL_arg5385z00_4648),
									BEOA);
						}}
						{	/* Eval/evaluate.scm 667 */
							obj_t BgL_list5380z00_4643;

							{	/* Eval/evaluate.scm 667 */
								obj_t BgL_arg5381z00_4644;

								{	/* Eval/evaluate.scm 667 */
									obj_t BgL_arg5382z00_4645;

									BgL_arg5382z00_4645 = MAKE_PAIR(BNIL, BNIL);
									BgL_arg5381z00_4644 =
										MAKE_PAIR(BgL_arg5378z00_4641, BgL_arg5382z00_4645);
								}
								BgL_list5380z00_4643 =
									MAKE_PAIR(BgL_arg5377z00_4640, BgL_arg5381z00_4644);
							}
							BgL_arg5375z00_4638 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg5376z00_4639,
								BgL_list5380z00_4643);
					}}
					return MAKE_PAIR(BgL_arg5374z00_4637, BgL_arg5375z00_4638);
				}
			}
		}
	}



/* uncomp-ev_litt3305 */
	obj_t BGl_uncompzd2ev_litt3305zd2zz__evaluatez00(obj_t BgL_envz00_26193,
		obj_t BgL_ez00_26194)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 662 */
			{
				BgL_ev_littz00_bglt BgL_ez00_4623;

				BgL_ez00_4623 = (BgL_ev_littz00_bglt) (BgL_ez00_26194);
				{	/* Eval/evaluate.scm 663 */
					obj_t BgL_arg5368z00_17174;

					obj_t BgL_arg5369z00_17175;

					BgL_arg5368z00_17174 = BGl_symbol8193z00zz__evaluatez00;
					{	/* Eval/evaluate.scm 663 */
						obj_t BgL_arg5370z00_17176;

						BgL_arg5370z00_17176 =
							(((BgL_ev_littz00_bglt) CREF(BgL_ez00_4623))->BgL_valuez00);
						{	/* Eval/evaluate.scm 663 */
							obj_t BgL_list5372z00_17178;

							BgL_list5372z00_17178 = MAKE_PAIR(BNIL, BNIL);
							BgL_arg5369z00_17175 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
								(BgL_arg5370z00_17176, BgL_list5372z00_17178);
						}
					}
					return MAKE_PAIR(BgL_arg5368z00_17174, BgL_arg5369z00_17175);
				}
			}
		}
	}



/* uncomp-ev_global3303 */
	obj_t BGl_uncompzd2ev_global3303zd2zz__evaluatez00(obj_t BgL_envz00_26195,
		obj_t BgL_varz00_26196)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 659 */
			{
				BgL_ev_globalz00_bglt BgL_auxz00_44362;

				BgL_auxz00_44362 = (BgL_ev_globalz00_bglt) (BgL_varz00_26196);
				return (((BgL_ev_globalz00_bglt) CREF(BgL_auxz00_44362))->BgL_namez00);
			}
		}
	}



/* uncomp-ev_var3301 */
	obj_t BGl_uncompzd2ev_var3301zd2zz__evaluatez00(obj_t BgL_envz00_26197,
		obj_t BgL_varz00_26198)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 656 */
			{
				BgL_ev_varz00_bglt BgL_auxz00_44365;

				BgL_auxz00_44365 = (BgL_ev_varz00_bglt) (BgL_varz00_26198);
				return (((BgL_ev_varz00_bglt) CREF(BgL_auxz00_44365))->BgL_namez00);
			}
		}
	}



/* fsize-ev_abs3296 */
	obj_t BGl_fsiza7ezd2ev_abs3296z75zz__evaluatez00(obj_t BgL_envz00_26199,
		obj_t BgL_ez00_26200, obj_t BgL_nz00_26201)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 553 */
			{
				BgL_ev_absz00_bglt BgL_ez00_4602;

				obj_t BgL_nz00_4603;

				BgL_ez00_4602 = (BgL_ev_absz00_bglt) (BgL_ez00_26200);
				BgL_nz00_4603 = BgL_nz00_26201;
				{	/* Eval/evaluate.scm 554 */
					obj_t BgL_nnz00_17136;

					{	/* Eval/evaluate.scm 554 */
						BgL_ev_exprz00_bglt BgL_arg5362z00_17137;

						long BgL_arg5363z00_17138;

						BgL_arg5362z00_17137 =
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_4602))->BgL_bodyz00);
						BgL_arg5363z00_17138 =
							bgl_list_length(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_4602))->BgL_varsz00));
						{	/* Eval/evaluate.scm 554 */
							obj_t BgL_res7584z00_17169;

							{	/* Eval/evaluate.scm 554 */
								obj_t BgL_nz00_17143;

								BgL_nz00_17143 = BINT(BgL_arg5363z00_17138);
								{	/* Eval/evaluate.scm 554 */
									obj_t BgL_method3266z00_17144;

									{	/* Eval/evaluate.scm 554 */
										BgL_objectz00_bglt BgL_objz00_17145;

										BgL_objz00_17145 =
											(BgL_objectz00_bglt) (BgL_arg5362z00_17137);
										{	/* Eval/evaluate.scm 554 */
											long BgL_objzd2classzd2numz00_17146;

											BgL_objzd2classzd2numz00_17146 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_17145);
											{	/* Eval/evaluate.scm 554 */
												obj_t BgL_arg6930z00_17147;

												BgL_arg6930z00_17147 =
													PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluatez00,
													(int) (((long) 1)));
												{	/* Eval/evaluate.scm 554 */
													obj_t BgL_arrayz00_17149;

													int BgL_offsetz00_17150;

													BgL_arrayz00_17149 = BgL_arg6930z00_17147;
													BgL_offsetz00_17150 =
														(int) (BgL_objzd2classzd2numz00_17146);
													{	/* Eval/evaluate.scm 554 */
														long BgL_offsetz00_17151;

														BgL_offsetz00_17151 =
															((long) (BgL_offsetz00_17150) - OBJECT_TYPE);
														{	/* Eval/evaluate.scm 554 */
															long BgL_modz00_17152;

															{	/* Eval/evaluate.scm 554 */
																int BgL_arg6932z00_17153;

																BgL_arg6932z00_17153 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 554 */
																	long BgL_auxz00_44380;

																	BgL_auxz00_44380 =
																		(long) (BgL_arg6932z00_17153);
																	BgL_modz00_17152 =
																		(BgL_offsetz00_17151 / BgL_auxz00_44380);
															}}
															{	/* Eval/evaluate.scm 554 */
																long BgL_restz00_17154;

																{	/* Eval/evaluate.scm 554 */
																	int BgL_arg6931z00_17155;

																	BgL_arg6931z00_17155 = (int) (((long) 16));
																	{	/* Eval/evaluate.scm 554 */
																		long BgL_auxz00_44384;

																		BgL_auxz00_44384 =
																			(long) (BgL_arg6931z00_17155);
																		BgL_restz00_17154 =
																			(BgL_offsetz00_17151 % BgL_auxz00_44384);
																}}
																{	/* Eval/evaluate.scm 554 */

																	BgL_method3266z00_17144 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_17149,
																			(int) (BgL_modz00_17152)),
																		(int) (BgL_restz00_17154));
									}}}}}}}}
									BgL_res7584z00_17169 =
										PROCEDURE_ENTRY(BgL_method3266z00_17144)
										(BgL_method3266z00_17144, (obj_t) (BgL_arg5362z00_17137),
										BgL_nz00_17143, BEOA);
							}}
							BgL_nnz00_17136 = BgL_res7584z00_17169;
					}}
					((((BgL_ev_absz00_bglt) CREF(BgL_ez00_4602))->BgL_siza7eza7) =
						((obj_t) BgL_nnz00_17136), BUNSPEC);
					return BgL_nz00_4603;
				}
			}
		}
	}



/* fsize-ev_app3294 */
	obj_t BGl_fsiza7ezd2ev_app3294z75zz__evaluatez00(obj_t BgL_envz00_26202,
		obj_t BgL_ez00_26203, obj_t BgL_nz00_26204)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 546 */
			{
				BgL_ev_appz00_bglt BgL_ez00_4577;

				obj_t BgL_nz00_4578;

				BgL_ez00_4577 = (BgL_ev_appz00_bglt) (BgL_ez00_26203);
				BgL_nz00_4578 = BgL_nz00_26204;
				{	/* Eval/evaluate.scm 548 */
					obj_t BgL_g2662z00_4582;

					{	/* Eval/evaluate.scm 548 */
						BgL_ev_exprz00_bglt BgL_arg5360z00_4599;

						BgL_arg5360z00_4599 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_4577))->BgL_funz00);
						{	/* Eval/evaluate.scm 548 */
							obj_t BgL_res7572z00_16991;

							{	/* Eval/evaluate.scm 548 */
								obj_t BgL_method3266z00_16966;

								{	/* Eval/evaluate.scm 548 */
									BgL_objectz00_bglt BgL_objz00_16967;

									BgL_objz00_16967 = (BgL_objectz00_bglt) (BgL_arg5360z00_4599);
									{	/* Eval/evaluate.scm 548 */
										long BgL_objzd2classzd2numz00_16968;

										BgL_objzd2classzd2numz00_16968 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_16967);
										{	/* Eval/evaluate.scm 548 */
											obj_t BgL_arg6930z00_16969;

											BgL_arg6930z00_16969 =
												PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 548 */
												obj_t BgL_arrayz00_16971;

												int BgL_offsetz00_16972;

												BgL_arrayz00_16971 = BgL_arg6930z00_16969;
												BgL_offsetz00_16972 =
													(int) (BgL_objzd2classzd2numz00_16968);
												{	/* Eval/evaluate.scm 548 */
													long BgL_offsetz00_16973;

													BgL_offsetz00_16973 =
														((long) (BgL_offsetz00_16972) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 548 */
														long BgL_modz00_16974;

														{	/* Eval/evaluate.scm 548 */
															int BgL_arg6932z00_16975;

															BgL_arg6932z00_16975 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 548 */
																long BgL_auxz00_44405;

																BgL_auxz00_44405 =
																	(long) (BgL_arg6932z00_16975);
																BgL_modz00_16974 =
																	(BgL_offsetz00_16973 / BgL_auxz00_44405);
														}}
														{	/* Eval/evaluate.scm 548 */
															long BgL_restz00_16976;

															{	/* Eval/evaluate.scm 548 */
																int BgL_arg6931z00_16977;

																BgL_arg6931z00_16977 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 548 */
																	long BgL_auxz00_44409;

																	BgL_auxz00_44409 =
																		(long) (BgL_arg6931z00_16977);
																	BgL_restz00_16976 =
																		(BgL_offsetz00_16973 % BgL_auxz00_44409);
															}}
															{	/* Eval/evaluate.scm 548 */

																BgL_method3266z00_16966 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_16971,
																		(int) (BgL_modz00_16974)),
																	(int) (BgL_restz00_16976));
								}}}}}}}}
								BgL_res7572z00_16991 =
									PROCEDURE_ENTRY(BgL_method3266z00_16966)
									(BgL_method3266z00_16966, (obj_t) (BgL_arg5360z00_4599),
									BgL_nz00_4578, BEOA);
							}
							BgL_g2662z00_4582 = BgL_res7572z00_16991;
					}}
					{	/* Eval/evaluate.scm 548 */
						obj_t BgL_arg5353z00_4584;

						BgL_arg5353z00_4584 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_4577))->BgL_argsz00);
						{
							obj_t BgL_lz00_16994;

							obj_t BgL_nz00_16995;

							obj_t BgL_rz00_16996;

							BgL_lz00_16994 = BgL_arg5353z00_4584;
							BgL_nz00_16995 = BgL_nz00_4578;
							BgL_rz00_16996 = BgL_g2662z00_4582;
						BgL_recz00_16993:
							if (NULLP(BgL_lz00_16994))
								{	/* Eval/evaluate.scm 548 */
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BgL_nz00_16995,
										BgL_rz00_16996);
								}
							else
								{	/* Eval/evaluate.scm 548 */
									obj_t BgL_arg5356z00_17009;

									long BgL_arg5357z00_17010;

									obj_t BgL_arg5358z00_17011;

									BgL_arg5356z00_17009 = CDR(BgL_lz00_16994);
									BgL_arg5357z00_17010 =
										((long) CINT(BgL_nz00_16995) + ((long) 1));
									{	/* Eval/evaluate.scm 548 */
										obj_t BgL_xz00_17012;

										{	/* Eval/evaluate.scm 548 */
											obj_t BgL_arg5359z00_17014;

											BgL_arg5359z00_17014 = CAR(BgL_lz00_16994);
											{	/* Eval/evaluate.scm 548 */
												obj_t BgL_res7575z00_17047;

												{	/* Eval/evaluate.scm 548 */
													BgL_ev_exprz00_bglt BgL_ez00_17020;

													obj_t BgL_nz00_17021;

													BgL_ez00_17020 =
														(BgL_ev_exprz00_bglt) (BgL_arg5359z00_17014);
													BgL_nz00_17021 = BgL_nz00_16995;
													{	/* Eval/evaluate.scm 548 */
														obj_t BgL_method3266z00_17022;

														{	/* Eval/evaluate.scm 548 */
															BgL_objectz00_bglt BgL_objz00_17023;

															BgL_objz00_17023 =
																(BgL_objectz00_bglt) (BgL_ez00_17020);
															{	/* Eval/evaluate.scm 548 */
																long BgL_objzd2classzd2numz00_17024;

																BgL_objzd2classzd2numz00_17024 =
																	BGL_OBJECT_CLASS_NUM(BgL_objz00_17023);
																{	/* Eval/evaluate.scm 548 */
																	obj_t BgL_arg6930z00_17025;

																	BgL_arg6930z00_17025 =
																		PROCEDURE_REF
																		(BGl_fsiza7ezd2envz75zz__evaluatez00,
																		(int) (((long) 1)));
																	{	/* Eval/evaluate.scm 548 */
																		obj_t BgL_arrayz00_17027;

																		int BgL_offsetz00_17028;

																		BgL_arrayz00_17027 = BgL_arg6930z00_17025;
																		BgL_offsetz00_17028 =
																			(int) (BgL_objzd2classzd2numz00_17024);
																		{	/* Eval/evaluate.scm 548 */
																			long BgL_offsetz00_17029;

																			BgL_offsetz00_17029 =
																				(
																				(long) (BgL_offsetz00_17028) -
																				OBJECT_TYPE);
																			{	/* Eval/evaluate.scm 548 */
																				long BgL_modz00_17030;

																				{	/* Eval/evaluate.scm 548 */
																					int BgL_arg6932z00_17031;

																					BgL_arg6932z00_17031 =
																						(int) (((long) 16));
																					{	/* Eval/evaluate.scm 548 */
																						long BgL_auxz00_44436;

																						BgL_auxz00_44436 =
																							(long) (BgL_arg6932z00_17031);
																						BgL_modz00_17030 =
																							(BgL_offsetz00_17029 /
																							BgL_auxz00_44436);
																				}}
																				{	/* Eval/evaluate.scm 548 */
																					long BgL_restz00_17032;

																					{	/* Eval/evaluate.scm 548 */
																						int BgL_arg6931z00_17033;

																						BgL_arg6931z00_17033 =
																							(int) (((long) 16));
																						{	/* Eval/evaluate.scm 548 */
																							long BgL_auxz00_44440;

																							BgL_auxz00_44440 =
																								(long) (BgL_arg6931z00_17033);
																							BgL_restz00_17032 =
																								(BgL_offsetz00_17029 %
																								BgL_auxz00_44440);
																					}}
																					{	/* Eval/evaluate.scm 548 */

																						BgL_method3266z00_17022 =
																							VECTOR_REF(VECTOR_REF
																							(BgL_arrayz00_17027,
																								(int) (BgL_modz00_17030)),
																							(int) (BgL_restz00_17032));
														}}}}}}}}
														BgL_res7575z00_17047 =
															PROCEDURE_ENTRY(BgL_method3266z00_17022)
															(BgL_method3266z00_17022,
															(obj_t) (BgL_ez00_17020), BgL_nz00_17021, BEOA);
												}}
												BgL_xz00_17012 = BgL_res7575z00_17047;
										}}
										BgL_arg5358z00_17011 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BgL_xz00_17012,
											BgL_rz00_16996);
									}
									{
										obj_t BgL_rz00_44454;

										obj_t BgL_nz00_44452;

										obj_t BgL_lz00_44451;

										BgL_lz00_44451 = BgL_arg5356z00_17009;
										BgL_nz00_44452 = BINT(BgL_arg5357z00_17010);
										BgL_rz00_44454 = BgL_arg5358z00_17011;
										BgL_rz00_16996 = BgL_rz00_44454;
										BgL_nz00_16995 = BgL_nz00_44452;
										BgL_lz00_16994 = BgL_lz00_44451;
										goto BgL_recz00_16993;
									}
								}
						}
					}
				}
			}
		}
	}



/* fsize-ev_letrec3292 */
	obj_t BGl_fsiza7ezd2ev_letrec3292z75zz__evaluatez00(obj_t BgL_envz00_26205,
		obj_t BgL_ez00_26206, obj_t BgL_nz00_26207)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 538 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_4552;

				obj_t BgL_nz00_4553;

				BgL_ez00_4552 = (BgL_ev_letrecz00_bglt) (BgL_ez00_26206);
				BgL_nz00_4553 = BgL_nz00_26207;
				{	/* Eval/evaluate.scm 540 */
					long BgL_nz00_4557;

					{	/* Eval/evaluate.scm 540 */
						long BgL_auxz00_44456;

						{	/* Eval/evaluate.scm 540 */
							obj_t BgL_auxz00_44458;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_44459;

								BgL_auxz00_44459 = (BgL_ev_binderz00_bglt) (BgL_ez00_4552);
								BgL_auxz00_44458 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_44459))->
									BgL_valsz00);
							}
							BgL_auxz00_44456 = bgl_list_length(BgL_auxz00_44458);
						}
						BgL_nz00_4557 = ((long) CINT(BgL_nz00_4553) + BgL_auxz00_44456);
					}
					{
						obj_t BgL_lz00_4560;

						obj_t BgL_rz00_4561;

						{	/* Eval/evaluate.scm 541 */
							obj_t BgL_arg5343z00_4559;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_44464;

								BgL_auxz00_44464 = (BgL_ev_binderz00_bglt) (BgL_ez00_4552);
								BgL_arg5343z00_4559 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_44464))->
									BgL_valsz00);
							}
							BgL_lz00_4560 = BgL_arg5343z00_4559;
							BgL_rz00_4561 = BINT(BgL_nz00_4557);
						BgL_zc3anonymousza35344ze3z83_4562:
							if (NULLP(BgL_lz00_4560))
								{	/* Eval/evaluate.scm 543 */
									obj_t BgL_xz00_4564;

									{	/* Eval/evaluate.scm 543 */
										BgL_ev_exprz00_bglt BgL_arg5346z00_4566;

										{
											BgL_ev_binderz00_bglt BgL_auxz00_44469;

											BgL_auxz00_44469 =
												(BgL_ev_binderz00_bglt) (BgL_ez00_4552);
											BgL_arg5346z00_4566 =
												(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_44469))->
												BgL_bodyz00);
										}
										{	/* Eval/evaluate.scm 543 */
											obj_t BgL_res7566z00_16932;

											{	/* Eval/evaluate.scm 543 */
												obj_t BgL_nz00_16906;

												BgL_nz00_16906 = BINT(BgL_nz00_4557);
												{	/* Eval/evaluate.scm 543 */
													obj_t BgL_method3266z00_16907;

													{	/* Eval/evaluate.scm 543 */
														BgL_objectz00_bglt BgL_objz00_16908;

														BgL_objz00_16908 =
															(BgL_objectz00_bglt) (BgL_arg5346z00_4566);
														{	/* Eval/evaluate.scm 543 */
															long BgL_objzd2classzd2numz00_16909;

															BgL_objzd2classzd2numz00_16909 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_16908);
															{	/* Eval/evaluate.scm 543 */
																obj_t BgL_arg6930z00_16910;

																BgL_arg6930z00_16910 =
																	PROCEDURE_REF
																	(BGl_fsiza7ezd2envz75zz__evaluatez00,
																	(int) (((long) 1)));
																{	/* Eval/evaluate.scm 543 */
																	obj_t BgL_arrayz00_16912;

																	int BgL_offsetz00_16913;

																	BgL_arrayz00_16912 = BgL_arg6930z00_16910;
																	BgL_offsetz00_16913 =
																		(int) (BgL_objzd2classzd2numz00_16909);
																	{	/* Eval/evaluate.scm 543 */
																		long BgL_offsetz00_16914;

																		BgL_offsetz00_16914 =
																			(
																			(long) (BgL_offsetz00_16913) -
																			OBJECT_TYPE);
																		{	/* Eval/evaluate.scm 543 */
																			long BgL_modz00_16915;

																			{	/* Eval/evaluate.scm 543 */
																				int BgL_arg6932z00_16916;

																				BgL_arg6932z00_16916 =
																					(int) (((long) 16));
																				{	/* Eval/evaluate.scm 543 */
																					long BgL_auxz00_44481;

																					BgL_auxz00_44481 =
																						(long) (BgL_arg6932z00_16916);
																					BgL_modz00_16915 =
																						(BgL_offsetz00_16914 /
																						BgL_auxz00_44481);
																			}}
																			{	/* Eval/evaluate.scm 543 */
																				long BgL_restz00_16917;

																				{	/* Eval/evaluate.scm 543 */
																					int BgL_arg6931z00_16918;

																					BgL_arg6931z00_16918 =
																						(int) (((long) 16));
																					{	/* Eval/evaluate.scm 543 */
																						long BgL_auxz00_44485;

																						BgL_auxz00_44485 =
																							(long) (BgL_arg6931z00_16918);
																						BgL_restz00_16917 =
																							(BgL_offsetz00_16914 %
																							BgL_auxz00_44485);
																				}}
																				{	/* Eval/evaluate.scm 543 */

																					BgL_method3266z00_16907 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_16912,
																							(int) (BgL_modz00_16915)),
																						(int) (BgL_restz00_16917));
													}}}}}}}}
													BgL_res7566z00_16932 =
														PROCEDURE_ENTRY(BgL_method3266z00_16907)
														(BgL_method3266z00_16907,
														(obj_t) (BgL_arg5346z00_4566), BgL_nz00_16906,
														BEOA);
											}}
											BgL_xz00_4564 = BgL_res7566z00_16932;
									}}
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BgL_xz00_4564,
										BgL_rz00_4561);
								}
							else
								{	/* Eval/evaluate.scm 544 */
									obj_t BgL_arg5347z00_4567;

									obj_t BgL_arg5348z00_4568;

									BgL_arg5347z00_4567 = CDR(BgL_lz00_4560);
									{	/* Eval/evaluate.scm 544 */
										obj_t BgL_xz00_4569;

										{	/* Eval/evaluate.scm 544 */
											obj_t BgL_arg5349z00_4571;

											BgL_arg5349z00_4571 = CAR(BgL_lz00_4560);
											{	/* Eval/evaluate.scm 544 */
												obj_t BgL_res7569z00_16962;

												{	/* Eval/evaluate.scm 544 */
													BgL_ev_exprz00_bglt BgL_ez00_16935;

													obj_t BgL_nz00_16936;

													BgL_ez00_16935 =
														(BgL_ev_exprz00_bglt) (BgL_arg5349z00_4571);
													BgL_nz00_16936 = BINT(BgL_nz00_4557);
													{	/* Eval/evaluate.scm 544 */
														obj_t BgL_method3266z00_16937;

														{	/* Eval/evaluate.scm 544 */
															BgL_objectz00_bglt BgL_objz00_16938;

															BgL_objz00_16938 =
																(BgL_objectz00_bglt) (BgL_ez00_16935);
															{	/* Eval/evaluate.scm 544 */
																long BgL_objzd2classzd2numz00_16939;

																BgL_objzd2classzd2numz00_16939 =
																	BGL_OBJECT_CLASS_NUM(BgL_objz00_16938);
																{	/* Eval/evaluate.scm 544 */
																	obj_t BgL_arg6930z00_16940;

																	BgL_arg6930z00_16940 =
																		PROCEDURE_REF
																		(BGl_fsiza7ezd2envz75zz__evaluatez00,
																		(int) (((long) 1)));
																	{	/* Eval/evaluate.scm 544 */
																		obj_t BgL_arrayz00_16942;

																		int BgL_offsetz00_16943;

																		BgL_arrayz00_16942 = BgL_arg6930z00_16940;
																		BgL_offsetz00_16943 =
																			(int) (BgL_objzd2classzd2numz00_16939);
																		{	/* Eval/evaluate.scm 544 */
																			long BgL_offsetz00_16944;

																			BgL_offsetz00_16944 =
																				(
																				(long) (BgL_offsetz00_16943) -
																				OBJECT_TYPE);
																			{	/* Eval/evaluate.scm 544 */
																				long BgL_modz00_16945;

																				{	/* Eval/evaluate.scm 544 */
																					int BgL_arg6932z00_16946;

																					BgL_arg6932z00_16946 =
																						(int) (((long) 16));
																					{	/* Eval/evaluate.scm 544 */
																						long BgL_auxz00_44508;

																						BgL_auxz00_44508 =
																							(long) (BgL_arg6932z00_16946);
																						BgL_modz00_16945 =
																							(BgL_offsetz00_16944 /
																							BgL_auxz00_44508);
																				}}
																				{	/* Eval/evaluate.scm 544 */
																					long BgL_restz00_16947;

																					{	/* Eval/evaluate.scm 544 */
																						int BgL_arg6931z00_16948;

																						BgL_arg6931z00_16948 =
																							(int) (((long) 16));
																						{	/* Eval/evaluate.scm 544 */
																							long BgL_auxz00_44512;

																							BgL_auxz00_44512 =
																								(long) (BgL_arg6931z00_16948);
																							BgL_restz00_16947 =
																								(BgL_offsetz00_16944 %
																								BgL_auxz00_44512);
																					}}
																					{	/* Eval/evaluate.scm 544 */

																						BgL_method3266z00_16937 =
																							VECTOR_REF(VECTOR_REF
																							(BgL_arrayz00_16942,
																								(int) (BgL_modz00_16945)),
																							(int) (BgL_restz00_16947));
														}}}}}}}}
														BgL_res7569z00_16962 =
															PROCEDURE_ENTRY(BgL_method3266z00_16937)
															(BgL_method3266z00_16937,
															(obj_t) (BgL_ez00_16935), BgL_nz00_16936, BEOA);
												}}
												BgL_xz00_4569 = BgL_res7569z00_16962;
										}}
										BgL_arg5348z00_4568 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BgL_xz00_4569,
											BgL_rz00_4561);
									}
									{
										obj_t BgL_rz00_44524;

										obj_t BgL_lz00_44523;

										BgL_lz00_44523 = BgL_arg5347z00_4567;
										BgL_rz00_44524 = BgL_arg5348z00_4568;
										BgL_rz00_4561 = BgL_rz00_44524;
										BgL_lz00_4560 = BgL_lz00_44523;
										goto BgL_zc3anonymousza35344ze3z83_4562;
									}
								}
						}
					}
				}
			}
		}
	}



/* fsize-ev_let*3290 */
	obj_t BGl_fsiza7ezd2ev_letza23290zd7zz__evaluatez00(obj_t BgL_envz00_26208,
		obj_t BgL_ez00_26209, obj_t BgL_nz00_26210)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 531 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_4528;

				obj_t BgL_nz00_4529;

				BgL_ez00_4528 = (BgL_ev_letza2za2_bglt) (BgL_ez00_26209);
				BgL_nz00_4529 = BgL_nz00_26210;
				{	/* Eval/evaluate.scm 533 */
					obj_t BgL_arg5334z00_4534;

					{
						BgL_ev_binderz00_bglt BgL_auxz00_44527;

						BgL_auxz00_44527 = (BgL_ev_binderz00_bglt) (BgL_ez00_4528);
						BgL_arg5334z00_4534 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_44527))->BgL_valsz00);
					}
					{
						obj_t BgL_lz00_16667;

						obj_t BgL_nz00_16668;

						obj_t BgL_rz00_16669;

						BgL_lz00_16667 = BgL_arg5334z00_4534;
						BgL_nz00_16668 = BgL_nz00_4529;
						BgL_rz00_16669 = BgL_nz00_4529;
					BgL_recz00_16666:
						if (NULLP(BgL_lz00_16667))
							{	/* Eval/evaluate.scm 533 */
								obj_t BgL_xz00_16681;

								{	/* Eval/evaluate.scm 533 */
									BgL_ev_exprz00_bglt BgL_arg5337z00_16683;

									{
										BgL_ev_binderz00_bglt BgL_auxz00_44532;

										BgL_auxz00_44532 = (BgL_ev_binderz00_bglt) (BgL_ez00_4528);
										BgL_arg5337z00_16683 =
											(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_44532))->
											BgL_bodyz00);
									}
									{	/* Eval/evaluate.scm 533 */
										obj_t BgL_res7548z00_16719;

										{	/* Eval/evaluate.scm 533 */
											obj_t BgL_nz00_16693;

											BgL_nz00_16693 = BgL_nz00_16668;
											{	/* Eval/evaluate.scm 533 */
												obj_t BgL_method3266z00_16694;

												{	/* Eval/evaluate.scm 533 */
													BgL_objectz00_bglt BgL_objz00_16695;

													BgL_objz00_16695 =
														(BgL_objectz00_bglt) (BgL_arg5337z00_16683);
													{	/* Eval/evaluate.scm 533 */
														long BgL_objzd2classzd2numz00_16696;

														BgL_objzd2classzd2numz00_16696 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_16695);
														{	/* Eval/evaluate.scm 533 */
															obj_t BgL_arg6930z00_16697;

															BgL_arg6930z00_16697 =
																PROCEDURE_REF
																(BGl_fsiza7ezd2envz75zz__evaluatez00,
																(int) (((long) 1)));
															{	/* Eval/evaluate.scm 533 */
																obj_t BgL_arrayz00_16699;

																int BgL_offsetz00_16700;

																BgL_arrayz00_16699 = BgL_arg6930z00_16697;
																BgL_offsetz00_16700 =
																	(int) (BgL_objzd2classzd2numz00_16696);
																{	/* Eval/evaluate.scm 533 */
																	long BgL_offsetz00_16701;

																	BgL_offsetz00_16701 =
																		(
																		(long) (BgL_offsetz00_16700) - OBJECT_TYPE);
																	{	/* Eval/evaluate.scm 533 */
																		long BgL_modz00_16702;

																		{	/* Eval/evaluate.scm 533 */
																			int BgL_arg6932z00_16703;

																			BgL_arg6932z00_16703 =
																				(int) (((long) 16));
																			{	/* Eval/evaluate.scm 533 */
																				long BgL_auxz00_44543;

																				BgL_auxz00_44543 =
																					(long) (BgL_arg6932z00_16703);
																				BgL_modz00_16702 =
																					(BgL_offsetz00_16701 /
																					BgL_auxz00_44543);
																		}}
																		{	/* Eval/evaluate.scm 533 */
																			long BgL_restz00_16704;

																			{	/* Eval/evaluate.scm 533 */
																				int BgL_arg6931z00_16705;

																				BgL_arg6931z00_16705 =
																					(int) (((long) 16));
																				{	/* Eval/evaluate.scm 533 */
																					long BgL_auxz00_44547;

																					BgL_auxz00_44547 =
																						(long) (BgL_arg6931z00_16705);
																					BgL_restz00_16704 =
																						(BgL_offsetz00_16701 %
																						BgL_auxz00_44547);
																			}}
																			{	/* Eval/evaluate.scm 533 */

																				BgL_method3266z00_16694 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_16699,
																						(int) (BgL_modz00_16702)),
																					(int) (BgL_restz00_16704));
												}}}}}}}}
												BgL_res7548z00_16719 =
													PROCEDURE_ENTRY(BgL_method3266z00_16694)
													(BgL_method3266z00_16694,
													(obj_t) (BgL_arg5337z00_16683), BgL_nz00_16693, BEOA);
										}}
										BgL_xz00_16681 = BgL_res7548z00_16719;
								}}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BgL_xz00_16681,
									BgL_rz00_16669);
							}
						else
							{	/* Eval/evaluate.scm 533 */
								obj_t BgL_arg5338z00_16684;

								long BgL_arg5339z00_16685;

								obj_t BgL_arg5340z00_16686;

								BgL_arg5338z00_16684 = CDR(BgL_lz00_16667);
								BgL_arg5339z00_16685 =
									((long) CINT(BgL_nz00_16668) + ((long) 1));
								{	/* Eval/evaluate.scm 533 */
									obj_t BgL_xz00_16687;

									{	/* Eval/evaluate.scm 533 */
										obj_t BgL_arg5341z00_16689;

										BgL_arg5341z00_16689 = CAR(BgL_lz00_16667);
										{	/* Eval/evaluate.scm 533 */
											obj_t BgL_res7551z00_16751;

											{	/* Eval/evaluate.scm 533 */
												BgL_ev_exprz00_bglt BgL_ez00_16724;

												obj_t BgL_nz00_16725;

												BgL_ez00_16724 =
													(BgL_ev_exprz00_bglt) (BgL_arg5341z00_16689);
												BgL_nz00_16725 = BgL_nz00_16668;
												{	/* Eval/evaluate.scm 533 */
													obj_t BgL_method3266z00_16726;

													{	/* Eval/evaluate.scm 533 */
														BgL_objectz00_bglt BgL_objz00_16727;

														BgL_objz00_16727 =
															(BgL_objectz00_bglt) (BgL_ez00_16724);
														{	/* Eval/evaluate.scm 533 */
															long BgL_objzd2classzd2numz00_16728;

															BgL_objzd2classzd2numz00_16728 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_16727);
															{	/* Eval/evaluate.scm 533 */
																obj_t BgL_arg6930z00_16729;

																BgL_arg6930z00_16729 =
																	PROCEDURE_REF
																	(BGl_fsiza7ezd2envz75zz__evaluatez00,
																	(int) (((long) 1)));
																{	/* Eval/evaluate.scm 533 */
																	obj_t BgL_arrayz00_16731;

																	int BgL_offsetz00_16732;

																	BgL_arrayz00_16731 = BgL_arg6930z00_16729;
																	BgL_offsetz00_16732 =
																		(int) (BgL_objzd2classzd2numz00_16728);
																	{	/* Eval/evaluate.scm 533 */
																		long BgL_offsetz00_16733;

																		BgL_offsetz00_16733 =
																			(
																			(long) (BgL_offsetz00_16732) -
																			OBJECT_TYPE);
																		{	/* Eval/evaluate.scm 533 */
																			long BgL_modz00_16734;

																			{	/* Eval/evaluate.scm 533 */
																				int BgL_arg6932z00_16735;

																				BgL_arg6932z00_16735 =
																					(int) (((long) 16));
																				{	/* Eval/evaluate.scm 533 */
																					long BgL_auxz00_44571;

																					BgL_auxz00_44571 =
																						(long) (BgL_arg6932z00_16735);
																					BgL_modz00_16734 =
																						(BgL_offsetz00_16733 /
																						BgL_auxz00_44571);
																			}}
																			{	/* Eval/evaluate.scm 533 */
																				long BgL_restz00_16736;

																				{	/* Eval/evaluate.scm 533 */
																					int BgL_arg6931z00_16737;

																					BgL_arg6931z00_16737 =
																						(int) (((long) 16));
																					{	/* Eval/evaluate.scm 533 */
																						long BgL_auxz00_44575;

																						BgL_auxz00_44575 =
																							(long) (BgL_arg6931z00_16737);
																						BgL_restz00_16736 =
																							(BgL_offsetz00_16733 %
																							BgL_auxz00_44575);
																				}}
																				{	/* Eval/evaluate.scm 533 */

																					BgL_method3266z00_16726 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_16731,
																							(int) (BgL_modz00_16734)),
																						(int) (BgL_restz00_16736));
													}}}}}}}}
													BgL_res7551z00_16751 =
														PROCEDURE_ENTRY(BgL_method3266z00_16726)
														(BgL_method3266z00_16726, (obj_t) (BgL_ez00_16724),
														BgL_nz00_16725, BEOA);
											}}
											BgL_xz00_16687 = BgL_res7551z00_16751;
									}}
									BgL_arg5340z00_16686 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BgL_xz00_16687,
										BgL_rz00_16669);
								}
								{
									obj_t BgL_rz00_44589;

									obj_t BgL_nz00_44587;

									obj_t BgL_lz00_44586;

									BgL_lz00_44586 = BgL_arg5338z00_16684;
									BgL_nz00_44587 = BINT(BgL_arg5339z00_16685);
									BgL_rz00_44589 = BgL_arg5340z00_16686;
									BgL_rz00_16669 = BgL_rz00_44589;
									BgL_nz00_16668 = BgL_nz00_44587;
									BgL_lz00_16667 = BgL_lz00_44586;
									goto BgL_recz00_16666;
								}
							}
					}
				}
			}
		}
	}



/* fsize-ev_let3288 */
	obj_t BGl_fsiza7ezd2ev_let3288z75zz__evaluatez00(obj_t BgL_envz00_26211,
		obj_t BgL_ez00_26212, obj_t BgL_nz00_26213)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 524 */
			{
				BgL_ev_letz00_bglt BgL_ez00_4504;

				obj_t BgL_nz00_4505;

				BgL_ez00_4504 = (BgL_ev_letz00_bglt) (BgL_ez00_26212);
				BgL_nz00_4505 = BgL_nz00_26213;
				{	/* Eval/evaluate.scm 526 */
					obj_t BgL_arg5325z00_4510;

					{
						BgL_ev_binderz00_bglt BgL_auxz00_44591;

						BgL_auxz00_44591 = (BgL_ev_binderz00_bglt) (BgL_ez00_4504);
						BgL_arg5325z00_4510 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_44591))->BgL_valsz00);
					}
					{
						obj_t BgL_lz00_16433;

						obj_t BgL_nz00_16434;

						obj_t BgL_rz00_16435;

						BgL_lz00_16433 = BgL_arg5325z00_4510;
						BgL_nz00_16434 = BgL_nz00_4505;
						BgL_rz00_16435 = BgL_nz00_4505;
					BgL_recz00_16432:
						if (NULLP(BgL_lz00_16433))
							{	/* Eval/evaluate.scm 526 */
								obj_t BgL_xz00_16447;

								{	/* Eval/evaluate.scm 526 */
									BgL_ev_exprz00_bglt BgL_arg5328z00_16449;

									{
										BgL_ev_binderz00_bglt BgL_auxz00_44596;

										BgL_auxz00_44596 = (BgL_ev_binderz00_bglt) (BgL_ez00_4504);
										BgL_arg5328z00_16449 =
											(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_44596))->
											BgL_bodyz00);
									}
									{	/* Eval/evaluate.scm 526 */
										obj_t BgL_res7530z00_16485;

										{	/* Eval/evaluate.scm 526 */
											obj_t BgL_nz00_16459;

											BgL_nz00_16459 = BgL_nz00_16434;
											{	/* Eval/evaluate.scm 526 */
												obj_t BgL_method3266z00_16460;

												{	/* Eval/evaluate.scm 526 */
													BgL_objectz00_bglt BgL_objz00_16461;

													BgL_objz00_16461 =
														(BgL_objectz00_bglt) (BgL_arg5328z00_16449);
													{	/* Eval/evaluate.scm 526 */
														long BgL_objzd2classzd2numz00_16462;

														BgL_objzd2classzd2numz00_16462 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_16461);
														{	/* Eval/evaluate.scm 526 */
															obj_t BgL_arg6930z00_16463;

															BgL_arg6930z00_16463 =
																PROCEDURE_REF
																(BGl_fsiza7ezd2envz75zz__evaluatez00,
																(int) (((long) 1)));
															{	/* Eval/evaluate.scm 526 */
																obj_t BgL_arrayz00_16465;

																int BgL_offsetz00_16466;

																BgL_arrayz00_16465 = BgL_arg6930z00_16463;
																BgL_offsetz00_16466 =
																	(int) (BgL_objzd2classzd2numz00_16462);
																{	/* Eval/evaluate.scm 526 */
																	long BgL_offsetz00_16467;

																	BgL_offsetz00_16467 =
																		(
																		(long) (BgL_offsetz00_16466) - OBJECT_TYPE);
																	{	/* Eval/evaluate.scm 526 */
																		long BgL_modz00_16468;

																		{	/* Eval/evaluate.scm 526 */
																			int BgL_arg6932z00_16469;

																			BgL_arg6932z00_16469 =
																				(int) (((long) 16));
																			{	/* Eval/evaluate.scm 526 */
																				long BgL_auxz00_44607;

																				BgL_auxz00_44607 =
																					(long) (BgL_arg6932z00_16469);
																				BgL_modz00_16468 =
																					(BgL_offsetz00_16467 /
																					BgL_auxz00_44607);
																		}}
																		{	/* Eval/evaluate.scm 526 */
																			long BgL_restz00_16470;

																			{	/* Eval/evaluate.scm 526 */
																				int BgL_arg6931z00_16471;

																				BgL_arg6931z00_16471 =
																					(int) (((long) 16));
																				{	/* Eval/evaluate.scm 526 */
																					long BgL_auxz00_44611;

																					BgL_auxz00_44611 =
																						(long) (BgL_arg6931z00_16471);
																					BgL_restz00_16470 =
																						(BgL_offsetz00_16467 %
																						BgL_auxz00_44611);
																			}}
																			{	/* Eval/evaluate.scm 526 */

																				BgL_method3266z00_16460 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_16465,
																						(int) (BgL_modz00_16468)),
																					(int) (BgL_restz00_16470));
												}}}}}}}}
												BgL_res7530z00_16485 =
													PROCEDURE_ENTRY(BgL_method3266z00_16460)
													(BgL_method3266z00_16460,
													(obj_t) (BgL_arg5328z00_16449), BgL_nz00_16459, BEOA);
										}}
										BgL_xz00_16447 = BgL_res7530z00_16485;
								}}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BgL_xz00_16447,
									BgL_rz00_16435);
							}
						else
							{	/* Eval/evaluate.scm 526 */
								obj_t BgL_arg5329z00_16450;

								long BgL_arg5330z00_16451;

								obj_t BgL_arg5331z00_16452;

								BgL_arg5329z00_16450 = CDR(BgL_lz00_16433);
								BgL_arg5330z00_16451 =
									((long) CINT(BgL_nz00_16434) + ((long) 1));
								{	/* Eval/evaluate.scm 526 */
									obj_t BgL_xz00_16453;

									{	/* Eval/evaluate.scm 526 */
										obj_t BgL_arg5332z00_16455;

										BgL_arg5332z00_16455 = CAR(BgL_lz00_16433);
										{	/* Eval/evaluate.scm 526 */
											obj_t BgL_res7533z00_16517;

											{	/* Eval/evaluate.scm 526 */
												BgL_ev_exprz00_bglt BgL_ez00_16490;

												obj_t BgL_nz00_16491;

												BgL_ez00_16490 =
													(BgL_ev_exprz00_bglt) (BgL_arg5332z00_16455);
												BgL_nz00_16491 = BgL_nz00_16434;
												{	/* Eval/evaluate.scm 526 */
													obj_t BgL_method3266z00_16492;

													{	/* Eval/evaluate.scm 526 */
														BgL_objectz00_bglt BgL_objz00_16493;

														BgL_objz00_16493 =
															(BgL_objectz00_bglt) (BgL_ez00_16490);
														{	/* Eval/evaluate.scm 526 */
															long BgL_objzd2classzd2numz00_16494;

															BgL_objzd2classzd2numz00_16494 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_16493);
															{	/* Eval/evaluate.scm 526 */
																obj_t BgL_arg6930z00_16495;

																BgL_arg6930z00_16495 =
																	PROCEDURE_REF
																	(BGl_fsiza7ezd2envz75zz__evaluatez00,
																	(int) (((long) 1)));
																{	/* Eval/evaluate.scm 526 */
																	obj_t BgL_arrayz00_16497;

																	int BgL_offsetz00_16498;

																	BgL_arrayz00_16497 = BgL_arg6930z00_16495;
																	BgL_offsetz00_16498 =
																		(int) (BgL_objzd2classzd2numz00_16494);
																	{	/* Eval/evaluate.scm 526 */
																		long BgL_offsetz00_16499;

																		BgL_offsetz00_16499 =
																			(
																			(long) (BgL_offsetz00_16498) -
																			OBJECT_TYPE);
																		{	/* Eval/evaluate.scm 526 */
																			long BgL_modz00_16500;

																			{	/* Eval/evaluate.scm 526 */
																				int BgL_arg6932z00_16501;

																				BgL_arg6932z00_16501 =
																					(int) (((long) 16));
																				{	/* Eval/evaluate.scm 526 */
																					long BgL_auxz00_44635;

																					BgL_auxz00_44635 =
																						(long) (BgL_arg6932z00_16501);
																					BgL_modz00_16500 =
																						(BgL_offsetz00_16499 /
																						BgL_auxz00_44635);
																			}}
																			{	/* Eval/evaluate.scm 526 */
																				long BgL_restz00_16502;

																				{	/* Eval/evaluate.scm 526 */
																					int BgL_arg6931z00_16503;

																					BgL_arg6931z00_16503 =
																						(int) (((long) 16));
																					{	/* Eval/evaluate.scm 526 */
																						long BgL_auxz00_44639;

																						BgL_auxz00_44639 =
																							(long) (BgL_arg6931z00_16503);
																						BgL_restz00_16502 =
																							(BgL_offsetz00_16499 %
																							BgL_auxz00_44639);
																				}}
																				{	/* Eval/evaluate.scm 526 */

																					BgL_method3266z00_16492 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_16497,
																							(int) (BgL_modz00_16500)),
																						(int) (BgL_restz00_16502));
													}}}}}}}}
													BgL_res7533z00_16517 =
														PROCEDURE_ENTRY(BgL_method3266z00_16492)
														(BgL_method3266z00_16492, (obj_t) (BgL_ez00_16490),
														BgL_nz00_16491, BEOA);
											}}
											BgL_xz00_16453 = BgL_res7533z00_16517;
									}}
									BgL_arg5331z00_16452 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BgL_xz00_16453,
										BgL_rz00_16435);
								}
								{
									obj_t BgL_rz00_44653;

									obj_t BgL_nz00_44651;

									obj_t BgL_lz00_44650;

									BgL_lz00_44650 = BgL_arg5329z00_16450;
									BgL_nz00_44651 = BINT(BgL_arg5330z00_16451);
									BgL_rz00_44653 = BgL_arg5331z00_16452;
									BgL_rz00_16435 = BgL_rz00_44653;
									BgL_nz00_16434 = BgL_nz00_44651;
									BgL_lz00_16433 = BgL_lz00_44650;
									goto BgL_recz00_16432;
								}
							}
					}
				}
			}
		}
	}



/* fsize-ev_with-handle3286 */
	obj_t BGl_fsiza7ezd2ev_withzd2handle3286za7zz__evaluatez00(obj_t
		BgL_envz00_26214, obj_t BgL_ez00_26215, obj_t BgL_nz00_26216)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 520 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_4493;

				obj_t BgL_nz00_4494;

				BgL_ez00_4493 = (BgL_ev_withzd2handlerzd2_bglt) (BgL_ez00_26215);
				BgL_nz00_4494 = BgL_nz00_26216;
				{	/* Eval/evaluate.scm 521 */
					obj_t BgL_xz00_16369;

					obj_t BgL_yz00_16370;

					{	/* Eval/evaluate.scm 521 */
						BgL_ev_exprz00_bglt BgL_arg5322z00_16371;

						BgL_arg5322z00_16371 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_4493))->
							BgL_handlerz00);
						{	/* Eval/evaluate.scm 521 */
							obj_t BgL_res7524z00_16401;

							{	/* Eval/evaluate.scm 521 */
								obj_t BgL_method3266z00_16376;

								{	/* Eval/evaluate.scm 521 */
									BgL_objectz00_bglt BgL_objz00_16377;

									BgL_objz00_16377 =
										(BgL_objectz00_bglt) (BgL_arg5322z00_16371);
									{	/* Eval/evaluate.scm 521 */
										long BgL_objzd2classzd2numz00_16378;

										BgL_objzd2classzd2numz00_16378 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_16377);
										{	/* Eval/evaluate.scm 521 */
											obj_t BgL_arg6930z00_16379;

											BgL_arg6930z00_16379 =
												PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 521 */
												obj_t BgL_arrayz00_16381;

												int BgL_offsetz00_16382;

												BgL_arrayz00_16381 = BgL_arg6930z00_16379;
												BgL_offsetz00_16382 =
													(int) (BgL_objzd2classzd2numz00_16378);
												{	/* Eval/evaluate.scm 521 */
													long BgL_offsetz00_16383;

													BgL_offsetz00_16383 =
														((long) (BgL_offsetz00_16382) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 521 */
														long BgL_modz00_16384;

														{	/* Eval/evaluate.scm 521 */
															int BgL_arg6932z00_16385;

															BgL_arg6932z00_16385 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 521 */
																long BgL_auxz00_44664;

																BgL_auxz00_44664 =
																	(long) (BgL_arg6932z00_16385);
																BgL_modz00_16384 =
																	(BgL_offsetz00_16383 / BgL_auxz00_44664);
														}}
														{	/* Eval/evaluate.scm 521 */
															long BgL_restz00_16386;

															{	/* Eval/evaluate.scm 521 */
																int BgL_arg6931z00_16387;

																BgL_arg6931z00_16387 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 521 */
																	long BgL_auxz00_44668;

																	BgL_auxz00_44668 =
																		(long) (BgL_arg6931z00_16387);
																	BgL_restz00_16386 =
																		(BgL_offsetz00_16383 % BgL_auxz00_44668);
															}}
															{	/* Eval/evaluate.scm 521 */

																BgL_method3266z00_16376 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_16381,
																		(int) (BgL_modz00_16384)),
																	(int) (BgL_restz00_16386));
								}}}}}}}}
								BgL_res7524z00_16401 =
									PROCEDURE_ENTRY(BgL_method3266z00_16376)
									(BgL_method3266z00_16376, (obj_t) (BgL_arg5322z00_16371),
									BgL_nz00_4494, BEOA);
							}
							BgL_xz00_16369 = BgL_res7524z00_16401;
					}}
					{	/* Eval/evaluate.scm 521 */
						BgL_ev_exprz00_bglt BgL_arg5323z00_16372;

						BgL_arg5323z00_16372 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_4493))->
							BgL_bodyz00);
						{	/* Eval/evaluate.scm 521 */
							obj_t BgL_res7527z00_16430;

							{	/* Eval/evaluate.scm 521 */
								obj_t BgL_method3266z00_16405;

								{	/* Eval/evaluate.scm 521 */
									BgL_objectz00_bglt BgL_objz00_16406;

									BgL_objz00_16406 =
										(BgL_objectz00_bglt) (BgL_arg5323z00_16372);
									{	/* Eval/evaluate.scm 521 */
										long BgL_objzd2classzd2numz00_16407;

										BgL_objzd2classzd2numz00_16407 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_16406);
										{	/* Eval/evaluate.scm 521 */
											obj_t BgL_arg6930z00_16408;

											BgL_arg6930z00_16408 =
												PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 521 */
												obj_t BgL_arrayz00_16410;

												int BgL_offsetz00_16411;

												BgL_arrayz00_16410 = BgL_arg6930z00_16408;
												BgL_offsetz00_16411 =
													(int) (BgL_objzd2classzd2numz00_16407);
												{	/* Eval/evaluate.scm 521 */
													long BgL_offsetz00_16412;

													BgL_offsetz00_16412 =
														((long) (BgL_offsetz00_16411) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 521 */
														long BgL_modz00_16413;

														{	/* Eval/evaluate.scm 521 */
															int BgL_arg6932z00_16414;

															BgL_arg6932z00_16414 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 521 */
																long BgL_auxz00_44687;

																BgL_auxz00_44687 =
																	(long) (BgL_arg6932z00_16414);
																BgL_modz00_16413 =
																	(BgL_offsetz00_16412 / BgL_auxz00_44687);
														}}
														{	/* Eval/evaluate.scm 521 */
															long BgL_restz00_16415;

															{	/* Eval/evaluate.scm 521 */
																int BgL_arg6931z00_16416;

																BgL_arg6931z00_16416 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 521 */
																	long BgL_auxz00_44691;

																	BgL_auxz00_44691 =
																		(long) (BgL_arg6931z00_16416);
																	BgL_restz00_16415 =
																		(BgL_offsetz00_16412 % BgL_auxz00_44691);
															}}
															{	/* Eval/evaluate.scm 521 */

																BgL_method3266z00_16405 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_16410,
																		(int) (BgL_modz00_16413)),
																	(int) (BgL_restz00_16415));
								}}}}}}}}
								BgL_res7527z00_16430 =
									PROCEDURE_ENTRY(BgL_method3266z00_16405)
									(BgL_method3266z00_16405, (obj_t) (BgL_arg5323z00_16372),
									BgL_nz00_4494, BEOA);
							}
							BgL_yz00_16370 = BgL_res7527z00_16430;
					}}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BgL_xz00_16369, BgL_yz00_16370);
				}
			}
		}
	}



/* fsize-ev_unwind-prot3284 */
	obj_t BGl_fsiza7ezd2ev_unwindzd2prot3284za7zz__evaluatez00(obj_t
		BgL_envz00_26217, obj_t BgL_ez00_26218, obj_t BgL_nz00_26219)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 516 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_4482;

				obj_t BgL_nz00_4483;

				BgL_ez00_4482 = (BgL_ev_unwindzd2protectzd2_bglt) (BgL_ez00_26218);
				BgL_nz00_4483 = BgL_nz00_26219;
				{	/* Eval/evaluate.scm 517 */
					obj_t BgL_xz00_16306;

					obj_t BgL_yz00_16307;

					{	/* Eval/evaluate.scm 517 */
						BgL_ev_exprz00_bglt BgL_arg5319z00_16308;

						BgL_arg5319z00_16308 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_4482))->
							BgL_ez00);
						{	/* Eval/evaluate.scm 517 */
							obj_t BgL_res7518z00_16338;

							{	/* Eval/evaluate.scm 517 */
								obj_t BgL_method3266z00_16313;

								{	/* Eval/evaluate.scm 517 */
									BgL_objectz00_bglt BgL_objz00_16314;

									BgL_objz00_16314 =
										(BgL_objectz00_bglt) (BgL_arg5319z00_16308);
									{	/* Eval/evaluate.scm 517 */
										long BgL_objzd2classzd2numz00_16315;

										BgL_objzd2classzd2numz00_16315 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_16314);
										{	/* Eval/evaluate.scm 517 */
											obj_t BgL_arg6930z00_16316;

											BgL_arg6930z00_16316 =
												PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 517 */
												obj_t BgL_arrayz00_16318;

												int BgL_offsetz00_16319;

												BgL_arrayz00_16318 = BgL_arg6930z00_16316;
												BgL_offsetz00_16319 =
													(int) (BgL_objzd2classzd2numz00_16315);
												{	/* Eval/evaluate.scm 517 */
													long BgL_offsetz00_16320;

													BgL_offsetz00_16320 =
														((long) (BgL_offsetz00_16319) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 517 */
														long BgL_modz00_16321;

														{	/* Eval/evaluate.scm 517 */
															int BgL_arg6932z00_16322;

															BgL_arg6932z00_16322 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 517 */
																long BgL_auxz00_44712;

																BgL_auxz00_44712 =
																	(long) (BgL_arg6932z00_16322);
																BgL_modz00_16321 =
																	(BgL_offsetz00_16320 / BgL_auxz00_44712);
														}}
														{	/* Eval/evaluate.scm 517 */
															long BgL_restz00_16323;

															{	/* Eval/evaluate.scm 517 */
																int BgL_arg6931z00_16324;

																BgL_arg6931z00_16324 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 517 */
																	long BgL_auxz00_44716;

																	BgL_auxz00_44716 =
																		(long) (BgL_arg6931z00_16324);
																	BgL_restz00_16323 =
																		(BgL_offsetz00_16320 % BgL_auxz00_44716);
															}}
															{	/* Eval/evaluate.scm 517 */

																BgL_method3266z00_16313 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_16318,
																		(int) (BgL_modz00_16321)),
																	(int) (BgL_restz00_16323));
								}}}}}}}}
								BgL_res7518z00_16338 =
									PROCEDURE_ENTRY(BgL_method3266z00_16313)
									(BgL_method3266z00_16313, (obj_t) (BgL_arg5319z00_16308),
									BgL_nz00_4483, BEOA);
							}
							BgL_xz00_16306 = BgL_res7518z00_16338;
					}}
					{	/* Eval/evaluate.scm 517 */
						BgL_ev_exprz00_bglt BgL_arg5320z00_16309;

						BgL_arg5320z00_16309 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_4482))->
							BgL_bodyz00);
						{	/* Eval/evaluate.scm 517 */
							obj_t BgL_res7521z00_16367;

							{	/* Eval/evaluate.scm 517 */
								obj_t BgL_method3266z00_16342;

								{	/* Eval/evaluate.scm 517 */
									BgL_objectz00_bglt BgL_objz00_16343;

									BgL_objz00_16343 =
										(BgL_objectz00_bglt) (BgL_arg5320z00_16309);
									{	/* Eval/evaluate.scm 517 */
										long BgL_objzd2classzd2numz00_16344;

										BgL_objzd2classzd2numz00_16344 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_16343);
										{	/* Eval/evaluate.scm 517 */
											obj_t BgL_arg6930z00_16345;

											BgL_arg6930z00_16345 =
												PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 517 */
												obj_t BgL_arrayz00_16347;

												int BgL_offsetz00_16348;

												BgL_arrayz00_16347 = BgL_arg6930z00_16345;
												BgL_offsetz00_16348 =
													(int) (BgL_objzd2classzd2numz00_16344);
												{	/* Eval/evaluate.scm 517 */
													long BgL_offsetz00_16349;

													BgL_offsetz00_16349 =
														((long) (BgL_offsetz00_16348) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 517 */
														long BgL_modz00_16350;

														{	/* Eval/evaluate.scm 517 */
															int BgL_arg6932z00_16351;

															BgL_arg6932z00_16351 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 517 */
																long BgL_auxz00_44735;

																BgL_auxz00_44735 =
																	(long) (BgL_arg6932z00_16351);
																BgL_modz00_16350 =
																	(BgL_offsetz00_16349 / BgL_auxz00_44735);
														}}
														{	/* Eval/evaluate.scm 517 */
															long BgL_restz00_16352;

															{	/* Eval/evaluate.scm 517 */
																int BgL_arg6931z00_16353;

																BgL_arg6931z00_16353 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 517 */
																	long BgL_auxz00_44739;

																	BgL_auxz00_44739 =
																		(long) (BgL_arg6931z00_16353);
																	BgL_restz00_16352 =
																		(BgL_offsetz00_16349 % BgL_auxz00_44739);
															}}
															{	/* Eval/evaluate.scm 517 */

																BgL_method3266z00_16342 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_16347,
																		(int) (BgL_modz00_16350)),
																	(int) (BgL_restz00_16352));
								}}}}}}}}
								BgL_res7521z00_16367 =
									PROCEDURE_ENTRY(BgL_method3266z00_16342)
									(BgL_method3266z00_16342, (obj_t) (BgL_arg5320z00_16309),
									BgL_nz00_4483, BEOA);
							}
							BgL_yz00_16307 = BgL_res7521z00_16367;
					}}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BgL_xz00_16306, BgL_yz00_16307);
				}
			}
		}
	}



/* fsize-ev_bind-exit3282 */
	obj_t BGl_fsiza7ezd2ev_bindzd2exit3282za7zz__evaluatez00(obj_t
		BgL_envz00_26220, obj_t BgL_ez00_26221, obj_t BgL_nz00_26222)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 512 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_4473;

				obj_t BgL_nz00_4474;

				BgL_ez00_4473 = (BgL_ev_bindzd2exitzd2_bglt) (BgL_ez00_26221);
				BgL_nz00_4474 = BgL_nz00_26222;
				{	/* Eval/evaluate.scm 513 */
					BgL_ev_exprz00_bglt BgL_arg5316z00_16272;

					long BgL_arg5317z00_16273;

					BgL_arg5316z00_16272 =
						(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_4473))->BgL_bodyz00);
					BgL_arg5317z00_16273 = ((long) CINT(BgL_nz00_4474) + ((long) 1));
					{	/* Eval/evaluate.scm 513 */
						obj_t BgL_res7515z00_16304;

						{	/* Eval/evaluate.scm 513 */
							obj_t BgL_nz00_16278;

							BgL_nz00_16278 = BINT(BgL_arg5317z00_16273);
							{	/* Eval/evaluate.scm 513 */
								obj_t BgL_method3266z00_16279;

								{	/* Eval/evaluate.scm 513 */
									BgL_objectz00_bglt BgL_objz00_16280;

									BgL_objz00_16280 =
										(BgL_objectz00_bglt) (BgL_arg5316z00_16272);
									{	/* Eval/evaluate.scm 513 */
										long BgL_objzd2classzd2numz00_16281;

										BgL_objzd2classzd2numz00_16281 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_16280);
										{	/* Eval/evaluate.scm 513 */
											obj_t BgL_arg6930z00_16282;

											BgL_arg6930z00_16282 =
												PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 513 */
												obj_t BgL_arrayz00_16284;

												int BgL_offsetz00_16285;

												BgL_arrayz00_16284 = BgL_arg6930z00_16282;
												BgL_offsetz00_16285 =
													(int) (BgL_objzd2classzd2numz00_16281);
												{	/* Eval/evaluate.scm 513 */
													long BgL_offsetz00_16286;

													BgL_offsetz00_16286 =
														((long) (BgL_offsetz00_16285) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 513 */
														long BgL_modz00_16287;

														{	/* Eval/evaluate.scm 513 */
															int BgL_arg6932z00_16288;

															BgL_arg6932z00_16288 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 513 */
																long BgL_auxz00_44763;

																BgL_auxz00_44763 =
																	(long) (BgL_arg6932z00_16288);
																BgL_modz00_16287 =
																	(BgL_offsetz00_16286 / BgL_auxz00_44763);
														}}
														{	/* Eval/evaluate.scm 513 */
															long BgL_restz00_16289;

															{	/* Eval/evaluate.scm 513 */
																int BgL_arg6931z00_16290;

																BgL_arg6931z00_16290 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 513 */
																	long BgL_auxz00_44767;

																	BgL_auxz00_44767 =
																		(long) (BgL_arg6931z00_16290);
																	BgL_restz00_16289 =
																		(BgL_offsetz00_16286 % BgL_auxz00_44767);
															}}
															{	/* Eval/evaluate.scm 513 */

																BgL_method3266z00_16279 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_16284,
																		(int) (BgL_modz00_16287)),
																	(int) (BgL_restz00_16289));
								}}}}}}}}
								BgL_res7515z00_16304 =
									PROCEDURE_ENTRY(BgL_method3266z00_16279)
									(BgL_method3266z00_16279, (obj_t) (BgL_arg5316z00_16272),
									BgL_nz00_16278, BEOA);
						}}
						return BgL_res7515z00_16304;
					}
				}
			}
		}
	}



/* fsize-ev_hook3280 */
	obj_t BGl_fsiza7ezd2ev_hook3280z75zz__evaluatez00(obj_t BgL_envz00_26223,
		obj_t BgL_ez00_26224, obj_t BgL_nz00_26225)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 508 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_4465;

				obj_t BgL_nz00_4466;

				BgL_ez00_4465 = (BgL_ev_hookz00_bglt) (BgL_ez00_26224);
				BgL_nz00_4466 = BgL_nz00_26225;
				{	/* Eval/evaluate.scm 509 */
					BgL_ev_exprz00_bglt BgL_arg5314z00_16241;

					BgL_arg5314z00_16241 =
						(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_4465))->BgL_ez00);
					{	/* Eval/evaluate.scm 509 */
						obj_t BgL_res7512z00_16270;

						{	/* Eval/evaluate.scm 509 */
							obj_t BgL_method3266z00_16245;

							{	/* Eval/evaluate.scm 509 */
								BgL_objectz00_bglt BgL_objz00_16246;

								BgL_objz00_16246 = (BgL_objectz00_bglt) (BgL_arg5314z00_16241);
								{	/* Eval/evaluate.scm 509 */
									long BgL_objzd2classzd2numz00_16247;

									BgL_objzd2classzd2numz00_16247 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_16246);
									{	/* Eval/evaluate.scm 509 */
										obj_t BgL_arg6930z00_16248;

										BgL_arg6930z00_16248 =
											PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 509 */
											obj_t BgL_arrayz00_16250;

											int BgL_offsetz00_16251;

											BgL_arrayz00_16250 = BgL_arg6930z00_16248;
											BgL_offsetz00_16251 =
												(int) (BgL_objzd2classzd2numz00_16247);
											{	/* Eval/evaluate.scm 509 */
												long BgL_offsetz00_16252;

												BgL_offsetz00_16252 =
													((long) (BgL_offsetz00_16251) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 509 */
													long BgL_modz00_16253;

													{	/* Eval/evaluate.scm 509 */
														int BgL_arg6932z00_16254;

														BgL_arg6932z00_16254 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 509 */
															long BgL_auxz00_44787;

															BgL_auxz00_44787 = (long) (BgL_arg6932z00_16254);
															BgL_modz00_16253 =
																(BgL_offsetz00_16252 / BgL_auxz00_44787);
													}}
													{	/* Eval/evaluate.scm 509 */
														long BgL_restz00_16255;

														{	/* Eval/evaluate.scm 509 */
															int BgL_arg6931z00_16256;

															BgL_arg6931z00_16256 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 509 */
																long BgL_auxz00_44791;

																BgL_auxz00_44791 =
																	(long) (BgL_arg6931z00_16256);
																BgL_restz00_16255 =
																	(BgL_offsetz00_16252 % BgL_auxz00_44791);
														}}
														{	/* Eval/evaluate.scm 509 */

															BgL_method3266z00_16245 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_16250,
																	(int) (BgL_modz00_16253)),
																(int) (BgL_restz00_16255));
							}}}}}}}}
							BgL_res7512z00_16270 =
								PROCEDURE_ENTRY(BgL_method3266z00_16245)
								(BgL_method3266z00_16245, (obj_t) (BgL_arg5314z00_16241),
								BgL_nz00_4466, BEOA);
						}
						return BgL_res7512z00_16270;
					}
				}
			}
		}
	}



/* fsize-ev_prog23278 */
	obj_t BGl_fsiza7ezd2ev_prog23278z75zz__evaluatez00(obj_t BgL_envz00_26226,
		obj_t BgL_ez00_26227, obj_t BgL_nz00_26228)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 504 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_4454;

				obj_t BgL_nz00_4455;

				BgL_ez00_4454 = (BgL_ev_prog2z00_bglt) (BgL_ez00_26227);
				BgL_nz00_4455 = BgL_nz00_26228;
				{	/* Eval/evaluate.scm 505 */
					obj_t BgL_xz00_16178;

					obj_t BgL_yz00_16179;

					{	/* Eval/evaluate.scm 505 */
						BgL_ev_exprz00_bglt BgL_arg5311z00_16180;

						BgL_arg5311z00_16180 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_4454))->BgL_e1z00);
						{	/* Eval/evaluate.scm 505 */
							obj_t BgL_res7506z00_16210;

							{	/* Eval/evaluate.scm 505 */
								obj_t BgL_method3266z00_16185;

								{	/* Eval/evaluate.scm 505 */
									BgL_objectz00_bglt BgL_objz00_16186;

									BgL_objz00_16186 =
										(BgL_objectz00_bglt) (BgL_arg5311z00_16180);
									{	/* Eval/evaluate.scm 505 */
										long BgL_objzd2classzd2numz00_16187;

										BgL_objzd2classzd2numz00_16187 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_16186);
										{	/* Eval/evaluate.scm 505 */
											obj_t BgL_arg6930z00_16188;

											BgL_arg6930z00_16188 =
												PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 505 */
												obj_t BgL_arrayz00_16190;

												int BgL_offsetz00_16191;

												BgL_arrayz00_16190 = BgL_arg6930z00_16188;
												BgL_offsetz00_16191 =
													(int) (BgL_objzd2classzd2numz00_16187);
												{	/* Eval/evaluate.scm 505 */
													long BgL_offsetz00_16192;

													BgL_offsetz00_16192 =
														((long) (BgL_offsetz00_16191) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 505 */
														long BgL_modz00_16193;

														{	/* Eval/evaluate.scm 505 */
															int BgL_arg6932z00_16194;

															BgL_arg6932z00_16194 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 505 */
																long BgL_auxz00_44811;

																BgL_auxz00_44811 =
																	(long) (BgL_arg6932z00_16194);
																BgL_modz00_16193 =
																	(BgL_offsetz00_16192 / BgL_auxz00_44811);
														}}
														{	/* Eval/evaluate.scm 505 */
															long BgL_restz00_16195;

															{	/* Eval/evaluate.scm 505 */
																int BgL_arg6931z00_16196;

																BgL_arg6931z00_16196 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 505 */
																	long BgL_auxz00_44815;

																	BgL_auxz00_44815 =
																		(long) (BgL_arg6931z00_16196);
																	BgL_restz00_16195 =
																		(BgL_offsetz00_16192 % BgL_auxz00_44815);
															}}
															{	/* Eval/evaluate.scm 505 */

																BgL_method3266z00_16185 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_16190,
																		(int) (BgL_modz00_16193)),
																	(int) (BgL_restz00_16195));
								}}}}}}}}
								BgL_res7506z00_16210 =
									PROCEDURE_ENTRY(BgL_method3266z00_16185)
									(BgL_method3266z00_16185, (obj_t) (BgL_arg5311z00_16180),
									BgL_nz00_4455, BEOA);
							}
							BgL_xz00_16178 = BgL_res7506z00_16210;
					}}
					{	/* Eval/evaluate.scm 505 */
						BgL_ev_exprz00_bglt BgL_arg5312z00_16181;

						BgL_arg5312z00_16181 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_4454))->BgL_e2z00);
						{	/* Eval/evaluate.scm 505 */
							obj_t BgL_res7509z00_16239;

							{	/* Eval/evaluate.scm 505 */
								obj_t BgL_method3266z00_16214;

								{	/* Eval/evaluate.scm 505 */
									BgL_objectz00_bglt BgL_objz00_16215;

									BgL_objz00_16215 =
										(BgL_objectz00_bglt) (BgL_arg5312z00_16181);
									{	/* Eval/evaluate.scm 505 */
										long BgL_objzd2classzd2numz00_16216;

										BgL_objzd2classzd2numz00_16216 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_16215);
										{	/* Eval/evaluate.scm 505 */
											obj_t BgL_arg6930z00_16217;

											BgL_arg6930z00_16217 =
												PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 505 */
												obj_t BgL_arrayz00_16219;

												int BgL_offsetz00_16220;

												BgL_arrayz00_16219 = BgL_arg6930z00_16217;
												BgL_offsetz00_16220 =
													(int) (BgL_objzd2classzd2numz00_16216);
												{	/* Eval/evaluate.scm 505 */
													long BgL_offsetz00_16221;

													BgL_offsetz00_16221 =
														((long) (BgL_offsetz00_16220) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 505 */
														long BgL_modz00_16222;

														{	/* Eval/evaluate.scm 505 */
															int BgL_arg6932z00_16223;

															BgL_arg6932z00_16223 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 505 */
																long BgL_auxz00_44834;

																BgL_auxz00_44834 =
																	(long) (BgL_arg6932z00_16223);
																BgL_modz00_16222 =
																	(BgL_offsetz00_16221 / BgL_auxz00_44834);
														}}
														{	/* Eval/evaluate.scm 505 */
															long BgL_restz00_16224;

															{	/* Eval/evaluate.scm 505 */
																int BgL_arg6931z00_16225;

																BgL_arg6931z00_16225 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 505 */
																	long BgL_auxz00_44838;

																	BgL_auxz00_44838 =
																		(long) (BgL_arg6931z00_16225);
																	BgL_restz00_16224 =
																		(BgL_offsetz00_16221 % BgL_auxz00_44838);
															}}
															{	/* Eval/evaluate.scm 505 */

																BgL_method3266z00_16214 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_16219,
																		(int) (BgL_modz00_16222)),
																	(int) (BgL_restz00_16224));
								}}}}}}}}
								BgL_res7509z00_16239 =
									PROCEDURE_ENTRY(BgL_method3266z00_16214)
									(BgL_method3266z00_16214, (obj_t) (BgL_arg5312z00_16181),
									BgL_nz00_4455, BEOA);
							}
							BgL_yz00_16179 = BgL_res7509z00_16239;
					}}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BgL_xz00_16178, BgL_yz00_16179);
				}
			}
		}
	}



/* fsize-ev_list3276 */
	obj_t BGl_fsiza7ezd2ev_list3276z75zz__evaluatez00(obj_t BgL_envz00_26229,
		obj_t BgL_ez00_26230, obj_t BgL_nz00_26231)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 498 */
			{
				BgL_ev_listz00_bglt BgL_ez00_4436;

				obj_t BgL_nz00_4437;

				BgL_ez00_4436 = (BgL_ev_listz00_bglt) (BgL_ez00_26230);
				BgL_nz00_4437 = BgL_nz00_26231;
				{	/* Eval/evaluate.scm 499 */
					obj_t BgL_g2643z00_4440;

					BgL_g2643z00_4440 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_4436))->BgL_argsz00);
					{
						obj_t BgL_lz00_16056;

						obj_t BgL_rz00_16057;

						BgL_lz00_16056 = BgL_g2643z00_4440;
						BgL_rz00_16057 = BgL_nz00_4437;
					BgL_recz00_16055:
						if (NULLP(BgL_lz00_16056))
							{	/* Eval/evaluate.scm 499 */
								return BgL_rz00_16057;
							}
						else
							{	/* Eval/evaluate.scm 499 */
								obj_t BgL_arg5307z00_16065;

								obj_t BgL_arg5308z00_16066;

								BgL_arg5307z00_16065 = CDR(BgL_lz00_16056);
								{	/* Eval/evaluate.scm 499 */
									obj_t BgL_yz00_16068;

									{	/* Eval/evaluate.scm 499 */
										obj_t BgL_arg5309z00_16069;

										BgL_arg5309z00_16069 = CAR(BgL_lz00_16056);
										{	/* Eval/evaluate.scm 499 */
											obj_t BgL_res7497z00_16100;

											{	/* Eval/evaluate.scm 499 */
												BgL_ev_exprz00_bglt BgL_ez00_16073;

												BgL_ez00_16073 =
													(BgL_ev_exprz00_bglt) (BgL_arg5309z00_16069);
												{	/* Eval/evaluate.scm 499 */
													obj_t BgL_method3266z00_16075;

													{	/* Eval/evaluate.scm 499 */
														BgL_objectz00_bglt BgL_objz00_16076;

														BgL_objz00_16076 =
															(BgL_objectz00_bglt) (BgL_ez00_16073);
														{	/* Eval/evaluate.scm 499 */
															long BgL_objzd2classzd2numz00_16077;

															BgL_objzd2classzd2numz00_16077 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_16076);
															{	/* Eval/evaluate.scm 499 */
																obj_t BgL_arg6930z00_16078;

																BgL_arg6930z00_16078 =
																	PROCEDURE_REF
																	(BGl_fsiza7ezd2envz75zz__evaluatez00,
																	(int) (((long) 1)));
																{	/* Eval/evaluate.scm 499 */
																	obj_t BgL_arrayz00_16080;

																	int BgL_offsetz00_16081;

																	BgL_arrayz00_16080 = BgL_arg6930z00_16078;
																	BgL_offsetz00_16081 =
																		(int) (BgL_objzd2classzd2numz00_16077);
																	{	/* Eval/evaluate.scm 499 */
																		long BgL_offsetz00_16082;

																		BgL_offsetz00_16082 =
																			(
																			(long) (BgL_offsetz00_16081) -
																			OBJECT_TYPE);
																		{	/* Eval/evaluate.scm 499 */
																			long BgL_modz00_16083;

																			{	/* Eval/evaluate.scm 499 */
																				int BgL_arg6932z00_16084;

																				BgL_arg6932z00_16084 =
																					(int) (((long) 16));
																				{	/* Eval/evaluate.scm 499 */
																					long BgL_auxz00_44864;

																					BgL_auxz00_44864 =
																						(long) (BgL_arg6932z00_16084);
																					BgL_modz00_16083 =
																						(BgL_offsetz00_16082 /
																						BgL_auxz00_44864);
																			}}
																			{	/* Eval/evaluate.scm 499 */
																				long BgL_restz00_16085;

																				{	/* Eval/evaluate.scm 499 */
																					int BgL_arg6931z00_16086;

																					BgL_arg6931z00_16086 =
																						(int) (((long) 16));
																					{	/* Eval/evaluate.scm 499 */
																						long BgL_auxz00_44868;

																						BgL_auxz00_44868 =
																							(long) (BgL_arg6931z00_16086);
																						BgL_restz00_16085 =
																							(BgL_offsetz00_16082 %
																							BgL_auxz00_44868);
																				}}
																				{	/* Eval/evaluate.scm 499 */

																					BgL_method3266z00_16075 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_16080,
																							(int) (BgL_modz00_16083)),
																						(int) (BgL_restz00_16085));
													}}}}}}}}
													BgL_res7497z00_16100 =
														PROCEDURE_ENTRY(BgL_method3266z00_16075)
														(BgL_method3266z00_16075, (obj_t) (BgL_ez00_16073),
														BgL_nz00_4437, BEOA);
											}}
											BgL_yz00_16068 = BgL_res7497z00_16100;
									}}
									BgL_arg5308z00_16066 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BgL_rz00_16057,
										BgL_yz00_16068);
								}
								{
									obj_t BgL_rz00_44880;

									obj_t BgL_lz00_44879;

									BgL_lz00_44879 = BgL_arg5307z00_16065;
									BgL_rz00_44880 = BgL_arg5308z00_16066;
									BgL_rz00_16057 = BgL_rz00_44880;
									BgL_lz00_16056 = BgL_lz00_44879;
									goto BgL_recz00_16055;
								}
							}
					}
				}
			}
		}
	}



/* fsize-ev_if3274 */
	obj_t BGl_fsiza7ezd2ev_if3274z75zz__evaluatez00(obj_t BgL_envz00_26232,
		obj_t BgL_ez00_26233, obj_t BgL_nz00_26234)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 494 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_4421;

				obj_t BgL_nz00_4422;

				BgL_ez00_4421 = (BgL_ev_ifz00_bglt) (BgL_ez00_26233);
				BgL_nz00_4422 = BgL_nz00_26234;
				{	/* Eval/evaluate.scm 496 */
					obj_t BgL_arg5296z00_4426;

					obj_t BgL_arg5297z00_4427;

					{	/* Eval/evaluate.scm 496 */
						BgL_ev_exprz00_bglt BgL_arg5298z00_4428;

						BgL_arg5298z00_4428 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_4421))->BgL_pz00);
						{	/* Eval/evaluate.scm 496 */
							obj_t BgL_res7488z00_15995;

							{	/* Eval/evaluate.scm 496 */
								obj_t BgL_method3266z00_15970;

								{	/* Eval/evaluate.scm 496 */
									BgL_objectz00_bglt BgL_objz00_15971;

									BgL_objz00_15971 = (BgL_objectz00_bglt) (BgL_arg5298z00_4428);
									{	/* Eval/evaluate.scm 496 */
										long BgL_objzd2classzd2numz00_15972;

										BgL_objzd2classzd2numz00_15972 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_15971);
										{	/* Eval/evaluate.scm 496 */
											obj_t BgL_arg6930z00_15973;

											BgL_arg6930z00_15973 =
												PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 496 */
												obj_t BgL_arrayz00_15975;

												int BgL_offsetz00_15976;

												BgL_arrayz00_15975 = BgL_arg6930z00_15973;
												BgL_offsetz00_15976 =
													(int) (BgL_objzd2classzd2numz00_15972);
												{	/* Eval/evaluate.scm 496 */
													long BgL_offsetz00_15977;

													BgL_offsetz00_15977 =
														((long) (BgL_offsetz00_15976) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 496 */
														long BgL_modz00_15978;

														{	/* Eval/evaluate.scm 496 */
															int BgL_arg6932z00_15979;

															BgL_arg6932z00_15979 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 496 */
																long BgL_auxz00_44891;

																BgL_auxz00_44891 =
																	(long) (BgL_arg6932z00_15979);
																BgL_modz00_15978 =
																	(BgL_offsetz00_15977 / BgL_auxz00_44891);
														}}
														{	/* Eval/evaluate.scm 496 */
															long BgL_restz00_15980;

															{	/* Eval/evaluate.scm 496 */
																int BgL_arg6931z00_15981;

																BgL_arg6931z00_15981 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 496 */
																	long BgL_auxz00_44895;

																	BgL_auxz00_44895 =
																		(long) (BgL_arg6931z00_15981);
																	BgL_restz00_15980 =
																		(BgL_offsetz00_15977 % BgL_auxz00_44895);
															}}
															{	/* Eval/evaluate.scm 496 */

																BgL_method3266z00_15970 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_15975,
																		(int) (BgL_modz00_15978)),
																	(int) (BgL_restz00_15980));
								}}}}}}}}
								BgL_res7488z00_15995 =
									PROCEDURE_ENTRY(BgL_method3266z00_15970)
									(BgL_method3266z00_15970, (obj_t) (BgL_arg5298z00_4428),
									BgL_nz00_4422, BEOA);
							}
							BgL_arg5296z00_4426 = BgL_res7488z00_15995;
					}}
					{	/* Eval/evaluate.scm 496 */
						obj_t BgL_arg5299z00_4429;

						obj_t BgL_arg5300z00_4430;

						{	/* Eval/evaluate.scm 496 */
							BgL_ev_exprz00_bglt BgL_arg5302z00_4432;

							BgL_arg5302z00_4432 =
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_4421))->BgL_tz00);
							{	/* Eval/evaluate.scm 496 */
								obj_t BgL_res7491z00_16024;

								{	/* Eval/evaluate.scm 496 */
									obj_t BgL_method3266z00_15999;

									{	/* Eval/evaluate.scm 496 */
										BgL_objectz00_bglt BgL_objz00_16000;

										BgL_objz00_16000 =
											(BgL_objectz00_bglt) (BgL_arg5302z00_4432);
										{	/* Eval/evaluate.scm 496 */
											long BgL_objzd2classzd2numz00_16001;

											BgL_objzd2classzd2numz00_16001 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_16000);
											{	/* Eval/evaluate.scm 496 */
												obj_t BgL_arg6930z00_16002;

												BgL_arg6930z00_16002 =
													PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluatez00,
													(int) (((long) 1)));
												{	/* Eval/evaluate.scm 496 */
													obj_t BgL_arrayz00_16004;

													int BgL_offsetz00_16005;

													BgL_arrayz00_16004 = BgL_arg6930z00_16002;
													BgL_offsetz00_16005 =
														(int) (BgL_objzd2classzd2numz00_16001);
													{	/* Eval/evaluate.scm 496 */
														long BgL_offsetz00_16006;

														BgL_offsetz00_16006 =
															((long) (BgL_offsetz00_16005) - OBJECT_TYPE);
														{	/* Eval/evaluate.scm 496 */
															long BgL_modz00_16007;

															{	/* Eval/evaluate.scm 496 */
																int BgL_arg6932z00_16008;

																BgL_arg6932z00_16008 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 496 */
																	long BgL_auxz00_44914;

																	BgL_auxz00_44914 =
																		(long) (BgL_arg6932z00_16008);
																	BgL_modz00_16007 =
																		(BgL_offsetz00_16006 / BgL_auxz00_44914);
															}}
															{	/* Eval/evaluate.scm 496 */
																long BgL_restz00_16009;

																{	/* Eval/evaluate.scm 496 */
																	int BgL_arg6931z00_16010;

																	BgL_arg6931z00_16010 = (int) (((long) 16));
																	{	/* Eval/evaluate.scm 496 */
																		long BgL_auxz00_44918;

																		BgL_auxz00_44918 =
																			(long) (BgL_arg6931z00_16010);
																		BgL_restz00_16009 =
																			(BgL_offsetz00_16006 % BgL_auxz00_44918);
																}}
																{	/* Eval/evaluate.scm 496 */

																	BgL_method3266z00_15999 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_16004,
																			(int) (BgL_modz00_16007)),
																		(int) (BgL_restz00_16009));
									}}}}}}}}
									BgL_res7491z00_16024 =
										PROCEDURE_ENTRY(BgL_method3266z00_15999)
										(BgL_method3266z00_15999, (obj_t) (BgL_arg5302z00_4432),
										BgL_nz00_4422, BEOA);
								}
								BgL_arg5299z00_4429 = BgL_res7491z00_16024;
						}}
						{	/* Eval/evaluate.scm 496 */
							BgL_ev_exprz00_bglt BgL_arg5303z00_4433;

							BgL_arg5303z00_4433 =
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_4421))->BgL_ez00);
							{	/* Eval/evaluate.scm 496 */
								obj_t BgL_res7494z00_16053;

								{	/* Eval/evaluate.scm 496 */
									obj_t BgL_method3266z00_16028;

									{	/* Eval/evaluate.scm 496 */
										BgL_objectz00_bglt BgL_objz00_16029;

										BgL_objz00_16029 =
											(BgL_objectz00_bglt) (BgL_arg5303z00_4433);
										{	/* Eval/evaluate.scm 496 */
											long BgL_objzd2classzd2numz00_16030;

											BgL_objzd2classzd2numz00_16030 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_16029);
											{	/* Eval/evaluate.scm 496 */
												obj_t BgL_arg6930z00_16031;

												BgL_arg6930z00_16031 =
													PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluatez00,
													(int) (((long) 1)));
												{	/* Eval/evaluate.scm 496 */
													obj_t BgL_arrayz00_16033;

													int BgL_offsetz00_16034;

													BgL_arrayz00_16033 = BgL_arg6930z00_16031;
													BgL_offsetz00_16034 =
														(int) (BgL_objzd2classzd2numz00_16030);
													{	/* Eval/evaluate.scm 496 */
														long BgL_offsetz00_16035;

														BgL_offsetz00_16035 =
															((long) (BgL_offsetz00_16034) - OBJECT_TYPE);
														{	/* Eval/evaluate.scm 496 */
															long BgL_modz00_16036;

															{	/* Eval/evaluate.scm 496 */
																int BgL_arg6932z00_16037;

																BgL_arg6932z00_16037 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 496 */
																	long BgL_auxz00_44937;

																	BgL_auxz00_44937 =
																		(long) (BgL_arg6932z00_16037);
																	BgL_modz00_16036 =
																		(BgL_offsetz00_16035 / BgL_auxz00_44937);
															}}
															{	/* Eval/evaluate.scm 496 */
																long BgL_restz00_16038;

																{	/* Eval/evaluate.scm 496 */
																	int BgL_arg6931z00_16039;

																	BgL_arg6931z00_16039 = (int) (((long) 16));
																	{	/* Eval/evaluate.scm 496 */
																		long BgL_auxz00_44941;

																		BgL_auxz00_44941 =
																			(long) (BgL_arg6931z00_16039);
																		BgL_restz00_16038 =
																			(BgL_offsetz00_16035 % BgL_auxz00_44941);
																}}
																{	/* Eval/evaluate.scm 496 */

																	BgL_method3266z00_16028 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_16033,
																			(int) (BgL_modz00_16036)),
																		(int) (BgL_restz00_16038));
									}}}}}}}}
									BgL_res7494z00_16053 =
										PROCEDURE_ENTRY(BgL_method3266z00_16028)
										(BgL_method3266z00_16028, (obj_t) (BgL_arg5303z00_4433),
										BgL_nz00_4422, BEOA);
								}
								BgL_arg5300z00_4430 = BgL_res7494z00_16053;
						}}
						{	/* Eval/evaluate.scm 496 */
							obj_t BgL_list5301z00_4431;

							BgL_list5301z00_4431 = MAKE_PAIR(BgL_arg5300z00_4430, BNIL);
							BgL_arg5297z00_4427 =
								BGl_maxz00zz__r4_numbers_6_5z00(BgL_arg5299z00_4429,
								BgL_list5301z00_4431);
					}}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BgL_arg5296z00_4426,
						BgL_arg5297z00_4427);
				}
			}
		}
	}



/* fsize-ev_litt3272 */
	obj_t BGl_fsiza7ezd2ev_litt3272z75zz__evaluatez00(obj_t BgL_envz00_26235,
		obj_t BgL_ez00_26236, obj_t BgL_nz00_26237)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 491 */
			return BgL_nz00_26237;
		}
	}



/* fsize-ev_global3270 */
	obj_t BGl_fsiza7ezd2ev_global3270z75zz__evaluatez00(obj_t BgL_envz00_26238,
		obj_t BgL_varz00_26239, obj_t BgL_nz00_26240)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 488 */
			return BgL_nz00_26240;
		}
	}



/* fsize-ev_var3268 */
	obj_t BGl_fsiza7ezd2ev_var3268z75zz__evaluatez00(obj_t BgL_envz00_26241,
		obj_t BgL_ez00_26242, obj_t BgL_nz00_26243)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 485 */
			return BgL_nz00_26243;
		}
	}



/* avar-ev_abs3264 */
	obj_t BGl_avarzd2ev_abs3264zd2zz__evaluatez00(obj_t BgL_envz00_26244,
		obj_t BgL_ez00_26245, obj_t BgL_localz00_26246, obj_t BgL_absz00_26247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 468 */
			{
				BgL_ev_absz00_bglt BgL_ez00_4383;

				obj_t BgL_localz00_4384;

				obj_t BgL_absz00_4385;

				BgL_ez00_4383 = (BgL_ev_absz00_bglt) (BgL_ez00_26245);
				BgL_localz00_4384 = BgL_localz00_26246;
				BgL_absz00_4385 = BgL_absz00_26247;
				{	/* Eval/evaluate.scm 470 */
					obj_t BgL_arg5281z00_4389;

					{	/* Eval/evaluate.scm 470 */
						obj_t BgL_arg5282z00_4390;

						{
							BgL_ev_absz00_bglt BgL_auxz00_44955;

							BgL_auxz00_44955 = (BgL_ev_absz00_bglt) (BgL_absz00_4385);
							BgL_arg5282z00_4390 =
								(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_44955))->BgL_innerz00);
						}
						BgL_arg5281z00_4389 =
							MAKE_PAIR((obj_t) (BgL_ez00_4383), BgL_arg5282z00_4390);
					}
					{
						BgL_ev_absz00_bglt BgL_auxz00_44960;

						BgL_auxz00_44960 = (BgL_ev_absz00_bglt) (BgL_absz00_4385);
						((((BgL_ev_absz00_bglt) CREF(BgL_auxz00_44960))->BgL_innerz00) =
							((obj_t) BgL_arg5281z00_4389), BUNSPEC);
					}
				}
				{	/* Eval/evaluate.scm 471 */
					BgL_ev_exprz00_bglt BgL_arg5283z00_4391;

					obj_t BgL_arg5284z00_4392;

					BgL_arg5283z00_4391 =
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_4383))->BgL_bodyz00);
					BgL_arg5284z00_4392 =
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_4383))->BgL_varsz00);
					{	/* Eval/evaluate.scm 471 */
						obj_t BgL_method3232z00_15918;

						{	/* Eval/evaluate.scm 471 */
							BgL_objectz00_bglt BgL_objz00_15919;

							BgL_objz00_15919 = (BgL_objectz00_bglt) (BgL_arg5283z00_4391);
							{	/* Eval/evaluate.scm 471 */
								long BgL_objzd2classzd2numz00_15920;

								BgL_objzd2classzd2numz00_15920 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_15919);
								{	/* Eval/evaluate.scm 471 */
									obj_t BgL_arg6930z00_15921;

									BgL_arg6930z00_15921 =
										PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 471 */
										obj_t BgL_arrayz00_15923;

										int BgL_offsetz00_15924;

										BgL_arrayz00_15923 = BgL_arg6930z00_15921;
										BgL_offsetz00_15924 =
											(int) (BgL_objzd2classzd2numz00_15920);
										{	/* Eval/evaluate.scm 471 */
											long BgL_offsetz00_15925;

											BgL_offsetz00_15925 =
												((long) (BgL_offsetz00_15924) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 471 */
												long BgL_modz00_15926;

												{	/* Eval/evaluate.scm 471 */
													int BgL_arg6932z00_15927;

													BgL_arg6932z00_15927 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 471 */
														long BgL_auxz00_44973;

														BgL_auxz00_44973 = (long) (BgL_arg6932z00_15927);
														BgL_modz00_15926 =
															(BgL_offsetz00_15925 / BgL_auxz00_44973);
												}}
												{	/* Eval/evaluate.scm 471 */
													long BgL_restz00_15928;

													{	/* Eval/evaluate.scm 471 */
														int BgL_arg6931z00_15929;

														BgL_arg6931z00_15929 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 471 */
															long BgL_auxz00_44977;

															BgL_auxz00_44977 = (long) (BgL_arg6931z00_15929);
															BgL_restz00_15928 =
																(BgL_offsetz00_15925 % BgL_auxz00_44977);
													}}
													{	/* Eval/evaluate.scm 471 */

														BgL_method3232z00_15918 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_15923,
																(int) (BgL_modz00_15926)),
															(int) (BgL_restz00_15928));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3232z00_15918) (BgL_method3232z00_15918,
							(obj_t) (BgL_arg5283z00_4391), BgL_arg5284z00_4392,
							(obj_t) (BgL_ez00_4383), BEOA);
				}}
				{	/* Eval/evaluate.scm 472 */
					obj_t BgL_ifreez00_4393;

					{	/* Eval/evaluate.scm 472 */
						obj_t BgL_arg5291z00_4400;

						BgL_arg5291z00_4400 =
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_4383))->BgL_varsz00);
						BgL_ifreez00_4393 =
							BGl_bindzd2andzd2resetzd2effectzd2zz__evaluatez00(BgL_ez00_4383,
							BgL_arg5291z00_4400);
					}
					{	/* Eval/evaluate.scm 473 */
						obj_t BgL_arg5285z00_4394;

						{	/* Eval/evaluate.scm 473 */
							obj_t BgL_arg5286z00_4395;

							obj_t BgL_arg5287z00_4396;

							{	/* Eval/evaluate.scm 473 */
								obj_t BgL_arg5288z00_4397;

								BgL_arg5288z00_4397 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_4383))->BgL_freez00);
								{
									obj_t BgL_l1z00_15946;

									obj_t BgL_l2z00_15947;

									BgL_l1z00_15946 = BgL_ifreez00_4393;
									BgL_l2z00_15947 = BgL_arg5288z00_4397;
								BgL_unionz00_15945:
									if (NULLP(BgL_l1z00_15946))
										{	/* Eval/evaluate.scm 473 */
											BgL_arg5286z00_4395 = BgL_l2z00_15947;
										}
									else
										{	/* Eval/evaluate.scm 473 */
											obj_t BgL_xz00_15954;

											BgL_xz00_15954 = CAR(BgL_l1z00_15946);
											{	/* Eval/evaluate.scm 473 */
												obj_t BgL_arg3604z00_15955;

												obj_t BgL_arg3605z00_15956;

												BgL_arg3604z00_15955 = CDR(BgL_l1z00_15946);
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_xz00_15954, BgL_l2z00_15947)))
													{	/* Eval/evaluate.scm 473 */
														BgL_arg3605z00_15956 = BgL_l2z00_15947;
													}
												else
													{	/* Eval/evaluate.scm 473 */
														BgL_arg3605z00_15956 =
															MAKE_PAIR(BgL_xz00_15954, BgL_l2z00_15947);
													}
												{
													obj_t BgL_l2z00_45000;

													obj_t BgL_l1z00_44999;

													BgL_l1z00_44999 = BgL_arg3604z00_15955;
													BgL_l2z00_45000 = BgL_arg3605z00_15956;
													BgL_l2z00_15947 = BgL_l2z00_45000;
													BgL_l1z00_15946 = BgL_l1z00_44999;
													goto BgL_unionz00_15945;
												}
											}
										}
								}
							}
							BgL_arg5287z00_4396 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_4383))->BgL_bindz00);
							BgL_arg5285z00_4394 =
								BGl_diffz00zz__evaluatez00(BgL_arg5286z00_4395,
								BgL_arg5287z00_4396);
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_ez00_4383))->BgL_freez00) =
							((obj_t) BgL_arg5285z00_4394), BUNSPEC);
					}
					{	/* Eval/evaluate.scm 474 */
						obj_t BgL_arg5289z00_4398;

						{	/* Eval/evaluate.scm 474 */
							obj_t BgL_arg5290z00_4399;

							BgL_arg5290z00_4399 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_4383))->BgL_varsz00);
							BgL_arg5289z00_4398 =
								BGl_filterz00zz__r4_control_features_6_9z00
								(BGl_ev_varzd2effzd2envz00zz__evaluatez00, BgL_arg5290z00_4399);
						}
						return
							((((BgL_ev_absz00_bglt) CREF(BgL_ez00_4383))->BgL_boxesz00) =
							((obj_t) BgL_arg5289z00_4398), BUNSPEC);
					}
				}
			}
		}
	}



/* avar-ev_app3262 */
	obj_t BGl_avarzd2ev_app3262zd2zz__evaluatez00(obj_t BgL_envz00_26248,
		obj_t BgL_ez00_26249, obj_t BgL_localz00_26250, obj_t BgL_absz00_26251)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 450 */
			{
				BgL_ev_appz00_bglt BgL_ez00_4366;

				obj_t BgL_localz00_4367;

				obj_t BgL_absz00_4368;

				{	/* Eval/evaluate.scm 451 */
					bool_t BgL_auxz00_45008;

					BgL_ez00_4366 = (BgL_ev_appz00_bglt) (BgL_ez00_26249);
					BgL_localz00_4367 = BgL_localz00_26250;
					BgL_absz00_4368 = BgL_absz00_26251;
					{	/* Eval/evaluate.scm 451 */
						BgL_ev_exprz00_bglt BgL_arg5276z00_15765;

						BgL_arg5276z00_15765 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_4366))->BgL_funz00);
						{	/* Eval/evaluate.scm 451 */
							obj_t BgL_method3232z00_15776;

							{	/* Eval/evaluate.scm 451 */
								BgL_objectz00_bglt BgL_objz00_15777;

								BgL_objz00_15777 = (BgL_objectz00_bglt) (BgL_arg5276z00_15765);
								{	/* Eval/evaluate.scm 451 */
									long BgL_objzd2classzd2numz00_15778;

									BgL_objzd2classzd2numz00_15778 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_15777);
									{	/* Eval/evaluate.scm 451 */
										obj_t BgL_arg6930z00_15779;

										BgL_arg6930z00_15779 =
											PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 451 */
											obj_t BgL_arrayz00_15781;

											int BgL_offsetz00_15782;

											BgL_arrayz00_15781 = BgL_arg6930z00_15779;
											BgL_offsetz00_15782 =
												(int) (BgL_objzd2classzd2numz00_15778);
											{	/* Eval/evaluate.scm 451 */
												long BgL_offsetz00_15783;

												BgL_offsetz00_15783 =
													((long) (BgL_offsetz00_15782) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 451 */
													long BgL_modz00_15784;

													{	/* Eval/evaluate.scm 451 */
														int BgL_arg6932z00_15785;

														BgL_arg6932z00_15785 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 451 */
															long BgL_auxz00_45018;

															BgL_auxz00_45018 = (long) (BgL_arg6932z00_15785);
															BgL_modz00_15784 =
																(BgL_offsetz00_15783 / BgL_auxz00_45018);
													}}
													{	/* Eval/evaluate.scm 451 */
														long BgL_restz00_15786;

														{	/* Eval/evaluate.scm 451 */
															int BgL_arg6931z00_15787;

															BgL_arg6931z00_15787 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 451 */
																long BgL_auxz00_45022;

																BgL_auxz00_45022 =
																	(long) (BgL_arg6931z00_15787);
																BgL_restz00_15786 =
																	(BgL_offsetz00_15783 % BgL_auxz00_45022);
														}}
														{	/* Eval/evaluate.scm 451 */

															BgL_method3232z00_15776 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_15781,
																	(int) (BgL_modz00_15784)),
																(int) (BgL_restz00_15786));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3232z00_15776) (BgL_method3232z00_15776,
								(obj_t) (BgL_arg5276z00_15765), BgL_localz00_4367,
								BgL_absz00_4368, BEOA);
					}}
					{	/* Eval/evaluate.scm 451 */
						obj_t BgL_g3100z00_15766;

						BgL_g3100z00_15766 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_4366))->BgL_argsz00);
						{
							obj_t BgL_l3098z00_15803;

							BgL_l3098z00_15803 = BgL_g3100z00_15766;
						BgL_zc3anonymousza35277ze3z83_15802:
							if (PAIRP(BgL_l3098z00_15803))
								{	/* Eval/evaluate.scm 451 */
									{	/* Eval/evaluate.scm 451 */
										obj_t BgL_ez00_15808;

										BgL_ez00_15808 = CAR(BgL_l3098z00_15803);
										{	/* Eval/evaluate.scm 451 */
											BgL_ev_exprz00_bglt BgL_ez00_15812;

											BgL_ez00_15812 = (BgL_ev_exprz00_bglt) (BgL_ez00_15808);
											{	/* Eval/evaluate.scm 451 */
												obj_t BgL_method3232z00_15815;

												{	/* Eval/evaluate.scm 451 */
													BgL_objectz00_bglt BgL_objz00_15816;

													BgL_objz00_15816 =
														(BgL_objectz00_bglt) (BgL_ez00_15812);
													{	/* Eval/evaluate.scm 451 */
														long BgL_objzd2classzd2numz00_15817;

														BgL_objzd2classzd2numz00_15817 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_15816);
														{	/* Eval/evaluate.scm 451 */
															obj_t BgL_arg6930z00_15818;

															BgL_arg6930z00_15818 =
																PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
																(int) (((long) 1)));
															{	/* Eval/evaluate.scm 451 */
																obj_t BgL_arrayz00_15820;

																int BgL_offsetz00_15821;

																BgL_arrayz00_15820 = BgL_arg6930z00_15818;
																BgL_offsetz00_15821 =
																	(int) (BgL_objzd2classzd2numz00_15817);
																{	/* Eval/evaluate.scm 451 */
																	long BgL_offsetz00_15822;

																	BgL_offsetz00_15822 =
																		(
																		(long) (BgL_offsetz00_15821) - OBJECT_TYPE);
																	{	/* Eval/evaluate.scm 451 */
																		long BgL_modz00_15823;

																		{	/* Eval/evaluate.scm 451 */
																			int BgL_arg6932z00_15824;

																			BgL_arg6932z00_15824 =
																				(int) (((long) 16));
																			{	/* Eval/evaluate.scm 451 */
																				long BgL_auxz00_45045;

																				BgL_auxz00_45045 =
																					(long) (BgL_arg6932z00_15824);
																				BgL_modz00_15823 =
																					(BgL_offsetz00_15822 /
																					BgL_auxz00_45045);
																		}}
																		{	/* Eval/evaluate.scm 451 */
																			long BgL_restz00_15825;

																			{	/* Eval/evaluate.scm 451 */
																				int BgL_arg6931z00_15826;

																				BgL_arg6931z00_15826 =
																					(int) (((long) 16));
																				{	/* Eval/evaluate.scm 451 */
																					long BgL_auxz00_45049;

																					BgL_auxz00_45049 =
																						(long) (BgL_arg6931z00_15826);
																					BgL_restz00_15825 =
																						(BgL_offsetz00_15822 %
																						BgL_auxz00_45049);
																			}}
																			{	/* Eval/evaluate.scm 451 */

																				BgL_method3232z00_15815 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_15820,
																						(int) (BgL_modz00_15823)),
																					(int) (BgL_restz00_15825));
												}}}}}}}}
												PROCEDURE_ENTRY(BgL_method3232z00_15815)
													(BgL_method3232z00_15815, (obj_t) (BgL_ez00_15812),
													BgL_localz00_4367, BgL_absz00_4368, BEOA);
									}}}
									{
										obj_t BgL_l3098z00_45059;

										BgL_l3098z00_45059 = CDR(BgL_l3098z00_15803);
										BgL_l3098z00_15803 = BgL_l3098z00_45059;
										goto BgL_zc3anonymousza35277ze3z83_15802;
									}
								}
							else
								{	/* Eval/evaluate.scm 451 */
									BgL_auxz00_45008 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_45008);
				}
			}
		}
	}



/* avar-ev_letrec3260 */
	obj_t BGl_avarzd2ev_letrec3260zd2zz__evaluatez00(obj_t BgL_envz00_26252,
		obj_t BgL_ez00_26253, obj_t BgL_localz00_26254, obj_t BgL_absz00_26255)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 442 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_4336;

				obj_t BgL_localz00_4337;

				obj_t BgL_absz00_4338;

				{	/* Eval/evaluate.scm 443 */
					bool_t BgL_auxz00_45063;

					BgL_ez00_4336 = (BgL_ev_letrecz00_bglt) (BgL_ez00_26253);
					BgL_localz00_4337 = BgL_localz00_26254;
					BgL_absz00_4338 = BgL_absz00_26255;
					{	/* Eval/evaluate.scm 444 */
						obj_t BgL_localz00_4342;

						{	/* Eval/evaluate.scm 444 */
							obj_t BgL_auxz00_45064;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_45065;

								BgL_auxz00_45065 = (BgL_ev_binderz00_bglt) (BgL_ez00_4336);
								BgL_auxz00_45064 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_45065))->
									BgL_varsz00);
							}
							BgL_localz00_4342 =
								bgl_append2(BgL_auxz00_45064, BgL_localz00_4337);
						}
						{	/* Eval/evaluate.scm 445 */
							obj_t BgL_g3094z00_4343;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_45069;

								BgL_auxz00_45069 = (BgL_ev_binderz00_bglt) (BgL_ez00_4336);
								BgL_g3094z00_4343 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_45069))->
									BgL_valsz00);
							}
							{
								obj_t BgL_l3092z00_15593;

								BgL_l3092z00_15593 = BgL_g3094z00_4343;
							BgL_zc3anonymousza35264ze3z83_15592:
								if (PAIRP(BgL_l3092z00_15593))
									{	/* Eval/evaluate.scm 445 */
										{	/* Eval/evaluate.scm 445 */
											obj_t BgL_ez00_15598;

											BgL_ez00_15598 = CAR(BgL_l3092z00_15593);
											{	/* Eval/evaluate.scm 445 */
												BgL_ev_exprz00_bglt BgL_ez00_15602;

												BgL_ez00_15602 = (BgL_ev_exprz00_bglt) (BgL_ez00_15598);
												{	/* Eval/evaluate.scm 445 */
													obj_t BgL_method3232z00_15605;

													{	/* Eval/evaluate.scm 445 */
														BgL_objectz00_bglt BgL_objz00_15606;

														BgL_objz00_15606 =
															(BgL_objectz00_bglt) (BgL_ez00_15602);
														{	/* Eval/evaluate.scm 445 */
															long BgL_objzd2classzd2numz00_15607;

															BgL_objzd2classzd2numz00_15607 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_15606);
															{	/* Eval/evaluate.scm 445 */
																obj_t BgL_arg6930z00_15608;

																BgL_arg6930z00_15608 =
																	PROCEDURE_REF
																	(BGl_avarzd2envzd2zz__evaluatez00,
																	(int) (((long) 1)));
																{	/* Eval/evaluate.scm 445 */
																	obj_t BgL_arrayz00_15610;

																	int BgL_offsetz00_15611;

																	BgL_arrayz00_15610 = BgL_arg6930z00_15608;
																	BgL_offsetz00_15611 =
																		(int) (BgL_objzd2classzd2numz00_15607);
																	{	/* Eval/evaluate.scm 445 */
																		long BgL_offsetz00_15612;

																		BgL_offsetz00_15612 =
																			(
																			(long) (BgL_offsetz00_15611) -
																			OBJECT_TYPE);
																		{	/* Eval/evaluate.scm 445 */
																			long BgL_modz00_15613;

																			{	/* Eval/evaluate.scm 445 */
																				int BgL_arg6932z00_15614;

																				BgL_arg6932z00_15614 =
																					(int) (((long) 16));
																				{	/* Eval/evaluate.scm 445 */
																					long BgL_auxz00_45084;

																					BgL_auxz00_45084 =
																						(long) (BgL_arg6932z00_15614);
																					BgL_modz00_15613 =
																						(BgL_offsetz00_15612 /
																						BgL_auxz00_45084);
																			}}
																			{	/* Eval/evaluate.scm 445 */
																				long BgL_restz00_15615;

																				{	/* Eval/evaluate.scm 445 */
																					int BgL_arg6931z00_15616;

																					BgL_arg6931z00_15616 =
																						(int) (((long) 16));
																					{	/* Eval/evaluate.scm 445 */
																						long BgL_auxz00_45088;

																						BgL_auxz00_45088 =
																							(long) (BgL_arg6931z00_15616);
																						BgL_restz00_15615 =
																							(BgL_offsetz00_15612 %
																							BgL_auxz00_45088);
																				}}
																				{	/* Eval/evaluate.scm 445 */

																					BgL_method3232z00_15605 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_15610,
																							(int) (BgL_modz00_15613)),
																						(int) (BgL_restz00_15615));
													}}}}}}}}
													PROCEDURE_ENTRY(BgL_method3232z00_15605)
														(BgL_method3232z00_15605, (obj_t) (BgL_ez00_15602),
														BgL_localz00_4342, BgL_absz00_4338, BEOA);
										}}}
										{
											obj_t BgL_l3092z00_45098;

											BgL_l3092z00_45098 = CDR(BgL_l3092z00_15593);
											BgL_l3092z00_15593 = BgL_l3092z00_45098;
											goto BgL_zc3anonymousza35264ze3z83_15592;
										}
									}
								else
									{	/* Eval/evaluate.scm 445 */
										((bool_t) 1);
									}
							}
						}
						{	/* Eval/evaluate.scm 446 */
							BgL_ev_exprz00_bglt BgL_arg5267z00_4351;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_45100;

								BgL_auxz00_45100 = (BgL_ev_binderz00_bglt) (BgL_ez00_4336);
								BgL_arg5267z00_4351 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_45100))->
									BgL_bodyz00);
							}
							{	/* Eval/evaluate.scm 446 */
								obj_t BgL_method3232z00_15704;

								{	/* Eval/evaluate.scm 446 */
									BgL_objectz00_bglt BgL_objz00_15705;

									BgL_objz00_15705 = (BgL_objectz00_bglt) (BgL_arg5267z00_4351);
									{	/* Eval/evaluate.scm 446 */
										long BgL_objzd2classzd2numz00_15706;

										BgL_objzd2classzd2numz00_15706 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_15705);
										{	/* Eval/evaluate.scm 446 */
											obj_t BgL_arg6930z00_15707;

											BgL_arg6930z00_15707 =
												PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
												(int) (((long) 1)));
											{	/* Eval/evaluate.scm 446 */
												obj_t BgL_arrayz00_15709;

												int BgL_offsetz00_15710;

												BgL_arrayz00_15709 = BgL_arg6930z00_15707;
												BgL_offsetz00_15710 =
													(int) (BgL_objzd2classzd2numz00_15706);
												{	/* Eval/evaluate.scm 446 */
													long BgL_offsetz00_15711;

													BgL_offsetz00_15711 =
														((long) (BgL_offsetz00_15710) - OBJECT_TYPE);
													{	/* Eval/evaluate.scm 446 */
														long BgL_modz00_15712;

														{	/* Eval/evaluate.scm 446 */
															int BgL_arg6932z00_15713;

															BgL_arg6932z00_15713 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 446 */
																long BgL_auxz00_45111;

																BgL_auxz00_45111 =
																	(long) (BgL_arg6932z00_15713);
																BgL_modz00_15712 =
																	(BgL_offsetz00_15711 / BgL_auxz00_45111);
														}}
														{	/* Eval/evaluate.scm 446 */
															long BgL_restz00_15714;

															{	/* Eval/evaluate.scm 446 */
																int BgL_arg6931z00_15715;

																BgL_arg6931z00_15715 = (int) (((long) 16));
																{	/* Eval/evaluate.scm 446 */
																	long BgL_auxz00_45115;

																	BgL_auxz00_45115 =
																		(long) (BgL_arg6931z00_15715);
																	BgL_restz00_15714 =
																		(BgL_offsetz00_15711 % BgL_auxz00_45115);
															}}
															{	/* Eval/evaluate.scm 446 */

																BgL_method3232z00_15704 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_15709,
																		(int) (BgL_modz00_15712)),
																	(int) (BgL_restz00_15714));
								}}}}}}}}
								PROCEDURE_ENTRY(BgL_method3232z00_15704)
									(BgL_method3232z00_15704, (obj_t) (BgL_arg5267z00_4351),
									BgL_localz00_4342, BgL_absz00_4338, BEOA);
						}}
						{	/* Eval/evaluate.scm 447 */
							obj_t BgL_arg5268z00_4352;

							{	/* Eval/evaluate.scm 447 */
								obj_t BgL_auxz00_45129;

								obj_t BgL_auxz00_45125;

								{
									BgL_ev_absz00_bglt BgL_auxz00_45130;

									BgL_auxz00_45130 = (BgL_ev_absz00_bglt) (BgL_absz00_4338);
									BgL_auxz00_45129 =
										(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_45130))->
										BgL_bindz00);
								}
								{
									BgL_ev_binderz00_bglt BgL_auxz00_45126;

									BgL_auxz00_45126 = (BgL_ev_binderz00_bglt) (BgL_ez00_4336);
									BgL_auxz00_45125 =
										(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_45126))->
										BgL_varsz00);
								}
								BgL_arg5268z00_4352 =
									bgl_append2(BgL_auxz00_45125, BgL_auxz00_45129);
							}
							{
								BgL_ev_absz00_bglt BgL_auxz00_45134;

								BgL_auxz00_45134 = (BgL_ev_absz00_bglt) (BgL_absz00_4338);
								((((BgL_ev_absz00_bglt) CREF(BgL_auxz00_45134))->BgL_bindz00) =
									((obj_t) BgL_arg5268z00_4352), BUNSPEC);
						}}
						{	/* Eval/evaluate.scm 448 */
							obj_t BgL_g3097z00_4355;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_45137;

								BgL_auxz00_45137 = (BgL_ev_binderz00_bglt) (BgL_ez00_4336);
								BgL_g3097z00_4355 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_45137))->
									BgL_varsz00);
							}
							{
								obj_t BgL_l3095z00_15735;

								BgL_l3095z00_15735 = BgL_g3097z00_4355;
							BgL_zc3anonymousza35271ze3z83_15734:
								if (PAIRP(BgL_l3095z00_15735))
									{	/* Eval/evaluate.scm 448 */
										{	/* Eval/evaluate.scm 448 */
											obj_t BgL_vz00_15740;

											BgL_vz00_15740 = CAR(BgL_l3095z00_15735);
											{
												BgL_ev_varz00_bglt BgL_auxz00_45143;

												BgL_auxz00_45143 =
													(BgL_ev_varz00_bglt) (BgL_vz00_15740);
												((((BgL_ev_varz00_bglt) CREF(BgL_auxz00_45143))->
														BgL_effz00) = ((obj_t) BTRUE), BUNSPEC);
											}
										}
										{
											obj_t BgL_l3095z00_45146;

											BgL_l3095z00_45146 = CDR(BgL_l3095z00_15735);
											BgL_l3095z00_15735 = BgL_l3095z00_45146;
											goto BgL_zc3anonymousza35271ze3z83_15734;
										}
									}
								else
									{	/* Eval/evaluate.scm 448 */
										BgL_auxz00_45063 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_45063);
				}
			}
		}
	}



/* avar-ev_let*3258 */
	obj_t BGl_avarzd2ev_letza23258z70zz__evaluatez00(obj_t BgL_envz00_26256,
		obj_t BgL_ez00_26257, obj_t BgL_localz00_26258, obj_t BgL_absz00_26259)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 434 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_4297;

				obj_t BgL_localz00_4298;

				obj_t BgL_absz00_4299;

				BgL_ez00_4297 = (BgL_ev_letza2za2_bglt) (BgL_ez00_26257);
				BgL_localz00_4298 = BgL_localz00_26258;
				BgL_absz00_4299 = BgL_absz00_26259;
				{	/* Eval/evaluate.scm 436 */
					obj_t BgL_localz00_4303;

					{	/* Eval/evaluate.scm 436 */
						obj_t BgL_auxz00_45150;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_45151;

							BgL_auxz00_45151 = (BgL_ev_binderz00_bglt) (BgL_ez00_4297);
							BgL_auxz00_45150 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_45151))->BgL_varsz00);
						}
						BgL_localz00_4303 =
							bgl_append2(BgL_auxz00_45150, BgL_localz00_4298);
					}
					{	/* Eval/evaluate.scm 437 */
						obj_t BgL_g3085z00_4304;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_45155;

							BgL_auxz00_45155 = (BgL_ev_binderz00_bglt) (BgL_ez00_4297);
							BgL_g3085z00_4304 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_45155))->BgL_valsz00);
						}
						{
							obj_t BgL_l3083z00_15391;

							BgL_l3083z00_15391 = BgL_g3085z00_4304;
						BgL_zc3anonymousza35246ze3z83_15390:
							if (PAIRP(BgL_l3083z00_15391))
								{	/* Eval/evaluate.scm 437 */
									{	/* Eval/evaluate.scm 437 */
										obj_t BgL_ez00_15396;

										BgL_ez00_15396 = CAR(BgL_l3083z00_15391);
										{	/* Eval/evaluate.scm 437 */
											BgL_ev_exprz00_bglt BgL_ez00_15400;

											BgL_ez00_15400 = (BgL_ev_exprz00_bglt) (BgL_ez00_15396);
											{	/* Eval/evaluate.scm 437 */
												obj_t BgL_method3232z00_15403;

												{	/* Eval/evaluate.scm 437 */
													BgL_objectz00_bglt BgL_objz00_15404;

													BgL_objz00_15404 =
														(BgL_objectz00_bglt) (BgL_ez00_15400);
													{	/* Eval/evaluate.scm 437 */
														long BgL_objzd2classzd2numz00_15405;

														BgL_objzd2classzd2numz00_15405 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_15404);
														{	/* Eval/evaluate.scm 437 */
															obj_t BgL_arg6930z00_15406;

															BgL_arg6930z00_15406 =
																PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
																(int) (((long) 1)));
															{	/* Eval/evaluate.scm 437 */
																obj_t BgL_arrayz00_15408;

																int BgL_offsetz00_15409;

																BgL_arrayz00_15408 = BgL_arg6930z00_15406;
																BgL_offsetz00_15409 =
																	(int) (BgL_objzd2classzd2numz00_15405);
																{	/* Eval/evaluate.scm 437 */
																	long BgL_offsetz00_15410;

																	BgL_offsetz00_15410 =
																		(
																		(long) (BgL_offsetz00_15409) - OBJECT_TYPE);
																	{	/* Eval/evaluate.scm 437 */
																		long BgL_modz00_15411;

																		{	/* Eval/evaluate.scm 437 */
																			int BgL_arg6932z00_15412;

																			BgL_arg6932z00_15412 =
																				(int) (((long) 16));
																			{	/* Eval/evaluate.scm 437 */
																				long BgL_auxz00_45170;

																				BgL_auxz00_45170 =
																					(long) (BgL_arg6932z00_15412);
																				BgL_modz00_15411 =
																					(BgL_offsetz00_15410 /
																					BgL_auxz00_45170);
																		}}
																		{	/* Eval/evaluate.scm 437 */
																			long BgL_restz00_15413;

																			{	/* Eval/evaluate.scm 437 */
																				int BgL_arg6931z00_15414;

																				BgL_arg6931z00_15414 =
																					(int) (((long) 16));
																				{	/* Eval/evaluate.scm 437 */
																					long BgL_auxz00_45174;

																					BgL_auxz00_45174 =
																						(long) (BgL_arg6931z00_15414);
																					BgL_restz00_15413 =
																						(BgL_offsetz00_15410 %
																						BgL_auxz00_45174);
																			}}
																			{	/* Eval/evaluate.scm 437 */

																				BgL_method3232z00_15403 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_15408,
																						(int) (BgL_modz00_15411)),
																					(int) (BgL_restz00_15413));
												}}}}}}}}
												PROCEDURE_ENTRY(BgL_method3232z00_15403)
													(BgL_method3232z00_15403, (obj_t) (BgL_ez00_15400),
													BgL_localz00_4303, BgL_absz00_4299, BEOA);
									}}}
									{
										obj_t BgL_l3083z00_45184;

										BgL_l3083z00_45184 = CDR(BgL_l3083z00_15391);
										BgL_l3083z00_15391 = BgL_l3083z00_45184;
										goto BgL_zc3anonymousza35246ze3z83_15390;
									}
								}
							else
								{	/* Eval/evaluate.scm 437 */
									((bool_t) 1);
								}
						}
					}
					{	/* Eval/evaluate.scm 438 */
						BgL_ev_exprz00_bglt BgL_arg5249z00_4312;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_45186;

							BgL_auxz00_45186 = (BgL_ev_binderz00_bglt) (BgL_ez00_4297);
							BgL_arg5249z00_4312 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_45186))->BgL_bodyz00);
						}
						{	/* Eval/evaluate.scm 438 */
							obj_t BgL_method3232z00_15502;

							{	/* Eval/evaluate.scm 438 */
								BgL_objectz00_bglt BgL_objz00_15503;

								BgL_objz00_15503 = (BgL_objectz00_bglt) (BgL_arg5249z00_4312);
								{	/* Eval/evaluate.scm 438 */
									long BgL_objzd2classzd2numz00_15504;

									BgL_objzd2classzd2numz00_15504 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_15503);
									{	/* Eval/evaluate.scm 438 */
										obj_t BgL_arg6930z00_15505;

										BgL_arg6930z00_15505 =
											PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
											(int) (((long) 1)));
										{	/* Eval/evaluate.scm 438 */
											obj_t BgL_arrayz00_15507;

											int BgL_offsetz00_15508;

											BgL_arrayz00_15507 = BgL_arg6930z00_15505;
											BgL_offsetz00_15508 =
												(int) (BgL_objzd2classzd2numz00_15504);
											{	/* Eval/evaluate.scm 438 */
												long BgL_offsetz00_15509;

												BgL_offsetz00_15509 =
													((long) (BgL_offsetz00_15508) - OBJECT_TYPE);
												{	/* Eval/evaluate.scm 438 */
													long BgL_modz00_15510;

													{	/* Eval/evaluate.scm 438 */
														int BgL_arg6932z00_15511;

														BgL_arg6932z00_15511 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 438 */
															long BgL_auxz00_45197;

															BgL_auxz00_45197 = (long) (BgL_arg6932z00_15511);
															BgL_modz00_15510 =
																(BgL_offsetz00_15509 / BgL_auxz00_45197);
													}}
													{	/* Eval/evaluate.scm 438 */
														long BgL_restz00_15512;

														{	/* Eval/evaluate.scm 438 */
															int BgL_arg6931z00_15513;

															BgL_arg6931z00_15513 = (int) (((long) 16));
															{	/* Eval/evaluate.scm 438 */
																long BgL_auxz00_45201;

																BgL_auxz00_45201 =
																	(long) (BgL_arg6931z00_15513);
																BgL_restz00_15512 =
																	(BgL_offsetz00_15509 % BgL_auxz00_45201);
														}}
														{	/* Eval/evaluate.scm 438 */

															BgL_method3232z00_15502 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_15507,
																	(int) (BgL_modz00_15510)),
																(int) (BgL_restz00_15512));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3232z00_15502) (BgL_method3232z00_15502,
								(obj_t) (BgL_arg5249z00_4312), BgL_localz00_4303,
								BgL_absz00_4299, BEOA);
					}}
					{	/* Eval/evaluate.scm 439 */
						obj_t BgL_arg5250z00_4313;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_45211;

							BgL_auxz00_45211 = (BgL_ev_binderz00_bglt) (BgL_ez00_4297);
							BgL_arg5250z00_4313 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_45211))->BgL_varsz00);
						}
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluatez00(
							(BgL_ev_absz00_bglt) (BgL_absz00_4299), BgL_arg5250z00_4313);
					}
					{	/* Eval/evaluate.scm 440 */
						obj_t BgL_arg5251z00_4314;

						{	/* Eval/evaluate.scm 440 */
							obj_t BgL_l3086z00_4315;

							{
								BgL_ev_binderz00_bglt BgL_auxz00_45216;

								BgL_auxz00_45216 = (BgL_ev_binderz00_bglt) (BgL_ez00_4297);
								BgL_l3086z00_4315 =
									(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_45216))->
									BgL_varsz00);
							}
							if (NULLP(BgL_l3086z00_4315))
								{	/* Eval/evaluate.scm 440 */
									BgL_arg5251z00_4314 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 440 */
									obj_t BgL_head3088z00_4317;

									{	/* Eval/evaluate.scm 440 */
										obj_t BgL_arg5259z00_4330;

										{	/* Eval/evaluate.scm 440 */
											BgL_ev_varz00_bglt BgL_obj1835z00_15531;

											{	/* Eval/evaluate.scm 440 */
												obj_t BgL_pairz00_15530;

												BgL_pairz00_15530 = BgL_l3086z00_4315;
												BgL_obj1835z00_15531 =
													(BgL_ev_varz00_bglt) (CAR(BgL_pairz00_15530));
											}
											BgL_arg5259z00_4330 =
												(((BgL_ev_varz00_bglt) CREF(BgL_obj1835z00_15531))->
												BgL_effz00);
										}
										BgL_head3088z00_4317 = MAKE_PAIR(BgL_arg5259z00_4330, BNIL);
									}
									{	/* Eval/evaluate.scm 440 */
										obj_t BgL_g3091z00_4318;

										BgL_g3091z00_4318 = CDR(BgL_l3086z00_4315);
										{
											obj_t BgL_l3086z00_15536;

											obj_t BgL_tail3089z00_15537;

											BgL_l3086z00_15536 = BgL_g3091z00_4318;
											BgL_tail3089z00_15537 = BgL_head3088z00_4317;
										BgL_zc3anonymousza35253ze3z83_15535:
											if (NULLP(BgL_l3086z00_15536))
												{	/* Eval/evaluate.scm 440 */
													BgL_arg5251z00_4314 = BgL_head3088z00_4317;
												}
											else
												{	/* Eval/evaluate.scm 440 */
													obj_t BgL_newtail3090z00_15545;

													{	/* Eval/evaluate.scm 440 */
														obj_t BgL_arg5256z00_15546;

														{	/* Eval/evaluate.scm 440 */
															BgL_ev_varz00_bglt BgL_obj1835z00_15552;

															{	/* Eval/evaluate.scm 440 */
																obj_t BgL_pairz00_15551;

																BgL_pairz00_15551 = BgL_l3086z00_15536;
																BgL_obj1835z00_15552 =
																	(BgL_ev_varz00_bglt) (CAR(BgL_pairz00_15551));
															}
															BgL_arg5256z00_15546 =
																(((BgL_ev_varz00_bglt)
																	CREF(BgL_obj1835z00_15552))->BgL_effz00);
														}
														BgL_newtail3090z00_15545 =
															MAKE_PAIR(BgL_arg5256z00_15546, BNIL);
													}
													SET_CDR(BgL_tail3089z00_15537,
														BgL_newtail3090z00_15545);
													{
														obj_t BgL_tail3089z00_45235;

														obj_t BgL_l3086z00_45233;

														BgL_l3086z00_45233 = CDR(BgL_l3086z00_15536);
														BgL_tail3089z00_45235 = BgL_newtail3090z00_15545;
														BgL_tail3089z00_15537 = BgL_tail3089z00_45235;
														BgL_l3086z00_15536 = BgL_l3086z00_45233;
														goto BgL_zc3anonymousza35253ze3z83_15535;
													}
												}
										}
									}
								}
						}
						return
							((((BgL_ev_letza2za2_bglt) CREF(BgL_ez00_4297))->BgL_boxesz00) =
							((obj_t) BgL_arg5251z00_4314), BUNSPEC);
					}
				}
			}
		}
	}



/* avar-ev_let3256 */
	obj_t BGl_avarzd2ev_let3256zd2zz__evaluatez00(obj_t BgL_envz00_26260,
		obj_t BgL_ez00_26261, obj_t BgL_localz00_26262, obj_t BgL_absz00_26263)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 427 */
			{
				BgL_ev_letz00_bglt BgL_ez00_4275;

				obj_t BgL_localz00_4276;

				obj_t BgL_absz00_4277;

				BgL_ez00_4275 = (BgL_ev_letz00_bglt) (BgL_ez00_26261);
				BgL_localz00_4276 = BgL_localz00_26262;
				BgL_absz00_4277 = BgL_absz00_26263;
				{	/* Eval/evaluate.scm 429 */
					obj_t BgL_g3082z00_4281;

					{
						BgL_ev_binderz00_bglt BgL_auxz00_45238;

						BgL_auxz00_45238 = (BgL_ev_binderz00_bglt) (BgL_ez00_4275);
						BgL_g3082z00_4281 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_45238))->BgL_valsz00);
					}
					{
						obj_t BgL_l3080z00_15247;

						BgL_l3080z00_15247 = BgL_g3082z00_4281;
					BgL_zc3anonymousza35236ze3z83_15246:
						if (PAIRP(BgL_l3080z00_15247))
							{	/* Eval/evaluate.scm 429 */
								{	/* Eval/evaluate.scm 429 */
									obj_t BgL_ez00_15252;

									BgL_ez00_15252 = CAR(BgL_l3080z00_15247);
									{	/* Eval/evaluate.scm 429 */
										BgL_ev_exprz00_bglt BgL_ez00_15256;

										BgL_ez00_15256 = (BgL_ev_exprz00_bglt) (BgL_ez00_15252);
										{	/* Eval/evaluate.scm 429 */
											obj_t BgL_method3232z00_15259;

											{	/* Eval/evaluate.scm 429 */
												BgL_objectz00_bglt BgL_objz00_15260;

												BgL_objz00_15260 =
													(BgL_objectz00_bglt) (BgL_ez00_15256);
												{	/* Eval/evaluate.scm 429 */
													long BgL_objzd2classzd2numz00_15261;

													BgL_objzd2classzd2numz00_15261 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_15260);
													{	/* Eval/evaluate.scm 429 */
														obj_t BgL_arg6930z00_15262;

														BgL_arg6930z00_15262 =
															PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
															(int) (((long) 1)));
														{	/* Eval/evaluate.scm 429 */
															obj_t BgL_arrayz00_15264;

															int BgL_offsetz00_15265;

															BgL_arrayz00_15264 = BgL_arg6930z00_15262;
															BgL_offsetz00_15265 =
																(int) (BgL_objzd2classzd2numz00_15261);
															{	/* Eval/evaluate.scm 429 */
																long BgL_offsetz00_15266;

																BgL_offsetz00_15266 =
																	((long) (BgL_offsetz00_15265) - OBJECT_TYPE);
																{	/* Eval/evaluate.scm 429 */
																	long BgL_modz00_15267;

																	{	/* Eval/evaluate.scm 429 */
																		int BgL_arg6932z00_15268;

																		BgL_arg6932z00_15268 = (int) (((long) 16));
																		{	/* Eval/evaluate.scm 429 */
																			long BgL_auxz00_45253;

																			BgL_auxz00_45253 =
																				(long) (BgL_arg6932z00_15268);
																			BgL_modz00_15267 =
																				(BgL_offsetz00_15266 /
																				BgL_auxz00_45253);
																	}}
																	{	/* Eval/evaluate.scm 429 */
																		long BgL_restz00_15269;

																		{	/* Eval/evaluate.scm 429 */
																			int BgL_arg6931z00_15270;

																			BgL_arg6931z00_15270 =
																				(int) (((long) 16));
																			{	/* Eval/evaluate.scm 429 */
																				long BgL_auxz00_45257;

																				BgL_auxz00_45257 =
																					(long) (BgL_arg6931z00_15270);
																				BgL_restz00_15269 =
																					(BgL_offsetz00_15266 %
																					BgL_auxz00_45257);
																		}}
																		{	/* Eval/evaluate.scm 429 */

																			BgL_method3232z00_15259 =
																				VECTOR_REF(VECTOR_REF
																				(BgL_arrayz00_15264,
																					(int) (BgL_modz00_15267)),
																				(int) (BgL_restz00_15269));
											}}}}}}}}
											PROCEDURE_ENTRY(BgL_method3232z00_15259)
												(BgL_method3232z00_15259, (obj_t) (BgL_ez00_15256),
												BgL_localz00_4276, BgL_absz00_4277, BEOA);
								}}}
								{
									obj_t BgL_l3080z00_45267;

									BgL_l3080z00_45267 = CDR(BgL_l3080z00_15247);
									BgL_l3080z00_15247 = BgL_l3080z00_45267;
									goto BgL_zc3anonymousza35236ze3z83_15246;
								}
							}
						else
							{	/* Eval/evaluate.scm 429 */
								((bool_t) 1);
							}
					}
				}
				{	/* Eval/evaluate.scm 430 */
					BgL_ev_exprz00_bglt BgL_arg5239z00_4289;

					obj_t BgL_arg5240z00_4290;

					{
						BgL_ev_binderz00_bglt BgL_auxz00_45269;

						BgL_auxz00_45269 = (BgL_ev_binderz00_bglt) (BgL_ez00_4275);
						BgL_arg5239z00_4289 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_45269))->BgL_bodyz00);
					}
					{	/* Eval/evaluate.scm 430 */
						obj_t BgL_auxz00_45272;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_45273;

							BgL_auxz00_45273 = (BgL_ev_binderz00_bglt) (BgL_ez00_4275);
							BgL_auxz00_45272 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_45273))->BgL_varsz00);
						}
						BgL_arg5240z00_4290 =
							bgl_append2(BgL_auxz00_45272, BgL_localz00_4276);
					}
					{	/* Eval/evaluate.scm 430 */
						obj_t BgL_method3232z00_15359;

						{	/* Eval/evaluate.scm 430 */
							BgL_objectz00_bglt BgL_objz00_15360;

							BgL_objz00_15360 = (BgL_objectz00_bglt) (BgL_arg5239z00_4289);
							{	/* Eval/evaluate.scm 430 */
								long BgL_objzd2classzd2numz00_15361;

								BgL_objzd2classzd2numz00_15361 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_15360);
								{	/* Eval/evaluate.scm 430 */
									obj_t BgL_arg6930z00_15362;

									BgL_arg6930z00_15362 =
										PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 430 */
										obj_t BgL_arrayz00_15364;

										int BgL_offsetz00_15365;

										BgL_arrayz00_15364 = BgL_arg6930z00_15362;
										BgL_offsetz00_15365 =
											(int) (BgL_objzd2classzd2numz00_15361);
										{	/* Eval/evaluate.scm 430 */
											long BgL_offsetz00_15366;

											BgL_offsetz00_15366 =
												((long) (BgL_offsetz00_15365) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 430 */
												long BgL_modz00_15367;

												{	/* Eval/evaluate.scm 430 */
													int BgL_arg6932z00_15368;

													BgL_arg6932z00_15368 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 430 */
														long BgL_auxz00_45285;

														BgL_auxz00_45285 = (long) (BgL_arg6932z00_15368);
														BgL_modz00_15367 =
															(BgL_offsetz00_15366 / BgL_auxz00_45285);
												}}
												{	/* Eval/evaluate.scm 430 */
													long BgL_restz00_15369;

													{	/* Eval/evaluate.scm 430 */
														int BgL_arg6931z00_15370;

														BgL_arg6931z00_15370 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 430 */
															long BgL_auxz00_45289;

															BgL_auxz00_45289 = (long) (BgL_arg6931z00_15370);
															BgL_restz00_15369 =
																(BgL_offsetz00_15366 % BgL_auxz00_45289);
													}}
													{	/* Eval/evaluate.scm 430 */

														BgL_method3232z00_15359 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_15364,
																(int) (BgL_modz00_15367)),
															(int) (BgL_restz00_15369));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3232z00_15359) (BgL_method3232z00_15359,
							(obj_t) (BgL_arg5239z00_4289), BgL_arg5240z00_4290,
							BgL_absz00_4277, BEOA);
				}}
				{	/* Eval/evaluate.scm 431 */
					obj_t BgL_arg5242z00_4292;

					{
						BgL_ev_binderz00_bglt BgL_auxz00_45299;

						BgL_auxz00_45299 = (BgL_ev_binderz00_bglt) (BgL_ez00_4275);
						BgL_arg5242z00_4292 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_45299))->BgL_varsz00);
					}
					BGl_bindzd2andzd2resetzd2effectzd2zz__evaluatez00(
						(BgL_ev_absz00_bglt) (BgL_absz00_4277), BgL_arg5242z00_4292);
				}
				{	/* Eval/evaluate.scm 432 */
					obj_t BgL_arg5243z00_4293;

					{	/* Eval/evaluate.scm 432 */
						obj_t BgL_arg5244z00_4294;

						{
							BgL_ev_binderz00_bglt BgL_auxz00_45304;

							BgL_auxz00_45304 = (BgL_ev_binderz00_bglt) (BgL_ez00_4275);
							BgL_arg5244z00_4294 =
								(((BgL_ev_binderz00_bglt) CREF(BgL_auxz00_45304))->BgL_varsz00);
						}
						BgL_arg5243z00_4293 =
							BGl_filterz00zz__r4_control_features_6_9z00
							(BGl_ev_varzd2effzd2envz00zz__evaluatez00, BgL_arg5244z00_4294);
					}
					return
						((((BgL_ev_letz00_bglt) CREF(BgL_ez00_4275))->BgL_boxesz00) =
						((obj_t) BgL_arg5243z00_4293), BUNSPEC);
				}
			}
		}
	}



/* avar-ev_with-handler3254 */
	obj_t BGl_avarzd2ev_withzd2handler3254z00zz__evaluatez00(obj_t
		BgL_envz00_26264, obj_t BgL_ez00_26265, obj_t BgL_localz00_26266,
		obj_t BgL_absz00_26267)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 422 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_4265;

				obj_t BgL_localz00_4266;

				obj_t BgL_absz00_4267;

				BgL_ez00_4265 = (BgL_ev_withzd2handlerzd2_bglt) (BgL_ez00_26265);
				BgL_localz00_4266 = BgL_localz00_26266;
				BgL_absz00_4267 = BgL_absz00_26267;
				{	/* Eval/evaluate.scm 423 */
					BgL_ev_exprz00_bglt BgL_arg5233z00_15185;

					BgL_arg5233z00_15185 =
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_4265))->
						BgL_handlerz00);
					{	/* Eval/evaluate.scm 423 */
						obj_t BgL_method3232z00_15191;

						{	/* Eval/evaluate.scm 423 */
							BgL_objectz00_bglt BgL_objz00_15192;

							BgL_objz00_15192 = (BgL_objectz00_bglt) (BgL_arg5233z00_15185);
							{	/* Eval/evaluate.scm 423 */
								long BgL_objzd2classzd2numz00_15193;

								BgL_objzd2classzd2numz00_15193 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_15192);
								{	/* Eval/evaluate.scm 423 */
									obj_t BgL_arg6930z00_15194;

									BgL_arg6930z00_15194 =
										PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 423 */
										obj_t BgL_arrayz00_15196;

										int BgL_offsetz00_15197;

										BgL_arrayz00_15196 = BgL_arg6930z00_15194;
										BgL_offsetz00_15197 =
											(int) (BgL_objzd2classzd2numz00_15193);
										{	/* Eval/evaluate.scm 423 */
											long BgL_offsetz00_15198;

											BgL_offsetz00_15198 =
												((long) (BgL_offsetz00_15197) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 423 */
												long BgL_modz00_15199;

												{	/* Eval/evaluate.scm 423 */
													int BgL_arg6932z00_15200;

													BgL_arg6932z00_15200 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 423 */
														long BgL_auxz00_45319;

														BgL_auxz00_45319 = (long) (BgL_arg6932z00_15200);
														BgL_modz00_15199 =
															(BgL_offsetz00_15198 / BgL_auxz00_45319);
												}}
												{	/* Eval/evaluate.scm 423 */
													long BgL_restz00_15201;

													{	/* Eval/evaluate.scm 423 */
														int BgL_arg6931z00_15202;

														BgL_arg6931z00_15202 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 423 */
															long BgL_auxz00_45323;

															BgL_auxz00_45323 = (long) (BgL_arg6931z00_15202);
															BgL_restz00_15201 =
																(BgL_offsetz00_15198 % BgL_auxz00_45323);
													}}
													{	/* Eval/evaluate.scm 423 */

														BgL_method3232z00_15191 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_15196,
																(int) (BgL_modz00_15199)),
															(int) (BgL_restz00_15201));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3232z00_15191) (BgL_method3232z00_15191,
							(obj_t) (BgL_arg5233z00_15185), BgL_localz00_4266,
							BgL_absz00_4267, BEOA);
				}}
				{	/* Eval/evaluate.scm 423 */
					BgL_ev_exprz00_bglt BgL_arg5234z00_15186;

					BgL_arg5234z00_15186 =
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_4265))->
						BgL_bodyz00);
					{	/* Eval/evaluate.scm 423 */
						obj_t BgL_method3232z00_15220;

						{	/* Eval/evaluate.scm 423 */
							BgL_objectz00_bglt BgL_objz00_15221;

							BgL_objz00_15221 = (BgL_objectz00_bglt) (BgL_arg5234z00_15186);
							{	/* Eval/evaluate.scm 423 */
								long BgL_objzd2classzd2numz00_15222;

								BgL_objzd2classzd2numz00_15222 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_15221);
								{	/* Eval/evaluate.scm 423 */
									obj_t BgL_arg6930z00_15223;

									BgL_arg6930z00_15223 =
										PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 423 */
										obj_t BgL_arrayz00_15225;

										int BgL_offsetz00_15226;

										BgL_arrayz00_15225 = BgL_arg6930z00_15223;
										BgL_offsetz00_15226 =
											(int) (BgL_objzd2classzd2numz00_15222);
										{	/* Eval/evaluate.scm 423 */
											long BgL_offsetz00_15227;

											BgL_offsetz00_15227 =
												((long) (BgL_offsetz00_15226) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 423 */
												long BgL_modz00_15228;

												{	/* Eval/evaluate.scm 423 */
													int BgL_arg6932z00_15229;

													BgL_arg6932z00_15229 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 423 */
														long BgL_auxz00_45342;

														BgL_auxz00_45342 = (long) (BgL_arg6932z00_15229);
														BgL_modz00_15228 =
															(BgL_offsetz00_15227 / BgL_auxz00_45342);
												}}
												{	/* Eval/evaluate.scm 423 */
													long BgL_restz00_15230;

													{	/* Eval/evaluate.scm 423 */
														int BgL_arg6931z00_15231;

														BgL_arg6931z00_15231 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 423 */
															long BgL_auxz00_45346;

															BgL_auxz00_45346 = (long) (BgL_arg6931z00_15231);
															BgL_restz00_15230 =
																(BgL_offsetz00_15227 % BgL_auxz00_45346);
													}}
													{	/* Eval/evaluate.scm 423 */

														BgL_method3232z00_15220 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_15225,
																(int) (BgL_modz00_15228)),
															(int) (BgL_restz00_15230));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3232z00_15220) (BgL_method3232z00_15220,
							(obj_t) (BgL_arg5234z00_15186), BgL_localz00_4266,
							BgL_absz00_4267, BEOA);
					}
				}
			}
		}
	}



/* avar-ev_unwind-prote3252 */
	obj_t BGl_avarzd2ev_unwindzd2prote3252z00zz__evaluatez00(obj_t
		BgL_envz00_26268, obj_t BgL_ez00_26269, obj_t BgL_localz00_26270,
		obj_t BgL_absz00_26271)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 417 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_4255;

				obj_t BgL_localz00_4256;

				obj_t BgL_absz00_4257;

				BgL_ez00_4255 = (BgL_ev_unwindzd2protectzd2_bglt) (BgL_ez00_26269);
				BgL_localz00_4256 = BgL_localz00_26270;
				BgL_absz00_4257 = BgL_absz00_26271;
				{	/* Eval/evaluate.scm 418 */
					BgL_ev_exprz00_bglt BgL_arg5230z00_15124;

					BgL_arg5230z00_15124 =
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_4255))->BgL_ez00);
					{	/* Eval/evaluate.scm 418 */
						obj_t BgL_method3232z00_15130;

						{	/* Eval/evaluate.scm 418 */
							BgL_objectz00_bglt BgL_objz00_15131;

							BgL_objz00_15131 = (BgL_objectz00_bglt) (BgL_arg5230z00_15124);
							{	/* Eval/evaluate.scm 418 */
								long BgL_objzd2classzd2numz00_15132;

								BgL_objzd2classzd2numz00_15132 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_15131);
								{	/* Eval/evaluate.scm 418 */
									obj_t BgL_arg6930z00_15133;

									BgL_arg6930z00_15133 =
										PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 418 */
										obj_t BgL_arrayz00_15135;

										int BgL_offsetz00_15136;

										BgL_arrayz00_15135 = BgL_arg6930z00_15133;
										BgL_offsetz00_15136 =
											(int) (BgL_objzd2classzd2numz00_15132);
										{	/* Eval/evaluate.scm 418 */
											long BgL_offsetz00_15137;

											BgL_offsetz00_15137 =
												((long) (BgL_offsetz00_15136) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 418 */
												long BgL_modz00_15138;

												{	/* Eval/evaluate.scm 418 */
													int BgL_arg6932z00_15139;

													BgL_arg6932z00_15139 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 418 */
														long BgL_auxz00_45366;

														BgL_auxz00_45366 = (long) (BgL_arg6932z00_15139);
														BgL_modz00_15138 =
															(BgL_offsetz00_15137 / BgL_auxz00_45366);
												}}
												{	/* Eval/evaluate.scm 418 */
													long BgL_restz00_15140;

													{	/* Eval/evaluate.scm 418 */
														int BgL_arg6931z00_15141;

														BgL_arg6931z00_15141 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 418 */
															long BgL_auxz00_45370;

															BgL_auxz00_45370 = (long) (BgL_arg6931z00_15141);
															BgL_restz00_15140 =
																(BgL_offsetz00_15137 % BgL_auxz00_45370);
													}}
													{	/* Eval/evaluate.scm 418 */

														BgL_method3232z00_15130 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_15135,
																(int) (BgL_modz00_15138)),
															(int) (BgL_restz00_15140));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3232z00_15130) (BgL_method3232z00_15130,
							(obj_t) (BgL_arg5230z00_15124), BgL_localz00_4256,
							BgL_absz00_4257, BEOA);
				}}
				{	/* Eval/evaluate.scm 418 */
					BgL_ev_exprz00_bglt BgL_arg5231z00_15125;

					BgL_arg5231z00_15125 =
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_4255))->
						BgL_bodyz00);
					{	/* Eval/evaluate.scm 418 */
						obj_t BgL_method3232z00_15159;

						{	/* Eval/evaluate.scm 418 */
							BgL_objectz00_bglt BgL_objz00_15160;

							BgL_objz00_15160 = (BgL_objectz00_bglt) (BgL_arg5231z00_15125);
							{	/* Eval/evaluate.scm 418 */
								long BgL_objzd2classzd2numz00_15161;

								BgL_objzd2classzd2numz00_15161 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_15160);
								{	/* Eval/evaluate.scm 418 */
									obj_t BgL_arg6930z00_15162;

									BgL_arg6930z00_15162 =
										PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 418 */
										obj_t BgL_arrayz00_15164;

										int BgL_offsetz00_15165;

										BgL_arrayz00_15164 = BgL_arg6930z00_15162;
										BgL_offsetz00_15165 =
											(int) (BgL_objzd2classzd2numz00_15161);
										{	/* Eval/evaluate.scm 418 */
											long BgL_offsetz00_15166;

											BgL_offsetz00_15166 =
												((long) (BgL_offsetz00_15165) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 418 */
												long BgL_modz00_15167;

												{	/* Eval/evaluate.scm 418 */
													int BgL_arg6932z00_15168;

													BgL_arg6932z00_15168 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 418 */
														long BgL_auxz00_45389;

														BgL_auxz00_45389 = (long) (BgL_arg6932z00_15168);
														BgL_modz00_15167 =
															(BgL_offsetz00_15166 / BgL_auxz00_45389);
												}}
												{	/* Eval/evaluate.scm 418 */
													long BgL_restz00_15169;

													{	/* Eval/evaluate.scm 418 */
														int BgL_arg6931z00_15170;

														BgL_arg6931z00_15170 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 418 */
															long BgL_auxz00_45393;

															BgL_auxz00_45393 = (long) (BgL_arg6931z00_15170);
															BgL_restz00_15169 =
																(BgL_offsetz00_15166 % BgL_auxz00_45393);
													}}
													{	/* Eval/evaluate.scm 418 */

														BgL_method3232z00_15159 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_15164,
																(int) (BgL_modz00_15167)),
															(int) (BgL_restz00_15169));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3232z00_15159) (BgL_method3232z00_15159,
							(obj_t) (BgL_arg5231z00_15125), BgL_localz00_4256,
							BgL_absz00_4257, BEOA);
					}
				}
			}
		}
	}



/* avar-ev_bind-exit3250 */
	obj_t BGl_avarzd2ev_bindzd2exit3250z00zz__evaluatez00(obj_t BgL_envz00_26272,
		obj_t BgL_ez00_26273, obj_t BgL_localz00_26274, obj_t BgL_absz00_26275)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 412 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_4241;

				obj_t BgL_localz00_4242;

				obj_t BgL_absz00_4243;

				BgL_ez00_4241 = (BgL_ev_bindzd2exitzd2_bglt) (BgL_ez00_26273);
				BgL_localz00_4242 = BgL_localz00_26274;
				BgL_absz00_4243 = BgL_absz00_26275;
				{	/* Eval/evaluate.scm 413 */
					BgL_ev_exprz00_bglt BgL_arg5223z00_15086;

					obj_t BgL_arg5224z00_15087;

					BgL_arg5223z00_15086 =
						(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_4241))->BgL_bodyz00);
					{	/* Eval/evaluate.scm 413 */
						BgL_ev_varz00_bglt BgL_arg5225z00_15088;

						BgL_arg5225z00_15088 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_4241))->BgL_varz00);
						BgL_arg5224z00_15087 =
							MAKE_PAIR((obj_t) (BgL_arg5225z00_15088), BgL_localz00_4242);
					}
					{	/* Eval/evaluate.scm 413 */
						obj_t BgL_method3232z00_15097;

						{	/* Eval/evaluate.scm 413 */
							BgL_objectz00_bglt BgL_objz00_15098;

							BgL_objz00_15098 = (BgL_objectz00_bglt) (BgL_arg5223z00_15086);
							{	/* Eval/evaluate.scm 413 */
								long BgL_objzd2classzd2numz00_15099;

								BgL_objzd2classzd2numz00_15099 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_15098);
								{	/* Eval/evaluate.scm 413 */
									obj_t BgL_arg6930z00_15100;

									BgL_arg6930z00_15100 =
										PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 413 */
										obj_t BgL_arrayz00_15102;

										int BgL_offsetz00_15103;

										BgL_arrayz00_15102 = BgL_arg6930z00_15100;
										BgL_offsetz00_15103 =
											(int) (BgL_objzd2classzd2numz00_15099);
										{	/* Eval/evaluate.scm 413 */
											long BgL_offsetz00_15104;

											BgL_offsetz00_15104 =
												((long) (BgL_offsetz00_15103) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 413 */
												long BgL_modz00_15105;

												{	/* Eval/evaluate.scm 413 */
													int BgL_arg6932z00_15106;

													BgL_arg6932z00_15106 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 413 */
														long BgL_auxz00_45416;

														BgL_auxz00_45416 = (long) (BgL_arg6932z00_15106);
														BgL_modz00_15105 =
															(BgL_offsetz00_15104 / BgL_auxz00_45416);
												}}
												{	/* Eval/evaluate.scm 413 */
													long BgL_restz00_15107;

													{	/* Eval/evaluate.scm 413 */
														int BgL_arg6931z00_15108;

														BgL_arg6931z00_15108 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 413 */
															long BgL_auxz00_45420;

															BgL_auxz00_45420 = (long) (BgL_arg6931z00_15108);
															BgL_restz00_15107 =
																(BgL_offsetz00_15104 % BgL_auxz00_45420);
													}}
													{	/* Eval/evaluate.scm 413 */

														BgL_method3232z00_15097 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_15102,
																(int) (BgL_modz00_15105)),
															(int) (BgL_restz00_15107));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3232z00_15097) (BgL_method3232z00_15097,
							(obj_t) (BgL_arg5223z00_15086), BgL_arg5224z00_15087,
							BgL_absz00_4243, BEOA);
				}}
				{	/* Eval/evaluate.scm 413 */
					obj_t BgL_arg5226z00_15089;

					{	/* Eval/evaluate.scm 413 */
						BgL_ev_varz00_bglt BgL_arg5227z00_15090;

						BgL_arg5227z00_15090 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_4241))->BgL_varz00);
						BgL_arg5226z00_15089 =
							MAKE_PAIR((obj_t) (BgL_arg5227z00_15090), BNIL);
					}
					return
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluatez00(
						(BgL_ev_absz00_bglt) (BgL_absz00_4243), BgL_arg5226z00_15089);
				}
			}
		}
	}



/* avar-ev_setlocal3248 */
	obj_t BGl_avarzd2ev_setlocal3248zd2zz__evaluatez00(obj_t BgL_envz00_26276,
		obj_t BgL_ez00_26277, obj_t BgL_localz00_26278, obj_t BgL_absz00_26279)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 406 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_4230;

				obj_t BgL_localz00_4231;

				obj_t BgL_absz00_4232;

				BgL_ez00_4230 = (BgL_ev_setlocalz00_bglt) (BgL_ez00_26277);
				BgL_localz00_4231 = BgL_localz00_26278;
				BgL_absz00_4232 = BgL_absz00_26279;
				{	/* Eval/evaluate.scm 407 */
					BgL_ev_varz00_bglt BgL_arg5219z00_15039;

					BgL_arg5219z00_15039 =
						(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_4230))->BgL_vz00);
					{	/* Eval/evaluate.scm 407 */
						BgL_ev_absz00_bglt BgL_absz00_15045;

						BgL_absz00_15045 = (BgL_ev_absz00_bglt) (BgL_absz00_4232);
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									(obj_t) (BgL_arg5219z00_15039), BgL_localz00_4231)))
							{	/* Eval/evaluate.scm 407 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate.scm 407 */
								obj_t BgL_freez00_15047;

								BgL_freez00_15047 =
									(((BgL_ev_absz00_bglt) CREF(BgL_absz00_15045))->BgL_freez00);
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											(obj_t) (BgL_arg5219z00_15039), BgL_freez00_15047)))
									{	/* Eval/evaluate.scm 407 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate.scm 407 */
										obj_t BgL_arg4197z00_15049;

										BgL_arg4197z00_15049 =
											MAKE_PAIR(
											(obj_t) (BgL_arg5219z00_15039), BgL_freez00_15047);
										((((BgL_ev_absz00_bglt) CREF(BgL_absz00_15045))->
												BgL_freez00) = ((obj_t) BgL_arg4197z00_15049), BUNSPEC);
									}
							}
					}
				}
				{	/* Eval/evaluate.scm 407 */
					BgL_ev_varz00_bglt BgL_arg5220z00_15040;

					BgL_arg5220z00_15040 =
						(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_4230))->BgL_vz00);
					((((BgL_ev_varz00_bglt) CREF(BgL_arg5220z00_15040))->BgL_effz00) =
						((obj_t) BTRUE), BUNSPEC);
				}
				{	/* Eval/evaluate.scm 407 */
					BgL_ev_exprz00_bglt BgL_arg5221z00_15041;

					{
						BgL_ev_hookz00_bglt BgL_auxz00_45452;

						BgL_auxz00_45452 = (BgL_ev_hookz00_bglt) (BgL_ez00_4230);
						BgL_arg5221z00_15041 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_auxz00_45452))->BgL_ez00);
					}
					{	/* Eval/evaluate.scm 407 */
						obj_t BgL_method3232z00_15060;

						{	/* Eval/evaluate.scm 407 */
							BgL_objectz00_bglt BgL_objz00_15061;

							BgL_objz00_15061 = (BgL_objectz00_bglt) (BgL_arg5221z00_15041);
							{	/* Eval/evaluate.scm 407 */
								long BgL_objzd2classzd2numz00_15062;

								BgL_objzd2classzd2numz00_15062 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_15061);
								{	/* Eval/evaluate.scm 407 */
									obj_t BgL_arg6930z00_15063;

									BgL_arg6930z00_15063 =
										PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 407 */
										obj_t BgL_arrayz00_15065;

										int BgL_offsetz00_15066;

										BgL_arrayz00_15065 = BgL_arg6930z00_15063;
										BgL_offsetz00_15066 =
											(int) (BgL_objzd2classzd2numz00_15062);
										{	/* Eval/evaluate.scm 407 */
											long BgL_offsetz00_15067;

											BgL_offsetz00_15067 =
												((long) (BgL_offsetz00_15066) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 407 */
												long BgL_modz00_15068;

												{	/* Eval/evaluate.scm 407 */
													int BgL_arg6932z00_15069;

													BgL_arg6932z00_15069 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 407 */
														long BgL_auxz00_45463;

														BgL_auxz00_45463 = (long) (BgL_arg6932z00_15069);
														BgL_modz00_15068 =
															(BgL_offsetz00_15067 / BgL_auxz00_45463);
												}}
												{	/* Eval/evaluate.scm 407 */
													long BgL_restz00_15070;

													{	/* Eval/evaluate.scm 407 */
														int BgL_arg6931z00_15071;

														BgL_arg6931z00_15071 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 407 */
															long BgL_auxz00_45467;

															BgL_auxz00_45467 = (long) (BgL_arg6931z00_15071);
															BgL_restz00_15070 =
																(BgL_offsetz00_15067 % BgL_auxz00_45467);
													}}
													{	/* Eval/evaluate.scm 407 */

														BgL_method3232z00_15060 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_15065,
																(int) (BgL_modz00_15068)),
															(int) (BgL_restz00_15070));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3232z00_15060) (BgL_method3232z00_15060,
							(obj_t) (BgL_arg5221z00_15041), BgL_localz00_4231,
							BgL_absz00_4232, BEOA);
					}
				}
			}
		}
	}



/* avar-ev_hook3246 */
	obj_t BGl_avarzd2ev_hook3246zd2zz__evaluatez00(obj_t BgL_envz00_26280,
		obj_t BgL_ez00_26281, obj_t BgL_localz00_26282, obj_t BgL_absz00_26283)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 402 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_4221;

				obj_t BgL_localz00_4222;

				obj_t BgL_absz00_4223;

				BgL_ez00_4221 = (BgL_ev_hookz00_bglt) (BgL_ez00_26281);
				BgL_localz00_4222 = BgL_localz00_26282;
				BgL_absz00_4223 = BgL_absz00_26283;
				{	/* Eval/evaluate.scm 403 */
					BgL_ev_exprz00_bglt BgL_arg5217z00_15008;

					BgL_arg5217z00_15008 =
						(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_4221))->BgL_ez00);
					{	/* Eval/evaluate.scm 403 */
						obj_t BgL_method3232z00_15013;

						{	/* Eval/evaluate.scm 403 */
							BgL_objectz00_bglt BgL_objz00_15014;

							BgL_objz00_15014 = (BgL_objectz00_bglt) (BgL_arg5217z00_15008);
							{	/* Eval/evaluate.scm 403 */
								long BgL_objzd2classzd2numz00_15015;

								BgL_objzd2classzd2numz00_15015 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_15014);
								{	/* Eval/evaluate.scm 403 */
									obj_t BgL_arg6930z00_15016;

									BgL_arg6930z00_15016 =
										PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 403 */
										obj_t BgL_arrayz00_15018;

										int BgL_offsetz00_15019;

										BgL_arrayz00_15018 = BgL_arg6930z00_15016;
										BgL_offsetz00_15019 =
											(int) (BgL_objzd2classzd2numz00_15015);
										{	/* Eval/evaluate.scm 403 */
											long BgL_offsetz00_15020;

											BgL_offsetz00_15020 =
												((long) (BgL_offsetz00_15019) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 403 */
												long BgL_modz00_15021;

												{	/* Eval/evaluate.scm 403 */
													int BgL_arg6932z00_15022;

													BgL_arg6932z00_15022 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 403 */
														long BgL_auxz00_45487;

														BgL_auxz00_45487 = (long) (BgL_arg6932z00_15022);
														BgL_modz00_15021 =
															(BgL_offsetz00_15020 / BgL_auxz00_45487);
												}}
												{	/* Eval/evaluate.scm 403 */
													long BgL_restz00_15023;

													{	/* Eval/evaluate.scm 403 */
														int BgL_arg6931z00_15024;

														BgL_arg6931z00_15024 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 403 */
															long BgL_auxz00_45491;

															BgL_auxz00_45491 = (long) (BgL_arg6931z00_15024);
															BgL_restz00_15023 =
																(BgL_offsetz00_15020 % BgL_auxz00_45491);
													}}
													{	/* Eval/evaluate.scm 403 */

														BgL_method3232z00_15013 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_15018,
																(int) (BgL_modz00_15021)),
															(int) (BgL_restz00_15023));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3232z00_15013) (BgL_method3232z00_15013,
							(obj_t) (BgL_arg5217z00_15008), BgL_localz00_4222,
							BgL_absz00_4223, BEOA);
					}
				}
			}
		}
	}



/* avar-ev_prog23244 */
	obj_t BGl_avarzd2ev_prog23244zd2zz__evaluatez00(obj_t BgL_envz00_26284,
		obj_t BgL_ez00_26285, obj_t BgL_localz00_26286, obj_t BgL_absz00_26287)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 397 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_4211;

				obj_t BgL_localz00_4212;

				obj_t BgL_absz00_4213;

				BgL_ez00_4211 = (BgL_ev_prog2z00_bglt) (BgL_ez00_26285);
				BgL_localz00_4212 = BgL_localz00_26286;
				BgL_absz00_4213 = BgL_absz00_26287;
				{	/* Eval/evaluate.scm 398 */
					BgL_ev_exprz00_bglt BgL_arg5214z00_14947;

					BgL_arg5214z00_14947 =
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_4211))->BgL_e1z00);
					{	/* Eval/evaluate.scm 398 */
						obj_t BgL_method3232z00_14953;

						{	/* Eval/evaluate.scm 398 */
							BgL_objectz00_bglt BgL_objz00_14954;

							BgL_objz00_14954 = (BgL_objectz00_bglt) (BgL_arg5214z00_14947);
							{	/* Eval/evaluate.scm 398 */
								long BgL_objzd2classzd2numz00_14955;

								BgL_objzd2classzd2numz00_14955 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_14954);
								{	/* Eval/evaluate.scm 398 */
									obj_t BgL_arg6930z00_14956;

									BgL_arg6930z00_14956 =
										PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 398 */
										obj_t BgL_arrayz00_14958;

										int BgL_offsetz00_14959;

										BgL_arrayz00_14958 = BgL_arg6930z00_14956;
										BgL_offsetz00_14959 =
											(int) (BgL_objzd2classzd2numz00_14955);
										{	/* Eval/evaluate.scm 398 */
											long BgL_offsetz00_14960;

											BgL_offsetz00_14960 =
												((long) (BgL_offsetz00_14959) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 398 */
												long BgL_modz00_14961;

												{	/* Eval/evaluate.scm 398 */
													int BgL_arg6932z00_14962;

													BgL_arg6932z00_14962 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 398 */
														long BgL_auxz00_45511;

														BgL_auxz00_45511 = (long) (BgL_arg6932z00_14962);
														BgL_modz00_14961 =
															(BgL_offsetz00_14960 / BgL_auxz00_45511);
												}}
												{	/* Eval/evaluate.scm 398 */
													long BgL_restz00_14963;

													{	/* Eval/evaluate.scm 398 */
														int BgL_arg6931z00_14964;

														BgL_arg6931z00_14964 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 398 */
															long BgL_auxz00_45515;

															BgL_auxz00_45515 = (long) (BgL_arg6931z00_14964);
															BgL_restz00_14963 =
																(BgL_offsetz00_14960 % BgL_auxz00_45515);
													}}
													{	/* Eval/evaluate.scm 398 */

														BgL_method3232z00_14953 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_14958,
																(int) (BgL_modz00_14961)),
															(int) (BgL_restz00_14963));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3232z00_14953) (BgL_method3232z00_14953,
							(obj_t) (BgL_arg5214z00_14947), BgL_localz00_4212,
							BgL_absz00_4213, BEOA);
				}}
				{	/* Eval/evaluate.scm 398 */
					BgL_ev_exprz00_bglt BgL_arg5215z00_14948;

					BgL_arg5215z00_14948 =
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_4211))->BgL_e2z00);
					{	/* Eval/evaluate.scm 398 */
						obj_t BgL_method3232z00_14982;

						{	/* Eval/evaluate.scm 398 */
							BgL_objectz00_bglt BgL_objz00_14983;

							BgL_objz00_14983 = (BgL_objectz00_bglt) (BgL_arg5215z00_14948);
							{	/* Eval/evaluate.scm 398 */
								long BgL_objzd2classzd2numz00_14984;

								BgL_objzd2classzd2numz00_14984 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_14983);
								{	/* Eval/evaluate.scm 398 */
									obj_t BgL_arg6930z00_14985;

									BgL_arg6930z00_14985 =
										PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 398 */
										obj_t BgL_arrayz00_14987;

										int BgL_offsetz00_14988;

										BgL_arrayz00_14987 = BgL_arg6930z00_14985;
										BgL_offsetz00_14988 =
											(int) (BgL_objzd2classzd2numz00_14984);
										{	/* Eval/evaluate.scm 398 */
											long BgL_offsetz00_14989;

											BgL_offsetz00_14989 =
												((long) (BgL_offsetz00_14988) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 398 */
												long BgL_modz00_14990;

												{	/* Eval/evaluate.scm 398 */
													int BgL_arg6932z00_14991;

													BgL_arg6932z00_14991 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 398 */
														long BgL_auxz00_45534;

														BgL_auxz00_45534 = (long) (BgL_arg6932z00_14991);
														BgL_modz00_14990 =
															(BgL_offsetz00_14989 / BgL_auxz00_45534);
												}}
												{	/* Eval/evaluate.scm 398 */
													long BgL_restz00_14992;

													{	/* Eval/evaluate.scm 398 */
														int BgL_arg6931z00_14993;

														BgL_arg6931z00_14993 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 398 */
															long BgL_auxz00_45538;

															BgL_auxz00_45538 = (long) (BgL_arg6931z00_14993);
															BgL_restz00_14992 =
																(BgL_offsetz00_14989 % BgL_auxz00_45538);
													}}
													{	/* Eval/evaluate.scm 398 */

														BgL_method3232z00_14982 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_14987,
																(int) (BgL_modz00_14990)),
															(int) (BgL_restz00_14992));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3232z00_14982) (BgL_method3232z00_14982,
							(obj_t) (BgL_arg5215z00_14948), BgL_localz00_4212,
							BgL_absz00_4213, BEOA);
					}
				}
			}
		}
	}



/* avar-ev_list3242 */
	obj_t BGl_avarzd2ev_list3242zd2zz__evaluatez00(obj_t BgL_envz00_26288,
		obj_t BgL_ez00_26289, obj_t BgL_localz00_26290, obj_t BgL_absz00_26291)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 393 */
			{
				BgL_ev_listz00_bglt BgL_ez00_4195;

				obj_t BgL_localz00_4196;

				obj_t BgL_absz00_4197;

				{	/* Eval/evaluate.scm 394 */
					bool_t BgL_auxz00_45549;

					BgL_ez00_4195 = (BgL_ev_listz00_bglt) (BgL_ez00_26289);
					BgL_localz00_4196 = BgL_localz00_26290;
					BgL_absz00_4197 = BgL_absz00_26291;
					{	/* Eval/evaluate.scm 394 */
						obj_t BgL_g3079z00_14831;

						BgL_g3079z00_14831 =
							(((BgL_ev_listz00_bglt) CREF(BgL_ez00_4195))->BgL_argsz00);
						{
							obj_t BgL_l3077z00_14839;

							BgL_l3077z00_14839 = BgL_g3079z00_14831;
						BgL_zc3anonymousza35210ze3z83_14838:
							if (PAIRP(BgL_l3077z00_14839))
								{	/* Eval/evaluate.scm 394 */
									{	/* Eval/evaluate.scm 394 */
										obj_t BgL_ez00_14844;

										BgL_ez00_14844 = CAR(BgL_l3077z00_14839);
										{	/* Eval/evaluate.scm 394 */
											BgL_ev_exprz00_bglt BgL_ez00_14848;

											BgL_ez00_14848 = (BgL_ev_exprz00_bglt) (BgL_ez00_14844);
											{	/* Eval/evaluate.scm 394 */
												obj_t BgL_method3232z00_14851;

												{	/* Eval/evaluate.scm 394 */
													BgL_objectz00_bglt BgL_objz00_14852;

													BgL_objz00_14852 =
														(BgL_objectz00_bglt) (BgL_ez00_14848);
													{	/* Eval/evaluate.scm 394 */
														long BgL_objzd2classzd2numz00_14853;

														BgL_objzd2classzd2numz00_14853 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_14852);
														{	/* Eval/evaluate.scm 394 */
															obj_t BgL_arg6930z00_14854;

															BgL_arg6930z00_14854 =
																PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
																(int) (((long) 1)));
															{	/* Eval/evaluate.scm 394 */
																obj_t BgL_arrayz00_14856;

																int BgL_offsetz00_14857;

																BgL_arrayz00_14856 = BgL_arg6930z00_14854;
																BgL_offsetz00_14857 =
																	(int) (BgL_objzd2classzd2numz00_14853);
																{	/* Eval/evaluate.scm 394 */
																	long BgL_offsetz00_14858;

																	BgL_offsetz00_14858 =
																		(
																		(long) (BgL_offsetz00_14857) - OBJECT_TYPE);
																	{	/* Eval/evaluate.scm 394 */
																		long BgL_modz00_14859;

																		{	/* Eval/evaluate.scm 394 */
																			int BgL_arg6932z00_14860;

																			BgL_arg6932z00_14860 =
																				(int) (((long) 16));
																			{	/* Eval/evaluate.scm 394 */
																				long BgL_auxz00_45563;

																				BgL_auxz00_45563 =
																					(long) (BgL_arg6932z00_14860);
																				BgL_modz00_14859 =
																					(BgL_offsetz00_14858 /
																					BgL_auxz00_45563);
																		}}
																		{	/* Eval/evaluate.scm 394 */
																			long BgL_restz00_14861;

																			{	/* Eval/evaluate.scm 394 */
																				int BgL_arg6931z00_14862;

																				BgL_arg6931z00_14862 =
																					(int) (((long) 16));
																				{	/* Eval/evaluate.scm 394 */
																					long BgL_auxz00_45567;

																					BgL_auxz00_45567 =
																						(long) (BgL_arg6931z00_14862);
																					BgL_restz00_14861 =
																						(BgL_offsetz00_14858 %
																						BgL_auxz00_45567);
																			}}
																			{	/* Eval/evaluate.scm 394 */

																				BgL_method3232z00_14851 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_14856,
																						(int) (BgL_modz00_14859)),
																					(int) (BgL_restz00_14861));
												}}}}}}}}
												PROCEDURE_ENTRY(BgL_method3232z00_14851)
													(BgL_method3232z00_14851, (obj_t) (BgL_ez00_14848),
													BgL_localz00_4196, BgL_absz00_4197, BEOA);
									}}}
									{
										obj_t BgL_l3077z00_45577;

										BgL_l3077z00_45577 = CDR(BgL_l3077z00_14839);
										BgL_l3077z00_14839 = BgL_l3077z00_45577;
										goto BgL_zc3anonymousza35210ze3z83_14838;
									}
								}
							else
								{	/* Eval/evaluate.scm 394 */
									BgL_auxz00_45549 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_45549);
				}
			}
		}
	}



/* avar-ev_if3240 */
	obj_t BGl_avarzd2ev_if3240zd2zz__evaluatez00(obj_t BgL_envz00_26292,
		obj_t BgL_ez00_26293, obj_t BgL_localz00_26294, obj_t BgL_absz00_26295)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 387 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_4184;

				obj_t BgL_localz00_4185;

				obj_t BgL_absz00_4186;

				BgL_ez00_4184 = (BgL_ev_ifz00_bglt) (BgL_ez00_26293);
				BgL_localz00_4185 = BgL_localz00_26294;
				BgL_absz00_4186 = BgL_absz00_26295;
				{	/* Eval/evaluate.scm 388 */
					BgL_ev_exprz00_bglt BgL_arg5206z00_14740;

					BgL_arg5206z00_14740 =
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_4184))->BgL_pz00);
					{	/* Eval/evaluate.scm 388 */
						obj_t BgL_method3232z00_14747;

						{	/* Eval/evaluate.scm 388 */
							BgL_objectz00_bglt BgL_objz00_14748;

							BgL_objz00_14748 = (BgL_objectz00_bglt) (BgL_arg5206z00_14740);
							{	/* Eval/evaluate.scm 388 */
								long BgL_objzd2classzd2numz00_14749;

								BgL_objzd2classzd2numz00_14749 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_14748);
								{	/* Eval/evaluate.scm 388 */
									obj_t BgL_arg6930z00_14750;

									BgL_arg6930z00_14750 =
										PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 388 */
										obj_t BgL_arrayz00_14752;

										int BgL_offsetz00_14753;

										BgL_arrayz00_14752 = BgL_arg6930z00_14750;
										BgL_offsetz00_14753 =
											(int) (BgL_objzd2classzd2numz00_14749);
										{	/* Eval/evaluate.scm 388 */
											long BgL_offsetz00_14754;

											BgL_offsetz00_14754 =
												((long) (BgL_offsetz00_14753) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 388 */
												long BgL_modz00_14755;

												{	/* Eval/evaluate.scm 388 */
													int BgL_arg6932z00_14756;

													BgL_arg6932z00_14756 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 388 */
														long BgL_auxz00_45590;

														BgL_auxz00_45590 = (long) (BgL_arg6932z00_14756);
														BgL_modz00_14755 =
															(BgL_offsetz00_14754 / BgL_auxz00_45590);
												}}
												{	/* Eval/evaluate.scm 388 */
													long BgL_restz00_14757;

													{	/* Eval/evaluate.scm 388 */
														int BgL_arg6931z00_14758;

														BgL_arg6931z00_14758 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 388 */
															long BgL_auxz00_45594;

															BgL_auxz00_45594 = (long) (BgL_arg6931z00_14758);
															BgL_restz00_14757 =
																(BgL_offsetz00_14754 % BgL_auxz00_45594);
													}}
													{	/* Eval/evaluate.scm 388 */

														BgL_method3232z00_14747 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_14752,
																(int) (BgL_modz00_14755)),
															(int) (BgL_restz00_14757));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3232z00_14747) (BgL_method3232z00_14747,
							(obj_t) (BgL_arg5206z00_14740), BgL_localz00_4185,
							BgL_absz00_4186, BEOA);
				}}
				{	/* Eval/evaluate.scm 388 */
					BgL_ev_exprz00_bglt BgL_arg5207z00_14741;

					BgL_arg5207z00_14741 =
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_4184))->BgL_tz00);
					{	/* Eval/evaluate.scm 388 */
						obj_t BgL_method3232z00_14776;

						{	/* Eval/evaluate.scm 388 */
							BgL_objectz00_bglt BgL_objz00_14777;

							BgL_objz00_14777 = (BgL_objectz00_bglt) (BgL_arg5207z00_14741);
							{	/* Eval/evaluate.scm 388 */
								long BgL_objzd2classzd2numz00_14778;

								BgL_objzd2classzd2numz00_14778 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_14777);
								{	/* Eval/evaluate.scm 388 */
									obj_t BgL_arg6930z00_14779;

									BgL_arg6930z00_14779 =
										PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 388 */
										obj_t BgL_arrayz00_14781;

										int BgL_offsetz00_14782;

										BgL_arrayz00_14781 = BgL_arg6930z00_14779;
										BgL_offsetz00_14782 =
											(int) (BgL_objzd2classzd2numz00_14778);
										{	/* Eval/evaluate.scm 388 */
											long BgL_offsetz00_14783;

											BgL_offsetz00_14783 =
												((long) (BgL_offsetz00_14782) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 388 */
												long BgL_modz00_14784;

												{	/* Eval/evaluate.scm 388 */
													int BgL_arg6932z00_14785;

													BgL_arg6932z00_14785 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 388 */
														long BgL_auxz00_45613;

														BgL_auxz00_45613 = (long) (BgL_arg6932z00_14785);
														BgL_modz00_14784 =
															(BgL_offsetz00_14783 / BgL_auxz00_45613);
												}}
												{	/* Eval/evaluate.scm 388 */
													long BgL_restz00_14786;

													{	/* Eval/evaluate.scm 388 */
														int BgL_arg6931z00_14787;

														BgL_arg6931z00_14787 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 388 */
															long BgL_auxz00_45617;

															BgL_auxz00_45617 = (long) (BgL_arg6931z00_14787);
															BgL_restz00_14786 =
																(BgL_offsetz00_14783 % BgL_auxz00_45617);
													}}
													{	/* Eval/evaluate.scm 388 */

														BgL_method3232z00_14776 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_14781,
																(int) (BgL_modz00_14784)),
															(int) (BgL_restz00_14786));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3232z00_14776) (BgL_method3232z00_14776,
							(obj_t) (BgL_arg5207z00_14741), BgL_localz00_4185,
							BgL_absz00_4186, BEOA);
				}}
				{	/* Eval/evaluate.scm 388 */
					BgL_ev_exprz00_bglt BgL_arg5208z00_14742;

					BgL_arg5208z00_14742 =
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_4184))->BgL_ez00);
					{	/* Eval/evaluate.scm 388 */
						obj_t BgL_method3232z00_14805;

						{	/* Eval/evaluate.scm 388 */
							BgL_objectz00_bglt BgL_objz00_14806;

							BgL_objz00_14806 = (BgL_objectz00_bglt) (BgL_arg5208z00_14742);
							{	/* Eval/evaluate.scm 388 */
								long BgL_objzd2classzd2numz00_14807;

								BgL_objzd2classzd2numz00_14807 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_14806);
								{	/* Eval/evaluate.scm 388 */
									obj_t BgL_arg6930z00_14808;

									BgL_arg6930z00_14808 =
										PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluatez00,
										(int) (((long) 1)));
									{	/* Eval/evaluate.scm 388 */
										obj_t BgL_arrayz00_14810;

										int BgL_offsetz00_14811;

										BgL_arrayz00_14810 = BgL_arg6930z00_14808;
										BgL_offsetz00_14811 =
											(int) (BgL_objzd2classzd2numz00_14807);
										{	/* Eval/evaluate.scm 388 */
											long BgL_offsetz00_14812;

											BgL_offsetz00_14812 =
												((long) (BgL_offsetz00_14811) - OBJECT_TYPE);
											{	/* Eval/evaluate.scm 388 */
												long BgL_modz00_14813;

												{	/* Eval/evaluate.scm 388 */
													int BgL_arg6932z00_14814;

													BgL_arg6932z00_14814 = (int) (((long) 16));
													{	/* Eval/evaluate.scm 388 */
														long BgL_auxz00_45636;

														BgL_auxz00_45636 = (long) (BgL_arg6932z00_14814);
														BgL_modz00_14813 =
															(BgL_offsetz00_14812 / BgL_auxz00_45636);
												}}
												{	/* Eval/evaluate.scm 388 */
													long BgL_restz00_14815;

													{	/* Eval/evaluate.scm 388 */
														int BgL_arg6931z00_14816;

														BgL_arg6931z00_14816 = (int) (((long) 16));
														{	/* Eval/evaluate.scm 388 */
															long BgL_auxz00_45640;

															BgL_auxz00_45640 = (long) (BgL_arg6931z00_14816);
															BgL_restz00_14815 =
																(BgL_offsetz00_14812 % BgL_auxz00_45640);
													}}
													{	/* Eval/evaluate.scm 388 */

														BgL_method3232z00_14805 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_14810,
																(int) (BgL_modz00_14813)),
															(int) (BgL_restz00_14815));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3232z00_14805) (BgL_method3232z00_14805,
							(obj_t) (BgL_arg5208z00_14742), BgL_localz00_4185,
							BgL_absz00_4186, BEOA);
					}
				}
			}
		}
	}



/* avar-ev_litt3238 */
	obj_t BGl_avarzd2ev_litt3238zd2zz__evaluatez00(obj_t BgL_envz00_26296,
		obj_t BgL_ez00_26297, obj_t BgL_localz00_26298, obj_t BgL_absz00_26299)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 384 */
			return BUNSPEC;
		}
	}



/* avar-ev_global3236 */
	obj_t BGl_avarzd2ev_global3236zd2zz__evaluatez00(obj_t BgL_envz00_26300,
		obj_t BgL_varz00_26301, obj_t BgL_localz00_26302, obj_t BgL_absz00_26303)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 381 */
			return BUNSPEC;
		}
	}



/* avar-ev_var3234 */
	obj_t BGl_avarzd2ev_var3234zd2zz__evaluatez00(obj_t BgL_envz00_26304,
		obj_t BgL_varz00_26305, obj_t BgL_localz00_26306, obj_t BgL_absz00_26307)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 378 */
			{
				BgL_ev_varz00_bglt BgL_varz00_4163;

				obj_t BgL_localz00_4164;

				obj_t BgL_absz00_4165;

				BgL_varz00_4163 = (BgL_ev_varz00_bglt) (BgL_varz00_26305);
				BgL_localz00_4164 = BgL_localz00_26306;
				BgL_absz00_4165 = BgL_absz00_26307;
				{	/* Eval/evaluate.scm 379 */
					BgL_ev_absz00_bglt BgL_absz00_14731;

					BgL_absz00_14731 = (BgL_ev_absz00_bglt) (BgL_absz00_4165);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								(obj_t) (BgL_varz00_4163), BgL_localz00_4164)))
						{	/* Eval/evaluate.scm 379 */
							return BFALSE;
						}
					else
						{	/* Eval/evaluate.scm 379 */
							obj_t BgL_freez00_14733;

							BgL_freez00_14733 =
								(((BgL_ev_absz00_bglt) CREF(BgL_absz00_14731))->BgL_freez00);
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										(obj_t) (BgL_varz00_4163), BgL_freez00_14733)))
								{	/* Eval/evaluate.scm 379 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate.scm 379 */
									obj_t BgL_arg4197z00_14735;

									BgL_arg4197z00_14735 =
										MAKE_PAIR((obj_t) (BgL_varz00_4163), BgL_freez00_14733);
									return
										((((BgL_ev_absz00_bglt) CREF(BgL_absz00_14731))->
											BgL_freez00) = ((obj_t) BgL_arg4197z00_14735), BUNSPEC);
								}
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 70840631),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 454672500),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 36880833),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 89651882),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 333500458),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 3491337),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 318625392),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 393249273),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 319567328),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 32719508),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 327583589),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 235939793),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 500588328),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 271566986),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					234579753), BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					170547433), BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					400650732), BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					459721289), BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 123701502),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 504082187),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 497320869),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					485908420), BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 28131980),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					159305184), BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					183289170), BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 236383033),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 466504979),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					164543289), BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 383451759),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 32372471),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 361745055),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 453710891),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 535170906),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 174190226),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 357788136),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
			return BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 187663721),
				BSTRING_TO_STRING(BGl_string8597z00zz__evaluatez00));
		}
	}

#ifdef __cplusplus
}
#endif
